// Code generated by ./internal/gen/main.go. DO NOT EDIT.

//go:generate go run ./internal/gen/main.go

package encoder

var testCasesSingle = []testCase{
	{ // 0
		mask: EncodeZero,
		in:   "；2π\x15ｊ８␆aｗ␑k`\x04β\x00σ`τ７＜;R\x05␀τ？β7７␌",
		out:  "；2π\x15ｊ８␆aｗ␑k`\x04β␀σ`τ７＜;R\x05‛␀τ？β7７␌",
	}, { // 1
		mask: EncodeSlash,
		in:   "：＜VＪｇ｜Ｋ;/+\x10／φ␄/π\f:ρRα\x1fζ␃＜VLν＜ｑ",
		out:  "：＜VＪｇ｜Ｋ;／+\x10‛／φ␄／π\f:ρRα\x1fζ␃＜VLν＜ｑ",
	}, { // 2
		mask: EncodeSingleQuote,
		in:   "γ␗＇Ｐｎ\aχ%ε＼[υ\x1d␅］ζM2ω＇␆$\x12ＡＮ｜^'\r\x10",
		out:  "γ␗‛＇Ｐｎ\aχ%ε＼[υ\x1d␅］ζM2ω‛＇␆$\x12ＡＮ｜^＇\r\x10",
	}, { // 3
		mask: EncodeBackQuote,
		in:   "#␜θWfｃＲ␟(␍｀\x18Ｖ６τη\x10／*mυ\x15␂\x13␚βw｛`ρ",
		out:  "#␜θWfｃＲ␟(␍‛｀\x18Ｖ６τη\x10／*mυ\x15␂\x13␚βw｛｀ρ",
	}, { // 4
		mask: EncodeLtGt,
		in:   "４␕>ｏ*\aＰι,␚Pυ\v＜\x0f␙！９tπ＞<␐\x1e(ης␀oε",
		out:  "４␕＞ｏ*\aＰι,␚Pυ\v‛＜\x0f␙！９tπ‛＞＜␐\x1e(ης‛␀oε",
	}, { // 5
		mask: EncodeSquareBracket,
		in:   "／␘\vενm%ρ[M+τ:\x05`νw＾］␗␘ｑ．ψＩ0Ｘ␁［]",
		out:  "／␘\vενm%ρ［M+τ:\x05`νw＾‛］␗␘ｑ．ψＩ0Ｘ␁‛［］",
	}, { // 6
		mask: EncodeSemicolon,
		in:   "Rφ\x05'\x01/ςY／ψ＞ｌ%；ｙｓｏ:;;ς｜ξ␓＊\x06\r［ι／",
		out:  "Rφ\x05'\x01/ςY／ψ＞ｌ%‛；ｙｓｏ:；；ς｜ξ␓＊\x06\r［ι／",
	}, { // 7
		mask: EncodeDollar,
		in:   "%$;Ｘτ\x01］^εE＄π\x01＆＃␖␔＆ψ␆ι～／\x03~]\x04θ？R",
		out:  "%＄;Ｘτ\x01］^εE‛＄π\x01＆＃␖␔＆ψ␆ι～／\x03~]\x04θ？R",
	}, { // 8
		mask: EncodeDoubleQuote,
		in:   "ωQ＝λ：γ＂＂␈ε／#Ｒ\"!\\␇*:Ｙ\t８\x1b?π␎ν\x17␋=",
		out:  "ωQ＝λ：γ‛＂‛＂␈ε／#Ｒ＂!\\␇*:Ｙ\t８\x1b?π␎ν\x17␋=",
	}, { // 9
		mask: EncodeColon,
		in:   "χ］ρ%\x12Ｅ\r\x17Ｃ␉\"３sος␈７␋νk!π：＇o␘:MＷ\x02",
		out:  "χ］ρ%\x12Ｅ\r\x17Ｃ␉\"３sος␈７␋νk!π‛：＇o␘：MＷ\x02",
	}, { // 10
		mask: EncodeQuestion,
		in:   "\x17\x02\x11～?␕\x12Ｑ＋δω％R␃？OζＩs␈\x0f／`?＜μτC：φ",
		out:  "\x17\x02\x11～？␕\x12Ｑ＋δω％R␃‛？OζＩs␈\x0f／`？＜μτC：φ",
	}, { // 11
		mask: EncodeAsterisk,
		in:   "Q＂Ｊａｌ＊Vz/␞␐\n$*␗χκ\u007f[␚ι\x1b＜／ν%#βλＵ",
		out:  "Q＂Ｊａｌ‛＊Vz/␞␐\n$＊␗χκ\u007f[␚ι\x1b＜／ν%#βλＵ",
	}, { // 12
		mask: EncodePipe,
		in:   "W=\rｘξβ␈\x15mａε␇|／\x04｜␐］f\x0e[＼Yｈｚτ\x03δτｋ",
		out:  "W=\rｘξβ␈\x15mａε␇｜／\x04‛｜␐］f\x0e[＼Yｈｚτ\x03δτｋ",
	}, { // 13
		mask: EncodeHash,
		in:   ">\x05＃␙Ｘ*␉ｋp＊λ\x1a:`θｔg\x10＃ｋρ;#υο＂Oξ＃␅",
		out:  ">\x05‛＃␙Ｘ*␉ｋp＊λ\x1a:`θｔg\x10‛＃ｋρ;＃υο＂Oξ‛＃␅",
	}, { // 14
		mask: EncodePercent,
		in:   "\x05␋␙␚μ$φ%\x1c␂ｉδ\n\r␊ο␇χ|xI）\x05yＧ％！ςt９",
		out:  "\x05␋␙␚μ$φ％\x1c␂ｉδ\n\r␊ο␇χ|xI）\x05yＧ‛％！ςt９",
	}, { // 15
		mask: EncodeBackSlash,
		in:   "DδＭ＊ξ␄\x14ρ＂ζ␝␕Ｔ\x17｀φ!\x14Ｏ\x19'd\\/γＷＪ\b＼:",
		out:  "DδＭ＊ξ␄\x14ρ＂ζ␝␕Ｔ\x17｀φ!\x14Ｏ\x19'd＼/γＷＪ\b‛＼:",
	}, { // 16
		mask: EncodeCrLf,
		in:   "θ？＞␏μ7π*＼\n2␍x\rο:ｚ\\ο\x19␋ｗ␊／ξa>OＸ␇",
		out:  "θ？＞␏μ7π*＼␊2‛␍x␍ο:ｚ\\ο\x19␋ｗ‛␊／ξa>OＸ␇",
	}, { // 17
		mask: EncodeDel,
		in:   "Fｇ！％＞π\x1d\rY␡μ*＊0｜ν\x1eVχI３`␘\x1d␓？δ\u007f␉ω",
		out:  "Fｇ！％＞π\x1d\rY‛␡μ*＊0｜ν\x1eVχI３`␘\x1d␓？δ␡␉ω",
	}, { // 18
		mask: EncodeCtl,
		in:   "␖d\x14\v␟\x00␇\x03␜␈␊\f␑\x1c␂␕␘␓␃＊\x1d／\n*␔\"\a␉\x05␞␁\x0e\x19\u007f␙v\x1eP␆␋\x17ｎ\x12\x04␛\r\x1b␚\x1a\x17␛\x18\x1f\x0fδ\x13␍␚\x10\a␕:\x11\x16ς␏␅λ\bπ\x06：␒δ>\x02ｏ␖␌＆６␎Ｖ\x15␄␝\x1e␐␗\x01\tοZ",
		out:  "‛␖d␔␋‛␟␀‛␇␃‛␜‛␈‛␊␌‛␑␜‛␂‛␕‛␘‛␓‛␃＊␝／␊*‛␔\"␇‛␉␅‛␞‛␁␎␙\u007f‛␙v␞P‛␆‛␋␗ｎ␒␄‛␛␍␛‛␚␚␗‛␛␘␟␏δ␓‛␍‛␚␐␇‛␕:␑␖ς‛␏‛␅λ␈π␆：‛␒δ>␂ｏ‛␖‛␌＆６‛␎Ｖ␕‛␄‛␝␞‛␐‛␗␁␉οZ",
	},
}

var testCasesSingleEdge = []testCase{
	{ // 0
		mask: EncodeLeftSpace,
		in:   " ",
		out:  "␠",
	}, { // 1
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
		out:  "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
	}, { // 2
		mask: EncodeZero | EncodeLeftSpace,
		in:   " ␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
		out:  "␠␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
	}, { // 3
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␠␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
		out:  "‛␠␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
	}, { // 4
		mask: EncodeZero | EncodeLeftSpace,
		in:   " π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
		out:  "␠π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
	}, { // 5
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␠π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
		out:  "‛␠π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
	}, { // 6
		mask: EncodeZero | EncodeLeftSpace,
		in:   " π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
		out:  "␠π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
	}, { // 7
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␠π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
		out:  "‛␠π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
	}, { // 8
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟ ，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
		out:  "␟ ，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
	}, { // 9
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
		out:  "␟␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ιv",
	}, { // 10
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟ ，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
		out:  "␟ ，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
	}, { // 11
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
		out:  "␟␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
	}, { // 12
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟ ，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
		out:  "␟ ，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
	}, { // 13
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
		out:  "␟␠，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
	}, { // 14
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ v",
		out:  "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ v",
	}, { // 15
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
		out:  "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠v",
	}, { // 16
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ ␠",
		out:  "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ ␠",
	}, { // 17
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠␠",
		out:  "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆␠␠",
	}, { // 18
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι ",
		out:  "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι ",
	}, { // 19
		mask: EncodeZero | EncodeLeftSpace,
		in:   "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
		out:  "␟π，；θSc\x16｝＃ ａ｀\x06３\x1b\x10j\x06<␂：φζA５*␆ι␠",
	}, { // 20
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
		out:  "＊８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
	}, { // 21
		mask: EncodeSlash | EncodeLeftSpace,
		in:   " ␠,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
		out:  "␠␠,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
	}, { // 22
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "␠␠,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
		out:  "‛␠␠,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
	}, { // 23
		mask: EncodeSlash | EncodeLeftSpace,
		in:   " ８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
		out:  "␠８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
	}, { // 24
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "␠８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
		out:  "‛␠８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
	}, { // 25
		mask: EncodeSlash | EncodeLeftSpace,
		in:   " ８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
		out:  "␠８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
	}, { // 26
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "␠８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
		out:  "‛␠８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
	}, { // 27
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊ ,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
		out:  "＊ ,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
	}, { // 28
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊␠,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
		out:  "＊␠,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␌",
	}, { // 29
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊ ,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
		out:  "＊ ,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
	}, { // 30
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊␠,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
		out:  "＊␠,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
	}, { // 31
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊ ,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
		out:  "＊ ,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
	}, { // 32
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊␠,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
		out:  "＊␠,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
	}, { // 33
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ% ␌",
		out:  "＊８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ% ␌",
	}, { // 34
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
		out:  "＊８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␌",
	}, { // 35
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ% ␠",
		out:  "＊８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ% ␠",
	}, { // 36
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␠",
		out:  "＊８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%␠␠",
	}, { // 37
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ ",
		out:  "＊８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ ",
	}, { // 38
		mask: EncodeSlash | EncodeLeftSpace,
		in:   "＊８,\f/ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
		out:  "＊８,\f／ςyμｕ␃ \x1d`\x18％)ｌＧη\n␚Xα＄\x13χｑ%χ␠",
	}, { // 39
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
		out:  "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
	}, { // 40
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   " ␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
		out:  "␠␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
	}, { // 41
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "␠␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
		out:  "‛␠␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
	}, { // 42
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   " \t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
		out:  "␠\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
	}, { // 43
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "␠\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
		out:  "‛␠\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
	}, { // 44
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   " \t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
		out:  "␠\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
	}, { // 45
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "␠\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
		out:  "‛␠\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
	}, { // 46
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ 4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
		out:  "ｏ 4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
	}, { // 47
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
		out:  "ｏ␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκBσ",
	}, { // 48
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ 4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
		out:  "ｏ 4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
	}, { // 49
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
		out:  "ｏ␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
	}, { // 50
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ 4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
		out:  "ｏ 4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
	}, { // 51
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
		out:  "ｏ␠4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
	}, { // 52
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ σ",
		out:  "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ σ",
	}, { // 53
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
		out:  "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠σ",
	}, { // 54
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ ␠",
		out:  "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ ␠",
	}, { // 55
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠␠",
		out:  "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκ␠␠",
	}, { // 56
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB ",
		out:  "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB ",
	}, { // 57
		mask: EncodeSingleQuote | EncodeLeftSpace,
		in:   "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
		out:  "ｏ\t4␕＆χσJ␝Ｂ γ␈$9G\x05\v］９＝Q\x0e␆␇γ\x0eκB␠",
	}, { // 58
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
		out:  "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
	}, { // 59
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   " ␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
		out:  "␠␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
	}, { // 60
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "␠␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
		out:  "‛␠␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
	}, { // 61
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   " οπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
		out:  "␠οπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
	}, { // 62
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "␠οπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
		out:  "‛␠οπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
	}, { // 63
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   " οπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
		out:  "␠οπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
	}, { // 64
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "␠οπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
		out:  "‛␠οπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
	}, { // 65
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "w πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
		out:  "w πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
	}, { // 66
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "w␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
		out:  "w␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^｜",
	}, { // 67
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "w πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
		out:  "w πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
	}, { // 68
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "w␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
		out:  "w␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
	}, { // 69
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "w πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
		out:  "w πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
	}, { // 70
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "w␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
		out:  "w␠πＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
	}, { // 71
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ ｜",
		out:  "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ ｜",
	}, { // 72
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
		out:  "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠｜",
	}, { // 73
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ ␠",
		out:  "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ ␠",
	}, { // 74
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠␠",
		out:  "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ␠␠",
	}, { // 75
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^ ",
		out:  "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^ ",
	}, { // 76
		mask: EncodeBackQuote | EncodeLeftSpace,
		in:   "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
		out:  "wοπＨ\x10f\x04␚␖[ ␍␈+α␎|S$\x01βLｃＪＬθＫｓ^␠",
	}, { // 77
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␔",
		out:  "＇\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␔",
	}, { // 78
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   " ␠␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␔",
		out:  "␠␠␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␔",
	}, { // 79
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "␠␠␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␔",
		out:  "‛␠␠␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␔",
	}, { // 80
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   " \r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑␠␔",
		out:  "␠\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑␠␔",
	}, { // 81
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "␠\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑␠␔",
		out:  "‛␠\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑␠␔",
	}, { // 82
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   " \r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␠",
		out:  "␠\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␠",
	}, { // 83
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "␠\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␠",
		out:  "‛␠\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␠",
	}, { // 84
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇ ␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␔",
		out:  "＇ ␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␔",
	}, { // 85
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇␠␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␔",
		out:  "＇␠␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␔",
	}, { // 86
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇ ␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑␠␔",
		out:  "＇ ␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑␠␔",
	}, { // 87
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇␠␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑␠␔",
		out:  "＇␠␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑␠␔",
	}, { // 88
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇ ␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␠",
		out:  "＇ ␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␠",
	}, { // 89
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇␠␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␠",
		out:  "＇␠␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␠",
	}, { // 90
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑ ␔",
		out:  "＇\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑ ␔",
	}, { // 91
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑␠␔",
		out:  "＇\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑␠␔",
	}, { // 92
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑ ␠",
		out:  "＇\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑ ␠",
	}, { // 93
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑␠␠",
		out:  "＇\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑␠␠",
	}, { // 94
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f ",
		out:  "＇\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f ",
	}, { // 95
		mask: EncodeLtGt | EncodeLeftSpace,
		in:   "＇\r␕σ␑｝/９｛｛ ＦSετ<β`\fγς;a5ｔ␙g␑\u007f␠",
		out:  "＇\r␕σ␑｝/９｛｛ ＦSετ＜β`\fγς;a5ｔ␙g␑\u007f␠",
	}, { // 96
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ＼",
		out:  "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ＼",
	}, { // 97
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   " ␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ＼",
		out:  "␠␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ＼",
	}, { // 98
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␠␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ＼",
		out:  "‛␠␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ＼",
	}, { // 99
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   " ;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:␠＼",
		out:  "␠;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:␠＼",
	}, { // 100
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␠;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:␠＼",
		out:  "‛␠;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:␠＼",
	}, { // 101
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   " ;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ␠",
		out:  "␠;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ␠",
	}, { // 102
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␠;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ␠",
		out:  "‛␠;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ␠",
	}, { // 103
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈ ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ＼",
		out:  "␈ ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ＼",
	}, { // 104
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ＼",
		out:  "␈␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ＼",
	}, { // 105
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈ ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:␠＼",
		out:  "␈ ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:␠＼",
	}, { // 106
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:␠＼",
		out:  "␈␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:␠＼",
	}, { // 107
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈ ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ␠",
		out:  "␈ ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ␠",
	}, { // 108
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ␠",
		out:  "␈␠ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ␠",
	}, { // 109
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00: ＼",
		out:  "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀: ＼",
	}, { // 110
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:␠＼",
		out:  "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:␠＼",
	}, { // 111
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00: ␠",
		out:  "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀: ␠",
	}, { // 112
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:␠␠",
		out:  "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:␠␠",
	}, { // 113
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ ",
		out:  "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ ",
	}, { // 114
		mask: EncodeSquareBracket | EncodeLeftSpace,
		in:   "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/\x00:ｄ␠",
		out:  "␈;ρ␁；␞ξ\x0e%\x19 δl␙ＷP␏３\u007fιδ／Lu８/␀:ｄ␠",
	}, { // 115
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
		out:  "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
	}, { // 116
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   " ␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
		out:  "␠␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
	}, { // 117
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "␠␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
		out:  "‛␠␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
	}, { // 118
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   " \r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
		out:  "␠\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
	}, { // 119
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "␠\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
		out:  "‛␠\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
	}, { // 120
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   " \r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
		out:  "␠\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
	}, { // 121
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "␠\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
		out:  "‛␠\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
	}, { // 122
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［ ␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
		out:  "［ ␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
	}, { // 123
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
		out:  "［␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉η",
	}, { // 124
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［ ␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
		out:  "［ ␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
	}, { // 125
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
		out:  "［␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
	}, { // 126
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［ ␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
		out:  "［ ␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
	}, { // 127
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
		out:  "［␠␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
	}, { // 128
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙ η",
		out:  "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙ η",
	}, { // 129
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
		out:  "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠η",
	}, { // 130
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙ ␠",
		out:  "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙ ␠",
	}, { // 131
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠␠",
		out:  "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␠␠",
	}, { // 132
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉ ",
		out:  "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉ ",
	}, { // 133
		mask: EncodeSemicolon | EncodeLeftSpace,
		in:   "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
		out:  "［\r␗`l[＼ｃｑμ ?［ｖＴζＴ#|υ＜>XKωμ\x1b␙␉␠",
	}, { // 134
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
		out:  "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
	}, { // 135
		mask: EncodeDollar | EncodeLeftSpace,
		in:   " ␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
		out:  "␠␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
	}, { // 136
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "␠␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
		out:  "‛␠␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
	}, { // 137
		mask: EncodeDollar | EncodeLeftSpace,
		in:   " \x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
		out:  "␠\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
	}, { // 138
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "␠\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
		out:  "‛␠\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
	}, { // 139
		mask: EncodeDollar | EncodeLeftSpace,
		in:   " \x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
		out:  "␠\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
	}, { // 140
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "␠\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
		out:  "‛␠\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
	}, { // 141
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ ␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
		out:  "ｊ ␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
	}, { // 142
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
		out:  "ｊ␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|κ",
	}, { // 143
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ ␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
		out:  "ｊ ␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
	}, { // 144
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
		out:  "ｊ␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
	}, { // 145
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ ␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
		out:  "ｊ ␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
	}, { // 146
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
		out:  "ｊ␠␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
	}, { // 147
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ κ",
		out:  "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ κ",
	}, { // 148
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
		out:  "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠κ",
	}, { // 149
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ ␠",
		out:  "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ ␠",
	}, { // 150
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠␠",
		out:  "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ␠␠",
	}, { // 151
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ| ",
		out:  "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ| ",
	}, { // 152
		mask: EncodeDollar | EncodeLeftSpace,
		in:   "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
		out:  "ｊ\x1d␚x0␊ｃ␛z; O␞\x03ω␔＼η１？\x16φ_π*Ｘωｈ|␠",
	}, { // 153
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
		out:  "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
	}, { // 154
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   " ␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
		out:  "␠␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
	}, { // 155
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "␠␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
		out:  "‛␠␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
	}, { // 156
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   " ［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
		out:  "␠［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
	}, { // 157
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "␠［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
		out:  "‛␠［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
	}, { // 158
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   " ［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
		out:  "␠［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
	}, { // 159
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "␠［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
		out:  "‛␠［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
	}, { // 160
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "# &Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
		out:  "# &Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
	}, { // 161
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
		out:  "#␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ］",
	}, { // 162
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "# &Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
		out:  "# &Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
	}, { // 163
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
		out:  "#␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
	}, { // 164
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "# &Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
		out:  "# &Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
	}, { // 165
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
		out:  "#␠&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
	}, { // 166
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04 ］",
		out:  "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04 ］",
	}, { // 167
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
		out:  "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠］",
	}, { // 168
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04 ␠",
		out:  "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04 ␠",
	}, { // 169
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠␠",
		out:  "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04␠␠",
	}, { // 170
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ ",
		out:  "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ ",
	}, { // 171
		mask: EncodeDoubleQuote | EncodeLeftSpace,
		in:   "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
		out:  "#［&Yρ\x15μ'␍γ ［ζ␃Ｕ,\x11␌！NＴχ␈-$\x18～\x04Ｆ␠",
	}, { // 172
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
		out:  "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
	}, { // 173
		mask: EncodeColon | EncodeLeftSpace,
		in:   " ␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
		out:  "␠␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
	}, { // 174
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␠␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
		out:  "‛␠␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
	}, { // 175
		mask: EncodeColon | EncodeLeftSpace,
		in:   " ？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
		out:  "␠？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
	}, { // 176
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␠？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
		out:  "‛␠？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
	}, { // 177
		mask: EncodeColon | EncodeLeftSpace,
		in:   " ？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
		out:  "␠？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
	}, { // 178
		mask: EncodeColon | EncodeLeftSpace,
		in:   "␠？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
		out:  "‛␠？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
	}, { // 179
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
		out:  "J Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
	}, { // 180
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
		out:  "J␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌＜",
	}, { // 181
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
		out:  "J Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
	}, { // 182
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
		out:  "J␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
	}, { // 183
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
		out:  "J Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
	}, { // 184
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
		out:  "J␠Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
	}, { // 185
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐ ＜",
		out:  "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐ ＜",
	}, { // 186
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
		out:  "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠＜",
	}, { // 187
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐ ␠",
		out:  "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐ ␠",
	}, { // 188
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠␠",
		out:  "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␠␠",
	}, { // 189
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌ ",
		out:  "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌ ",
	}, { // 190
		mask: EncodeColon | EncodeLeftSpace,
		in:   "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
		out:  "J？Ｑ3DＴ=＞\x12\x13 εB/σωγ｝＞\n＄␕ｊ|αω<␐␌␠",
	}, { // 191
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γu４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a\x11",
		out:  "γu４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a\x11",
	}, { // 192
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   " ␠４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a\x11",
		out:  "␠␠４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a\x11",
	}, { // 193
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "␠␠４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a\x11",
		out:  "‛␠␠４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a\x11",
	}, { // 194
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   " u４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ␠\x11",
		out:  "␠u４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ␠\x11",
	}, { // 195
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "␠u４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ␠\x11",
		out:  "‛␠u４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ␠\x11",
	}, { // 196
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   " u４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a␠",
		out:  "␠u４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a␠",
	}, { // 197
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "␠u４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a␠",
		out:  "‛␠u４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a␠",
	}, { // 198
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γ ４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a\x11",
		out:  "γ ４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a\x11",
	}, { // 199
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γ␠４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a\x11",
		out:  "γ␠４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a\x11",
	}, { // 200
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γ ４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ␠\x11",
		out:  "γ ４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ␠\x11",
	}, { // 201
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γ␠４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ␠\x11",
		out:  "γ␠４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ␠\x11",
	}, { // 202
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γ ４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a␠",
		out:  "γ ４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a␠",
	}, { // 203
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γ␠４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a␠",
		out:  "γ␠４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a␠",
	}, { // 204
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γu４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ \x11",
		out:  "γu４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ \x11",
	}, { // 205
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γu４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ␠\x11",
		out:  "γu４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ␠\x11",
	}, { // 206
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γu４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ ␠",
		out:  "γu４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ ␠",
	}, { // 207
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γu４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ␠␠",
		out:  "γu４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ␠␠",
	}, { // 208
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γu４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a ",
		out:  "γu４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a ",
	}, { // 209
		mask: EncodeQuestion | EncodeLeftSpace,
		in:   "γu４hχ{x␀｜ε \x1e\nｒ＼＞＋?α\x18␔xＮ␍C＄δπ\x1a␠",
		out:  "γu４hχ{x‛␀｜ε \x1e\nｒ＼＞＋？α\x18␔xＮ␍C＄δπ\x1a␠",
	}, { // 210
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}|",
		out:  "\t＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}|",
	}, { // 211
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   " ␠Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}|",
		out:  "␠␠Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}|",
	}, { // 212
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "␠␠Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}|",
		out:  "‛␠␠Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}|",
	}, { // 213
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   " ＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β␠|",
		out:  "␠＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β␠|",
	}, { // 214
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "␠＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β␠|",
		out:  "‛␠＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β␠|",
	}, { // 215
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   " ＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}␠",
		out:  "␠＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}␠",
	}, { // 216
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "␠＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}␠",
		out:  "‛␠＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}␠",
	}, { // 217
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}|",
		out:  "\t Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}|",
	}, { // 218
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t␠Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}|",
		out:  "\t␠Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}|",
	}, { // 219
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β␠|",
		out:  "\t Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β␠|",
	}, { // 220
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t␠Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β␠|",
		out:  "\t␠Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β␠|",
	}, { // 221
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}␠",
		out:  "\t Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}␠",
	}, { // 222
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t␠Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}␠",
		out:  "\t␠Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}␠",
	}, { // 223
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β |",
		out:  "\t＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β |",
	}, { // 224
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β␠|",
		out:  "\t＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β␠|",
	}, { // 225
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β ␠",
		out:  "\t＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β ␠",
	}, { // 226
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β␠␠",
		out:  "\t＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β␠␠",
	}, { // 227
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β} ",
		out:  "\t＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β} ",
	}, { // 228
		mask: EncodeAsterisk | EncodeLeftSpace,
		in:   "\t＇Ｄ␘ｖ[μｖψ\x00 ;6ｇο\x1c＊／␌`ρX&Ｄwζ\uff00β}␠",
		out:  "\t＇Ｄ␘ｖ[μｖψ␀ ;6ｇο\x1c‛＊／␌`ρX&Ｄwζ\uff00β}␠",
	}, { // 229
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
		out:  "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
	}, { // 230
		mask: EncodePipe | EncodeLeftSpace,
		in:   " ␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
		out:  "␠␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
	}, { // 231
		mask: EncodePipe | EncodeLeftSpace,
		in:   "␠␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
		out:  "‛␠␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
	}, { // 232
		mask: EncodePipe | EncodeLeftSpace,
		in:   " w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
		out:  "␠w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
	}, { // 233
		mask: EncodePipe | EncodeLeftSpace,
		in:   "␠w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
		out:  "‛␠w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
	}, { // 234
		mask: EncodePipe | EncodeLeftSpace,
		in:   " w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
		out:  "␠w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
	}, { // 235
		mask: EncodePipe | EncodeLeftSpace,
		in:   "␠w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
		out:  "‛␠w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
	}, { // 236
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３ \x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
		out:  "３ \x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
	}, { // 237
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
		out:  "３␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␆",
	}, { // 238
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３ \x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
		out:  "３ \x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
	}, { // 239
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
		out:  "３␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
	}, { // 240
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３ \x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
		out:  "３ \x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
	}, { // 241
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
		out:  "３␠\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
	}, { // 242
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］ ␆",
		out:  "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］ ␆",
	}, { // 243
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
		out:  "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␆",
	}, { // 244
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］ ␠",
		out:  "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］ ␠",
	}, { // 245
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␠",
		out:  "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］␠␠",
	}, { // 246
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ ",
		out:  "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ ",
	}, { // 247
		mask: EncodePipe | EncodeLeftSpace,
		in:   "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
		out:  "３w\x1e␏uＰοτμ= Ｘ＄␒<$(␊>\x11\r\x17/／ｄο！］φ␠",
	}, { // 248
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
		out:  "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
	}, { // 249
		mask: EncodeHash | EncodeLeftSpace,
		in:   " ␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
		out:  "␠␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
	}, { // 250
		mask: EncodeHash | EncodeLeftSpace,
		in:   "␠␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
		out:  "‛␠␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
	}, { // 251
		mask: EncodeHash | EncodeLeftSpace,
		in:   " ?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
		out:  "␠?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
	}, { // 252
		mask: EncodeHash | EncodeLeftSpace,
		in:   "␠?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
		out:  "‛␠?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
	}, { // 253
		mask: EncodeHash | EncodeLeftSpace,
		in:   " ?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
		out:  "␠?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
	}, { // 254
		mask: EncodeHash | EncodeLeftSpace,
		in:   "␠?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
		out:  "‛␠?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
	}, { // 255
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S \x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
		out:  "S \x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
	}, { // 256
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
		out:  "S␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\nλ",
	}, { // 257
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S \x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
		out:  "S \x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
	}, { // 258
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
		out:  "S␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
	}, { // 259
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S \x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
		out:  "S \x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
	}, { // 260
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
		out:  "S␠\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
	}, { // 261
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～ λ",
		out:  "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～ λ",
	}, { // 262
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
		out:  "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠λ",
	}, { // 263
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～ ␠",
		out:  "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～ ␠",
	}, { // 264
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠␠",
		out:  "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～␠␠",
	}, { // 265
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n ",
		out:  "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n ",
	}, { // 266
		mask: EncodeHash | EncodeLeftSpace,
		in:   "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
		out:  "S?\x06γＤψ：V＜y &.μn\x0f;␆ς\f＠ｈ［｝ι（␊～\n␠",
	}, { // 267
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
		out:  "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
	}, { // 268
		mask: EncodePercent | EncodeLeftSpace,
		in:   " ␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
		out:  "␠␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
	}, { // 269
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␠␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
		out:  "‛␠␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
	}, { // 270
		mask: EncodePercent | EncodeLeftSpace,
		in:   " >\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
		out:  "␠>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
	}, { // 271
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␠>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
		out:  "‛␠>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
	}, { // 272
		mask: EncodePercent | EncodeLeftSpace,
		in:   " >\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
		out:  "␠>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
	}, { // 273
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␠>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
		out:  "‛␠>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
	}, { // 274
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄ \x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
		out:  "␄ \x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
	}, { // 275
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
		out:  "␄␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␛",
	}, { // 276
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄ \x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
		out:  "␄ \x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
	}, { // 277
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
		out:  "␄␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
	}, { // 278
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄ \x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
		out:  "␄ \x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
	}, { // 279
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
		out:  "␄␠\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
	}, { // 280
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃ ␛",
		out:  "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃ ␛",
	}, { // 281
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
		out:  "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␛",
	}, { // 282
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃ ␠",
		out:  "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃ ␠",
	}, { // 283
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␠",
		out:  "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃␠␠",
	}, { // 284
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊ ",
		out:  "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊ ",
	}, { // 285
		mask: EncodePercent | EncodeLeftSpace,
		in:   "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
		out:  "␄>\x17：＇\x1aςgＲ\x14 ␘ςDρf␜>\x14τEＥκ\x19＼xρ␃＊␠",
	}, { // 286
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
		out:  "␖πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
	}, { // 287
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   " ␠Ｗσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
		out:  "␠␠Ｗσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
	}, { // 288
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␠␠Ｗσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
		out:  "‛␠␠Ｗσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
	}, { // 289
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   " πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
		out:  "␠πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
	}, { // 290
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␠πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
		out:  "‛␠πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
	}, { // 291
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   " πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
		out:  "␠πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
	}, { // 292
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␠πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
		out:  "‛␠πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
	}, { // 293
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖ Ｗσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
		out:  "␖ Ｗσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
	}, { // 294
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖␠Ｗσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
		out:  "␖␠Ｗσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␉",
	}, { // 295
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖ Ｗσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
		out:  "␖ Ｗσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
	}, { // 296
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖␠Ｗσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
		out:  "␖␠Ｗσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
	}, { // 297
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖ Ｗσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
		out:  "␖ Ｗσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
	}, { // 298
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖␠Ｗσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
		out:  "␖␠Ｗσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
	}, { // 299
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f ␉",
		out:  "␖πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f ␉",
	}, { // 300
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
		out:  "␖πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␉",
	}, { // 301
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f ␠",
		out:  "␖πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f ␠",
	}, { // 302
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␠",
		out:  "␖πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0f␠␠",
	}, { // 303
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI ",
		out:  "␖πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI ",
	}, { // 304
		mask: EncodeBackSlash | EncodeLeftSpace,
		in:   "␖πＷσp\\μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
		out:  "␖πＷσp＼μ<＇8 ξ\x0e4\x1f␐ｓ｛[&η］Ｌ\rχ␓␕\x0fI␠",
	}, { // 305
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
		out:  "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
	}, { // 306
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   " ␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
		out:  "␠␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
	}, { // 307
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "␠␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
		out:  "‛␠␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
	}, { // 308
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   " \x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
		out:  "␠\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
	}, { // 309
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "␠\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
		out:  "‛␠\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
	}, { // 310
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   " \x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
		out:  "␠\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
	}, { // 311
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "␠\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
		out:  "‛␠\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
	}, { // 312
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω ，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
		out:  "ω ，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
	}, { // 313
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
		out:  "ω␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡M",
	}, { // 314
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω ，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
		out:  "ω ，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
	}, { // 315
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
		out:  "ω␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
	}, { // 316
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω ，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
		out:  "ω ，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
	}, { // 317
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
		out:  "ω␠，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
	}, { // 318
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X M",
		out:  "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X M",
	}, { // 319
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
		out:  "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠M",
	}, { // 320
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X ␠",
		out:  "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X ␠",
	}, { // 321
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠␠",
		out:  "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␠␠",
	}, { // 322
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡ ",
		out:  "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡ ",
	}, { // 323
		mask: EncodeCrLf | EncodeLeftSpace,
		in:   "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
		out:  "ω\x1d，３␉␐?｛/χ ?-^'␇δCο\x10ＡξＣηｂ／␓X␡␠",
	}, { // 324
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
		out:  "‛␀␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
	}, { // 325
		mask: EncodeDel | EncodeLeftSpace,
		in:   " ␠λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
		out:  "␠␠λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
	}, { // 326
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␠␠λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
		out:  "‛␠␠λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
	}, { // 327
		mask: EncodeDel | EncodeLeftSpace,
		in:   " ␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
		out:  "␠␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
	}, { // 328
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␠␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
		out:  "‛␠␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
	}, { // 329
		mask: EncodeDel | EncodeLeftSpace,
		in:   " ␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
		out:  "␠␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
	}, { // 330
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␠␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
		out:  "‛␠␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
	}, { // 331
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀ λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
		out:  "‛␀ λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
	}, { // 332
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␠λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
		out:  "‛␀␠λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ＊",
	}, { // 333
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀ λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
		out:  "‛␀ λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
	}, { // 334
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␠λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
		out:  "‛␀␠λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
	}, { // 335
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀ λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
		out:  "‛␀ λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
	}, { // 336
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␠λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
		out:  "‛␀␠λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
	}, { // 337
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν. ＊",
		out:  "‛␀␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν. ＊",
	}, { // 338
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
		out:  "‛␀␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠＊",
	}, { // 339
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν. ␠",
		out:  "‛␀␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν. ␠",
	}, { // 340
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠␠",
		out:  "‛␀␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.␠␠",
	}, { // 341
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ ",
		out:  "‛␀␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ ",
	}, { // 342
		mask: EncodeDel | EncodeLeftSpace,
		in:   "␀␗λBＩ\x12\nＥ]\x00 \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
		out:  "‛␀␗λBＩ\x12\nＥ]␀ \x1c\x18␍)␜ψ３ντ␋^？,；\x11ν.Ｘ␠",
	}, { // 343
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς／",
		out:  "β␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς／",
	}, { // 344
		mask: EncodeCtl | EncodeLeftSpace,
		in:   " ␠$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς／",
		out:  "␠␠$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς／",
	}, { // 345
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␠␠$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς／",
		out:  "‛␠␠$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς／",
	}, { // 346
		mask: EncodeCtl | EncodeLeftSpace,
		in:   " \x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞␠／",
		out:  "␠␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞␠／",
	}, { // 347
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␠\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞␠／",
		out:  "‛␠␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞␠／",
	}, { // 348
		mask: EncodeCtl | EncodeLeftSpace,
		in:   " \x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς␠",
		out:  "␠␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς␠",
	}, { // 349
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "␠\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς␠",
		out:  "‛␠␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς␠",
	}, { // 350
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β $ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς／",
		out:  "β $ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς／",
	}, { // 351
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β␠$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς／",
		out:  "β␠$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς／",
	}, { // 352
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β $ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞␠／",
		out:  "β $ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞␠／",
	}, { // 353
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β␠$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞␠／",
		out:  "β␠$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞␠／",
	}, { // 354
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β $ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς␠",
		out:  "β $ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς␠",
	}, { // 355
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β␠$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς␠",
		out:  "β␠$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς␠",
	}, { // 356
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ ／",
		out:  "β␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ ／",
	}, { // 357
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞␠／",
		out:  "β␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞␠／",
	}, { // 358
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ ␠",
		out:  "β␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ ␠",
	}, { // 359
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞␠␠",
		out:  "β␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞␠␠",
	}, { // 360
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς ",
		out:  "β␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς ",
	}, { // 361
		mask: EncodeCtl | EncodeLeftSpace,
		in:   "β\x0f$ψε\x1c)/／ｋ χｙ$\x12｜＼ο/ｉC7８？８\\␒␞ς␠",
		out:  "β␏$ψε␜)/／ｋ χｙ$␒｜＼ο/ｉC7８？８\\‛␒‛␞ς␠",
	}, { // 362
		mask: EncodeLeftPeriod,
		in:   ".",
		out:  "．",
	}, { // 363
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
		out:  "␉␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
	}, { // 364
		mask: EncodeZero | EncodeLeftPeriod,
		in:   ".．h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
		out:  "．．h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
	}, { // 365
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "．．h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
		out:  "‛．．h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
	}, { // 366
		mask: EncodeZero | EncodeLeftPeriod,
		in:   ".␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
		out:  "．␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
	}, { // 367
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "．␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
		out:  "‛．␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
	}, { // 368
		mask: EncodeZero | EncodeLeftPeriod,
		in:   ".␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
		out:  "．␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
	}, { // 369
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "．␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
		out:  "‛．␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
	}, { // 370
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉.h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
		out:  "␉.h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
	}, { // 371
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉．h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
		out:  "␉．h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔo",
	}, { // 372
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉.h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
		out:  "␉.h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
	}, { // 373
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉．h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
		out:  "␉．h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
	}, { // 374
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉.h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
		out:  "␉.h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
	}, { // 375
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉．h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
		out:  "␉．h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
	}, { // 376
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ.o",
		out:  "␉␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ.o",
	}, { // 377
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
		out:  "␉␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．o",
	}, { // 378
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ.．",
		out:  "␉␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ.．",
	}, { // 379
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．．",
		out:  "␉␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖ．．",
	}, { // 380
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ.",
		out:  "␉␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ.",
	}, { // 381
		mask: EncodeZero | EncodeLeftPeriod,
		in:   "␉␓h␊␉\x1a＿w\x19ζ.␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
		out:  "␉␓h␊␉\x1a＿w\x19ζ.‛␀Ｋｍδ$t␂*θFＩμζο/\x06ｖｔ．",
	}, { // 382
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
		out:  ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
	}, { // 383
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ".．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
		out:  "．．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
	}, { // 384
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "．．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
		out:  "‛．．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
	}, { // 385
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ".ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
		out:  "．ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
	}, { // 386
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "．ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
		out:  "‛．ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
	}, { // 387
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ".ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
		out:  "．ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
	}, { // 388
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   "．ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
		out:  "‛．ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
	}, { // 389
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":.\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
		out:  ":.\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
	}, { // 390
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
		out:  ":．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π9",
	}, { // 391
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":.\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
		out:  ":.\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
	}, { // 392
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
		out:  ":．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
	}, { // 393
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":.\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
		out:  ":.\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
	}, { // 394
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
		out:  ":．\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
	}, { // 395
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03.9",
		out:  ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03.9",
	}, { // 396
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
		out:  ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．9",
	}, { // 397
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03.．",
		out:  ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03.．",
	}, { // 398
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．．",
		out:  ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03．．",
	}, { // 399
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π.",
		out:  ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π.",
	}, { // 400
		mask: EncodeSlash | EncodeLeftPeriod,
		in:   ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
		out:  ":ρ\x02OＸF␡\a２＄.ｃ2;υσ\v␍Ｂ＄+ψwσ＼Ｉ：\x03π．",
	}, { // 401
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
		out:  "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
	}, { // 402
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   ".．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
		out:  "．．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
	}, { // 403
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "．．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
		out:  "‛．．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
	}, { // 404
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   ".ηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
		out:  "．ηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
	}, { // 405
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "．ηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
		out:  "‛．ηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
	}, { // 406
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   ".ηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
		out:  "．ηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
	}, { // 407
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "．ηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
		out:  "‛．ηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
	}, { // 408
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎ.ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
		out:  "ｎ.ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
	}, { // 409
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎ．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
		out:  "ｎ．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌|",
	}, { // 410
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎ.ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
		out:  "ｎ.ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
	}, { // 411
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎ．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
		out:  "ｎ．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
	}, { // 412
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎ.ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
		out:  "ｎ.ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
	}, { // 413
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎ．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
		out:  "ｎ．ξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
	}, { // 414
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝.|",
		out:  "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝.|",
	}, { // 415
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
		out:  "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．|",
	}, { // 416
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝.．",
		out:  "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝.．",
	}, { // 417
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．．",
		out:  "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝．．",
	}, { // 418
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌.",
		out:  "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌.",
	}, { // 419
		mask: EncodeSingleQuote | EncodeLeftPeriod,
		in:   "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
		out:  "ｎηξa]␝｜ｃ\x1e␒.｀ρX～］ｑLfισ＋t\t\x035:␝␌．",
	}, { // 420
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
		out:  "５:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
	}, { // 421
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   ".．\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
		out:  "．．\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
	}, { // 422
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "．．\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
		out:  "‛．．\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
	}, { // 423
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   ".:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
		out:  "．:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
	}, { // 424
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "．:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
		out:  "‛．:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
	}, { // 425
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   ".:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
		out:  "．:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
	}, { // 426
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "．:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
		out:  "‛．:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
	}, { // 427
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５.\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
		out:  "５.\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
	}, { // 428
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５．\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
		out:  "５．\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆δ",
	}, { // 429
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５.\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
		out:  "５.\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
	}, { // 430
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５．\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
		out:  "５．\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
	}, { // 431
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５.\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
		out:  "５.\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
	}, { // 432
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５．\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
		out:  "５．\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
	}, { // 433
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５.δ",
		out:  "５:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５.δ",
	}, { // 434
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
		out:  "５:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．δ",
	}, { // 435
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５.．",
		out:  "５:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５.．",
	}, { // 436
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．．",
		out:  "５:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５．．",
	}, { // 437
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆.",
		out:  "５:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆.",
	}, { // 438
		mask: EncodeBackQuote | EncodeLeftPeriod,
		in:   "５:\x14｀\x06`ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
		out:  "５:\x14‛｀\x06｀ＶＰ］κ.]\nｒ＊ψｇ!␐Nβ␍ω?cM\x1b５␆．",
	}, { // 439
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
		out:  "&＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
	}, { // 440
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   ".．␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
		out:  "．．␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
	}, { // 441
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "．．␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
		out:  "‛．．␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
	}, { // 442
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   ".>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
		out:  "．＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
	}, { // 443
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "．>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
		out:  "‛．＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
	}, { // 444
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   ".>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
		out:  "．＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
	}, { // 445
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "．>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
		out:  "‛．＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
	}, { // 446
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&.␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
		out:  "&.␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
	}, { // 447
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&．␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
		out:  "&．␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυθ",
	}, { // 448
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&.␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
		out:  "&.␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
	}, { // 449
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&．␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
		out:  "&．␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
	}, { // 450
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&.␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
		out:  "&.␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
	}, { // 451
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&．␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
		out:  "&．␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
	}, { // 452
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λ.θ",
		out:  "&＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λ.θ",
	}, { // 453
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
		out:  "&＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λ．θ",
	}, { // 454
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λ.．",
		out:  "&＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λ.．",
	}, { // 455
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λ．．",
		out:  "&＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λ．．",
	}, { // 456
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυ.",
		out:  "&＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυ.",
	}, { // 457
		mask: EncodeLtGt | EncodeLeftPeriod,
		in:   "&>␛\r␌＄υ␛u０.<w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
		out:  "&＞␛\r␌＄υ␛u０.＜w]ι\x04f４／␛．\x11＂π\x013＄λυ．",
	}, { // 458
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη\u007f",
		out:  "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη\u007f",
	}, { // 459
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   ".．ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη\u007f",
		out:  "．．ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη\u007f",
	}, { // 460
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "．．ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη\u007f",
		out:  "‛．．ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη\u007f",
	}, { // 461
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   ".|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨ．\u007f",
		out:  "．|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨ．\u007f",
	}, { // 462
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "．|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨ．\u007f",
		out:  "‛．|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨ．\u007f",
	}, { // 463
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   ".|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη．",
		out:  "．|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη．",
	}, { // 464
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "．|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη．",
		out:  "‛．|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη．",
	}, { // 465
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P.ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη\u007f",
		out:  "P.ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη\u007f",
	}, { // 466
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P．ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη\u007f",
		out:  "P．ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη\u007f",
	}, { // 467
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P.ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨ．\u007f",
		out:  "P.ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨ．\u007f",
	}, { // 468
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P．ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨ．\u007f",
		out:  "P．ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨ．\u007f",
	}, { // 469
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P.ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη．",
		out:  "P.ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη．",
	}, { // 470
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P．ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη．",
		out:  "P．ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη．",
	}, { // 471
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨ.\u007f",
		out:  "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨ.\u007f",
	}, { // 472
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨ．\u007f",
		out:  "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨ．\u007f",
	}, { // 473
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨ.．",
		out:  "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨ.．",
	}, { // 474
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨ．．",
		out:  "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨ．．",
	}, { // 475
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη.",
		out:  "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη.",
	}, { // 476
		mask: EncodeSquareBracket | EncodeLeftPeriod,
		in:   "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞␀;μ␏／;␁ＸＨη．",
		out:  "P|ο５ｖ\nm` ;.ａ＇dαbξ␈␞‛␀;μ␏／;␁ＸＨη．",
	}, { // 477
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
		out:  "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
	}, { // 478
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   ".．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
		out:  "．．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
	}, { // 479
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "．．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
		out:  "‛．．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
	}, { // 480
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   ".#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
		out:  "．#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
	}, { // 481
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "．#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
		out:  "‛．#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
	}, { // 482
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   ".#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
		out:  "．#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
	}, { // 483
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "．#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
		out:  "‛．#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
	}, { // 484
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*.θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
		out:  "*.θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
	}, { // 485
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
		out:  "*．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\fσ",
	}, { // 486
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*.θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
		out:  "*.θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
	}, { // 487
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
		out:  "*．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
	}, { // 488
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*.θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
		out:  "*.θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
	}, { // 489
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
		out:  "*．θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
	}, { // 490
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με.σ",
		out:  "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με.σ",
	}, { // 491
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
		out:  "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．σ",
	}, { // 492
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με.．",
		out:  "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με.．",
	}, { // 493
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．．",
		out:  "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με．．",
	}, { // 494
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f.",
		out:  "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f.",
	}, { // 495
		mask: EncodeSemicolon | EncodeLeftPeriod,
		in:   "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
		out:  "*#θ[␍η|xｒ`.ｊ␋ξs＝␜␚＂0）／\\A\x05␈με\f．",
	}, { // 496
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
		out:  "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
	}, { // 497
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   ".．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
		out:  "．．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
	}, { // 498
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "．．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
		out:  "‛．．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
	}, { // 499
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   ".χη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
		out:  "．χη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
	}, { // 500
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "．χη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
		out:  "‛．χη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
	}, { // 501
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   ".χη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
		out:  "．χη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
	}, { // 502
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "．χη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
		out:  "‛．χη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
	}, { // 503
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1e.η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
		out:  "\x1e.η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
	}, { // 504
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1e．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
		out:  "\x1e．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M␉",
	}, { // 505
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1e.η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
		out:  "\x1e.η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
	}, { // 506
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1e．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
		out:  "\x1e．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
	}, { // 507
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1e.η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
		out:  "\x1e.η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
	}, { // 508
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1e．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
		out:  "\x1e．η>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
	}, { // 509
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜.␉",
		out:  "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜.␉",
	}, { // 510
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
		out:  "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．␉",
	}, { // 511
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜.．",
		out:  "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜.．",
	}, { // 512
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．．",
		out:  "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜．．",
	}, { // 513
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M.",
		out:  "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M.",
	}, { // 514
		mask: EncodeDollar | EncodeLeftPeriod,
		in:   "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
		out:  "\x1eχη>\x127/：Ａβ.\x17Ｘ1␆＞|υ\uff00#０＜ψLψ<␃｜M．",
	}, { // 515
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
		out:  "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
	}, { // 516
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   ".．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
		out:  "．．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
	}, { // 517
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "．．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
		out:  "‛．．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
	}, { // 518
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   ".ｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
		out:  "．ｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
	}, { // 519
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "．ｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
		out:  "‛．ｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
	}, { // 520
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   ".ｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
		out:  "．ｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
	}, { // 521
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "．ｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
		out:  "‛．ｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
	}, { // 522
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "π.$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
		out:  "π.$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
	}, { // 523
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "π．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
		out:  "π．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／␑",
	}, { // 524
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "π.$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
		out:  "π.$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
	}, { // 525
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "π．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
		out:  "π．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
	}, { // 526
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "π.$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
		out:  "π.$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
	}, { // 527
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "π．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
		out:  "π．$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
	}, { // 528
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|.␑",
		out:  "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|.␑",
	}, { // 529
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
		out:  "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．␑",
	}, { // 530
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|.．",
		out:  "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|.．",
	}, { // 531
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．．",
		out:  "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|．．",
	}, { // 532
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／.",
		out:  "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／.",
	}, { // 533
		mask: EncodeDoubleQuote | EncodeLeftPeriod,
		in:   "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
		out:  "πｍ$４\u007fθ`?ｗ－.χ~βX\x01␇]]ｓ＄)＇␉vλ␒|／．",
	}, { // 534
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φπ.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
		out:  "φπ.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
	}, { // 535
		mask: EncodeColon | EncodeLeftPeriod,
		in:   ".．.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
		out:  "．．.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
	}, { // 536
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "．．.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
		out:  "‛．．.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
	}, { // 537
		mask: EncodeColon | EncodeLeftPeriod,
		in:   ".π.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
		out:  "．π.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
	}, { // 538
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "．π.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
		out:  "‛．π.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
	}, { // 539
		mask: EncodeColon | EncodeLeftPeriod,
		in:   ".π.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
		out:  "．π.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
	}, { // 540
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "．π.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
		out:  "‛．π.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
	}, { // 541
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φ..k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
		out:  "φ..k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
	}, { // 542
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φ．.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
		out:  "φ．.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02\x01",
	}, { // 543
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φ..k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
		out:  "φ..k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
	}, { // 544
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φ．.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
		out:  "φ．.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
	}, { // 545
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φ..k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
		out:  "φ..k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
	}, { // 546
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φ．.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
		out:  "φ．.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
	}, { // 547
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φπ.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r..\x01",
		out:  "φπ.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r..\x01",
	}, { // 548
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φπ.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
		out:  "φπ.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.．\x01",
	}, { // 549
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φπ.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r..．",
		out:  "φπ.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r..．",
	}, { // 550
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φπ.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.．．",
		out:  "φπ.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.．．",
	}, { // 551
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φπ.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02.",
		out:  "φπ.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02.",
	}, { // 552
		mask: EncodeColon | EncodeLeftPeriod,
		in:   "φπ.k？␟μｆ\x13ｚ.：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
		out:  "φπ.k？␟μｆ\x13ｚ.‛：;［｜␆0␄Ｓνρ%６｜13\r.\x02．",
	}, { // 553
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
		out:  "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
	}, { // 554
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   ".．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
		out:  "．．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
	}, { // 555
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "．．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
		out:  "‛．．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
	}, { // 556
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   ".δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
		out:  "．δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
	}, { // 557
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "．δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
		out:  "‛．δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
	}, { // 558
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   ".δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
		out:  "．δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
	}, { // 559
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "．δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
		out:  "‛．δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
	}, { // 560
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04.!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
		out:  "\x04.!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
	}, { // 561
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
		out:  "\x04．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕｉ",
	}, { // 562
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04.!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
		out:  "\x04.!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
	}, { // 563
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
		out:  "\x04．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
	}, { // 564
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04.!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
		out:  "\x04.!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
	}, { // 565
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
		out:  "\x04．!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
	}, { // 566
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8.ｉ",
		out:  "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8.ｉ",
	}, { // 567
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
		out:  "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．ｉ",
	}, { // 568
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8.．",
		out:  "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8.．",
	}, { // 569
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．．",
		out:  "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8．．",
	}, { // 570
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ.",
		out:  "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ.",
	}, { // 571
		mask: EncodeQuestion | EncodeLeftPeriod,
		in:   "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
		out:  "\x04δ!\x17υＳ＃␉ς［.\\>␟Ｖχς！\x13;ξ\x17\x10８Fg␄8Ｕ．",
	}, { // 572
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
		out:  "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
	}, { // 573
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   ".．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
		out:  "．．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
	}, { // 574
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "．．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
		out:  "‛．．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
	}, { // 575
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   ".Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
		out:  "．Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
	}, { // 576
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "．Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
		out:  "‛．Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
	}, { // 577
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   ".Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
		out:  "．Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
	}, { // 578
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "．Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
		out:  "‛．Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
	}, { // 579
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|.\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
		out:  "|.\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
	}, { // 580
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
		out:  "|．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ<",
	}, { // 581
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|.\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
		out:  "|.\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
	}, { // 582
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
		out:  "|．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
	}, { // 583
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|.\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
		out:  "|.\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
	}, { // 584
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
		out:  "|．\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
	}, { // 585
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|.<",
		out:  "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|.<",
	}, { // 586
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
		out:  "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．<",
	}, { // 587
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|.．",
		out:  "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|.．",
	}, { // 588
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．．",
		out:  "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|．．",
	}, { // 589
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ.",
		out:  "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ.",
	}, { // 590
		mask: EncodeAsterisk | EncodeLeftPeriod,
		in:   "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
		out:  "|Ｓ\bθ-α｜Ｋ␂␟.\x06η␎&\x13＄␊7（θ｛ωf␓／e|τ．",
	}, { // 591
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
		out:  "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
	}, { // 592
		mask: EncodePipe | EncodeLeftPeriod,
		in:   ".．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
		out:  "．．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
	}, { // 593
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "．．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
		out:  "‛．．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
	}, { // 594
		mask: EncodePipe | EncodeLeftPeriod,
		in:   ".\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
		out:  "．\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
	}, { // 595
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "．\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
		out:  "‛．\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
	}, { // 596
		mask: EncodePipe | EncodeLeftPeriod,
		in:   ".\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
		out:  "．\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
	}, { // 597
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "．\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
		out:  "‛．\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
	}, { // 598
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊.4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
		out:  "␊.4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
	}, { // 599
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
		out:  "␊．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b＾",
	}, { // 600
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊.4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
		out:  "␊.4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
	}, { // 601
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
		out:  "␊．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
	}, { // 602
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊.4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
		out:  "␊.4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
	}, { // 603
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
		out:  "␊．4␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
	}, { // 604
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6.＾",
		out:  "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6.＾",
	}, { // 605
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
		out:  "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．＾",
	}, { // 606
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6.．",
		out:  "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6.．",
	}, { // 607
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．．",
		out:  "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6．．",
	}, { // 608
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b.",
		out:  "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b.",
	}, { // 609
		mask: EncodePipe | EncodeLeftPeriod,
		in:   "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
		out:  "␊\x164␁$）＼Ｌ：[.{φ｀＜tκ\\εＬ４␍μσλ\x12 6\x1b．",
	}, { // 610
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
		out:  "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
	}, { // 611
		mask: EncodeHash | EncodeLeftPeriod,
		in:   ".．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
		out:  "．．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
	}, { // 612
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "．．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
		out:  "‛．．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
	}, { // 613
		mask: EncodeHash | EncodeLeftPeriod,
		in:   ".␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
		out:  "．␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
	}, { // 614
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "．␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
		out:  "‛．␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
	}, { // 615
		mask: EncodeHash | EncodeLeftPeriod,
		in:   ".␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
		out:  "．␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
	}, { // 616
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "．␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
		out:  "‛．␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
	}, { // 617
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η.ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
		out:  "η.ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
	}, { // 618
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
		out:  "η．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩBι",
	}, { // 619
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η.ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
		out:  "η.ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
	}, { // 620
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
		out:  "η．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
	}, { // 621
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η.ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
		out:  "η.ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
	}, { // 622
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
		out:  "η．ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
	}, { // 623
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ.ι",
		out:  "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ.ι",
	}, { // 624
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
		out:  "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．ι",
	}, { // 625
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ.．",
		out:  "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ.．",
	}, { // 626
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．．",
		out:  "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)Ｉ．．",
	}, { // 627
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB.",
		out:  "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB.",
	}, { // 628
		mask: EncodeHash | EncodeLeftPeriod,
		in:   "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
		out:  "η␊ｗＷ␑␎ｂ\x1f［S.\bQTδση{␋］\r＜\vθ\x1e␃)ＩB．",
	}, { // 629
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
		out:  "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
	}, { // 630
		mask: EncodePercent | EncodeLeftPeriod,
		in:   ".．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
		out:  "．．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
	}, { // 631
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "．．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
		out:  "‛．．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
	}, { // 632
		mask: EncodePercent | EncodeLeftPeriod,
		in:   ".＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
		out:  "．＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
	}, { // 633
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "．＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
		out:  "‛．＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
	}, { // 634
		mask: EncodePercent | EncodeLeftPeriod,
		in:   ".＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
		out:  "．＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
	}, { // 635
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "．＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
		out:  "‛．＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
	}, { // 636
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q.ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
		out:  "q.ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
	}, { // 637
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
		out:  "q．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛Ｘ",
	}, { // 638
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q.ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
		out:  "q.ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
	}, { // 639
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
		out:  "q．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
	}, { // 640
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q.ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
		out:  "q.ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
	}, { // 641
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
		out:  "q．ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
	}, { // 642
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f.Ｘ",
		out:  "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f.Ｘ",
	}, { // 643
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
		out:  "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．Ｘ",
	}, { // 644
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f.．",
		out:  "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f.．",
	}, { // 645
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．．",
		out:  "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f．．",
	}, { // 646
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛.",
		out:  "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛.",
	}, { // 647
		mask: EncodePercent | EncodeLeftPeriod,
		in:   "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
		out:  "q＄ｃ＄Mλ0␊ｊ#.\x1cδyηＶ␄ψ／λ＋＄$\ah\tο\u007f␛．",
	}, { // 648
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
		out:  "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
	}, { // 649
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   ".．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
		out:  "．．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
	}, { // 650
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "．．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
		out:  "‛．．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
	}, { // 651
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   ".ｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
		out:  "．ｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
	}, { // 652
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "．ｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
		out:  "‛．ｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
	}, { // 653
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   ".ｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
		out:  "．ｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
	}, { // 654
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "．ｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
		out:  "‛．ｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
	}, { // 655
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρ.␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
		out:  "ρ.␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
	}, { // 656
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρ．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
		out:  "ρ．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／\x12",
	}, { // 657
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρ.␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
		out:  "ρ.␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
	}, { // 658
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρ．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
		out:  "ρ．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
	}, { // 659
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρ.␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
		out:  "ρ.␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
	}, { // 660
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρ．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
		out:  "ρ．␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
	}, { // 661
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r.\x12",
		out:  "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r.\x12",
	}, { // 662
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
		out:  "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．\x12",
	}, { // 663
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r.．",
		out:  "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r.．",
	}, { // 664
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．．",
		out:  "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r．．",
	}, { // 665
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／.",
		out:  "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／.",
	}, { // 666
		mask: EncodeBackSlash | EncodeLeftPeriod,
		in:   "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
		out:  "ρｚ␜␡！␓Gb；3.␇ζχ\x16ｌ８α\x16HＲγλk␈/`\r／．",
	}, { // 667
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
		out:  "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
	}, { // 668
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   ".．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
		out:  "．．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
	}, { // 669
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "．．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
		out:  "‛．．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
	}, { // 670
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   ".zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
		out:  "．zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
	}, { // 671
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "．zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
		out:  "‛．zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
	}, { // 672
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   ".zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
		out:  "．zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
	}, { // 673
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "．zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
		out:  "‛．zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
	}, { // 674
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\.Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
		out:  "\\.Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
	}, { // 675
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
		out:  "\\．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=␛",
	}, { // 676
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\.Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
		out:  "\\.Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
	}, { // 677
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
		out:  "\\．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
	}, { // 678
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\.Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
		out:  "\\.Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
	}, { // 679
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
		out:  "\\．Ｒ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
	}, { // 680
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡.␛",
		out:  "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡.␛",
	}, { // 681
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
		out:  "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．␛",
	}, { // 682
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡.．",
		out:  "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡.．",
	}, { // 683
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．．",
		out:  "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡．．",
	}, { // 684
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=.",
		out:  "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=.",
	}, { // 685
		mask: EncodeCrLf | EncodeLeftPeriod,
		in:   "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
		out:  "\\zＲ＇π．\uff00/'ｎ.φ \x13␎＞ｆ\x15％|σd]ξＴαρ␡=．",
	}, { // 686
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
		out:  "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
	}, { // 687
		mask: EncodeDel | EncodeLeftPeriod,
		in:   ".．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
		out:  "．．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
	}, { // 688
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "．．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
		out:  "‛．．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
	}, { // 689
		mask: EncodeDel | EncodeLeftPeriod,
		in:   ".5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
		out:  "．5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
	}, { // 690
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "．5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
		out:  "‛．5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
	}, { // 691
		mask: EncodeDel | EncodeLeftPeriod,
		in:   ".5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
		out:  "．5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
	}, { // 692
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "．5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
		out:  "‛．5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
	}, { // 693
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ.n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
		out:  "Ｃ.n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
	}, { // 694
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
		out:  "Ｃ．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞␉",
	}, { // 695
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ.n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
		out:  "Ｃ.n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
	}, { // 696
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
		out:  "Ｃ．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
	}, { // 697
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ.n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
		out:  "Ｃ.n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
	}, { // 698
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
		out:  "Ｃ．n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
	}, { // 699
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r.␉",
		out:  "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r.␉",
	}, { // 700
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
		out:  "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．␉",
	}, { // 701
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r.．",
		out:  "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r.．",
	}, { // 702
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．．",
		out:  "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r．．",
	}, { // 703
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞.",
		out:  "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞.",
	}, { // 704
		mask: EncodeDel | EncodeLeftPeriod,
		in:   "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
		out:  "Ｃ5n>ｎＵ\rι\x15␔.λ\x1dμω\"ＳＩ\r*ｔ］％\x1eμ}␝r＞．",
	}, { // 705
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x150",
		out:  "|‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕0",
	}, { // 706
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   ".．ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x150",
		out:  "．．ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕0",
	}, { // 707
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "．．ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x150",
		out:  "‛．．ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕0",
	}, { // 708
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   ".␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ．0",
		out:  "．‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ．0",
	}, { // 709
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "．␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ．0",
		out:  "‛．‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ．0",
	}, { // 710
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   ".␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x15．",
		out:  "．‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕．",
	}, { // 711
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "．␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x15．",
		out:  "‛．‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕．",
	}, { // 712
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|.ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x150",
		out:  "|.ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕0",
	}, { // 713
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|．ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x150",
		out:  "|．ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕0",
	}, { // 714
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|.ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ．0",
		out:  "|.ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ．0",
	}, { // 715
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|．ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ．0",
		out:  "|．ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ．0",
	}, { // 716
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|.ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x15．",
		out:  "|.ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕．",
	}, { // 717
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|．ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x15．",
		out:  "|．ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕．",
	}, { // 718
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ.0",
		out:  "|‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ.0",
	}, { // 719
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ．0",
		out:  "|‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ．0",
	}, { // 720
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ.．",
		out:  "|‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ.．",
	}, { // 721
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ．．",
		out:  "|‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ．．",
	}, { // 722
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x15.",
		out:  "|‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕.",
	}, { // 723
		mask: EncodeCtl | EncodeLeftPeriod,
		in:   "|␍ｊψ␗\rλ␀φ\x14.␃Ｐ{％[ｔ｜／$ζ{θ@o␝ｐμ\x15．",
		out:  "|‛␍ｊψ‛␗␍λ‛␀φ␔.‛␃Ｐ{％[ｔ｜／$ζ{θ@o‛␝ｐμ␕．",
	}, { // 724
		mask: EncodeLeftTilde,
		in:   "~",
		out:  "～",
	}, { // 725
		mask: EncodeZero | EncodeLeftTilde,
		in:   "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|ω",
		out:  "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|ω",
	}, { // 726
		mask: EncodeZero | EncodeLeftTilde,
		in:   "~～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|ω",
		out:  "～～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|ω",
	}, { // 727
		mask: EncodeZero | EncodeLeftTilde,
		in:   "～～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|ω",
		out:  "‛～～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|ω",
	}, { // 728
		mask: EncodeZero | EncodeLeftTilde,
		in:   "~η／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃～ω",
		out:  "～η／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃～ω",
	}, { // 729
		mask: EncodeZero | EncodeLeftTilde,
		in:   "～η／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃～ω",
		out:  "‛～η／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃～ω",
	}, { // 730
		mask: EncodeZero | EncodeLeftTilde,
		in:   "~η／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|～",
		out:  "～η／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|～",
	}, { // 731
		mask: EncodeZero | EncodeLeftTilde,
		in:   "～η／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|～",
		out:  "‛～η／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|～",
	}, { // 732
		mask: EncodeZero | EncodeLeftTilde,
		in:   "v~／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|ω",
		out:  "v~／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|ω",
	}, { // 733
		mask: EncodeZero | EncodeLeftTilde,
		in:   "v～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|ω",
		out:  "v～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|ω",
	}, { // 734
		mask: EncodeZero | EncodeLeftTilde,
		in:   "v~／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃～ω",
		out:  "v~／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃～ω",
	}, { // 735
		mask: EncodeZero | EncodeLeftTilde,
		in:   "v～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃～ω",
		out:  "v～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃～ω",
	}, { // 736
		mask: EncodeZero | EncodeLeftTilde,
		in:   "v~／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|～",
		out:  "v~／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|～",
	}, { // 737
		mask: EncodeZero | EncodeLeftTilde,
		in:   "v～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|～",
		out:  "v～／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|～",
	}, { // 738
		mask: EncodeZero | EncodeLeftTilde,
		in:   "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃~ω",
		out:  "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃~ω",
	}, { // 739
		mask: EncodeZero | EncodeLeftTilde,
		in:   "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃～ω",
		out:  "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃～ω",
	}, { // 740
		mask: EncodeZero | EncodeLeftTilde,
		in:   "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃~～",
		out:  "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃~～",
	}, { // 741
		mask: EncodeZero | EncodeLeftTilde,
		in:   "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃～～",
		out:  "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃～～",
	}, { // 742
		mask: EncodeZero | EncodeLeftTilde,
		in:   "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|~",
		out:  "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|~",
	}, { // 743
		mask: EncodeZero | EncodeLeftTilde,
		in:   "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ\x00μ\x19␐#１Oι␃|～",
		out:  "vη／?Ｃ＂＂＃␅\x17~\x1dＺ２［]mθλ␀μ\x19␐#１Oι␃|～",
	}, { // 744
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "MWｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－？",
		out:  "MWｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－？",
	}, { // 745
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "~～ｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－？",
		out:  "～～ｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－？",
	}, { // 746
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "～～ｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－？",
		out:  "‛～～ｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－？",
	}, { // 747
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "~Wｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠～？",
		out:  "～Wｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠～？",
	}, { // 748
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "～Wｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠～？",
		out:  "‛～Wｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠～？",
	}, { // 749
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "~Wｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－～",
		out:  "～Wｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－～",
	}, { // 750
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "～Wｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－～",
		out:  "‛～Wｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－～",
	}, { // 751
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "M~ｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－？",
		out:  "M~ｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－？",
	}, { // 752
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "M～ｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－？",
		out:  "M～ｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－？",
	}, { // 753
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "M~ｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠～？",
		out:  "M~ｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠～？",
	}, { // 754
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "M～ｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠～？",
		out:  "M～ｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠～？",
	}, { // 755
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "M~ｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－～",
		out:  "M~ｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－～",
	}, { // 756
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "M～ｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－～",
		out:  "M～ｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－～",
	}, { // 757
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "MWｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠~？",
		out:  "MWｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠~？",
	}, { // 758
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "MWｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠～？",
		out:  "MWｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠～？",
	}, { // 759
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "MWｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠~～",
		out:  "MWｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠~～",
	}, { // 760
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "MWｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠～～",
		out:  "MWｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠～～",
	}, { // 761
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "MWｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－~",
		out:  "MWｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－~",
	}, { // 762
		mask: EncodeSlash | EncodeLeftTilde,
		in:   "MWｇ＇％␙␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι/＠－～",
		out:  "MWｇ＇％␙‛␀αA＠~\x18\v＆δ*Uｐ[λδ␋x\x16ιι／＠－～",
	}, { // 763
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
		out:  "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
	}, { // 764
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "~～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
		out:  "～～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
	}, { // 765
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "～～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
		out:  "‛～～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
	}, { // 766
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "~ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
		out:  "～ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
	}, { // 767
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "～ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
		out:  "‛～ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
	}, { // 768
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "~ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
		out:  "～ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
	}, { // 769
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "～ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
		out:  "‛～ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
	}, { // 770
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞~I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
		out:  "＞~I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
	}, { // 771
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
		out:  "＞～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\nν",
	}, { // 772
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞~I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
		out:  "＞~I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
	}, { // 773
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
		out:  "＞～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
	}, { // 774
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞~I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
		out:  "＞~I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
	}, { // 775
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
		out:  "＞～I#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
	}, { // 776
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇~ν",
		out:  "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇~ν",
	}, { // 777
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
		out:  "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～ν",
	}, { // 778
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇~～",
		out:  "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇~～",
	}, { // 779
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～～",
		out:  "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇～～",
	}, { // 780
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n~",
		out:  "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n~",
	}, { // 781
		mask: EncodeSingleQuote | EncodeLeftTilde,
		in:   "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
		out:  "＞ωI#ςh5\v］\x0e~｝␍␝\uff00\x15ｐσ␑uFμ␁Ｌ\x10cω␇\n～",
	}, { // 782
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
		out:  "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
	}, { // 783
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "~～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
		out:  "～～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
	}, { // 784
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "～～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
		out:  "‛～～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
	}, { // 785
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "~\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
		out:  "～\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
	}, { // 786
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "～\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
		out:  "‛～\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
	}, { // 787
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "~\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
		out:  "～\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
	}, { // 788
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "～\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
		out:  "‛～\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
	}, { // 789
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ~１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
		out:  "ｙ~１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
	}, { // 790
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
		out:  "ｙ～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂Ｐ",
	}, { // 791
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ~１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
		out:  "ｙ~１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
	}, { // 792
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
		out:  "ｙ～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
	}, { // 793
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ~１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
		out:  "ｙ~１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
	}, { // 794
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
		out:  "ｙ～１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
	}, { // 795
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾~Ｐ",
		out:  "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾~Ｐ",
	}, { // 796
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
		out:  "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～Ｐ",
	}, { // 797
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾~～",
		out:  "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾~～",
	}, { // 798
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～～",
		out:  "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾～～",
	}, { // 799
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂~",
		out:  "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂~",
	}, { // 800
		mask: EncodeBackQuote | EncodeLeftTilde,
		in:   "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
		out:  "ｙ\x18１\x03κ␊ς␗<w~rCβ*␓AηＰλ[␗[hＶ\x01␁＾␂～",
	}, { // 801
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
		out:  "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
	}, { // 802
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "~～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
		out:  "～～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
	}, { // 803
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "～～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
		out:  "‛～～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
	}, { // 804
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "~\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
		out:  "～\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
	}, { // 805
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "～\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
		out:  "‛～\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
	}, { // 806
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "~\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
		out:  "～\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
	}, { // 807
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "～\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
		out:  "‛～\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
	}, { // 808
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α~ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
		out:  "α~ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
	}, { // 809
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
		out:  "α～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］κ",
	}, { // 810
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α~ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
		out:  "α~ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
	}, { // 811
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
		out:  "α～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
	}, { // 812
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α~ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
		out:  "α~ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
	}, { // 813
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
		out:  "α～ςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
	}, { // 814
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10~κ",
		out:  "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10~κ",
	}, { // 815
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
		out:  "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～κ",
	}, { // 816
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10~～",
		out:  "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10~～",
	}, { // 817
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～～",
		out:  "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10～～",
	}, { // 818
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］~",
		out:  "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］~",
	}, { // 819
		mask: EncodeLtGt | EncodeLeftTilde,
		in:   "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
		out:  "α\x0fςnＷ｀ｇπ：P~C\x14[\x14％%３μ␏␙\x0eφM＂％；\x10］～",
	}, { // 820
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "ＱζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`␜",
		out:  "ＱζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`␜",
	}, { // 821
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "~～χB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`␜",
		out:  "～～χB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`␜",
	}, { // 822
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "～～χB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`␜",
		out:  "‛～～χB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`␜",
	}, { // 823
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "~ζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t～␜",
		out:  "～ζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t～␜",
	}, { // 824
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "～ζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t～␜",
		out:  "‛～ζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t～␜",
	}, { // 825
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "~ζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`～",
		out:  "～ζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`～",
	}, { // 826
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "～ζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`～",
		out:  "‛～ζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`～",
	}, { // 827
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "Ｑ~χB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`␜",
		out:  "Ｑ~χB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`␜",
	}, { // 828
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "Ｑ～χB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`␜",
		out:  "Ｑ～χB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`␜",
	}, { // 829
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "Ｑ~χB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t～␜",
		out:  "Ｑ~χB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t～␜",
	}, { // 830
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "Ｑ～χB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t～␜",
		out:  "Ｑ～χB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t～␜",
	}, { // 831
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "Ｑ~χB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`～",
		out:  "Ｑ~χB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`～",
	}, { // 832
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "Ｑ～χB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`～",
		out:  "Ｑ～χB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`～",
	}, { // 833
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "ＱζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t~␜",
		out:  "ＱζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t~␜",
	}, { // 834
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "ＱζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t～␜",
		out:  "ＱζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t～␜",
	}, { // 835
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "ＱζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t~～",
		out:  "ＱζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t~～",
	}, { // 836
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "ＱζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t～～",
		out:  "ＱζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t～～",
	}, { // 837
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "ＱζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`~",
		out:  "ＱζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`~",
	}, { // 838
		mask: EncodeSquareBracket | EncodeLeftTilde,
		in:   "ＱζχB\a␟σχ␎␓~J：C>\nｆ，[8（␆η＿δ\a␍t`～",
		out:  "ＱζχB\a␟σχ␎␓~J：C>\nｆ，［8（␆η＿δ\a␍t`～",
	}, { // 839
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
		out:  "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
	}, { // 840
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "~～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
		out:  "～～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
	}, { // 841
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "～～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
		out:  "‛～～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
	}, { // 842
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "~␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
		out:  "～␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
	}, { // 843
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "～␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
		out:  "‛～␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
	}, { // 844
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "~␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
		out:  "～␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
	}, { // 845
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "～␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
		out:  "‛～␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
	}, { // 846
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν~ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
		out:  "ν~ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
	}, { // 847
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
		out:  "ν～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k␝",
	}, { // 848
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν~ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
		out:  "ν~ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
	}, { // 849
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
		out:  "ν～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
	}, { // 850
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν~ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
		out:  "ν~ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
	}, { // 851
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
		out:  "ν～ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
	}, { // 852
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*~␝",
		out:  "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*~␝",
	}, { // 853
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
		out:  "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～␝",
	}, { // 854
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*~～",
		out:  "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*~～",
	}, { // 855
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～～",
		out:  "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*～～",
	}, { // 856
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k~",
		out:  "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k~",
	}, { // 857
		mask: EncodeSemicolon | EncodeLeftTilde,
		in:   "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
		out:  "ν␛ξ8-\x1d［ζｌ｀~πＬ＼\x12\u007f\x1d］．@－?\x03mμσ＄*k～",
	}, { // 858
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
		out:  ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
	}, { // 859
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "~～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
		out:  "～～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
	}, { // 860
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "～～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
		out:  "‛～～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
	}, { // 861
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "~ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
		out:  "～ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
	}, { // 862
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "～ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
		out:  "‛～ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
	}, { // 863
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "~ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
		out:  "～ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
	}, { // 864
		mask: EncodeDollar | EncodeLeftTilde,
		in:   "～ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
		out:  "‛～ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
	}, { // 865
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":~／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
		out:  ":~／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
	}, { // 866
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
		out:  ":～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1cF",
	}, { // 867
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":~／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
		out:  ":~／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
	}, { // 868
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
		out:  ":～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
	}, { // 869
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":~／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
		out:  ":~／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
	}, { // 870
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
		out:  ":～／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
	}, { // 871
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼~F",
		out:  ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼~F",
	}, { // 872
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
		out:  ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～F",
	}, { // 873
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼~～",
		out:  ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼~～",
	}, { // 874
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～～",
		out:  ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼～～",
	}, { // 875
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c~",
		out:  ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c~",
	}, { // 876
		mask: EncodeDollar | EncodeLeftTilde,
		in:   ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
		out:  ":ι／␡α#j４␎\x12~ｖ\r：\x10ｙ?εθｒ␡γ␟%ζ］X＼\x1c～",
	}, { // 877
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
		out:  "\x06γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
	}, { // 878
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "~～υＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
		out:  "～～υＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
	}, { // 879
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "～～υＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
		out:  "‛～～υＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
	}, { // 880
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "~γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
		out:  "～γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
	}, { // 881
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "～γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
		out:  "‛～γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
	}, { // 882
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "~γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
		out:  "～γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
	}, { // 883
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "～γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
		out:  "‛～γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
	}, { // 884
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06~υＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
		out:  "\x06~υＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
	}, { // 885
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06～υＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
		out:  "\x06～υＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊\\",
	}, { // 886
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06~υＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
		out:  "\x06~υＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
	}, { // 887
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06～υＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
		out:  "\x06～υＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
	}, { // 888
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06~υＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
		out:  "\x06~υＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
	}, { // 889
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06～υＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
		out:  "\x06～υＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
	}, { // 890
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=~\\",
		out:  "\x06γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=~\\",
	}, { // 891
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
		out:  "\x06γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=～\\",
	}, { // 892
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=~～",
		out:  "\x06γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=~～",
	}, { // 893
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=～～",
		out:  "\x06γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=～～",
	}, { // 894
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊~",
		out:  "\x06γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊~",
	}, { // 895
		mask: EncodeDoubleQuote | EncodeLeftTilde,
		in:   "\x06γυＤ]γλ*_␍~␎Ｑ\x00\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
		out:  "\x06γυＤ]γλ*_␍~␎Ｑ␀\rｅ␆␂h＿␅ａ-δηＩ\x15=␊～",
	}, { // 896
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
		out:  "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
	}, { // 897
		mask: EncodeColon | EncodeLeftTilde,
		in:   "~～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
		out:  "～～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
	}, { // 898
		mask: EncodeColon | EncodeLeftTilde,
		in:   "～～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
		out:  "‛～～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
	}, { // 899
		mask: EncodeColon | EncodeLeftTilde,
		in:   "~␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
		out:  "～␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
	}, { // 900
		mask: EncodeColon | EncodeLeftTilde,
		in:   "～␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
		out:  "‛～␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
	}, { // 901
		mask: EncodeColon | EncodeLeftTilde,
		in:   "~␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
		out:  "～␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
	}, { // 902
		mask: EncodeColon | EncodeLeftTilde,
		in:   "～␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
		out:  "‛～␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
	}, { // 903
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆~ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
		out:  "␆~ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
	}, { // 904
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
		out:  "␆～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ\x1d",
	}, { // 905
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆~ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
		out:  "␆~ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
	}, { // 906
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
		out:  "␆～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
	}, { // 907
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆~ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
		out:  "␆~ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
	}, { // 908
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
		out:  "␆～ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
	}, { // 909
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ~\x1d",
		out:  "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ~\x1d",
	}, { // 910
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
		out:  "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～\x1d",
	}, { // 911
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ~～",
		out:  "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ~～",
	}, { // 912
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～～",
		out:  "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗ～～",
	}, { // 913
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ~",
		out:  "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ~",
	}, { // 914
		mask: EncodeColon | EncodeLeftTilde,
		in:   "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
		out:  "␆␅ZAzχ＇\x1c\x1b\x14~␍ｃ＜υ［ＬM~\x0eν␕ν\nγHμｗｑ～",
	}, { // 915
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00`",
		out:  "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀`",
	}, { // 916
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "~～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00`",
		out:  "～～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀`",
	}, { // 917
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "～～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00`",
		out:  "‛～～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀`",
	}, { // 918
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "~ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍～`",
		out:  "～ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍～`",
	}, { // 919
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "～ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍～`",
		out:  "‛～ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍～`",
	}, { // 920
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "~ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00～",
		out:  "～ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀～",
	}, { // 921
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "～ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00～",
		out:  "‛～ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀～",
	}, { // 922
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［~ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00`",
		out:  "［~ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀`",
	}, { // 923
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00`",
		out:  "［～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀`",
	}, { // 924
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［~ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍～`",
		out:  "［~ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍～`",
	}, { // 925
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍～`",
		out:  "［～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍～`",
	}, { // 926
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［~ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00～",
		out:  "［~ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀～",
	}, { // 927
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00～",
		out:  "［～ＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀～",
	}, { // 928
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍~`",
		out:  "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍~`",
	}, { // 929
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍～`",
		out:  "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍～`",
	}, { // 930
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍~～",
		out:  "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍~～",
	}, { // 931
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍～～",
		out:  "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍～～",
	}, { // 932
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00~",
		out:  "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀~",
	}, { // 933
		mask: EncodeQuestion | EncodeLeftTilde,
		in:   "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI？\x1eς␟␍\x00～",
		out:  "［ωＬνＱｊ;␗␘κ~tMＬ<'ι*κ␄ＭyI‛？\x1eς␟␍␀～",
	}, { // 934
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε＊",
		out:  "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε‛＊",
	}, { // 935
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "~～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε＊",
		out:  "～～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε‛＊",
	}, { // 936
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "～～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε＊",
		out:  "‛～～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε‛＊",
	}, { // 937
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "~ｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{～＊",
		out:  "～ｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{～‛＊",
	}, { // 938
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "～ｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{～＊",
		out:  "‛～ｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{～‛＊",
	}, { // 939
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "~ｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε～",
		out:  "～ｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε～",
	}, { // 940
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "～ｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε～",
		out:  "‛～ｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε～",
	}, { // 941
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "ε~ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε＊",
		out:  "ε~ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε‛＊",
	}, { // 942
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "ε～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε＊",
		out:  "ε～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε‛＊",
	}, { // 943
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "ε~ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{～＊",
		out:  "ε~ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{～‛＊",
	}, { // 944
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "ε～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{～＊",
		out:  "ε～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{～‛＊",
	}, { // 945
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "ε~ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε～",
		out:  "ε~ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε～",
	}, { // 946
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "ε～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε～",
		out:  "ε～ςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε～",
	}, { // 947
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{~＊",
		out:  "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{~‛＊",
	}, { // 948
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{～＊",
		out:  "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{～‛＊",
	}, { // 949
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{~～",
		out:  "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{~～",
	}, { // 950
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{～～",
		out:  "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{～～",
	}, { // 951
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε~",
		out:  "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε~",
	}, { // 952
		mask: EncodeAsterisk | EncodeLeftTilde,
		in:   "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8␀{ε～",
		out:  "εｕςχ３\"\r␎␛＠~Ｍoξ\n\x14\x0f\x1dθ＋c\x171＇␍8‛␀{ε～",
	}, { // 953
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
		out:  "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
	}, { // 954
		mask: EncodePipe | EncodeLeftTilde,
		in:   "~～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
		out:  "～～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
	}, { // 955
		mask: EncodePipe | EncodeLeftTilde,
		in:   "～～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
		out:  "‛～～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
	}, { // 956
		mask: EncodePipe | EncodeLeftTilde,
		in:   "~χQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
		out:  "～χQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
	}, { // 957
		mask: EncodePipe | EncodeLeftTilde,
		in:   "～χQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
		out:  "‛～χQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
	}, { // 958
		mask: EncodePipe | EncodeLeftTilde,
		in:   "~χQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
		out:  "～χQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
	}, { // 959
		mask: EncodePipe | EncodeLeftTilde,
		in:   "～χQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
		out:  "‛～χQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
	}, { // 960
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\r~Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
		out:  "\r~Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
	}, { // 961
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\r～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
		out:  "\r～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r0",
	}, { // 962
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\r~Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
		out:  "\r~Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
	}, { // 963
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\r～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
		out:  "\r～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
	}, { // 964
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\r~Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
		out:  "\r~Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
	}, { // 965
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\r～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
		out:  "\r～Qｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
	}, { // 966
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη~0",
		out:  "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη~0",
	}, { // 967
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
		out:  "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～0",
	}, { // 968
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη~～",
		out:  "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη~～",
	}, { // 969
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～～",
		out:  "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη～～",
	}, { // 970
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r~",
		out:  "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r~",
	}, { // 971
		mask: EncodePipe | EncodeLeftTilde,
		in:   "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
		out:  "\rχQｒd?θκ\"τ~Ｋ␂＋［３ｘ;\v␌L\x1a␏λＷ␅sη\r～",
	}, { // 972
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
		out:  "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
	}, { // 973
		mask: EncodeHash | EncodeLeftTilde,
		in:   "~～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
		out:  "～～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
	}, { // 974
		mask: EncodeHash | EncodeLeftTilde,
		in:   "～～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
		out:  "‛～～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
	}, { // 975
		mask: EncodeHash | EncodeLeftTilde,
		in:   "~kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
		out:  "～kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
	}, { // 976
		mask: EncodeHash | EncodeLeftTilde,
		in:   "～kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
		out:  "‛～kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
	}, { // 977
		mask: EncodeHash | EncodeLeftTilde,
		in:   "~kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
		out:  "～kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
	}, { // 978
		mask: EncodeHash | EncodeLeftTilde,
		in:   "～kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
		out:  "‛～kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
	}, { // 979
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'~ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
		out:  "'~ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
	}, { // 980
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
		out:  "'～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\ac",
	}, { // 981
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'~ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
		out:  "'~ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
	}, { // 982
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
		out:  "'～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
	}, { // 983
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'~ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
		out:  "'~ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
	}, { // 984
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
		out:  "'～ｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
	}, { // 985
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ~c",
		out:  "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ~c",
	}, { // 986
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
		out:  "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～c",
	}, { // 987
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ~～",
		out:  "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ~～",
	}, { // 988
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～～",
		out:  "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ～～",
	}, { // 989
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a~",
		out:  "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a~",
	}, { // 990
		mask: EncodeHash | EncodeLeftTilde,
		in:   "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
		out:  "'kｄZγｗ/Ａγς~?mV\x15＂＞ς｜ｋχ␒\n␊γY␐ｈ\a～",
	}, { // 991
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
		out:  "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
	}, { // 992
		mask: EncodePercent | EncodeLeftTilde,
		in:   "~～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
		out:  "～～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
	}, { // 993
		mask: EncodePercent | EncodeLeftTilde,
		in:   "～～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
		out:  "‛～～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
	}, { // 994
		mask: EncodePercent | EncodeLeftTilde,
		in:   "~S＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
		out:  "～S＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
	}, { // 995
		mask: EncodePercent | EncodeLeftTilde,
		in:   "～S＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
		out:  "‛～S＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
	}, { // 996
		mask: EncodePercent | EncodeLeftTilde,
		in:   "~S＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
		out:  "～S＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
	}, { // 997
		mask: EncodePercent | EncodeLeftTilde,
		in:   "～S＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
		out:  "‛～S＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
	}, { // 998
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄ~＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
		out:  "ｄ~＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
	}, { // 999
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄ～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
		out:  "ｄ～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[ＷqＲ",
	}, { // 1000
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄ~＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
		out:  "ｄ~＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
	}, { // 1001
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄ～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
		out:  "ｄ～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
	}, { // 1002
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄ~＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
		out:  "ｄ~＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
	}, { // 1003
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄ～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
		out:  "ｄ～＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
	}, { // 1004
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ~Ｒ",
		out:  "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ~Ｒ",
	}, { // 1005
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
		out:  "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～Ｒ",
	}, { // 1006
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ~～",
		out:  "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ~～",
	}, { // 1007
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～～",
		out:  "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗ～～",
	}, { // 1008
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq~",
		out:  "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq~",
	}, { // 1009
		mask: EncodePercent | EncodeLeftTilde,
		in:   "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
		out:  "ｄS＞Ｄ␍6γ␋rＮ~8ψ／fγ\vγ␜ξ\"\x11σ＆/`[Ｗq～",
	}, { // 1010
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1bρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
		out:  "\x1bρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
	}, { // 1011
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "~～|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
		out:  "～～|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
	}, { // 1012
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "～～|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
		out:  "‛～～|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
	}, { // 1013
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "~ρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
		out:  "～ρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
	}, { // 1014
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "～ρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
		out:  "‛～ρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
	}, { // 1015
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "~ρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
		out:  "～ρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
	}, { // 1016
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "～ρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
		out:  "‛～ρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
	}, { // 1017
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1b~|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
		out:  "\x1b~|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
	}, { // 1018
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1b～|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
		out:  "\x1b～|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?＜",
	}, { // 1019
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1b~|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
		out:  "\x1b~|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
	}, { // 1020
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1b～|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
		out:  "\x1b～|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
	}, { // 1021
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1b~|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
		out:  "\x1b~|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
	}, { // 1022
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1b～|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
		out:  "\x1b～|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
	}, { // 1023
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1bρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ~＜",
		out:  "\x1bρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ~＜",
	}, { // 1024
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1bρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
		out:  "\x1bρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～＜",
	}, { // 1025
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1bρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ~～",
		out:  "\x1bρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ~～",
	}, { // 1026
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1bρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～～",
		out:  "\x1bρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ～～",
	}, { // 1027
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1bρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?~",
		out:  "\x1bρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?~",
	}, { // 1028
		mask: EncodeBackSlash | EncodeLeftTilde,
		in:   "\x1bρ|ο＠\x1c\x06νηｊ~␘0＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
		out:  "\x1bρ|ο＠\x1c\x06νηｊ~␘0‛＼Ａ＋υ]\x01:ψ［␒Iz␅＇ｔ?～",
	}, { // 1029
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;\x04",
		out:  "χ␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;\x04",
	}, { // 1030
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "~～！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;\x04",
		out:  "～～！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;\x04",
	}, { // 1031
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "～～！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;\x04",
		out:  "‛～～！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;\x04",
	}, { // 1032
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "~␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍～\x04",
		out:  "～␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍～\x04",
	}, { // 1033
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "～␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍～\x04",
		out:  "‛～␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍～\x04",
	}, { // 1034
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "~␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;～",
		out:  "～␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;～",
	}, { // 1035
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "～␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;～",
		out:  "‛～␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;～",
	}, { // 1036
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ~！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;\x04",
		out:  "χ~！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;\x04",
	}, { // 1037
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ～！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;\x04",
		out:  "χ～！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;\x04",
	}, { // 1038
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ~！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍～\x04",
		out:  "χ~！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍～\x04",
	}, { // 1039
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ～！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍～\x04",
		out:  "χ～！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍～\x04",
	}, { // 1040
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ~！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;～",
		out:  "χ~！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;～",
	}, { // 1041
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ～！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;～",
		out:  "χ～！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;～",
	}, { // 1042
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍~\x04",
		out:  "χ␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍~\x04",
	}, { // 1043
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍～\x04",
		out:  "χ␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍～\x04",
	}, { // 1044
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍~～",
		out:  "χ␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍~～",
	}, { // 1045
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍～～",
		out:  "χ␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍～～",
	}, { // 1046
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;~",
		out:  "χ␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;~",
	}, { // 1047
		mask: EncodeCrLf | EncodeLeftTilde,
		in:   "χ␒！␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q␍;～",
		out:  "χ␒！‛␀α０τ\a＊θ~？θ\x13]h:w/；␐ο＼\uff00@]q‛␍;～",
	}, { // 1048
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
		out:  "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
	}, { // 1049
		mask: EncodeDel | EncodeLeftTilde,
		in:   "~～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
		out:  "～～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
	}, { // 1050
		mask: EncodeDel | EncodeLeftTilde,
		in:   "～～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
		out:  "‛～～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
	}, { // 1051
		mask: EncodeDel | EncodeLeftTilde,
		in:   "~␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
		out:  "～␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
	}, { // 1052
		mask: EncodeDel | EncodeLeftTilde,
		in:   "～␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
		out:  "‛～␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
	}, { // 1053
		mask: EncodeDel | EncodeLeftTilde,
		in:   "~␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
		out:  "～␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
	}, { // 1054
		mask: EncodeDel | EncodeLeftTilde,
		in:   "～␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
		out:  "‛～␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
	}, { // 1055
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"~Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
		out:  "\"~Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
	}, { // 1056
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
		out:  "\"～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ\a",
	}, { // 1057
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"~Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
		out:  "\"~Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
	}, { // 1058
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
		out:  "\"～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
	}, { // 1059
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"~Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
		out:  "\"~Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
	}, { // 1060
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
		out:  "\"～Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
	}, { // 1061
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ~\a",
		out:  "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ~\a",
	}, { // 1062
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
		out:  "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～\a",
	}, { // 1063
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ~～",
		out:  "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ~～",
	}, { // 1064
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～～",
		out:  "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉ～～",
	}, { // 1065
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ~",
		out:  "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ~",
	}, { // 1066
		mask: EncodeDel | EncodeLeftTilde,
		in:   "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
		out:  "\"␆Ｈ\x02␚－\x12／␏>~␒３πφ－#＜ωNrκπ~－W|ｉχ～",
	}, { // 1067
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;\\",
		out:  "5‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;\\",
	}, { // 1068
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "~～：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;\\",
		out:  "～～：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;\\",
	}, { // 1069
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "～～：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;\\",
		out:  "‛～～：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;\\",
	}, { // 1070
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "~␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7～\\",
		out:  "～‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7～\\",
	}, { // 1071
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "～␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7～\\",
		out:  "‛～‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7～\\",
	}, { // 1072
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "~␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;～",
		out:  "～‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;～",
	}, { // 1073
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "～␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;～",
		out:  "‛～‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;～",
	}, { // 1074
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5~：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;\\",
		out:  "5~：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;\\",
	}, { // 1075
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5～：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;\\",
		out:  "5～：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;\\",
	}, { // 1076
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5~：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7～\\",
		out:  "5~：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7～\\",
	}, { // 1077
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5～：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7～\\",
		out:  "5～：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7～\\",
	}, { // 1078
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5~：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;～",
		out:  "5~：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;～",
	}, { // 1079
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5～：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;～",
		out:  "5～：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;～",
	}, { // 1080
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7~\\",
		out:  "5‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7~\\",
	}, { // 1081
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7～\\",
		out:  "5‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7～\\",
	}, { // 1082
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7~～",
		out:  "5‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7~～",
	}, { // 1083
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7～～",
		out:  "5‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7～～",
	}, { // 1084
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;~",
		out:  "5‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;~",
	}, { // 1085
		mask: EncodeCtl | EncodeLeftTilde,
		in:   "5␑：．␉*ι␀Ｒγ~Z#ςξ)τ（ζ?␘n\x03ｚＢＰ\f7;～",
		out:  "5‛␑：．‛␉*ι‛␀Ｒγ~Z#ςξ)τ（ζ?‛␘n␃ｚＢＰ␌7;～",
	}, { // 1086
		mask: EncodeLeftCrLfHtVt,
		in:   "\t",
		out:  "␉",
	}, { // 1087
		mask: EncodeLeftCrLfHtVt,
		in:   "\n",
		out:  "␊",
	}, { // 1088
		mask: EncodeLeftCrLfHtVt,
		in:   "\v",
		out:  "␋",
	}, { // 1089
		mask: EncodeLeftCrLfHtVt,
		in:   "\r",
		out:  "␍",
	}, { // 1090
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
		out:  "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
	}, { // 1091
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\t␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
		out:  "␉␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
	}, { // 1092
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␉␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
		out:  "‛␉␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
	}, { // 1093
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\t＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
		out:  "␉＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
	}, { // 1094
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␉＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
		out:  "‛␉＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
	}, { // 1095
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\t＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
		out:  "␉＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
	}, { // 1096
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␉＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
		out:  "‛␉＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
	}, { // 1097
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17\t␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
		out:  "\x17\t␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
	}, { // 1098
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
		out:  "\x17␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［８",
	}, { // 1099
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17\t␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
		out:  "\x17\t␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
	}, { // 1100
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
		out:  "\x17␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
	}, { // 1101
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17\t␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
		out:  "\x17\t␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
	}, { // 1102
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
		out:  "\x17␉␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
	}, { // 1103
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜\t８",
		out:  "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜\t８",
	}, { // 1104
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
		out:  "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉８",
	}, { // 1105
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜\t␉",
		out:  "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜\t␉",
	}, { // 1106
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉␉",
		out:  "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜␉␉",
	}, { // 1107
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［\t",
		out:  "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［\t",
	}, { // 1108
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
		out:  "\x17＃␟;\aωｇJ*ω\t:?＞βν␄␗H+υ＃（；\x18:ω｜［␉",
	}, { // 1109
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
		out:  "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
	}, { // 1110
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\n␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
		out:  "␊␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
	}, { // 1111
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␊␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
		out:  "‛␊␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
	}, { // 1112
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\n\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
		out:  "␊\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
	}, { // 1113
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␊\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
		out:  "‛␊\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
	}, { // 1114
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\n\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
		out:  "␊\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
	}, { // 1115
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␊\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
		out:  "‛␊\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
	}, { // 1116
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\nπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
		out:  "Ｓ\nπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
	}, { // 1117
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
		out:  "Ｓ␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}７",
	}, { // 1118
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\nπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
		out:  "Ｓ\nπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
	}, { // 1119
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
		out:  "Ｓ␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
	}, { // 1120
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\nπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
		out:  "Ｓ\nπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
	}, { // 1121
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
		out:  "Ｓ␊πＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
	}, { // 1122
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r\n７",
		out:  "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r\n７",
	}, { // 1123
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
		out:  "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊７",
	}, { // 1124
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r\n␊",
		out:  "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r\n␊",
	}, { // 1125
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊␊",
		out:  "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r␊␊",
	}, { // 1126
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}\n",
		out:  "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}\n",
	}, { // 1127
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
		out:  "Ｓ\x0eπＺiε＂\n`？\nπk＞ψ␍＃\n/υ＿／␋\x16\uff00Go\r}␊",
	}, { // 1128
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
		out:  "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
	}, { // 1129
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\v␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
		out:  "␋␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
	}, { // 1130
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␋␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
		out:  "‛␋␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
	}, { // 1131
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\v␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
		out:  "␋␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
	}, { // 1132
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␋␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
		out:  "‛␋␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
	}, { // 1133
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\v␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
		out:  "␋␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
	}, { // 1134
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␋␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
		out:  "‛␋␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
	}, { // 1135
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς\v}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
		out:  "ς\v}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
	}, { // 1136
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
		out:  "ς␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␅",
	}, { // 1137
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς\v}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
		out:  "ς\v}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
	}, { // 1138
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
		out:  "ς␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
	}, { // 1139
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς\v}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
		out:  "ς\v}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
	}, { // 1140
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
		out:  "ς␋}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
	}, { // 1141
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}\v␅",
		out:  "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}\v␅",
	}, { // 1142
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
		out:  "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␅",
	}, { // 1143
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}\v␋",
		out:  "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}\v␋",
	}, { // 1144
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␋",
		out:  "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}␋␋",
	}, { // 1145
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ\v",
		out:  "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ\v",
	}, { // 1146
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
		out:  "ς␈}␜␎m\x1dＯ␞Ｖ\vＩW\x13τ<σψ?%y＼\x1a，Ａνυ}ｅ␋",
	}, { // 1147
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
		out:  "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
	}, { // 1148
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\r␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
		out:  "␍␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
	}, { // 1149
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␍␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
		out:  "‛␍␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
	}, { // 1150
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\r+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
		out:  "␍+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
	}, { // 1151
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␍+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
		out:  "‛␍+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
	}, { // 1152
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "\r+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
		out:  "␍+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
	}, { // 1153
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␍+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
		out:  "‛␍+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
	}, { // 1154
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑\r␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
		out:  "␑\r␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
	}, { // 1155
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
		out:  "␑␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν4",
	}, { // 1156
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑\r␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
		out:  "␑\r␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
	}, { // 1157
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
		out:  "␑␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
	}, { // 1158
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑\r␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
		out:  "␑\r␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
	}, { // 1159
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
		out:  "␑␍␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
	}, { // 1160
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18\r4",
		out:  "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18\r4",
	}, { // 1161
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
		out:  "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍4",
	}, { // 1162
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18\r␍",
		out:  "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18\r␍",
	}, { // 1163
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍␍",
		out:  "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18␍␍",
	}, { // 1164
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν\r",
		out:  "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν\r",
	}, { // 1165
		mask: EncodeZero | EncodeLeftCrLfHtVt,
		in:   "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
		out:  "␑+␘ρ＃＊：\u007f␆\x06\r@ωdν:␒αOＣX\x04\uff00Ｇ\n（ψ\x18ν␍",
	}, { // 1166
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
		out:  "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
	}, { // 1167
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\t␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
		out:  "␉␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
	}, { // 1168
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␉␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
		out:  "‛␉␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
	}, { // 1169
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\tｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
		out:  "␉ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
	}, { // 1170
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␉ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
		out:  "‛␉ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
	}, { // 1171
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\tｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
		out:  "␉ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
	}, { // 1172
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␉ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
		out:  "‛␉ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
	}, { // 1173
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12\tζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
		out:  "\x12\tζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
	}, { // 1174
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
		out:  "\x12␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜Ｄ",
	}, { // 1175
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12\tζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
		out:  "\x12\tζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
	}, { // 1176
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
		out:  "\x12␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
	}, { // 1177
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12\tζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
		out:  "\x12\tζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
	}, { // 1178
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
		out:  "\x12␉ζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
	}, { // 1179
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t\tＤ",
		out:  "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t\tＤ",
	}, { // 1180
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
		out:  "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉Ｄ",
	}, { // 1181
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t\t␉",
		out:  "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t\t␉",
	}, { // 1182
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉␉",
		out:  "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␉␉",
	}, { // 1183
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜\t",
		out:  "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜\t",
	}, { // 1184
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
		out:  "\x12ｈζZ\x06θhＷ０λ\tψ␄␚\x14β\rψ␅␗.\nqＳ＿]｜t␜␉",
	}, { // 1185
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋη",
		out:  "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋη",
	}, { // 1186
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\n␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋη",
		out:  "␊␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋη",
	}, { // 1187
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␊␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋη",
		out:  "‛␊␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋη",
	}, { // 1188
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\n\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗ␊η",
		out:  "␊\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗ␊η",
	}, { // 1189
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␊\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗ␊η",
		out:  "‛␊\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗ␊η",
	}, { // 1190
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\n\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋ␊",
		out:  "␊\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋ␊",
	}, { // 1191
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␊\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋ␊",
		out:  "‛␊\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋ␊",
	}, { // 1192
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\n:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋη",
		out:  "L\n:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋη",
	}, { // 1193
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋη",
		out:  "L␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋη",
	}, { // 1194
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\n:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗ␊η",
		out:  "L\n:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗ␊η",
	}, { // 1195
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗ␊η",
		out:  "L␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗ␊η",
	}, { // 1196
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\n:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋ␊",
		out:  "L\n:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋ␊",
	}, { // 1197
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋ␊",
		out:  "L␊:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋ␊",
	}, { // 1198
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗ\nη",
		out:  "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗ\nη",
	}, { // 1199
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗ␊η",
		out:  "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗ␊η",
	}, { // 1200
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗ\n␊",
		out:  "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗ\n␊",
	}, { // 1201
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗ␊␊",
		out:  "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗ␊␊",
	}, { // 1202
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋ\n",
		out:  "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋ\n",
	}, { // 1203
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜\x00βj|␑]\x16{ｗｋ␊",
		out:  "L\r:$ο␕５Ｚσ␑\n_υ\n１␕Ｖδ｜␀βj|␑]\x16{ｗｋ␊",
	}, { // 1204
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13τ",
		out:  "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13τ",
	}, { // 1205
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\v␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13τ",
		out:  "␋␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13τ",
	}, { // 1206
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␋␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13τ",
		out:  "‛␋␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13τ",
	}, { // 1207
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\vε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜␋τ",
		out:  "␋ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜␋τ",
	}, { // 1208
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␋ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜␋τ",
		out:  "‛␋ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜␋τ",
	}, { // 1209
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\vε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13␋",
		out:  "␋ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13␋",
	}, { // 1210
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␋ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13␋",
		out:  "‛␋ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13␋",
	}, { // 1211
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3\v␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13τ",
		out:  "3\v␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13τ",
	}, { // 1212
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13τ",
		out:  "3␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13τ",
	}, { // 1213
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3\v␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜␋τ",
		out:  "3\v␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜␋τ",
	}, { // 1214
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜␋τ",
		out:  "3␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜␋τ",
	}, { // 1215
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3\v␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13␋",
		out:  "3\v␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13␋",
	}, { // 1216
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13␋",
		out:  "3␋␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13␋",
	}, { // 1217
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\vτ",
		out:  "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\vτ",
	}, { // 1218
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜␋τ",
		out:  "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜␋τ",
	}, { // 1219
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\v␋",
		out:  "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\v␋",
	}, { // 1220
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜␋␋",
		out:  "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜␋␋",
	}, { // 1221
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13\v",
		out:  "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13\v",
	}, { // 1222
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν/3\x1d５\x14\\:β｜\x13␋",
		out:  "3ε␂Vψ\x1fＴ＾μ␈\v；7？␋Cｎ␊ν／3\x1d５\x14\\:β｜\x13␋",
	}, { // 1223
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
		out:  "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
	}, { // 1224
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\r␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
		out:  "␍␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
	}, { // 1225
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␍␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
		out:  "‛␍␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
	}, { // 1226
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\rχ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
		out:  "␍χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
	}, { // 1227
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␍χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
		out:  "‛␍χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
	}, { // 1228
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "\rχ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
		out:  "␍χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
	}, { // 1229
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␍χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
		out:  "‛␍χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
	}, { // 1230
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜\r<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
		out:  "␜\r<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
	}, { // 1231
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
		out:  "␜␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ＂",
	}, { // 1232
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜\r<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
		out:  "␜\r<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
	}, { // 1233
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
		out:  "␜␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
	}, { // 1234
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜\r<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
		out:  "␜\r<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
	}, { // 1235
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
		out:  "␜␍<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
	}, { // 1236
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r\r＂",
		out:  "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r\r＂",
	}, { // 1237
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
		out:  "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍＂",
	}, { // 1238
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r\r␍",
		out:  "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r\r␍",
	}, { // 1239
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍␍",
		out:  "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\r␍␍",
	}, { // 1240
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ\r",
		out:  "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ\r",
	}, { // 1241
		mask: EncodeSlash | EncodeLeftCrLfHtVt,
		in:   "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
		out:  "␜χ<Ｏ\x1eε＜␔Ｐ|\rδ1bVλpF␍＿␗\x1f２ο\x19ρ：\rＷ␍",
	}, { // 1242
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
		out:  "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
	}, { // 1243
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\t␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
		out:  "␉␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
	}, { // 1244
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␉␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
		out:  "‛␉␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
	}, { // 1245
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\t＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
		out:  "␉＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
	}, { // 1246
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␉＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
		out:  "‛␉＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
	}, { // 1247
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\t＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
		out:  "␉＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
	}, { // 1248
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␉＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
		out:  "‛␉＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
	}, { // 1249
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@\t␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
		out:  "@\t␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
	}, { // 1250
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
		out:  "@␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄ο",
	}, { // 1251
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@\t␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
		out:  "@\t␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
	}, { // 1252
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
		out:  "@␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
	}, { // 1253
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@\t␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
		out:  "@\t␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
	}, { // 1254
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
		out:  "@␉␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
	}, { // 1255
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x\tο",
		out:  "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x\tο",
	}, { // 1256
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
		out:  "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉ο",
	}, { // 1257
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x\t␉",
		out:  "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x\t␉",
	}, { // 1258
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉␉",
		out:  "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x␉␉",
	}, { // 1259
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄\t",
		out:  "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄\t",
	}, { // 1260
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
		out:  "@＊␘χＴ/␊h\x12ｖ\tι\x1fα-ｂ␡＋\r|␊\x1c＞δNh␡x＄␉",
	}, { // 1261
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
		out:  "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
	}, { // 1262
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\n␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
		out:  "␊␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
	}, { // 1263
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␊␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
		out:  "‛␊␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
	}, { // 1264
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\n\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
		out:  "␊\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
	}, { // 1265
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␊\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
		out:  "‛␊\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
	}, { // 1266
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\n\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
		out:  "␊\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
	}, { // 1267
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␊\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
		out:  "‛␊\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
	}, { // 1268
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\n\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
		out:  "^\n\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
	}, { // 1269
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
		out:  "^␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆<",
	}, { // 1270
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\n\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
		out:  "^\n\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
	}, { // 1271
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
		out:  "^␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
	}, { // 1272
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\n\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
		out:  "^\n\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
	}, { // 1273
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
		out:  "^␊\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
	}, { // 1274
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ\n<",
		out:  "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ\n<",
	}, { // 1275
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
		out:  "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊<",
	}, { // 1276
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ\n␊",
		out:  "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ\n␊",
	}, { // 1277
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊␊",
		out:  "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␊␊",
	}, { // 1278
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆\n",
		out:  "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆\n",
	}, { // 1279
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
		out:  "^\x15\x12␊ς＊ＶζδU\nｖ｜\x1fπtν\x01By；＂\x1eδ<｜：ａ␆␊",
	}, { // 1280
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
		out:  ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
	}, { // 1281
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\v␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
		out:  "␋␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
	}, { // 1282
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␋␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
		out:  "‛␋␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
	}, { // 1283
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\v；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
		out:  "␋；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
	}, { // 1284
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␋；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
		out:  "‛␋；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
	}, { // 1285
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\v；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
		out:  "␋；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
	}, { // 1286
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␋；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
		out:  "‛␋；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
	}, { // 1287
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":\v>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
		out:  ":\v>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
	}, { // 1288
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
		out:  ":␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π｜",
	}, { // 1289
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":\v>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
		out:  ":\v>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
	}, { // 1290
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
		out:  ":␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
	}, { // 1291
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":\v>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
		out:  ":\v>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
	}, { // 1292
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
		out:  ":␋>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
	}, { // 1293
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；\v｜",
		out:  ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；\v｜",
	}, { // 1294
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
		out:  ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋｜",
	}, { // 1295
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；\v␋",
		out:  ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；\v␋",
	}, { // 1296
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋␋",
		out:  ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；␋␋",
	}, { // 1297
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π\v",
		out:  ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π\v",
	}, { // 1298
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
		out:  ":；>]υζ6␝:␙\vτ\x06 ψ[ｅ␏χｃ\x1c＠.ｈIｉD；π␋",
	}, { // 1299
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
		out:  "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
	}, { // 1300
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
		out:  "␍␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
	}, { // 1301
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␍␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
		out:  "‛␍␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
	}, { // 1302
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\rε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
		out:  "␍ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
	}, { // 1303
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␍ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
		out:  "‛␍ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
	}, { // 1304
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\rε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
		out:  "␍ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
	}, { // 1305
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "␍ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
		out:  "‛␍ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
	}, { // 1306
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03\r\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
		out:  "\x03\r\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
	}, { // 1307
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
		out:  "\x03␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θiκ",
	}, { // 1308
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03\r\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
		out:  "\x03\r\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
	}, { // 1309
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
		out:  "\x03␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
	}, { // 1310
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03\r\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
		out:  "\x03\r\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
	}, { // 1311
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
		out:  "\x03␍\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
	}, { // 1312
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ\rκ",
		out:  "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ\rκ",
	}, { // 1313
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
		out:  "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍κ",
	}, { // 1314
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ\r␍",
		out:  "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ\r␍",
	}, { // 1315
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍␍",
		out:  "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θ␍␍",
	}, { // 1316
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi\r",
		out:  "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi\r",
	}, { // 1317
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt,
		in:   "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
		out:  "\x03ε\uff00\x03βｖＳ．Ｘ／\r：␉␊\x03\x1cβ- ＊F␡λ␘\"\x19 θi␍",
	}, { // 1318
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
		out:  "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
	}, { // 1319
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\t␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
		out:  "␉␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
	}, { // 1320
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␉␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
		out:  "‛␉␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
	}, { // 1321
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\tφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
		out:  "␉φ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
	}, { // 1322
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␉φ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
		out:  "‛␉φ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
	}, { // 1323
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\tφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
		out:  "␉φ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
	}, { // 1324
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␉φ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
		out:  "‛␉φ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
	}, { // 1325
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψ\t\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
		out:  "ψ\t\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
	}, { // 1326
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψ␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
		out:  "ψ␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\f",
	}, { // 1327
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψ\t\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
		out:  "ψ\t\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
	}, { // 1328
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψ␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
		out:  "ψ␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
	}, { // 1329
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψ\t\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
		out:  "ψ\t\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
	}, { // 1330
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψ␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
		out:  "ψ␉\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
	}, { // 1331
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ\t\f",
		out:  "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ\t\f",
	}, { // 1332
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
		out:  "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉\f",
	}, { // 1333
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ\t␉",
		out:  "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ\t␉",
	}, { // 1334
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉␉",
		out:  "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ␉␉",
	}, { // 1335
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\t",
		out:  "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:\t",
	}, { // 1336
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
		out:  "ψφ\x06␙ＥｉjＳ\x13\t\tＵaδ4␟＄\x16％ξ␙γ\\δＵ\x19␏ｒ:␉",
	}, { // 1337
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
		out:  "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
	}, { // 1338
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\n␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
		out:  "␊␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
	}, { // 1339
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␊␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
		out:  "‛␊␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
	}, { // 1340
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\nο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
		out:  "␊ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
	}, { // 1341
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␊ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
		out:  "‛␊ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
	}, { // 1342
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\nο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
		out:  "␊ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
	}, { // 1343
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␊ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
		out:  "‛␊ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
	}, { // 1344
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡\n＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
		out:  "␡\n＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
	}, { // 1345
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
		out:  "␡␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\"",
	}, { // 1346
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡\n＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
		out:  "␡\n＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
	}, { // 1347
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
		out:  "␡␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
	}, { // 1348
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡\n＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
		out:  "␡\n＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
	}, { // 1349
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
		out:  "␡␊＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
	}, { // 1350
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ\n\"",
		out:  "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ\n\"",
	}, { // 1351
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
		out:  "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊\"",
	}, { // 1352
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ\n␊",
		out:  "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ\n␊",
	}, { // 1353
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊␊",
		out:  "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌ␊␊",
	}, { // 1354
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\n",
		out:  "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ\n",
	}, { // 1355
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
		out:  "␡ο＠＜O４ε\x10\x15␇\nι\x1c＂\x12ｈ&_β␑/␓PYη＼+Ｌｑ␊",
	}, { // 1356
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
		out:  "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
	}, { // 1357
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\v␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
		out:  "␋␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
	}, { // 1358
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␋␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
		out:  "‛␋␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
	}, { // 1359
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\vψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
		out:  "␋ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
	}, { // 1360
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␋ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
		out:  "‛␋ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
	}, { // 1361
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\vψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
		out:  "␋ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
	}, { // 1362
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␋ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
		out:  "‛␋ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
	}, { // 1363
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_\v\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
		out:  "_\v\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
	}, { // 1364
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
		out:  "_␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο（",
	}, { // 1365
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_\v\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
		out:  "_\v\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
	}, { // 1366
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
		out:  "_␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
	}, { // 1367
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_\v\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
		out:  "_\v\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
	}, { // 1368
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
		out:  "_␋\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
	}, { // 1369
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*\v（",
		out:  "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*\v（",
	}, { // 1370
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
		out:  "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋（",
	}, { // 1371
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*\v␋",
		out:  "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*\v␋",
	}, { // 1372
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋␋",
		out:  "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*␋␋",
	}, { // 1373
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο\v",
		out:  "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο\v",
	}, { // 1374
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
		out:  "_ψ\x01N８␍：␍：ｌ\v\n,\tιηｚ％\v\x1d,␡β#ｔ+ι*ο␋",
	}, { // 1375
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
		out:  "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
	}, { // 1376
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\r␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
		out:  "␍␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
	}, { // 1377
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␍␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
		out:  "‛␍␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
	}, { // 1378
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\r４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
		out:  "␍４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
	}, { // 1379
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␍４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
		out:  "‛␍４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
	}, { // 1380
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "\r４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
		out:  "␍４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
	}, { // 1381
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "␍４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
		out:  "‛␍４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
	}, { // 1382
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π\r;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
		out:  "π\r;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
	}, { // 1383
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
		out:  "π␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ^",
	}, { // 1384
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π\r;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
		out:  "π\r;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
	}, { // 1385
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
		out:  "π␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
	}, { // 1386
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π\r;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
		out:  "π\r;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
	}, { // 1387
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
		out:  "π␍;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
	}, { // 1388
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ\r^",
		out:  "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ\r^",
	}, { // 1389
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
		out:  "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍^",
	}, { // 1390
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ\r␍",
		out:  "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ\r␍",
	}, { // 1391
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍␍",
		out:  "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙ␍␍",
	}, { // 1392
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ\r",
		out:  "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ\r",
	}, { // 1393
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt,
		in:   "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
		out:  "π４;␇\x1dｘ\x1d␟θσ\rQ\x11ω<ｇ:'␐ａO\r␓πμ␊$ｙＬ␍",
	}, { // 1394
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
		out:  "␚＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
	}, { // 1395
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\t␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
		out:  "␉␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
	}, { // 1396
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␉␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
		out:  "‛␉␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
	}, { // 1397
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\t>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
		out:  "␉＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
	}, { // 1398
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␉>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
		out:  "‛␉＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
	}, { // 1399
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\t>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
		out:  "␉＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
	}, { // 1400
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␉>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
		out:  "‛␉＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
	}, { // 1401
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚\tζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
		out:  "␚\tζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
	}, { // 1402
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
		out:  "␚␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（@",
	}, { // 1403
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚\tζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
		out:  "␚\tζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
	}, { // 1404
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
		out:  "␚␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
	}, { // 1405
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚\tζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
		out:  "␚\tζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
	}, { // 1406
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
		out:  "␚␉ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
	}, { // 1407
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂\t@",
		out:  "␚＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂\t@",
	}, { // 1408
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
		out:  "␚＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉@",
	}, { // 1409
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂\t␉",
		out:  "␚＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂\t␉",
	}, { // 1410
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉␉",
		out:  "␚＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂␉␉",
	}, { // 1411
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（\t",
		out:  "␚＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（\t",
	}, { // 1412
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␚>ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
		out:  "␚＞ζ\v\x1b｝ςｍ?υ\t＂Ｊ71７;\x02?α＾␟,␚σφ：＂（␉",
	}, { // 1413
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
	}, { // 1414
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n␊％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
		out:  "␊␊％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
	}, { // 1415
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␊␊％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
		out:  "‛␊␊％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
	}, { // 1416
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/␊A",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/␊A",
	}, { // 1417
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␊ζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/␊A",
		out:  "‛␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/␊A",
	}, { // 1418
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
	}, { // 1419
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␊ζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
		out:  "‛␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
	}, { // 1420
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n\n％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
		out:  "␊\n％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
	}, { // 1421
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n␊％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
		out:  "␊␊％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1cA",
	}, { // 1422
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n\n％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/␊A",
		out:  "␊\n％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/␊A",
	}, { // 1423
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n␊％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/␊A",
		out:  "␊␊％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/␊A",
	}, { // 1424
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n\n％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
		out:  "␊\n％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
	}, { // 1425
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\n␊％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
		out:  "␊␊％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
	}, { // 1426
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\nA",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\nA",
	}, { // 1427
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/␊A",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/␊A",
	}, { // 1428
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\n␊",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\n␊",
	}, { // 1429
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/␊␊",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/␊␊",
	}, { // 1430
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1c\n",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1c\n",
	}, { // 1431
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\nζ％␊＝<#；ｄz\n␃ζ\x15␄<\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
		out:  "␊ζ％␊＝＜#；ｄz\n␃ζ\x15␄＜\x04ζ_！ｓ？\tＲυ８δ/\x1c␊",
	}, { // 1432
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
		out:  "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
	}, { // 1433
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\v␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
		out:  "␋␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
	}, { // 1434
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␋␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
		out:  "‛␋␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
	}, { // 1435
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\v|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
		out:  "␋|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
	}, { // 1436
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␋|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
		out:  "‛␋|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
	}, { // 1437
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\v|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
		out:  "␋|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
	}, { // 1438
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␋|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
		out:  "‛␋|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
	}, { // 1439
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f\v8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
		out:  "\u007f\v8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
	}, { // 1440
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
		out:  "\u007f␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／θ",
	}, { // 1441
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f\v8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
		out:  "\u007f\v8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
	}, { // 1442
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
		out:  "\u007f␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
	}, { // 1443
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f\v8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
		out:  "\u007f\v8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
	}, { // 1444
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
		out:  "\u007f␋8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
	}, { // 1445
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ\vθ",
		out:  "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ\vθ",
	}, { // 1446
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
		out:  "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋θ",
	}, { // 1447
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ\v␋",
		out:  "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ\v␋",
	}, { // 1448
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋␋",
		out:  "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ␋␋",
	}, { // 1449
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／\v",
		out:  "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／\v",
	}, { // 1450
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
		out:  "\u007f|8６)\x0f␊＄ｕ\v\v\x1dｖ␝␂)τθ8／;\x11␆τa＇σπ／␋",
	}, { // 1451
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
		out:  "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
	}, { // 1452
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\r␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
		out:  "␍␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
	}, { // 1453
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␍␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
		out:  "‛␍␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
	}, { // 1454
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\rς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
		out:  "␍ς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
	}, { // 1455
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␍ς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
		out:  "‛␍ς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
	}, { // 1456
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\rς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
		out:  "␍ς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
	}, { // 1457
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "␍ς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
		out:  "‛␍ς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
	}, { // 1458
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1a\r\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
		out:  "\x1a\r\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
	}, { // 1459
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1a␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
		out:  "\x1a␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/ε",
	}, { // 1460
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1a\r\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
		out:  "\x1a\r\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
	}, { // 1461
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1a␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
		out:  "\x1a␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
	}, { // 1462
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1a\r\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
		out:  "\x1a\r\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
	}, { // 1463
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1a␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
		out:  "\x1a␍\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
	}, { // 1464
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00\rε",
		out:  "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00\rε",
	}, { // 1465
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
		out:  "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍ε",
	}, { // 1466
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00\r␍",
		out:  "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00\r␍",
	}, { // 1467
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍␍",
		out:  "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00␍␍",
	}, { // 1468
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/\r",
		out:  "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/\r",
	}, { // 1469
		mask: EncodeLtGt | EncodeLeftCrLfHtVt,
		in:   "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
		out:  "\x1aς\x14␄λm\vξγ:\rξ＼S-␟␉：－L％(␞ｃＬk\x03\uff00/␍",
	}, { // 1470
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
		out:  "6ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
	}, { // 1471
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\t␉␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
		out:  "␉␉␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
	}, { // 1472
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␉␉␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
		out:  "‛␉␉␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
	}, { // 1473
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\tｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
		out:  "␉ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
	}, { // 1474
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␉ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
		out:  "‛␉ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
	}, { // 1475
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\tｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
		out:  "␉ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
	}, { // 1476
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␉ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
		out:  "‛␉ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
	}, { // 1477
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6\t␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
		out:  "6\t␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
	}, { // 1478
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6␉␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
		out:  "6␉␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍／",
	}, { // 1479
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6\t␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
		out:  "6\t␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
	}, { // 1480
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6␉␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
		out:  "6␉␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
	}, { // 1481
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6\t␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
		out:  "6\t␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
	}, { // 1482
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6␉␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
		out:  "6␉␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
	}, { // 1483
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ\t／",
		out:  "6ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ\t／",
	}, { // 1484
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
		out:  "6ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉／",
	}, { // 1485
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ\t␉",
		out:  "6ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ\t␉",
	}, { // 1486
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉␉",
		out:  "6ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␉␉",
	}, { // 1487
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍\t",
		out:  "6ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍\t",
	}, { // 1488
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "6ｗ␖ξJ7μ［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
		out:  "6ｗ␖ξJ7μ‛［\x05Ｐ\t*λ-m\a␚␝Ｅｆ\x0f␖φ4τ\x13\x1cｋ␍␉",
	}, { // 1489
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
		out:  "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
	}, { // 1490
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\n␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
		out:  "␊␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
	}, { // 1491
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␊␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
		out:  "‛␊␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
	}, { // 1492
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\n｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
		out:  "␊｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
	}, { // 1493
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␊｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
		out:  "‛␊｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
	}, { // 1494
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\n｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
		out:  "␊｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
	}, { // 1495
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␊｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
		out:  "‛␊｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
	}, { // 1496
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒\nιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
		out:  "␒\nιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
	}, { // 1497
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
		out:  "␒␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11τ",
	}, { // 1498
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒\nιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
		out:  "␒\nιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
	}, { // 1499
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
		out:  "␒␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
	}, { // 1500
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒\nιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
		out:  "␒\nιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
	}, { // 1501
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
		out:  "␒␊ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
	}, { // 1502
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\nτ",
		out:  "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\nτ",
	}, { // 1503
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
		out:  "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊τ",
	}, { // 1504
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\n␊",
		out:  "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\n␊",
	}, { // 1505
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊␊",
		out:  "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕␊␊",
	}, { // 1506
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11\n",
		out:  "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11\n",
	}, { // 1507
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
		out:  "␒｀ιφ6Gπ&？5\n\x1c␆，␔κ\"＇／\a\x0forψｇ４;␕\x11␊",
	}, { // 1508
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "οＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
		out:  "οＣ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
	}, { // 1509
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\v␋\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
		out:  "␋␋\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
	}, { // 1510
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␋␋\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
		out:  "‛␋␋\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
	}, { // 1511
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\vＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
		out:  "␋Ｃ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
	}, { // 1512
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␋Ｃ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
		out:  "‛␋Ｃ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
	}, { // 1513
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\vＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
		out:  "␋Ｃ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
	}, { // 1514
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␋Ｃ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
		out:  "‛␋Ｃ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
	}, { // 1515
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "ο\v\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
		out:  "ο\v\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
	}, { // 1516
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "ο␋\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
		out:  "ο␋\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\x1c",
	}, { // 1517
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "ο\v\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
		out:  "ο\v\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
	}, { // 1518
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "ο␋\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
		out:  "ο␋\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
	}, { // 1519
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "ο\v\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
		out:  "ο\v\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
	}, { // 1520
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "ο␋\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
		out:  "ο␋\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
	}, { // 1521
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "οＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌\v\x1c",
		out:  "οＣ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌\v\x1c",
	}, { // 1522
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "οＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
		out:  "οＣ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋\x1c",
	}, { // 1523
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "οＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌\v␋",
		out:  "οＣ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌\v␋",
	}, { // 1524
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "οＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋␋",
		out:  "οＣ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌␋␋",
	}, { // 1525
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "οＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\v",
		out:  "οＣ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；\v",
	}, { // 1526
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "οＣ\r\uff00π．/［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
		out:  "οＣ\r\uff00π．/‛［ε\x15\vXpmＥＭσ\x16\v\rτβ␑^␕＼M␌；␋",
	}, { // 1527
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs\x00",
		out:  "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␀",
	}, { // 1528
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\r␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs\x00",
		out:  "␍␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␀",
	}, { // 1529
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␍␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs\x00",
		out:  "‛␍␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␀",
	}, { // 1530
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\r+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγ␍\x00",
		out:  "␍+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγ␍␀",
	}, { // 1531
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␍+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγ␍\x00",
		out:  "‛␍+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγ␍␀",
	}, { // 1532
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "\r+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs␍",
		out:  "␍+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␍",
	}, { // 1533
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␍+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs␍",
		out:  "‛␍+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␍",
	}, { // 1534
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐\ruν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs\x00",
		out:  "␐\ruν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␀",
	}, { // 1535
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs\x00",
		out:  "␐␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␀",
	}, { // 1536
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐\ruν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγ␍\x00",
		out:  "␐\ruν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγ␍␀",
	}, { // 1537
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγ␍\x00",
		out:  "␐␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγ␍␀",
	}, { // 1538
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐\ruν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs␍",
		out:  "␐\ruν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␍",
	}, { // 1539
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs␍",
		out:  "␐␍uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␍",
	}, { // 1540
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγ\r\x00",
		out:  "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγ\r␀",
	}, { // 1541
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγ␍\x00",
		out:  "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγ␍␀",
	}, { // 1542
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγ\r␍",
		out:  "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγ\r␍",
	}, { // 1543
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγ␍␍",
		out:  "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγ␍␍",
	}, { // 1544
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs\r",
		out:  "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs\r",
	}, { // 1545
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt,
		in:   "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:\x00wπγs␍",
		out:  "␐+uν\x10φＣο␐ｖ\r\x14？Ｊυｚ\x12␊␝\x03ｖＫ：:␀wπγs␍",
	}, { // 1546
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
		out:  "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
	}, { // 1547
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\t␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
		out:  "␉␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
	}, { // 1548
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␉␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
		out:  "‛␉␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
	}, { // 1549
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\tｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
		out:  "␉ｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
	}, { // 1550
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␉ｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
		out:  "‛␉ｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
	}, { // 1551
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\tｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
		out:  "␉ｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
	}, { // 1552
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␉ｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
		out:  "‛␉ｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
	}, { // 1553
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖ\t#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
		out:  "Ｖ\t#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
	}, { // 1554
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖ␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
		out:  "Ｖ␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／＇",
	}, { // 1555
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖ\t#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
		out:  "Ｖ\t#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
	}, { // 1556
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖ␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
		out:  "Ｖ␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
	}, { // 1557
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖ\t#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
		out:  "Ｖ\t#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
	}, { // 1558
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖ␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
		out:  "Ｖ␉#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
	}, { // 1559
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r\t＇",
		out:  "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r\t＇",
	}, { // 1560
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
		out:  "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉＇",
	}, { // 1561
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r\t␉",
		out:  "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r\t␉",
	}, { // 1562
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉␉",
		out:  "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r␉␉",
	}, { // 1563
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／\t",
		out:  "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／\t",
	}, { // 1564
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
		out:  "Ｖｑ#＄␟ζｘ␉λX\tμ␔\x19τ\tσ<_＝aμ6Ｄ}\x060\r／␉",
	}, { // 1565
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（Ｆ",
		out:  "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（Ｆ",
	}, { // 1566
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\n␊\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（Ｆ",
		out:  "␊␊\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（Ｆ",
	}, { // 1567
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␊␊\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（Ｆ",
		out:  "‛␊␊\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（Ｆ",
	}, { // 1568
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\nｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06␊Ｆ",
		out:  "␊ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06␊Ｆ",
	}, { // 1569
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␊ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06␊Ｆ",
		out:  "‛␊ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06␊Ｆ",
	}, { // 1570
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\nｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（␊",
		out:  "␊ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（␊",
	}, { // 1571
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␊ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（␊",
		out:  "‛␊ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（␊",
	}, { // 1572
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛\n\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（Ｆ",
		out:  "｛\n\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（Ｆ",
	}, { // 1573
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛␊\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（Ｆ",
		out:  "｛␊\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（Ｆ",
	}, { // 1574
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛\n\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06␊Ｆ",
		out:  "｛\n\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06␊Ｆ",
	}, { // 1575
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛␊\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06␊Ｆ",
		out:  "｛␊\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06␊Ｆ",
	}, { // 1576
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛\n\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（␊",
		out:  "｛\n\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（␊",
	}, { // 1577
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛␊\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（␊",
		out:  "｛␊\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（␊",
	}, { // 1578
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06\nＦ",
		out:  "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06\nＦ",
	}, { // 1579
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06␊Ｆ",
		out:  "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06␊Ｆ",
	}, { // 1580
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06\n␊",
		out:  "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06\n␊",
	}, { // 1581
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06␊␊",
		out:  "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06␊␊",
	}, { // 1582
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（\n",
		out:  "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（\n",
	}, { // 1583
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε;３␒］2\nζκ\x04｀\x06（␊",
		out:  "｛ｋ\x1aｐ␇πδ］.>\n%CNzξε；３␒］2\nζκ\x04｀\x06（␊",
	}, { // 1584
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x198θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
		out:  "\x198θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
	}, { // 1585
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\v␋θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
		out:  "␋␋θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
	}, { // 1586
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␋␋θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
		out:  "‛␋␋θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
	}, { // 1587
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\v8θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
		out:  "␋8θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
	}, { // 1588
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␋8θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
		out:  "‛␋8θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
	}, { // 1589
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\v8θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
		out:  "␋8θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
	}, { // 1590
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␋8θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
		out:  "‛␋8θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
	}, { // 1591
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x19\vθ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
		out:  "\x19\vθ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
	}, { // 1592
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x19␋θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
		out:  "\x19␋θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γβ",
	}, { // 1593
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x19\vθ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
		out:  "\x19\vθ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
	}, { // 1594
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x19␋θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
		out:  "\x19␋θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
	}, { // 1595
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x19\vθ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
		out:  "\x19\vθ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
	}, { // 1596
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x19␋θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
		out:  "\x19␋θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
	}, { // 1597
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x198θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<\vβ",
		out:  "\x198θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<\vβ",
	}, { // 1598
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x198θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
		out:  "\x198θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋β",
	}, { // 1599
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x198θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<\v␋",
		out:  "\x198θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<\v␋",
	}, { // 1600
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x198θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋␋",
		out:  "\x198θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<␋␋",
	}, { // 1601
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x198θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ\v",
		out:  "\x198θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ\v",
	}, { // 1602
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\x198θ\x00(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
		out:  "\x198θ␀(＄１４，␙\vαｌ␝L\x02)：］␚γ\x14／<ιN=<γ␋",
	}, { // 1603
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
		out:  "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
	}, { // 1604
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\r␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
		out:  "␍␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
	}, { // 1605
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␍␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
		out:  "‛␍␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
	}, { // 1606
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\r␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
		out:  "␍␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
	}, { // 1607
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␍␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
		out:  "‛␍␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
	}, { // 1608
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "\r␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
		out:  "␍␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
	}, { // 1609
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "␍␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
		out:  "‛␍␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
	}, { // 1610
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？\rV＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
		out:  "？\rV＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
	}, { // 1611
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
		out:  "？␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\a",
	}, { // 1612
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？\rV＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
		out:  "？\rV＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
	}, { // 1613
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
		out:  "？␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
	}, { // 1614
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？\rV＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
		out:  "？\rV＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
	}, { // 1615
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
		out:  "？␍V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
	}, { // 1616
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o\r\a",
		out:  "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o\r\a",
	}, { // 1617
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
		out:  "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍\a",
	}, { // 1618
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o\r␍",
		out:  "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o\r␍",
	}, { // 1619
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍␍",
		out:  "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02o␍␍",
	}, { // 1620
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\r",
		out:  "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι\r",
	}, { // 1621
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt,
		in:   "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
		out:  "？␒V＃ι^σgjＹ\rχＣｃ｜\x12φＦω␔␅\fF␌'\x1d\x02oι␍",
	}, { // 1622
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
		out:  "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
	}, { // 1623
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\t␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
		out:  "␉␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
	}, { // 1624
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␉␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
		out:  "‛␉␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
	}, { // 1625
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\t␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
		out:  "␉␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
	}, { // 1626
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␉␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
		out:  "‛␉␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
	}, { // 1627
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\t␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
		out:  "␉␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
	}, { // 1628
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␉␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
		out:  "‛␉␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
	}, { // 1629
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α\tο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
		out:  "α\tο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
	}, { // 1630
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
		out:  "α␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ|",
	}, { // 1631
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α\tο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
		out:  "α\tο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
	}, { // 1632
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
		out:  "α␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
	}, { // 1633
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α\tο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
		out:  "α\tο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
	}, { // 1634
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
		out:  "α␉ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
	}, { // 1635
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ\t|",
		out:  "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ\t|",
	}, { // 1636
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
		out:  "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉|",
	}, { // 1637
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ\t␉",
		out:  "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ\t␉",
	}, { // 1638
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉␉",
		out:  "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυ␉␉",
	}, { // 1639
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ\t",
		out:  "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ\t",
	}, { // 1640
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
		out:  "α␇ο*π＾\f＼a␚\tＲ\uff00e<>＞T␗-␅'\r\x1aｕκζυｊ␉",
	}, { // 1641
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
		out:  "+σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
	}, { // 1642
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\n␊\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
		out:  "␊␊\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
	}, { // 1643
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊␊\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
		out:  "‛␊␊\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
	}, { // 1644
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\nσ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
		out:  "␊σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
	}, { // 1645
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
		out:  "‛␊σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
	}, { // 1646
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\nσ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
		out:  "␊σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
	}, { // 1647
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␊σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
		out:  "‛␊σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
	}, { // 1648
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+\n\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
		out:  "+\n\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
	}, { // 1649
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+␊\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
		out:  "+␊\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ|",
	}, { // 1650
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+\n\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
		out:  "+\n\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
	}, { // 1651
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+␊\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
		out:  "+␊\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
	}, { // 1652
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+\n\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
		out:  "+\n\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
	}, { // 1653
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+␊\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
		out:  "+␊\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
	}, { // 1654
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ\n|",
		out:  "+σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ\n|",
	}, { // 1655
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
		out:  "+σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊|",
	}, { // 1656
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ\n␊",
		out:  "+σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ\n␊",
	}, { // 1657
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊␊",
		out:  "+σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑ␊␊",
	}, { // 1658
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ\n",
		out:  "+σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ\n",
	}, { // 1659
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "+σ\x1b␔δ\n％␈\x00ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
		out:  "+σ\x1b␔δ\n％␈␀ε\n／9vυ\x15ＴＡ=\x01(ν＜｀８ｄＴｑτ␊",
	}, { // 1660
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π\x00",
		out:  "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␀",
	}, { // 1661
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\v␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π\x00",
		out:  "␋␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␀",
	}, { // 1662
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␋␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π\x00",
		out:  "‛␋␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␀",
	}, { // 1663
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\vｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/␋\x00",
		out:  "␋ｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/␋␀",
	}, { // 1664
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␋ｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/␋\x00",
		out:  "‛␋ｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/␋␀",
	}, { // 1665
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\vｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π␋",
		out:  "␋ｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␋",
	}, { // 1666
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␋ｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π␋",
		out:  "‛␋ｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␋",
	}, { // 1667
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "ε\vμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π\x00",
		out:  "ε\vμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␀",
	}, { // 1668
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "ε␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π\x00",
		out:  "ε␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␀",
	}, { // 1669
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "ε\vμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/␋\x00",
		out:  "ε\vμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/␋␀",
	}, { // 1670
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "ε␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/␋\x00",
		out:  "ε␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/␋␀",
	}, { // 1671
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "ε\vμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π␋",
		out:  "ε\vμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␋",
	}, { // 1672
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "ε␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π␋",
		out:  "ε␋μ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␋",
	}, { // 1673
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/\v\x00",
		out:  "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/\v␀",
	}, { // 1674
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/␋\x00",
		out:  "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/␋␀",
	}, { // 1675
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/\v␋",
		out:  "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/\v␋",
	}, { // 1676
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/␋␋",
		out:  "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/␋␋",
	}, { // 1677
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π\v",
		out:  "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π\v",
	}, { // 1678
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜\x00；Ｚ␟，：@V/π␋",
		out:  "εｄμ␇\a)P\x1d＝/\v␎ β｜nＷσ␜␀；Ｚ␟，：@V/π␋",
	}, { // 1679
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
		out:  "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
	}, { // 1680
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\r␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
		out:  "␍␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
	}, { // 1681
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␍␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
		out:  "‛␍␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
	}, { // 1682
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\r#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
		out:  "␍#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
	}, { // 1683
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␍#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
		out:  "‛␍#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
	}, { // 1684
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\r#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
		out:  "␍#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
	}, { // 1685
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "␍#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
		out:  "‛␍#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
	}, { // 1686
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a\r\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
		out:  "\x1a\r\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
	}, { // 1687
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
		out:  "\x1a␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒr",
	}, { // 1688
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a\r\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
		out:  "\x1a\r\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
	}, { // 1689
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
		out:  "\x1a␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
	}, { // 1690
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a\r\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
		out:  "\x1a\r\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
	}, { // 1691
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
		out:  "\x1a␍\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
	}, { // 1692
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ\rr",
		out:  "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ\rr",
	}, { // 1693
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
		out:  "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍r",
	}, { // 1694
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ\r␍",
		out:  "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ\r␍",
	}, { // 1695
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍␍",
		out:  "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμ␍␍",
	}, { // 1696
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ\r",
		out:  "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ\r",
	}, { // 1697
		mask: EncodeDollar | EncodeLeftCrLfHtVt,
		in:   "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
		out:  "\x1a#\tρ.Ｙ；＞\x05␍\rδςＹｖe*=：α␌ψ|\x1c␍␟Vμｒ␍",
	}, { // 1698
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\rZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
		out:  "␍Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
	}, { // 1699
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\t␉␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
		out:  "␉␉␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
	}, { // 1700
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␉␉␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
		out:  "‛␉␉␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
	}, { // 1701
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\tZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
		out:  "␉Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
	}, { // 1702
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␉Z␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
		out:  "‛␉Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
	}, { // 1703
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\tZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
		out:  "␉Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
	}, { // 1704
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␉Z␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
		out:  "‛␉Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
	}, { // 1705
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r\t␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
		out:  "␍\t␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
	}, { // 1706
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␉␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
		out:  "␍␉␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\x1c",
	}, { // 1707
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r\t␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
		out:  "␍\t␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
	}, { // 1708
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␉␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
		out:  "␍␉␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
	}, { // 1709
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r\t␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
		out:  "␍\t␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
	}, { // 1710
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␉␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
		out:  "␍␉␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
	}, { // 1711
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\rZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε\t\x1c",
		out:  "␍Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε\t\x1c",
	}, { // 1712
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\rZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
		out:  "␍Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉\x1c",
	}, { // 1713
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\rZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε\t␉",
		out:  "␍Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε\t␉",
	}, { // 1714
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\rZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉␉",
		out:  "␍Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχε␉␉",
	}, { // 1715
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\rZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\t",
		out:  "␍Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ\t",
	}, { // 1716
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\rZ␆＊vγU\"Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
		out:  "␍Z␆＊vγU＂Ｕｘ\t．␋*υZ␓ｑ;\x06ε\n\x05␚｜ξχεＴ␉",
	}, { // 1717
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
		out:  "‛␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
	}, { // 1718
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\n␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
		out:  "␊␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
	}, { // 1719
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␊␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
		out:  "‛␊␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
	}, { // 1720
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\nιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
		out:  "␊ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
	}, { // 1721
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␊ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
		out:  "‛␊ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
	}, { // 1722
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\nιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
		out:  "␊ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
	}, { // 1723
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␊ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
		out:  "‛␊ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
	}, { // 1724
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋\nｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
		out:  "‛␋\nｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
	}, { // 1725
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
		out:  "‛␋␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\x1c",
	}, { // 1726
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋\nｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
		out:  "‛␋\nｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
	}, { // 1727
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
		out:  "‛␋␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
	}, { // 1728
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋\nｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
		out:  "‛␋\nｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
	}, { // 1729
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
		out:  "‛␋␊ｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
	}, { // 1730
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛\n\x1c",
		out:  "‛␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛\n\x1c",
	}, { // 1731
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
		out:  "‛␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊\x1c",
	}, { // 1732
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛\n␊",
		out:  "‛␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛\n␊",
	}, { // 1733
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊␊",
		out:  "‛␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛␊␊",
	}, { // 1734
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\n",
		out:  "‛␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`\n",
	}, { // 1735
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
		out:  "‛␋ιｅ8Oιｗ␛{␆\nι6\aχ\rπ␉#;ｚＤςf␎～，␛`␊",
	}, { // 1736
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v｀",
		out:  "γ＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v｀",
	}, { // 1737
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\v␋＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v｀",
		out:  "␋␋＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v｀",
	}, { // 1738
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋␋＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v｀",
		out:  "‛␋␋＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v｀",
	}, { // 1739
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\v＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01␋｀",
		out:  "␋＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01␋｀",
	}, { // 1740
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01␋｀",
		out:  "‛␋＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01␋｀",
	}, { // 1741
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\v＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v␋",
		out:  "␋＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v␋",
	}, { // 1742
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␋＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v␋",
		out:  "‛␋＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v␋",
	}, { // 1743
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ\v＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v｀",
		out:  "γ\v＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v｀",
	}, { // 1744
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ␋＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v｀",
		out:  "γ␋＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v｀",
	}, { // 1745
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ\v＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01␋｀",
		out:  "γ\v＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01␋｀",
	}, { // 1746
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ␋＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01␋｀",
		out:  "γ␋＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01␋｀",
	}, { // 1747
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ\v＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v␋",
		out:  "γ\v＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v␋",
	}, { // 1748
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ␋＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v␋",
		out:  "γ␋＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v␋",
	}, { // 1749
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v｀",
		out:  "γ＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v｀",
	}, { // 1750
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01␋｀",
		out:  "γ＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01␋｀",
	}, { // 1751
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v␋",
		out:  "γ＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v␋",
	}, { // 1752
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01␋␋",
		out:  "γ＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01␋␋",
	}, { // 1753
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v\v",
		out:  "γ＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v\v",
	}, { // 1754
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "γ＼＇ｐ␔␀␞9ψε\vZ\x00`␇０）κC３\x1daａ#υmη\x01\v␋",
		out:  "γ＼＇ｐ␔‛␀␞9ψε\vZ␀`␇０）κC３\x1daａ#υmη\x01\v␋",
	}, { // 1755
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
		out:  "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
	}, { // 1756
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
		out:  "␍␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
	}, { // 1757
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␍␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
		out:  "‛␍␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
	}, { // 1758
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r4␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
		out:  "␍4␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
	}, { // 1759
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␍4␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
		out:  "‛␍4␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
	}, { // 1760
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\r4␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
		out:  "␍4␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
	}, { // 1761
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "␍4␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
		out:  "‛␍4␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
	}, { // 1762
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x01\r␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
		out:  "\x01\r␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
	}, { // 1763
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x01␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
		out:  "\x01␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␌",
	}, { // 1764
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x01\r␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
		out:  "\x01\r␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
	}, { // 1765
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x01␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
		out:  "\x01␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
	}, { // 1766
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x01\r␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
		out:  "\x01\r␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
	}, { // 1767
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x01␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
		out:  "\x01␍␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
	}, { // 1768
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\r␌",
		out:  "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\r␌",
	}, { // 1769
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
		out:  "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␌",
	}, { // 1770
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\r␍",
		out:  "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\r␍",
	}, { // 1771
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␍",
		out:  "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ␍␍",
	}, { // 1772
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e\r",
		out:  "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e\r",
	}, { // 1773
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt,
		in:   "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
		out:  "\x014␓ν１\uff00β[βμ\r]]␓＃χｕι\x1d＊＼0\a␁\tＩ:Ａ\x0e␍",
	}, { // 1774
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
		out:  "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
	}, { // 1775
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\t␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
		out:  "␉␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
	}, { // 1776
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␉␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
		out:  "‛␉␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
	}, { // 1777
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\t\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
		out:  "␉\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
	}, { // 1778
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␉\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
		out:  "‛␉\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
	}, { // 1779
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\t\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
		out:  "␉\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
	}, { // 1780
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␉\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
		out:  "‛␉\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
	}, { // 1781
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\tC=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
		out:  "｜\tC=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
	}, { // 1782
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
		out:  "｜␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\x11",
	}, { // 1783
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\tC=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
		out:  "｜\tC=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
	}, { // 1784
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
		out:  "｜␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
	}, { // 1785
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\tC=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
		out:  "｜\tC=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
	}, { // 1786
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
		out:  "｜␉C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
	}, { // 1787
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ\t\x11",
		out:  "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ\t\x11",
	}, { // 1788
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
		out:  "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉\x11",
	}, { // 1789
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ\t␉",
		out:  "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ\t␉",
	}, { // 1790
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉␉",
		out:  "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥ␉␉",
	}, { // 1791
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\t",
		out:  "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ\t",
	}, { // 1792
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
		out:  "｜\"C=)%Ｆ␙␍ξ\t]9ισｉＧ0ψ␍'\uff00␊'｜δＪＥβ␉",
	}, { // 1793
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
		out:  "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
	}, { // 1794
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\n␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
		out:  "␊␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
	}, { // 1795
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␊␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
		out:  "‛␊␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
	}, { // 1796
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\nκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
		out:  "␊κ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
	}, { // 1797
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␊κ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
		out:  "‛␊κ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
	}, { // 1798
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\nκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
		out:  "␊κ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
	}, { // 1799
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␊κ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
		out:  "‛␊κ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
	}, { // 1800
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "η\n]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
		out:  "η\n]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
	}, { // 1801
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "η␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
		out:  "η␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ［",
	}, { // 1802
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "η\n]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
		out:  "η\n]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
	}, { // 1803
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "η␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
		out:  "η␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
	}, { // 1804
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "η\n]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
		out:  "η\n]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
	}, { // 1805
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "η␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
		out:  "η␊]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
	}, { // 1806
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[\n［",
		out:  "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[\n［",
	}, { // 1807
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
		out:  "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊［",
	}, { // 1808
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[\n␊",
		out:  "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[\n␊",
	}, { // 1809
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊␊",
		out:  "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[␊␊",
	}, { // 1810
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ\n",
		out:  "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ\n",
	}, { // 1811
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
		out:  "ηκ]␆＾\x13\x01J\x04␞\n/＋␡%９␖rU，␍γυ#␝;ψ[Ｆ␊",
	}, { // 1812
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
		out:  "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
	}, { // 1813
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\v␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
		out:  "␋␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
	}, { // 1814
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␋␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
		out:  "‛␋␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
	}, { // 1815
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\vＺλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
		out:  "␋Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
	}, { // 1816
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␋Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
		out:  "‛␋Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
	}, { // 1817
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\vＺλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
		out:  "␋Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
	}, { // 1818
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␋Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
		out:  "‛␋Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
	}, { // 1819
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"\vλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
		out:  "\"\vλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
	}, { // 1820
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
		out:  "\"␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗Y",
	}, { // 1821
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"\vλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
		out:  "\"\vλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
	}, { // 1822
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
		out:  "\"␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
	}, { // 1823
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"\vλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
		out:  "\"\vλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
	}, { // 1824
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
		out:  "\"␋λκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
	}, { // 1825
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ\vY",
		out:  "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ\vY",
	}, { // 1826
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
		out:  "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋Y",
	}, { // 1827
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ\v␋",
		out:  "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ\v␋",
	}, { // 1828
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋␋",
		out:  "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␋␋",
	}, { // 1829
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗\v",
		out:  "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗\v",
	}, { // 1830
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
		out:  "\"Ｚλκ2␈3\x0fλ６\vb＇ｐ\x12\x1aＴ&\x1b␂␁θ\x18νPｄ␋δ␗␋",
	}, { // 1831
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
		out:  "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
	}, { // 1832
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\r␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
		out:  "␍␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
	}, { // 1833
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␍␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
		out:  "‛␍␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
	}, { // 1834
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\rυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
		out:  "␍υ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
	}, { // 1835
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␍υ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
		out:  "‛␍υ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
	}, { // 1836
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "\rυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
		out:  "␍υ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
	}, { // 1837
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "␍υ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
		out:  "‛␍υ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
	}, { // 1838
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "e\r[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
		out:  "e\r[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
	}, { // 1839
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "e␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
		out:  "e␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔n",
	}, { // 1840
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "e\r[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
		out:  "e\r[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
	}, { // 1841
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "e␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
		out:  "e␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
	}, { // 1842
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "e\r[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
		out:  "e\r[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
	}, { // 1843
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "e␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
		out:  "e␍[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
	}, { // 1844
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f\rn",
		out:  "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f\rn",
	}, { // 1845
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
		out:  "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍n",
	}, { // 1846
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f\r␍",
		out:  "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f\r␍",
	}, { // 1847
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍␍",
		out:  "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␍␍",
	}, { // 1848
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔\r",
		out:  "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔\r",
	}, { // 1849
		mask: EncodeColon | EncodeLeftCrLfHtVt,
		in:   "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
		out:  "eυ[Q6Pσ？(\x03\r＄\aβ%ｌψο\n␕␍Ｗ␂～υｃｙ\u007f␔␍",
	}, { // 1850
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
		out:  "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
	}, { // 1851
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\t␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
		out:  "␉␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
	}, { // 1852
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
		out:  "‛␉␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
	}, { // 1853
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\tＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
		out:  "␉Ａ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
	}, { // 1854
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉Ａ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
		out:  "‛␉Ａ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
	}, { // 1855
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\tＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
		out:  "␉Ａ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
	}, { // 1856
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␉Ａ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
		out:  "‛␉Ａ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
	}, { // 1857
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "Ａ\t\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
		out:  "Ａ\t\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
	}, { // 1858
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "Ａ␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
		out:  "Ａ␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\x16",
	}, { // 1859
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "Ａ\t\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
		out:  "Ａ\t\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
	}, { // 1860
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "Ａ␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
		out:  "Ａ␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
	}, { // 1861
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "Ａ\t\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
		out:  "Ａ\t\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
	}, { // 1862
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "Ａ␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
		out:  "Ａ␉\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
	}, { // 1863
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ\t\x16",
		out:  "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ\t\x16",
	}, { // 1864
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
		out:  "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉\x16",
	}, { // 1865
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ\t␉",
		out:  "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ\t␉",
	}, { // 1866
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉␉",
		out:  "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ␉␉",
	}, { // 1867
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\t",
		out:  "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～\t",
	}, { // 1868
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
		out:  "ＡＡ\x1aηω##～\x12｜\t␏/R＊+/\tB␅␘ππλＭ␞#σ～␉",
	}, { // 1869
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζw",
		out:  "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζw",
	}, { // 1870
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\n␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζw",
		out:  "␊␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζw",
	}, { // 1871
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␊␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζw",
		out:  "‛␊␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζw",
	}, { // 1872
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\n［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?␊w",
		out:  "␊［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？␊w",
	}, { // 1873
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␊［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?␊w",
		out:  "‛␊［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？␊w",
	}, { // 1874
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\n［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζ␊",
		out:  "␊［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζ␊",
	}, { // 1875
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␊［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζ␊",
		out:  "‛␊［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζ␊",
	}, { // 1876
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-\n\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζw",
		out:  "-\n\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζw",
	}, { // 1877
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζw",
		out:  "-␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζw",
	}, { // 1878
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-\n\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?␊w",
		out:  "-\n\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？␊w",
	}, { // 1879
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?␊w",
		out:  "-␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？␊w",
	}, { // 1880
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-\n\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζ␊",
		out:  "-\n\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζ␊",
	}, { // 1881
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζ␊",
		out:  "-␊\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζ␊",
	}, { // 1882
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?\nw",
		out:  "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？\nw",
	}, { // 1883
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?␊w",
		out:  "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？␊w",
	}, { // 1884
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?\n␊",
		out:  "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？\n␊",
	}, { // 1885
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?␊␊",
		out:  "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？␊␊",
	}, { // 1886
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζ\n",
		out:  "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζ\n",
	}, { // 1887
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：?ζ␊",
		out:  "-［\x01>｛␔％ς＇r\n␋＋７Ｅ|γβB,␒:*\x1fςｒ：？ζ␊",
	}, { // 1888
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
		out:  "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
	}, { // 1889
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\v␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
		out:  "␋␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
	}, { // 1890
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␋␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
		out:  "‛␋␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
	}, { // 1891
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\v\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
		out:  "␋\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
	}, { // 1892
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␋\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
		out:  "‛␋\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
	}, { // 1893
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\v\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
		out:  "␋\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
	}, { // 1894
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␋\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
		out:  "‛␋\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
	}, { // 1895
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\vδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
		out:  "␈\vδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
	}, { // 1896
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
		out:  "␈␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\x10",
	}, { // 1897
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\vδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
		out:  "␈\vδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
	}, { // 1898
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
		out:  "␈␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
	}, { // 1899
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\vδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
		out:  "␈\vδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
	}, { // 1900
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
		out:  "␈␋δ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
	}, { // 1901
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ\v\x10",
		out:  "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ\v\x10",
	}, { // 1902
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
		out:  "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋\x10",
	}, { // 1903
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ\v␋",
		out:  "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ\v␋",
	}, { // 1904
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋␋",
		out:  "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJ␋␋",
	}, { // 1905
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\v",
		out:  "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ\v",
	}, { // 1906
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
		out:  "␈\rδ＇␛'/8［μ\vτ|␡λ｜/tβfｔＨＷν｜\x14ｄJＤ␋",
	}, { // 1907
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
		out:  "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
	}, { // 1908
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\r␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
		out:  "␍␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
	}, { // 1909
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␍␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
		out:  "‛␍␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
	}, { // 1910
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\r＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
		out:  "␍＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
	}, { // 1911
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␍＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
		out:  "‛␍＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
	}, { // 1912
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "\r＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
		out:  "␍＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
	}, { // 1913
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␍＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
		out:  "‛␍＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
	}, { // 1914
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐\r＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
		out:  "␐\r＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
	}, { // 1915
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
		out:  "␐␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω＄",
	}, { // 1916
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐\r＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
		out:  "␐\r＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
	}, { // 1917
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
		out:  "␐␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
	}, { // 1918
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐\r＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
		out:  "␐\r＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
	}, { // 1919
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
		out:  "␐␍＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
	}, { // 1920
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ\r＄",
		out:  "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ\r＄",
	}, { // 1921
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
		out:  "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍＄",
	}, { // 1922
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ\r␍",
		out:  "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ\r␍",
	}, { // 1923
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍␍",
		out:  "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌ␍␍",
	}, { // 1924
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω\r",
		out:  "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω\r",
	}, { // 1925
		mask: EncodeQuestion | EncodeLeftCrLfHtVt,
		in:   "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
		out:  "␐＄＼\r[ｎ#ς．ρ\r␚'／ｚ*υR\x1fqχ\x13|v␈ηＶｌω␍",
	}, { // 1926
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f%",
		out:  "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f%",
	}, { // 1927
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\t␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f%",
		out:  "␉␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f%",
	}, { // 1928
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␉␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f%",
		out:  "‛␉␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f%",
	}, { // 1929
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\ty␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ␉%",
		out:  "␉y␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ␉%",
	}, { // 1930
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␉y␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ␉%",
		out:  "‛␉y␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ␉%",
	}, { // 1931
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\ty␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f␉",
		out:  "␉y␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f␉",
	}, { // 1932
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␉y␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f␉",
		out:  "‛␉y␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f␉",
	}, { // 1933
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "e\t␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f%",
		out:  "e\t␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f%",
	}, { // 1934
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "e␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f%",
		out:  "e␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f%",
	}, { // 1935
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "e\t␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ␉%",
		out:  "e\t␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ␉%",
	}, { // 1936
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "e␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ␉%",
		out:  "e␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ␉%",
	}, { // 1937
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "e\t␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f␉",
		out:  "e\t␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f␉",
	}, { // 1938
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "e␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f␉",
		out:  "e␉␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f␉",
	}, { // 1939
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\t%",
		out:  "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\t%",
	}, { // 1940
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ␉%",
		out:  "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ␉%",
	}, { // 1941
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\t␉",
		out:  "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\t␉",
	}, { // 1942
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ␉␉",
		out:  "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ␉␉",
	}, { // 1943
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f\t",
		out:  "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f\t",
	}, { // 1944
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02␀Ｂ\x0f␉",
		out:  "ey␈\nν！P␑＇\x1d\t␐␅\rhζ％ｉ\x16υ５μσＺ<\x02‛␀Ｂ\x0f␉",
	}, { // 1945
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
	}, { // 1946
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\n␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
		out:  "␊␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
	}, { // 1947
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␊␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
		out:  "‛␊␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
	}, { // 1948
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\n\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
		out:  "␊\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
	}, { // 1949
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␊\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
		out:  "‛␊\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
	}, { // 1950
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\n\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
		out:  "␊\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
	}, { // 1951
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␊\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
		out:  "‛␊\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
	}, { // 1952
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
	}, { // 1953
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
		out:  "O␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4C",
	}, { // 1954
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
	}, { // 1955
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
		out:  "O␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
	}, { // 1956
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
	}, { // 1957
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
		out:  "O␊␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
	}, { // 1958
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ\nC",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ\nC",
	}, { // 1959
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊C",
	}, { // 1960
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ\n␊",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ\n␊",
	}, { // 1961
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊␊",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ␊␊",
	}, { // 1962
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4\n",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4\n",
	}, { // 1963
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
		out:  "O\n␓κη␊λ'␖y\nξ＄\x14Ａ␗ο～␔ｓ１$|\nJ\b％φ4␊",
	}, { // 1964
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
		out:  "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
	}, { // 1965
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\v␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
		out:  "␋␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
	}, { // 1966
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␋␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
		out:  "‛␋␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
	}, { // 1967
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\v'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
		out:  "␋'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
	}, { // 1968
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␋'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
		out:  "‛␋'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
	}, { // 1969
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\v'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
		out:  "␋'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
	}, { // 1970
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␋'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
		out:  "‛␋'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
	}, { // 1971
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ\v\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
		out:  "ψ\v\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
	}, { // 1972
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
		out:  "ψ␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５ο",
	}, { // 1973
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ\v\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
		out:  "ψ\v\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
	}, { // 1974
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
		out:  "ψ␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
	}, { // 1975
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ\v\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
		out:  "ψ\v\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
	}, { // 1976
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
		out:  "ψ␋\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
	}, { // 1977
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖\vο",
		out:  "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖\vο",
	}, { // 1978
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
		out:  "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋ο",
	}, { // 1979
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖\v␋",
		out:  "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖\v␋",
	}, { // 1980
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋␋",
		out:  "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖␋␋",
	}, { // 1981
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５\v",
		out:  "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５\v",
	}, { // 1982
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
		out:  "ψ'\x17Oφ＞␎\x1a␍␐\vWθ＜8pD\x1b#ｕνｆ｛\\ο;␆␖５␋",
	}, { // 1983
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
		out:  "‛␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
	}, { // 1984
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\r␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
		out:  "␍␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
	}, { // 1985
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␍␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
		out:  "‛␍␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
	}, { // 1986
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\rｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
		out:  "␍ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
	}, { // 1987
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␍ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
		out:  "‛␍ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
	}, { // 1988
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "\rｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
		out:  "␍ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
	}, { // 1989
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␍ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
		out:  "‛␍ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
	}, { // 1990
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀\r\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
		out:  "‛␀\r\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
	}, { // 1991
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
		out:  "‛␀␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\x15",
	}, { // 1992
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀\r\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
		out:  "‛␀\r\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
	}, { // 1993
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
		out:  "‛␀␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
	}, { // 1994
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀\r\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
		out:  "‛␀\r\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
	}, { // 1995
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
		out:  "‛␀␍\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
	}, { // 1996
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00\r\x15",
		out:  "‛␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00\r\x15",
	}, { // 1997
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
		out:  "‛␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍\x15",
	}, { // 1998
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00\r␍",
		out:  "‛␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00\r␍",
	}, { // 1999
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍␍",
		out:  "‛␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00␍␍",
	}, { // 2000
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\r",
		out:  "‛␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/\r",
	}, { // 2001
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt,
		in:   "␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
		out:  "‛␀ｍ\x03δρβ／␕(\x02\rρ；ＲA／｝$R４;;2␙χλ␊\uff00/␍",
	}, { // 2002
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
		out:  "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
	}, { // 2003
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\t␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
		out:  "␉␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
	}, { // 2004
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␉␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
		out:  "‛␉␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
	}, { // 2005
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\t\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
		out:  "␉\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
	}, { // 2006
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␉\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
		out:  "‛␉\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
	}, { // 2007
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\t\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
		out:  "␉\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
	}, { // 2008
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␉\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
		out:  "‛␉\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
	}, { // 2009
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\tλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
		out:  "８\tλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
	}, { // 2010
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
		out:  "８␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177*",
	}, { // 2011
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\tλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
		out:  "８\tλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
	}, { // 2012
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
		out:  "８␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
	}, { // 2013
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\tλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
		out:  "８\tλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
	}, { // 2014
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
		out:  "８␉λ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
	}, { // 2015
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17\t*",
		out:  "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17\t*",
	}, { // 2016
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
		out:  "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉*",
	}, { // 2017
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17\t␉",
		out:  "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17\t␉",
	}, { // 2018
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉␉",
		out:  "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x17␉␉",
	}, { // 2019
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177\t",
		out:  "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177\t",
	}, { // 2020
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
		out:  "８\aλ␒ν\x06ｊ＊n\x1a\t\x1e>σθｐｘη]：Ｔ］)␕？Wε\x177␉",
	}, { // 2021
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσW",
		out:  "i␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσW",
	}, { // 2022
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\n␊x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσW",
		out:  "␊␊x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσW",
	}, { // 2023
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␊␊x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσW",
		out:  "‛␊␊x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσW",
	}, { // 2024
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\n␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GO␊W",
		out:  "␊␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GO␊W",
	}, { // 2025
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␊␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GO␊W",
		out:  "‛␊␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GO␊W",
	}, { // 2026
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\n␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσ␊",
		out:  "␊␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσ␊",
	}, { // 2027
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␊␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσ␊",
		out:  "‛␊␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσ␊",
	}, { // 2028
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i\nx＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσW",
		out:  "i\nx＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσW",
	}, { // 2029
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␊x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσW",
		out:  "i␊x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσW",
	}, { // 2030
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i\nx＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GO␊W",
		out:  "i\nx＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GO␊W",
	}, { // 2031
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␊x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GO␊W",
		out:  "i␊x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GO␊W",
	}, { // 2032
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i\nx＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσ␊",
		out:  "i\nx＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσ␊",
	}, { // 2033
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␊x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσ␊",
		out:  "i␊x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσ␊",
	}, { // 2034
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GO\nW",
		out:  "i␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GO\nW",
	}, { // 2035
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GO␊W",
		out:  "i␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GO␊W",
	}, { // 2036
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GO\n␊",
		out:  "i␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GO\n␊",
	}, { // 2037
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GO␊␊",
		out:  "i␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GO␊␊",
	}, { // 2038
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσ\n",
		out:  "i␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσ\n",
	}, { // 2039
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "i␟x＊χο*␟Ｊλ\n＄␂|␓εＩβ？\x04ｙ０\x02\r'|GOσ␊",
		out:  "i␟x＊χο*␟Ｊλ\n＄␂｜␓εＩβ？\x04ｙ０\x02\r'｜GOσ␊",
	}, { // 2040
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␔",
		out:  "4ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␔",
	}, { // 2041
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\v␋?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␔",
		out:  "␋␋?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␔",
	}, { // 2042
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␋␋?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␔",
		out:  "‛␋␋?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␔",
	}, { // 2043
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\vο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄␋␔",
		out:  "␋ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄␋␔",
	}, { // 2044
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␋ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄␋␔",
		out:  "‛␋ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄␋␔",
	}, { // 2045
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\vο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␋",
		out:  "␋ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␋",
	}, { // 2046
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␋ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␋",
		out:  "‛␋ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␋",
	}, { // 2047
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4\v?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␔",
		out:  "4\v?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␔",
	}, { // 2048
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4␋?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␔",
		out:  "4␋?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␔",
	}, { // 2049
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4\v?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄␋␔",
		out:  "4\v?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄␋␔",
	}, { // 2050
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4␋?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄␋␔",
		out:  "4␋?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄␋␔",
	}, { // 2051
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4\v?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␋",
		out:  "4\v?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␋",
	}, { // 2052
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4␋?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␋",
		out:  "4␋?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␋",
	}, { // 2053
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄\v␔",
		out:  "4ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄\v␔",
	}, { // 2054
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄␋␔",
		out:  "4ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄␋␔",
	}, { // 2055
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄\v␋",
		out:  "4ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄\v␋",
	}, { // 2056
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄␋␋",
		out:  "4ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄␋␋",
	}, { // 2057
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:\v",
		out:  "4ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:\v",
	}, { // 2058
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "4ο?\x17β％␚_\fχ\v；＠τＲ'\x00\"εθｌ＂U.␊＊d␄:␋",
		out:  "4ο?\x17β％␚_\fχ\v；＠τＲ'␀\"εθｌ＂U.␊＊d␄:␋",
	}, { // 2059
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
		out:  "␓ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
	}, { // 2060
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\r␍Ｙ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
		out:  "␍␍Ｙ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
	}, { // 2061
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␍␍Ｙ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
		out:  "‛␍␍Ｙ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
	}, { // 2062
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\rρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
		out:  "␍ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
	}, { // 2063
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␍ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
		out:  "‛␍ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
	}, { // 2064
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "\rρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
		out:  "␍ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
	}, { // 2065
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␍ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
		out:  "‛␍ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
	}, { // 2066
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓\rＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
		out:  "␓\rＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
	}, { // 2067
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␍Ｙ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
		out:  "␓␍Ｙ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*>",
	}, { // 2068
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓\rＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
		out:  "␓\rＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
	}, { // 2069
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␍Ｙ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
		out:  "␓␍Ｙ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
	}, { // 2070
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓\rＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
		out:  "␓\rＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
	}, { // 2071
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓␍Ｙ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
		out:  "␓␍Ｙ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
	}, { // 2072
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~\r>",
		out:  "␓ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~\r>",
	}, { // 2073
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
		out:  "␓ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍>",
	}, { // 2074
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~\r␍",
		out:  "␓ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~\r␍",
	}, { // 2075
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍␍",
		out:  "␓ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~␍␍",
	}, { // 2076
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*\r",
		out:  "␓ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*\r",
	}, { // 2077
		mask: EncodePipe | EncodeLeftCrLfHtVt,
		in:   "␓ρＹ＇eＹＡｒeτ\rρ␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
		out:  "␓ρＹ＇eＹＡｒeτ\rρ‛␀ｅ\n␁;Ｂtμ\x14␖ζ␚?γ4~*␍",
	}, { // 2078
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ|",
		out:  "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ|",
	}, { // 2079
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\t␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ|",
		out:  "␉␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ|",
	}, { // 2080
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␉␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ|",
		out:  "‛␉␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ|",
	}, { // 2081
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\t｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[Ｌ␉|",
		out:  "␉｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[Ｌ␉|",
	}, { // 2082
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␉｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[Ｌ␉|",
		out:  "‛␉｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[Ｌ␉|",
	}, { // 2083
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\t｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ␉",
		out:  "␉｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ␉",
	}, { // 2084
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␉｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ␉",
		out:  "‛␉｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ␉",
	}, { // 2085
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%\t；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ|",
		out:  "%\t；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ|",
	}, { // 2086
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ|",
		out:  "%␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ|",
	}, { // 2087
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%\t；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[Ｌ␉|",
		out:  "%\t；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[Ｌ␉|",
	}, { // 2088
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[Ｌ␉|",
		out:  "%␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[Ｌ␉|",
	}, { // 2089
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%\t；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ␉",
		out:  "%\t；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ␉",
	}, { // 2090
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ␉",
		out:  "%␉；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ␉",
	}, { // 2091
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[Ｌ\t|",
		out:  "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[Ｌ\t|",
	}, { // 2092
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[Ｌ␉|",
		out:  "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[Ｌ␉|",
	}, { // 2093
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[Ｌ\t␉",
		out:  "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[Ｌ\t␉",
	}, { // 2094
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[Ｌ␉␉",
		out:  "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[Ｌ␉␉",
	}, { // 2095
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ\t",
		out:  "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ\t",
	}, { // 2096
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f␀@ｄ｝\x06jζ<[ＬＫ␉",
		out:  "%｜；τζκ␒U９\x13\t)？Ｏ％ασ\u007f‛␀@ｄ｝\x06jζ<[ＬＫ␉",
	}, { // 2097
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
		out:  "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
	}, { // 2098
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\n␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
		out:  "␊␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
	}, { // 2099
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␊␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
		out:  "‛␊␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
	}, { // 2100
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\n%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
		out:  "␊%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
	}, { // 2101
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␊%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
		out:  "‛␊%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
	}, { // 2102
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\n%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
		out:  "␊%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
	}, { // 2103
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␊%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
		out:  "‛␊%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
	}, { // 2104
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\\nλ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
		out:  "\\\nλ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
	}, { // 2105
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
		out:  "\\␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\\",
	}, { // 2106
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\\nλ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
		out:  "\\\nλ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
	}, { // 2107
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
		out:  "\\␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
	}, { // 2108
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\\nλ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
		out:  "\\\nλ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
	}, { // 2109
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
		out:  "\\␊λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
	}, { // 2110
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ\n\\",
		out:  "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ\n\\",
	}, { // 2111
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
		out:  "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊\\",
	}, { // 2112
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ\n␊",
		out:  "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ\n␊",
	}, { // 2113
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊␊",
		out:  "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ␊␊",
	}, { // 2114
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\n",
		out:  "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠\n",
	}, { // 2115
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
		out:  "\\%λ\x06＜ｌ(～ρ＝\nＬ␞κ␡｀w［|βοy[\x1f;\x18Ｐδ＠␊",
	}, { // 2116
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀］",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀］",
	}, { // 2117
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\v␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀］",
		out:  "␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀］",
	}, { // 2118
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀］",
		out:  "‛␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀］",
	}, { // 2119
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\v␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
		out:  "␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
	}, { // 2120
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
		out:  "‛␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
	}, { // 2121
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\v␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀␋",
		out:  "␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀␋",
	}, { // 2122
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀␋",
		out:  "‛␋␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀␋",
	}, { // 2123
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ\v；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀］",
		out:  "υ\v；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀］",
	}, { // 2124
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀］",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀］",
	}, { // 2125
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ\v；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
		out:  "υ\v；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
	}, { // 2126
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
	}, { // 2127
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ\v；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀␋",
		out:  "υ\v；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀␋",
	}, { // 2128
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀␋",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀␋",
	}, { // 2129
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊\v］",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊\v］",
	}, { // 2130
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋］",
	}, { // 2131
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊\v␋",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊\v␋",
	}, { // 2132
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋␋",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␋␋",
	}, { // 2133
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀\v",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀\v",
	}, { // 2134
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊␀␋",
		out:  "υ␋；\x1ca*９j\x04υ\vG\x0f)＊ξλ&\uff00Ｘ\\＋η␎\x1bＵτ＊‛␀␋",
	}, { // 2135
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μI",
		out:  "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μI",
	}, { // 2136
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\r␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μI",
		out:  "␍␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μI",
	}, { // 2137
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␍␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μI",
		out:  "‛␍␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μI",
	}, { // 2138
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\rＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00␍I",
		out:  "␍Ｑ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀␍I",
	}, { // 2139
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␍Ｑ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00␍I",
		out:  "‛␍Ｑ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀␍I",
	}, { // 2140
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "\rＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μ␍",
		out:  "␍Ｑ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μ␍",
	}, { // 2141
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "␍Ｑ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μ␍",
		out:  "‛␍Ｑ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μ␍",
	}, { // 2142
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ\r\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μI",
		out:  "υ\r\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μI",
	}, { // 2143
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μI",
		out:  "υ␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μI",
	}, { // 2144
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ\r\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00␍I",
		out:  "υ\r\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀␍I",
	}, { // 2145
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00␍I",
		out:  "υ␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀␍I",
	}, { // 2146
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ\r\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μ␍",
		out:  "υ\r\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μ␍",
	}, { // 2147
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υ␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μ␍",
		out:  "υ␍\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μ␍",
	}, { // 2148
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00\rI",
		out:  "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀\rI",
	}, { // 2149
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00␍I",
		out:  "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀␍I",
	}, { // 2150
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00\r␍",
		out:  "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀\r␍",
	}, { // 2151
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00␍␍",
		out:  "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀␍␍",
	}, { // 2152
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μ\r",
		out:  "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μ\r",
	}, { // 2153
		mask: EncodeHash | EncodeLeftCrLfHtVt,
		in:   "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝\x00μ␍",
		out:  "υＱ\x16\r`M，3Ｓ␟\r\x0fχ／/;？（IＡ］βκb␖ρ｝␀μ␍",
	}, { // 2154
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
		out:  "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
	}, { // 2155
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\t␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
		out:  "␉␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
	}, { // 2156
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␉␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
		out:  "‛␉␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
	}, { // 2157
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\t／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
		out:  "␉／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
	}, { // 2158
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␉／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
		out:  "‛␉／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
	}, { // 2159
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\t／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
		out:  "␉／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
	}, { // 2160
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␉／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
		out:  "‛␉／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
	}, { // 2161
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β\t：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
		out:  "β\t：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
	}, { // 2162
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
		out:  "β␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／ｗ",
	}, { // 2163
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β\t：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
		out:  "β\t：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
	}, { // 2164
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
		out:  "β␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
	}, { // 2165
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β\t：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
		out:  "β\t：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
	}, { // 2166
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
		out:  "β␉：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
	}, { // 2167
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９\tｗ",
		out:  "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９\tｗ",
	}, { // 2168
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
		out:  "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉ｗ",
	}, { // 2169
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９\t␉",
		out:  "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９\t␉",
	}, { // 2170
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉␉",
		out:  "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９␉␉",
	}, { // 2171
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／\t",
		out:  "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／\t",
	}, { // 2172
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
		out:  "β／：ζ\"ｍv_－β\t\x17>>␚δ\x0f␎z<ηξ＞eM<＼９／␉",
	}, { // 2173
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
		out:  "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
	}, { // 2174
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\n␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
		out:  "␊␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
	}, { // 2175
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
		out:  "‛␊␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
	}, { // 2176
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\nβρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
		out:  "␊βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
	}, { // 2177
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
		out:  "‛␊βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
	}, { // 2178
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\nβρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
		out:  "␊βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
	}, { // 2179
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␊βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
		out:  "‛␊βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
	}, { // 2180
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`\nρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
		out:  "`\nρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
	}, { // 2181
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
		out:  "`␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉπ",
	}, { // 2182
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`\nρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
		out:  "`\nρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
	}, { // 2183
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
		out:  "`␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
	}, { // 2184
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`\nρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
		out:  "`\nρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
	}, { // 2185
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
		out:  "`␊ρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
	}, { // 2186
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|\nπ",
		out:  "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|\nπ",
	}, { // 2187
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
		out:  "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊π",
	}, { // 2188
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|\n␊",
		out:  "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|\n␊",
	}, { // 2189
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊␊",
		out:  "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|␊␊",
	}, { // 2190
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ\n",
		out:  "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ\n",
	}, { // 2191
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
		out:  "`βρq~γ\x11Ａ&␓\n6␛<＋σ\x10␏␟Ｅ␕\"\vλ␆．\x16|Ｉ␊",
	}, { // 2192
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
		out:  "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
	}, { // 2193
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\v␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
		out:  "␋␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
	}, { // 2194
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␋␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
		out:  "‛␋␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
	}, { // 2195
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\vcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
		out:  "␋cρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
	}, { // 2196
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␋cρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
		out:  "‛␋cρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
	}, { // 2197
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\vcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
		out:  "␋cρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
	}, { // 2198
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␋cρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
		out:  "‛␋cρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
	}, { // 2199
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007f\vρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
		out:  "\u007f\vρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
	}, { // 2200
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007f␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
		out:  "\u007f␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␔",
	}, { // 2201
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007f\vρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
		out:  "\u007f\vρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
	}, { // 2202
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007f␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
		out:  "\u007f␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
	}, { // 2203
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007f\vρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
		out:  "\u007f\vρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
	}, { // 2204
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007f␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
		out:  "\u007f␋ρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
	}, { // 2205
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾\v␔",
		out:  "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾\v␔",
	}, { // 2206
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
		out:  "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␔",
	}, { // 2207
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾\v␋",
		out:  "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾\v␋",
	}, { // 2208
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␋",
		out:  "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␋␋",
	}, { // 2209
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁\v",
		out:  "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁\v",
	}, { // 2210
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
		out:  "\u007fcρ:'ｋＢχ＆|\vμν\x1aες␟5RＯ/␖\x18w␌ｉ＃＾␁␋",
	}, { // 2211
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
		out:  "４ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
	}, { // 2212
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\r␍V／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
		out:  "␍␍V／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
	}, { // 2213
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␍␍V／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
		out:  "‛␍␍V／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
	}, { // 2214
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\rｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
		out:  "␍ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
	}, { // 2215
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␍ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
		out:  "‛␍ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
	}, { // 2216
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "\rｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
		out:  "␍ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
	}, { // 2217
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "␍ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
		out:  "‛␍ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
	}, { // 2218
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４\rV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
		out:  "４\rV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
	}, { // 2219
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４␍V／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
		out:  "４␍V／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0eθ",
	}, { // 2220
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４\rV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
		out:  "４\rV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
	}, { // 2221
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４␍V／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
		out:  "４␍V／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
	}, { // 2222
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４\rV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
		out:  "４\rV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
	}, { // 2223
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４␍V／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
		out:  "４␍V／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
	}, { // 2224
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\rθ",
		out:  "４ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\rθ",
	}, { // 2225
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
		out:  "４ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍θ",
	}, { // 2226
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\r␍",
		out:  "４ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\r␍",
	}, { // 2227
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍␍",
		out:  "４ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ␍␍",
	}, { // 2228
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e\r",
		out:  "４ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e\r",
	}, { // 2229
		mask: EncodePercent | EncodeLeftCrLfHtVt,
		in:   "４ｌV／*O\x1c\x1aωｂ\r\x0fι\x00ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
		out:  "４ｌV／*O\x1c\x1aωｂ\r\x0fι␀ｍ7␏ςμ␃＜$＞ＶR$？ｎ\x0e␍",
	}, { // 2230
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
		out:  "‛＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
	}, { // 2231
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\t␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
		out:  "␉␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
	}, { // 2232
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
		out:  "‛␉␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
	}, { // 2233
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\tF␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
		out:  "␉F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
	}, { // 2234
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
		out:  "‛␉F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
	}, { // 2235
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\tF␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
		out:  "␉F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
	}, { // 2236
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␉F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
		out:  "‛␉F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
	}, { // 2237
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼\t␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
		out:  "‛＼\t␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
	}, { // 2238
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
		out:  "‛＼␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?g",
	}, { // 2239
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼\t␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
		out:  "‛＼\t␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
	}, { // 2240
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
		out:  "‛＼␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
	}, { // 2241
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼\t␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
		out:  "‛＼\t␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
	}, { // 2242
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
		out:  "‛＼␉␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
	}, { // 2243
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι\tg",
		out:  "‛＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι\tg",
	}, { // 2244
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
		out:  "‛＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉g",
	}, { // 2245
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι\t␉",
		out:  "‛＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι\t␉",
	}, { // 2246
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉␉",
		out:  "‛＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι␉␉",
	}, { // 2247
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?\t",
		out:  "‛＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?\t",
	}, { // 2248
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
		out:  "‛＼F␈π␟βtιS]\tφ<ｌ（／$7\x1b|η*ｐ３␎␔？ι?␉",
	}, { // 2249
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀\\",
		out:  "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀＼",
	}, { // 2250
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\n␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀\\",
		out:  "␊␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀＼",
	}, { // 2251
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␊␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀\\",
		out:  "‛␊␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀＼",
	}, { // 2252
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\nT＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊\\",
		out:  "␊T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊＼",
	}, { // 2253
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␊T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊\\",
		out:  "‛␊T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊＼",
	}, { // 2254
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\nT＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
		out:  "␊T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
	}, { // 2255
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␊T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
		out:  "‛␊T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
	}, { // 2256
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？\n＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀\\",
		out:  "？\n＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀＼",
	}, { // 2257
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀\\",
		out:  "？␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀＼",
	}, { // 2258
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？\n＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊\\",
		out:  "？\n＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊＼",
	}, { // 2259
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊\\",
		out:  "？␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊＼",
	}, { // 2260
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？\n＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
		out:  "？\n＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
	}, { // 2261
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
		out:  "？␊＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
	}, { // 2262
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η\n\\",
		out:  "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η\n＼",
	}, { // 2263
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊\\",
		out:  "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊＼",
	}, { // 2264
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η\n␊",
		out:  "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η\n␊",
	}, { // 2265
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊␊",
		out:  "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η␊␊",
	}, { // 2266
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀\n",
		out:  "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀\n",
	}, { // 2267
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
		out:  "？T＊＄να;'\x1c\f\nＴq\x1aυｏl\x12φ％,＇＞␑ＨL＜η｀␊",
	}, { // 2268
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭα",
		out:  "^\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭα",
	}, { // 2269
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\v␋／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭα",
		out:  "␋␋／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭα",
	}, { // 2270
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␋␋／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭα",
		out:  "‛␋␋／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭα",
	}, { // 2271
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\v\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇k␋α",
		out:  "␋\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇k␋α",
	}, { // 2272
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␋\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇k␋α",
		out:  "‛␋\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇k␋α",
	}, { // 2273
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\v\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭ␋",
		out:  "␋\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭ␋",
	}, { // 2274
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␋\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭ␋",
		out:  "‛␋\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭ␋",
	}, { // 2275
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\v／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭα",
		out:  "^\v／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭα",
	}, { // 2276
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^␋／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭα",
		out:  "^␋／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭα",
	}, { // 2277
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\v／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇k␋α",
		out:  "^\v／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇k␋α",
	}, { // 2278
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^␋／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇k␋α",
		out:  "^␋／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇k␋α",
	}, { // 2279
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\v／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭ␋",
		out:  "^\v／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭ␋",
	}, { // 2280
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^␋／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭ␋",
		out:  "^␋／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭ␋",
	}, { // 2281
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇k\vα",
		out:  "^\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇k\vα",
	}, { // 2282
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇k␋α",
		out:  "^\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇k␋α",
	}, { // 2283
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇k\v␋",
		out:  "^\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇k\v␋",
	}, { // 2284
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇k␋␋",
		out:  "^\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇k␋␋",
	}, { // 2285
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭ\v",
		out:  "^\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭ\v",
	}, { // 2286
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "^\x14／＼］\vεＵ｀β\vＹ）\v/．％κ9k\\fB\x1fｍτ＇kＭ␋",
		out:  "^\x14／‛＼］\vεＵ｀β\vＹ）\v/．％κ9k＼fB\x1fｍτ＇kＭ␋",
	}, { // 2287
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
		out:  "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
	}, { // 2288
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\r␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
		out:  "␍␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
	}, { // 2289
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␍␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
		out:  "‛␍␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
	}, { // 2290
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\r␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
		out:  "␍␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
	}, { // 2291
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␍␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
		out:  "‛␍␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
	}, { // 2292
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "\r␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
		out:  "␍␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
	}, { // 2293
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "␍␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
		out:  "‛␍␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
	}, { // 2294
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι\r）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
		out:  "ι\r）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
	}, { // 2295
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
		out:  "ι␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␞",
	}, { // 2296
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι\r）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
		out:  "ι\r）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
	}, { // 2297
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
		out:  "ι␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
	}, { // 2298
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι\r）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
		out:  "ι\r）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
	}, { // 2299
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
		out:  "ι␍）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
	}, { // 2300
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：\r␞",
		out:  "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：\r␞",
	}, { // 2301
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
		out:  "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␞",
	}, { // 2302
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：\r␍",
		out:  "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：\r␍",
	}, { // 2303
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␍",
		out:  "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␍␍",
	}, { // 2304
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝\r",
		out:  "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝\r",
	}, { // 2305
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt,
		in:   "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
		out:  "ι␘）\x18ξ␅ｆ␜＊|\r]ι~bζ\x17\x14\u007fＸhωEＭｏ[ι：␝␍",
	}, { // 2306
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
		out:  "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
	}, { // 2307
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\t␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
		out:  "␉␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
	}, { // 2308
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␉␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
		out:  "‛␉␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
	}, { // 2309
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\t＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
		out:  "␉＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
	}, { // 2310
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␉＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
		out:  "‛␉＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
	}, { // 2311
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\t＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
		out:  "␉＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
	}, { // 2312
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␉＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
		out:  "‛␉＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
	}, { // 2313
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ\t␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
		out:  "ζ\t␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
	}, { // 2314
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
		out:  "ζ␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂kＧ",
	}, { // 2315
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ\t␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
		out:  "ζ\t␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
	}, { // 2316
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
		out:  "ζ␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
	}, { // 2317
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ\t␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
		out:  "ζ\t␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
	}, { // 2318
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
		out:  "ζ␉␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
	}, { // 2319
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂\tＧ",
		out:  "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂\tＧ",
	}, { // 2320
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
		out:  "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉Ｇ",
	}, { // 2321
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂\t␉",
		out:  "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂\t␉",
	}, { // 2322
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉␉",
		out:  "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂␉␉",
	}, { // 2323
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k\t",
		out:  "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k\t",
	}, { // 2324
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
		out:  "ζ＋␇A%σb\n;＇\tχ\\＆*\x1dψ＞ρ/＝;␂ο\x0fＴ␄␂k␉",
	}, { // 2325
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
		out:  "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
	}, { // 2326
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\n␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
		out:  "␊␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
	}, { // 2327
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␊␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
		out:  "‛␊␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
	}, { // 2328
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\n\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
		out:  "␊\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
	}, { // 2329
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␊\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
		out:  "‛␊\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
	}, { // 2330
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\n\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
		out:  "␊\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
	}, { // 2331
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␊\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
		out:  "‛␊\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
	}, { // 2332
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\nｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
		out:  "／\nｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
	}, { // 2333
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
		out:  "／␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐W",
	}, { // 2334
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\nｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
		out:  "／\nｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
	}, { // 2335
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
		out:  "／␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
	}, { // 2336
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\nｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
		out:  "／\nｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
	}, { // 2337
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
		out:  "／␊ｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
	}, { // 2338
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?\nW",
		out:  "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?\nW",
	}, { // 2339
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
		out:  "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊W",
	}, { // 2340
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?\n␊",
		out:  "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?\n␊",
	}, { // 2341
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊␊",
		out:  "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␊␊",
	}, { // 2342
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐\n",
		out:  "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐\n",
	}, { // 2343
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
		out:  "／\bｆＮ␛τ␑␗μＰ\nν＆\t\x15\a：\\ＯbμH[mνεＱ?␐␊",
	}, { // 2344
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
		out:  "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
	}, { // 2345
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\v␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
		out:  "␋␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
	}, { // 2346
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␋␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
		out:  "‛␋␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
	}, { // 2347
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\v\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
		out:  "␋\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
	}, { // 2348
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␋\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
		out:  "‛␋\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
	}, { // 2349
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\v\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
		out:  "␋\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
	}, { // 2350
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␋\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
		out:  "‛␋\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
	}, { // 2351
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\vμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
		out:  "Ｙ\vμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
	}, { // 2352
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
		out:  "Ｙ␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1eψ",
	}, { // 2353
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\vμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
		out:  "Ｙ\vμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
	}, { // 2354
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
		out:  "Ｙ␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
	}, { // 2355
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\vμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
		out:  "Ｙ\vμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
	}, { // 2356
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
		out:  "Ｙ␋μ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
	}, { // 2357
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\vψ",
		out:  "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\vψ",
	}, { // 2358
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
		out:  "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋ψ",
	}, { // 2359
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\v␋",
		out:  "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\v␋",
	}, { // 2360
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋␋",
		out:  "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε␋␋",
	}, { // 2361
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e\v",
		out:  "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e\v",
	}, { // 2362
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
		out:  "Ｙ\x1aμ6｜>\"FυＥ\v<ς_u ；␌Ｓ]＇＜␙f｜δｄε\x1e␋",
	}, { // 2363
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
		out:  "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
	}, { // 2364
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\r␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
		out:  "␍␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
	}, { // 2365
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␍␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
		out:  "‛␍␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
	}, { // 2366
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\rκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
		out:  "␍κ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
	}, { // 2367
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␍κ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
		out:  "‛␍κ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
	}, { // 2368
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "\rκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
		out:  "␍κ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
	}, { // 2369
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "␍κ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
		out:  "‛␍κ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
	}, { // 2370
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘ\r`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
		out:  "ｘ\r`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
	}, { // 2371
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘ␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
		out:  "ｘ␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\"",
	}, { // 2372
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘ\r`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
		out:  "ｘ\r`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
	}, { // 2373
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘ␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
		out:  "ｘ␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
	}, { // 2374
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘ\r`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
		out:  "ｘ\r`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
	}, { // 2375
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘ␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
		out:  "ｘ␍`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
	}, { // 2376
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#\r\"",
		out:  "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#\r\"",
	}, { // 2377
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
		out:  "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍\"",
	}, { // 2378
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#\r␍",
		out:  "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#\r␍",
	}, { // 2379
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍␍",
		out:  "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#␍␍",
	}, { // 2380
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\r",
		out:  "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ\r",
	}, { // 2381
		mask: EncodeDel | EncodeLeftCrLfHtVt,
		in:   "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
		out:  "ｘκ`␞␓\x03Ｗｓ＄c\r]｜␘8Ｃφ％κβ\x15＋\x11fGφ␆#λ␍",
	}, { // 2382
		mask: EncodeRightSpace,
		in:   " ",
		out:  "␠",
	}, { // 2383
		mask: EncodeZero | EncodeRightSpace,
		in:   "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
		out:  "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
	}, { // 2384
		mask: EncodeZero | EncodeRightSpace,
		in:   " ␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
		out:  " ␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
	}, { // 2385
		mask: EncodeZero | EncodeRightSpace,
		in:   "␠␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
		out:  "␠␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
	}, { // 2386
		mask: EncodeZero | EncodeRightSpace,
		in:   " ＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
		out:  " ＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
	}, { // 2387
		mask: EncodeZero | EncodeRightSpace,
		in:   "␠＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
		out:  "␠＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
	}, { // 2388
		mask: EncodeZero | EncodeRightSpace,
		in:   " ＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7␠",
		out:  " ＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7‛␠",
	}, { // 2389
		mask: EncodeZero | EncodeRightSpace,
		in:   "␠＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7␠",
		out:  "␠＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7‛␠",
	}, { // 2390
		mask: EncodeZero | EncodeRightSpace,
		in:   "， ␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
		out:  "， ␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
	}, { // 2391
		mask: EncodeZero | EncodeRightSpace,
		in:   "，␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
		out:  "，␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7ο",
	}, { // 2392
		mask: EncodeZero | EncodeRightSpace,
		in:   "， ␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
		out:  "， ␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
	}, { // 2393
		mask: EncodeZero | EncodeRightSpace,
		in:   "，␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
		out:  "，␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
	}, { // 2394
		mask: EncodeZero | EncodeRightSpace,
		in:   "， ␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7␠",
		out:  "， ␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7‛␠",
	}, { // 2395
		mask: EncodeZero | EncodeRightSpace,
		in:   "，␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7␠",
		out:  "，␠␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7‛␠",
	}, { // 2396
		mask: EncodeZero | EncodeRightSpace,
		in:   "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν ο",
		out:  "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν ο",
	}, { // 2397
		mask: EncodeZero | EncodeRightSpace,
		in:   "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
		out:  "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠ο",
	}, { // 2398
		mask: EncodeZero | EncodeRightSpace,
		in:   "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν ␠",
		out:  "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν ‛␠",
	}, { // 2399
		mask: EncodeZero | EncodeRightSpace,
		in:   "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠␠",
		out:  "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν␠‛␠",
	}, { // 2400
		mask: EncodeZero | EncodeRightSpace,
		in:   "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7 ",
		out:  "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7␠",
	}, { // 2401
		mask: EncodeZero | EncodeRightSpace,
		in:   "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7␠",
		out:  "，＇␏\x0fη'␟ζＶς \x05＼/＜V\x06␝/OλzＯｌ\"Ｏ\x0fν7‛␠",
	}, { // 2402
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
		out:  "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
	}, { // 2403
		mask: EncodeSlash | EncodeRightSpace,
		in:   " ␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
		out:  " ␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
	}, { // 2404
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␠␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
		out:  "␠␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
	}, { // 2405
		mask: EncodeSlash | EncodeRightSpace,
		in:   " ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
		out:  " ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
	}, { // 2406
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␠␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
		out:  "␠␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
	}, { // 2407
		mask: EncodeSlash | EncodeRightSpace,
		in:   " ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙␠",
		out:  " ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙‛␠",
	}, { // 2408
		mask: EncodeSlash | EncodeRightSpace,
		in:   "␠␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙␠",
		out:  "␠␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙‛␠",
	}, { // 2409
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ ｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
		out:  "Ｒ ｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
	}, { // 2410
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
		out:  "Ｒ␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ψ",
	}, { // 2411
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ ｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
		out:  "Ｒ ｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
	}, { // 2412
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
		out:  "Ｒ␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
	}, { // 2413
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ ｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙␠",
		out:  "Ｒ ｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙‛␠",
	}, { // 2414
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙␠",
		out:  "Ｒ␠｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙‛␠",
	}, { // 2415
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d! ψ",
		out:  "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d! ψ",
	}, { // 2416
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
		out:  "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠ψ",
	}, { // 2417
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d! ␠",
		out:  "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d! ‛␠",
	}, { // 2418
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠␠",
		out:  "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␠‛␠",
	}, { // 2419
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙ ",
		out:  "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙␠",
	}, { // 2420
		mask: EncodeSlash | EncodeRightSpace,
		in:   "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙␠",
		out:  "Ｒ␂｛=υ␈Ｕ␡ｊβ αvyx$\x1b．\u007f␋５ζ[\x01ψ\x13\x1d!␙‛␠",
	}, { // 2421
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ\n",
		out:  "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ\n",
	}, { // 2422
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   " ␠8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ\n",
		out:  " ␠8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ\n",
	}, { // 2423
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "␠␠8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ\n",
		out:  "␠␠8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ\n",
	}, { // 2424
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   " ␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎␠\n",
		out:  " ␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎␠\n",
	}, { // 2425
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "␠␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎␠\n",
		out:  "␠␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎␠\n",
	}, { // 2426
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   " ␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ␠",
		out:  " ␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ‛␠",
	}, { // 2427
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "␠␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ␠",
		out:  "␠␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ‛␠",
	}, { // 2428
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η 8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ\n",
		out:  "η 8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ\n",
	}, { // 2429
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␠8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ\n",
		out:  "η␠8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ\n",
	}, { // 2430
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η 8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎␠\n",
		out:  "η 8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎␠\n",
	}, { // 2431
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␠8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎␠\n",
		out:  "η␠8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎␠\n",
	}, { // 2432
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η 8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ␠",
		out:  "η 8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ‛␠",
	}, { // 2433
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␠8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ␠",
		out:  "η␠8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ‛␠",
	}, { // 2434
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎ \n",
		out:  "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎ \n",
	}, { // 2435
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎␠\n",
		out:  "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎␠\n",
	}, { // 2436
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎ ␠",
		out:  "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎ ‛␠",
	}, { // 2437
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎␠␠",
		out:  "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎␠‛␠",
	}, { // 2438
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ ",
		out:  "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ␠",
	}, { // 2439
		mask: EncodeSingleQuote | EncodeRightSpace,
		in:   "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ'␇R\u007f＇iｇ／｜\vN␎Ｌ␠",
		out:  "η␕8Ｊ？ｒτ\x1d// κι\x1bδＵ＇␇R\u007f‛＇iｇ／｜\vN␎Ｌ‛␠",
	}, { // 2440
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
		out:  "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
	}, { // 2441
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   " ␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
		out:  " ␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
	}, { // 2442
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "␠␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
		out:  "␠␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
	}, { // 2443
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   " ␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
		out:  " ␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
	}, { // 2444
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "␠␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
		out:  "␠␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
	}, { // 2445
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   " ␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u␠",
		out:  " ␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u‛␠",
	}, { // 2446
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "␠␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u␠",
		out:  "␠␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u‛␠",
	}, { // 2447
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
		out:  "\x1a ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
	}, { // 2448
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
		out:  "\x1a␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉uω",
	}, { // 2449
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
		out:  "\x1a ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
	}, { // 2450
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
		out:  "\x1a␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
	}, { // 2451
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u␠",
		out:  "\x1a ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u‛␠",
	}, { // 2452
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u␠",
		out:  "\x1a␠ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u‛␠",
	}, { // 2453
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉ ω",
		out:  "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉ ω",
	}, { // 2454
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
		out:  "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠ω",
	}, { // 2455
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉ ␠",
		out:  "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉ ‛␠",
	}, { // 2456
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠␠",
		out:  "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉␠‛␠",
	}, { // 2457
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u ",
		out:  "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u␠",
	}, { // 2458
		mask: EncodeBackQuote | EncodeRightSpace,
		in:   "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u␠",
		out:  "\x1a␂ρ＂\"］#ａＤｌ ？^Ｌ␞γ␙*π\x1c！8ξtρ\"U␉u‛␠",
	}, { // 2459
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
		out:  "%␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
	}, { // 2460
		mask: EncodeLtGt | EncodeRightSpace,
		in:   " ␠；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
		out:  " ␠；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
	}, { // 2461
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "␠␠；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
		out:  "␠␠；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
	}, { // 2462
		mask: EncodeLtGt | EncodeRightSpace,
		in:   " ␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
		out:  " ␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
	}, { // 2463
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "␠␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
		out:  "␠␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
	}, { // 2464
		mask: EncodeLtGt | EncodeRightSpace,
		in:   " ␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19␠",
		out:  " ␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19‛␠",
	}, { // 2465
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "␠␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19␠",
		out:  "␠␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19‛␠",
	}, { // 2466
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "% ；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
		out:  "% ；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
	}, { // 2467
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␠；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
		out:  "%␠；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19β",
	}, { // 2468
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "% ；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
		out:  "% ；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
	}, { // 2469
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␠；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
		out:  "%␠；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
	}, { // 2470
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "% ；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19␠",
		out:  "% ；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19‛␠",
	}, { // 2471
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␠；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19␠",
		out:  "%␠；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19‛␠",
	}, { // 2472
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e β",
		out:  "%␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e β",
	}, { // 2473
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
		out:  "%␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠β",
	}, { // 2474
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e ␠",
		out:  "%␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e ‛␠",
	}, { // 2475
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠␠",
		out:  "%␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e␠‛␠",
	}, { // 2476
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19 ",
		out:  "%␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19␠",
	}, { // 2477
		mask: EncodeLtGt | EncodeRightSpace,
		in:   "%␒；:Jα;ｉ＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19␠",
		out:  "%␒；:Jα;ｉ‛＜κ γ␘ｆＤ\x0eｇ@Ｎμ␅␐Nε/B;e\x19‛␠",
	}, { // 2478
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝'",
		out:  "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝'",
	}, { // 2479
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   " ␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝'",
		out:  " ␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝'",
	}, { // 2480
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␠␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝'",
		out:  "␠␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝'",
	}, { // 2481
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   " υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␠'",
		out:  " υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␠'",
	}, { // 2482
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␠υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␠'",
		out:  "␠υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␠'",
	}, { // 2483
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   " υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝␠",
		out:  " υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝‛␠",
	}, { // 2484
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␠υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝␠",
		out:  "␠υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝‛␠",
	}, { // 2485
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌ :９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝'",
		out:  "␌ :９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝'",
	}, { // 2486
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝'",
		out:  "␌␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝'",
	}, { // 2487
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌ :９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␠'",
		out:  "␌ :９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␠'",
	}, { // 2488
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␠'",
		out:  "␌␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␠'",
	}, { // 2489
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌ :９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝␠",
		out:  "␌ :９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝‛␠",
	}, { // 2490
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝␠",
		out:  "␌␠:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝‛␠",
	}, { // 2491
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ '",
		out:  "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ '",
	}, { // 2492
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␠'",
		out:  "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␠'",
	}, { // 2493
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ ␠",
		out:  "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ ‛␠",
	}, { // 2494
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␠␠",
		out:  "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␠‛␠",
	}, { // 2495
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝ ",
		out:  "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝␠",
	}, { // 2496
		mask: EncodeSquareBracket | EncodeRightSpace,
		in:   "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω]７,｜␛%＝ν2\vφ␝␠",
		out:  "␌υ:９*Ｏ␙0␗ρ ρ␕Ｐ)\rω］７,｜␛%＝ν2\vφ␝‛␠",
	}, { // 2497
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
		out:  "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
	}, { // 2498
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   " ␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
		out:  " ␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
	}, { // 2499
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␠␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
		out:  "␠␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
	}, { // 2500
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   " \x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
		out:  " \x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
	}, { // 2501
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␠\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
		out:  "␠\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
	}, { // 2502
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   " \x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈␠",
		out:  " \x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈‛␠",
	}, { // 2503
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "␠\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈␠",
		out:  "␠\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈‛␠",
	}, { // 2504
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７ ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
		out:  "７ ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
	}, { // 2505
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
		out:  "７␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈σ",
	}, { // 2506
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７ ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
		out:  "７ ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
	}, { // 2507
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
		out:  "７␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
	}, { // 2508
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７ ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈␠",
		out:  "７ ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈‛␠",
	}, { // 2509
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈␠",
		out:  "７␠ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈‛␠",
	}, { // 2510
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ# σ",
		out:  "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ# σ",
	}, { // 2511
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
		out:  "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠σ",
	}, { // 2512
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ# ␠",
		out:  "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ# ‛␠",
	}, { // 2513
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠␠",
		out:  "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␠‛␠",
	}, { // 2514
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈ ",
		out:  "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈␠",
	}, { // 2515
		mask: EncodeSemicolon | EncodeRightSpace,
		in:   "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈␠",
		out:  "７\x17ι<kTζc\x1d␉ ｅgｊτ␔｜？ｐ-␒Ｋ\x0f*β\x15ψ#␈‛␠",
	}, { // 2516
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
		out:  "＄δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
	}, { // 2517
		mask: EncodeDollar | EncodeRightSpace,
		in:   " ␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
		out:  " ␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
	}, { // 2518
		mask: EncodeDollar | EncodeRightSpace,
		in:   "␠␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
		out:  "␠␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
	}, { // 2519
		mask: EncodeDollar | EncodeRightSpace,
		in:   " δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
		out:  " δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
	}, { // 2520
		mask: EncodeDollar | EncodeRightSpace,
		in:   "␠δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
		out:  "␠δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
	}, { // 2521
		mask: EncodeDollar | EncodeRightSpace,
		in:   " δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？␠",
		out:  " δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？‛␠",
	}, { // 2522
		mask: EncodeDollar | EncodeRightSpace,
		in:   "␠δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？␠",
		out:  "␠δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？‛␠",
	}, { // 2523
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$ |];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
		out:  "＄ |];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
	}, { // 2524
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
		out:  "＄␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？5",
	}, { // 2525
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$ |];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
		out:  "＄ |];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
	}, { // 2526
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
		out:  "＄␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
	}, { // 2527
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$ |];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？␠",
		out:  "＄ |];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？‛␠",
	}, { // 2528
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？␠",
		out:  "＄␠|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？‛␠",
	}, { // 2529
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i 5",
		out:  "＄δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i 5",
	}, { // 2530
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
		out:  "＄δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠5",
	}, { // 2531
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i ␠",
		out:  "＄δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i ‛␠",
	}, { // 2532
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠␠",
		out:  "＄δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i␠‛␠",
	}, { // 2533
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？ ",
		out:  "＄δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？␠",
	}, { // 2534
		mask: EncodeDollar | EncodeRightSpace,
		in:   "$δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？␠",
		out:  "＄δ|];\x04\x12（πμ \\.ς␋␘ε\a＿ｔ？χ␏Ｖ␅＇＼i？‛␠",
	}, { // 2535
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
		out:  "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
	}, { // 2536
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   " ␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
		out:  " ␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
	}, { // 2537
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␠␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
		out:  "␠␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
	}, { // 2538
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   " PPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
		out:  " PPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
	}, { // 2539
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␠PPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
		out:  "␠PPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
	}, { // 2540
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   " PPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17␠",
		out:  " PPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17‛␠",
	}, { // 2541
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "␠PPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17␠",
		out:  "␠PPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17‛␠",
	}, { // 2542
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υ Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
		out:  "υ Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
	}, { // 2543
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υ␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
		out:  "υ␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17\b",
	}, { // 2544
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υ Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
		out:  "υ Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
	}, { // 2545
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υ␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
		out:  "υ␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
	}, { // 2546
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υ Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17␠",
		out:  "υ Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17‛␠",
	}, { // 2547
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υ␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17␠",
		out:  "υ␠Pｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17‛␠",
	}, { // 2548
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊ \b",
		out:  "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊ \b",
	}, { // 2549
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
		out:  "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠\b",
	}, { // 2550
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊ ␠",
		out:  "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊ ‛␠",
	}, { // 2551
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠␠",
		out:  "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊␠‛␠",
	}, { // 2552
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17 ",
		out:  "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17␠",
	}, { // 2553
		mask: EncodeDoubleQuote | EncodeRightSpace,
		in:   "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17␠",
		out:  "υPPｇ）\x16η`ε\x17 υ,␐π\x1a]␆］κｚQ，␛｀，7＊\x17‛␠",
	}, { // 2554
		mask: EncodeColon | EncodeRightSpace,
		in:   "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
		out:  "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
	}, { // 2555
		mask: EncodeColon | EncodeRightSpace,
		in:   " ␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
		out:  " ␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
	}, { // 2556
		mask: EncodeColon | EncodeRightSpace,
		in:   "␠␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
		out:  "␠␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
	}, { // 2557
		mask: EncodeColon | EncodeRightSpace,
		in:   " ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
		out:  " ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
	}, { // 2558
		mask: EncodeColon | EncodeRightSpace,
		in:   "␠ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
		out:  "␠ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
	}, { // 2559
		mask: EncodeColon | EncodeRightSpace,
		in:   " ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.␠",
		out:  " ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.‛␠",
	}, { // 2560
		mask: EncodeColon | EncodeRightSpace,
		in:   "␠ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.␠",
		out:  "␠ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.‛␠",
	}, { // 2561
		mask: EncodeColon | EncodeRightSpace,
		in:   "% ＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
		out:  "% ＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
	}, { // 2562
		mask: EncodeColon | EncodeRightSpace,
		in:   "%␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
		out:  "%␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.τ",
	}, { // 2563
		mask: EncodeColon | EncodeRightSpace,
		in:   "% ＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
		out:  "% ＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
	}, { // 2564
		mask: EncodeColon | EncodeRightSpace,
		in:   "%␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
		out:  "%␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
	}, { // 2565
		mask: EncodeColon | EncodeRightSpace,
		in:   "% ＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.␠",
		out:  "% ＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.‛␠",
	}, { // 2566
		mask: EncodeColon | EncodeRightSpace,
		in:   "%␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.␠",
		out:  "%␠＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.‛␠",
	}, { // 2567
		mask: EncodeColon | EncodeRightSpace,
		in:   "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿ τ",
		out:  "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿ τ",
	}, { // 2568
		mask: EncodeColon | EncodeRightSpace,
		in:   "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
		out:  "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠τ",
	}, { // 2569
		mask: EncodeColon | EncodeRightSpace,
		in:   "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿ ␠",
		out:  "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿ ‛␠",
	}, { // 2570
		mask: EncodeColon | EncodeRightSpace,
		in:   "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠␠",
		out:  "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿␠‛␠",
	}, { // 2571
		mask: EncodeColon | EncodeRightSpace,
		in:   "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿. ",
		out:  "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.␠",
	}, { // 2572
		mask: EncodeColon | EncodeRightSpace,
		in:   "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.␠",
		out:  "%ν＜π!ｚ␏］Ｆ{ ；Ｓ%ο=\u007f␎ｅζa␄a%\bγ\x18＿.‛␠",
	}, { // 2573
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋+",
		out:  "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋+",
	}, { // 2574
		mask: EncodeQuestion | EncodeRightSpace,
		in:   " ␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋+",
		out:  " ␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋+",
	}, { // 2575
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "␠␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋+",
		out:  "␠␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋+",
	}, { // 2576
		mask: EncodeQuestion | EncodeRightSpace,
		in:   " ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␠+",
		out:  " ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␠+",
	}, { // 2577
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "␠␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␠+",
		out:  "␠␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␠+",
	}, { // 2578
		mask: EncodeQuestion | EncodeRightSpace,
		in:   " ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋␠",
		out:  " ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋‛␠",
	}, { // 2579
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "␠␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋␠",
		out:  "␠␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋‛␠",
	}, { // 2580
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ  #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋+",
		out:  "ｙ  #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋+",
	}, { // 2581
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋+",
		out:  "ｙ␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋+",
	}, { // 2582
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ  #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␠+",
		out:  "ｙ  #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␠+",
	}, { // 2583
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␠+",
		out:  "ｙ␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␠+",
	}, { // 2584
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ  #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋␠",
		out:  "ｙ  #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋‛␠",
	}, { // 2585
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋␠",
		out:  "ｙ␠ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋‛␠",
	}, { // 2586
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00 +",
		out:  "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀ +",
	}, { // 2587
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␠+",
		out:  "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␠+",
	}, { // 2588
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00 ␠",
		out:  "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀ ‛␠",
	}, { // 2589
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␠␠",
		out:  "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␠‛␠",
	}, { // 2590
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋ ",
		out:  "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋␠",
	}, { // 2591
		mask: EncodeQuestion | EncodeRightSpace,
		in:   "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~\x00␋␠",
		out:  "ｙ␝ #\"σ␔Oω\uff00 ␖σξｕ$（４9\x15gＤ\bδτ␙~␀␋‛␠",
	}, { // 2592
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮYｌ",
		out:  "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮYｌ",
	}, { // 2593
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   " ␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮYｌ",
		out:  " ␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮYｌ",
	}, { // 2594
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "␠␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮYｌ",
		out:  "␠␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮYｌ",
	}, { // 2595
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   " >＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮ␠ｌ",
		out:  " >＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮ␠ｌ",
	}, { // 2596
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "␠>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮ␠ｌ",
		out:  "␠>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮ␠ｌ",
	}, { // 2597
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   " >＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮY␠",
		out:  " >＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮY‛␠",
	}, { // 2598
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "␠>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮY␠",
		out:  "␠>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮY‛␠",
	}, { // 2599
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ ＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮYｌ",
		out:  "Ｉ ＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮYｌ",
	}, { // 2600
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮYｌ",
		out:  "Ｉ␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮYｌ",
	}, { // 2601
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ ＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮ␠ｌ",
		out:  "Ｉ ＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮ␠ｌ",
	}, { // 2602
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮ␠ｌ",
		out:  "Ｉ␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮ␠ｌ",
	}, { // 2603
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ ＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮY␠",
		out:  "Ｉ ＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮY‛␠",
	}, { // 2604
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮY␠",
		out:  "Ｉ␠＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮY‛␠",
	}, { // 2605
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮ ｌ",
		out:  "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮ ｌ",
	}, { // 2606
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮ␠ｌ",
		out:  "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮ␠ｌ",
	}, { // 2607
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮ ␠",
		out:  "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮ ‛␠",
	}, { // 2608
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮ␠␠",
		out:  "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮ␠‛␠",
	}, { // 2609
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮY ",
		out:  "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮY␠",
	}, { // 2610
		mask: EncodeAsterisk | EncodeRightSpace,
		in:   "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159*８?κ/\x1a␇ν\ruＮY␠",
		out:  "Ｉ>＿ςχt~ςχ␙ ␍ｋ␝␉\x159＊８?κ/\x1a␇ν\ruＮY‛␠",
	}, { // 2611
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜θ",
		out:  "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜θ",
	}, { // 2612
		mask: EncodePipe | EncodeRightSpace,
		in:   " ␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜θ",
		out:  " ␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜θ",
	}, { // 2613
		mask: EncodePipe | EncodeRightSpace,
		in:   "␠␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜θ",
		out:  "␠␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜θ",
	}, { // 2614
		mask: EncodePipe | EncodeRightSpace,
		in:   " ＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
		out:  " ＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
	}, { // 2615
		mask: EncodePipe | EncodeRightSpace,
		in:   "␠＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
		out:  "␠＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
	}, { // 2616
		mask: EncodePipe | EncodeRightSpace,
		in:   " ＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜␠",
		out:  " ＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜‛␠",
	}, { // 2617
		mask: EncodePipe | EncodeRightSpace,
		in:   "␠＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜␠",
		out:  "␠＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜‛␠",
	}, { // 2618
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝ ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜θ",
		out:  "␝ ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜θ",
	}, { // 2619
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜θ",
		out:  "␝␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜θ",
	}, { // 2620
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝ ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
		out:  "␝ ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
	}, { // 2621
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
		out:  "␝␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
	}, { // 2622
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝ ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜␠",
		out:  "␝ ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜‛␠",
	}, { // 2623
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜␠",
		out:  "␝␠ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜‛␠",
	}, { // 2624
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF θ",
		out:  "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF θ",
	}, { // 2625
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
		out:  "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠θ",
	}, { // 2626
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF ␠",
		out:  "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF ‛␠",
	}, { // 2627
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠␠",
		out:  "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF␠‛␠",
	}, { // 2628
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜ ",
		out:  "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜␠",
	}, { // 2629
		mask: EncodePipe | EncodeRightSpace,
		in:   "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF｜␠",
		out:  "␝＿ρ]E\x02\n/␄ｑ \u007f%α/β&％θ&Ｅ␚Lｄ␓␔ωF‛｜‛␠",
	}, { // 2630
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚\x12",
		out:  "␛%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚\x12",
	}, { // 2631
		mask: EncodeHash | EncodeRightSpace,
		in:   " ␠!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚\x12",
		out:  " ␠!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚\x12",
	}, { // 2632
		mask: EncodeHash | EncodeRightSpace,
		in:   "␠␠!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚\x12",
		out:  "␠␠!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚\x12",
	}, { // 2633
		mask: EncodeHash | EncodeRightSpace,
		in:   " %!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␠\x12",
		out:  " %!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␠\x12",
	}, { // 2634
		mask: EncodeHash | EncodeRightSpace,
		in:   "␠%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␠\x12",
		out:  "␠%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␠\x12",
	}, { // 2635
		mask: EncodeHash | EncodeRightSpace,
		in:   " %!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚␠",
		out:  " %!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚‛␠",
	}, { // 2636
		mask: EncodeHash | EncodeRightSpace,
		in:   "␠%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚␠",
		out:  "␠%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚‛␠",
	}, { // 2637
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛ !5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚\x12",
		out:  "␛ !5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚\x12",
	}, { // 2638
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛␠!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚\x12",
		out:  "␛␠!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚\x12",
	}, { // 2639
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛ !5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␠\x12",
		out:  "␛ !5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␠\x12",
	}, { // 2640
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛␠!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␠\x12",
		out:  "␛␠!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␠\x12",
	}, { // 2641
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛ !5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚␠",
		out:  "␛ !5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚‛␠",
	}, { // 2642
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛␠!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚␠",
		out:  "␛␠!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚‛␠",
	}, { // 2643
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅ \x12",
		out:  "␛%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅ \x12",
	}, { // 2644
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␠\x12",
		out:  "␛%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␠\x12",
	}, { // 2645
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅ ␠",
		out:  "␛%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅ ‛␠",
	}, { // 2646
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␠␠",
		out:  "␛%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␠‛␠",
	}, { // 2647
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚ ",
		out:  "␛%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚␠",
	}, { // 2648
		mask: EncodeHash | EncodeRightSpace,
		in:   "␛%!5ρ>uＡ\t\\ νπ␚#－1υH７␄（\x02␉φ＾ο␅␚␠",
		out:  "␛%!5ρ>uＡ\t\\ νπ␚＃－1υH７␄（\x02␉φ＾ο␅␚‛␠",
	}, { // 2649
		mask: EncodePercent | EncodeRightSpace,
		in:   "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␋",
		out:  "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ␋",
	}, { // 2650
		mask: EncodePercent | EncodeRightSpace,
		in:   " ␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␋",
		out:  " ␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ␋",
	}, { // 2651
		mask: EncodePercent | EncodeRightSpace,
		in:   "␠␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␋",
		out:  "␠␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ␋",
	}, { // 2652
		mask: EncodePercent | EncodeRightSpace,
		in:   " \b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼π␠␋",
		out:  " \b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼π␠␋",
	}, { // 2653
		mask: EncodePercent | EncodeRightSpace,
		in:   "␠\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼π␠␋",
		out:  "␠\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼π␠␋",
	}, { // 2654
		mask: EncodePercent | EncodeRightSpace,
		in:   " \b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␠",
		out:  " \b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ‛␠",
	}, { // 2655
		mask: EncodePercent | EncodeRightSpace,
		in:   "␠\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␠",
		out:  "␠\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ‛␠",
	}, { // 2656
		mask: EncodePercent | EncodeRightSpace,
		in:   "t \x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␋",
		out:  "t \x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ␋",
	}, { // 2657
		mask: EncodePercent | EncodeRightSpace,
		in:   "t␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␋",
		out:  "t␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ␋",
	}, { // 2658
		mask: EncodePercent | EncodeRightSpace,
		in:   "t \x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼π␠␋",
		out:  "t \x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼π␠␋",
	}, { // 2659
		mask: EncodePercent | EncodeRightSpace,
		in:   "t␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼π␠␋",
		out:  "t␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼π␠␋",
	}, { // 2660
		mask: EncodePercent | EncodeRightSpace,
		in:   "t \x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␠",
		out:  "t \x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ‛␠",
	}, { // 2661
		mask: EncodePercent | EncodeRightSpace,
		in:   "t␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␠",
		out:  "t␠\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ‛␠",
	}, { // 2662
		mask: EncodePercent | EncodeRightSpace,
		in:   "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼π ␋",
		out:  "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼π ␋",
	}, { // 2663
		mask: EncodePercent | EncodeRightSpace,
		in:   "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼π␠␋",
		out:  "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼π␠␋",
	}, { // 2664
		mask: EncodePercent | EncodeRightSpace,
		in:   "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼π ␠",
		out:  "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼π ‛␠",
	}, { // 2665
		mask: EncodePercent | EncodeRightSpace,
		in:   "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼π␠␠",
		out:  "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼π␠‛␠",
	}, { // 2666
		mask: EncodePercent | EncodeRightSpace,
		in:   "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ ",
		out:  "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ␠",
	}, { // 2667
		mask: EncodePercent | EncodeRightSpace,
		in:   "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`%ag␐＼πＺ␠",
		out:  "t\b\x166πγ)＞ξ/ ｀\x03＊θｘＥ＊ｅμ␆`％ag␐＼πＺ‛␠",
	}, { // 2668
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
		out:  "0Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
	}, { // 2669
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   " ␠␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
		out:  " ␠‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
	}, { // 2670
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␠␠␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
		out:  "␠␠‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
	}, { // 2671
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   " Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
		out:  " Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
	}, { // 2672
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␠Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
		out:  "␠Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
	}, { // 2673
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   " Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ␠",
		out:  " Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ‛␠",
	}, { // 2674
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "␠Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ␠",
		out:  "␠Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ‛␠",
	}, { // 2675
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0 ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
		out:  "0 ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
	}, { // 2676
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0␠␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
		out:  "0␠‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ\uff00",
	}, { // 2677
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0 ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
		out:  "0 ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
	}, { // 2678
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0␠␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
		out:  "0␠‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
	}, { // 2679
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0 ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ␠",
		out:  "0 ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ‛␠",
	}, { // 2680
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0␠␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ␠",
		out:  "0␠‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ‛␠",
	}, { // 2681
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒ \uff00",
		out:  "0Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒ \uff00",
	}, { // 2682
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
		out:  "0Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠\uff00",
	}, { // 2683
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒ ␠",
		out:  "0Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒ ‛␠",
	}, { // 2684
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠␠",
		out:  "0Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒␠‛␠",
	}, { // 2685
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ ",
		out:  "0Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ␠",
	}, { // 2686
		mask: EncodeBackSlash | EncodeRightSpace,
		in:   "0Ｍ␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ␠",
		out:  "0Ｍ‛␀'\x15θ␆␊␝[ \fI\x10Ｐτρh\b`γ］５ｚκ＂'␒δ‛␠",
	}, { // 2687
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
		out:  "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
	}, { // 2688
		mask: EncodeCrLf | EncodeRightSpace,
		in:   " ␠ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
		out:  " ␠ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
	}, { // 2689
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␠␠ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
		out:  "␠␠ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
	}, { // 2690
		mask: EncodeCrLf | EncodeRightSpace,
		in:   " \x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
		out:  " \x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
	}, { // 2691
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␠\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
		out:  "␠\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
	}, { // 2692
		mask: EncodeCrLf | EncodeRightSpace,
		in:   " \x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋␠",
		out:  " \x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋‛␠",
	}, { // 2693
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "␠\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋␠",
		out:  "␠\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋‛␠",
	}, { // 2694
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
		out:  "ｉ ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
	}, { // 2695
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ␠ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
		out:  "ｉ␠ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋Ｈ",
	}, { // 2696
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
		out:  "ｉ ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
	}, { // 2697
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ␠ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
		out:  "ｉ␠ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
	}, { // 2698
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋␠",
		out:  "ｉ ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋‛␠",
	}, { // 2699
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ␠ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋␠",
		out:  "ｉ␠ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋‛␠",
	}, { // 2700
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ Ｈ",
		out:  "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ Ｈ",
	}, { // 2701
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
		out:  "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠Ｈ",
	}, { // 2702
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ ␠",
		out:  "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ ‛␠",
	}, { // 2703
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠␠",
		out:  "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␠‛␠",
	}, { // 2704
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋ ",
		out:  "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋␠",
	}, { // 2705
		mask: EncodeCrLf | EncodeRightSpace,
		in:   "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈\x00ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋␠",
		out:  "ｉ\x10ｈ\x1eUeＤ］θJ \x06␈␀ςj\x1d\x1e\"πO［ε␂＜ｅιφ␋‛␠",
	}, { // 2706
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
		out:  "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
	}, { // 2707
		mask: EncodeDel | EncodeRightSpace,
		in:   " ␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
		out:  " ␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
	}, { // 2708
		mask: EncodeDel | EncodeRightSpace,
		in:   "␠␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
		out:  "␠␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
	}, { // 2709
		mask: EncodeDel | EncodeRightSpace,
		in:   " h＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
		out:  " h＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
	}, { // 2710
		mask: EncodeDel | EncodeRightSpace,
		in:   "␠h＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
		out:  "␠h＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
	}, { // 2711
		mask: EncodeDel | EncodeRightSpace,
		in:   " h＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈␠",
		out:  " h＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈‛␠",
	}, { // 2712
		mask: EncodeDel | EncodeRightSpace,
		in:   "␠h＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈␠",
		out:  "␠h＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈‛␠",
	}, { // 2713
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1c ＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
		out:  "\x1c ＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
	}, { // 2714
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1c␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
		out:  "\x1c␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈m",
	}, { // 2715
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1c ＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
		out:  "\x1c ＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
	}, { // 2716
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1c␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
		out:  "\x1c␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
	}, { // 2717
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1c ＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈␠",
		out:  "\x1c ＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈‛␠",
	}, { // 2718
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1c␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈␠",
		out:  "\x1c␠＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈‛␠",
	}, { // 2719
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W m",
		out:  "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W m",
	}, { // 2720
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
		out:  "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠m",
	}, { // 2721
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W ␠",
		out:  "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W ‛␠",
	}, { // 2722
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠␠",
		out:  "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␠‛␠",
	}, { // 2723
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈ ",
		out:  "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈␠",
	}, { // 2724
		mask: EncodeDel | EncodeRightSpace,
		in:   "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈␠",
		out:  "\x1ch＄ｌδ|␟9］␓ \x05εγ␊ｂοｃ\bε`\x05ｚεLG４W␈‛␠",
	}, { // 2725
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>/",
		out:  "␖‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>/",
	}, { // 2726
		mask: EncodeCtl | EncodeRightSpace,
		in:   " ␠ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>/",
		out:  " ␠ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>/",
	}, { // 2727
		mask: EncodeCtl | EncodeRightSpace,
		in:   "␠␠ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>/",
		out:  "␠␠ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>/",
	}, { // 2728
		mask: EncodeCtl | EncodeRightSpace,
		in:   " ␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04␠/",
		out:  " ‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄␠/",
	}, { // 2729
		mask: EncodeCtl | EncodeRightSpace,
		in:   "␠␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04␠/",
		out:  "␠‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄␠/",
	}, { // 2730
		mask: EncodeCtl | EncodeRightSpace,
		in:   " ␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>␠",
		out:  " ‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>‛␠",
	}, { // 2731
		mask: EncodeCtl | EncodeRightSpace,
		in:   "␠␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>␠",
		out:  "␠‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>‛␠",
	}, { // 2732
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16 ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>/",
		out:  "␖ ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>/",
	}, { // 2733
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␠ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>/",
		out:  "␖␠ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>/",
	}, { // 2734
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16 ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04␠/",
		out:  "␖ ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄␠/",
	}, { // 2735
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␠ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04␠/",
		out:  "␖␠ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄␠/",
	}, { // 2736
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16 ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>␠",
		out:  "␖ ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>‛␠",
	}, { // 2737
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␠ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>␠",
		out:  "␖␠ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>‛␠",
	}, { // 2738
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04 /",
		out:  "␖‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄ /",
	}, { // 2739
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04␠/",
		out:  "␖‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄␠/",
	}, { // 2740
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04 ␠",
		out:  "␖‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄ ‛␠",
	}, { // 2741
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04␠␠",
		out:  "␖‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄␠‛␠",
	}, { // 2742
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04> ",
		out:  "␖‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>␠",
	}, { // 2743
		mask: EncodeCtl | EncodeRightSpace,
		in:   "\x16␐ｓ＼␍gcＢκ＞ )β［\x1f\x14␄γ\a␀ｒ：ψG/＄μ\x04>␠",
		out:  "␖‛␐ｓ＼‛␍gcＢκ＞ )β［␟␔‛␄γ␇‛␀ｒ：ψG/＄μ␄>‛␠",
	}, { // 2744
		mask: EncodeRightPeriod,
		in:   ".",
		out:  "．",
	}, { // 2745
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
		out:  "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
	}, { // 2746
		mask: EncodeZero | EncodeRightPeriod,
		in:   ".．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
		out:  ".．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
	}, { // 2747
		mask: EncodeZero | EncodeRightPeriod,
		in:   "．．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
		out:  "．．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
	}, { // 2748
		mask: EncodeZero | EncodeRightPeriod,
		in:   ".\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
		out:  ".\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
	}, { // 2749
		mask: EncodeZero | EncodeRightPeriod,
		in:   "．\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
		out:  "．\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
	}, { // 2750
		mask: EncodeZero | EncodeRightPeriod,
		in:   ".\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ．",
		out:  ".\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ‛．",
	}, { // 2751
		mask: EncodeZero | EncodeRightPeriod,
		in:   "．\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ．",
		out:  "．\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ‛．",
	}, { // 2752
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔.␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
		out:  "␔.␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
	}, { // 2753
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
		out:  "␔．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ-",
	}, { // 2754
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔.␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
		out:  "␔.␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
	}, { // 2755
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
		out:  "␔．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
	}, { // 2756
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔.␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ．",
		out:  "␔.␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ‛．",
	}, { // 2757
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ．",
		out:  "␔．␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ‛．",
	}, { // 2758
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ.-",
		out:  "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ.-",
	}, { // 2759
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
		out:  "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．-",
	}, { // 2760
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ.．",
		out:  "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ.‛．",
	}, { // 2761
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．．",
		out:  "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘ．‛．",
	}, { // 2762
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ.",
		out:  "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ．",
	}, { // 2763
		mask: EncodeZero | EncodeRightPeriod,
		in:   "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ．",
		out:  "␔\"␕3M3Ｍηυ\x12.｜δ\f ψ\x04\f>／␟γ\uff00␉{␍φｘＣ‛．",
	}, { // 2764
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８υ",
		out:  "␔θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８υ",
	}, { // 2765
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ".．&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８υ",
		out:  ".．&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８υ",
	}, { // 2766
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "．．&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８υ",
		out:  "．．&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８υ",
	}, { // 2767
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ".θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊．υ",
		out:  ".θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊．υ",
	}, { // 2768
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "．θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊．υ",
		out:  "．θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊．υ",
	}, { // 2769
		mask: EncodeSlash | EncodeRightPeriod,
		in:   ".θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８．",
		out:  ".θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８‛．",
	}, { // 2770
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "．θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８．",
		out:  "．θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８‛．",
	}, { // 2771
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔.&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８υ",
		out:  "␔.&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８υ",
	}, { // 2772
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔．&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８υ",
		out:  "␔．&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８υ",
	}, { // 2773
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔.&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊．υ",
		out:  "␔.&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊．υ",
	}, { // 2774
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔．&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊．υ",
		out:  "␔．&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊．υ",
	}, { // 2775
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔.&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８．",
		out:  "␔.&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８‛．",
	}, { // 2776
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔．&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８．",
		out:  "␔．&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８‛．",
	}, { // 2777
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊.υ",
		out:  "␔θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊.υ",
	}, { // 2778
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊．υ",
		out:  "␔θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊．υ",
	}, { // 2779
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊.．",
		out:  "␔θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊.‛．",
	}, { // 2780
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊．．",
		out:  "␔θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊．‛．",
	}, { // 2781
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８.",
		out:  "␔θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８．",
	}, { // 2782
		mask: EncodeSlash | EncodeRightPeriod,
		in:   "␔θ&Ｇ>>χD\x04－.␔９［/o␡４／\nροP?\rｋ\x11＊８．",
		out:  "␔θ&Ｇ>>χD\x04－.␔９［／o␡４‛／\nροP?\rｋ\x11＊８‛．",
	}, { // 2783
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β＃",
		out:  "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β＃",
	}, { // 2784
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   ".．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β＃",
		out:  ".．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β＃",
	}, { // 2785
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "．．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β＃",
		out:  "．．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β＃",
	}, { // 2786
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   ".n\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄．＃",
		out:  ".n\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄．＃",
	}, { // 2787
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "．n\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄．＃",
		out:  "．n\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄．＃",
	}, { // 2788
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   ".n\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β．",
		out:  ".n\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β‛．",
	}, { // 2789
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "．n\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β．",
		out:  "．n\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β‛．",
	}, { // 2790
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "X.\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β＃",
		out:  "X.\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β＃",
	}, { // 2791
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "X．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β＃",
		out:  "X．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β＃",
	}, { // 2792
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "X.\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄．＃",
		out:  "X.\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄．＃",
	}, { // 2793
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "X．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄．＃",
		out:  "X．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄．＃",
	}, { // 2794
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "X.\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β．",
		out:  "X.\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β‛．",
	}, { // 2795
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "X．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β．",
		out:  "X．\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β‛．",
	}, { // 2796
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄.＃",
		out:  "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄.＃",
	}, { // 2797
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄．＃",
		out:  "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄．＃",
	}, { // 2798
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄.．",
		out:  "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄.‛．",
	}, { // 2799
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄．．",
		out:  "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄．‛．",
	}, { // 2800
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β.",
		out:  "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β．",
	}, { // 2801
		mask: EncodeSingleQuote | EncodeRightPeriod,
		in:   "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/\x00α＂O；/＜＄β．",
		out:  "Xn\x16υ＊␇␆|+＠.／ν１４\x1e_\x03η/␀α＂O；/＜＄β‛．",
	}, { // 2802
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓␊",
		out:  "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓␊",
	}, { // 2803
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   ".．\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓␊",
		out:  ".．\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓␊",
	}, { // 2804
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "．．\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓␊",
		out:  "．．\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓␊",
	}, { // 2805
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   ".␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ．␊",
		out:  ".␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ．␊",
	}, { // 2806
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "．␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ．␊",
		out:  "．␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ．␊",
	}, { // 2807
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   ".␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓．",
		out:  ".␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓‛．",
	}, { // 2808
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "．␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓．",
		out:  "．␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓‛．",
	}, { // 2809
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ.\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓␊",
		out:  "υ.\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓␊",
	}, { // 2810
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ．\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓␊",
		out:  "υ．\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓␊",
	}, { // 2811
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ.\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ．␊",
		out:  "υ.\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ．␊",
	}, { // 2812
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ．\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ．␊",
		out:  "υ．\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ．␊",
	}, { // 2813
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ.\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓．",
		out:  "υ.\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓‛．",
	}, { // 2814
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ．\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓．",
		out:  "υ．\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓‛．",
	}, { // 2815
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ.␊",
		out:  "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ.␊",
	}, { // 2816
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ．␊",
		out:  "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ．␊",
	}, { // 2817
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ.．",
		out:  "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ.‛．",
	}, { // 2818
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ．．",
		out:  "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ．‛．",
	}, { // 2819
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓.",
		out:  "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓．",
	}, { // 2820
		mask: EncodeBackQuote | EncodeRightPeriod,
		in:   "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|`\x1c]εκtη＊[Ｅ␓．",
		out:  "υ␏\x15TｈZy＞9␆.\x0fωＤＥ？σ|｀\x1c]εκtη＊[Ｅ␓‛．",
	}, { // 2821
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O\x14",
		out:  "j\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O\x14",
	}, { // 2822
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   ".．～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O\x14",
		out:  ".．～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O\x14",
	}, { // 2823
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "．．～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O\x14",
		out:  "．．～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O\x14",
	}, { // 2824
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   ".\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠．\x14",
		out:  ".\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠．\x14",
	}, { // 2825
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "．\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠．\x14",
		out:  "．\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠．\x14",
	}, { // 2826
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   ".\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O．",
		out:  ".\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O‛．",
	}, { // 2827
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "．\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O．",
		out:  "．\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O‛．",
	}, { // 2828
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j.～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O\x14",
		out:  "j.～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O\x14",
	}, { // 2829
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j．～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O\x14",
		out:  "j．～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O\x14",
	}, { // 2830
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j.～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠．\x14",
		out:  "j.～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠．\x14",
	}, { // 2831
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j．～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠．\x14",
		out:  "j．～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠．\x14",
	}, { // 2832
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j.～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O．",
		out:  "j.～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O‛．",
	}, { // 2833
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j．～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O．",
		out:  "j．～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O‛．",
	}, { // 2834
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠.\x14",
		out:  "j\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠.\x14",
	}, { // 2835
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠．\x14",
		out:  "j\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠．\x14",
	}, { // 2836
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠.．",
		out:  "j\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠.‛．",
	}, { // 2837
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠．．",
		out:  "j\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠．‛．",
	}, { // 2838
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O.",
		out:  "j\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O．",
	}, { // 2839
		mask: EncodeLtGt | EncodeRightPeriod,
		in:   "j\x1e～\x1aξσ␜␖κ<.ς＃j＄\x1f␆M（＋>3ιＹ␀<␕＠O．",
		out:  "j\x1e～\x1aξσ␜␖κ＜.ς＃j＄\x1f␆M（＋＞3ιＹ‛␀＜␕＠O‛．",
	}, { // 2840
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
		out:  "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
	}, { // 2841
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   ".．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
		out:  ".．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
	}, { // 2842
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "．．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
		out:  "．．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
	}, { // 2843
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   ".g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
		out:  ".g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
	}, { // 2844
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "．g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
		out:  "．g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
	}, { // 2845
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   ".g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς．",
		out:  ".g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς‛．",
	}, { // 2846
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "．g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς．",
		out:  "．g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς‛．",
	}, { // 2847
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<.9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
		out:  "<.9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
	}, { // 2848
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
		out:  "<．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ςυ",
	}, { // 2849
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<.9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
		out:  "<.9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
	}, { // 2850
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
		out:  "<．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
	}, { // 2851
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<.9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς．",
		out:  "<.9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς‛．",
	}, { // 2852
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς．",
		out:  "<．9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς‛．",
	}, { // 2853
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝.υ",
		out:  "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝.υ",
	}, { // 2854
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
		out:  "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．υ",
	}, { // 2855
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝.．",
		out:  "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝.‛．",
	}, { // 2856
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．．",
		out:  "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝．‛．",
	}, { // 2857
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς.",
		out:  "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς．",
	}, { // 2858
		mask: EncodeSquareBracket | EncodeRightPeriod,
		in:   "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς．",
		out:  "<g9ｓ␇␄β\x0e␗９.{␌Ｅ\x1d/S\x0f＊ＺUυν\x0e％\x16ｆ｝ς‛．",
	}, { // 2859
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
		out:  ">Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
	}, { // 2860
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ".．：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
		out:  ".．：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
	}, { // 2861
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "．．：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
		out:  "．．：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
	}, { // 2862
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ".Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
		out:  ".Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
	}, { // 2863
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "．Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
		out:  "．Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
	}, { // 2864
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ".Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅．",
		out:  ".Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅‛．",
	}, { // 2865
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   "．Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅．",
		out:  "．Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅‛．",
	}, { // 2866
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">.：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
		out:  ">.：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
	}, { // 2867
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">．：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
		out:  ">．：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅ｖ",
	}, { // 2868
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">.：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
		out:  ">.：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
	}, { // 2869
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">．：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
		out:  ">．：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
	}, { // 2870
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">.：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅．",
		out:  ">.：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅‛．",
	}, { // 2871
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">．：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅．",
		out:  ">．：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅‛．",
	}, { // 2872
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw.ｖ",
		out:  ">Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw.ｖ",
	}, { // 2873
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
		out:  ">Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．ｖ",
	}, { // 2874
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw.．",
		out:  ">Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw.‛．",
	}, { // 2875
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．．",
		out:  ">Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw．‛．",
	}, { // 2876
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅.",
		out:  ">Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅．",
	}, { // 2877
		mask: EncodeSemicolon | EncodeRightPeriod,
		in:   ">Ｍ：Q＞\x00\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅．",
		out:  ">Ｍ：Q＞␀\v］␟α.τςＮ\x1c␘\"␙␈\x1ccν\nγ２hξw␅‛．",
	}, { // 2878
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
		out:  "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
	}, { // 2879
		mask: EncodeDollar | EncodeRightPeriod,
		in:   ".．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
		out:  ".．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
	}, { // 2880
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "．．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
		out:  "．．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
	}, { // 2881
		mask: EncodeDollar | EncodeRightPeriod,
		in:   ".ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
		out:  ".ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
	}, { // 2882
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "．ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
		out:  "．ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
	}, { // 2883
		mask: EncodeDollar | EncodeRightPeriod,
		in:   ".ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01．",
		out:  ".ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01‛．",
	}, { // 2884
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "．ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01．",
		out:  "．ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01‛．",
	}, { // 2885
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（.\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
		out:  "（.\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
	}, { // 2886
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
		out:  "（．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01-",
	}, { // 2887
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（.\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
		out:  "（.\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
	}, { // 2888
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
		out:  "（．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
	}, { // 2889
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（.\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01．",
		out:  "（.\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01‛．",
	}, { // 2890
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01．",
		out:  "（．\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01‛．",
	}, { // 2891
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|.-",
		out:  "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|.-",
	}, { // 2892
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
		out:  "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．-",
	}, { // 2893
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|.．",
		out:  "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|.‛．",
	}, { // 2894
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．．",
		out:  "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|．‛．",
	}, { // 2895
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01.",
		out:  "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01．",
	}, { // 2896
		mask: EncodeDollar | EncodeRightPeriod,
		in:   "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01．",
		out:  "（ε\x18␞␂␔ｕ=Sγ.*λ\x1c０␏Q｜/λ［\rｃ［ωＴ0|\x01‛．",
	}, { // 2897
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
		out:  "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
	}, { // 2898
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   ".．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
		out:  ".．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
	}, { // 2899
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "．．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
		out:  "．．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
	}, { // 2900
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   ".η\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
		out:  ".η\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
	}, { // 2901
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "．η\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
		out:  "．η\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
	}, { // 2902
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   ".η\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ．",
		out:  ".η\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ‛．",
	}, { // 2903
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "．η\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ．",
		out:  "．η\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ‛．",
	}, { // 2904
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ι.\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
		out:  "ι.\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
	}, { // 2905
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ι．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
		out:  "ι．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ６",
	}, { // 2906
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ι.\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
		out:  "ι.\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
	}, { // 2907
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ι．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
		out:  "ι．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
	}, { // 2908
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ι.\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ．",
		out:  "ι.\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ‛．",
	}, { // 2909
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ι．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ．",
		out:  "ι．\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ‛．",
	}, { // 2910
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ.６",
		out:  "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ.６",
	}, { // 2911
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
		out:  "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．６",
	}, { // 2912
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ.．",
		out:  "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ.‛．",
	}, { // 2913
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．．",
		out:  "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐ．‛．",
	}, { // 2914
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ.",
		out:  "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ．",
	}, { // 2915
		mask: EncodeDoubleQuote | EncodeRightPeriod,
		in:   "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ．",
		out:  "ιη\v␃\bπ2＄[\x1c.␂\\.４␘ξ\x1d{（j}␍υμ␏>Ｐｊ‛．",
	}, { // 2916
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
		out:  "υ\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
	}, { // 2917
		mask: EncodeColon | EncodeRightPeriod,
		in:   ".．␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
		out:  ".．␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
	}, { // 2918
		mask: EncodeColon | EncodeRightPeriod,
		in:   "．．␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
		out:  "．．␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
	}, { // 2919
		mask: EncodeColon | EncodeRightPeriod,
		in:   ".\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
		out:  ".\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
	}, { // 2920
		mask: EncodeColon | EncodeRightPeriod,
		in:   "．\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
		out:  "．\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
	}, { // 2921
		mask: EncodeColon | EncodeRightPeriod,
		in:   ".\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎．",
		out:  ".\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎‛．",
	}, { // 2922
		mask: EncodeColon | EncodeRightPeriod,
		in:   "．\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎．",
		out:  "．\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎‛．",
	}, { // 2923
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ.␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
		out:  "υ.␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
	}, { // 2924
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ．␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
		out:  "υ．␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎Ｍ",
	}, { // 2925
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ.␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
		out:  "υ.␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
	}, { // 2926
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ．␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
		out:  "υ．␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
	}, { // 2927
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ.␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎．",
		out:  "υ.␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎‛．",
	}, { // 2928
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ．␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎．",
		out:  "υ．␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎‛．",
	}, { // 2929
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h.Ｍ",
		out:  "υ\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h.Ｍ",
	}, { // 2930
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
		out:  "υ\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．Ｍ",
	}, { // 2931
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h.．",
		out:  "υ\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h.‛．",
	}, { // 2932
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．．",
		out:  "υ\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h．‛．",
	}, { // 2933
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎.",
		out:  "υ\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎．",
	}, { // 2934
		mask: EncodeColon | EncodeRightPeriod,
		in:   "υ\"␗｜ρ＼\"\x1f\x00ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎．",
		out:  "υ\"␗｜ρ＼\"\x1f␀ｒ.λg\x0ex＂␡<N␄ρλ５ｓς｀\x19h␎‛．",
	}, { // 2935
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
		out:  "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
	}, { // 2936
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   ".．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
		out:  ".．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
	}, { // 2937
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "．．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
		out:  "．．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
	}, { // 2938
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   ".␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
		out:  ".␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
	}, { // 2939
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "．␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
		out:  "．␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
	}, { // 2940
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   ".␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇．",
		out:  ".␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇‛．",
	}, { // 2941
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "．␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇．",
		out:  "．␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇‛．",
	}, { // 2942
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t.τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
		out:  "\t.τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
	}, { // 2943
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
		out:  "\t．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇ι",
	}, { // 2944
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t.τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
		out:  "\t.τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
	}, { // 2945
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
		out:  "\t．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
	}, { // 2946
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t.τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇．",
		out:  "\t.τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇‛．",
	}, { // 2947
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇．",
		out:  "\t．τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇‛．",
	}, { // 2948
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:.ι",
		out:  "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:.ι",
	}, { // 2949
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
		out:  "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．ι",
	}, { // 2950
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:.．",
		out:  "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:.‛．",
	}, { // 2951
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．．",
		out:  "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:．‛．",
	}, { // 2952
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇.",
		out:  "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇．",
	}, { // 2953
		mask: EncodeQuestion | EncodeRightPeriod,
		in:   "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇．",
		out:  "\t␟τ(χＴｈ｜\x17C.ｃ\\#ｃ␘B［*＂Ｅ␆yCε0ι:＇‛．",
	}, { // 2954
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξβ",
		out:  "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξβ",
	}, { // 2955
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   ".．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξβ",
		out:  ".．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξβ",
	}, { // 2956
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "．．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξβ",
		out:  "．．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξβ",
	}, { // 2957
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   ".｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτ．β",
		out:  ".｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτ．β",
	}, { // 2958
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "．｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτ．β",
		out:  "．｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτ．β",
	}, { // 2959
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   ".｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξ．",
		out:  ".｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξ‛．",
	}, { // 2960
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "．｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξ．",
		out:  "．｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξ‛．",
	}, { // 2961
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/.ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξβ",
		out:  "/.ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξβ",
	}, { // 2962
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξβ",
		out:  "/．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξβ",
	}, { // 2963
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/.ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτ．β",
		out:  "/.ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτ．β",
	}, { // 2964
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτ．β",
		out:  "/．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτ．β",
	}, { // 2965
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/.ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξ．",
		out:  "/.ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξ‛．",
	}, { // 2966
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξ．",
		out:  "/．ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξ‛．",
	}, { // 2967
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτ.β",
		out:  "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτ.β",
	}, { // 2968
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτ．β",
		out:  "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτ．β",
	}, { // 2969
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτ.．",
		out:  "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτ.‛．",
	}, { // 2970
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτ．．",
		out:  "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτ．‛．",
	}, { // 2971
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξ.",
		out:  "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξ．",
	}, { // 2972
		mask: EncodeAsterisk | EncodeRightPeriod,
		in:   "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ␀_␇\x00＋,Hｗτξ．",
		out:  "/｀ξZ｀\x17ｚ４ζ␕.\x045␟ρ␅M\aｚ‛␀_␇␀＋,Hｗτξ‛．",
	}, { // 2973
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
		out:  "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
	}, { // 2974
		mask: EncodePipe | EncodeRightPeriod,
		in:   ".．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
		out:  ".．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
	}, { // 2975
		mask: EncodePipe | EncodeRightPeriod,
		in:   "．．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
		out:  "．．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
	}, { // 2976
		mask: EncodePipe | EncodeRightPeriod,
		in:   ".\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
		out:  ".\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
	}, { // 2977
		mask: EncodePipe | EncodeRightPeriod,
		in:   "．\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
		out:  "．\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
	}, { // 2978
		mask: EncodePipe | EncodeRightPeriod,
		in:   ".\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ．",
		out:  ".\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ‛．",
	}, { // 2979
		mask: EncodePipe | EncodeRightPeriod,
		in:   "．\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ．",
		out:  "．\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ‛．",
	}, { // 2980
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15.+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
		out:  "\x15.+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
	}, { // 2981
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
		out:  "\x15．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ：",
	}, { // 2982
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15.+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
		out:  "\x15.+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
	}, { // 2983
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
		out:  "\x15．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
	}, { // 2984
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15.+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ．",
		out:  "\x15.+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ‛．",
	}, { // 2985
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ．",
		out:  "\x15．+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ‛．",
	}, { // 2986
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a.：",
		out:  "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a.：",
	}, { // 2987
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
		out:  "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．：",
	}, { // 2988
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a.．",
		out:  "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a.‛．",
	}, { // 2989
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．．",
		out:  "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\a．‛．",
	}, { // 2990
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ.",
		out:  "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ．",
	}, { // 2991
		mask: EncodePipe | EncodeRightPeriod,
		in:   "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ．",
		out:  "\x15\r+D#ｕςν＼].␊～ｗ｝P␃α␓Rδ+<\b␟／Ｉ\aκ‛．",
	}, { // 2992
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κυ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
		out:  "κυ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
	}, { // 2993
		mask: EncodeHash | EncodeRightPeriod,
		in:   ".．\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
		out:  ".．␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
	}, { // 2994
		mask: EncodeHash | EncodeRightPeriod,
		in:   "．．\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
		out:  "．．␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
	}, { // 2995
		mask: EncodeHash | EncodeRightPeriod,
		in:   ".υ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
		out:  ".υ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
	}, { // 2996
		mask: EncodeHash | EncodeRightPeriod,
		in:   "．υ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
		out:  "．υ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
	}, { // 2997
		mask: EncodeHash | EncodeRightPeriod,
		in:   ".υ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／．",
		out:  ".υ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／‛．",
	}, { // 2998
		mask: EncodeHash | EncodeRightPeriod,
		in:   "．υ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／．",
		out:  "．υ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／‛．",
	}, { // 2999
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κ.\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
		out:  "κ.␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
	}, { // 3000
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κ．\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
		out:  "κ．␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／ς",
	}, { // 3001
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κ.\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
		out:  "κ.␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
	}, { // 3002
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κ．\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
		out:  "κ．␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
	}, { // 3003
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κ.\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／．",
		out:  "κ.␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／‛．",
	}, { // 3004
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κ．\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／．",
		out:  "κ．␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／‛．",
	}, { // 3005
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κυ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15.ς",
		out:  "κυ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15.ς",
	}, { // 3006
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κυ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
		out:  "κυ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．ς",
	}, { // 3007
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κυ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15.．",
		out:  "κυ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15.‛．",
	}, { // 3008
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κυ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．．",
		out:  "κυ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15．‛．",
	}, { // 3009
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κυ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／.",
		out:  "κυ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／．",
	}, { // 3010
		mask: EncodeHash | EncodeRightPeriod,
		in:   "κυ\x00３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／．",
		out:  "κυ␀３ｋ］␍＇γ␒.３\x05\x1e\x05?M.ｒX｜βwｄＯχ>\x15／‛．",
	}, { // 3011
		mask: EncodePercent | EncodeRightPeriod,
		in:   "εｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
		out:  "εｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
	}, { // 3012
		mask: EncodePercent | EncodeRightPeriod,
		in:   ".．␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
		out:  ".．␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
	}, { // 3013
		mask: EncodePercent | EncodeRightPeriod,
		in:   "．．␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
		out:  "．．␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
	}, { // 3014
		mask: EncodePercent | EncodeRightPeriod,
		in:   ".ｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
		out:  ".ｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
	}, { // 3015
		mask: EncodePercent | EncodeRightPeriod,
		in:   "．ｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
		out:  "．ｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
	}, { // 3016
		mask: EncodePercent | EncodeRightPeriod,
		in:   ".ｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'．",
		out:  ".ｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'‛．",
	}, { // 3017
		mask: EncodePercent | EncodeRightPeriod,
		in:   "．ｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'．",
		out:  "．ｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'‛．",
	}, { // 3018
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ε.␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
		out:  "ε.␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
	}, { // 3019
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ε．␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
		out:  "ε．␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'␛",
	}, { // 3020
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ε.␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
		out:  "ε.␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
	}, { // 3021
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ε．␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
		out:  "ε．␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
	}, { // 3022
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ε.␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'．",
		out:  "ε.␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'‛．",
	}, { // 3023
		mask: EncodePercent | EncodeRightPeriod,
		in:   "ε．␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'．",
		out:  "ε．␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'‛．",
	}, { // 3024
		mask: EncodePercent | EncodeRightPeriod,
		in:   "εｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι.␛",
		out:  "εｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι.␛",
	}, { // 3025
		mask: EncodePercent | EncodeRightPeriod,
		in:   "εｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
		out:  "εｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．␛",
	}, { // 3026
		mask: EncodePercent | EncodeRightPeriod,
		in:   "εｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι.．",
		out:  "εｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι.‛．",
	}, { // 3027
		mask: EncodePercent | EncodeRightPeriod,
		in:   "εｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．．",
		out:  "εｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι．‛．",
	}, { // 3028
		mask: EncodePercent | EncodeRightPeriod,
		in:   "εｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'.",
		out:  "εｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'．",
	}, { // 3029
		mask: EncodePercent | EncodeRightPeriod,
		in:   "εｆ␡\\％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'．",
		out:  "εｆ␡\\‛％\n:Ipγ.\x11＞#␐Lχ␘`ＣＧｑ\x17ζ｛ｅuι'‛．",
	}, { // 3030
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI~",
		out:  "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI~",
	}, { // 3031
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   ".．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI~",
		out:  ".．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI~",
	}, { // 3032
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "．．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI~",
		out:  "．．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI~",
	}, { // 3033
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   ".␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρ．~",
		out:  ".␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρ．~",
	}, { // 3034
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "．␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρ．~",
		out:  "．␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρ．~",
	}, { // 3035
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   ".␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI．",
		out:  ".␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI‛．",
	}, { // 3036
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "．␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI．",
		out:  "．␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI‛．",
	}, { // 3037
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃.\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI~",
		out:  "␃.\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI~",
	}, { // 3038
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI~",
		out:  "␃．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI~",
	}, { // 3039
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃.\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρ．~",
		out:  "␃.\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρ．~",
	}, { // 3040
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρ．~",
		out:  "␃．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρ．~",
	}, { // 3041
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃.\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI．",
		out:  "␃.\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI‛．",
	}, { // 3042
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI．",
		out:  "␃．\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI‛．",
	}, { // 3043
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρ.~",
		out:  "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρ.~",
	}, { // 3044
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρ．~",
		out:  "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρ．~",
	}, { // 3045
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρ.．",
		out:  "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρ.‛．",
	}, { // 3046
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρ．．",
		out:  "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρ．‛．",
	}, { // 3047
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI.",
		out:  "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI．",
	}, { // 3048
		mask: EncodeBackSlash | EncodeRightPeriod,
		in:   "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊\\ρI．",
		out:  "␃␡\nψ＂}\x18Ｖ>Ｆ.χη＄]\nｓ␏λ4β␂\x1a␊␊＊＼ρI‛．",
	}, { // 3049
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι`",
		out:  "‛␊：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι`",
	}, { // 3050
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   ".．C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι`",
		out:  ".．C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι`",
	}, { // 3051
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "．．C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι`",
		out:  "．．C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι`",
	}, { // 3052
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   ".：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ω．`",
		out:  ".：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ω．`",
	}, { // 3053
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "．：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ω．`",
		out:  "．：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ω．`",
	}, { // 3054
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   ".：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι．",
		out:  ".：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι‛．",
	}, { // 3055
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "．：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι．",
		out:  "．：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι‛．",
	}, { // 3056
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊.C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι`",
		out:  "‛␊.C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι`",
	}, { // 3057
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊．C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι`",
		out:  "‛␊．C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι`",
	}, { // 3058
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊.C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ω．`",
		out:  "‛␊.C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ω．`",
	}, { // 3059
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊．C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ω．`",
		out:  "‛␊．C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ω．`",
	}, { // 3060
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊.C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι．",
		out:  "‛␊.C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι‛．",
	}, { // 3061
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊．C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι．",
		out:  "‛␊．C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι‛．",
	}, { // 3062
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ω.`",
		out:  "‛␊：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ω.`",
	}, { // 3063
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ω．`",
		out:  "‛␊：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ω．`",
	}, { // 3064
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ω.．",
		out:  "‛␊：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ω.‛．",
	}, { // 3065
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ω．．",
		out:  "‛␊：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ω．‛．",
	}, { // 3066
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι.",
		out:  "‛␊：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι．",
	}, { // 3067
		mask: EncodeCrLf | EncodeRightPeriod,
		in:   "␊：C＿ρ:>Ｃ␊v.Ｅq␆]＄J\n６:\x18␐\x1fλβ＼␙ωι．",
		out:  "‛␊：C＿ρ:>Ｃ‛␊v.Ｅq␆]＄J␊６:\x18␐\x1fλβ＼␙ωι‛．",
	}, { // 3068
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
		out:  "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
	}, { // 3069
		mask: EncodeDel | EncodeRightPeriod,
		in:   ".．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
		out:  ".．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
	}, { // 3070
		mask: EncodeDel | EncodeRightPeriod,
		in:   "．．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
		out:  "．．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
	}, { // 3071
		mask: EncodeDel | EncodeRightPeriod,
		in:   ".␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
		out:  ".␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
	}, { // 3072
		mask: EncodeDel | EncodeRightPeriod,
		in:   "．␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
		out:  "．␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
	}, { // 3073
		mask: EncodeDel | EncodeRightPeriod,
		in:   ".␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/．",
		out:  ".␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/‛．",
	}, { // 3074
		mask: EncodeDel | EncodeRightPeriod,
		in:   "．␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/．",
		out:  "．␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/‛．",
	}, { // 3075
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ.<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
		out:  "ｊ.<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
	}, { // 3076
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
		out:  "ｊ．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/~",
	}, { // 3077
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ.<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
		out:  "ｊ.<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
	}, { // 3078
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
		out:  "ｊ．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
	}, { // 3079
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ.<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/．",
		out:  "ｊ.<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/‛．",
	}, { // 3080
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/．",
		out:  "ｊ．<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/‛．",
	}, { // 3081
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂.~",
		out:  "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂.~",
	}, { // 3082
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
		out:  "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．~",
	}, { // 3083
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂.．",
		out:  "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂.‛．",
	}, { // 3084
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．．",
		out:  "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂．‛．",
	}, { // 3085
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/.",
		out:  "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/．",
	}, { // 3086
		mask: EncodeDel | EncodeRightPeriod,
		in:   "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/．",
		out:  "ｊ␃<βης?\x1b\v^.；Ｄ\\␛＼Pσ７[δ／\x02｀θｚ`␂/‛．",
	}, { // 3087
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ␜",
		out:  "３]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛␜",
	}, { // 3088
		mask: EncodeCtl | EncodeRightPeriod,
		in:   ".．＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ␜",
		out:  ".．＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛␜",
	}, { // 3089
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "．．＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ␜",
		out:  "．．＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛␜",
	}, { // 3090
		mask: EncodeCtl | EncodeRightPeriod,
		in:   ".]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋ．␜",
		out:  ".]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋ．‛␜",
	}, { // 3091
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "．]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋ．␜",
		out:  "．]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋ．‛␜",
	}, { // 3092
		mask: EncodeCtl | EncodeRightPeriod,
		in:   ".]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ．",
		out:  ".]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛．",
	}, { // 3093
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "．]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ．",
		out:  "．]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛．",
	}, { // 3094
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３.＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ␜",
		out:  "３.＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛␜",
	}, { // 3095
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３．＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ␜",
		out:  "３．＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛␜",
	}, { // 3096
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３.＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋ．␜",
		out:  "３.＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋ．‛␜",
	}, { // 3097
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３．＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋ．␜",
		out:  "３．＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋ．‛␜",
	}, { // 3098
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３.＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ．",
		out:  "３.＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛．",
	}, { // 3099
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３．＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ．",
		out:  "３．＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛．",
	}, { // 3100
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋ.␜",
		out:  "３]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋ.‛␜",
	}, { // 3101
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋ．␜",
		out:  "３]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋ．‛␜",
	}, { // 3102
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋ.．",
		out:  "３]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋ.‛．",
	}, { // 3103
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋ．．",
		out:  "３]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋ．‛．",
	}, { // 3104
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ.",
		out:  "３]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ．",
	}, { // 3105
		mask: EncodeCtl | EncodeRightPeriod,
		in:   "３]＃iσ\x1b␞［θ␈.+πLθ␅χ\"β␖Ｊ]\v\x15[Q\x05ｋＤ．",
		out:  "３]＃iσ␛‛␞［θ‛␈.+πLθ‛␅χ\"β‛␖Ｊ]␋␕[Q␅ｋＤ‛．",
	}, { // 3106
		mask: EncodeRightCrLfHtVt,
		in:   "\t",
		out:  "␉",
	}, { // 3107
		mask: EncodeRightCrLfHtVt,
		in:   "\n",
		out:  "␊",
	}, { // 3108
		mask: EncodeRightCrLfHtVt,
		in:   "\v",
		out:  "␋",
	}, { // 3109
		mask: EncodeRightCrLfHtVt,
		in:   "\r",
		out:  "␍",
	}, { // 3110
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1eτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
		out:  "\x1eτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
	}, { // 3111
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\t␉ｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
		out:  "\t␉ｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
	}, { // 3112
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␉␉ｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
		out:  "␉␉ｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
	}, { // 3113
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\tτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
		out:  "\tτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
	}, { // 3114
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␉τｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
		out:  "␉τｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
	}, { // 3115
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\tτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE␉",
		out:  "\tτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE‛␉",
	}, { // 3116
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␉τｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE␉",
		out:  "␉τｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE‛␉",
	}, { // 3117
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1e\tｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
		out:  "\x1e\tｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
	}, { // 3118
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1e␉ｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
		out:  "\x1e␉ｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμEπ",
	}, { // 3119
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1e\tｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
		out:  "\x1e\tｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
	}, { // 3120
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1e␉ｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
		out:  "\x1e␉ｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
	}, { // 3121
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1e\tｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE␉",
		out:  "\x1e\tｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE‛␉",
	}, { // 3122
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1e␉ｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE␉",
		out:  "\x1e␉ｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE‛␉",
	}, { // 3123
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1eτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ\tπ",
		out:  "\x1eτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ\tπ",
	}, { // 3124
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1eτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
		out:  "\x1eτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉π",
	}, { // 3125
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1eτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ\t␉",
		out:  "\x1eτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ\t‛␉",
	}, { // 3126
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1eτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉␉",
		out:  "\x1eτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμ␉‛␉",
	}, { // 3127
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1eτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE\t",
		out:  "\x1eτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE␉",
	}, { // 3128
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\x1eτｉ␂␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE␉",
		out:  "\x1eτｉ␂‛␀␂ｓＹ,ｋ\tＬ␖τ>\\␎Ｃλ\x11{:f\arξMμE‛␉",
	}, { // 3129
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
		out:  "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
	}, { // 3130
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
		out:  "\n␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
	}, { // 3131
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␊␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
		out:  "␊␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
	}, { // 3132
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
		out:  "\n;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
	}, { // 3133
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␊;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
		out:  "␊;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
	}, { // 3134
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\n;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␊",
		out:  "\n;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&‛␊",
	}, { // 3135
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␊;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␊",
		out:  "␊;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&‛␊",
	}, { // 3136
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ\n\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
		out:  "ξ\n\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
	}, { // 3137
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
		out:  "ξ␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␕",
	}, { // 3138
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ\n\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
		out:  "ξ\n\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
	}, { // 3139
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
		out:  "ξ␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
	}, { // 3140
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ\n\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␊",
		out:  "ξ\n\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&‛␊",
	}, { // 3141
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␊",
		out:  "ξ␊\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&‛␊",
	}, { // 3142
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b\n␕",
		out:  "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b\n␕",
	}, { // 3143
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
		out:  "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␕",
	}, { // 3144
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b\n␊",
		out:  "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b\n‛␊",
	}, { // 3145
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊␊",
		out:  "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b␊‛␊",
	}, { // 3146
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&\n",
		out:  "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␊",
	}, { // 3147
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&␊",
		out:  "ξ;\x19ο1χａ3κ\v\n＼＇？\x16i(λ\x14Ｎ\n␙２␡ｋＴσ\b&‛␊",
	}, { // 3148
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
		out:  "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
	}, { // 3149
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\v␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
		out:  "\v␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
	}, { // 3150
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␋␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
		out:  "␋␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
	}, { // 3151
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\vｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
		out:  "\vｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
	}, { // 3152
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␋ｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
		out:  "␋ｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
	}, { // 3153
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\vｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２␋",
		out:  "\vｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２‛␋",
	}, { // 3154
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␋ｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２␋",
		out:  "␋ｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２‛␋",
	}, { // 3155
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "B\v／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
		out:  "B\v／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
	}, { // 3156
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "B␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
		out:  "B␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２S",
	}, { // 3157
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "B\v／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
		out:  "B\v／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
	}, { // 3158
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "B␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
		out:  "B␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
	}, { // 3159
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "B\v／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２␋",
		out:  "B\v／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２‛␋",
	}, { // 3160
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "B␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２␋",
		out:  "B␋／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２‛␋",
	}, { // 3161
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ\vS",
		out:  "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ\vS",
	}, { // 3162
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
		out:  "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋S",
	}, { // 3163
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ\v␋",
		out:  "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ\v‛␋",
	}, { // 3164
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋␋",
		out:  "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ␋‛␋",
	}, { // 3165
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２\v",
		out:  "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２␋",
	}, { // 3166
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２␋",
		out:  "Bｇ／\x04，\x0fｊ␌μ␖\v\f1\x161νωＩ␕\x15nｐων␁␓}ρ２‛␋",
	}, { // 3167
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
		out:  "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
	}, { // 3168
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\r␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
		out:  "\r␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
	}, { // 3169
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␍␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
		out:  "␍␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
	}, { // 3170
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\r\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
		out:  "\r\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
	}, { // 3171
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␍\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
		out:  "␍\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
	}, { // 3172
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "\r\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R␍",
		out:  "\r\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R‛␍",
	}, { // 3173
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "␍\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R␍",
		out:  "␍\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R‛␍",
	}, { // 3174
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\r\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
		out:  "ω\r\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
	}, { // 3175
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
		out:  "ω␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃RF",
	}, { // 3176
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\r\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
		out:  "ω\r\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
	}, { // 3177
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
		out:  "ω␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
	}, { // 3178
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\r\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R␍",
		out:  "ω\r\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R‛␍",
	}, { // 3179
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R␍",
		out:  "ω␍\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R‛␍",
	}, { // 3180
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃\rF",
		out:  "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃\rF",
	}, { // 3181
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
		out:  "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍F",
	}, { // 3182
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃\r␍",
		out:  "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃\r‛␍",
	}, { // 3183
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍␍",
		out:  "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃␍‛␍",
	}, { // 3184
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R\r",
		out:  "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R␍",
	}, { // 3185
		mask: EncodeZero | EncodeRightCrLfHtVt,
		in:   "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R␍",
		out:  "ω\x04\x1a`ｘ␟:\x1c＇／\rς:>-Ｗ␝+；３7ςι␃βλ␗＃R‛␍",
	}, { // 3186
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
		out:  "３A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
	}, { // 3187
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\t␉␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
		out:  "\t␉␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
	}, { // 3188
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␉␉␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
		out:  "␉␉␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
	}, { // 3189
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\tA␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
		out:  "\tA␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
	}, { // 3190
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␉A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
		out:  "␉A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
	}, { // 3191
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\tA␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι␉",
		out:  "\tA␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι‛␉",
	}, { // 3192
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␉A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι␉",
		out:  "␉A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι‛␉",
	}, { // 3193
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３\t␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
		out:  "３\t␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
	}, { // 3194
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３␉␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
		out:  "３␉␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι^",
	}, { // 3195
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３\t␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
		out:  "３\t␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
	}, { // 3196
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３␉␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
		out:  "３␉␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
	}, { // 3197
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３\t␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι␉",
		out:  "３\t␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι‛␉",
	}, { // 3198
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３␉␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι␉",
		out:  "３␉␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι‛␉",
	}, { // 3199
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%\t^",
		out:  "３A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%\t^",
	}, { // 3200
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
		out:  "３A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%␉^",
	}, { // 3201
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%\t␉",
		out:  "３A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%\t‛␉",
	}, { // 3202
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%␉␉",
		out:  "３A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%␉‛␉",
	}, { // 3203
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι\t",
		out:  "３A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι␉",
	}, { // 3204
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "３A␜(｝ＡＨωιｆ\t\x16＄␎/\x1e␅φＫ\x04＃τG␚\r!δ%ι␉",
		out:  "３A␜(｝ＡＨωιｆ\t\x16＄␎／\x1e␅φＫ\x04＃τG␚\r!δ%ι‛␉",
	}, { // 3205
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η＾",
		out:  "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η＾",
	}, { // 3206
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\n␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η＾",
		out:  "\n␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η＾",
	}, { // 3207
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␊␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η＾",
		out:  "␊␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η＾",
	}, { // 3208
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\n＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6␊＾",
		out:  "\n＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6␊＾",
	}, { // 3209
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␊＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6␊＾",
		out:  "␊＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6␊＾",
	}, { // 3210
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\n＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η␊",
		out:  "\n＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η‛␊",
	}, { // 3211
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␊＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η␊",
		out:  "␊＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η‛␊",
	}, { // 3212
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β\n\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η＾",
		out:  "β\n\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η＾",
	}, { // 3213
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η＾",
		out:  "β␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η＾",
	}, { // 3214
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β\n\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6␊＾",
		out:  "β\n\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6␊＾",
	}, { // 3215
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6␊＾",
		out:  "β␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6␊＾",
	}, { // 3216
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β\n\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η␊",
		out:  "β\n\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η‛␊",
	}, { // 3217
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η␊",
		out:  "β␊\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η‛␊",
	}, { // 3218
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6\n＾",
		out:  "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6\n＾",
	}, { // 3219
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6␊＾",
		out:  "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6␊＾",
	}, { // 3220
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6\n␊",
		out:  "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6\n‛␊",
	}, { // 3221
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6␊␊",
		out:  "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6␊‛␊",
	}, { // 3222
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η\n",
		out:  "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η␊",
	}, { // 3223
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr/\x16｜\r␜ｆ］␅6η␊",
		out:  "β＠\x16'\x1cＭ11β\x0e\nκＮ＂δ！;δr／\x16｜\r␜ｆ］␅6η‛␊",
	}, { // 3224
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
		out:  "？８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
	}, { // 3225
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\v␋␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
		out:  "\v␋␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
	}, { // 3226
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␋␋␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
		out:  "␋␋␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
	}, { // 3227
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\v８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
		out:  "\v８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
	}, { // 3228
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␋８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
		out:  "␋８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
	}, { // 3229
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\v８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊␋",
		out:  "\v８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊‛␋",
	}, { // 3230
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␋８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊␋",
		out:  "␋８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊‛␋",
	}, { // 3231
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？\v␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
		out:  "？\v␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
	}, { // 3232
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？␋␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
		out:  "？␋␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊u",
	}, { // 3233
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？\v␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
		out:  "？\v␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
	}, { // 3234
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？␋␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
		out:  "？␋␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
	}, { // 3235
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？\v␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊␋",
		out:  "？\v␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊‛␋",
	}, { // 3236
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？␋␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊␋",
		out:  "？␋␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊‛␋",
	}, { // 3237
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε\vu",
		out:  "？８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε\vu",
	}, { // 3238
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
		out:  "？８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε␋u",
	}, { // 3239
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε\v␋",
		out:  "？８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε\v‛␋",
	}, { // 3240
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε␋␋",
		out:  "？８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε␋‛␋",
	}, { // 3241
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊\v",
		out:  "？８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊␋",
	}, { // 3242
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "？８␌\n␏πAυπ＊\vVｐ/4␙＂λ␘\u007fτ{\v\n［g\\ε＊␋",
		out:  "？８␌\n␏πAυπ＊\vVｐ／4␙＂λ␘\u007fτ{\v\n［g\\ε＊‛␋",
	}, { // 3243
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
		out:  "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
	}, { // 3244
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\r␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
		out:  "\r␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
	}, { // 3245
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␍␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
		out:  "␍␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
	}, { // 3246
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\rυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
		out:  "\rυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
	}, { // 3247
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␍υ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
		out:  "␍υ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
	}, { // 3248
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "\rυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␍",
		out:  "\rυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*‛␍",
	}, { // 3249
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "␍υ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␍",
		out:  "␍υ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*‛␍",
	}, { // 3250
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ\r`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
		out:  "Ｖ\r`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
	}, { // 3251
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
		out:  "Ｖ␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␜",
	}, { // 3252
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ\r`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
		out:  "Ｖ\r`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
	}, { // 3253
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
		out:  "Ｖ␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
	}, { // 3254
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ\r`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␍",
		out:  "Ｖ\r`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*‛␍",
	}, { // 3255
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖ␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␍",
		out:  "Ｖ␍`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*‛␍",
	}, { // 3256
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ\r␜",
		out:  "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ\r␜",
	}, { // 3257
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
		out:  "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␜",
	}, { // 3258
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ\r␍",
		out:  "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ\r‛␍",
	}, { // 3259
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍␍",
		out:  "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ␍‛␍",
	}, { // 3260
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*\r",
		out:  "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␍",
	}, { // 3261
		mask: EncodeSlash | EncodeRightCrLfHtVt,
		in:   "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*␍",
		out:  "Ｖυ`μＵ］CQ\x13}\r]J␔-␚γαδｅ＇`＼\x19!Ｎ：ｗ*‛␍",
	}, { // 3262
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
		out:  "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
	}, { // 3263
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\t␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
		out:  "\t␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
	}, { // 3264
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␉␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
		out:  "␉␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
	}, { // 3265
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\tψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
		out:  "\tψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
	}, { // 3266
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␉ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
		out:  "␉ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
	}, { // 3267
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\tψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E␉",
		out:  "\tψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E‛␉",
	}, { // 3268
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␉ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E␉",
		out:  "␉ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E‛␉",
	}, { // 3269
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^\tφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
		out:  "^\tφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
	}, { // 3270
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
		out:  "^␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！Eｙ",
	}, { // 3271
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^\tφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
		out:  "^\tφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
	}, { // 3272
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
		out:  "^␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
	}, { // 3273
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^\tφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E␉",
		out:  "^\tφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E‛␉",
	}, { // 3274
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E␉",
		out:  "^␉φ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E‛␉",
	}, { // 3275
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！\tｙ",
		out:  "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！\tｙ",
	}, { // 3276
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
		out:  "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉ｙ",
	}, { // 3277
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！\t␉",
		out:  "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！\t‛␉",
	}, { // 3278
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉␉",
		out:  "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！␉‛␉",
	}, { // 3279
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E\t",
		out:  "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E␉",
	}, { // 3280
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E␉",
		out:  "^ψφ@\x0fｌ␅／␊E\tｈ;φ８κγ␑\x0ea\x05Z\x0f␇ｄκ␈！E‛␉",
	}, { // 3281
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "βχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
		out:  "βχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
	}, { // 3282
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\n␊^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
		out:  "\n␊^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
	}, { // 3283
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␊␊^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
		out:  "␊␊^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
	}, { // 3284
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\nχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
		out:  "\nχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
	}, { // 3285
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␊χ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
		out:  "␊χ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
	}, { // 3286
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\nχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/␊",
		out:  "\nχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/‛␊",
	}, { // 3287
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␊χ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/␊",
		out:  "␊χ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/‛␊",
	}, { // 3288
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "β\n^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
		out:  "β\n^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
	}, { // 3289
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "β␊^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
		out:  "β␊^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/χ",
	}, { // 3290
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "β\n^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
		out:  "β\n^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
	}, { // 3291
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "β␊^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
		out:  "β␊^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
	}, { // 3292
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "β\n^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/␊",
		out:  "β\n^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/‛␊",
	}, { // 3293
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "β␊^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/␊",
		out:  "β␊^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/‛␊",
	}, { // 3294
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "βχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β\nχ",
		out:  "βχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β\nχ",
	}, { // 3295
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "βχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
		out:  "βχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊χ",
	}, { // 3296
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "βχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β\n␊",
		out:  "βχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β\n‛␊",
	}, { // 3297
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "βχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊␊",
		out:  "βχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β␊‛␊",
	}, { // 3298
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "βχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/\n",
		out:  "βχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/␊",
	}, { // 3299
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "βχ^＄／␒␀`ο\x10\n>␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/␊",
		out:  "βχ^＄／␒‛␀`ο\x10\n>‛␀ｃ＜9ｂlm～ｗ\tｗGπ％\x14β/‛␊",
	}, { // 3300
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
		out:  "O＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
	}, { // 3301
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\v␋2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
		out:  "\v␋2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
	}, { // 3302
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␋␋2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
		out:  "␋␋2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
	}, { // 3303
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\v＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
		out:  "\v＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
	}, { // 3304
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␋＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
		out:  "␋＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
	}, { // 3305
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\v＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ␋",
		out:  "\v＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ‛␋",
	}, { // 3306
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␋＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ␋",
		out:  "␋＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ‛␋",
	}, { // 3307
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O\v2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
		out:  "O\v2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
	}, { // 3308
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O␋2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
		out:  "O␋2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\x18",
	}, { // 3309
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O\v2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
		out:  "O\v2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
	}, { // 3310
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O␋2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
		out:  "O␋2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
	}, { // 3311
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O\v2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ␋",
		out:  "O\v2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ‛␋",
	}, { // 3312
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O␋2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ␋",
		out:  "O␋2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ‛␋",
	}, { // 3313
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜\v\x18",
		out:  "O＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜\v\x18",
	}, { // 3314
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
		out:  "O＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋\x18",
	}, { // 3315
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜\v␋",
		out:  "O＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜\v‛␋",
	}, { // 3316
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋␋",
		out:  "O＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜␋‛␋",
	}, { // 3317
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ\v",
		out:  "O＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ␋",
	}, { // 3318
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "O＂2␖＝ζDy＼`\v＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ␋",
		out:  "O＂2␖＝ζDy＼`\v‛＇Gξ；\x1fλ！\x1bＬθητ\n？Ｚ:＜Ａ‛␋",
	}, { // 3319
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
		out:  "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
	}, { // 3320
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\r␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
		out:  "\r␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
	}, { // 3321
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␍␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
		out:  "␍␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
	}, { // 3322
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\rg\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
		out:  "\rg\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
	}, { // 3323
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␍g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
		out:  "␍g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
	}, { // 3324
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "\rg\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18␍",
		out:  "\rg\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18‛␍",
	}, { // 3325
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "␍g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18␍",
		out:  "␍g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18‛␍",
	}, { // 3326
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：\r\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
		out:  "：\r\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
	}, { // 3327
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
		out:  "：␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x184",
	}, { // 3328
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：\r\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
		out:  "：\r\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
	}, { // 3329
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
		out:  "：␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
	}, { // 3330
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：\r\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18␍",
		out:  "：\r\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18‛␍",
	}, { // 3331
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18␍",
		out:  "：␍\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18‛␍",
	}, { // 3332
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\r4",
		out:  "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\r4",
	}, { // 3333
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
		out:  "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍4",
	}, { // 3334
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\r␍",
		out:  "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\r‛␍",
	}, { // 3335
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍␍",
		out:  "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚␍‛␍",
	}, { // 3336
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18\r",
		out:  "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18␍",
	}, { // 3337
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt,
		in:   "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18␍",
		out:  "：g\fL[ｍ;ψ\x15>\r［υｗ｝ｍ$｜α␞%2␊β１ω＊␚\x18‛␍",
	}, { // 3338
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
		out:  "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
	}, { // 3339
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\t␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
		out:  "\t␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
	}, { // 3340
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␉␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
		out:  "␉␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
	}, { // 3341
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\tｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
		out:  "\tｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
	}, { // 3342
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␉ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
		out:  "␉ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
	}, { // 3343
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\tｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ␉",
		out:  "\tｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ‛␉",
	}, { // 3344
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␉ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ␉",
		out:  "␉ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ‛␉",
	}, { // 3345
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[\tμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
		out:  "[\tμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
	}, { // 3346
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
		out:  "[␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\x1f",
	}, { // 3347
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[\tμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
		out:  "[\tμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
	}, { // 3348
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
		out:  "[␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
	}, { // 3349
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[\tμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ␉",
		out:  "[\tμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ‛␉",
	}, { // 3350
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ␉",
		out:  "[␉μx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ‛␉",
	}, { // 3351
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02\t\x1f",
		out:  "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02\t\x1f",
	}, { // 3352
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
		out:  "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉\x1f",
	}, { // 3353
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02\t␉",
		out:  "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02\t‛␉",
	}, { // 3354
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉␉",
		out:  "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02␉‛␉",
	}, { // 3355
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ\t",
		out:  "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ␉",
	}, { // 3356
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ␉",
		out:  "[ｏμx＂\x1aφＫ␝␑\t␈Bρ␔\u007f␁Ｚg［!eＱｍυl[\x02ψ‛␉",
	}, { // 3357
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
		out:  "ψ␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
	}, { // 3358
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\n␊H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
		out:  "\n␊H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
	}, { // 3359
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␊␊H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
		out:  "␊␊H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
	}, { // 3360
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\n␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
		out:  "\n␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
	}, { // 3361
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␊␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
		out:  "␊␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
	}, { // 3362
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\n␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␊",
		out:  "\n␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d‛␊",
	}, { // 3363
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␊␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␊",
		out:  "␊␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d‛␊",
	}, { // 3364
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ\nH\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
		out:  "ψ\nH\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
	}, { // 3365
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␊H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
		out:  "ψ␊H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d␁",
	}, { // 3366
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ\nH\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
		out:  "ψ\nH\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
	}, { // 3367
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␊H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
		out:  "ψ␊H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
	}, { // 3368
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ\nH\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␊",
		out:  "ψ\nH\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d‛␊",
	}, { // 3369
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␊H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␊",
		out:  "ψ␊H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d‛␊",
	}, { // 3370
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\n␁",
		out:  "ψ␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\n␁",
	}, { // 3371
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
		out:  "ψ␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ␊␁",
	}, { // 3372
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\n␊",
		out:  "ψ␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\n‛␊",
	}, { // 3373
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ␊␊",
		out:  "ψ␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ␊‛␊",
	}, { // 3374
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d\n",
		out:  "ψ␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d␊",
	}, { // 3375
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "ψ␑H\x1aＮUａ␟＂␃\noτβ｀;D\x1eθ６ＲgU␍[σιｃ\x1d␊",
		out:  "ψ␑H\x1aＮUａ␟＂␃\noτβ‛｀;D\x1eθ６ＲgU␍[σιｃ\x1d‛␊",
	}, { // 3376
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
		out:  "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
	}, { // 3377
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\v␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
		out:  "\v␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
	}, { // 3378
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␋␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
		out:  "␋␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
	}, { // 3379
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\vＫβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
		out:  "\vＫβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
	}, { // 3380
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␋Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
		out:  "␋Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
	}, { // 3381
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\vＫβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ␋",
		out:  "\vＫβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ‛␋",
	}, { // 3382
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␋Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ␋",
		out:  "␋Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ‛␋",
	}, { // 3383
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，\vβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
		out:  "，\vβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
	}, { // 3384
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
		out:  "，␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\uff00",
	}, { // 3385
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，\vβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
		out:  "，\vβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
	}, { // 3386
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
		out:  "，␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
	}, { // 3387
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，\vβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ␋",
		out:  "，\vβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ‛␋",
	}, { // 3388
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ␋",
		out:  "，␋β␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ‛␋",
	}, { // 3389
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ\v\uff00",
		out:  "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ\v\uff00",
	}, { // 3390
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
		out:  "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋\uff00",
	}, { // 3391
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ\v␋",
		out:  "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ\v‛␋",
	}, { // 3392
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋␋",
		out:  "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σ␋‛␋",
	}, { // 3393
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ\v",
		out:  "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ␋",
	}, { // 3394
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ␋",
		out:  "，Ｋβ␁\x0eVruξ}\v／␁]>␄\x1c␝\x16＂κ0\x12ξＯσ\x03σｋ‛␋",
	}, { // 3395
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
		out:  "3θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
	}, { // 3396
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\r␍Ｐ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
		out:  "\r␍Ｐ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
	}, { // 3397
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␍␍Ｐ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
		out:  "␍␍Ｐ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
	}, { // 3398
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\rθＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
		out:  "\rθＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
	}, { // 3399
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␍θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
		out:  "␍θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
	}, { // 3400
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "\rθＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕␍",
		out:  "\rθＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕‛␍",
	}, { // 3401
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "␍θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕␍",
		out:  "␍θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕‛␍",
	}, { // 3402
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3\rＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
		out:  "3\rＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
	}, { // 3403
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3␍Ｐ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
		out:  "3␍Ｐ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕）",
	}, { // 3404
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3\rＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
		out:  "3\rＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
	}, { // 3405
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3␍Ｐ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
		out:  "3␍Ｐ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
	}, { // 3406
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3\rＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕␍",
		out:  "3\rＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕‛␍",
	}, { // 3407
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3␍Ｐ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕␍",
		out:  "3␍Ｐ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕‛␍",
	}, { // 3408
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜\r）",
		out:  "3θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜\r）",
	}, { // 3409
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
		out:  "3θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍）",
	}, { // 3410
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜\r␍",
		out:  "3θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜\r‛␍",
	}, { // 3411
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍␍",
		out:  "3θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␍‛␍",
	}, { // 3412
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕\r",
		out:  "3θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕␍",
	}, { // 3413
		mask: EncodeBackQuote | EncodeRightCrLfHtVt,
		in:   "3θＰ\x11π`ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕␍",
		out:  "3θＰ\x11π｀ψ＃Gs\r/.\rξ＞␍＿＃ｋ:␓\x0eＲψ\vα｜␕‛␍",
	}, { // 3414
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
		out:  "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
	}, { // 3415
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\t␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
		out:  "\t␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
	}, { // 3416
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␉␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
		out:  "␉␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
	}, { // 3417
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\t␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
		out:  "\t␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
	}, { // 3418
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␉␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
		out:  "␉␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
	}, { // 3419
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\t␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι␉",
		out:  "\t␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι‛␉",
	}, { // 3420
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␉␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι␉",
		out:  "␉␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι‛␉",
	}, { // 3421
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s\tｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
		out:  "s\tｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
	}, { // 3422
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
		out:  "s␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φιｍ",
	}, { // 3423
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s\tｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
		out:  "s\tｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
	}, { // 3424
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
		out:  "s␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
	}, { // 3425
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s\tｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι␉",
		out:  "s\tｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι‛␉",
	}, { // 3426
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι␉",
		out:  "s␉ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι‛␉",
	}, { // 3427
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ\tｍ",
		out:  "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ\tｍ",
	}, { // 3428
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
		out:  "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉ｍ",
	}, { // 3429
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ\t␉",
		out:  "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ\t‛␉",
	}, { // 3430
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉␉",
		out:  "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φ␉‛␉",
	}, { // 3431
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι\t",
		out:  "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι␉",
	}, { // 3432
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι␉",
		out:  "s␊ｚZ＄９＇φ／}\tq\x1e，βμ\u007f％;５c\x05%␒φ␑:φι‛␉",
	}, { // 3433
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
		out:  "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
	}, { // 3434
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\n␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
		out:  "\n␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
	}, { // 3435
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␊␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
		out:  "␊␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
	}, { // 3436
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\n␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
		out:  "\n␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
	}, { // 3437
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␊␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
		out:  "␊␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
	}, { // 3438
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\n␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ␊",
		out:  "\n␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ‛␊",
	}, { // 3439
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␊␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ␊",
		out:  "␊␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ‛␊",
	}, { // 3440
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e\n;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
		out:  "\x0e\n;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
	}, { // 3441
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
		out:  "\x0e␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ%",
	}, { // 3442
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e\n;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
		out:  "\x0e\n;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
	}, { // 3443
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
		out:  "\x0e␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
	}, { // 3444
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e\n;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ␊",
		out:  "\x0e\n;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ‛␊",
	}, { // 3445
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ␊",
		out:  "\x0e␊;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ‛␊",
	}, { // 3446
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν\n%",
		out:  "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν\n%",
	}, { // 3447
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
		out:  "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊%",
	}, { // 3448
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν\n␊",
		out:  "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν\n‛␊",
	}, { // 3449
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊␊",
		out:  "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jν␊‛␊",
	}, { // 3450
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ\n",
		out:  "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ␊",
	}, { // 3451
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ␊",
		out:  "\x0e␄;'|␒ψαβ\a\nＪ␓Ｑ␙［\n\x13␜＊τ６?~U␊jντ‛␊",
	}, { // 3452
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␏",
		out:  "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ␏",
	}, { // 3453
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\v␋␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␏",
		out:  "\v␋␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ␏",
	}, { // 3454
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␋␋␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␏",
		out:  "␋␋␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ␏",
	}, { // 3455
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\v\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪα␋␏",
		out:  "\v\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪα␋␏",
	}, { // 3456
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␋\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪα␋␏",
		out:  "␋\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪα␋␏",
	}, { // 3457
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\v\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␋",
		out:  "\v\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ‛␋",
	}, { // 3458
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␋\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␋",
		out:  "␋\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ‛␋",
	}, { // 3459
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\v␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␏",
		out:  "＂\v␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ␏",
	}, { // 3460
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂␋␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␏",
		out:  "＂␋␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ␏",
	}, { // 3461
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\v␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪα␋␏",
		out:  "＂\v␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪα␋␏",
	}, { // 3462
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂␋␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪα␋␏",
		out:  "＂␋␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪα␋␏",
	}, { // 3463
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\v␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␋",
		out:  "＂\v␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ‛␋",
	}, { // 3464
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂␋␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␋",
		out:  "＂␋␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ‛␋",
	}, { // 3465
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪα\v␏",
		out:  "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪα\v␏",
	}, { // 3466
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪα␋␏",
		out:  "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪα␋␏",
	}, { // 3467
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪα\v␋",
		out:  "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪα\v‛␋",
	}, { // 3468
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪα␋␋",
		out:  "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪα␋‛␋",
	}, { // 3469
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ\v",
		out:  "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ␋",
	}, { // 3470
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/\x00ＧβO␡\x1eiXＪαＫ␋",
		out:  "＂\\␒％γξν／［\x01\vＮπ＊\x16|n/␀ＧβO␡\x1eiXＪαＫ‛␋",
	}, { // 3471
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α（",
		out:  "[dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α（",
	}, { // 3472
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\r␍ψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α（",
		out:  "\r␍ψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α（",
	}, { // 3473
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␍␍ψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α（",
		out:  "␍␍ψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α（",
	}, { // 3474
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\rdψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<␍（",
		out:  "\rdψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜␍（",
	}, { // 3475
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␍dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<␍（",
		out:  "␍dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜␍（",
	}, { // 3476
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "\rdψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α␍",
		out:  "\rdψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α‛␍",
	}, { // 3477
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "␍dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α␍",
		out:  "␍dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α‛␍",
	}, { // 3478
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[\rψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α（",
		out:  "[\rψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α（",
	}, { // 3479
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[␍ψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α（",
		out:  "[␍ψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α（",
	}, { // 3480
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[\rψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<␍（",
		out:  "[\rψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜␍（",
	}, { // 3481
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[␍ψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<␍（",
		out:  "[␍ψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜␍（",
	}, { // 3482
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[\rψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α␍",
		out:  "[\rψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α‛␍",
	}, { // 3483
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[␍ψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α␍",
		out:  "[␍ψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α‛␍",
	}, { // 3484
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<\r（",
		out:  "[dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜\r（",
	}, { // 3485
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<␍（",
		out:  "[dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜␍（",
	}, { // 3486
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<\r␍",
		out:  "[dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜\r‛␍",
	}, { // 3487
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<␍␍",
		out:  "[dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜␍‛␍",
	}, { // 3488
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α\r",
		out:  "[dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α␍",
	}, { // 3489
		mask: EncodeLtGt | EncodeRightCrLfHtVt,
		in:   "[dψ␗η\x0f\x0f\x18>␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G<α␍",
		out:  "[dψ␗η\x0f\x0f\x18＞␘\r\v\nκｃ\"＾␎␓␗η3Ｊ６ｒ［G＜α‛␍",
	}, { // 3490
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␐",
		out:  "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ␐",
	}, { // 3491
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\t␉*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␐",
		out:  "\t␉*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ␐",
	}, { // 3492
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␉␉*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␐",
		out:  "␉␉*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ␐",
	}, { // 3493
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\t％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>w␉␐",
		out:  "\t％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>w␉␐",
	}, { // 3494
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␉％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>w␉␐",
		out:  "␉％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>w␉␐",
	}, { // 3495
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\t％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␉",
		out:  "\t％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ‛␉",
	}, { // 3496
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␉％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␉",
		out:  "␉％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ‛␉",
	}, { // 3497
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄\t*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␐",
		out:  "＄\t*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ␐",
	}, { // 3498
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄␉*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␐",
		out:  "＄␉*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ␐",
	}, { // 3499
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄\t*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>w␉␐",
		out:  "＄\t*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>w␉␐",
	}, { // 3500
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄␉*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>w␉␐",
		out:  "＄␉*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>w␉␐",
	}, { // 3501
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄\t*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␉",
		out:  "＄\t*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ‛␉",
	}, { // 3502
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄␉*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␉",
		out:  "＄␉*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ‛␉",
	}, { // 3503
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>w\t␐",
		out:  "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>w\t␐",
	}, { // 3504
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>w␉␐",
		out:  "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>w␉␐",
	}, { // 3505
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>w\t␉",
		out:  "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>w\t‛␉",
	}, { // 3506
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>w␉␉",
		out:  "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>w␉‛␉",
	}, { // 3507
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ\t",
		out:  "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ␉",
	}, { // 3508
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒\x00␍ｒμ｜\a\x16γm␆>wχ␉",
		out:  "＄％*\x02␗\u007fｍ>χρ\txνqＡ␒␀␍ｒμ｜\a\x16γm␆>wχ‛␉",
	}, { // 3509
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉M",
		out:  "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉M",
	}, { // 3510
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\n␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉M",
		out:  "\n␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉M",
	}, { // 3511
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␊␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉M",
		out:  "␊␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉M",
	}, { // 3512
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\nＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␊M",
		out:  "\nＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␊M",
	}, { // 3513
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␊Ｇ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␊M",
		out:  "␊Ｇ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␊M",
	}, { // 3514
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\nＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉␊",
		out:  "\nＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉‛␊",
	}, { // 3515
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␊Ｇ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉␊",
		out:  "␊Ｇ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉‛␊",
	}, { // 3516
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χ\n_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉M",
		out:  "χ\n_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉M",
	}, { // 3517
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χ␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉M",
		out:  "χ␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉M",
	}, { // 3518
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χ\n_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␊M",
		out:  "χ\n_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␊M",
	}, { // 3519
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χ␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␊M",
		out:  "χ␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␊M",
	}, { // 3520
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χ\n_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉␊",
		out:  "χ\n_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉‛␊",
	}, { // 3521
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χ␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉␊",
		out:  "χ␊_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉‛␊",
	}, { // 3522
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ\nM",
		out:  "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ\nM",
	}, { // 3523
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␊M",
		out:  "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␊M",
	}, { // 3524
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ\n␊",
		out:  "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ\n‛␊",
	}, { // 3525
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␊␊",
		out:  "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␊‛␊",
	}, { // 3526
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉\n",
		out:  "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉␊",
	}, { // 3527
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'\x00Ｇ␉␊",
		out:  "χＧ_␝\bFＤ\x0fτε\n␁βｉ␑fｔ␈θKσ\nl\x0e＃'␀Ｇ␉‛␊",
	}, { // 3528
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
		out:  "␍ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
	}, { // 3529
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\v␋j１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
		out:  "\v␋j１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
	}, { // 3530
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␋␋j１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
		out:  "␋␋j１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
	}, { // 3531
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\vωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
		out:  "\vωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
	}, { // 3532
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␋ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
		out:  "␋ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
	}, { // 3533
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\vωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr␋",
		out:  "\vωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr‛␋",
	}, { // 3534
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␋ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr␋",
		out:  "␋ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr‛␋",
	}, { // 3535
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍\vj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
		out:  "␍\vj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
	}, { // 3536
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍␋j１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
		out:  "␍␋j１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr６",
	}, { // 3537
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍\vj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
		out:  "␍\vj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
	}, { // 3538
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍␋j１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
		out:  "␍␋j１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
	}, { // 3539
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍\vj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr␋",
		out:  "␍\vj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr‛␋",
	}, { // 3540
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍␋j１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr␋",
		out:  "␍␋j１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr‛␋",
	}, { // 3541
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f\v６",
		out:  "␍ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f\v６",
	}, { // 3542
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
		out:  "␍ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋６",
	}, { // 3543
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f\v␋",
		out:  "␍ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f\v‛␋",
	}, { // 3544
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋␋",
		out:  "␍ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\f␋‛␋",
	}, { // 3545
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr\v",
		out:  "␍ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr␋",
	}, { // 3546
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍ωj１␜␖ε[\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr␋",
		out:  "␍ωj１␜␖ε［\"｛\v<ｘ\x1cN\t＃\x10Aγψλ～δ␛^＼\fr‛␋",
	}, { // 3547
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01\r",
		out:  "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01␍",
	}, { // 3548
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\r␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01\r",
		out:  "\r␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01␍",
	}, { // 3549
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01\r",
		out:  "␍␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01␍",
	}, { // 3550
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\rγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ␍\r",
		out:  "\rγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ␍␍",
	}, { // 3551
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍γ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ␍\r",
		out:  "␍γ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ␍␍",
	}, { // 3552
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "\rγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01␍",
		out:  "\rγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01‛␍",
	}, { // 3553
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "␍γ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01␍",
		out:  "␍γ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01‛␍",
	}, { // 3554
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "α\r␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01\r",
		out:  "α\r␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01␍",
	}, { // 3555
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "α␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01\r",
		out:  "α␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01␍",
	}, { // 3556
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "α\r␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ␍\r",
		out:  "α\r␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ␍␍",
	}, { // 3557
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "α␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ␍\r",
		out:  "α␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ␍␍",
	}, { // 3558
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "α\r␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01␍",
		out:  "α\r␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01‛␍",
	}, { // 3559
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "α␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01␍",
		out:  "α␍␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01‛␍",
	}, { // 3560
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\r\r",
		out:  "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\r␍",
	}, { // 3561
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ␍\r",
		out:  "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ␍␍",
	}, { // 3562
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\r␍",
		out:  "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\r‛␍",
	}, { // 3563
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ␍␍",
		out:  "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ␍‛␍",
	}, { // 3564
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01\r",
		out:  "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01␍",
	}, { // 3565
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt,
		in:   "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁␀＞τμ（ｘμｇ\x01␍",
		out:  "αγ␚k␖<ε\vＪＤ\r``？ａ.*_\n␁‛␀＞τμ（ｘμｇ\x01‛␍",
	}, { // 3566
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
		out:  "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
	}, { // 3567
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\t␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
		out:  "\t␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
	}, { // 3568
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␉␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
		out:  "␉␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
	}, { // 3569
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\tg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
		out:  "\tg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
	}, { // 3570
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␉g３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
		out:  "␉g３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
	}, { // 3571
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\tg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␉",
		out:  "\tg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ‛␉",
	}, { // 3572
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␉g３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␉",
		out:  "␉g３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ‛␉",
	}, { // 3573
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρ\t３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
		out:  "ρ\t３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
	}, { // 3574
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρ␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
		out:  "ρ␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␌",
	}, { // 3575
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρ\t３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
		out:  "ρ\t３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
	}, { // 3576
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρ␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
		out:  "ρ␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
	}, { // 3577
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρ\t３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␉",
		out:  "ρ\t３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ‛␉",
	}, { // 3578
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρ␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␉",
		out:  "ρ␉３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ‛␉",
	}, { // 3579
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ\t␌",
		out:  "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ\t␌",
	}, { // 3580
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
		out:  "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␌",
	}, { // 3581
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ\t␉",
		out:  "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ\t‛␉",
	}, { // 3582
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉␉",
		out:  "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏ␉‛␉",
	}, { // 3583
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ\t",
		out:  "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␉",
	}, { // 3584
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ␉",
		out:  "ρg３ρ\avＵ\x1d\bｔ\t＇ω␍:λ＊}6Ｎ\x12␈％<eξιｏZ‛␉",
	}, { // 3585
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
		out:  "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
	}, { // 3586
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\n␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
		out:  "\n␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
	}, { // 3587
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␊␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
		out:  "␊␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
	}, { // 3588
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\nνπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
		out:  "\nνπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
	}, { // 3589
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␊νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
		out:  "␊νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
	}, { // 3590
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\nνπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇␊",
		out:  "\nνπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇‛␊",
	}, { // 3591
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␊νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇␊",
		out:  "␊νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇‛␊",
	}, { // 3592
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄\nπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
		out:  "＄\nπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
	}, { // 3593
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
		out:  "＄␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\x06",
	}, { // 3594
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄\nπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
		out:  "＄\nπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
	}, { // 3595
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
		out:  "＄␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
	}, { // 3596
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄\nπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇␊",
		out:  "＄\nπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇‛␊",
	}, { // 3597
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇␊",
		out:  "＄␊πＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇‛␊",
	}, { // 3598
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ\n\x06",
		out:  "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ\n\x06",
	}, { // 3599
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
		out:  "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊\x06",
	}, { // 3600
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ\n␊",
		out:  "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ\n‛␊",
	}, { // 3601
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊␊",
		out:  "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ␊‛␊",
	}, { // 3602
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇\n",
		out:  "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇␊",
	}, { // 3603
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇␊",
		out:  "＄νπＤ7n{␇R␃\n\x10^χ\x11ｌβ␍\x0e!｜␆Ｕε␘#\fｙ＇‛␊",
	}, { // 3604
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14\x17",
		out:  "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14\x17",
	}, { // 3605
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\v␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14\x17",
		out:  "\v␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14\x17",
	}, { // 3606
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␋␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14\x17",
		out:  "␋␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14\x17",
	}, { // 3607
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\v｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b␋\x17",
		out:  "\v｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b␋\x17",
	}, { // 3608
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␋｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b␋\x17",
		out:  "␋｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b␋\x17",
	}, { // 3609
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\v｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14␋",
		out:  "\v｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14‛␋",
	}, { // 3610
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␋｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14␋",
		out:  "␋｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14‛␋",
	}, { // 3611
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w\v９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14\x17",
		out:  "w\v９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14\x17",
	}, { // 3612
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14\x17",
		out:  "w␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14\x17",
	}, { // 3613
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w\v９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b␋\x17",
		out:  "w\v９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b␋\x17",
	}, { // 3614
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b␋\x17",
		out:  "w␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b␋\x17",
	}, { // 3615
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w\v９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14␋",
		out:  "w\v９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14‛␋",
	}, { // 3616
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14␋",
		out:  "w␋９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14‛␋",
	}, { // 3617
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\v\x17",
		out:  "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\v\x17",
	}, { // 3618
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b␋\x17",
		out:  "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b␋\x17",
	}, { // 3619
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\v␋",
		out:  "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\v‛␋",
	}, { // 3620
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b␋␋",
		out:  "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b␋‛␋",
	}, { // 3621
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14\v",
		out:  "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14␋",
	}, { // 3622
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ;&␈｜２ζ␛j*\b\x14␋",
		out:  "w｀９2w␟]ωｆρ\vβｔ＄Ａμ@γ；&␈｜２ζ␛j*\b\x14‛␋",
	}, { // 3623
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
		out:  "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
	}, { // 3624
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\r␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
		out:  "\r␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
	}, { // 3625
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␍␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
		out:  "␍␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
	}, { // 3626
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\r5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
		out:  "\r5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
	}, { // 3627
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␍5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
		out:  "␍5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
	}, { // 3628
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "\r5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16␍",
		out:  "\r5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16‛␍",
	}, { // 3629
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␍5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16␍",
		out:  "␍5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16‛␍",
	}, { // 3630
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝\r６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
		out:  "␝\r６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
	}, { // 3631
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
		out:  "␝␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16＋",
	}, { // 3632
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝\r６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
		out:  "␝\r６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
	}, { // 3633
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
		out:  "␝␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
	}, { // 3634
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝\r６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16␍",
		out:  "␝\r６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16‛␍",
	}, { // 3635
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16␍",
		out:  "␝␍６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16‛␍",
	}, { // 3636
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\r＋",
		out:  "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\r＋",
	}, { // 3637
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
		out:  "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍＋",
	}, { // 3638
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\r␍",
		out:  "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\r‛␍",
	}, { // 3639
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍␍",
		out:  "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ␍‛␍",
	}, { // 3640
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16\r",
		out:  "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16␍",
	}, { // 3641
		mask: EncodeSemicolon | EncodeRightCrLfHtVt,
		in:   "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16␍",
		out:  "␝5６␖！\x13T%\x18|\r␘\aＭ＄5!w\vρχι␅α␗␃６ρ\x16‛␍",
	}, { // 3642
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
		out:  "κθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
	}, { // 3643
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\t␉␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
		out:  "\t␉␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
	}, { // 3644
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␉␉␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
		out:  "␉␉␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
	}, { // 3645
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
		out:  "\tθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
	}, { // 3646
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␉θ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
		out:  "␉θ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
	}, { // 3647
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\tθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ␉",
		out:  "\tθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ‛␉",
	}, { // 3648
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␉θ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ␉",
		out:  "␉θ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ‛␉",
	}, { // 3649
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κ\t␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
		out:  "κ\t␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
	}, { // 3650
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κ␉␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
		out:  "κ␉␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγθ",
	}, { // 3651
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κ\t␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
		out:  "κ\t␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
	}, { // 3652
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κ␉␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
		out:  "κ␉␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
	}, { // 3653
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κ\t␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ␉",
		out:  "κ\t␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ‛␉",
	}, { // 3654
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κ␉␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ␉",
		out:  "κ␉␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ‛␉",
	}, { // 3655
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f\tθ",
		out:  "κθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f\tθ",
	}, { // 3656
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
		out:  "κθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉θ",
	}, { // 3657
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f\t␉",
		out:  "κθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f\t‛␉",
	}, { // 3658
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉␉",
		out:  "κθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007f␉‛␉",
	}, { // 3659
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ\t",
		out:  "κθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ␉",
	}, { // 3660
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "κθ␑X（Z␏ｘ＋\x16\t$χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ␉",
		out:  "κθ␑X（Z␏ｘ＋\x16\t＄χ␁θ\x0eｇ␋\n?／（q／ｑ&P\u007fγ‛␉",
	}, { // 3661
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ\n",
		out:  "\\Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
	}, { // 3662
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\n␊＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ\n",
		out:  "\n␊＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
	}, { // 3663
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␊␊＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ\n",
		out:  "␊␊＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
	}, { // 3664
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\nQ＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊\n",
		out:  "\nQ＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊␊",
	}, { // 3665
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␊Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊\n",
		out:  "␊Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊␊",
	}, { // 3666
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\nQ＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
		out:  "\nQ＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ‛␊",
	}, { // 3667
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␊Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
		out:  "␊Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ‛␊",
	}, { // 3668
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\\n＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ\n",
		out:  "\\\n＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
	}, { // 3669
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\␊＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ\n",
		out:  "\\␊＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
	}, { // 3670
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\\n＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊\n",
		out:  "\\\n＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊␊",
	}, { // 3671
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\␊＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊\n",
		out:  "\\␊＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊␊",
	}, { // 3672
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\\n＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
		out:  "\\\n＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ‛␊",
	}, { // 3673
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\␊＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
		out:  "\\␊＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ‛␊",
	}, { // 3674
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑\n\n",
		out:  "\\Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑\n␊",
	}, { // 3675
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊\n",
		out:  "\\Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊␊",
	}, { // 3676
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑\n␊",
		out:  "\\Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑\n‛␊",
	}, { // 3677
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊␊",
		out:  "\\Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑␊‛␊",
	}, { // 3678
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ\n",
		out:  "\\Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
	}, { // 3679
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\\Q＆εχ␉/␗$Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ␊",
		out:  "\\Q＆εχ␉/␗＄Ｉ\nlθ＋λ>［␟｜yδ␕\x11;ＷN２␑φ‛␊",
	}, { // 3680
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
		out:  "ｇλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
	}, { // 3681
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\v␋␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
		out:  "\v␋␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
	}, { // 3682
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␋␋␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
		out:  "␋␋␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
	}, { // 3683
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\vλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
		out:  "\vλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
	}, { // 3684
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␋λ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
		out:  "␋λ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
	}, { // 3685
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\vλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂␋",
		out:  "\vλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂‛␋",
	}, { // 3686
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␋λ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂␋",
		out:  "␋λ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂‛␋",
	}, { // 3687
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇ\v␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
		out:  "ｇ\v␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
	}, { // 3688
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇ␋␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
		out:  "ｇ␋␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\x03",
	}, { // 3689
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇ\v␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
		out:  "ｇ\v␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
	}, { // 3690
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇ␋␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
		out:  "ｇ␋␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
	}, { // 3691
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇ\v␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂␋",
		out:  "ｇ\v␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂‛␋",
	}, { // 3692
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇ␋␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂␋",
		out:  "ｇ␋␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂‛␋",
	}, { // 3693
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[\v\x03",
		out:  "ｇλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[\v\x03",
	}, { // 3694
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
		out:  "ｇλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋\x03",
	}, { // 3695
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[\v␋",
		out:  "ｇλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[\v‛␋",
	}, { // 3696
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋␋",
		out:  "ｇλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[␋‛␋",
	}, { // 3697
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂\v",
		out:  "ｇλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂␋",
	}, { // 3698
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "ｇλ␡5＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂␋",
		out:  "ｇλ␡5‛＄␙|\x01ｃ７\vl＇＂␑?\x15ς/bιβχ[\bＰμ[＂‛␋",
	}, { // 3699
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
		out:  "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
	}, { // 3700
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\r␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
		out:  "\r␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
	}, { // 3701
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␍␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
		out:  "␍␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
	}, { // 3702
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\r！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
		out:  "\r！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
	}, { // 3703
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␍！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
		out:  "␍！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
	}, { // 3704
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "\r！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[␍",
		out:  "\r！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[‛␍",
	}, { // 3705
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␍！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[␍",
		out:  "␍！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[‛␍",
	}, { // 3706
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚\r４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
		out:  "␚\r４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
	}, { // 3707
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
		out:  "␚␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[5",
	}, { // 3708
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚\r４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
		out:  "␚\r４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
	}, { // 3709
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
		out:  "␚␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
	}, { // 3710
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚\r４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[␍",
		out:  "␚\r４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[‛␍",
	}, { // 3711
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[␍",
		out:  "␚␍４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[‛␍",
	}, { // 3712
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα\r5",
		out:  "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα\r5",
	}, { // 3713
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
		out:  "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍5",
	}, { // 3714
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα\r␍",
		out:  "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα\r‛␍",
	}, { // 3715
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍␍",
		out:  "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα␍‛␍",
	}, { // 3716
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[\r",
		out:  "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[␍",
	}, { // 3717
		mask: EncodeDollar | EncodeRightCrLfHtVt,
		in:   "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[␍",
		out:  "␚！４κ［\x18=｝\x0e？\rχ␑\x1bｚ\b␚␕J~χFＸ\x1cνι\x1fα[‛␍",
	}, { // 3718
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
		out:  "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
	}, { // 3719
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\t␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
		out:  "\t␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
	}, { // 3720
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␉␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
		out:  "␉␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
	}, { // 3721
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\tιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
		out:  "\tιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
	}, { // 3722
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␉ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
		out:  "␉ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
	}, { // 3723
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\tιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c␉",
		out:  "\tιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c‛␉",
	}, { // 3724
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␉ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c␉",
		out:  "␉ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c‛␉",
	}, { // 3725
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜\tＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
		out:  "＜\tＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
	}, { // 3726
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
		out:  "＜␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17cω",
	}, { // 3727
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜\tＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
		out:  "＜\tＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
	}, { // 3728
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
		out:  "＜␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
	}, { // 3729
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜\tＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c␉",
		out:  "＜\tＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c‛␉",
	}, { // 3730
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c␉",
		out:  "＜␉Ａζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c‛␉",
	}, { // 3731
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17\tω",
		out:  "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17\tω",
	}, { // 3732
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
		out:  "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉ω",
	}, { // 3733
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17\t␉",
		out:  "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17\t‛␉",
	}, { // 3734
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉␉",
		out:  "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17␉‛␉",
	}, { // 3735
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c\t",
		out:  "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c␉",
	}, { // 3736
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c␉",
		out:  "＜ιＡζ;\x1d'？A␓\tγ#␈Ｚ0ＳＴ?ｊ\x15＼＄：β`φ\x17c‛␉",
	}, { // 3737
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
		out:  "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
	}, { // 3738
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\n␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
		out:  "\n␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
	}, { // 3739
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␊␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
		out:  "␊␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
	}, { // 3740
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\n␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
		out:  "\n␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
	}, { // 3741
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␊␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
		out:  "␊␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
	}, { // 3742
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\n␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a␊",
		out:  "\n␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a‛␊",
	}, { // 3743
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␊␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a␊",
		out:  "␊␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a‛␊",
	}, { // 3744
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ\n\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
		out:  "Ｓ\n\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
	}, { // 3745
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
		out:  "Ｓ␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a+",
	}, { // 3746
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ\n\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
		out:  "Ｓ\n\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
	}, { // 3747
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
		out:  "Ｓ␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
	}, { // 3748
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ\n\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a␊",
		out:  "Ｓ\n\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a‛␊",
	}, { // 3749
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a␊",
		out:  "Ｓ␊\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a‛␊",
	}, { // 3750
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\n+",
		out:  "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\n+",
	}, { // 3751
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
		out:  "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊+",
	}, { // 3752
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\n␊",
		out:  "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\n‛␊",
	}, { // 3753
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊␊",
		out:  "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ␊‛␊",
	}, { // 3754
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a\n",
		out:  "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a␊",
	}, { // 3755
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a␊",
		out:  "Ｓ␓\x18\t␌＿*υRｂ\n␊^％h\x17ν␅␕ι//ι；@␘８ζ\a‛␊",
	}, { // 3756
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
		out:  "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
	}, { // 3757
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\v␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
		out:  "\v␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
	}, { // 3758
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␋␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
		out:  "␋␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
	}, { // 3759
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\vδs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
		out:  "\vδs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
	}, { // 3760
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␋δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
		out:  "␋δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
	}, { // 3761
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\vδs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！␋",
		out:  "\vδs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！‛␋",
	}, { // 3762
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␋δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！␋",
		out:  "␋δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！‛␋",
	}, { // 3763
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４\vs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
		out:  "４\vs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
	}, { // 3764
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
		out:  "４␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！ψ",
	}, { // 3765
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４\vs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
		out:  "４\vs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
	}, { // 3766
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
		out:  "４␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
	}, { // 3767
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４\vs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！␋",
		out:  "４\vs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！‛␋",
	}, { // 3768
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！␋",
		out:  "４␋s：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！‛␋",
	}, { // 3769
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏\vψ",
		out:  "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏\vψ",
	}, { // 3770
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
		out:  "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋ψ",
	}, { // 3771
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏\v␋",
		out:  "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏\v‛␋",
	}, { // 3772
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋␋",
		out:  "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏␋‛␋",
	}, { // 3773
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！\v",
		out:  "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！␋",
	}, { // 3774
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！␋",
		out:  "４δs：\x14\b\nα\x1b`\vσω␕）Ｑυu␒［Jdｗ%ｓ␟o␏！‛␋",
	}, { // 3775
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␒",
		out:  "［.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛␒",
	}, { // 3776
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\r␍␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␒",
		out:  "\r␍␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛␒",
	}, { // 3777
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␍␍␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␒",
		out:  "␍␍␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛␒",
	}, { // 3778
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\r.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C␍␒",
		out:  "\r.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C␍␒",
	}, { // 3779
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␍.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C␍␒",
		out:  "␍.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C␍␒",
	}, { // 3780
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "\r.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␍",
		out:  "\r.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛‛␍",
	}, { // 3781
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "␍.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␍",
		out:  "␍.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛‛␍",
	}, { // 3782
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［\r␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␒",
		out:  "［\r␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛␒",
	}, { // 3783
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［␍␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␒",
		out:  "［␍␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛␒",
	}, { // 3784
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［\r␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C␍␒",
		out:  "［\r␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C␍␒",
	}, { // 3785
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［␍␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C␍␒",
		out:  "［␍␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C␍␒",
	}, { // 3786
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［\r␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␍",
		out:  "［\r␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛‛␍",
	}, { // 3787
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［␍␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␍",
		out:  "［␍␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛‛␍",
	}, { // 3788
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C\r␒",
		out:  "［.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C\r␒",
	}, { // 3789
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C␍␒",
		out:  "［.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C␍␒",
	}, { // 3790
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C\r␍",
		out:  "［.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C\r‛␍",
	}, { // 3791
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C␍␍",
		out:  "［.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C␍‛␍",
	}, { // 3792
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛\r",
		out:  "［.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛␍",
	}, { // 3793
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt,
		in:   "［.␋\x1e?\x02χK␍\r\r\x00８␡ε&τζο3\x0eπａ␊␚ｄ＂C｛␍",
		out:  "［.␋\x1e?\x02χK␍\r\r␀８␡ε&τζο3\x0eπａ␊␚ｄ‛＂C｛‛␍",
	}, { // 3794
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "DςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
		out:  "DςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
	}, { // 3795
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\t␉Ur␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
		out:  "\t␉Ur␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
	}, { // 3796
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␉␉Ur␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
		out:  "␉␉Ur␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
	}, { // 3797
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\tςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
		out:  "\tςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
	}, { // 3798
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␉ςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
		out:  "␉ςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
	}, { // 3799
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\tςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ␉",
		out:  "\tςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ‛␉",
	}, { // 3800
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␉ςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ␉",
		out:  "␉ςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ‛␉",
	}, { // 3801
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "D\tUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
		out:  "D\tUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
	}, { // 3802
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "D␉Ur␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
		out:  "D␉Ur␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβδ",
	}, { // 3803
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "D\tUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
		out:  "D\tUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
	}, { // 3804
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "D␉Ur␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
		out:  "D␉Ur␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
	}, { // 3805
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "D\tUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ␉",
		out:  "D\tUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ‛␉",
	}, { // 3806
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "D␉Ur␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ␉",
		out:  "D␉Ur␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ‛␉",
	}, { // 3807
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "DςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ\tδ",
		out:  "DςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ\tδ",
	}, { // 3808
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "DςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
		out:  "DςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉δ",
	}, { // 3809
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "DςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ\t␉",
		out:  "DςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ\t‛␉",
	}, { // 3810
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "DςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉␉",
		out:  "DςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨ␉‛␉",
	}, { // 3811
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "DςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ\t",
		out:  "DςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ␉",
	}, { // 3812
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "DςUr␝;␉\x19␓␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ␉",
		out:  "DςUr␝;␉\x19␓‛␀\tδλ$ｕＮ7/ψＤ９\x0e\x1c#*␛ＳＨβ‛␉",
	}, { // 3813
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␉",
		out:  "Ｃγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␉",
	}, { // 3814
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\n␊！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␉",
		out:  "\n␊！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␉",
	}, { // 3815
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␊␊！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␉",
		out:  "␊␊！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␉",
	}, { // 3816
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\nγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊␉",
		out:  "\nγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊‛␉",
	}, { // 3817
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␊γ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊␉",
		out:  "␊γ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊‛␉",
	}, { // 3818
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\nγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␊",
		out:  "\nγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␊",
	}, { // 3819
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␊γ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␊",
		out:  "␊γ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␊",
	}, { // 3820
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃ\n！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␉",
		out:  "Ｃ\n！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␉",
	}, { // 3821
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃ␊！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␉",
		out:  "Ｃ␊！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␉",
	}, { // 3822
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃ\n！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊␉",
		out:  "Ｃ\n！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊‛␉",
	}, { // 3823
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃ␊！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊␉",
		out:  "Ｃ␊！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊‛␉",
	}, { // 3824
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃ\n！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␊",
		out:  "Ｃ\n！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␊",
	}, { // 3825
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃ␊！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␊",
		out:  "Ｃ␊！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␊",
	}, { // 3826
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒\n␉",
		out:  "Ｃγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒\n‛␉",
	}, { // 3827
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊␉",
		out:  "Ｃγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊‛␉",
	}, { // 3828
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒\n␊",
		out:  "Ｃγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒\n‛␊",
	}, { // 3829
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊␊",
		out:  "Ｃγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒␊‛␊",
	}, { // 3830
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４\n",
		out:  "Ｃγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␊",
	}, { // 3831
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "Ｃγ！\x1e\r\b:B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４␊",
		out:  "Ｃγ！\x1e\r\b：B␚ρ\n[n>！τｑ＂π＊]\x04\vδ␂３α␒４‛␊",
	}, { // 3832
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
		out:  "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
	}, { // 3833
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\v␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
		out:  "\v␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
	}, { // 3834
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␋␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
		out:  "␋␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
	}, { // 3835
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\vＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
		out:  "\vＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
	}, { // 3836
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␋Ｍ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
		out:  "␋Ｍ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
	}, { // 3837
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\vＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜␋",
		out:  "\vＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜‛␋",
	}, { // 3838
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␋Ｍ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜␋",
		out:  "␋Ｍ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜‛␋",
	}, { // 3839
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γ\v]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
		out:  "γ\v]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
	}, { // 3840
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γ␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
		out:  "γ␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜β",
	}, { // 3841
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γ\v]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
		out:  "γ\v]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
	}, { // 3842
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γ␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
		out:  "γ␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
	}, { // 3843
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γ\v]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜␋",
		out:  "γ\v]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜‛␋",
	}, { // 3844
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γ␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜␋",
		out:  "γ␋]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜‛␋",
	}, { // 3845
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ\vβ",
		out:  "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ\vβ",
	}, { // 3846
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
		out:  "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋β",
	}, { // 3847
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ\v␋",
		out:  "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ\v‛␋",
	}, { // 3848
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋␋",
		out:  "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ␋‛␋",
	}, { // 3849
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜\v",
		out:  "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜␋",
	}, { // 3850
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜␋",
		out:  "γＭ]\x11λ．␄１\x1cI\vκ\x10ι\x10πXＢ␘\x1f ＄C␒％＊6ｋ＜‛␋",
	}, { // 3851
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3852
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\r␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "\r␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3853
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␍␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "␍␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3854
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\rδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "\rδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3855
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␍δ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "␍δ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3856
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "\rδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍␍",
		out:  "\rδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍‛␍",
	}, { // 3857
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "␍δ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍␍",
		out:  "␍δ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍‛␍",
	}, { // 3858
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υ\r\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "υ\r\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3859
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υ␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "υ␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3860
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υ\r\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "υ\r\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3861
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υ␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "υ␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3862
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υ\r\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍␍",
		out:  "υ\r\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍‛␍",
	}, { // 3863
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υ␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍␍",
		out:  "υ␍\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍‛␍",
	}, { // 3864
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ\r／",
		out:  "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ\r／",
	}, { // 3865
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
		out:  "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍／",
	}, { // 3866
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ\r␍",
		out:  "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ\r‛␍",
	}, { // 3867
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍␍",
		out:  "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍‛␍",
	}, { // 3868
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍\r",
		out:  "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍␍",
	}, { // 3869
		mask: EncodeColon | EncodeRightCrLfHtVt,
		in:   "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍␍",
		out:  "υδ\x18\x05＂Uρο\x159\r\x02L＠V＃u\x04＼␂＆＃σｚ\x1c1αＤ␍‛␍",
	}, { // 3870
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
		out:  "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
	}, { // 3871
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\t␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
		out:  "\t␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
	}, { // 3872
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␉␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
		out:  "␉␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
	}, { // 3873
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\t\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
		out:  "\t\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
	}, { // 3874
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␉\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
		out:  "␉\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
	}, { // 3875
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\t\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]␉",
		out:  "\t\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]‛␉",
	}, { // 3876
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␉\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]␉",
		out:  "␉\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]‛␉",
	}, { // 3877
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\tσ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
		out:  "*\tσ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
	}, { // 3878
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
		out:  "*␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]A",
	}, { // 3879
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\tσ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
		out:  "*\tσ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
	}, { // 3880
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
		out:  "*␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
	}, { // 3881
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\tσ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]␉",
		out:  "*\tσ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]‛␉",
	}, { // 3882
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]␉",
		out:  "*␉σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]‛␉",
	}, { // 3883
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η\tA",
		out:  "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η\tA",
	}, { // 3884
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
		out:  "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉A",
	}, { // 3885
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η\t␉",
		out:  "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η\t‛␉",
	}, { // 3886
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉␉",
		out:  "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η␉‛␉",
	}, { // 3887
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]\t",
		out:  "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]␉",
	}, { // 3888
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]␉",
		out:  "*\x02σ␂\x1aθ␃ρz#\t：␡␃＃\x13Z␅＾|ａκeψ␑ｇ*η]‛␉",
	}, { // 3889
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
		out:  "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
	}, { // 3890
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\n␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
		out:  "\n␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
	}, { // 3891
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␊␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
		out:  "␊␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
	}, { // 3892
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\n␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
		out:  "\n␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
	}, { // 3893
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␊␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
		out:  "␊␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
	}, { // 3894
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\n␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu␊",
		out:  "\n␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu‛␊",
	}, { // 3895
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␊␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu␊",
		out:  "␊␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu‛␊",
	}, { // 3896
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε\n＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
		out:  "ε\n＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
	}, { // 3897
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
		out:  "ε␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μuκ",
	}, { // 3898
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε\n＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
		out:  "ε\n＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
	}, { // 3899
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
		out:  "ε␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
	}, { // 3900
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε\n＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu␊",
		out:  "ε\n＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu‛␊",
	}, { // 3901
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu␊",
		out:  "ε␊＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu‛␊",
	}, { // 3902
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ\nκ",
		out:  "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ\nκ",
	}, { // 3903
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
		out:  "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊κ",
	}, { // 3904
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ\n␊",
		out:  "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ\n‛␊",
	}, { // 3905
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊␊",
		out:  "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μ␊‛␊",
	}, { // 3906
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu\n",
		out:  "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu␊",
	}, { // 3907
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu␊",
		out:  "ε␔＠`ｄｒ␔%\bZ\n>␝５\x17：&οτνQ%␃␍ｓ␈}μu‛␊",
	}, { // 3908
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
		out:  "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
	}, { // 3909
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\v␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
		out:  "\v␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
	}, { // 3910
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␋␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
		out:  "␋␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
	}, { // 3911
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\v|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
		out:  "\v|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
	}, { // 3912
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␋|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
		out:  "␋|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
	}, { // 3913
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\v|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ␋",
		out:  "\v|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ‛␋",
	}, { // 3914
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␋|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ␋",
		out:  "␋|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ‛␋",
	}, { // 3915
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F\v［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
		out:  "F\v［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
	}, { // 3916
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
		out:  "F␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺk",
	}, { // 3917
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F\v［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
		out:  "F\v［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
	}, { // 3918
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
		out:  "F␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
	}, { // 3919
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F\v［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ␋",
		out:  "F\v［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ‛␋",
	}, { // 3920
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ␋",
		out:  "F␋［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ‛␋",
	}, { // 3921
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ\vk",
		out:  "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ\vk",
	}, { // 3922
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
		out:  "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋k",
	}, { // 3923
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ\v␋",
		out:  "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ\v‛␋",
	}, { // 3924
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋␋",
		out:  "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχ␋‛␋",
	}, { // 3925
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ\v",
		out:  "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ␋",
	}, { // 3926
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ␋",
		out:  "F|［．mτ[ｖπ␕\v\x1bη\x12\x19Uκｎ＜＃␝ｉ␔\rωＤjχＺ‛␋",
	}, { // 3927
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00[",
		out:  "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀[",
	}, { // 3928
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00[",
		out:  "\r␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀[",
	}, { // 3929
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␍␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00[",
		out:  "␍␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀[",
	}, { // 3930
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
		out:  "\r０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
	}, { // 3931
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␍０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
		out:  "␍０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
	}, { // 3932
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\r０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00␍",
		out:  "\r０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀‛␍",
	}, { // 3933
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "␍０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00␍",
		out:  "␍０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀‛␍",
	}, { // 3934
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17\r␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00[",
		out:  "\x17\r␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀[",
	}, { // 3935
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00[",
		out:  "\x17␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀[",
	}, { // 3936
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17\r␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
		out:  "\x17\r␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
	}, { // 3937
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
		out:  "\x17␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
	}, { // 3938
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17\r␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00␍",
		out:  "\x17\r␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀‛␍",
	}, { // 3939
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00␍",
		out:  "\x17␍␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀‛␍",
	}, { // 3940
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\r[",
		out:  "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\r[",
	}, { // 3941
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
		out:  "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍[",
	}, { // 3942
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\r␍",
		out:  "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\r‛␍",
	}, { // 3943
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍␍",
		out:  "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␍‛␍",
	}, { // 3944
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00\r",
		out:  "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀␍",
	}, { // 3945
		mask: EncodeQuestion | EncodeRightCrLfHtVt,
		in:   "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-\x00␍",
		out:  "\x17０␛\n␉ξβ1ς␔\rκ,\x06Ａω［g\"：␊Ｔqπ(ｃ～-␀‛␍",
	}, { // 3946
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
		out:  "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
	}, { // 3947
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\t␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
		out:  "\t␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
	}, { // 3948
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␉␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
		out:  "␉␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
	}, { // 3949
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\t\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
		out:  "\t\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
	}, { // 3950
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␉\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
		out:  "␉\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
	}, { // 3951
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\t\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0␉",
		out:  "\t\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0‛␉",
	}, { // 3952
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␉\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0␉",
		out:  "␉\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0‛␉",
	}, { // 3953
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\t<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
		out:  "ο\t<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
	}, { // 3954
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
		out:  "ο␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\x10",
	}, { // 3955
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\t<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
		out:  "ο\t<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
	}, { // 3956
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
		out:  "ο␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
	}, { // 3957
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\t<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0␉",
		out:  "ο\t<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0‛␉",
	}, { // 3958
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0␉",
		out:  "ο␉<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0‛␉",
	}, { // 3959
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e\t\x10",
		out:  "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e\t\x10",
	}, { // 3960
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
		out:  "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉\x10",
	}, { // 3961
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e\t␉",
		out:  "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e\t‛␉",
	}, { // 3962
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉␉",
		out:  "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e␉‛␉",
	}, { // 3963
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0\t",
		out:  "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0␉",
	}, { // 3964
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0␉",
		out:  "ο\x11<␇␍η\x1cαα␔\tsＧσπＧ␟Ｔ\x1b＃\a^>＇ｚu６e0‛␉",
	}, { // 3965
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
		out:  "ｖｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
	}, { // 3966
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\n␊*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
		out:  "\n␊＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
	}, { // 3967
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␊␊*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
		out:  "␊␊＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
	}, { // 3968
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\nｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
		out:  "\nｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
	}, { // 3969
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␊ｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
		out:  "␊ｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
	}, { // 3970
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\nｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗␊",
		out:  "\nｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗‛␊",
	}, { // 3971
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␊ｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗␊",
		out:  "␊ｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗‛␊",
	}, { // 3972
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖ\n*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
		out:  "ｖ\n＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
	}, { // 3973
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖ␊*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
		out:  "ｖ␊＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\x12",
	}, { // 3974
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖ\n*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
		out:  "ｖ\n＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
	}, { // 3975
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖ␊*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
		out:  "ｖ␊＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
	}, { // 3976
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖ\n*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗␊",
		out:  "ｖ\n＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗‛␊",
	}, { // 3977
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖ␊*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗␊",
		out:  "ｖ␊＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗‛␊",
	}, { // 3978
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ\n\x12",
		out:  "ｖｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ\n\x12",
	}, { // 3979
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
		out:  "ｖｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊\x12",
	}, { // 3980
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ\n␊",
		out:  "ｖｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ\n‛␊",
	}, { // 3981
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊␊",
		out:  "ｖｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␊‛␊",
	}, { // 3982
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗\n",
		out:  "ｖｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗␊",
	}, { // 3983
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "ｖｔ*ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗␊",
		out:  "ｖｔ＊ｑω\fι)\"｀\n｝#\\ι｀\x04␕θad\\μ␐｜αｌｚ␗‛␊",
	}, { // 3984
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r\t",
		out:  "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r␉",
	}, { // 3985
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\v␋β＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r\t",
		out:  "\v␋β＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r␉",
	}, { // 3986
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␋␋β＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r\t",
		out:  "␋␋β＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r␉",
	}, { // 3987
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\vιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'␋\t",
		out:  "\vιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'␋␉",
	}, { // 3988
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␋ιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'␋\t",
		out:  "␋ιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'␋␉",
	}, { // 3989
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\vιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r␋",
		out:  "\vιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r‛␋",
	}, { // 3990
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␋ιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r␋",
		out:  "␋ιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r‛␋",
	}, { // 3991
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "p\vβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r\t",
		out:  "p\vβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r␉",
	}, { // 3992
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "p␋β＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r\t",
		out:  "p␋β＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r␉",
	}, { // 3993
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "p\vβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'␋\t",
		out:  "p\vβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'␋␉",
	}, { // 3994
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "p␋β＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'␋\t",
		out:  "p␋β＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'␋␉",
	}, { // 3995
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "p\vβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r␋",
		out:  "p\vβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r‛␋",
	}, { // 3996
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "p␋β＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r␋",
		out:  "p␋β＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r‛␋",
	}, { // 3997
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'\v\t",
		out:  "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'\v␉",
	}, { // 3998
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'␋\t",
		out:  "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'␋␉",
	}, { // 3999
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'\v␋",
		out:  "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'\v‛␋",
	}, { // 4000
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'␋␋",
		out:  "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'␋‛␋",
	}, { // 4001
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r\v",
		out:  "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r␋",
	}, { // 4002
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 *｜Ｄ\x06：Ｔ␜:␆λνε'r␋",
		out:  "pιβ＼\aο＇␊ｓ５\v\x1dＭ2 ＊｜Ｄ\x06：Ｔ␜:␆λνε'r‛␋",
	}, { // 4003
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
		out:  "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
	}, { // 4004
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\r␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
		out:  "\r␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
	}, { // 4005
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␍␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
		out:  "␍␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
	}, { // 4006
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\r␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
		out:  "\r␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
	}, { // 4007
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␍␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
		out:  "␍␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
	}, { // 4008
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "\r␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␍",
		out:  "\r␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ‛␍",
	}, { // 4009
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "␍␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␍",
		out:  "␍␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ‛␍",
	}, { // 4010
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/\r␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
		out:  "/\r␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
	}, { // 4011
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
		out:  "/␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␐",
	}, { // 4012
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/\r␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
		out:  "/\r␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
	}, { // 4013
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
		out:  "/␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
	}, { // 4014
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/\r␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␍",
		out:  "/\r␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ‛␍",
	}, { // 4015
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␍",
		out:  "/␍␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ‛␍",
	}, { // 4016
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ\r␐",
		out:  "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ\r␐",
	}, { // 4017
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
		out:  "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␐",
	}, { // 4018
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ\r␍",
		out:  "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ\r‛␍",
	}, { // 4019
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍␍",
		out:  "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎ␍‛␍",
	}, { // 4020
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ\r",
		out:  "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␍",
	}, { // 4021
		mask: EncodeAsterisk | EncodeRightCrLfHtVt,
		in:   "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ␍",
		out:  "/␔␐\fυL␎θσn\r６νιχ%］b:W：);ｉ\b)＇ｎＣ‛␍",
	}, { // 4022
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
		out:  "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
	}, { // 4023
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\t␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
		out:  "\t␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
	}, { // 4024
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␉␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
		out:  "␉␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
	}, { // 4025
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\tA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
		out:  "\tA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
	}, { // 4026
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␉A\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
		out:  "␉A\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
	}, { // 4027
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\tA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ␉",
		out:  "\tA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ‛␉",
	}, { // 4028
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␉A\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ␉",
		out:  "␉A\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ‛␉",
	}, { // 4029
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "F\t\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
		out:  "F\t\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
	}, { // 4030
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "F␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
		out:  "F␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ:",
	}, { // 4031
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "F\t\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
		out:  "F\t\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
	}, { // 4032
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "F␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
		out:  "F␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
	}, { // 4033
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "F\t\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ␉",
		out:  "F\t\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ‛␉",
	}, { // 4034
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "F␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ␉",
		out:  "F␉\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ‛␉",
	}, { // 4035
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁\t:",
		out:  "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁\t:",
	}, { // 4036
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
		out:  "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉:",
	}, { // 4037
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁\t␉",
		out:  "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁\t‛␉",
	}, { // 4038
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉␉",
		out:  "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁␉‛␉",
	}, { // 4039
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ\t",
		out:  "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ␉",
	}, { // 4040
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ␉",
		out:  "FA\x10␟π\x11νA\x0e（\tｘ␒＂\x10jζｗ％ν\x01\x1eτ]μＴ␘␁Ｇ‛␉",
	}, { // 4041
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
		out:  "␑＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
	}, { // 4042
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\n␊V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
		out:  "\n␊V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
	}, { // 4043
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␊␊V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
		out:  "␊␊V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
	}, { // 4044
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\n＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
		out:  "\n＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
	}, { // 4045
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␊＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
		out:  "␊＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
	}, { // 4046
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\n＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ␊",
		out:  "\n＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ‛␊",
	}, { // 4047
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␊＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ␊",
		out:  "␊＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ‛␊",
	}, { // 4048
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑\nV｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
		out:  "␑\nV｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
	}, { // 4049
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑␊V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
		out:  "␑␊V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\a",
	}, { // 4050
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑\nV｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
		out:  "␑\nV｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
	}, { // 4051
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑␊V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
		out:  "␑␊V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
	}, { // 4052
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑\nV｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ␊",
		out:  "␑\nV｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ‛␊",
	}, { // 4053
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑␊V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ␊",
		out:  "␑␊V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ‛␊",
	}, { // 4054
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO\n\a",
		out:  "␑＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO\n\a",
	}, { // 4055
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
		out:  "␑＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊\a",
	}, { // 4056
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO\n␊",
		out:  "␑＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO\n‛␊",
	}, { // 4057
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊␊",
		out:  "␑＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρO␊‛␊",
	}, { // 4058
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ\n",
		out:  "␑＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ␊",
	}, { // 4059
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␑＞V｛\x1cγ|｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ␊",
		out:  "␑＞V｛\x1cγ｜｝ο\x13\nＱf␁σχZ?ε＊；Y\n␘J␘ρOＪ‛␊",
	}, { // 4060
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
		out:  "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
	}, { // 4061
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\v␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
		out:  "\v␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
	}, { // 4062
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␋␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
		out:  "␋␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
	}, { // 4063
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\v（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
		out:  "\v（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
	}, { // 4064
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␋（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
		out:  "␋（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
	}, { // 4065
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\v（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␋",
		out:  "\v（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>‛␋",
	}, { // 4066
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␋（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␋",
		out:  "␋（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>‛␋",
	}, { // 4067
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ\v=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
		out:  "ｇ\v=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
	}, { // 4068
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
		out:  "ｇ␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␝",
	}, { // 4069
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ\v=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
		out:  "ｇ\v=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
	}, { // 4070
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
		out:  "ｇ␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
	}, { // 4071
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ\v=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␋",
		out:  "ｇ\v=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>‛␋",
	}, { // 4072
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␋",
		out:  "ｇ␋=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>‛␋",
	}, { // 4073
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ\v␝",
		out:  "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ\v␝",
	}, { // 4074
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
		out:  "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␝",
	}, { // 4075
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ\v␋",
		out:  "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ\v‛␋",
	}, { // 4076
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋␋",
		out:  "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ␋‛␋",
	}, { // 4077
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>\v",
		out:  "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␋",
	}, { // 4078
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>␋",
		out:  "ｇ（=0ξ\x1cδ＞]w\vNδ\uff00／␔Ｃ\x12:␝\tεjε％ρ;ｖ>‛␋",
	}, { // 4079
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
		out:  "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
	}, { // 4080
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\r␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
		out:  "\r␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
	}, { // 4081
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␍␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
		out:  "␍␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
	}, { // 4082
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\r=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
		out:  "\r=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
	}, { // 4083
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␍=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
		out:  "␍=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
	}, { // 4084
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "\r=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗␍",
		out:  "\r=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗‛␍",
	}, { // 4085
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "␍=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗␍",
		out:  "␍=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗‛␍",
	}, { // 4086
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k\r］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
		out:  "k\r］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
	}, { // 4087
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
		out:  "k␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗Ｙ",
	}, { // 4088
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k\r］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
		out:  "k\r］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
	}, { // 4089
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
		out:  "k␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
	}, { // 4090
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k\r］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗␍",
		out:  "k\r］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗‛␍",
	}, { // 4091
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗␍",
		out:  "k␍］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗‛␍",
	}, { // 4092
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋\rＹ",
		out:  "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋\rＹ",
	}, { // 4093
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
		out:  "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍Ｙ",
	}, { // 4094
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋\r␍",
		out:  "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋\r‛␍",
	}, { // 4095
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍␍",
		out:  "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␍‛␍",
	}, { // 4096
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗\r",
		out:  "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗␍",
	}, { // 4097
		mask: EncodePipe | EncodeRightCrLfHtVt,
		in:   "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗␍",
		out:  "k=］\nｅτξ\x18ρ\x1f\r｀␚\nZωK\x11dＶαε＝␃␕␈@＋␗‛␍",
	}, { // 4098
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␟",
		out:  "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆␟",
	}, { // 4099
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\t␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␟",
		out:  "\t␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆␟",
	}, { // 4100
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␉␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␟",
		out:  "␉␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆␟",
	}, { // 4101
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\t:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#␉␟",
		out:  "\t:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃␉␟",
	}, { // 4102
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␉:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#␉␟",
		out:  "␉:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃␉␟",
	}, { // 4103
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\t:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␉",
		out:  "\t:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆‛␉",
	}, { // 4104
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␉:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␉",
		out:  "␉:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆‛␉",
	}, { // 4105
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12\tp␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␟",
		out:  "\x12\tp␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆␟",
	}, { // 4106
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␟",
		out:  "\x12␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆␟",
	}, { // 4107
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12\tp␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#␉␟",
		out:  "\x12\tp␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃␉␟",
	}, { // 4108
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#␉␟",
		out:  "\x12␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃␉␟",
	}, { // 4109
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12\tp␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␉",
		out:  "\x12\tp␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆‛␉",
	}, { // 4110
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␉",
		out:  "\x12␉p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆‛␉",
	}, { // 4111
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#\t␟",
		out:  "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃\t␟",
	}, { // 4112
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#␉␟",
		out:  "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃␉␟",
	}, { // 4113
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#\t␉",
		out:  "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃\t‛␉",
	}, { // 4114
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#␉␉",
		out:  "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃␉‛␉",
	}, { // 4115
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆\t",
		out:  "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆␉",
	}, { // 4116
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘#＆␉",
		out:  "\x12:p␂␙b*a．D\tζα\x03\x13ｙＹ␎ρ(␑＿ξＶη]␘＃＆‛␉",
	}, { // 4117
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
		out:  "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
	}, { // 4118
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\n␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
		out:  "\n␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
	}, { // 4119
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␊␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
		out:  "␊␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
	}, { // 4120
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\n．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
		out:  "\n．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
	}, { // 4121
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␊．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
		out:  "␊．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
	}, { // 4122
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\n．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14␊",
		out:  "\n．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14‛␊",
	}, { // 4123
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␊．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14␊",
		out:  "␊．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14‛␊",
	}, { // 4124
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13\n＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
		out:  "\x13\n＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
	}, { // 4125
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
		out:  "\x13␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14９",
	}, { // 4126
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13\n＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
		out:  "\x13\n＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
	}, { // 4127
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
		out:  "\x13␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
	}, { // 4128
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13\n＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14␊",
		out:  "\x13\n＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14‛␊",
	}, { // 4129
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14␊",
		out:  "\x13␊＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14‛␊",
	}, { // 4130
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\n９",
		out:  "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\n９",
	}, { // 4131
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
		out:  "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊９",
	}, { // 4132
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\n␊",
		out:  "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\n‛␊",
	}, { // 4133
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊␊",
		out:  "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ␊‛␊",
	}, { // 4134
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14\n",
		out:  "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14␊",
	}, { // 4135
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14␊",
		out:  "\x13．＞；ι␊\"］`w\nμω＝`\x10\\αχ␊%␔?|Ｕι＇Ｙ\x14‛␊",
	}, { // 4136
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
		out:  "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
	}, { // 4137
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\v␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
		out:  "\v␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
	}, { // 4138
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␋␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
		out:  "␋␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
	}, { // 4139
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\v0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
		out:  "\v0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
	}, { // 4140
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␋0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
		out:  "␋0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
	}, { // 4141
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\v0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(␋",
		out:  "\v0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(‛␋",
	}, { // 4142
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␋0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(␋",
		out:  "␋0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(‛␋",
	}, { // 4143
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ\vG␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
		out:  "ｃ\vG␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
	}, { // 4144
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
		out:  "ｃ␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(ι",
	}, { // 4145
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ\vG␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
		out:  "ｃ\vG␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
	}, { // 4146
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
		out:  "ｃ␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
	}, { // 4147
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ\vG␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(␋",
		out:  "ｃ\vG␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(‛␋",
	}, { // 4148
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(␋",
		out:  "ｃ␋G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(‛␋",
	}, { // 4149
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp\vι",
		out:  "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp\vι",
	}, { // 4150
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
		out:  "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋ι",
	}, { // 4151
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp\v␋",
		out:  "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp\v‛␋",
	}, { // 4152
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋␋",
		out:  "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp␋‛␋",
	}, { // 4153
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(\v",
		out:  "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(␋",
	}, { // 4154
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(␋",
		out:  "ｃ0G␙ｋ␇\x13\n\x19γ\v␍O␆ζＲ\x04κｈς\x0fｈ／\x1f␓~οp(‛␋",
	}, { // 4155
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
		out:  "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
	}, { // 4156
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\r␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
		out:  "\r␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
	}, { // 4157
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␍␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
		out:  "␍␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
	}, { // 4158
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\rδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
		out:  "\rδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
	}, { // 4159
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␍δπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
		out:  "␍δπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
	}, { // 4160
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "\rδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␍",
		out:  "\rδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎‛␍",
	}, { // 4161
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "␍δπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␍",
		out:  "␍δπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎‛␍",
	}, { // 4162
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ε\rπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
		out:  "ε\rπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
	}, { // 4163
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ε␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
		out:  "ε␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␐",
	}, { // 4164
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ε\rπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
		out:  "ε\rπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
	}, { // 4165
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ε␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
		out:  "ε␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
	}, { // 4166
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ε\rπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␍",
		out:  "ε\rπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎‛␍",
	}, { // 4167
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "ε␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␍",
		out:  "ε␍π\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎‛␍",
	}, { // 4168
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b\r␐",
		out:  "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b\r␐",
	}, { // 4169
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
		out:  "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␐",
	}, { // 4170
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b\r␍",
		out:  "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b\r‛␍",
	}, { // 4171
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍␍",
		out:  "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␍‛␍",
	}, { // 4172
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎\r",
		out:  "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␍",
	}, { // 4173
		mask: EncodeHash | EncodeRightCrLfHtVt,
		in:   "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎␍",
		out:  "εδπ\x1e：ｌ|SＫ`\r\x12G：～ｏμtＬ\n％φ_\x1d／Ｕ@\x1b␎‛␍",
	}, { // 4174
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ％",
		out:  "‛％Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛％",
	}, { // 4175
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\t␉\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ％",
		out:  "\t␉\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛％",
	}, { // 4176
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␉␉\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ％",
		out:  "␉␉\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛％",
	}, { // 4177
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\tＩ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`␉％",
		out:  "\tＩ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`␉‛％",
	}, { // 4178
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␉Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`␉％",
		out:  "␉Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`␉‛％",
	}, { // 4179
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\tＩ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ␉",
		out:  "\tＩ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛␉",
	}, { // 4180
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␉Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ␉",
		out:  "␉Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛␉",
	}, { // 4181
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％\t\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ％",
		out:  "‛％\t\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛％",
	}, { // 4182
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％␉\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ％",
		out:  "‛％␉\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛％",
	}, { // 4183
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％\t\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`␉％",
		out:  "‛％\t\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`␉‛％",
	}, { // 4184
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％␉\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`␉％",
		out:  "‛％␉\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`␉‛％",
	}, { // 4185
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％\t\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ␉",
		out:  "‛％\t\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛␉",
	}, { // 4186
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％␉\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ␉",
		out:  "‛％␉\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛␉",
	}, { // 4187
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`\t％",
		out:  "‛％Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`\t‛％",
	}, { // 4188
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`␉％",
		out:  "‛％Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`␉‛％",
	}, { // 4189
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`\t␉",
		out:  "‛％Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`\t‛␉",
	}, { // 4190
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`␉␉",
		out:  "‛％Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`␉‛␉",
	}, { // 4191
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ\t",
		out:  "‛％Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ␉",
	}, { // 4192
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "％Ｉ\r|｜<\vπＰｏ\tYβ(％＜\x1f>μξ＠\"zＦ␐␋ω`ρ␉",
		out:  "‛％Ｉ\r|｜<\vπＰｏ\tYβ(‛％＜\x1f>μξ＠\"zＦ␐␋ω`ρ‛␉",
	}, { // 4193
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
		out:  "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
	}, { // 4194
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\n␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
		out:  "\n␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
	}, { // 4195
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␊␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
		out:  "␊␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
	}, { // 4196
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\n\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
		out:  "\n\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
	}, { // 4197
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␊\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
		out:  "␊\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
	}, { // 4198
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\n\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８␊",
		out:  "\n\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８‛␊",
	}, { // 4199
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␊\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８␊",
		out:  "␊\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８‛␊",
	}, { // 4200
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\nＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
		out:  "＂\nＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
	}, { // 4201
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
		out:  "＂␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８ｊ",
	}, { // 4202
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\nＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
		out:  "＂\nＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
	}, { // 4203
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
		out:  "＂␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
	}, { // 4204
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\nＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８␊",
		out:  "＂\nＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８‛␊",
	}, { // 4205
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８␊",
		out:  "＂␊Ｏ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８‛␊",
	}, { // 4206
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜\nｊ",
		out:  "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜\nｊ",
	}, { // 4207
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
		out:  "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊ｊ",
	}, { // 4208
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜\n␊",
		out:  "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜\n‛␊",
	}, { // 4209
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊␊",
		out:  "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜␊‛␊",
	}, { // 4210
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８\n",
		out:  "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８␊",
	}, { // 4211
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８␊",
		out:  "＂\x1bＯ＊δ;[４␝λ\n␐ο\f]θ\"η\x17o␒~\tＭη]\r｜８‛␊",
	}, { // 4212
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
		out:  "␀␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
	}, { // 4213
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\v␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
		out:  "\v␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
	}, { // 4214
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␋␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
		out:  "␋␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
	}, { // 4215
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\v␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
		out:  "\v␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
	}, { // 4216
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␋␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
		out:  "␋␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
	}, { // 4217
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\v␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14␋",
		out:  "\v␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14‛␋",
	}, { // 4218
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␋␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14␋",
		out:  "␋␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14‛␋",
	}, { // 4219
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00\vＲ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
		out:  "␀\vＲ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
	}, { // 4220
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
		out:  "␀␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14＂",
	}, { // 4221
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00\vＲ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
		out:  "␀\vＲ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
	}, { // 4222
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
		out:  "␀␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
	}, { // 4223
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00\vＲ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14␋",
		out:  "␀\vＲ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14‛␋",
	}, { // 4224
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14␋",
		out:  "␀␋Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14‛␋",
	}, { // 4225
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\v＂",
		out:  "␀␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\v＂",
	}, { // 4226
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
		out:  "␀␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋＂",
	}, { // 4227
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\v␋",
		out:  "␀␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\v‛␋",
	}, { // 4228
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋␋",
		out:  "␀␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&␋‛␋",
	}, { // 4229
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14\v",
		out:  "␀␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14␋",
	}, { // 4230
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\x00␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14␋",
		out:  "␀␉Ｒ\v5γ␂\\␊\x1a\v␁ｈnＦς．υ␕ψＥθG8\\Ｗ|&\x14‛␋",
	}, { // 4231
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
		out:  "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
	}, { // 4232
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\r␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
		out:  "\r␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
	}, { // 4233
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␍␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
		out:  "␍␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
	}, { // 4234
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\r］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
		out:  "\r］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
	}, { // 4235
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␍］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
		out:  "␍］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
	}, { // 4236
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "\r］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς␍",
		out:  "\r］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς‛␍",
	}, { // 4237
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "␍］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς␍",
		out:  "␍］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς‛␍",
	}, { // 4238
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w\rφθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
		out:  "w\rφθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
	}, { // 4239
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
		out:  "w␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍςａ",
	}, { // 4240
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w\rφθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
		out:  "w\rφθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
	}, { // 4241
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
		out:  "w␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
	}, { // 4242
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w\rφθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς␍",
		out:  "w\rφθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς‛␍",
	}, { // 4243
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς␍",
		out:  "w␍φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς‛␍",
	}, { // 4244
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ\rａ",
		out:  "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ\rａ",
	}, { // 4245
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
		out:  "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍ａ",
	}, { // 4246
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ\r␍",
		out:  "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ\r‛␍",
	}, { // 4247
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍␍",
		out:  "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍ␍‛␍",
	}, { // 4248
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς\r",
		out:  "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς␍",
	}, { // 4249
		mask: EncodePercent | EncodeRightCrLfHtVt,
		in:   "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς␍",
		out:  "w］φθ＂τ␡2\\\x0f\rδ␜Ｊ\x13,␍$A␁．_]υＺ\x03\x0eｍς‛␍",
	}, { // 4250
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
		out:  "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
	}, { // 4251
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\t␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
		out:  "\t␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
	}, { // 4252
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␉␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
		out:  "␉␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
	}, { // 4253
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\tυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
		out:  "\tυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
	}, { // 4254
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␉υｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
		out:  "␉υｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
	}, { // 4255
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\tυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r␉",
		out:  "\tυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r‛␉",
	}, { // 4256
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␉υｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r␉",
		out:  "␉υｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r‛␉",
	}, { // 4257
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r\tｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
		out:  "\r\tｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
	}, { // 4258
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
		out:  "\r␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗rθ",
	}, { // 4259
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r\tｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
		out:  "\r\tｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
	}, { // 4260
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
		out:  "\r␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
	}, { // 4261
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r\tｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r␉",
		out:  "\r\tｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r‛␉",
	}, { // 4262
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r␉",
		out:  "\r␉ｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r‛␉",
	}, { // 4263
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗\tθ",
		out:  "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗\tθ",
	}, { // 4264
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
		out:  "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉θ",
	}, { // 4265
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗\t␉",
		out:  "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗\t‛␉",
	}, { // 4266
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉␉",
		out:  "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗␉‛␉",
	}, { // 4267
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r\t",
		out:  "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r␉",
	}, { // 4268
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r␉",
		out:  "\rυｚ␝\x1b-Ｇι!π\t␅ε？\x17＜\rγ␊＃␄:M$}＞！␗r‛␉",
	}, { // 4269
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
		out:  "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
	}, { // 4270
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\n␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
		out:  "\n␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
	}, { // 4271
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␊␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
		out:  "␊␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
	}, { // 4272
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\n\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
		out:  "\n\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
	}, { // 4273
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␊\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
		out:  "␊\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
	}, { // 4274
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\n\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔␊",
		out:  "\n\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔‛␊",
	}, { // 4275
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␊\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔␊",
		out:  "␊\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔‛␊",
	}, { // 4276
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\n２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
		out:  "Ｂ\n２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
	}, { // 4277
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
		out:  "Ｂ␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔ψ",
	}, { // 4278
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\n２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
		out:  "Ｂ\n２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
	}, { // 4279
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
		out:  "Ｂ␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
	}, { // 4280
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\n２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔␊",
		out:  "Ｂ\n２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔‛␊",
	}, { // 4281
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔␊",
		out:  "Ｂ␊２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔‛␊",
	}, { // 4282
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n\nψ",
		out:  "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n\nψ",
	}, { // 4283
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
		out:  "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊ψ",
	}, { // 4284
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n\n␊",
		out:  "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n\n‛␊",
	}, { // 4285
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊␊",
		out:  "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␊‛␊",
	}, { // 4286
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔\n",
		out:  "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔␊",
	}, { // 4287
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔␊",
		out:  "Ｂ\x02２#δM␊,［ο\n：α\"B␌*［B#Ｓξα\x1d␏Ｏ：n␔‛␊",
	}, { // 4288
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：]",
		out:  "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：]",
	}, { // 4289
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\v␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：]",
		out:  "\v␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：]",
	}, { // 4290
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␋␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：]",
		out:  "␋␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：]",
	}, { // 4291
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\vρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ␋]",
		out:  "\vρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ␋]",
	}, { // 4292
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␋ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ␋]",
		out:  "␋ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ␋]",
	}, { // 4293
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\vρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：␋",
		out:  "\vρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：‛␋",
	}, { // 4294
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␋ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：␋",
		out:  "␋ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：‛␋",
	}, { // 4295
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`\v/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：]",
		out:  "`\v/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：]",
	}, { // 4296
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：]",
		out:  "`␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：]",
	}, { // 4297
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`\v/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ␋]",
		out:  "`\v/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ␋]",
	}, { // 4298
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ␋]",
		out:  "`␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ␋]",
	}, { // 4299
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`\v/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：␋",
		out:  "`\v/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：‛␋",
	}, { // 4300
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：␋",
		out:  "`␋/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：‛␋",
	}, { // 4301
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ\v]",
		out:  "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ\v]",
	}, { // 4302
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ␋]",
		out:  "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ␋]",
	}, { // 4303
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ\v␋",
		out:  "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ\v‛␋",
	}, { // 4304
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ␋␋",
		out:  "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ␋‛␋",
	}, { // 4305
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：\v",
		out:  "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：␋",
	}, { // 4306
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ\x00\x1ds0＼Ｐ␂|^μ：␋",
		out:  "`ρ/Ａ\x1eξ｜lι␝\vＬ／␅␚＠4ξ␀\x1ds0‛＼Ｐ␂|^μ：‛␋",
	}, { // 4307
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
		out:  "φ#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
	}, { // 4308
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r␍␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
		out:  "\r␍␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
	}, { // 4309
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␍␍␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
		out:  "␍␍␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
	}, { // 4310
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
		out:  "\r#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
	}, { // 4311
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␍#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
		out:  "␍#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
	}, { // 4312
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "\r#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"␍",
		out:  "\r#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"‛␍",
	}, { // 4313
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "␍#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"␍",
		out:  "␍#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"‛␍",
	}, { // 4314
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ\r␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
		out:  "φ\r␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
	}, { // 4315
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ␍␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
		out:  "φ␍␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"Ｗ",
	}, { // 4316
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ\r␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
		out:  "φ\r␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
	}, { // 4317
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ␍␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
		out:  "φ␍␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
	}, { // 4318
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ\r␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"␍",
		out:  "φ\r␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"‛␍",
	}, { // 4319
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ␍␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"␍",
		out:  "φ␍␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"‛␍",
	}, { // 4320
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\rＷ",
		out:  "φ#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\rＷ",
	}, { // 4321
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
		out:  "φ#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍Ｗ",
	}, { // 4322
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\r␍",
		out:  "φ#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\r‛␍",
	}, { // 4323
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍␍",
		out:  "φ#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ␍‛␍",
	}, { // 4324
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"\r",
		out:  "φ#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"␍",
	}, { // 4325
		mask: EncodeBackSlash | EncodeRightCrLfHtVt,
		in:   "φ#␊n＃β＝φ\x1dv\rｔR／\x00ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"␍",
		out:  "φ#␊n＃β＝φ\x1dv\rｔR／␀ζτ+\x06＂P␕Ｊ\x03␑ａｇχ\"‛␍",
	}, { // 4326
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
		out:  "ｉζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
	}, { // 4327
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\t␉ξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
		out:  "\t␉ξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
	}, { // 4328
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␉␉ξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
		out:  "␉␉ξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
	}, { // 4329
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\tζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
		out:  "\tζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
	}, { // 4330
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␉ζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
		out:  "␉ζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
	}, { // 4331
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\tζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０␉",
		out:  "\tζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０‛␉",
	}, { // 4332
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␉ζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０␉",
		out:  "␉ζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０‛␉",
	}, { // 4333
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉ\tξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
		out:  "ｉ\tξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
	}, { // 4334
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉ␉ξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
		out:  "ｉ␉ξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０u",
	}, { // 4335
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉ\tξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
		out:  "ｉ\tξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
	}, { // 4336
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉ␉ξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
		out:  "ｉ␉ξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
	}, { // 4337
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉ\tξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０␉",
		out:  "ｉ\tξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０‛␉",
	}, { // 4338
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉ␉ξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０␉",
		out:  "ｉ␉ξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０‛␉",
	}, { // 4339
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ\tu",
		out:  "ｉζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ\tu",
	}, { // 4340
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
		out:  "ｉζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉u",
	}, { // 4341
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ\t␉",
		out:  "ｉζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ\t‛␉",
	}, { // 4342
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉␉",
		out:  "ｉζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ␉‛␉",
	}, { // 4343
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０\t",
		out:  "ｉζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０␉",
	}, { // 4344
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｉζξ=\u007f＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０␉",
		out:  "ｉζξ=␡＄␟%ζ␚\t␆E］１`;ψ7ζ＋]␖␛\x03]\x14ｏ０‛␉",
	}, { // 4345
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃\x05",
		out:  "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃\x05",
	}, { // 4346
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\n␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃\x05",
		out:  "\n␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃\x05",
	}, { // 4347
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␊␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃\x05",
		out:  "␊␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃\x05",
	}, { // 4348
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\nG␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␊\x05",
		out:  "\nG␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␊\x05",
	}, { // 4349
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␊G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␊\x05",
		out:  "␊G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␊\x05",
	}, { // 4350
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\nG␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃␊",
		out:  "\nG␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃‛␊",
	}, { // 4351
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␊G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃␊",
		out:  "␊G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃‛␊",
	}, { // 4352
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍\n␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃\x05",
		out:  "␍\n␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃\x05",
	}, { // 4353
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃\x05",
		out:  "␍␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃\x05",
	}, { // 4354
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍\n␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␊\x05",
		out:  "␍\n␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␊\x05",
	}, { // 4355
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␊\x05",
		out:  "␍␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␊\x05",
	}, { // 4356
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍\n␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃␊",
		out:  "␍\n␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃‛␊",
	}, { // 4357
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃␊",
		out:  "␍␊␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃‛␊",
	}, { // 4358
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；\n\x05",
		out:  "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；\n\x05",
	}, { // 4359
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␊\x05",
		out:  "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␊\x05",
	}, { // 4360
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；\n␊",
		out:  "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；\n‛␊",
	}, { // 4361
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␊␊",
		out:  "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␊‛␊",
	}, { // 4362
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃\n",
		out:  "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃␊",
	}, { // 4363
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς\u007fν\x0f；␃␊",
		out:  "␍G␇α７␈QＴμ；\nβ\x0fＶβY?VＷ \rK＼ς␡ν\x0f；␃‛␊",
	}, { // 4364
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
		out:  "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
	}, { // 4365
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\v␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
		out:  "\v␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
	}, { // 4366
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␋␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
		out:  "␋␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
	}, { // 4367
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\v%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
		out:  "\v%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
	}, { // 4368
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␋%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
		out:  "␋%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
	}, { // 4369
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\v%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f␋",
		out:  "\v%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f‛␋",
	}, { // 4370
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␋%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f␋",
		out:  "␋%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f‛␋",
	}, { // 4371
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1\v｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
		out:  "1\v｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
	}, { // 4372
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
		out:  "1␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03fλ",
	}, { // 4373
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1\v｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
		out:  "1\v｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
	}, { // 4374
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
		out:  "1␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
	}, { // 4375
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1\v｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f␋",
		out:  "1\v｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f‛␋",
	}, { // 4376
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f␋",
		out:  "1␋｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f‛␋",
	}, { // 4377
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03\vλ",
		out:  "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03\vλ",
	}, { // 4378
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
		out:  "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋λ",
	}, { // 4379
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03\v␋",
		out:  "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03\v‛␋",
	}, { // 4380
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋␋",
		out:  "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03␋‛␋",
	}, { // 4381
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f\v",
		out:  "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f␋",
	}, { // 4382
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f␋",
		out:  "1%｀＊\\Wγκ␐＆\vη␘␝\x04\x0e|π＞ｏκｌ＂␔TＦ:\x03f‛␋",
	}, { // 4383
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$ｌ",
		out:  "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$ｌ",
	}, { // 4384
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\r␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$ｌ",
		out:  "\r␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$ｌ",
	}, { // 4385
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$ｌ",
		out:  "␍␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$ｌ",
	}, { // 4386
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\rκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／␍ｌ",
		out:  "\rκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／␍ｌ",
	}, { // 4387
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍κα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／␍ｌ",
		out:  "␍κα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／␍ｌ",
	}, { // 4388
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "\rκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$␍",
		out:  "\rκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$‛␍",
	}, { // 4389
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "␍κα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$␍",
		out:  "␍κα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$‛␍",
	}, { // 4390
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓ\rα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$ｌ",
		out:  "ｓ\rα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$ｌ",
	}, { // 4391
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓ␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$ｌ",
		out:  "ｓ␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$ｌ",
	}, { // 4392
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓ\rα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／␍ｌ",
		out:  "ｓ\rα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／␍ｌ",
	}, { // 4393
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓ␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／␍ｌ",
		out:  "ｓ␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／␍ｌ",
	}, { // 4394
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓ\rα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$␍",
		out:  "ｓ\rα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$‛␍",
	}, { // 4395
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓ␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$␍",
		out:  "ｓ␍α＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$‛␍",
	}, { // 4396
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／\rｌ",
		out:  "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／\rｌ",
	}, { // 4397
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／␍ｌ",
		out:  "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／␍ｌ",
	}, { // 4398
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／\r␍",
		out:  "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／\r‛␍",
	}, { // 4399
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／␍␍",
		out:  "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／␍‛␍",
	}, { // 4400
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$\r",
		out:  "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$␍",
	}, { // 4401
		mask: EncodeDel | EncodeRightCrLfHtVt,
		in:   "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(\u007f／\aFZ␊／$␍",
		out:  "ｓκα＃＿\x1c,｀ＰE\r\n\\␙σ＜δ␐οο(␡／\aFZ␊／$‛␍",
	}, { // 4402
		mask: EncodeLeftSpace,
		in:   "  ",
		out:  "␠ ",
	}, { // 4403
		mask: EncodeLeftPeriod,
		in:   "..",
		out:  "．.",
	}, { // 4404
		mask: EncodeLeftTilde,
		in:   "~~",
		out:  "～~",
	}, { // 4405
		mask: EncodeRightSpace,
		in:   "  ",
		out:  " ␠",
	}, { // 4406
		mask: EncodeRightPeriod,
		in:   "..",
		out:  ".．",
	}, { // 4407
		mask: EncodeLeftSpace | EncodeRightPeriod,
		in:   " .",
		out:  "␠．",
	}, { // 4408
		mask: EncodeLeftSpace | EncodeRightSpace,
		in:   " ",
		out:  "␠",
	}, { // 4409
		mask: EncodeLeftSpace | EncodeRightSpace,
		in:   "  ",
		out:  "␠␠",
	}, { // 4410
		mask: EncodeLeftSpace | EncodeRightSpace,
		in:   "   ",
		out:  "␠ ␠",
	}, { // 4411
		mask: EncodeLeftPeriod | EncodeRightPeriod,
		in:   "...",
		out:  "．.．",
	}, { // 4412
		mask: EncodeRightPeriod | EncodeRightSpace,
		in:   "a. ",
		out:  "a.␠",
	}, { // 4413
		mask: EncodeRightPeriod | EncodeRightSpace,
		in:   "a .",
		out:  "a ．",
	},
}

var testCasesDoubleEdge = []testCase{
	{ // 0
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .υ␃ｖA\vθＴ+Ｙ［３｜ιδ\x1e\"\x1a\x1b␗2?%{␎d＇.β",
		out:  "␠.υ␃ｖA\vθＴ+Ｙ［３｜ιδ\x1e\"\x1a\x1b␗2?%{␎d＇.β",
	}, { // 1
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.υ␃ｖA\vθＴ+Ｙ［３｜ιδ\x1e\"\x1a\x1b␗2?%{␎d＇.β",
		out:  "‛␠.υ␃ｖA\vθＴ+Ｙ［３｜ιδ\x1e\"\x1a\x1b␗2?%{␎d＇.β",
	}, { // 2
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "ρ.υ␃ｖA\vθＴ+Ｙ［３｜ιδ\x1e\"\x1a\x1b␗2?%{␎d＇. ",
		out:  "ρ.υ␃ｖA\vθＴ+Ｙ［３｜ιδ\x1e\"\x1a\x1b␗2?%{␎d＇. ",
	}, { // 3
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "ρ.υ␃ｖA\vθＴ+Ｙ［３｜ιδ\x1e\"\x1a\x1b␗2?%{␎d＇.␠",
		out:  "ρ.υ␃ｖA\vθＴ+Ｙ［３｜ιδ\x1e\"\x1a\x1b␗2?%{␎d＇.␠",
	}, { // 4
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␎＂S＂？[Ｈ1／φＹ\r０４ιq.υ␘+\x1bｐω\x16\nψ.P",
		out:  "␠.␎＂S＂？[Ｈ1‛／φＹ\r０４ιq.υ␘+\x1bｐω\x16\nψ.P",
	}, { // 5
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␎＂S＂？[Ｈ1／φＹ\r０４ιq.υ␘+\x1bｐω\x16\nψ.P",
		out:  "‛␠.␎＂S＂？[Ｈ1‛／φＹ\r０４ιq.υ␘+\x1bｐω\x16\nψ.P",
	}, { // 6
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x12.␎＂S＂？[Ｈ1／φＹ\r０４ιq.υ␘+\x1bｐω\x16\nψ. ",
		out:  "\x12.␎＂S＂？[Ｈ1‛／φＹ\r０４ιq.υ␘+\x1bｐω\x16\nψ. ",
	}, { // 7
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x12.␎＂S＂？[Ｈ1／φＹ\r０４ιq.υ␘+\x1bｐω\x16\nψ.␠",
		out:  "\x12.␎＂S＂？[Ｈ1‛／φＹ\r０４ιq.υ␘+\x1bｐω\x16\nψ.␠",
	}, { // 8
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .πNfμφγ%ｍ＼\\␊␑␃４`ｙ＆\x03\x1fτ，l\x01＄\r␟.h",
		out:  "␠.πNfμφγ%ｍ＼\\␊␑␃４`ｙ＆\x03\x1fτ，l\x01＄\r␟.h",
	}, { // 9
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.πNfμφγ%ｍ＼\\␊␑␃４`ｙ＆\x03\x1fτ，l\x01＄\r␟.h",
		out:  "‛␠.πNfμφγ%ｍ＼\\␊␑␃４`ｙ＆\x03\x1fτ，l\x01＄\r␟.h",
	}, { // 10
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "χ.πNfμφγ%ｍ＼\\␊␑␃４`ｙ＆\x03\x1fτ，l\x01＄\r␟. ",
		out:  "χ.πNfμφγ%ｍ＼\\␊␑␃４`ｙ＆\x03\x1fτ，l\x01＄\r␟. ",
	}, { // 11
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "χ.πNfμφγ%ｍ＼\\␊␑␃４`ｙ＆\x03\x1fτ，l\x01＄\r␟.␠",
		out:  "χ.πNfμφγ%ｍ＼\\␊␑␃４`ｙ＆\x03\x1fτ，l\x01＄\r␟.␠",
	}, { // 12
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␔φ␊=@x\x1e\x00|-κ␊σ~βν\t＝＄Ｑ\f；␛\x1bＴ␀.␖",
		out:  "␠.␔φ␊=@x\x1e␀|-κ␊σ~βν\t＝＄Ｑ\f；␛\x1bＴ‛␀.␖",
	}, { // 13
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␔φ␊=@x\x1e\x00|-κ␊σ~βν\t＝＄Ｑ\f；␛\x1bＴ␀.␖",
		out:  "‛␠.␔φ␊=@x\x1e␀|-κ␊σ~βν\t＝＄Ｑ\f；␛\x1bＴ‛␀.␖",
	}, { // 14
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "／.␔φ␊=@x\x1e\x00|-κ␊σ~βν\t＝＄Ｑ\f；␛\x1bＴ␀. ",
		out:  "／.␔φ␊=@x\x1e␀|-κ␊σ~βν\t＝＄Ｑ\f；␛\x1bＴ‛␀. ",
	}, { // 15
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "／.␔φ␊=@x\x1e\x00|-κ␊σ~βν\t＝＄Ｑ\f；␛\x1bＴ␀.␠",
		out:  "／.␔φ␊=@x\x1e␀|-κ␊σ~βν\t＝＄Ｑ\f；␛\x1bＴ‛␀.␠",
	}, { // 16
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .λτ＆␊ｐU:I\x18\x18＞5␕］＇\x19;φνO\x17\x12η␗λ␌.Ｙ",
		out:  "␠.λτ＆␊ｐU:I\x18\x18‛＞5␕］＇\x19;φνO\x17\x12η␗λ␌.Ｙ",
	}, { // 17
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.λτ＆␊ｐU:I\x18\x18＞5␕］＇\x19;φνO\x17\x12η␗λ␌.Ｙ",
		out:  "‛␠.λτ＆␊ｐU:I\x18\x18‛＞5␕］＇\x19;φνO\x17\x12η␗λ␌.Ｙ",
	}, { // 18
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␌.λτ＆␊ｐU:I\x18\x18＞5␕］＇\x19;φνO\x17\x12η␗λ␌. ",
		out:  "␌.λτ＆␊ｐU:I\x18\x18‛＞5␕］＇\x19;φνO\x17\x12η␗λ␌. ",
	}, { // 19
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␌.λτ＆␊ｐU:I\x18\x18＞5␕］＇\x19;φνO\x17\x12η␗λ␌.␠",
		out:  "␌.λτ＆␊ｐU:I\x18\x18‛＞5␕］＇\x19;φνO\x17\x12η␗λ␌.␠",
	}, { // 20
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␗\x04/ο＆␜γｗζ=␏４n␉\x1fＺNZ␝φ\u007fJＯφｍ\r.o",
		out:  "␠.␗\x04/ο＆␜γｗζ=␏４n␉\x1fＺNZ␝φ\u007fJＯφｍ\r.o",
	}, { // 21
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␗\x04/ο＆␜γｗζ=␏４n␉\x1fＺNZ␝φ\u007fJＯφｍ\r.o",
		out:  "‛␠.␗\x04/ο＆␜γｗζ=␏４n␉\x1fＺNZ␝φ\u007fJＯφｍ\r.o",
	}, { // 22
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␑.␗\x04/ο＆␜γｗζ=␏４n␉\x1fＺNZ␝φ\u007fJＯφｍ\r. ",
		out:  "␑.␗\x04/ο＆␜γｗζ=␏４n␉\x1fＺNZ␝φ\u007fJＯφｍ\r. ",
	}, { // 23
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␑.␗\x04/ο＆␜γｗζ=␏４n␉\x1fＺNZ␝φ\u007fJＯφｍ\r.␠",
		out:  "␑.␗\x04/ο＆␜γｗζ=␏４n␉\x1fＺNZ␝φ\u007fJＯφｍ\r.␠",
	}, { // 24
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .< ｀␅\b:␅r％?ξγ\"ｑ\x13λ\x02τｏ␍nνξ7␎／.｜",
		out:  "␠.< ｀␅\b:␅r％?ξγ\"ｑ\x13λ\x02τｏ␍nνξ7␎／.｜",
	}, { // 25
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.< ｀␅\b:␅r％?ξγ\"ｑ\x13λ\x02τｏ␍nνξ7␎／.｜",
		out:  "‛␠.< ｀␅\b:␅r％?ξγ\"ｑ\x13λ\x02τｏ␍nνξ7␎／.｜",
	}, { // 26
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "Ｓ.< ｀␅\b:␅r％?ξγ\"ｑ\x13λ\x02τｏ␍nνξ7␎／. ",
		out:  "Ｓ.< ｀␅\b:␅r％?ξγ\"ｑ\x13λ\x02τｏ␍nνξ7␎／. ",
	}, { // 27
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "Ｓ.< ｀␅\b:␅r％?ξγ\"ｑ\x13λ\x02τｏ␍nνξ7␎／.␠",
		out:  "Ｓ.< ｀␅\b:␅r％?ξγ\"ｑ\x13λ\x02τｏ␍nνξ7␎／.␠",
	}, { // 28
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .<％␉ｎ\x1cκ+η␋χ<\a8␏/｜σνRπ;\x12＃？５３.｀",
		out:  "␠.<％␉ｎ\x1cκ+η␋χ<\a8␏/｜σνRπ;\x12＃？５３.｀",
	}, { // 29
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.<％␉ｎ\x1cκ+η␋χ<\a8␏/｜σνRπ;\x12＃？５３.｀",
		out:  "‛␠.<％␉ｎ\x1cκ+η␋χ<\a8␏/｜σνRπ;\x12＃？５３.｀",
	}, { // 30
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␂.<％␉ｎ\x1cκ+η␋χ<\a8␏/｜σνRπ;\x12＃？５３. ",
		out:  "␂.<％␉ｎ\x1cκ+η␋χ<\a8␏/｜σνRπ;\x12＃？５３. ",
	}, { // 31
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␂.<％␉ｎ\x1cκ+η␋χ<\a8␏/｜σνRπ;\x12＃？５３.␠",
		out:  "␂.<％␉ｎ\x1cκ+η␋χ<\a8␏/｜σνRπ;\x12＃？５３.␠",
	}, { // 32
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␆␞␑ωｅａδＫ␜|<kd|＊␉Bδ＇?ｙθωJ＃/.F",
		out:  "␠.␆␞␑ωｅａδＫ␜|<kd|＊␉Bδ＇?ｙθωJ＃/.F",
	}, { // 33
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␆␞␑ωｅａδＫ␜|<kd|＊␉Bδ＇?ｙθωJ＃/.F",
		out:  "‛␠.␆␞␑ωｅａδＫ␜|<kd|＊␉Bδ＇?ｙθωJ＃/.F",
	}, { // 34
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x01.␆␞␑ωｅａδＫ␜|<kd|＊␉Bδ＇?ｙθωJ＃/. ",
		out:  "\x01.␆␞␑ωｅａδＫ␜|<kd|＊␉Bδ＇?ｙθωJ＃/. ",
	}, { // 35
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\x01.␆␞␑ωｅａδＫ␜|<kd|＊␉Bδ＇?ｙθωJ＃/.␠",
		out:  "\x01.␆␞␑ωｅａδＫ␜|<kd|＊␉Bδ＇?ｙθωJ＃/.␠",
	}, { // 36
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .ω7αＳ␖MＵ\x16}\x1b＇β␍｜␊τ]!ｅ␊'χF\r_Ｉ.ο",
		out:  "␠.ω7αＳ␖MＵ\x16}\x1b＇β␍｜␊τ]!ｅ␊'χF\r_Ｉ.ο",
	}, { // 37
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.ω7αＳ␖MＵ\x16}\x1b＇β␍｜␊τ]!ｅ␊'χF\r_Ｉ.ο",
		out:  "‛␠.ω7αＳ␖MＵ\x16}\x1b＇β␍｜␊τ]!ｅ␊'χF\r_Ｉ.ο",
	}, { // 38
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\r.ω7αＳ␖MＵ\x16}\x1b＇β␍｜␊τ]!ｅ␊'χF\r_Ｉ. ",
		out:  "\r.ω7αＳ␖MＵ\x16}\x1b＇β␍｜␊τ]!ｅ␊'χF\r_Ｉ. ",
	}, { // 39
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "\r.ω7αＳ␖MＵ\x16}\x1b＇β␍｜␊τ]!ｅ␊'χF\r_Ｉ.␠",
		out:  "\r.ω7αＳ␖MＵ\x16}\x1b＇β␍｜␊τ]!ｅ␊'χF\r_Ｉ.␠",
	}, { // 40
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .＜\x18，％／\"θμ;｝λ<ζｄｙ８9Y␇$Z\rι$\f／.^",
		out:  "␠.＜\x18，％／\"θμ;｝λ<ζｄｙ８9Y␇$Z\rι$\f／.^",
	}, { // 41
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.＜\x18，％／\"θμ;｝λ<ζｄｙ８9Y␇$Z\rι$\f／.^",
		out:  "‛␠.＜\x18，％／\"θμ;｝λ<ζｄｙ８9Y␇$Z\rι$\f／.^",
	}, { // 42
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "＋.＜\x18，％／\"θμ;｝λ<ζｄｙ８9Y␇$Z\rι$\f／. ",
		out:  "＋.＜\x18，％／\"θμ;｝λ<ζｄｙ８9Y␇$Z\rι$\f／. ",
	}, { // 43
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "＋.＜\x18，％／\"θμ;｝λ<ζｄｙ８9Y␇$Z\rι$\f／.␠",
		out:  "＋.＜\x18，％／\"θμ;｝λ<ζｄｙ８9Y␇$Z\rι$\f／.␠",
	}, { // 44
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␡λ\x03\x02\x13;ｕ＞␀［χhＭ*ψξ␜:\aiσＬeNς＂.:",
		out:  "␠.␡λ\x03\x02\x13;ｕ＞‛␀［χhＭ＊ψξ␜:\aiσＬeNς＂.:",
	}, { // 45
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␡λ\x03\x02\x13;ｕ＞␀［χhＭ*ψξ␜:\aiσＬeNς＂.:",
		out:  "‛␠.␡λ\x03\x02\x13;ｕ＞‛␀［χhＭ＊ψξ␜:\aiσＬeNς＂.:",
	}, { // 46
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "＂.␡λ\x03\x02\x13;ｕ＞␀［χhＭ*ψξ␜:\aiσＬeNς＂. ",
		out:  "＂.␡λ\x03\x02\x13;ｕ＞‛␀［χhＭ＊ψξ␜:\aiσＬeNς＂. ",
	}, { // 47
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "＂.␡λ\x03\x02\x13;ｕ＞␀［χhＭ*ψξ␜:\aiσＬeNς＂.␠",
		out:  "＂.␡λ\x03\x02\x13;ｕ＞‛␀［χhＭ＊ψξ␜:\aiσＬeNς＂.␠",
	}, { // 48
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .Ｓ\x1cＥωaι␀w？␋)τψＹ＞ｔ\x1b\x13ｈσ；'8\">｀.*",
		out:  "␠.Ｓ\x1cＥωaι‛␀w？␋)τψＹ＞ｔ\x1b\x13ｈσ；'8\">｀.*",
	}, { // 49
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.Ｓ\x1cＥωaι␀w？␋)τψＹ＞ｔ\x1b\x13ｈσ；'8\">｀.*",
		out:  "‛␠.Ｓ\x1cＥωaι‛␀w？␋)τψＹ＞ｔ\x1b\x13ｈσ；'8\">｀.*",
	}, { // 50
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "τ.Ｓ\x1cＥωaι␀w？␋)τψＹ＞ｔ\x1b\x13ｈσ；'8\">｀. ",
		out:  "τ.Ｓ\x1cＥωaι‛␀w？␋)τψＹ＞ｔ\x1b\x13ｈσ；'8\">｀. ",
	}, { // 51
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "τ.Ｓ\x1cＥωaι␀w？␋)τψＹ＞ｔ\x1b\x13ｈσ；'8\">｀.␠",
		out:  "τ.Ｓ\x1cＥωaι‛␀w？␋)τψＹ＞ｔ\x1b\x13ｈσ；'8\">｀.␠",
	}, { // 52
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .φ\"\x00？V␊\rKδ９Ｙς:ξＣ［␂P\x11＊οＱ6\\␖τ.b",
		out:  "␠.φ\"␀？V␊\rKδ９Ｙς:ξＣ［␂P\x11＊οＱ6\\␖τ.b",
	}, { // 53
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.φ\"\x00？V␊\rKδ９Ｙς:ξＣ［␂P\x11＊οＱ6\\␖τ.b",
		out:  "‛␠.φ\"␀？V␊\rKδ９Ｙς:ξＣ［␂P\x11＊οＱ6\\␖τ.b",
	}, { // 54
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "%.φ\"\x00？V␊\rKδ９Ｙς:ξＣ［␂P\x11＊οＱ6\\␖τ. ",
		out:  "%.φ\"␀？V␊\rKδ９Ｙς:ξＣ［␂P\x11＊οＱ6\\␖τ. ",
	}, { // 55
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "%.φ\"\x00？V␊\rKδ９Ｙς:ξＣ［␂P\x11＊οＱ6\\␖τ.␠",
		out:  "%.φ\"␀？V␊\rKδ９Ｙς:ξＣ［␂P\x11＊οＱ6\\␖τ.␠",
	}, { // 56
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .ρ$｀，␂+.␞γT]ｋ␊\nｅν␇\x19;\aρ]ｉ␂Ｏθ.:",
		out:  "␠.ρ$｀，␂+.␞γT]ｋ␊\nｅν␇\x19;\aρ]ｉ␂Ｏθ.:",
	}, { // 57
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.ρ$｀，␂+.␞γT]ｋ␊\nｅν␇\x19;\aρ]ｉ␂Ｏθ.:",
		out:  "‛␠.ρ$｀，␂+.␞γT]ｋ␊\nｅν␇\x19;\aρ]ｉ␂Ｏθ.:",
	}, { // 58
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "θ.ρ$｀，␂+.␞γT]ｋ␊\nｅν␇\x19;\aρ]ｉ␂Ｏθ. ",
		out:  "θ.ρ$｀，␂+.␞γT]ｋ␊\nｅν␇\x19;\aρ]ｉ␂Ｏθ. ",
	}, { // 59
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "θ.ρ$｀，␂+.␞γT]ｋ␊\nｅν␇\x19;\aρ]ｉ␂Ｏθ.␠",
		out:  "θ.ρ$｀，␂+.␞γT]ｋ␊\nｅν␇\x19;\aρ]ｉ␂Ｏθ.␠",
	}, { // 60
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .\tｋ＊ρςｍ<ο!\f2s\x1e=#ψ\x1a␎␄␀＂χ␝␙σ］.?",
		out:  "␠.\tｋ＊ρςｍ<ο!\f2s\x1e=#ψ\x1a␎␄‛␀＂χ␝␙σ］.?",
	}, { // 61
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.\tｋ＊ρςｍ<ο!\f2s\x1e=#ψ\x1a␎␄␀＂χ␝␙σ］.?",
		out:  "‛␠.\tｋ＊ρςｍ<ο!\f2s\x1e=#ψ\x1a␎␄‛␀＂χ␝␙σ］.?",
	}, { // 62
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "％.\tｋ＊ρςｍ<ο!\f2s\x1e=#ψ\x1a␎␄␀＂χ␝␙σ］. ",
		out:  "％.\tｋ＊ρςｍ<ο!\f2s\x1e=#ψ\x1a␎␄‛␀＂χ␝␙σ］. ",
	}, { // 63
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "％.\tｋ＊ρςｍ<ο!\f2s\x1e=#ψ\x1a␎␄␀＂χ␝␙σ］.␠",
		out:  "％.\tｋ＊ρςｍ<ο!\f2s\x1e=#ψ\x1a␎␄‛␀＂χ␝␙σ］.␠",
	}, { // 64
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .＄βκ␟β\x0e␛T\x1fl＃；，\bξ\a＃␝H8␔@:%πｃ.\x19",
		out:  "␠.＄βκ␟β\x0e␛T\x1fl＃；，\bξ\a＃␝H8␔@:%πｃ.\x19",
	}, { // 65
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.＄βκ␟β\x0e␛T\x1fl＃；，\bξ\a＃␝H8␔@:%πｃ.\x19",
		out:  "‛␠.＄βκ␟β\x0e␛T\x1fl＃；，\bξ\a＃␝H8␔@:%πｃ.\x19",
	}, { // 66
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "μ.＄βκ␟β\x0e␛T\x1fl＃；，\bξ\a＃␝H8␔@:%πｃ. ",
		out:  "μ.＄βκ␟β\x0e␛T\x1fl＃；，\bξ\a＃␝H8␔@:%πｃ. ",
	}, { // 67
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "μ.＄βκ␟β\x0e␛T\x1fl＃；，\bξ\a＃␝H8␔@:%πｃ.␠",
		out:  "μ.＄βκ␟β\x0e␛T\x1fl＃；，\bξ\a＃␝H8␔@:%πｃ.␠",
	}, { // 68
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .\x12␂λ\x06］␔＞␓9ςｅＰ｀\x1aλ＄εo\x1d（@\f \x1cψｏ.C",
		out:  "␠.\x12␂λ\x06］␔＞␓9ςｅＰ｀\x1aλ＄εo\x1d（@\f \x1cψｏ.C",
	}, { // 69
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.\x12␂λ\x06］␔＞␓9ςｅＰ｀\x1aλ＄εo\x1d（@\f \x1cψｏ.C",
		out:  "‛␠.\x12␂λ\x06］␔＞␓9ςｅＰ｀\x1aλ＄εo\x1d（@\f \x1cψｏ.C",
	}, { // 70
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "Ｓ.\x12␂λ\x06］␔＞␓9ςｅＰ｀\x1aλ＄εo\x1d（@\f \x1cψｏ. ",
		out:  "Ｓ.\x12␂λ\x06］␔＞␓9ςｅＰ｀\x1aλ＄εo\x1d（@\f \x1cψｏ. ",
	}, { // 71
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "Ｓ.\x12␂λ\x06］␔＞␓9ςｅＰ｀\x1aλ＄εo\x1d（@\f \x1cψｏ.␠",
		out:  "Ｓ.\x12␂λ\x06］␔＞␓9ςｅＰ｀\x1aλ＄εo\x1d（@\f \x1cψｏ.␠",
	}, { // 72
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftPeriod,
		in:   " .␇v<Ｐ\x14＋␈\n\x01 'NH｜`α␏＃ω\x05｜συκ\x14␝.］",
		out:  "␠.‛␇v<Ｐ␔＋‛␈␊␁ 'NH｜`α‛␏＃ω␅｜συκ␔‛␝.］",
	}, { // 73
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "␠.␇v<Ｐ\x14＋␈\n\x01 'NH｜`α␏＃ω\x05｜συκ\x14␝.］",
		out:  "‛␠.‛␇v<Ｐ␔＋‛␈␊␁ 'NH｜`α‛␏＃ω␅｜συκ␔‛␝.］",
	}, { // 74
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "ζ.␇v<Ｐ\x14＋␈\n\x01 'NH｜`α␏＃ω\x05｜συκ\x14␝. ",
		out:  "ζ.‛␇v<Ｐ␔＋‛␈␊␁ 'NH｜`α‛␏＃ω␅｜συκ␔‛␝. ",
	}, { // 75
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftPeriod,
		in:   "ζ.␇v<Ｐ\x14＋␈\n\x01 'NH｜`α␏＃ω\x05｜συκ\x14␝.␠",
		out:  "ζ.‛␇v<Ｐ␔＋‛␈␊␁ 'NH｜`α‛␏＃ω␅｜συκ␔‛␝.␠",
	}, { // 76
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~9␄g｝␎ρ\\κｌ\x15ｙ\x03␐␚$θ｜`.b␊δαｖν:~␆",
		out:  "␠~9␄g｝␎ρ\\κｌ\x15ｙ\x03␐␚$θ｜`.b␊δαｖν:~␆",
	}, { // 77
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~9␄g｝␎ρ\\κｌ\x15ｙ\x03␐␚$θ｜`.b␊δαｖν:~␆",
		out:  "‛␠~9␄g｝␎ρ\\κｌ\x15ｙ\x03␐␚$θ｜`.b␊δαｖν:~␆",
	}, { // 78
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftTilde,
		in:   "q~9␄g｝␎ρ\\κｌ\x15ｙ\x03␐␚$θ｜`.b␊δαｖν:~ ",
		out:  "q~9␄g｝␎ρ\\κｌ\x15ｙ\x03␐␚$θ｜`.b␊δαｖν:~ ",
	}, { // 79
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftTilde,
		in:   "q~9␄g｝␎ρ\\κｌ\x15ｙ\x03␐␚$θ｜`.b␊δαｖν:~␠",
		out:  "q~9␄g｝␎ρ\\κｌ\x15ｙ\x03␐␚$θ｜`.b␊δαｖν:~␠",
	}, { // 80
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~␓W␟\u007fυ␋r：βF;Ｑξ\x1d%：Ｌτ\x10&δ[＝\x01；R~ρ",
		out:  "␠~␓W␟\u007fυ␋r：βF;Ｑξ\x1d%：Ｌτ\x10&δ[＝\x01；R~ρ",
	}, { // 81
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~␓W␟\u007fυ␋r：βF;Ｑξ\x1d%：Ｌτ\x10&δ[＝\x01；R~ρ",
		out:  "‛␠~␓W␟\u007fυ␋r：βF;Ｑξ\x1d%：Ｌτ\x10&δ[＝\x01；R~ρ",
	}, { // 82
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ｈ~␓W␟\u007fυ␋r：βF;Ｑξ\x1d%：Ｌτ\x10&δ[＝\x01；R~ ",
		out:  "ｈ~␓W␟\u007fυ␋r：βF;Ｑξ\x1d%：Ｌτ\x10&δ[＝\x01；R~ ",
	}, { // 83
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ｈ~␓W␟\u007fυ␋r：βF;Ｑξ\x1d%：Ｌτ\x10&δ[＝\x01；R~␠",
		out:  "ｈ~␓W␟\u007fυ␋r：βF;Ｑξ\x1d%：Ｌτ\x10&δ[＝\x01；R~␠",
	}, { // 84
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~@ｗ␊ρ␈B（νζλ\x19ｙ␋␖/ｙ？;␂N␀α(＞ς\"~#",
		out:  "␠~@ｗ␊ρ␈B（νζλ\x19ｙ␋␖/ｙ？;␂N‛␀α(＞ς\"~#",
	}, { // 85
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~@ｗ␊ρ␈B（νζλ\x19ｙ␋␖/ｙ？;␂N␀α(＞ς\"~#",
		out:  "‛␠~@ｗ␊ρ␈B（νζλ\x19ｙ␋␖/ｙ？;␂N‛␀α(＞ς\"~#",
	}, { // 86
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "F~@ｗ␊ρ␈B（νζλ\x19ｙ␋␖/ｙ？;␂N␀α(＞ς\"~ ",
		out:  "F~@ｗ␊ρ␈B（νζλ\x19ｙ␋␖/ｙ？;␂N‛␀α(＞ς\"~ ",
	}, { // 87
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "F~@ｗ␊ρ␈B（νζλ\x19ｙ␋␖/ｙ？;␂N␀α(＞ς\"~␠",
		out:  "F~@ｗ␊ρ␈B（νζλ\x19ｙ␋␖/ｙ？;␂N‛␀α(＞ς\"~␠",
	}, { // 88
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~1ｅ＊λ2\x13␞γ！δL|＜q\x16.\x1e７␟␑δ\x04␍Ｊ␚/~ｚ",
		out:  "␠~1ｅ＊λ2\x13␞γ！δL|＜q\x16.\x1e７␟␑δ\x04␍Ｊ␚/~ｚ",
	}, { // 89
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~1ｅ＊λ2\x13␞γ！δL|＜q\x16.\x1e７␟␑δ\x04␍Ｊ␚/~ｚ",
		out:  "‛␠~1ｅ＊λ2\x13␞γ！δL|＜q\x16.\x1e７␟␑δ\x04␍Ｊ␚/~ｚ",
	}, { // 90
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ς~1ｅ＊λ2\x13␞γ！δL|＜q\x16.\x1e７␟␑δ\x04␍Ｊ␚/~ ",
		out:  "ς~1ｅ＊λ2\x13␞γ！δL|＜q\x16.\x1e７␟␑δ\x04␍Ｊ␚/~ ",
	}, { // 91
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ς~1ｅ＊λ2\x13␞γ！δL|＜q\x16.\x1e７␟␑δ\x04␍Ｊ␚/~␠",
		out:  "ς~1ｅ＊λ2\x13␞γ！δL|＜q\x16.\x1e７␟␑δ\x04␍Ｊ␚/~␠",
	}, { // 92
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~７π＊ω\rLλ\x1e␗＝a␆\x0eβυｋRα␜␄ＣD\uff00$＃\x10~K",
		out:  "␠~７π＊ω\rLλ\x1e␗＝a␆\x0eβυｋRα␜␄ＣD\uff00$＃\x10~K",
	}, { // 93
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~７π＊ω\rLλ\x1e␗＝a␆\x0eβυｋRα␜␄ＣD\uff00$＃\x10~K",
		out:  "‛␠~７π＊ω\rLλ\x1e␗＝a␆\x0eβυｋRα␜␄ＣD\uff00$＃\x10~K",
	}, { // 94
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftTilde,
		in:   "\x1e~７π＊ω\rLλ\x1e␗＝a␆\x0eβυｋRα␜␄ＣD\uff00$＃\x10~ ",
		out:  "\x1e~７π＊ω\rLλ\x1e␗＝a␆\x0eβυｋRα␜␄ＣD\uff00$＃\x10~ ",
	}, { // 95
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftTilde,
		in:   "\x1e~７π＊ω\rLλ\x1e␗＝a␆\x0eβυｋRα␜␄ＣD\uff00$＃\x10~␠",
		out:  "\x1e~７π＊ω\rLλ\x1e␗＝a␆\x0eβυｋRα␜␄ＣD\uff00$＃\x10~␠",
	}, { // 96
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~?βＳＦμ－\x18＿ςτ}\r␋／3\x17O＆\u007f；＞G␂I＜ρ~：",
		out:  "␠~?βＳＦμ－\x18＿ςτ}\r␋／3\x17O＆\u007f；＞G␂I＜ρ~：",
	}, { // 97
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~?βＳＦμ－\x18＿ςτ}\r␋／3\x17O＆\u007f；＞G␂I＜ρ~：",
		out:  "‛␠~?βＳＦμ－\x18＿ςτ}\r␋／3\x17O＆\u007f；＞G␂I＜ρ~：",
	}, { // 98
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftTilde,
		in:   "$~?βＳＦμ－\x18＿ςτ}\r␋／3\x17O＆\u007f；＞G␂I＜ρ~ ",
		out:  "$~?βＳＦμ－\x18＿ςτ}\r␋／3\x17O＆\u007f；＞G␂I＜ρ~ ",
	}, { // 99
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftTilde,
		in:   "$~?βＳＦμ－\x18＿ςτ}\r␋／3\x17O＆\u007f；＞G␂I＜ρ~␠",
		out:  "$~?βＳＦμ－\x18＿ςτ}\r␋／3\x17O＆\u007f；＞G␂I＜ρ~␠",
	}, { // 100
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~＜\x02＋ａ／０\x0e␐u<'ｅYqρ#υπ␚＞＼κ\x17_ｖ6~z",
		out:  "␠~＜\x02＋ａ／０\x0e␐u<'ｅYqρ#υπ␚＞＼κ\x17_ｖ6~z",
	}, { // 101
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~＜\x02＋ａ／０\x0e␐u<'ｅYqρ#υπ␚＞＼κ\x17_ｖ6~z",
		out:  "‛␠~＜\x02＋ａ／０\x0e␐u<'ｅYqρ#υπ␚＞＼κ\x17_ｖ6~z",
	}, { // 102
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ς~＜\x02＋ａ／０\x0e␐u<'ｅYqρ#υπ␚＞＼κ\x17_ｖ6~ ",
		out:  "ς~＜\x02＋ａ／０\x0e␐u<'ｅYqρ#υπ␚＞＼κ\x17_ｖ6~ ",
	}, { // 103
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ς~＜\x02＋ａ／０\x0e␐u<'ｅYqρ#υπ␚＞＼κ\x17_ｖ6~␠",
		out:  "ς~＜\x02＋ａ／０\x0e␐u<'ｅYqρ#υπ␚＞＼κ\x17_ｖ6~␠",
	}, { // 104
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~ｒ␘d\x1cD＊␅＇-b\x17μ\x1e*ζ９χｂξ␏KＡ？／Ｘ$~ς",
		out:  "␠~ｒ␘d\x1cD＊␅＇-b\x17μ\x1e*ζ９χｂξ␏KＡ？／Ｘ＄~ς",
	}, { // 105
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~ｒ␘d\x1cD＊␅＇-b\x17μ\x1e*ζ９χｂξ␏KＡ？／Ｘ$~ς",
		out:  "‛␠~ｒ␘d\x1cD＊␅＇-b\x17μ\x1e*ζ９χｂξ␏KＡ？／Ｘ＄~ς",
	}, { // 106
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftTilde,
		in:   "\x17~ｒ␘d\x1cD＊␅＇-b\x17μ\x1e*ζ９χｂξ␏KＡ？／Ｘ$~ ",
		out:  "\x17~ｒ␘d\x1cD＊␅＇-b\x17μ\x1e*ζ９χｂξ␏KＡ？／Ｘ＄~ ",
	}, { // 107
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftTilde,
		in:   "\x17~ｒ␘d\x1cD＊␅＇-b\x17μ\x1e*ζ９χｂξ␏KＡ？／Ｘ$~␠",
		out:  "\x17~ｒ␘d\x1cD＊␅＇-b\x17μ\x1e*ζ９χｂξ␏KＡ？／Ｘ＄~␠",
	}, { // 108
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~p？αρ\x13␉␌␈＞ν\x1b＝\x0e\x18－␙P\x19jLτi?Ｋ#１~μ",
		out:  "␠~p？αρ\x13␉␌␈＞ν\x1b＝\x0e\x18－␙P\x19jLτi?Ｋ#１~μ",
	}, { // 109
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~p？αρ\x13␉␌␈＞ν\x1b＝\x0e\x18－␙P\x19jLτi?Ｋ#１~μ",
		out:  "‛␠~p？αρ\x13␉␌␈＞ν\x1b＝\x0e\x18－␙P\x19jLτi?Ｋ#１~μ",
	}, { // 110
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＃~p？αρ\x13␉␌␈＞ν\x1b＝\x0e\x18－␙P\x19jLτi?Ｋ#１~ ",
		out:  "＃~p？αρ\x13␉␌␈＞ν\x1b＝\x0e\x18－␙P\x19jLτi?Ｋ#１~ ",
	}, { // 111
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＃~p？αρ\x13␉␌␈＞ν\x1b＝\x0e\x18－␙P\x19jLτi?Ｋ#１~␠",
		out:  "＃~p？αρ\x13␉␌␈＞ν\x1b＝\x0e\x18－␙P\x19jLτi?Ｋ#１~␠",
	}, { // 112
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~！\x10\x1cｈ；␌␛\x03G\x1e＼[η\x18.λd?ω６␂%␡␐θβ~β",
		out:  "␠~！\x10\x1cｈ；␌␛\x03G\x1e＼[η\x18.λd?ω６␂%␡␐θβ~β",
	}, { // 113
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~！\x10\x1cｈ；␌␛\x03G\x1e＼[η\x18.λd?ω６␂%␡␐θβ~β",
		out:  "‛␠~！\x10\x1cｈ；␌␛\x03G\x1e＼[η\x18.λd?ω６␂%␡␐θβ~β",
	}, { // 114
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＿~！\x10\x1cｈ；␌␛\x03G\x1e＼[η\x18.λd?ω６␂%␡␐θβ~ ",
		out:  "＿~！\x10\x1cｈ；␌␛\x03G\x1e＼[η\x18.λd?ω６␂%␡␐θβ~ ",
	}, { // 115
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＿~！\x10\x1cｈ；␌␛\x03G\x1e＼[η\x18.λd?ω６␂%␡␐θβ~␠",
		out:  "＿~！\x10\x1cｈ；␌␛\x03G\x1e＼[η\x18.λd?ω６␂%␡␐θβ~␠",
	}, { // 116
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~μ/v/ｇ\x1e＜？1␄］)\x15␖Q：Ｄαsιπρ\uff00Ｋ\bχ~\x04",
		out:  "␠~μ/v/ｇ\x1e＜‛？1␄］)\x15␖Q：Ｄαsιπρ\uff00Ｋ\bχ~\x04",
	}, { // 117
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~μ/v/ｇ\x1e＜？1␄］)\x15␖Q：Ｄαsιπρ\uff00Ｋ\bχ~\x04",
		out:  "‛␠~μ/v/ｇ\x1e＜‛？1␄］)\x15␖Q：Ｄαsιπρ\uff00Ｋ\bχ~\x04",
	}, { // 118
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＂~μ/v/ｇ\x1e＜？1␄］)\x15␖Q：Ｄαsιπρ\uff00Ｋ\bχ~ ",
		out:  "＂~μ/v/ｇ\x1e＜‛？1␄］)\x15␖Q：Ｄαsιπρ\uff00Ｋ\bχ~ ",
	}, { // 119
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftTilde,
		in:   "＂~μ/v/ｇ\x1e＜？1␄］)\x15␖Q：Ｄαsιπρ\uff00Ｋ\bχ~␠",
		out:  "＂~μ/v/ｇ\x1e＜‛？1␄］)\x15␖Q：Ｄαsιπρ\uff00Ｋ\bχ~␠",
	}, { // 120
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~␌P␓\x04]ＡFκq␁>%η\t\x12ε`ρＳ＜｀n：＂χ９~ζ",
		out:  "␠~␌P␓\x04]ＡFκq␁>%η\t\x12ε`ρＳ＜｀n：＂χ９~ζ",
	}, { // 121
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~␌P␓\x04]ＡFκq␁>%η\t\x12ε`ρＳ＜｀n：＂χ９~ζ",
		out:  "‛␠~␌P␓\x04]ＡFκq␁>%η\t\x12ε`ρＳ＜｀n：＂χ９~ζ",
	}, { // 122
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftTilde,
		in:   "Ａ~␌P␓\x04]ＡFκq␁>%η\t\x12ε`ρＳ＜｀n：＂χ９~ ",
		out:  "Ａ~␌P␓\x04]ＡFκq␁>%η\t\x12ε`ρＳ＜｀n：＂χ９~ ",
	}, { // 123
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftTilde,
		in:   "Ａ~␌P␓\x04]ＡFκq␁>%η\t\x12ε`ρＳ＜｀n：＂χ９~␠",
		out:  "Ａ~␌P␓\x04]ＡFκq␁>%η\t\x12ε`ρＳ＜｀n：＂χ９~␠",
	}, { // 124
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~ωｂｆ３υｆ␐␊EχsW\x15␡`r␚＃μ']\x16Sφ␈\x1f~ｆ",
		out:  "␠~ωｂｆ３υｆ␐␊EχsW\x15␡`r␚＃μ']\x16Sφ␈\x1f~ｆ",
	}, { // 125
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~ωｂｆ３υｆ␐␊EχsW\x15␡`r␚＃μ']\x16Sφ␈\x1f~ｆ",
		out:  "‛␠~ωｂｆ３υｆ␐␊EχsW\x15␡`r␚＃μ']\x16Sφ␈\x1f~ｆ",
	}, { // 126
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ξ~ωｂｆ３υｆ␐␊EχsW\x15␡`r␚＃μ']\x16Sφ␈\x1f~ ",
		out:  "ξ~ωｂｆ３υｆ␐␊EχsW\x15␡`r␚＃μ']\x16Sφ␈\x1f~ ",
	}, { // 127
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ξ~ωｂｆ３υｆ␐␊EχsW\x15␡`r␚＃μ']\x16Sφ␈\x1f~␠",
		out:  "ξ~ωｂｆ３υｆ␐␊EχsW\x15␡`r␚＃μ']\x16Sφ␈\x1f~␠",
	}, { // 128
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~$]δ\x10ｆｚＱm＃␡βＦ／σ］ａ␓␞δ?G:λ\\δ/~\x03",
		out:  "␠~$]δ\x10ｆｚＱm‛＃␡βＦ／σ］ａ␓␞δ?G:λ\\δ/~\x03",
	}, { // 129
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~$]δ\x10ｆｚＱm＃␡βＦ／σ］ａ␓␞δ?G:λ\\δ/~\x03",
		out:  "‛␠~$]δ\x10ｆｚＱm‛＃␡βＦ／σ］ａ␓␞δ?G:λ\\δ/~\x03",
	}, { // 130
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "G~$]δ\x10ｆｚＱm＃␡βＦ／σ］ａ␓␞δ?G:λ\\δ/~ ",
		out:  "G~$]δ\x10ｆｚＱm‛＃␡βＦ／σ］ａ␓␞δ?G:λ\\δ/~ ",
	}, { // 131
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "G~$]δ\x10ｆｚＱm＃␡βＦ／σ］ａ␓␞δ?G:λ\\δ/~␠",
		out:  "G~$]δ\x10ｆｚＱm‛＃␡βＦ／σ］ａ␓␞δ?G:λ\\δ/~␠",
	}, { // 132
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~\x06[\x17ｘ，ＲQςεP\u007fL␘\x140θβＤ4␙\uff000κＫρ␓~＊",
		out:  "␠~\x06[\x17ｘ，ＲQςεP\u007fL␘\x140θβＤ4␙\uff000κＫρ␓~＊",
	}, { // 133
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~\x06[\x17ｘ，ＲQςεP\u007fL␘\x140θβＤ4␙\uff000κＫρ␓~＊",
		out:  "‛␠~\x06[\x17ｘ，ＲQςεP\u007fL␘\x140θβＤ4␙\uff000κＫρ␓~＊",
	}, { // 134
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␘~\x06[\x17ｘ，ＲQςεP\u007fL␘\x140θβＤ4␙\uff000κＫρ␓~ ",
		out:  "␘~\x06[\x17ｘ，ＲQςεP\u007fL␘\x140θβＤ4␙\uff000κＫρ␓~ ",
	}, { // 135
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␘~\x06[\x17ｘ，ＲQςεP\u007fL␘\x140θβＤ4␙\uff000κＫρ␓~␠",
		out:  "␘~\x06[\x17ｘ，ＲQςεP\u007fL␘\x140θβＤ4␙\uff000κＫρ␓~␠",
	}, { // 136
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~＂\x1d␊Zw％）\x0f␜５Q＇ο␒π｜␖Ｘι?απW\x0eο\r~Ｈ",
		out:  "␠~＂\x1d␊Zw％）\x0f␜５Q＇ο␒π｜␖Ｘι?απW\x0eο\r~Ｈ",
	}, { // 137
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~＂\x1d␊Zw％）\x0f␜５Q＇ο␒π｜␖Ｘι?απW\x0eο\r~Ｈ",
		out:  "‛␠~＂\x1d␊Zw％）\x0f␜５Q＇ο␒π｜␖Ｘι?απW\x0eο\r~Ｈ",
	}, { // 138
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "\r~＂\x1d␊Zw％）\x0f␜５Q＇ο␒π｜␖Ｘι?απW\x0eο\r~ ",
		out:  "\r~＂\x1d␊Zw％）\x0f␜５Q＇ο␒π｜␖Ｘι?απW\x0eο\r~ ",
	}, { // 139
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftTilde,
		in:   "\r~＂\x1d␊Zw％）\x0f␜５Q＇ο␒π｜␖Ｘι?απW\x0eο\r~␠",
		out:  "\r~＂\x1d␊Zw％）\x0f␜５Q＇ο␒π｜␖Ｘι?απW\x0eο\r~␠",
	}, { // 140
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~～γ；δ\x0e\x18X＄:］I＞E～␄ε\x13λ␏\x1dκ\uff00ξmA␝~５",
		out:  "␠~～γ；δ\x0e\x18X＄:］I＞E～␄ε\x13λ␏\x1dκ\uff00ξmA␝~５",
	}, { // 141
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~～γ；δ\x0e\x18X＄:］I＞E～␄ε\x13λ␏\x1dκ\uff00ξmA␝~５",
		out:  "‛␠~～γ；δ\x0e\x18X＄:］I＞E～␄ε\x13λ␏\x1dκ\uff00ξmA␝~５",
	}, { // 142
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftTilde,
		in:   "／~～γ；δ\x0e\x18X＄:］I＞E～␄ε\x13λ␏\x1dκ\uff00ξmA␝~ ",
		out:  "／~～γ；δ\x0e\x18X＄:］I＞E～␄ε\x13λ␏\x1dκ\uff00ξmA␝~ ",
	}, { // 143
		mask: EncodeCrLf | EncodeLeftSpace | EncodeLeftTilde,
		in:   "／~～γ；δ\x0e\x18X＄:］I＞E～␄ε\x13λ␏\x1dκ\uff00ξmA␝~␠",
		out:  "／~～γ；δ\x0e\x18X＄:］I＞E～␄ε\x13λ␏\x1dκ\uff00ξmA␝~␠",
	}, { // 144
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~\rζ\x10ｕι␎m／␔␅m／gπ\x03\x1f\x02９／ψυσd＊Ｃ␚~(",
		out:  "␠~\rζ\x10ｕι␎m／␔␅m／gπ\x03\x1f\x02９／ψυσd＊Ｃ␚~(",
	}, { // 145
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~\rζ\x10ｕι␎m／␔␅m／gπ\x03\x1f\x02９／ψυσd＊Ｃ␚~(",
		out:  "‛␠~\rζ\x10ｕι␎m／␔␅m／gπ\x03\x1f\x02９／ψυσd＊Ｃ␚~(",
	}, { // 146
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ｒ~\rζ\x10ｕι␎m／␔␅m／gπ\x03\x1f\x02９／ψυσd＊Ｃ␚~ ",
		out:  "ｒ~\rζ\x10ｕι␎m／␔␅m／gπ\x03\x1f\x02９／ψυσd＊Ｃ␚~ ",
	}, { // 147
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftTilde,
		in:   "ｒ~\rζ\x10ｕι␎m／␔␅m／gπ\x03\x1f\x02９／ψυσd＊Ｃ␚~␠",
		out:  "ｒ~\rζ\x10ｕι␎m／␔␅m／gπ\x03\x1f\x02９／ψυσd＊Ｃ␚~␠",
	}, { // 148
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftTilde,
		in:   " ~␒＝\x1b；；＼β\x19Jｋ\x12/iＺv\a}tθｄ％～\x1eξ｀σ~ι",
		out:  "␠~‛␒＝␛；；＼β␙Jｋ␒/iＺv␇}tθｄ％～␞ξ｀σ~ι",
	}, { // 149
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftTilde,
		in:   "␠~␒＝\x1b；；＼β\x19Jｋ\x12/iＺv\a}tθｄ％～\x1eξ｀σ~ι",
		out:  "‛␠~‛␒＝␛；；＼β␙Jｋ␒/iＺv␇}tθｄ％～␞ξ｀σ~ι",
	}, { // 150
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftTilde,
		in:   "c~␒＝\x1b；；＼β\x19Jｋ\x12/iＺv\a}tθｄ％～\x1eξ｀σ~ ",
		out:  "c~‛␒＝␛；；＼β␙Jｋ␒/iＺv␇}tθｄ％～␞ξ｀σ~ ",
	}, { // 151
		mask: EncodeCtl | EncodeLeftSpace | EncodeLeftTilde,
		in:   "c~␒＝\x1b；；＼β\x19Jｋ\x12/iＺv\a}tθｄ％～\x1eξ｀σ~␠",
		out:  "c~‛␒＝␛；；＼β␙Jｋ␒/iＺv␇}tθｄ％～␞ξ｀σ~␠",
	}, { // 152
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\tJ",
		out:  "␠\t］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\tJ",
	}, { // 153
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\tJ",
		out:  "‛␠\t］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\tJ",
	}, { // 154
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\nJ",
		out:  "␠\n］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\nJ",
	}, { // 155
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\nJ",
		out:  "‛␠\n］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\nJ",
	}, { // 156
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\vJ",
		out:  "␠\v］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\vJ",
	}, { // 157
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\vJ",
		out:  "‛␠\v］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\vJ",
	}, { // 158
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\rJ",
		out:  "␠\r］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\rJ",
	}, { // 159
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\rJ",
		out:  "‛␠\r］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\rJ",
	}, { // 160
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "o\t］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\t ",
		out:  "o\t］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\t ",
	}, { // 161
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "o\t］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\t␠",
		out:  "o\t］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\t␠",
	}, { // 162
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "o\n］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\n ",
		out:  "o\n］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\n ",
	}, { // 163
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "o\n］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\n␠",
		out:  "o\n］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\n␠",
	}, { // 164
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "o\v］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\v ",
		out:  "o\v］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\v ",
	}, { // 165
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "o\v］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\v␠",
		out:  "o\v］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\v␠",
	}, { // 166
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "o\r］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\r ",
		out:  "o\r］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\r ",
	}, { // 167
		mask: EncodeZero | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "o\r］␊φ>\x11␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\r␠",
		out:  "o\r］␊φ>\x11‛␀δ\"β７w｀␍３δ\x15φＥ＇␕lν＄W␅>\r␠",
	}, { // 168
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\t\x11",
		out:  "␠\t｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\t\x11",
	}, { // 169
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\t\x11",
		out:  "‛␠\t｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\t\x11",
	}, { // 170
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\n\x11",
		out:  "␠\n｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\n\x11",
	}, { // 171
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\n\x11",
		out:  "‛␠\n｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\n\x11",
	}, { // 172
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\v\x11",
		out:  "␠\v｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\v\x11",
	}, { // 173
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\v\x11",
		out:  "‛␠\v｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\v\x11",
	}, { // 174
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\r\x11",
		out:  "␠\r｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\r\x11",
	}, { // 175
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\r\x11",
		out:  "‛␠\r｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\r\x11",
	}, { // 176
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "Ｑ\t｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\t ",
		out:  "Ｑ\t｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\t ",
	}, { // 177
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "Ｑ\t｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\t␠",
		out:  "Ｑ\t｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\t␠",
	}, { // 178
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "Ｑ\n｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\n ",
		out:  "Ｑ\n｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\n ",
	}, { // 179
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "Ｑ\n｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\n␠",
		out:  "Ｑ\n｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\n␠",
	}, { // 180
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "Ｑ\v｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\v ",
		out:  "Ｑ\v｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\v ",
	}, { // 181
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "Ｑ\v｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\v␠",
		out:  "Ｑ\v｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\v␠",
	}, { // 182
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "Ｑ\r｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\r ",
		out:  "Ｑ\r｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\r ",
	}, { // 183
		mask: EncodeSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "Ｑ\r｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\r␠",
		out:  "Ｑ\r｜γςx\x15ｒ␗ξγ｜ｙ＜*␝？］~βB\x01uＨ\x03\r+7\r␠",
	}, { // 184
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\t␉",
		out:  "␠\t}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\t␉",
	}, { // 185
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\t␉",
		out:  "‛␠\t}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\t␉",
	}, { // 186
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\n␉",
		out:  "␠\n}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\n␉",
	}, { // 187
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\n␉",
		out:  "‛␠\n}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\n␉",
	}, { // 188
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\v␉",
		out:  "␠\v}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\v␉",
	}, { // 189
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\v␉",
		out:  "‛␠\v}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\v␉",
	}, { // 190
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\r␉",
		out:  "␠\r}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\r␉",
	}, { // 191
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\r␉",
		out:  "‛␠\r}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\r␉",
	}, { // 192
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x16\t}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\t ",
		out:  "\x16\t}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\t ",
	}, { // 193
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x16\t}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\t␠",
		out:  "\x16\t}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\t␠",
	}, { // 194
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x16\n}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\n ",
		out:  "\x16\n}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\n ",
	}, { // 195
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x16\n}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\n␠",
		out:  "\x16\n}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\n␠",
	}, { // 196
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x16\v}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\v ",
		out:  "\x16\v}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\v ",
	}, { // 197
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x16\v}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\v␠",
		out:  "\x16\v}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\v␠",
	}, { // 198
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x16\r}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\r ",
		out:  "\x16\r}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\r ",
	}, { // 199
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x16\r}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\r␠",
		out:  "\x16\r}β#␄？␈Ｔｔ\x1cζ`j\x1akmαＵ１␍θN，␑\bＡP\r␠",
	}, { // 200
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\tπ",
		out:  "␠\t\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\tπ",
	}, { // 201
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\tπ",
		out:  "‛␠\t\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\tπ",
	}, { // 202
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\nπ",
		out:  "␠\n\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\nπ",
	}, { // 203
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\nπ",
		out:  "‛␠\n\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\nπ",
	}, { // 204
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\vπ",
		out:  "␠\v\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\vπ",
	}, { // 205
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\vπ",
		out:  "‛␠\v\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\vπ",
	}, { // 206
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\rπ",
		out:  "␠\r\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\rπ",
	}, { // 207
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\rπ",
		out:  "‛␠\r\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\rπ",
	}, { // 208
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␎\t\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\t ",
		out:  "␎\t\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\t ",
	}, { // 209
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␎\t\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\t␠",
		out:  "␎\t\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\t␠",
	}, { // 210
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␎\n\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\n ",
		out:  "␎\n\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\n ",
	}, { // 211
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␎\n\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\n␠",
		out:  "␎\n\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\n␠",
	}, { // 212
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␎\v\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\v ",
		out:  "␎\v\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\v ",
	}, { // 213
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␎\v\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\v␠",
		out:  "␎\v\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\v␠",
	}, { // 214
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␎\r\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\r ",
		out:  "␎\r\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\r ",
	}, { // 215
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␎\r\x12Uｐ␕ξｚf\t␕＼\b｀\a>Iβｊ\x1f＇K｀λ８υ\\c\r␠",
		out:  "␎\r\x12Uｐ␕ξｚf\t␕＼\b‛｀\a>Iβｊ\x1f＇K‛｀λ８υ\\c\r␠",
	}, { // 216
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\t\x12",
		out:  "␠\t␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\t\x12",
	}, { // 217
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\t\x12",
		out:  "‛␠\t␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\t\x12",
	}, { // 218
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\n\x12",
		out:  "␠\n␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\n\x12",
	}, { // 219
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\n\x12",
		out:  "‛␠\n␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\n\x12",
	}, { // 220
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\v\x12",
		out:  "␠\v␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\v\x12",
	}, { // 221
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\v\x12",
		out:  "‛␠\v␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\v\x12",
	}, { // 222
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\r\x12",
		out:  "␠\r␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\r\x12",
	}, { // 223
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\r\x12",
		out:  "‛␠\r␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\r\x12",
	}, { // 224
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ｍ\t␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\t ",
		out:  "ｍ\t␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\t ",
	}, { // 225
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ｍ\t␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\t␠",
		out:  "ｍ\t␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\t␠",
	}, { // 226
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ｍ\n␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\n ",
		out:  "ｍ\n␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\n ",
	}, { // 227
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ｍ\n␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\n␠",
		out:  "ｍ\n␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\n␠",
	}, { // 228
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ｍ\v␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\v ",
		out:  "ｍ\v␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\v ",
	}, { // 229
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ｍ\v␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\v␠",
		out:  "ｍ\v␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\v␠",
	}, { // 230
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ｍ\r␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\r ",
		out:  "ｍ\r␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\r ",
	}, { // 231
		mask: EncodeLtGt | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "ｍ\r␁>η～␀\nκＷK\x05\rχδ＞－σＮ\x1aZ$ι：␞ｊ+\x02\r␠",
		out:  "ｍ\r␁＞η～‛␀\nκＷK\x05\rχδ‛＞－σＮ\x1aZ$ι：␞ｊ+\x02\r␠",
	}, { // 232
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\t＼",
		out:  "␠\t0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\t＼",
	}, { // 233
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\t＼",
		out:  "‛␠\t0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\t＼",
	}, { // 234
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\n＼",
		out:  "␠\n0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\n＼",
	}, { // 235
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\n＼",
		out:  "‛␠\n0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\n＼",
	}, { // 236
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\v＼",
		out:  "␠\v0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\v＼",
	}, { // 237
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\v＼",
		out:  "‛␠\v0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\v＼",
	}, { // 238
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\r＼",
		out:  "␠\r0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\r＼",
	}, { // 239
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\r＼",
		out:  "‛␠\r0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\r＼",
	}, { // 240
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␟\t0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\t ",
		out:  "␟\t0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\t ",
	}, { // 241
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␟\t0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\t␠",
		out:  "␟\t0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\t␠",
	}, { // 242
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␟\n0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\n ",
		out:  "␟\n0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\n ",
	}, { // 243
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␟\n0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\n␠",
		out:  "␟\n0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\n␠",
	}, { // 244
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␟\v0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\v ",
		out:  "␟\v0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\v ",
	}, { // 245
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␟\v0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\v␠",
		out:  "␟\v0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\v␠",
	}, { // 246
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␟\r0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\r ",
		out:  "␟\r0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\r ",
	}, { // 247
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␟\r0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ\x00％]=\r␠",
		out:  "␟\r0%ς\x17ηπ７>␊␡␛D\x04FＸbｐ\x1e＊κ␜φ␀％］=\r␠",
	}, { // 248
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\tσ",
		out:  "␠\t\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\tσ",
	}, { // 249
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\tσ",
		out:  "‛␠\t\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\tσ",
	}, { // 250
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\nσ",
		out:  "␠\n\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\nσ",
	}, { // 251
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\nσ",
		out:  "‛␠\n\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\nσ",
	}, { // 252
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\vσ",
		out:  "␠\v\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\vσ",
	}, { // 253
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\vσ",
		out:  "‛␠\v\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\vσ",
	}, { // 254
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\rσ",
		out:  "␠\r\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\rσ",
	}, { // 255
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\rσ",
		out:  "‛␠\r\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\rσ",
	}, { // 256
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "$\t\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\t ",
		out:  "$\t\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\t ",
	}, { // 257
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "$\t\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\t␠",
		out:  "$\t\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\t␠",
	}, { // 258
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "$\n\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\n ",
		out:  "$\n\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\n ",
	}, { // 259
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "$\n\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\n␠",
		out:  "$\n\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\n␠",
	}, { // 260
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "$\v\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\v ",
		out:  "$\v\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\v ",
	}, { // 261
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "$\v\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\v␠",
		out:  "$\v\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\v␠",
	}, { // 262
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "$\r\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\r ",
		out:  "$\r\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\r ",
	}, { // 263
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "$\r\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\r␠",
		out:  "$\r\x13Iｅ\x19␔＂4μ␔␄Ｆ$φｗ：Hη\rνI｛！H␋\vσ\r␠",
	}, { // 264
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\tＥ",
		out:  "␠\t␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\tＥ",
	}, { // 265
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\tＥ",
		out:  "‛␠\t␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\tＥ",
	}, { // 266
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\nＥ",
		out:  "␠\n␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\nＥ",
	}, { // 267
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\nＥ",
		out:  "‛␠\n␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\nＥ",
	}, { // 268
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\vＥ",
		out:  "␠\v␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\vＥ",
	}, { // 269
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\vＥ",
		out:  "‛␠\v␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\vＥ",
	}, { // 270
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\rＥ",
		out:  "␠\r␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\rＥ",
	}, { // 271
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\rＥ",
		out:  "‛␠\r␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\rＥ",
	}, { // 272
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\t␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\t ",
		out:  "/\t␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\t ",
	}, { // 273
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\t␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\t␠",
		out:  "/\t␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\t␠",
	}, { // 274
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\n␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\n ",
		out:  "/\n␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\n ",
	}, { // 275
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\n␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\n␠",
		out:  "/\n␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\n␠",
	}, { // 276
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\v␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\v ",
		out:  "/\v␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\v ",
	}, { // 277
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\v␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\v␠",
		out:  "/\v␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\v␠",
	}, { // 278
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\r␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\r ",
		out:  "/\r␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\r ",
	}, { // 279
		mask: EncodeDollar | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\r␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\r␠",
		out:  "/\r␚＃\x04ｚ1πτ␒\x11ι␌Xο＝＜␍｜χηcQＺ\x1d;\x06j\r␠",
	}, { // 280
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\t\x10",
		out:  "␠\tCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\t\x10",
	}, { // 281
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\t\x10",
		out:  "‛␠\tCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\t\x10",
	}, { // 282
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\n\x10",
		out:  "␠\nCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\n\x10",
	}, { // 283
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\n\x10",
		out:  "‛␠\nCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\n\x10",
	}, { // 284
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\v\x10",
		out:  "␠\vCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\v\x10",
	}, { // 285
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\v\x10",
		out:  "‛␠\vCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\v\x10",
	}, { // 286
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\r\x10",
		out:  "␠\rCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\r\x10",
	}, { // 287
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\r\x10",
		out:  "‛␠\rCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\r\x10",
	}, { // 288
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\tCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\t ",
		out:  "‛␊\tCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\t ",
	}, { // 289
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\tCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\t␠",
		out:  "‛␊\tCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\t␠",
	}, { // 290
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\nCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\n ",
		out:  "‛␊\nCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\n ",
	}, { // 291
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\nCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\n␠",
		out:  "‛␊\nCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\n␠",
	}, { // 292
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\vCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\v ",
		out:  "‛␊\vCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\v ",
	}, { // 293
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\vCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\v␠",
		out:  "‛␊\vCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\v␠",
	}, { // 294
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\rCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\r ",
		out:  "‛␊\rCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\r ",
	}, { // 295
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␊\rCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\r␠",
		out:  "‛␊\rCχ]x，Ｐ＄Sξξλ␝:ａ\x1b\vκ␟ε％␔ｈｘ\x14iR\r␠",
	}, { // 296
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\t\x02",
		out:  "␠\tηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\t\x02",
	}, { // 297
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\t\x02",
		out:  "‛␠\tηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\t\x02",
	}, { // 298
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\n\x02",
		out:  "␠\nηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\n\x02",
	}, { // 299
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\n\x02",
		out:  "‛␠\nηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\n\x02",
	}, { // 300
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\v\x02",
		out:  "␠\vηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\v\x02",
	}, { // 301
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\v\x02",
		out:  "‛␠\vηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\v\x02",
	}, { // 302
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\r\x02",
		out:  "␠\rηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\r\x02",
	}, { // 303
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\r\x02",
		out:  "‛␠\rηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\r\x02",
	}, { // 304
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "t\tηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\t ",
		out:  "t\tηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\t ",
	}, { // 305
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "t\tηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\t␠",
		out:  "t\tηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\t␠",
	}, { // 306
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "t\nηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\n ",
		out:  "t\nηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\n ",
	}, { // 307
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "t\nηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\n␠",
		out:  "t\nηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\n␠",
	}, { // 308
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "t\vηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\v ",
		out:  "t\vηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\v ",
	}, { // 309
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "t\vηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\v␠",
		out:  "t\vηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\v␠",
	}, { // 310
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "t\rηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\r ",
		out:  "t\rηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\r ",
	}, { // 311
		mask: EncodeColon | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "t\rηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\r␠",
		out:  "t\rηπ？\x13）␞ＳI␞ακ\f␁Ｅa＜z］οｕ/\a␍W\x12Ｘ\r␠",
	}, { // 312
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\tπ",
		out:  "␠\t\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\tπ",
	}, { // 313
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\tπ",
		out:  "‛␠\t\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\tπ",
	}, { // 314
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\nπ",
		out:  "␠\n\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\nπ",
	}, { // 315
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\nπ",
		out:  "‛␠\n\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\nπ",
	}, { // 316
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\vπ",
		out:  "␠\v\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\vπ",
	}, { // 317
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\vπ",
		out:  "‛␠\v\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\vπ",
	}, { // 318
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\rπ",
		out:  "␠\r\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\rπ",
	}, { // 319
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\rπ",
		out:  "‛␠\r\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\rπ",
	}, { // 320
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\t\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\t ",
		out:  "β\t\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\t ",
	}, { // 321
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\t\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\t␠",
		out:  "β\t\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\t␠",
	}, { // 322
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\n\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\n ",
		out:  "β\n\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\n ",
	}, { // 323
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\n\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\n␠",
		out:  "β\n\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\n␠",
	}, { // 324
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\v\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\v ",
		out:  "β\v\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\v ",
	}, { // 325
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\v\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\v␠",
		out:  "β\v\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\v␠",
	}, { // 326
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\r\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\r ",
		out:  "β\r\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\r ",
	}, { // 327
		mask: EncodeQuestion | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "β\r\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\r␠",
		out:  "β\r\x12␝␜G{␄ω%．N;％HｐｄξＺη＾\x0f␆$]\u007fο␘\r␠",
	}, { // 328
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\t｀",
		out:  "␠\tοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\t｀",
	}, { // 329
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\t｀",
		out:  "‛␠\tοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\t｀",
	}, { // 330
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\n｀",
		out:  "␠\nοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\n｀",
	}, { // 331
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\n｀",
		out:  "‛␠\nοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\n｀",
	}, { // 332
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\v｀",
		out:  "␠\vοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\v｀",
	}, { // 333
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\v｀",
		out:  "‛␠\vοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\v｀",
	}, { // 334
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\r｀",
		out:  "␠\rοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\r｀",
	}, { // 335
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\r｀",
		out:  "‛␠\rοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\r｀",
	}, { // 336
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "]\tοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\t ",
		out:  "]\tοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\t ",
	}, { // 337
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "]\tοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\t␠",
		out:  "]\tοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\t␠",
	}, { // 338
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "]\nοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\n ",
		out:  "]\nοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\n ",
	}, { // 339
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "]\nοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\n␠",
		out:  "]\nοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\n␠",
	}, { // 340
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "]\vοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\v ",
		out:  "]\vοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\v ",
	}, { // 341
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "]\vοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\v␠",
		out:  "]\vοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\v␠",
	}, { // 342
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "]\rοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\r ",
		out:  "]\rοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\r ",
	}, { // 343
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "]\rοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\r␠",
		out:  "]\rοV(5\x1b＃␋ψ␡␚（W］τς\x1fd．α>ν｜7\r％\x14\r␠",
	}, { // 344
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\tγ",
		out:  "␠\t␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\tγ",
	}, { // 345
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\tγ",
		out:  "‛␠\t␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\tγ",
	}, { // 346
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\nγ",
		out:  "␠\n␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\nγ",
	}, { // 347
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\nγ",
		out:  "‛␠\n␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\nγ",
	}, { // 348
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\vγ",
		out:  "␠\v␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\vγ",
	}, { // 349
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\vγ",
		out:  "‛␠\v␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\vγ",
	}, { // 350
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\rγ",
		out:  "␠\r␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\rγ",
	}, { // 351
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\rγ",
		out:  "‛␠\r␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\rγ",
	}, { // 352
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x17\t␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\t ",
		out:  "\x17\t␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\t ",
	}, { // 353
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x17\t␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\t␠",
		out:  "\x17\t␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\t␠",
	}, { // 354
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x17\n␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\n ",
		out:  "\x17\n␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\n ",
	}, { // 355
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x17\n␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\n␠",
		out:  "\x17\n␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\n␠",
	}, { // 356
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x17\v␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\v ",
		out:  "\x17\v␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\v ",
	}, { // 357
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x17\v␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\v␠",
		out:  "\x17\v␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\v␠",
	}, { // 358
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x17\r␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\r ",
		out:  "\x17\r␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\r ",
	}, { // 359
		mask: EncodePipe | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x17\r␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\r␠",
		out:  "\x17\r␔I\x0e\rκ$γ[？J?Ｄ=␕QＵ␂␏ｔ}ηλ｀\bＵｆ\r␠",
	}, { // 360
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\t␕",
		out:  "␠\t␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\t␕",
	}, { // 361
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\t␕",
		out:  "‛␠\t␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\t␕",
	}, { // 362
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\n␕",
		out:  "␠\n␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\n␕",
	}, { // 363
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\n␕",
		out:  "‛␠\n␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\n␕",
	}, { // 364
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\v␕",
		out:  "␠\v␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\v␕",
	}, { // 365
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\v␕",
		out:  "‛␠\v␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\v␕",
	}, { // 366
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\r␕",
		out:  "␠\r␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\r␕",
	}, { // 367
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\r␕",
		out:  "‛␠\r␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\r␕",
	}, { // 368
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\f\t␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\t ",
		out:  "\f\t␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\t ",
	}, { // 369
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\f\t␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\t␠",
		out:  "\f\t␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\t␠",
	}, { // 370
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\f\n␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\n ",
		out:  "\f\n␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\n ",
	}, { // 371
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\f\n␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\n␠",
		out:  "\f\n␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\n␠",
	}, { // 372
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\f\v␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\v ",
		out:  "\f\v␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\v ",
	}, { // 373
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\f\v␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\v␠",
		out:  "\f\v␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\v␠",
	}, { // 374
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\f\r␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\r ",
		out:  "\f\r␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\r ",
	}, { // 375
		mask: EncodeHash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\f\r␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\r␠",
		out:  "\f\r␝υγφσ？X｀\a\n．5lwｊ\x18ρF｀Ｙ\x1cK␊β\n：\r␠",
	}, { // 376
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \tψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\tk",
		out:  "␠\tψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\tk",
	}, { // 377
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\tk",
		out:  "‛␠\tψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\tk",
	}, { // 378
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \nψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\nk",
		out:  "␠\nψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\nk",
	}, { // 379
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\nk",
		out:  "‛␠\nψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\nk",
	}, { // 380
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \vψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\vk",
		out:  "␠\vψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\vk",
	}, { // 381
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\vk",
		out:  "‛␠\vψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\vk",
	}, { // 382
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \rψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\rk",
		out:  "␠\rψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\rk",
	}, { // 383
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\rk",
		out:  "‛␠\rψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\rk",
	}, { // 384
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "４\tψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\t ",
		out:  "４\tψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\t ",
	}, { // 385
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "４\tψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\t␠",
		out:  "４\tψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\t␠",
	}, { // 386
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "４\nψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\n ",
		out:  "４\nψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\n ",
	}, { // 387
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "４\nψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\n␠",
		out:  "４\nψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\n␠",
	}, { // 388
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "４\vψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\v ",
		out:  "４\vψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\v ",
	}, { // 389
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "４\vψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\v␠",
		out:  "４\vψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\v␠",
	}, { // 390
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "４\rψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\r ",
		out:  "４\rψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\r ",
	}, { // 391
		mask: EncodePercent | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "４\rψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\r␠",
		out:  "４\rψπ␔$＂␟｜\rＳ[o*+gπ：＞5ｘνο：υ{␉\r\r␠",
	}, { // 392
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\t：",
		out:  "␠\t␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\t：",
	}, { // 393
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\t：",
		out:  "‛␠\t␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\t：",
	}, { // 394
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\n：",
		out:  "␠\n␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\n：",
	}, { // 395
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\n：",
		out:  "‛␠\n␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\n：",
	}, { // 396
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\v：",
		out:  "␠\v␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\v：",
	}, { // 397
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\v：",
		out:  "‛␠\v␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\v：",
	}, { // 398
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\r：",
		out:  "␠\r␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\r：",
	}, { // 399
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\r：",
		out:  "‛␠\r␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\r：",
	}, { // 400
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\t␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\t ",
		out:  "/\t␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\t ",
	}, { // 401
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\t␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\t␠",
		out:  "/\t␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\t␠",
	}, { // 402
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\n␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\n ",
		out:  "/\n␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\n ",
	}, { // 403
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\n␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\n␠",
		out:  "/\n␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\n␠",
	}, { // 404
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\v␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\v ",
		out:  "/\v␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\v ",
	}, { // 405
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\v␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\v␠",
		out:  "/\v␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\v␠",
	}, { // 406
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\r␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\r ",
		out:  "/\r␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\r ",
	}, { // 407
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "/\r␔ｇ9\x1a;\x02␖ηω，␀3μ␊:：ε\nζｅνMc[NＱ\r␠",
		out:  "/\r␔ｇ9\x1a;\x02␖ηω，‛␀3μ␊:：ε\nζｅνMc[NＱ\r␠",
	}, { // 408
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \t␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\t5",
		out:  "␠\t␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\t5",
	}, { // 409
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\t5",
		out:  "‛␠\t␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\t5",
	}, { // 410
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \n␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\n5",
		out:  "␠\n␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\n5",
	}, { // 411
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\n5",
		out:  "‛␠\n␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\n5",
	}, { // 412
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \v␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\v5",
		out:  "␠\v␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\v5",
	}, { // 413
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\v5",
		out:  "‛␠\v␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\v5",
	}, { // 414
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   " \r␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\r5",
		out:  "␠\r␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\r5",
	}, { // 415
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\r5",
		out:  "‛␠\r␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\r5",
	}, { // 416
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x01\t␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\t ",
		out:  "\x01\t␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\t ",
	}, { // 417
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x01\t␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\t␠",
		out:  "\x01\t␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\t␠",
	}, { // 418
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x01\n␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\n ",
		out:  "\x01\n␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\n ",
	}, { // 419
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x01\n␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\n␠",
		out:  "\x01\n␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\n␠",
	}, { // 420
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x01\v␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\v ",
		out:  "\x01\v␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\v ",
	}, { // 421
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x01\v␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\v␠",
		out:  "\x01\v␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\v␠",
	}, { // 422
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x01\r␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\r ",
		out:  "\x01\r␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\r ",
	}, { // 423
		mask: EncodeDel | EncodeLeftSpace | EncodeLeftCrLfHtVt,
		in:   "\x01\r␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\r␠",
		out:  "\x01\r␔θf␙R？:ａ/ε｀２␏\x1eδυ@ςＮ8\"␏２δ\"｜\r␠",
	}, { // 424
		mask: EncodeZero | EncodeLeftSpace | EncodeRightSpace,
		in:   "  \nχ＄SＺWα\x1c\x1d＂τ＠７＠αe␚ＭL\x138*␐７\b␍ δ",
		out:  "␠ \nχ＄SＺWα\x1c\x1d＂τ＠７＠αe␚ＭL\x138*␐７\b␍ δ",
	}, { // 425
		mask: EncodeZero | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ \nχ＄SＺWα\x1c\x1d＂τ＠７＠αe␚ＭL\x138*␐７\b␍ δ",
		out:  "‛␠ \nχ＄SＺWα\x1c\x1d＂τ＠７＠αe␚ＭL\x138*␐７\b␍ δ",
	}, { // 426
		mask: EncodeZero | EncodeLeftSpace | EncodeRightSpace,
		in:   "␜ \nχ＄SＺWα\x1c\x1d＂τ＠７＠αe␚ＭL\x138*␐７\b␍  ",
		out:  "␜ \nχ＄SＺWα\x1c\x1d＂τ＠７＠αe␚ＭL\x138*␐７\b␍ ␠",
	}, { // 427
		mask: EncodeZero | EncodeLeftSpace | EncodeRightSpace,
		in:   "␜ \nχ＄SＺWα\x1c\x1d＂τ＠７＠αe␚ＭL\x138*␐７\b␍ ␠",
		out:  "␜ \nχ＄SＺWα\x1c\x1d＂τ＠７＠αe␚ＭL\x138*␐７\b␍ ‛␠",
	}, { // 428
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "  σＬ\x10␊]φ］｝\x1c␛\x04４％κ'\x06？-a：ｊqaχ＿` θ",
		out:  "␠ σＬ\x10␊]φ］｝\x1c␛\x04４％κ'\x06？-a：ｊqaχ＿` θ",
	}, { // 429
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ σＬ\x10␊]φ］｝\x1c␛\x04４％κ'\x06？-a：ｊqaχ＿` θ",
		out:  "‛␠ σＬ\x10␊]φ］｝\x1c␛\x04４％κ'\x06？-a：ｊqaχ＿` θ",
	}, { // 430
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "ζ σＬ\x10␊]φ］｝\x1c␛\x04４％κ'\x06？-a：ｊqaχ＿`  ",
		out:  "ζ σＬ\x10␊]φ］｝\x1c␛\x04４％κ'\x06？-a：ｊqaχ＿` ␠",
	}, { // 431
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "ζ σＬ\x10␊]φ］｝\x1c␛\x04４％κ'\x06？-a：ｊqaχ＿` ␠",
		out:  "ζ σＬ\x10␊]φ］｝\x1c␛\x04４％κ'\x06？-a：ｊqaχ＿` ‛␠",
	}, { // 432
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "  Ｄ8␞＃\x12)ν\a\x02］λＦυ␓＇μωＥ␟/\x1d@r␊Kσ !",
		out:  "␠ Ｄ8␞＃\x12)ν\a\x02］λＦυ␓‛＇μωＥ␟/\x1d@r␊Kσ !",
	}, { // 433
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ Ｄ8␞＃\x12)ν\a\x02］λＦυ␓＇μωＥ␟/\x1d@r␊Kσ !",
		out:  "‛␠ Ｄ8␞＃\x12)ν\a\x02］λＦυ␓‛＇μωＥ␟/\x1d@r␊Kσ !",
	}, { // 434
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "／ Ｄ8␞＃\x12)ν\a\x02］λＦυ␓＇μωＥ␟/\x1d@r␊Kσ  ",
		out:  "／ Ｄ8␞＃\x12)ν\a\x02］λＦυ␓‛＇μωＥ␟/\x1d@r␊Kσ ␠",
	}, { // 435
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "／ Ｄ8␞＃\x12)ν\a\x02］λＦυ␓＇μωＥ␟/\x1d@r␊Kσ ␠",
		out:  "／ Ｄ8␞＃\x12)ν\a\x02］λＦυ␓‛＇μωＥ␟/\x1d@r␊Kσ ‛␠",
	}, { // 436
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "  yλη／\x12\n␛＄\uff00Ｌλ␕\x12␛$Ｃ:'.υ３τjρ\x01g ␋",
		out:  "␠ yλη／\x12\n␛＄\uff00Ｌλ␕\x12␛$Ｃ:'.υ３τjρ\x01g ␋",
	}, { // 437
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ yλη／\x12\n␛＄\uff00Ｌλ␕\x12␛$Ｃ:'.υ３τjρ\x01g ␋",
		out:  "‛␠ yλη／\x12\n␛＄\uff00Ｌλ␕\x12␛$Ｃ:'.υ３τjρ\x01g ␋",
	}, { // 438
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␀ yλη／\x12\n␛＄\uff00Ｌλ␕\x12␛$Ｃ:'.υ３τjρ\x01g  ",
		out:  "‛␀ yλη／\x12\n␛＄\uff00Ｌλ␕\x12␛$Ｃ:'.υ３τjρ\x01g ␠",
	}, { // 439
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␀ yλη／\x12\n␛＄\uff00Ｌλ␕\x12␛$Ｃ:'.υ３τjρ\x01g ␠",
		out:  "‛␀ yλη／\x12\n␛＄\uff00Ｌλ␕\x12␛$Ｃ:'.υ３τjρ\x01g ‛␠",
	}, { // 440
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ＊o;ςν＼ηＢ␅`\u007f｀>␅#Y：[＝πω␉Ｒnι\r ；",
		out:  "␠ ＊o;ςν＼ηＢ␅`\u007f｀＞␅#Y：[＝πω␉Ｒnι\r ；",
	}, { // 441
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ＊o;ςν＼ηＢ␅`\u007f｀>␅#Y：[＝πω␉Ｒnι\r ；",
		out:  "‛␠ ＊o;ςν＼ηＢ␅`\u007f｀＞␅#Y：[＝πω␉Ｒnι\r ；",
	}, { // 442
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightSpace,
		in:   "9 ＊o;ςν＼ηＢ␅`\u007f｀>␅#Y：[＝πω␉Ｒnι\r  ",
		out:  "9 ＊o;ςν＼ηＢ␅`\u007f｀＞␅#Y：[＝πω␉Ｒnι\r ␠",
	}, { // 443
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightSpace,
		in:   "9 ＊o;ςν＼ηＢ␅`\u007f｀>␅#Y：[＝πω␉Ｒnι\r ␠",
		out:  "9 ＊o;ςν＼ηＢ␅`\u007f｀＞␅#Y：[＝πω␉Ｒnι\r ‛␠",
	}, { // 444
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightSpace,
		in:   "  π␊k`＇&η｜τ*#ｖ\"q␄５r`\x06␟γ␖θ␜]φ \x1f",
		out:  "␠ π␊k`＇&η｜τ*#ｖ\"q␄５r`\x06␟γ␖θ␜］φ \x1f",
	}, { // 445
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ π␊k`＇&η｜τ*#ｖ\"q␄５r`\x06␟γ␖θ␜]φ \x1f",
		out:  "‛␠ π␊k`＇&η｜τ*#ｖ\"q␄５r`\x06␟γ␖θ␜］φ \x1f",
	}, { // 446
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightSpace,
		in:   "Ｃ π␊k`＇&η｜τ*#ｖ\"q␄５r`\x06␟γ␖θ␜]φ  ",
		out:  "Ｃ π␊k`＇&η｜τ*#ｖ\"q␄５r`\x06␟γ␖θ␜］φ ␠",
	}, { // 447
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightSpace,
		in:   "Ｃ π␊k`＇&η｜τ*#ｖ\"q␄５r`\x06␟γ␖θ␜]φ ␠",
		out:  "Ｃ π␊k`＇&η｜τ*#ｖ\"q␄５r`\x06␟γ␖θ␜］φ ‛␠",
	}, { // 448
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightSpace,
		in:   "  οH\x16}'ηα␀␍Ｃ␍｛πmＹωＰ／␊｛A\n\\ｑ\x19q `",
		out:  "␠ οH\x16}'ηα‛␀␍Ｃ␍｛πmＹωＰ／␊｛A\n\\ｑ\x19q `",
	}, { // 449
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ οH\x16}'ηα␀␍Ｃ␍｛πmＹωＰ／␊｛A\n\\ｑ\x19q `",
		out:  "‛␠ οH\x16}'ηα‛␀␍Ｃ␍｛πmＹωＰ／␊｛A\n\\ｑ\x19q `",
	}, { // 450
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightSpace,
		in:   "␘ οH\x16}'ηα␀␍Ｃ␍｛πmＹωＰ／␊｛A\n\\ｑ\x19q  ",
		out:  "␘ οH\x16}'ηα‛␀␍Ｃ␍｛πmＹωＰ／␊｛A\n\\ｑ\x19q ␠",
	}, { // 451
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightSpace,
		in:   "␘ οH\x16}'ηα␀␍Ｃ␍｛πmＹωＰ／␊｛A\n\\ｑ\x19q ␠",
		out:  "␘ οH\x16}'ηα‛␀␍Ｃ␍｛πmＹωＰ／␊｛A\n\\ｑ\x19q ‛␠",
	}, { // 452
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ζ＃＼␄\x12＞&\x11z␓ｎπ>λητＡ8\x14u␂－ｗcυｐ @",
		out:  "␠ ζ＃＼␄\x12＞&\x11z␓ｎπ>λητＡ8\x14u␂－ｗcυｐ @",
	}, { // 453
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ζ＃＼␄\x12＞&\x11z␓ｎπ>λητＡ8\x14u␂－ｗcυｐ @",
		out:  "‛␠ ζ＃＼␄\x12＞&\x11z␓ｎπ>λητＡ8\x14u␂－ｗcυｐ @",
	}, { // 454
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x16 ζ＃＼␄\x12＞&\x11z␓ｎπ>λητＡ8\x14u␂－ｗcυｐ  ",
		out:  "\x16 ζ＃＼␄\x12＞&\x11z␓ｎπ>λητＡ8\x14u␂－ｗcυｐ ␠",
	}, { // 455
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x16 ζ＃＼␄\x12＞&\x11z␓ｎπ>λητＡ8\x14u␂－ｗcυｐ ␠",
		out:  "\x16 ζ＃＼␄\x12＞&\x11z␓ｎπ>λητＡ8\x14u␂－ｗcυｐ ‛␠",
	}, { // 456
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "  _␏Aｉb\x02＼\x18ｐｑξ]；χα␌>\\λ␏␛＊：\x1714 6",
		out:  "␠ _␏Aｉb\x02＼\x18ｐｑξ]；χα␌>\\λ␏␛＊：\x1714 6",
	}, { // 457
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ _␏Aｉb\x02＼\x18ｐｑξ]；χα␌>\\λ␏␛＊：\x1714 6",
		out:  "‛␠ _␏Aｉb\x02＼\x18ｐｑξ]；χα␌>\\λ␏␛＊：\x1714 6",
	}, { // 458
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "ｋ _␏Aｉb\x02＼\x18ｐｑξ]；χα␌>\\λ␏␛＊：\x1714  ",
		out:  "ｋ _␏Aｉb\x02＼\x18ｐｑξ]；χα␌>\\λ␏␛＊：\x1714 ␠",
	}, { // 459
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightSpace,
		in:   "ｋ _␏Aｉb\x02＼\x18ｐｑξ]；χα␌>\\λ␏␛＊：\x1714 ␠",
		out:  "ｋ _␏Aｉb\x02＼\x18ｐｑξ]；χα␌>\\λ␏␛＊：\x1714 ‛␠",
	}, { // 460
		mask: EncodeColon | EncodeLeftSpace | EncodeRightSpace,
		in:   "  \x10｛␒＞｛<σ3␜４ｑ|␗␈Iιλp\n；\x1eνμε␍* P",
		out:  "␠ \x10｛␒＞｛<σ3␜４ｑ|␗␈Iιλp\n；\x1eνμε␍* P",
	}, { // 461
		mask: EncodeColon | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ \x10｛␒＞｛<σ3␜４ｑ|␗␈Iιλp\n；\x1eνμε␍* P",
		out:  "‛␠ \x10｛␒＞｛<σ3␜４ｑ|␗␈Iιλp\n；\x1eνμε␍* P",
	}, { // 462
		mask: EncodeColon | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x1c \x10｛␒＞｛<σ3␜４ｑ|␗␈Iιλp\n；\x1eνμε␍*  ",
		out:  "\x1c \x10｛␒＞｛<σ3␜４ｑ|␗␈Iιλp\n；\x1eνμε␍* ␠",
	}, { // 463
		mask: EncodeColon | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x1c \x10｛␒＞｛<σ3␜４ｑ|␗␈Iιλp\n；\x1eνμε␍* ␠",
		out:  "\x1c \x10｛␒＞｛<σ3␜４ｑ|␗␈Iιλp\n；\x1eνμε␍* ‛␠",
	}, { // 464
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightSpace,
		in:   "  <＜κλ\rｑF＇\x16,＄#<ζ␊\x11D＄␌␊ＱυＢ］\"θ !",
		out:  "␠ <＜κλ\rｑF＇\x16,＄#<ζ␊\x11D＄␌␊ＱυＢ］\"θ !",
	}, { // 465
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ <＜κλ\rｑF＇\x16,＄#<ζ␊\x11D＄␌␊ＱυＢ］\"θ !",
		out:  "‛␠ <＜κλ\rｑF＇\x16,＄#<ζ␊\x11D＄␌␊ＱυＢ］\"θ !",
	}, { // 466
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightSpace,
		in:   "Ｐ <＜κλ\rｑF＇\x16,＄#<ζ␊\x11D＄␌␊ＱυＢ］\"θ  ",
		out:  "Ｐ <＜κλ\rｑF＇\x16,＄#<ζ␊\x11D＄␌␊ＱυＢ］\"θ ␠",
	}, { // 467
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightSpace,
		in:   "Ｐ <＜κλ\rｑF＇\x16,＄#<ζ␊\x11D＄␌␊ＱυＢ］\"θ ␠",
		out:  "Ｐ <＜κλ\rｑF＇\x16,＄#<ζ␊\x11D＄␌␊ＱυＢ］\"θ ‛␠",
	}, { // 468
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ｑx\x11＞\r８\x15ρ|ψ\\Ｚηtφ␕ｙ␃I'%μ４＜Ｕ3 ＊",
		out:  "␠ ｑx\x11＞\r８\x15ρ|ψ\\Ｚηtφ␕ｙ␃I'%μ４＜Ｕ3 ‛＊",
	}, { // 469
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ｑx\x11＞\r８\x15ρ|ψ\\Ｚηtφ␕ｙ␃I'%μ４＜Ｕ3 ＊",
		out:  "‛␠ ｑx\x11＞\r８\x15ρ|ψ\\Ｚηtφ␕ｙ␃I'%μ４＜Ｕ3 ‛＊",
	}, { // 470
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightSpace,
		in:   "␞ ｑx\x11＞\r８\x15ρ|ψ\\Ｚηtφ␕ｙ␃I'%μ４＜Ｕ3  ",
		out:  "␞ ｑx\x11＞\r８\x15ρ|ψ\\Ｚηtφ␕ｙ␃I'%μ４＜Ｕ3 ␠",
	}, { // 471
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightSpace,
		in:   "␞ ｑx\x11＞\r８\x15ρ|ψ\\Ｚηtφ␕ｙ␃I'%μ４＜Ｕ3 ␠",
		out:  "␞ ｑx\x11＞\r８\x15ρ|ψ\\Ｚηtφ␕ｙ␃I'%μ４＜Ｕ3 ‛␠",
	}, { // 472
		mask: EncodePipe | EncodeLeftSpace | EncodeRightSpace,
		in:   "  χD？?J␚δ＇2ς\x1eｍjｍο］;␊/␌*kｍ\x12＜ｐ ξ",
		out:  "␠ χD？?J␚δ＇2ς\x1eｍjｍο］;␊/␌*kｍ\x12＜ｐ ξ",
	}, { // 473
		mask: EncodePipe | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ χD？?J␚δ＇2ς\x1eｍjｍο］;␊/␌*kｍ\x12＜ｐ ξ",
		out:  "‛␠ χD？?J␚δ＇2ς\x1eｍjｍο］;␊/␌*kｍ\x12＜ｐ ξ",
	}, { // 474
		mask: EncodePipe | EncodeLeftSpace | EncodeRightSpace,
		in:   "３ χD？?J␚δ＇2ς\x1eｍjｍο］;␊/␌*kｍ\x12＜ｐ  ",
		out:  "３ χD？?J␚δ＇2ς\x1eｍjｍο］;␊/␌*kｍ\x12＜ｐ ␠",
	}, { // 475
		mask: EncodePipe | EncodeLeftSpace | EncodeRightSpace,
		in:   "３ χD？?J␚δ＇2ς\x1eｍjｍο］;␊/␌*kｍ\x12＜ｐ ␠",
		out:  "３ χD？?J␚δ＇2ς\x1eｍjｍο］;␊/␌*kｍ\x12＜ｐ ‛␠",
	}, { // 476
		mask: EncodeHash | EncodeLeftSpace | EncodeRightSpace,
		in:   "  ｓ＠κＬx\x0fδ\bＴowj\nρ\x05ε␜／ο－␑␁-δ\x1a␕ ␛",
		out:  "␠ ｓ＠κＬx\x0fδ\bＴowj\nρ\x05ε␜／ο－␑␁-δ\x1a␕ ␛",
	}, { // 477
		mask: EncodeHash | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ ｓ＠κＬx\x0fδ\bＴowj\nρ\x05ε␜／ο－␑␁-δ\x1a␕ ␛",
		out:  "‛␠ ｓ＠κＬx\x0fδ\bＴowj\nρ\x05ε␜／ο－␑␁-δ\x1a␕ ␛",
	}, { // 478
		mask: EncodeHash | EncodeLeftSpace | EncodeRightSpace,
		in:   "r ｓ＠κＬx\x0fδ\bＴowj\nρ\x05ε␜／ο－␑␁-δ\x1a␕  ",
		out:  "r ｓ＠κＬx\x0fδ\bＴowj\nρ\x05ε␜／ο－␑␁-δ\x1a␕ ␠",
	}, { // 479
		mask: EncodeHash | EncodeLeftSpace | EncodeRightSpace,
		in:   "r ｓ＠κＬx\x0fδ\bＴowj\nρ\x05ε␜／ο－␑␁-δ\x1a␕ ␠",
		out:  "r ｓ＠κＬx\x0fδ\bＴowj\nρ\x05ε␜／ο－␑␁-δ\x1a␕ ‛␠",
	}, { // 480
		mask: EncodePercent | EncodeLeftSpace | EncodeRightSpace,
		in:   "  εＰ␈\"｝ι\x05π．\x06␍Eyｓ~｜，ε\u007f\x1d$␆:｝3π ␅",
		out:  "␠ εＰ␈\"｝ι\x05π．\x06␍Eyｓ~｜，ε\u007f\x1d$␆:｝3π ␅",
	}, { // 481
		mask: EncodePercent | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ εＰ␈\"｝ι\x05π．\x06␍Eyｓ~｜，ε\u007f\x1d$␆:｝3π ␅",
		out:  "‛␠ εＰ␈\"｝ι\x05π．\x06␍Eyｓ~｜，ε\u007f\x1d$␆:｝3π ␅",
	}, { // 482
		mask: EncodePercent | EncodeLeftSpace | EncodeRightSpace,
		in:   "ι εＰ␈\"｝ι\x05π．\x06␍Eyｓ~｜，ε\u007f\x1d$␆:｝3π  ",
		out:  "ι εＰ␈\"｝ι\x05π．\x06␍Eyｓ~｜，ε\u007f\x1d$␆:｝3π ␠",
	}, { // 483
		mask: EncodePercent | EncodeLeftSpace | EncodeRightSpace,
		in:   "ι εＰ␈\"｝ι\x05π．\x06␍Eyｓ~｜，ε\u007f\x1d$␆:｝3π ␠",
		out:  "ι εＰ␈\"｝ι\x05π．\x06␍Eyｓ~｜，ε\u007f\x1d$␆:｝3π ‛␠",
	}, { // 484
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "  |ＤＬＸ|\x1dυ␟ｇg#␞,␙␙ηｉ^␊5\x1bς&␋\x13γ χ",
		out:  "␠ |ＤＬＸ|\x1dυ␟ｇg#␞,␙␙ηｉ^␊5\x1bς&␋\x13γ χ",
	}, { // 485
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ |ＤＬＸ|\x1dυ␟ｇg#␞,␙␙ηｉ^␊5\x1bς&␋\x13γ χ",
		out:  "‛␠ |ＤＬＸ|\x1dυ␟ｇg#␞,␙␙ηｉ^␊5\x1bς&␋\x13γ χ",
	}, { // 486
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "α |ＤＬＸ|\x1dυ␟ｇg#␞,␙␙ηｉ^␊5\x1bς&␋\x13γ  ",
		out:  "α |ＤＬＸ|\x1dυ␟ｇg#␞,␙␙ηｉ^␊5\x1bς&␋\x13γ ␠",
	}, { // 487
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightSpace,
		in:   "α |ＤＬＸ|\x1dυ␟ｇg#␞,␙␙ηｉ^␊5\x1bς&␋\x13γ ␠",
		out:  "α |ＤＬＸ|\x1dυ␟ｇg#␞,␙␙ηｉ^␊5\x1bς&␋\x13γ ‛␠",
	}, { // 488
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightSpace,
		in:   "  pαρvＨι␎ςＭ＆＜\n\x03␚I␞μＯ;\x0eh\vo%<␘ Ｓ",
		out:  "␠ pαρvＨι␎ςＭ＆＜␊\x03␚I␞μＯ;\x0eh\vo%<␘ Ｓ",
	}, { // 489
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ pαρvＨι␎ςＭ＆＜\n\x03␚I␞μＯ;\x0eh\vo%<␘ Ｓ",
		out:  "‛␠ pαρvＨι␎ςＭ＆＜␊\x03␚I␞μＯ;\x0eh\vo%<␘ Ｓ",
	}, { // 490
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightSpace,
		in:   "η pαρvＨι␎ςＭ＆＜\n\x03␚I␞μＯ;\x0eh\vo%<␘  ",
		out:  "η pαρvＨι␎ςＭ＆＜␊\x03␚I␞μＯ;\x0eh\vo%<␘ ␠",
	}, { // 491
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightSpace,
		in:   "η pαρvＨι␎ςＭ＆＜\n\x03␚I␞μＯ;\x0eh\vo%<␘ ␠",
		out:  "η pαρvＨι␎ςＭ＆＜␊\x03␚I␞μＯ;\x0eh\vo%<␘ ‛␠",
	}, { // 492
		mask: EncodeDel | EncodeLeftSpace | EncodeRightSpace,
		in:   "  \x0e␉Ｈｐi␗7)␘␏ω：ｎ␐g｜\x14σχ\x1bω␒lσε& ｕ",
		out:  "␠ \x0e␉Ｈｐi␗7)␘␏ω：ｎ␐g｜\x14σχ\x1bω␒lσε& ｕ",
	}, { // 493
		mask: EncodeDel | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ \x0e␉Ｈｐi␗7)␘␏ω：ｎ␐g｜\x14σχ\x1bω␒lσε& ｕ",
		out:  "‛␠ \x0e␉Ｈｐi␗7)␘␏ω：ｎ␐g｜\x14σχ\x1bω␒lσε& ｕ",
	}, { // 494
		mask: EncodeDel | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x1e \x0e␉Ｈｐi␗7)␘␏ω：ｎ␐g｜\x14σχ\x1bω␒lσε&  ",
		out:  "\x1e \x0e␉Ｈｐi␗7)␘␏ω：ｎ␐g｜\x14σχ\x1bω␒lσε& ␠",
	}, { // 495
		mask: EncodeDel | EncodeLeftSpace | EncodeRightSpace,
		in:   "\x1e \x0e␉Ｈｐi␗7)␘␏ω：ｎ␐g｜\x14σχ\x1bω␒lσε& ␠",
		out:  "\x1e \x0e␉Ｈｐi␗7)␘␏ω：ｎ␐g｜\x14σχ\x1bω␒lσε& ‛␠",
	}, { // 496
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightSpace,
		in:   "  (＆␘χ｀\x0f<:＇8\r' \x11$（［γζε｝␍；_Ｎ［ ３",
		out:  "␠ (＆‛␘χ｀␏<:＇8␍' ␑$（［γζε｝‛␍；_Ｎ［ ３",
	}, { // 497
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightSpace,
		in:   "␠ (＆␘χ｀\x0f<:＇8\r' \x11$（［γζε｝␍；_Ｎ［ ３",
		out:  "‛␠ (＆‛␘χ｀␏<:＇8␍' ␑$（［γζε｝‛␍；_Ｎ［ ３",
	}, { // 498
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightSpace,
		in:   "1 (＆␘χ｀\x0f<:＇8\r' \x11$（［γζε｝␍；_Ｎ［  ",
		out:  "1 (＆‛␘χ｀␏<:＇8␍' ␑$（［γζε｝‛␍；_Ｎ［ ␠",
	}, { // 499
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightSpace,
		in:   "1 (＆␘χ｀\x0f<:＇8\r' \x11$（［γζε｝␍；_Ｎ［ ␠",
		out:  "1 (＆‛␘χ｀␏<:＇8␍' ␑$（［γζε｝‛␍；_Ｎ［ ‛␠",
	}, { // 500
		mask: EncodeZero | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .'/␕␍ν␕μγＵυ␑｛\n|δ＾G␘]\r\x11５3［｜K..",
		out:  "␠.'/␕␍ν␕μγＵυ␑｛\n|δ＾G␘]\r\x11５3［｜K.．",
	}, { // 501
		mask: EncodeZero | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.'/␕␍ν␕μγＵυ␑｛\n|δ＾G␘]\r\x11５3［｜K..",
		out:  "‛␠.'/␕␍ν␕μγＵυ␑｛\n|δ＾G␘]\r\x11５3［｜K.．",
	}, { // 502
		mask: EncodeZero | EncodeLeftSpace | EncodeRightPeriod,
		in:   "？.'/␕␍ν␕μγＵυ␑｛\n|δ＾G␘]\r\x11５3［｜K. ",
		out:  "？.'/␕␍ν␕μγＵυ␑｛\n|δ＾G␘]\r\x11５3［｜K. ",
	}, { // 503
		mask: EncodeZero | EncodeLeftSpace | EncodeRightPeriod,
		in:   "？.'/␕␍ν␕μγＵυ␑｛\n|δ＾G␘]\r\x11５3［｜K.␠",
		out:  "？.'/␕␍ν␕μγＵυ␑｛\n|δ＾G␘]\r\x11５3［｜K.␠",
	}, { // 504
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .?χζo-Mιd［␓ｊEｊω＇\x13νｖ～/U␜␞*２χ.\x0f",
		out:  "␠.?χζo-Mιd［␓ｊEｊω＇\x13νｖ～／U␜␞*２χ.\x0f",
	}, { // 505
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.?χζo-Mιd［␓ｊEｊω＇\x13νｖ～/U␜␞*２χ.\x0f",
		out:  "‛␠.?χζo-Mιd［␓ｊEｊω＇\x13νｖ～／U␜␞*２χ.\x0f",
	}, { // 506
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "\x05.?χζo-Mιd［␓ｊEｊω＇\x13νｖ～/U␜␞*２χ. ",
		out:  "\x05.?χζo-Mιd［␓ｊEｊω＇\x13νｖ～／U␜␞*２χ. ",
	}, { // 507
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "\x05.?χζo-Mιd［␓ｊEｊω＇\x13νｖ～/U␜␞*２χ.␠",
		out:  "\x05.?χζo-Mιd［␓ｊEｊω＇\x13νｖ～／U␜␞*２χ.␠",
	}, { // 508
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .{η␄／δ９Ｋ％\\ｓ\x03Ｋ#ＳS：ψ\\*␃]:5ηG７.␊",
		out:  "␠.{η␄／δ９Ｋ％\\ｓ\x03Ｋ#ＳS：ψ\\*␃]:5ηG７.␊",
	}, { // 509
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.{η␄／δ９Ｋ％\\ｓ\x03Ｋ#ＳS：ψ\\*␃]:5ηG７.␊",
		out:  "‛␠.{η␄／δ９Ｋ％\\ｓ\x03Ｋ#ＳS：ψ\\*␃]:5ηG７.␊",
	}, { // 510
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "*.{η␄／δ９Ｋ％\\ｓ\x03Ｋ#ＳS：ψ\\*␃]:5ηG７. ",
		out:  "*.{η␄／δ９Ｋ％\\ｓ\x03Ｋ#ＳS：ψ\\*␃]:5ηG７. ",
	}, { // 511
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "*.{η␄／δ９Ｋ％\\ｓ\x03Ｋ#ＳS：ψ\\*␃]:5ηG７.␠",
		out:  "*.{η␄／δ９Ｋ％\\ｓ\x03Ｋ#ＳS：ψ\\*␃]:5ηG７.␠",
	}, { // 512
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .\x05＼pξuτη\"\x1c\x1e9]\x10␖ｒ９％πｔＥ␃␍θ␔<ο.|",
		out:  "␠.\x05＼pξuτη\"\x1c\x1e9]\x10␖ｒ９％πｔＥ␃␍θ␔<ο.|",
	}, { // 513
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.\x05＼pξuτη\"\x1c\x1e9]\x10␖ｒ９％πｔＥ␃␍θ␔<ο.|",
		out:  "‛␠.\x05＼pξuτη\"\x1c\x1e9]\x10␖ｒ９％πｔＥ␃␍θ␔<ο.|",
	}, { // 514
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "Ｅ.\x05＼pξuτη\"\x1c\x1e9]\x10␖ｒ９％πｔＥ␃␍θ␔<ο. ",
		out:  "Ｅ.\x05＼pξuτη\"\x1c\x1e9]\x10␖ｒ９％πｔＥ␃␍θ␔<ο. ",
	}, { // 515
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "Ｅ.\x05＼pξuτη\"\x1c\x1e9]\x10␖ｒ９％πｔＥ␃␍θ␔<ο.␠",
		out:  "Ｅ.\x05＼pξuτη\"\x1c\x1e9]\x10␖ｒ９％πｔＥ␃␍θ␔<ο.␠",
	}, { // 516
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightPeriod,
		in:   " ./\x17Wμ(ＴＬ\vＧｍ－E．＜␊υαξη$＼=\r␚κ␛.b",
		out:  "␠./\x17Wμ(ＴＬ\vＧｍ－E．‛＜␊υαξη$＼=\r␚κ␛.b",
	}, { // 517
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠./\x17Wμ(ＴＬ\vＧｍ－E．＜␊υαξη$＼=\r␚κ␛.b",
		out:  "‛␠./\x17Wμ(ＴＬ\vＧｍ－E．‛＜␊υαξη$＼=\r␚κ␛.b",
	}, { // 518
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightPeriod,
		in:   "\u007f./\x17Wμ(ＴＬ\vＧｍ－E．＜␊υαξη$＼=\r␚κ␛. ",
		out:  "\u007f./\x17Wμ(ＴＬ\vＧｍ－E．‛＜␊υαξη$＼=\r␚κ␛. ",
	}, { // 519
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightPeriod,
		in:   "\u007f./\x17Wμ(ＴＬ\vＧｍ－E．＜␊υαξη$＼=\r␚κ␛.␠",
		out:  "\u007f./\x17Wμ(ＴＬ\vＧｍ－E．‛＜␊υαξη$＼=\r␚κ␛.␠",
	}, { // 520
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .\x05K\u007fνＥａhμ\\ο␊w&␄~πｘ␙6\x06；␔␜Ｅ\rδ.␍",
		out:  "␠.\x05K\u007fνＥａhμ\\ο␊w&␄~πｘ␙6\x06；␔␜Ｅ\rδ.␍",
	}, { // 521
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.\x05K\u007fνＥａhμ\\ο␊w&␄~πｘ␙6\x06；␔␜Ｅ\rδ.␍",
		out:  "‛␠.\x05K\u007fνＥａhμ\\ο␊w&␄~πｘ␙6\x06；␔␜Ｅ\rδ.␍",
	}, { // 522
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ｖ.\x05K\u007fνＥａhμ\\ο␊w&␄~πｘ␙6\x06；␔␜Ｅ\rδ. ",
		out:  "ｖ.\x05K\u007fνＥａhμ\\ο␊w&␄~πｘ␙6\x06；␔␜Ｅ\rδ. ",
	}, { // 523
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ｖ.\x05K\u007fνＥａhμ\\ο␊w&␄~πｘ␙6\x06；␔␜Ｅ\rδ.␠",
		out:  "ｖ.\x05K\u007fνＥａhμ\\ο␊w&␄~πｘ␙6\x06；␔␜Ｅ\rδ.␠",
	}, { // 524
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .）δσ／|π＞\x11e{\n␞Ｌ８]］ι＇\n␍ξｋw\x00ξ\a.␂",
		out:  "␠.）δσ／|π＞\x11e{\n␞Ｌ８]］ι＇\n␍ξｋw␀ξ\a.␂",
	}, { // 525
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.）δσ／|π＞\x11e{\n␞Ｌ８]］ι＇\n␍ξｋw\x00ξ\a.␂",
		out:  "‛␠.）δσ／|π＞\x11e{\n␞Ｌ８]］ι＇\n␍ξｋw␀ξ\a.␂",
	}, { // 526
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "４.）δσ／|π＞\x11e{\n␞Ｌ８]］ι＇\n␍ξｋw\x00ξ\a. ",
		out:  "４.）δσ／|π＞\x11e{\n␞Ｌ８]］ι＇\n␍ξｋw␀ξ\a. ",
	}, { // 527
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "４.）δσ／|π＞\x11e{\n␞Ｌ８]］ι＇\n␍ξｋw\x00ξ\a.␠",
		out:  "４.）δσ／|π＞\x11e{\n␞Ｌ８]］ι＇\n␍ξｋw␀ξ\a.␠",
	}, { // 528
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .］σωN］α␞＊＿６\x12␉]P\x03＼?＆\x1cω\nδ \x1b｜Ｔ.:",
		out:  "␠.］σωN］α␞＊＿６\x12␉]P\x03＼?＆\x1cω\nδ \x1b｜Ｔ.:",
	}, { // 529
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.］σωN］α␞＊＿６\x12␉]P\x03＼?＆\x1cω\nδ \x1b｜Ｔ.:",
		out:  "‛␠.］σωN］α␞＊＿６\x12␉]P\x03＼?＆\x1cω\nδ \x1b｜Ｔ.:",
	}, { // 530
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightPeriod,
		in:   "κ.］σωN］α␞＊＿６\x12␉]P\x03＼?＆\x1cω\nδ \x1b｜Ｔ. ",
		out:  "κ.］σωN］α␞＊＿６\x12␉]P\x03＼?＆\x1cω\nδ \x1b｜Ｔ. ",
	}, { // 531
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightPeriod,
		in:   "κ.］σωN］α␞＊＿６\x12␉]P\x03＼?＆\x1cω\nδ \x1b｜Ｔ.␠",
		out:  "κ.］σωN］α␞＊＿６\x12␉]P\x03＼?＆\x1cω\nδ \x1b｜Ｔ.␠",
	}, { // 532
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .\rＩfi][［.␡␍\"／$λπψ：V␕＝␄ε␛]\x0f＄.0",
		out:  "␠.\rＩfi][［.␡␍＂／$λπψ：V␕＝␄ε␛]\x0f＄.0",
	}, { // 533
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.\rＩfi][［.␡␍\"／$λπψ：V␕＝␄ε␛]\x0f＄.0",
		out:  "‛␠.\rＩfi][［.␡␍＂／$λπψ：V␕＝␄ε␛]\x0f＄.0",
	}, { // 534
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "η.\rＩfi][［.␡␍\"／$λπψ：V␕＝␄ε␛]\x0f＄. ",
		out:  "η.\rＩfi][［.␡␍＂／$λπψ：V␕＝␄ε␛]\x0f＄. ",
	}, { // 535
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightPeriod,
		in:   "η.\rＩfi][［.␡␍\"／$λπψ：V␕＝␄ε␛]\x0f＄.␠",
		out:  "η.\rＩfi][［.␡␍＂／$λπψ：V␕＝␄ε␛]\x0f＄.␠",
	}, { // 536
		mask: EncodeColon | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .␕２４:ω␚\x00\x01kP\x11N␁ρνｄiολ␟[＊IＰγ␖.%",
		out:  "␠.␕２４：ω␚␀\x01kP\x11N␁ρνｄiολ␟[＊IＰγ␖.%",
	}, { // 537
		mask: EncodeColon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.␕２４:ω␚\x00\x01kP\x11N␁ρνｄiολ␟[＊IＰγ␖.%",
		out:  "‛␠.␕２４：ω␚␀\x01kP\x11N␁ρνｄiολ␟[＊IＰγ␖.%",
	}, { // 538
		mask: EncodeColon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "；.␕２４:ω␚\x00\x01kP\x11N␁ρνｄiολ␟[＊IＰγ␖. ",
		out:  "；.␕２４：ω␚␀\x01kP\x11N␁ρνｄiολ␟[＊IＰγ␖. ",
	}, { // 539
		mask: EncodeColon | EncodeLeftSpace | EncodeRightPeriod,
		in:   "；.␕２４:ω␚\x00\x01kP\x11N␁ρνｄiολ␟[＊IＰγ␖.␠",
		out:  "；.␕２４：ω␚␀\x01kP\x11N␁ρνｄiολ␟[＊IＰγ␖.␠",
	}, { // 540
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .rψκj\x0eθ␁\r_ＣζM?␑\x1f5０\x00｀｜ｈ0＋φυ$.９",
		out:  "␠.rψκj\x0eθ␁\r_ＣζM？␑\x1f5０␀｀｜ｈ0＋φυ$.９",
	}, { // 541
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.rψκj\x0eθ␁\r_ＣζM?␑\x1f5０\x00｀｜ｈ0＋φυ$.９",
		out:  "‛␠.rψκj\x0eθ␁\r_ＣζM？␑\x1f5０␀｀｜ｈ0＋φυ$.９",
	}, { // 542
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ｌ.rψκj\x0eθ␁\r_ＣζM?␑\x1f5０\x00｀｜ｈ0＋φυ$. ",
		out:  "ｌ.rψκj\x0eθ␁\r_ＣζM？␑\x1f5０␀｀｜ｈ0＋φυ$. ",
	}, { // 543
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ｌ.rψκj\x0eθ␁\r_ＣζM?␑\x1f5０\x00｀｜ｈ0＋φυ$.␠",
		out:  "ｌ.rψκj\x0eθ␁\r_ＣζM？␑\x1f5０␀｀｜ｈ0＋φυ$.␠",
	}, { // 544
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .iι␍ｎ４\x1fυI]ν\f?_/６<\x1b␇␇␊η８＄ψ\x17T.＃",
		out:  "␠.iι␍ｎ４\x1fυI]ν\f?_/６<\x1b␇␇␊η８＄ψ\x17T.＃",
	}, { // 545
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.iι␍ｎ４\x1fυI]ν\f?_/６<\x1b␇␇␊η８＄ψ\x17T.＃",
		out:  "‛␠.iι␍ｎ４\x1fυI]ν\f?_/６<\x1b␇␇␊η８＄ψ\x17T.＃",
	}, { // 546
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ρ.iι␍ｎ４\x1fυI]ν\f?_/６<\x1b␇␇␊η８＄ψ\x17T. ",
		out:  "ρ.iι␍ｎ４\x1fυI]ν\f?_/６<\x1b␇␇␊η８＄ψ\x17T. ",
	}, { // 547
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ρ.iι␍ｎ４\x1fυI]ν\f?_/６<\x1b␇␇␊η８＄ψ\x17T.␠",
		out:  "ρ.iι␍ｎ４\x1fυI]ν\f?_/６<\x1b␇␇␊η８＄ψ\x17T.␠",
	}, { // 548
		mask: EncodePipe | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .\v#\"\x10？Ｑ\r＞｜␊␍'π<Tυ=θ␊σi～ε３|ｏ.．",
		out:  "␠.\v#\"\x10？Ｑ\r＞‛｜␊␍'π<Tυ=θ␊σi～ε３｜ｏ.‛．",
	}, { // 549
		mask: EncodePipe | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.\v#\"\x10？Ｑ\r＞｜␊␍'π<Tυ=θ␊σi～ε３|ｏ.．",
		out:  "‛␠.\v#\"\x10？Ｑ\r＞‛｜␊␍'π<Tυ=θ␊σi～ε３｜ｏ.‛．",
	}, { // 550
		mask: EncodePipe | EncodeLeftSpace | EncodeRightPeriod,
		in:   "０.\v#\"\x10？Ｑ\r＞｜␊␍'π<Tυ=θ␊σi～ε３|ｏ. ",
		out:  "０.\v#\"\x10？Ｑ\r＞‛｜␊␍'π<Tυ=θ␊σi～ε３｜ｏ. ",
	}, { // 551
		mask: EncodePipe | EncodeLeftSpace | EncodeRightPeriod,
		in:   "０.\v#\"\x10？Ｑ\r＞｜␊␍'π<Tυ=θ␊σi～ε３|ｏ.␠",
		out:  "０.\v#\"\x10？Ｑ\r＞‛｜␊␍'π<Tυ=θ␊σi～ε３｜ｏ.␠",
	}, { // 552
		mask: EncodeHash | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .ｌ:wＣ／\x03／bςδ９ηcX/εｉ＃%ｓ\x00\x15␟Ｕυκ.＇",
		out:  "␠.ｌ:wＣ／\x03／bςδ９ηcX/εｉ‛＃%ｓ␀\x15␟Ｕυκ.＇",
	}, { // 553
		mask: EncodeHash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.ｌ:wＣ／\x03／bςδ９ηcX/εｉ＃%ｓ\x00\x15␟Ｕυκ.＇",
		out:  "‛␠.ｌ:wＣ／\x03／bςδ９ηcX/εｉ‛＃%ｓ␀\x15␟Ｕυκ.＇",
	}, { // 554
		mask: EncodeHash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "m.ｌ:wＣ／\x03／bςδ９ηcX/εｉ＃%ｓ\x00\x15␟Ｕυκ. ",
		out:  "m.ｌ:wＣ／\x03／bςδ９ηcX/εｉ‛＃%ｓ␀\x15␟Ｕυκ. ",
	}, { // 555
		mask: EncodeHash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "m.ｌ:wＣ／\x03／bςδ９ηcX/εｉ＃%ｓ\x00\x15␟Ｕυκ.␠",
		out:  "m.ｌ:wＣ／\x03／bςδ９ηcX/εｉ‛＃%ｓ␀\x15␟Ｕυκ.␠",
	}, { // 556
		mask: EncodePercent | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .ｍ:ζ＇：\x1fυ,ｋz'＞*\nｗ\\␞XＸ␘το\x17Yυ␋.␋",
		out:  "␠.ｍ:ζ＇：\x1fυ,ｋz'＞*\nｗ\\␞XＸ␘το\x17Yυ␋.␋",
	}, { // 557
		mask: EncodePercent | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.ｍ:ζ＇：\x1fυ,ｋz'＞*\nｗ\\␞XＸ␘το\x17Yυ␋.␋",
		out:  "‛␠.ｍ:ζ＇：\x1fυ,ｋz'＞*\nｗ\\␞XＸ␘το\x17Yυ␋.␋",
	}, { // 558
		mask: EncodePercent | EncodeLeftSpace | EncodeRightPeriod,
		in:   "Ｄ.ｍ:ζ＇：\x1fυ,ｋz'＞*\nｗ\\␞XＸ␘το\x17Yυ␋. ",
		out:  "Ｄ.ｍ:ζ＇：\x1fυ,ｋz'＞*\nｗ\\␞XＸ␘το\x17Yυ␋. ",
	}, { // 559
		mask: EncodePercent | EncodeLeftSpace | EncodeRightPeriod,
		in:   "Ｄ.ｍ:ζ＇：\x1fυ,ｋz'＞*\nｗ\\␞XＸ␘το\x17Yυ␋.␠",
		out:  "Ｄ.ｍ:ζ＇：\x1fυ,ｋz'＞*\nｗ\\␞XＸ␘το\x17Yυ␋.␠",
	}, { // 560
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .ｍWt\vg\uff00μ␛φ␙χθq\x17/Ｚβψ］／：？ｊ$\n .#",
		out:  "␠.ｍWt\vg\uff00μ␛φ␙χθq\x17/Ｚβψ］／：？ｊ$\n .#",
	}, { // 561
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.ｍWt\vg\uff00μ␛φ␙χθq\x17/Ｚβψ］／：？ｊ$\n .#",
		out:  "‛␠.ｍWt\vg\uff00μ␛φ␙χθq\x17/Ｚβψ］／：？ｊ$\n .#",
	}, { // 562
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "｀.ｍWt\vg\uff00μ␛φ␙χθq\x17/Ｚβψ］／：？ｊ$\n . ",
		out:  "｀.ｍWt\vg\uff00μ␛φ␙χθq\x17/Ｚβψ］／：？ｊ$\n . ",
	}, { // 563
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightPeriod,
		in:   "｀.ｍWt\vg\uff00μ␛φ␙χθq\x17/Ｚβψ］／：？ｊ$\n .␠",
		out:  "｀.ｍWt\vg\uff00μ␛φ␙χθq\x17/Ｚβψ］／：？ｊ$\n .␠",
	}, { // 564
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .\x17ｍψ)λμ／\n*␄Ｅ＠*Ｆ␕␓＄␞\"'κμAｂR＞.1",
		out:  "␠.\x17ｍψ)λμ／␊*␄Ｅ＠*Ｆ␕␓＄␞\"'κμAｂR＞.1",
	}, { // 565
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.\x17ｍψ)λμ／\n*␄Ｅ＠*Ｆ␕␓＄␞\"'κμAｂR＞.1",
		out:  "‛␠.\x17ｍψ)λμ／␊*␄Ｅ＠*Ｆ␕␓＄␞\"'κμAｂR＞.1",
	}, { // 566
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ο.\x17ｍψ)λμ／\n*␄Ｅ＠*Ｆ␕␓＄␞\"'κμAｂR＞. ",
		out:  "ο.\x17ｍψ)λμ／␊*␄Ｅ＠*Ｆ␕␓＄␞\"'κμAｂR＞. ",
	}, { // 567
		mask: EncodeCrLf | EncodeLeftSpace | EncodeRightPeriod,
		in:   "ο.\x17ｍψ)λμ／\n*␄Ｅ＠*Ｆ␕␓＄␞\"'κμAｂR＞.␠",
		out:  "ο.\x17ｍψ)λμ／␊*␄Ｅ＠*Ｆ␕␓＄␞\"'κμAｂR＞.␠",
	}, { // 568
		mask: EncodeDel | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .K［ρ］ｚ␖κ＾\x1b.\x16α~V\x02\t？５＜vψ␁fｑχ␟.:",
		out:  "␠.K［ρ］ｚ␖κ＾\x1b.\x16α~V\x02\t？５＜vψ␁fｑχ␟.:",
	}, { // 569
		mask: EncodeDel | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.K［ρ］ｚ␖κ＾\x1b.\x16α~V\x02\t？５＜vψ␁fｑχ␟.:",
		out:  "‛␠.K［ρ］ｚ␖κ＾\x1b.\x16α~V\x02\t？５＜vψ␁fｑχ␟.:",
	}, { // 570
		mask: EncodeDel | EncodeLeftSpace | EncodeRightPeriod,
		in:   "＞.K［ρ］ｚ␖κ＾\x1b.\x16α~V\x02\t？５＜vψ␁fｑχ␟. ",
		out:  "＞.K［ρ］ｚ␖κ＾\x1b.\x16α~V\x02\t？５＜vψ␁fｑχ␟. ",
	}, { // 571
		mask: EncodeDel | EncodeLeftSpace | EncodeRightPeriod,
		in:   "＞.K［ρ］ｚ␖κ＾\x1b.\x16α~V\x02\t？５＜vψ␁fｑχ␟.␠",
		out:  "＞.K［ρ］ｚ␖κ＾\x1b.\x16α~V\x02\t？５＜vψ␁fｑχ␟.␠",
	}, { // 572
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightPeriod,
		in:   " .ζε\x1e/8\x1cＨμ␂\x1aIＴSψ␉ρ＇（]N7ν＼／␃Ｅ.３",
		out:  "␠.ζε␞/8␜Ｈμ‛␂␚IＴSψ‛␉ρ＇（]N7ν＼／‛␃Ｅ.３",
	}, { // 573
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightPeriod,
		in:   "␠.ζε\x1e/8\x1cＨμ␂\x1aIＴSψ␉ρ＇（]N7ν＼／␃Ｅ.３",
		out:  "‛␠.ζε␞/8␜Ｈμ‛␂␚IＴSψ‛␉ρ＇（]N7ν＼／‛␃Ｅ.３",
	}, { // 574
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightPeriod,
		in:   "｀.ζε\x1e/8\x1cＨμ␂\x1aIＴSψ␉ρ＇（]N7ν＼／␃Ｅ. ",
		out:  "｀.ζε␞/8␜Ｈμ‛␂␚IＴSψ‛␉ρ＇（]N7ν＼／‛␃Ｅ. ",
	}, { // 575
		mask: EncodeCtl | EncodeLeftSpace | EncodeRightPeriod,
		in:   "｀.ζε\x1e/8\x1cＨμ␂\x1aIＴSψ␉ρ＇（]N7ν＼／␃Ｅ.␠",
		out:  "｀.ζε␞/8␜Ｈμ‛␂␚IＴSψ‛␉ρ＇（]N7ν＼／‛␃Ｅ.␠",
	}, { // 576
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\t␚",
		out:  "␠\t]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\t␚",
	}, { // 577
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\t␚",
		out:  "‛␠\t]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\t␚",
	}, { // 578
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\n␚",
		out:  "␠\n]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\n␚",
	}, { // 579
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\n␚",
		out:  "‛␠\n]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\n␚",
	}, { // 580
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\v␚",
		out:  "␠\v]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\v␚",
	}, { // 581
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\v␚",
		out:  "‛␠\v]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\v␚",
	}, { // 582
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\r␚",
		out:  "␠\r]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\r␚",
	}, { // 583
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\r␚",
		out:  "‛␠\r]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\r␚",
	}, { // 584
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\t]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\t ",
		out:  "ζ\t]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\t ",
	}, { // 585
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\t]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\t␠",
		out:  "ζ\t]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\t␠",
	}, { // 586
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\n]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\n ",
		out:  "ζ\n]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\n ",
	}, { // 587
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\n]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\n␠",
		out:  "ζ\n]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\n␠",
	}, { // 588
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\v]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\v ",
		out:  "ζ\v]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\v ",
	}, { // 589
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\v]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\v␠",
		out:  "ζ\v]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\v␠",
	}, { // 590
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\r]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\r ",
		out:  "ζ\r]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\r ",
	}, { // 591
		mask: EncodeZero | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ζ\r]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\r␠",
		out:  "ζ\r]ｙＦπ\x15ε％␅σ］d\x02\x0fV３φＤ＞␉\x11Sｑ\x15u␂?\r␠",
	}, { // 592
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\tη",
		out:  "␠\t％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\tη",
	}, { // 593
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\tη",
		out:  "‛␠\t％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\tη",
	}, { // 594
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\nη",
		out:  "␠\n％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\nη",
	}, { // 595
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\nη",
		out:  "‛␠\n％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\nη",
	}, { // 596
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\vη",
		out:  "␠\v％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\vη",
	}, { // 597
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\vη",
		out:  "‛␠\v％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\vη",
	}, { // 598
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\rη",
		out:  "␠\r％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\rη",
	}, { // 599
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\rη",
		out:  "‛␠\r％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\rη",
	}, { // 600
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＾\t％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\t ",
		out:  "＾\t％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\t ",
	}, { // 601
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＾\t％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\t␠",
		out:  "＾\t％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\t␠",
	}, { // 602
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＾\n％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\n ",
		out:  "＾\n％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\n ",
	}, { // 603
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＾\n％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\n␠",
		out:  "＾\n％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\n␠",
	}, { // 604
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＾\v％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\v ",
		out:  "＾\v％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\v ",
	}, { // 605
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＾\v％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\v␠",
		out:  "＾\v％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\v␠",
	}, { // 606
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＾\r％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\r ",
		out:  "＾\r％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\r ",
	}, { // 607
		mask: EncodeSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＾\r％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\r␠",
		out:  "＾\r％＜%ζｅf␙ξγ;␎\x03＂eｂ\x1fδ|$C\x0eρ＾Ｄ！␉\r␠",
	}, { // 608
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\tw",
		out:  "␠\t␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\tw",
	}, { // 609
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\tw",
		out:  "‛␠\t␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\tw",
	}, { // 610
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\nw",
		out:  "␠\n␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\nw",
	}, { // 611
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\nw",
		out:  "‛␠\n␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\nw",
	}, { // 612
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\vw",
		out:  "␠\v␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\vw",
	}, { // 613
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\vw",
		out:  "‛␠\v␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\vw",
	}, { // 614
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\rw",
		out:  "␠\r␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\rw",
	}, { // 615
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\rw",
		out:  "‛␠\r␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\rw",
	}, { // 616
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＝\t␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\t ",
		out:  "＝\t␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\t ",
	}, { // 617
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＝\t␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\t␠",
		out:  "＝\t␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\t␠",
	}, { // 618
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＝\n␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\n ",
		out:  "＝\n␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\n ",
	}, { // 619
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＝\n␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\n␠",
		out:  "＝\n␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\n␠",
	}, { // 620
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＝\v␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\v ",
		out:  "＝\v␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\v ",
	}, { // 621
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＝\v␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\v␠",
		out:  "＝\v␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\v␠",
	}, { // 622
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＝\r␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\r ",
		out:  "＝\r␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\r ",
	}, { // 623
		mask: EncodeSingleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "＝\r␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\r␠",
		out:  "＝\r␝\x1aρＷerχξ␐ν/␙Bξ\x1e\x1e;\x02Ｓ，\x1f␙Ｗ＄υ\x12\r␠",
	}, { // 624
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\t␐",
		out:  "␠\t'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\t␐",
	}, { // 625
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\t␐",
		out:  "‛␠\t'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\t␐",
	}, { // 626
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\n␐",
		out:  "␠\n'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\n␐",
	}, { // 627
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\n␐",
		out:  "‛␠\n'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\n␐",
	}, { // 628
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\v␐",
		out:  "␠\v'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\v␐",
	}, { // 629
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\v␐",
		out:  "‛␠\v'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\v␐",
	}, { // 630
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\r␐",
		out:  "␠\r'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\r␐",
	}, { // 631
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\r␐",
		out:  "‛␠\r'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\r␐",
	}, { // 632
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ν\t'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\t ",
		out:  "ν\t'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\t ",
	}, { // 633
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ν\t'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\t␠",
		out:  "ν\t'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\t␠",
	}, { // 634
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ν\n'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\n ",
		out:  "ν\n'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\n ",
	}, { // 635
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ν\n'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\n␠",
		out:  "ν\n'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\n␠",
	}, { // 636
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ν\v'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\v ",
		out:  "ν\v'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\v ",
	}, { // 637
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ν\v'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\v␠",
		out:  "ν\v'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\v␠",
	}, { // 638
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ν\r'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\r ",
		out:  "ν\r'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\r ",
	}, { // 639
		mask: EncodeBackQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ν\r'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\r␠",
		out:  "ν\r'ι?？\x14φ/ＫJｃ,␊\t␆\x19＜ξ>ξWY␗Ｆ?１Ｆ\r␠",
	}, { // 640
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\tＰ",
		out:  "␠\t:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\tＰ",
	}, { // 641
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\tＰ",
		out:  "‛␠\t:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\tＰ",
	}, { // 642
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\nＰ",
		out:  "␠\n:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\nＰ",
	}, { // 643
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\nＰ",
		out:  "‛␠\n:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\nＰ",
	}, { // 644
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\vＰ",
		out:  "␠\v:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\vＰ",
	}, { // 645
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\vＰ",
		out:  "‛␠\v:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\vＰ",
	}, { // 646
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\rＰ",
		out:  "␠\r:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\rＰ",
	}, { // 647
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\rＰ",
		out:  "‛␠\r:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\rＰ",
	}, { // 648
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\t:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\t ",
		out:  "␀\t:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\t ",
	}, { // 649
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\t:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\t␠",
		out:  "␀\t:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\t␠",
	}, { // 650
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\n:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\n ",
		out:  "␀\n:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\n ",
	}, { // 651
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\n:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\n␠",
		out:  "␀\n:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\n␠",
	}, { // 652
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\v:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\v ",
		out:  "␀\v:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\v ",
	}, { // 653
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\v:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\v␠",
		out:  "␀\v:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\v␠",
	}, { // 654
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\r:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\r ",
		out:  "␀\r:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\r ",
	}, { // 655
		mask: EncodeLtGt | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x00\r:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l<␡\x1c\r␠",
		out:  "␀\r:χEGｄｅνE\x1eρＲ␎␏［␔β\x1bλη％␊\\l＜␡\x1c\r␠",
	}, { // 656
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\t\x03",
		out:  "␠\t$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\t\x03",
	}, { // 657
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\t\x03",
		out:  "‛␠\t$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\t\x03",
	}, { // 658
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\n\x03",
		out:  "␠\n$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\n\x03",
	}, { // 659
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\n\x03",
		out:  "‛␠\n$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\n\x03",
	}, { // 660
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\v\x03",
		out:  "␠\v$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\v\x03",
	}, { // 661
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\v\x03",
		out:  "‛␠\v$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\v\x03",
	}, { // 662
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\r\x03",
		out:  "␠\r$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\r\x03",
	}, { // 663
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\r\x03",
		out:  "‛␠\r$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\r\x03",
	}, { // 664
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "`\t$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\t ",
		out:  "`\t$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\t ",
	}, { // 665
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "`\t$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\t␠",
		out:  "`\t$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\t␠",
	}, { // 666
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "`\n$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\n ",
		out:  "`\n$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\n ",
	}, { // 667
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "`\n$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\n␠",
		out:  "`\n$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\n␠",
	}, { // 668
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "`\v$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\v ",
		out:  "`\v$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\v ",
	}, { // 669
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "`\v$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\v␠",
		out:  "`\v$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\v␠",
	}, { // 670
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "`\r$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\r ",
		out:  "`\r$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\r ",
	}, { // 671
		mask: EncodeSquareBracket | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "`\r$␏＋：Vν\x17π，θξ|\u007fＤＣ0]␁９Dｉ＼βε␏＄\r␠",
		out:  "`\r$␏＋：Vν\x17π，θξ|\u007fＤＣ0］␁９Dｉ＼βε␏＄\r␠",
	}, { // 672
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\tｎ",
		out:  "␠\t＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\tｎ",
	}, { // 673
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\tｎ",
		out:  "‛␠\t＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\tｎ",
	}, { // 674
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\nｎ",
		out:  "␠\n＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\nｎ",
	}, { // 675
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\nｎ",
		out:  "‛␠\n＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\nｎ",
	}, { // 676
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\vｎ",
		out:  "␠\v＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\vｎ",
	}, { // 677
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\vｎ",
		out:  "‛␠\v＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\vｎ",
	}, { // 678
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\rｎ",
		out:  "␠\r＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\rｎ",
	}, { // 679
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\rｎ",
		out:  "‛␠\r＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\rｎ",
	}, { // 680
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\t\t＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\t ",
		out:  "\t\t＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\t ",
	}, { // 681
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\t\t＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\t␠",
		out:  "\t\t＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\t␠",
	}, { // 682
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\t\n＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\n ",
		out:  "\t\n＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\n ",
	}, { // 683
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\t\n＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\n␠",
		out:  "\t\n＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\n␠",
	}, { // 684
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\t\v＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\v ",
		out:  "\t\v＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\v ",
	}, { // 685
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\t\v＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\v␠",
		out:  "\t\v＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\v␠",
	}, { // 686
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\t\r＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\r ",
		out:  "\t\r＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\r ",
	}, { // 687
		mask: EncodeSemicolon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\t\r＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\r␠",
		out:  "\t\r＞␛Ｚ｀\x01JhοＳ\t␎\x0f＃γχ＃ι␄Wςφz％\x026#\r␠",
	}, { // 688
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\tτ",
		out:  "␠\t\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\tτ",
	}, { // 689
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\tτ",
		out:  "‛␠\t\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\tτ",
	}, { // 690
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\nτ",
		out:  "␠\n\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\nτ",
	}, { // 691
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\nτ",
		out:  "‛␠\n\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\nτ",
	}, { // 692
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\vτ",
		out:  "␠\v\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\vτ",
	}, { // 693
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\vτ",
		out:  "‛␠\v\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\vτ",
	}, { // 694
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\rτ",
		out:  "␠\r\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\rτ",
	}, { // 695
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\rτ",
		out:  "‛␠\r\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\rτ",
	}, { // 696
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␅\t\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\t ",
		out:  "␅\t\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\t ",
	}, { // 697
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␅\t\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\t␠",
		out:  "␅\t\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\t␠",
	}, { // 698
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␅\n\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\n ",
		out:  "␅\n\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\n ",
	}, { // 699
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␅\n\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\n␠",
		out:  "␅\n\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\n␠",
	}, { // 700
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␅\v\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\v ",
		out:  "␅\v\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\v ",
	}, { // 701
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␅\v\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\v␠",
		out:  "␅\v\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\v␠",
	}, { // 702
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␅\r\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\r ",
		out:  "␅\r\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\r ",
	}, { // 703
		mask: EncodeDollar | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␅\r\x13＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\r␠",
		out:  "␅\r\x13‛＄\x1fχ\\＂ｆε␖2[\x1fρ␓７.Ｃ＃ο！\x192ε␟（n\r␠",
	}, { // 704
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\tｊ",
		out:  "␠\t ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\tｊ",
	}, { // 705
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\tｊ",
		out:  "‛␠\t ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\tｊ",
	}, { // 706
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\nｊ",
		out:  "␠\n ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\nｊ",
	}, { // 707
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\nｊ",
		out:  "‛␠\n ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\nｊ",
	}, { // 708
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\vｊ",
		out:  "␠\v ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\vｊ",
	}, { // 709
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\vｊ",
		out:  "‛␠\v ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\vｊ",
	}, { // 710
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\rｊ",
		out:  "␠\r ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\rｊ",
	}, { // 711
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\rｊ",
		out:  "‛␠\r ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\rｊ",
	}, { // 712
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x1c\t ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\t ",
		out:  "\x1c\t ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\t ",
	}, { // 713
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x1c\t ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\t␠",
		out:  "\x1c\t ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\t␠",
	}, { // 714
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x1c\n ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\n ",
		out:  "\x1c\n ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\n ",
	}, { // 715
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x1c\n ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\n␠",
		out:  "\x1c\n ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\n␠",
	}, { // 716
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x1c\v ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\v ",
		out:  "\x1c\v ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\v ",
	}, { // 717
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x1c\v ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\v␠",
		out:  "\x1c\v ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\v␠",
	}, { // 718
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x1c\r ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\r ",
		out:  "\x1c\r ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\r ",
	}, { // 719
		mask: EncodeDoubleQuote | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\x1c\r ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\r␠",
		out:  "\x1c\r ？␂ｑ>＜ηψ]R（８~&ｓ_\f\\ν；＼γ0：α\x02\r␠",
	}, { // 720
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\t;",
		out:  "␠\t)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\t;",
	}, { // 721
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\t;",
		out:  "‛␠\t)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\t;",
	}, { // 722
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\n;",
		out:  "␠\n)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\n;",
	}, { // 723
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\n;",
		out:  "‛␠\n)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\n;",
	}, { // 724
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\v;",
		out:  "␠\v)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\v;",
	}, { // 725
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\v;",
		out:  "‛␠\v)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\v;",
	}, { // 726
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\r;",
		out:  "␠\r)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\r;",
	}, { // 727
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\r;",
		out:  "‛␠\r)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\r;",
	}, { // 728
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ρ\t)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\t ",
		out:  "ρ\t)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\t ",
	}, { // 729
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ρ\t)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\t␠",
		out:  "ρ\t)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\t␠",
	}, { // 730
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ρ\n)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\n ",
		out:  "ρ\n)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\n ",
	}, { // 731
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ρ\n)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\n␠",
		out:  "ρ\n)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\n␠",
	}, { // 732
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ρ\v)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\v ",
		out:  "ρ\v)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\v ",
	}, { // 733
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ρ\v)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\v␠",
		out:  "ρ\v)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\v␠",
	}, { // 734
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ρ\r)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\r ",
		out:  "ρ\r)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\r ",
	}, { // 735
		mask: EncodeColon | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ρ\r)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\r␠",
		out:  "ρ\r)Ｈ１/(σ／␖/Ｕ␙｜v␕\nη｀\t␄α[+～χnθ\r␠",
	}, { // 736
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \tＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\t\r",
		out:  "␠\tＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\t␍",
	}, { // 737
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\tＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\t\r",
		out:  "‛␠\tＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\t␍",
	}, { // 738
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \nＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\n\r",
		out:  "␠\nＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\n␍",
	}, { // 739
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\nＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\n\r",
		out:  "‛␠\nＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\n␍",
	}, { // 740
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \vＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\v\r",
		out:  "␠\vＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\v␍",
	}, { // 741
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\vＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\v\r",
		out:  "‛␠\vＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\v␍",
	}, { // 742
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \rＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\r\r",
		out:  "␠\rＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\r␍",
	}, { // 743
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\rＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\r\r",
		out:  "‛␠\rＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\r␍",
	}, { // 744
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ｙ\tＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\t ",
		out:  "ｙ\tＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\t ",
	}, { // 745
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ｙ\tＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\t␠",
		out:  "ｙ\tＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\t␠",
	}, { // 746
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ｙ\nＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\n ",
		out:  "ｙ\nＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\n ",
	}, { // 747
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ｙ\nＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\n␠",
		out:  "ｙ\nＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\n␠",
	}, { // 748
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ｙ\vＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\v ",
		out:  "ｙ\vＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\v ",
	}, { // 749
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ｙ\vＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\v␠",
		out:  "ｙ\vＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\v␠",
	}, { // 750
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ｙ\rＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\r ",
		out:  "ｙ\rＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\r ",
	}, { // 751
		mask: EncodeQuestion | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ｙ\rＯ｝\nα;␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\r␠",
		out:  "ｙ\rＯ｝\nα;‛␀␇␁*Oy＂␍W␌ｕθςＴ!\x1dτψζ%＠\r␠",
	}, { // 752
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\tｆ",
		out:  "␠\t>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\tｆ",
	}, { // 753
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\tｆ",
		out:  "‛␠\t>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\tｆ",
	}, { // 754
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\nｆ",
		out:  "␠\n>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\nｆ",
	}, { // 755
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\nｆ",
		out:  "‛␠\n>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\nｆ",
	}, { // 756
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\vｆ",
		out:  "␠\v>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\vｆ",
	}, { // 757
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\vｆ",
		out:  "‛␠\v>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\vｆ",
	}, { // 758
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\rｆ",
		out:  "␠\r>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\rｆ",
	}, { // 759
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\rｆ",
		out:  "‛␠\r>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\rｆ",
	}, { // 760
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\b\t>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\t ",
		out:  "\b\t>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\t ",
	}, { // 761
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\b\t>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\t␠",
		out:  "\b\t>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\t␠",
	}, { // 762
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\b\n>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\n ",
		out:  "\b\n>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\n ",
	}, { // 763
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\b\n>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\n␠",
		out:  "\b\n>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\n␠",
	}, { // 764
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\b\v>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\v ",
		out:  "\b\v>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\v ",
	}, { // 765
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\b\v>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\v␠",
		out:  "\b\v>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\v␠",
	}, { // 766
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\b\r>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\r ",
		out:  "\b\r>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\r ",
	}, { // 767
		mask: EncodeAsterisk | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "\b\r>Sg５ｅ|τ␊␞］\\␎π4－␈υιU＊␖οτ\rl<\r␠",
		out:  "\b\r>Sg５ｅ|τ␊␞］\\␎π4－␈υιU‛＊␖οτ\rl<\r␠",
	}, { // 768
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\tς",
		out:  "␠\t\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\tς",
	}, { // 769
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\tς",
		out:  "‛␠\t\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\tς",
	}, { // 770
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\nς",
		out:  "␠\n\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\nς",
	}, { // 771
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\nς",
		out:  "‛␠\n\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\nς",
	}, { // 772
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\vς",
		out:  "␠\v\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\vς",
	}, { // 773
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\vς",
		out:  "‛␠\v\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\vς",
	}, { // 774
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\rς",
		out:  "␠\r\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\rς",
	}, { // 775
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\rς",
		out:  "‛␠\r\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\rς",
	}, { // 776
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␈\t\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\t ",
		out:  "␈\t\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\t ",
	}, { // 777
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␈\t\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\t␠",
		out:  "␈\t\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\t␠",
	}, { // 778
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␈\n\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\n ",
		out:  "␈\n\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\n ",
	}, { // 779
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␈\n\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\n␠",
		out:  "␈\n\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\n␠",
	}, { // 780
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␈\v\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\v ",
		out:  "␈\v\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\v ",
	}, { // 781
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␈\v\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\v␠",
		out:  "␈\v\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\v␠",
	}, { // 782
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␈\r\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\r ",
		out:  "␈\r\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\r ",
	}, { // 783
		mask: EncodePipe | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␈\r\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\r␠",
		out:  "␈\r\x11φε＂\x1b␎.｀i\x1c\x04Ｚο<Dｉ=Ｕ#σ?：ψ␡␜４\r␠",
	}, { // 784
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\tα",
		out:  "␠\t\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\tα",
	}, { // 785
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\tα",
		out:  "‛␠\t\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\tα",
	}, { // 786
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\nα",
		out:  "␠\n\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\nα",
	}, { // 787
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\nα",
		out:  "‛␠\n\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\nα",
	}, { // 788
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\vα",
		out:  "␠\v\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\vα",
	}, { // 789
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\vα",
		out:  "‛␠\v\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\vα",
	}, { // 790
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\rα",
		out:  "␠\r\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\rα",
	}, { // 791
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\rα",
		out:  "‛␠\r\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\rα",
	}, { // 792
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ς\t\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\t ",
		out:  "ς\t\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\t ",
	}, { // 793
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ς\t\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\t␠",
		out:  "ς\t\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\t␠",
	}, { // 794
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ς\n\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\n ",
		out:  "ς\n\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\n ",
	}, { // 795
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ς\n\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\n␠",
		out:  "ς\n\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\n␠",
	}, { // 796
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ς\v\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\v ",
		out:  "ς\v\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\v ",
	}, { // 797
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ς\v\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\v␠",
		out:  "ς\v\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\v␠",
	}, { // 798
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ς\r\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\r ",
		out:  "ς\r\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\r ",
	}, { // 799
		mask: EncodeHash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "ς\r\x04\x05ξ］HＹ\\␡ο\n\x15＄#5ｑＰ&␜x␊ω$Ｈ＆λ␞\r␠",
		out:  "ς\r\x04\x05ξ］HＹ\\␡ο\n\x15＄＃5ｑＰ&␜x␊ω$Ｈ＆λ␞\r␠",
	}, { // 800
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \tξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\tＫ",
		out:  "␠\tξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\tＫ",
	}, { // 801
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\tξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\tＫ",
		out:  "‛␠\tξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\tＫ",
	}, { // 802
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \nξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\nＫ",
		out:  "␠\nξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\nＫ",
	}, { // 803
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\nξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\nＫ",
		out:  "‛␠\nξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\nＫ",
	}, { // 804
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \vξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\vＫ",
		out:  "␠\vξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\vＫ",
	}, { // 805
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\vξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\vＫ",
		out:  "‛␠\vξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\vＫ",
	}, { // 806
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \rξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\rＫ",
		out:  "␠\rξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\rＫ",
	}, { // 807
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\rξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\rＫ",
		out:  "‛␠\rξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\rＫ",
	}, { // 808
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "]\tξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\t ",
		out:  "]\tξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\t ",
	}, { // 809
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "]\tξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\t␠",
		out:  "]\tξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\t␠",
	}, { // 810
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "]\nξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\n ",
		out:  "]\nξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\n ",
	}, { // 811
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "]\nξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\n␠",
		out:  "]\nξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\n␠",
	}, { // 812
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "]\vξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\v ",
		out:  "]\vξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\v ",
	}, { // 813
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "]\vξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\v␠",
		out:  "]\vξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\v␠",
	}, { // 814
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "]\rξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\r ",
		out:  "]\rξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\r ",
	}, { // 815
		mask: EncodePercent | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "]\rξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\r␠",
		out:  "]\rξ＇;cＵ'␜βvT\fφ␏ｍ[␕κ｜\rθＦ\fmψＪ:\r␠",
	}, { // 816
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \tα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\t:",
		out:  "␠\tα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\t:",
	}, { // 817
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\tα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\t:",
		out:  "‛␠\tα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\t:",
	}, { // 818
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \nα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\n:",
		out:  "␠\nα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\n:",
	}, { // 819
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\nα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\n:",
		out:  "‛␠\nα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\n:",
	}, { // 820
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \vα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\v:",
		out:  "␠\vα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\v:",
	}, { // 821
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\vα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\v:",
		out:  "‛␠\vα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\v:",
	}, { // 822
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \rα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\r:",
		out:  "␠\rα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\r:",
	}, { // 823
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\rα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\r:",
		out:  "‛␠\rα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\r:",
	}, { // 824
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "q\tα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\t ",
		out:  "q\tα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\t ",
	}, { // 825
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "q\tα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\t␠",
		out:  "q\tα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\t␠",
	}, { // 826
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "q\nα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\n ",
		out:  "q\nα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\n ",
	}, { // 827
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "q\nα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\n␠",
		out:  "q\nα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\n␠",
	}, { // 828
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "q\vα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\v ",
		out:  "q\vα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\v ",
	}, { // 829
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "q\vα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\v␠",
		out:  "q\vα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\v␠",
	}, { // 830
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "q\rα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\r ",
		out:  "q\rα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\r ",
	}, { // 831
		mask: EncodeBackSlash | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "q\rα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\r␠",
		out:  "q\rα\x11\x0e␕␍ｙ？\x1dＪ］Ｗ␔ης&ρu␛θ\b<\x02?｛ｕ／\r␠",
	}, { // 832
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \t␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\tθ",
		out:  "␠\t␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\tθ",
	}, { // 833
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\tθ",
		out:  "‛␠\t␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\tθ",
	}, { // 834
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \n␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\nθ",
		out:  "␠\n␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\nθ",
	}, { // 835
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\nθ",
		out:  "‛␠\n␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\nθ",
	}, { // 836
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \v␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\vθ",
		out:  "␠\v␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\vθ",
	}, { // 837
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\vθ",
		out:  "‛␠\v␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\vθ",
	}, { // 838
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   " \r␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\rθ",
		out:  "␠\r␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\rθ",
	}, { // 839
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\rθ",
		out:  "‛␠\r␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\rθ",
	}, { // 840
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "E\t␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\t ",
		out:  "E\t␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\t ",
	}, { // 841
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "E\t␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\t␠",
		out:  "E\t␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\t␠",
	}, { // 842
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "E\n␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\n ",
		out:  "E\n␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\n ",
	}, { // 843
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "E\n␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\n␠",
		out:  "E\n␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\n␠",
	}, { // 844
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "E\v␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\v ",
		out:  "E\v␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\v ",
	}, { // 845
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "E\v␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\v␠",
		out:  "E\v␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\v␠",
	}, { // 846
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "E\r␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\r ",
		out:  "E\r␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\r ",
	}, { // 847
		mask: EncodeDel | EncodeLeftSpace | EncodeRightCrLfHtVt,
		in:   "E\r␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε\u007fT\r␠",
		out:  "E\r␃ω\x05␆］ｄｘφμrξ／␘[;,％Ｚ／␓?i[ε␡T\r␠",
	}, { // 848
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ｎＮ>␀\x1bω`ρ␍␈＇＄4Ｙτ\r␍Ｌ｀Zν`η\a\rH ；",
		out:  "． ｎＮ>‛␀\x1bω`ρ␍␈＇＄4Ｙτ\r␍Ｌ｀Zν`η\a\rH ；",
	}, { // 849
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ｎＮ>␀\x1bω`ρ␍␈＇＄4Ｙτ\r␍Ｌ｀Zν`η\a\rH ；",
		out:  "‛． ｎＮ>‛␀\x1bω`ρ␍␈＇＄4Ｙτ\r␍Ｌ｀Zν`η\a\rH ；",
	}, { // 850
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "/ ｎＮ>␀\x1bω`ρ␍␈＇＄4Ｙτ\r␍Ｌ｀Zν`η\a\rH .",
		out:  "/ ｎＮ>‛␀\x1bω`ρ␍␈＇＄4Ｙτ\r␍Ｌ｀Zν`η\a\rH .",
	}, { // 851
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "/ ｎＮ>␀\x1bω`ρ␍␈＇＄4Ｙτ\r␍Ｌ｀Zν`η\a\rH ．",
		out:  "/ ｎＮ>‛␀\x1bω`ρ␍␈＇＄4Ｙτ\r␍Ｌ｀Zν`η\a\rH ．",
	}, { // 852
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ＞\uff00␗I␄\x18ＵεJυ？|/ςＮ\x1e\rδt␂γ␛<Ｆｃα C",
		out:  "． ＞\uff00␗I␄\x18ＵεJυ？|／ςＮ\x1e\rδt␂γ␛<Ｆｃα C",
	}, { // 853
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ＞\uff00␗I␄\x18ＵεJυ？|/ςＮ\x1e\rδt␂γ␛<Ｆｃα C",
		out:  "‛． ＞\uff00␗I␄\x18ＵεJυ？|／ςＮ\x1e\rδt␂γ␛<Ｆｃα C",
	}, { // 854
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "h ＞\uff00␗I␄\x18ＵεJυ？|/ςＮ\x1e\rδt␂γ␛<Ｆｃα .",
		out:  "h ＞\uff00␗I␄\x18ＵεJυ？|／ςＮ\x1e\rδt␂γ␛<Ｆｃα .",
	}, { // 855
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "h ＞\uff00␗I␄\x18ＵεJυ？|/ςＮ\x1e\rδt␂γ␛<Ｆｃα ．",
		out:  "h ＞\uff00␗I␄\x18ＵεJυ？|／ςＮ\x1e\rδt␂γ␛<Ｆｃα ．",
	}, { // 856
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␆ζ␃4ε\x00\x16␡Ｅ\x1cτο＝wl␝^|~＝\x10/ν␗l＇ ｅ",
		out:  "． ␆ζ␃4ε␀\x16␡Ｅ\x1cτο＝wl␝^|~＝\x10/ν␗l‛＇ ｅ",
	}, { // 857
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␆ζ␃4ε\x00\x16␡Ｅ\x1cτο＝wl␝^|~＝\x10/ν␗l＇ ｅ",
		out:  "‛． ␆ζ␃4ε␀\x16␡Ｅ\x1cτο＝wl␝^|~＝\x10/ν␗l‛＇ ｅ",
	}, { // 858
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "｜ ␆ζ␃4ε\x00\x16␡Ｅ\x1cτο＝wl␝^|~＝\x10/ν␗l＇ .",
		out:  "｜ ␆ζ␃4ε␀\x16␡Ｅ\x1cτο＝wl␝^|~＝\x10/ν␗l‛＇ .",
	}, { // 859
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "｜ ␆ζ␃4ε\x00\x16␡Ｅ\x1cτο＝wl␝^|~＝\x10/ν␗l＇ ．",
		out:  "｜ ␆ζ␃4ε␀\x16␡Ｅ\x1cτο＝wl␝^|~＝\x10/ν␗l‛＇ ．",
	}, { // 860
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". [｛$u＼Muτ？YrＫｔ<γ␜＼κ\x10：ｅ？＜ε\x12ν σ",
		out:  "． [｛$u＼Muτ？YrＫｔ<γ␜＼κ\x10：ｅ？＜ε\x12ν σ",
	}, { // 861
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． [｛$u＼Muτ？YrＫｔ<γ␜＼κ\x10：ｅ？＜ε\x12ν σ",
		out:  "‛． [｛$u＼Muτ？YrＫｔ<γ␜＼κ\x10：ｅ？＜ε\x12ν σ",
	}, { // 862
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "＿ [｛$u＼Muτ？YrＫｔ<γ␜＼κ\x10：ｅ？＜ε\x12ν .",
		out:  "＿ [｛$u＼Muτ？YrＫｔ<γ␜＼κ\x10：ｅ？＜ε\x12ν .",
	}, { // 863
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "＿ [｛$u＼Muτ？YrＫｔ<γ␜＼κ\x10：ｅ？＜ε\x12ν ．",
		out:  "＿ [｛$u＼Muτ？YrＫｔ<γ␜＼κ\x10：ｅ？＜ε\x12ν ．",
	}, { // 864
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". EλRａ\x1fＬ\x1dＱｋ\x17τK/θｉ_｜Rν％\x0eδ\x0e␘＼＜ ε",
		out:  "． EλRａ\x1fＬ\x1dＱｋ\x17τK/θｉ_｜Rν％\x0eδ\x0e␘＼‛＜ ε",
	}, { // 865
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． EλRａ\x1fＬ\x1dＱｋ\x17τK/θｉ_｜Rν％\x0eδ\x0e␘＼＜ ε",
		out:  "‛． EλRａ\x1fＬ\x1dＱｋ\x17τK/θｉ_｜Rν％\x0eδ\x0e␘＼‛＜ ε",
	}, { // 866
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\" EλRａ\x1fＬ\x1dＱｋ\x17τK/θｉ_｜Rν％\x0eδ\x0e␘＼＜ .",
		out:  "\" EλRａ\x1fＬ\x1dＱｋ\x17τK/θｉ_｜Rν％\x0eδ\x0e␘＼‛＜ .",
	}, { // 867
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\" EλRａ\x1fＬ\x1dＱｋ\x17τK/θｉ_｜Rν％\x0eδ\x0e␘＼＜ ．",
		out:  "\" EλRａ\x1fＬ\x1dＱｋ\x17τK/θｉ_｜Rν％\x0eδ\x0e␘＼‛＜ ．",
	}, { // 868
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". O４xωκＸＤe\x1e\x1eF］ｘβ\x1fηＦ1\x16\r6；＞␂␃\r η",
		out:  "． O４xωκＸＤe\x1e\x1eF‛］ｘβ\x1fηＦ1\x16\r6；＞␂␃\r η",
	}, { // 869
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． O４xωκＸＤe\x1e\x1eF］ｘβ\x1fηＦ1\x16\r6；＞␂␃\r η",
		out:  "‛． O４xωκＸＤe\x1e\x1eF‛］ｘβ\x1fηＦ1\x16\r6；＞␂␃\r η",
	}, { // 870
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． O４xωκＸＤe\x1e\x1eF］ｘβ\x1fηＦ1\x16\r6；＞␂␃\r .",
		out:  "‛． O４xωκＸＤe\x1e\x1eF‛］ｘβ\x1fηＦ1\x16\r6；＞␂␃\r .",
	}, { // 871
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． O４xωκＸＤe\x1e\x1eF］ｘβ\x1fηＦ1\x16\r6；＞␂␃\r ．",
		out:  "‛． O４xωκＸＤe\x1e\x1eF‛］ｘβ\x1fηＦ1\x16\r6；＞␂␃\r ．",
	}, { // 872
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␍χοＦ\v<Gｌω␀\x03\x15＇ς＃\rEXχ：^Ｊ␃\\？ｎ ?",
		out:  "． ␍χοＦ\v<Gｌω‛␀\x03\x15＇ς＃\rEXχ：^Ｊ␃\\？ｎ ?",
	}, { // 873
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␍χοＦ\v<Gｌω␀\x03\x15＇ς＃\rEXχ：^Ｊ␃\\？ｎ ?",
		out:  "‛． ␍χοＦ\v<Gｌω‛␀\x03\x15＇ς＃\rEXχ：^Ｊ␃\\？ｎ ?",
	}, { // 874
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "？ ␍χοＦ\v<Gｌω␀\x03\x15＇ς＃\rEXχ：^Ｊ␃\\？ｎ .",
		out:  "？ ␍χοＦ\v<Gｌω‛␀\x03\x15＇ς＃\rEXχ：^Ｊ␃\\？ｎ .",
	}, { // 875
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "？ ␍χοＦ\v<Gｌω␀\x03\x15＇ς＃\rEXχ：^Ｊ␃\\？ｎ ．",
		out:  "？ ␍χοＦ\v<Gｌω‛␀\x03\x15＇ς＃\rEXχ：^Ｊ␃\\？ｎ ．",
	}, { // 876
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". #/σττ`␟:␏ａt␐ｄA｝ι␗ιψ\f＃#␈{\x01␍ ＇",
		out:  "． #/σττ`␟:␏ａt␐ｄA｝ι␗ιψ\f＃#␈{\x01␍ ＇",
	}, { // 877
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． #/σττ`␟:␏ａt␐ｄA｝ι␗ιψ\f＃#␈{\x01␍ ＇",
		out:  "‛． #/σττ`␟:␏ａt␐ｄA｝ι␗ιψ\f＃#␈{\x01␍ ＇",
	}, { // 878
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "Ｌ #/σττ`␟:␏ａt␐ｄA｝ι␗ιψ\f＃#␈{\x01␍ .",
		out:  "Ｌ #/σττ`␟:␏ａt␐ｄA｝ι␗ιψ\f＃#␈{\x01␍ .",
	}, { // 879
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "Ｌ #/σττ`␟:␏ａt␐ｄA｝ι␗ιψ\f＃#␈{\x01␍ ．",
		out:  "Ｌ #/σττ`␟:␏ａt␐ｄA｝ι␗ιψ\f＃#␈{\x01␍ ．",
	}, { // 880
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␏ξ\x01␑]υ~＜\x00␄<ｓ␓]｜␕Ｗ$#χｎ1Ｏ3oχ ␛",
		out:  "． ␏ξ\x01␑]υ~＜␀␄<ｓ␓]｜␕Ｗ$#χｎ1Ｏ3oχ ␛",
	}, { // 881
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␏ξ\x01␑]υ~＜\x00␄<ｓ␓]｜␕Ｗ$#χｎ1Ｏ3oχ ␛",
		out:  "‛． ␏ξ\x01␑]υ~＜␀␄<ｓ␓]｜␕Ｗ$#χｎ1Ｏ3oχ ␛",
	}, { // 882
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "ο ␏ξ\x01␑]υ~＜\x00␄<ｓ␓]｜␕Ｗ$#χｎ1Ｏ3oχ .",
		out:  "ο ␏ξ\x01␑]υ~＜␀␄<ｓ␓]｜␕Ｗ$#χｎ1Ｏ3oχ .",
	}, { // 883
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "ο ␏ξ\x01␑]υ~＜\x00␄<ｓ␓]｜␕Ｗ$#χｎ1Ｏ3oχ ．",
		out:  "ο ␏ξ\x01␑]υ~＜␀␄<ｓ␓]｜␕Ｗ$#χｎ1Ｏ3oχ ．",
	}, { // 884
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". \"ξＬ$␁\x03οG．ι5ｘ\x16␑＇F=ｔρc'␀ψχ＆\r ␛",
		out:  "． \"ξＬ$␁\x03οG．ι5ｘ\x16␑＇F=ｔρc'‛␀ψχ＆\r ␛",
	}, { // 885
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． \"ξＬ$␁\x03οG．ι5ｘ\x16␑＇F=ｔρc'␀ψχ＆\r ␛",
		out:  "‛． \"ξＬ$␁\x03οG．ι5ｘ\x16␑＇F=ｔρc'‛␀ψχ＆\r ␛",
	}, { // 886
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "＄ \"ξＬ$␁\x03οG．ι5ｘ\x16␑＇F=ｔρc'␀ψχ＆\r .",
		out:  "＄ \"ξＬ$␁\x03οG．ι5ｘ\x16␑＇F=ｔρc'‛␀ψχ＆\r .",
	}, { // 887
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "＄ \"ξＬ$␁\x03οG．ι5ｘ\x16␑＇F=ｔρc'␀ψχ＆\r ．",
		out:  "＄ \"ξＬ$␁\x03οG．ι5ｘ\x16␑＇F=ｔρc'‛␀ψχ＆\r ．",
	}, { // 888
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". υcυ０＞␛\aL＞\x13<θ\n］｜γ#θ＃χ␒@\x1d<␘＂ +",
		out:  "． υcυ０＞␛\aL＞\x13<θ\n］｜γ#θ＃χ␒@\x1d<␘＂ +",
	}, { // 889
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． υcυ０＞␛\aL＞\x13<θ\n］｜γ#θ＃χ␒@\x1d<␘＂ +",
		out:  "‛． υcυ０＞␛\aL＞\x13<θ\n］｜γ#θ＃χ␒@\x1d<␘＂ +",
	}, { // 890
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\uff00 υcυ０＞␛\aL＞\x13<θ\n］｜γ#θ＃χ␒@\x1d<␘＂ .",
		out:  "\uff00 υcυ０＞␛\aL＞\x13<θ\n］｜γ#θ＃χ␒@\x1d<␘＂ .",
	}, { // 891
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "\uff00 υcυ０＞␛\aL＞\x13<θ\n］｜γ#θ＃χ␒@\x1d<␘＂ ．",
		out:  "\uff00 υcυ０＞␛\aL＞\x13<θ\n］｜γ#θ＃χ␒@\x1d<␘＂ ．",
	}, { // 892
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". <ς＄γqS８２πJ＜\x00\x1ca｛7＄␒2\rςγ＄Ｒ\rＵ \x1b",
		out:  "． <ς＄γqS８２πJ＜␀\x1ca｛7＄␒2\rςγ＄Ｒ\rＵ \x1b",
	}, { // 893
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． <ς＄γqS８２πJ＜\x00\x1ca｛7＄␒2\rςγ＄Ｒ\rＵ \x1b",
		out:  "‛． <ς＄γqS８２πJ＜␀\x1ca｛7＄␒2\rςγ＄Ｒ\rＵ \x1b",
	}, { // 894
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␓ <ς＄γqS８２πJ＜\x00\x1ca｛7＄␒2\rςγ＄Ｒ\rＵ .",
		out:  "␓ <ς＄γqS８２πJ＜␀\x1ca｛7＄␒2\rςγ＄Ｒ\rＵ .",
	}, { // 895
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␓ <ς＄γqS８２πJ＜\x00\x1ca｛7＄␒2\rςγ＄Ｒ\rＵ ．",
		out:  "␓ <ς＄γqS８２πJ＜␀\x1ca｛7＄␒2\rςγ＄Ｒ\rＵ ．",
	}, { // 896
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". \x0f#χ\x03\"␍\uff00\x13ν\x06：␊ｑrJ7σχ？␆Ｇυ＜Ａ\r␋ 0",
		out:  "． \x0f#χ\x03\"␍\uff00\x13ν\x06：␊ｑrJ7σχ？␆Ｇυ＜Ａ\r␋ 0",
	}, { // 897
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． \x0f#χ\x03\"␍\uff00\x13ν\x06：␊ｑrJ7σχ？␆Ｇυ＜Ａ\r␋ 0",
		out:  "‛． \x0f#χ\x03\"␍\uff00\x13ν\x06：␊ｑrJ7σχ？␆Ｇυ＜Ａ\r␋ 0",
	}, { // 898
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "P \x0f#χ\x03\"␍\uff00\x13ν\x06：␊ｑrJ7σχ？␆Ｇυ＜Ａ\r␋ .",
		out:  "P \x0f#χ\x03\"␍\uff00\x13ν\x06：␊ｑrJ7σχ？␆Ｇυ＜Ａ\r␋ .",
	}, { // 899
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "P \x0f#χ\x03\"␍\uff00\x13ν\x06：␊ｑrJ7σχ？␆Ｇυ＜Ａ\r␋ ．",
		out:  "P \x0f#χ\x03\"␍\uff00\x13ν\x06：␊ｑrJ7σχ？␆Ｇυ＜Ａ\r␋ ．",
	}, { // 900
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". κ@>Jl＆␅π␘\u007fιc␊υ[φ\x01？＞Ｑ＿４Ｚ4A\x13 \t",
		out:  "． κ@>Jl＆␅π␘\u007fιc␊υ[φ\x01？＞Ｑ＿４Ｚ4A\x13 \t",
	}, { // 901
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． κ@>Jl＆␅π␘\u007fιc␊υ[φ\x01？＞Ｑ＿４Ｚ4A\x13 \t",
		out:  "‛． κ@>Jl＆␅π␘\u007fιc␊υ[φ\x01？＞Ｑ＿４Ｚ4A\x13 \t",
	}, { // 902
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "π κ@>Jl＆␅π␘\u007fιc␊υ[φ\x01？＞Ｑ＿４Ｚ4A\x13 .",
		out:  "π κ@>Jl＆␅π␘\u007fιc␊υ[φ\x01？＞Ｑ＿４Ｚ4A\x13 .",
	}, { // 903
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "π κ@>Jl＆␅π␘\u007fιc␊υ[φ\x01？＞Ｑ＿４Ｚ4A\x13 ．",
		out:  "π κ@>Jl＆␅π␘\u007fιc␊υ[φ\x01？＞Ｑ＿４Ｚ4A\x13 ．",
	}, { // 904
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␓ｄ␃.τ\x14␙ζ\x0fm\nＲｈ８x/c␂＆υε\\λιR␐ Y",
		out:  "． ␓ｄ␃.τ\x14␙ζ\x0fm\nＲｈ８x/c␂＆υε\\λιR␐ Y",
	}, { // 905
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␓ｄ␃.τ\x14␙ζ\x0fm\nＲｈ８x/c␂＆υε\\λιR␐ Y",
		out:  "‛． ␓ｄ␃.τ\x14␙ζ\x0fm\nＲｈ８x/c␂＆υε\\λιR␐ Y",
	}, { // 906
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␘ ␓ｄ␃.τ\x14␙ζ\x0fm\nＲｈ８x/c␂＆υε\\λιR␐ .",
		out:  "␘ ␓ｄ␃.τ\x14␙ζ\x0fm\nＲｈ８x/c␂＆υε\\λιR␐ .",
	}, { // 907
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "␘ ␓ｄ␃.τ\x14␙ζ\x0fm\nＲｈ８x/c␂＆υε\\λιR␐ ．",
		out:  "␘ ␓ｄ␃.τ\x14␙ζ\x0fm\nＲｈ８x/c␂＆υε\\λιR␐ ．",
	}, { // 908
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ？z\x12␁＠α?；z？＝␄αＰν<7<`h$ω\x04，υＬ Ｎ",
		out:  "． ？z\x12␁＠α?；z？＝␄αＰν<7<`h$ω\x04，υＬ Ｎ",
	}, { // 909
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ？z\x12␁＠α?；z？＝␄αＰν<7<`h$ω\x04，υＬ Ｎ",
		out:  "‛． ？z\x12␁＠α?；z？＝␄αＰν<7<`h$ω\x04，υＬ Ｎ",
	}, { // 910
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "＜ ？z\x12␁＠α?；z？＝␄αＰν<7<`h$ω\x04，υＬ .",
		out:  "＜ ？z\x12␁＠α?；z？＝␄αＰν<7<`h$ω\x04，υＬ .",
	}, { // 911
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "＜ ？z\x12␁＠α?；z？＝␄αＰν<7<`h$ω\x04，υＬ ．",
		out:  "＜ ？z\x12␁＠α?；z？＝␄αＰν<7<`h$ω\x04，υＬ ．",
	}, { // 912
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ０␆π:\x17*ε_\x0fＥψｆｋ?␊Ｖ\b＇␙ψDλγｑ␕/ ␍",
		out:  "． ０␆π:\x17*ε_\x0fＥψｆｋ?‛␊Ｖ\b＇␙ψDλγｑ␕/ ‛␍",
	}, { // 913
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ０␆π:\x17*ε_\x0fＥψｆｋ?␊Ｖ\b＇␙ψDλγｑ␕/ ␍",
		out:  "‛． ０␆π:\x17*ε_\x0fＥψｆｋ?‛␊Ｖ\b＇␙ψDλγｑ␕/ ‛␍",
	}, { // 914
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "  ０␆π:\x17*ε_\x0fＥψｆｋ?␊Ｖ\b＇␙ψDλγｑ␕/ .",
		out:  "␠ ０␆π:\x17*ε_\x0fＥψｆｋ?‛␊Ｖ\b＇␙ψDλγｑ␕/ .",
	}, { // 915
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "  ０␆π:\x17*ε_\x0fＥψｆｋ?␊Ｖ\b＇␙ψDλγｑ␕/ ．",
		out:  "␠ ０␆π:\x17*ε_\x0fＥψｆｋ?‛␊Ｖ\b＇␙ψDλγｑ␕/ ．",
	}, { // 916
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␍␊Ｄσ␡ｌ\x1dw\rｃaο+｜␕'Ｋ[{\x16'Ｃχδ＠␚ \u007f",
		out:  "． ␍␊Ｄσ‛␡ｌ\x1dw\rｃaο+｜␕'Ｋ[{\x16'Ｃχδ＠␚ ␡",
	}, { // 917
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␍␊Ｄσ␡ｌ\x1dw\rｃaο+｜␕'Ｋ[{\x16'Ｃχδ＠␚ \u007f",
		out:  "‛． ␍␊Ｄσ‛␡ｌ\x1dw\rｃaο+｜␕'Ｋ[{\x16'Ｃχδ＠␚ ␡",
	}, { // 918
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "[ ␍␊Ｄσ␡ｌ\x1dw\rｃaο+｜␕'Ｋ[{\x16'Ｃχδ＠␚ .",
		out:  "[ ␍␊Ｄσ‛␡ｌ\x1dw\rｃaο+｜␕'Ｋ[{\x16'Ｃχδ＠␚ .",
	}, { // 919
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "[ ␍␊Ｄσ␡ｌ\x1dw\rｃaο+｜␕'Ｋ[{\x16'Ｃχδ＠␚ ．",
		out:  "[ ␍␊Ｄσ‛␡ｌ\x1dw\rｃaο+｜␕'Ｋ[{\x16'Ｃχδ＠␚ ．",
	}, { // 920
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftSpace,
		in:   ". ␃\x18Ｐ\x0e\x16OP\aＩ／κ␚ｑ$Qγ␄ωαy\x06π␆ｎ␟α ｋ",
		out:  "． ‛␃␘Ｐ␎␖OP␇Ｉ／κ‛␚ｑ$Qγ‛␄ωαy␆π‛␆ｎ‛␟α ｋ",
	}, { // 921
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "． ␃\x18Ｐ\x0e\x16OP\aＩ／κ␚ｑ$Qγ␄ωαy\x06π␆ｎ␟α ｋ",
		out:  "‛． ‛␃␘Ｐ␎␖OP␇Ｉ／κ‛␚ｑ$Qγ‛␄ωαy␆π‛␆ｎ‛␟α ｋ",
	}, { // 922
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "5 ␃\x18Ｐ\x0e\x16OP\aＩ／κ␚ｑ$Qγ␄ωαy\x06π␆ｎ␟α .",
		out:  "5 ‛␃␘Ｐ␎␖OP␇Ｉ／κ‛␚ｑ$Qγ‛␄ωαy␆π‛␆ｎ‛␟α .",
	}, { // 923
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftSpace,
		in:   "5 ␃\x18Ｐ\x0e\x16OP\aＩ／κ␚ｑ$Qγ␄ωαy\x06π␆ｎ␟α ．",
		out:  "5 ‛␃␘Ｐ␎␖OP␇Ｉ／κ‛␚ｑ$Qγ‛␄ωαy␆π‛␆ｎ‛␟α ．",
	}, { // 924
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~l␚␃;βｆχ␅␘|＊ γＩ＋\v␗ｈψc\x12\n３/＊δ~\x0e",
		out:  "．~l␚␃;βｆχ␅␘|＊ γＩ＋\v␗ｈψc\x12\n３/＊δ~\x0e",
	}, { // 925
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~l␚␃;βｆχ␅␘|＊ γＩ＋\v␗ｈψc\x12\n３/＊δ~\x0e",
		out:  "‛．~l␚␃;βｆχ␅␘|＊ γＩ＋\v␗ｈψc\x12\n３/＊δ~\x0e",
	}, { // 926
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "γ~l␚␃;βｆχ␅␘|＊ γＩ＋\v␗ｈψc\x12\n３/＊δ~.",
		out:  "γ~l␚␃;βｆχ␅␘|＊ γＩ＋\v␗ｈψc\x12\n３/＊δ~.",
	}, { // 927
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "γ~l␚␃;βｆχ␅␘|＊ γＩ＋\v␗ｈψc\x12\n３/＊δ~．",
		out:  "γ~l␚␃;βｆχ␅␘|＊ γＩ＋\v␗ｈψc\x12\n３/＊δ~．",
	}, { // 928
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~␇#２Ｐγ\u007f４\x1d＃K？Zτz␌␄x␖\x13χ）φG－\r\x15~δ",
		out:  "．~␇#２Ｐγ\u007f４\x1d＃K？Zτz␌␄x␖\x13χ）φG－\r\x15~δ",
	}, { // 929
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~␇#２Ｐγ\u007f４\x1d＃K？Zτz␌␄x␖\x13χ）φG－\r\x15~δ",
		out:  "‛．~␇#２Ｐγ\u007f４\x1d＃K？Zτz␌␄x␖\x13χ）φG－\r\x15~δ",
	}, { // 930
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "/~␇#２Ｐγ\u007f４\x1d＃K？Zτz␌␄x␖\x13χ）φG－\r\x15~.",
		out:  "／~␇#２Ｐγ\u007f４\x1d＃K？Zτz␌␄x␖\x13χ）φG－\r\x15~.",
	}, { // 931
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "/~␇#２Ｐγ\u007f４\x1d＃K？Zτz␌␄x␖\x13χ）φG－\r\x15~．",
		out:  "／~␇#２Ｐγ\u007f４\x1d＃K？Zτz␌␄x␖\x13χ）φG－\r\x15~．",
	}, { // 932
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~s␃Fω＠２＇λ␖\x13[σｉ\x12\x13！␘␐(ν\x13ｈτφ9\x16~Ｌ",
		out:  "．~s␃Fω＠２‛＇λ␖\x13[σｉ\x12\x13！␘␐(ν\x13ｈτφ9\x16~Ｌ",
	}, { // 933
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~s␃Fω＠２＇λ␖\x13[σｉ\x12\x13！␘␐(ν\x13ｈτφ9\x16~Ｌ",
		out:  "‛．~s␃Fω＠２‛＇λ␖\x13[σｉ\x12\x13！␘␐(ν\x13ｈτφ9\x16~Ｌ",
	}, { // 934
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\a~s␃Fω＠２＇λ␖\x13[σｉ\x12\x13！␘␐(ν\x13ｈτφ9\x16~.",
		out:  "\a~s␃Fω＠２‛＇λ␖\x13[σｉ\x12\x13！␘␐(ν\x13ｈτφ9\x16~.",
	}, { // 935
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\a~s␃Fω＠２＇λ␖\x13[σｉ\x12\x13！␘␐(ν\x13ｈτφ9\x16~．",
		out:  "\a~s␃Fω＠２‛＇λ␖\x13[σｉ\x12\x13！␘␐(ν\x13ｈτφ9\x16~．",
	}, { // 936
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\bＷ␔L）␚δ5γικ\\θ＃ｆＱ\n\x12␏４\"＝\x19＃οR~'",
		out:  "．~\bＷ␔L）␚δ5γικ\\θ＃ｆＱ\n\x12␏４\"＝\x19＃οR~'",
	}, { // 937
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\bＷ␔L）␚δ5γικ\\θ＃ｆＱ\n\x12␏４\"＝\x19＃οR~'",
		out:  "‛．~\bＷ␔L）␚δ5γικ\\θ＃ｆＱ\n\x12␏４\"＝\x19＃οR~'",
	}, { // 938
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "$~\bＷ␔L）␚δ5γικ\\θ＃ｆＱ\n\x12␏４\"＝\x19＃οR~.",
		out:  "$~\bＷ␔L）␚δ5γικ\\θ＃ｆＱ\n\x12␏４\"＝\x19＃οR~.",
	}, { // 939
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "$~\bＷ␔L）␚δ5γικ\\θ＃ｆＱ\n\x12␏４\"＝\x19＃οR~．",
		out:  "$~\bＷ␔L）␚δ5γικ\\θ＃ｆＱ\n\x12␏４\"＝\x19＃οR~．",
	}, { // 940
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~yπξ＾A／＃8\x11ｖ［/%\x06φ＊'φδＪ␂α＜ｐ：9~␕",
		out:  "．~yπξ＾A／＃8\x11ｖ［/%\x06φ＊'φδＪ␂α‛＜ｐ：9~␕",
	}, { // 941
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~yπξ＾A／＃8\x11ｖ［/%\x06φ＊'φδＪ␂α＜ｐ：9~␕",
		out:  "‛．~yπξ＾A／＃8\x11ｖ［/%\x06φ＊'φδＪ␂α‛＜ｐ：9~␕",
	}, { // 942
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\"~yπξ＾A／＃8\x11ｖ［/%\x06φ＊'φδＪ␂α＜ｐ：9~.",
		out:  "\"~yπξ＾A／＃8\x11ｖ［/%\x06φ＊'φδＪ␂α‛＜ｐ：9~.",
	}, { // 943
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\"~yπξ＾A／＃8\x11ｖ［/%\x06φ＊'φδＪ␂α＜ｐ：9~．",
		out:  "\"~yπξ＾A／＃8\x11ｖ［/%\x06φ＊'φδＪ␂α‛＜ｐ：9~．",
	}, { // 944
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x14τF＼:␝μｎ／%λ6\x1cｈ\bζＨ%ι~＾\x11=υ＂%~／",
		out:  "．~\x14τF＼:␝μｎ／%λ6\x1cｈ\bζＨ%ι~＾\x11=υ＂%~／",
	}, { // 945
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x14τF＼:␝μｎ／%λ6\x1cｈ\bζＨ%ι~＾\x11=υ＂%~／",
		out:  "‛．~\x14τF＼:␝μｎ／%λ6\x1cｈ\bζＨ%ι~＾\x11=υ＂%~／",
	}, { // 946
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ｗ~\x14τF＼:␝μｎ／%λ6\x1cｈ\bζＨ%ι~＾\x11=υ＂%~.",
		out:  "ｗ~\x14τF＼:␝μｎ／%λ6\x1cｈ\bζＨ%ι~＾\x11=υ＂%~.",
	}, { // 947
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ｗ~\x14τF＼:␝μｎ／%λ6\x1cｈ\bζＨ%ι~＾\x11=υ＂%~．",
		out:  "ｗ~\x14τF＼:␝μｎ／%λ6\x1cｈ\bζＨ%ι~＾\x11=υ＂%~．",
	}, { // 948
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~␝δ␗f\x0f$ｃ@7h␒ε␊␊＂ν\x1elυ］－␒`６\x1f|~＠",
		out:  "．~␝δ␗f\x0f$ｃ@7h␒ε␊␊＂ν\x1elυ］－␒`６\x1f|~＠",
	}, { // 949
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~␝δ␗f\x0f$ｃ@7h␒ε␊␊＂ν\x1elυ］－␒`６\x1f|~＠",
		out:  "‛．~␝δ␗f\x0f$ｃ@7h␒ε␊␊＂ν\x1elυ］－␒`６\x1f|~＠",
	}, { // 950
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "]~␝δ␗f\x0f$ｃ@7h␒ε␊␊＂ν\x1elυ］－␒`６\x1f|~.",
		out:  "]~␝δ␗f\x0f$ｃ@7h␒ε␊␊＂ν\x1elυ］－␒`６\x1f|~.",
	}, { // 951
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "]~␝δ␗f\x0f$ｃ@7h␒ε␊␊＂ν\x1elυ］－␒`６\x1f|~．",
		out:  "]~␝δ␗f\x0f$ｃ@7h␒ε␊␊＂ν\x1elυ］－␒`６\x1f|~．",
	}, { // 952
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~Uα␎Ｒ␈\x17\\＃ｈ：９\x18＊/αE；␎ο\uff00sｑK\fζ}~\x15",
		out:  "．~Uα␎Ｒ␈\x17\\＃ｈ：９\x18＊/αE；␎ο\uff00sｑK\fζ}~\x15",
	}, { // 953
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~Uα␎Ｒ␈\x17\\＃ｈ：９\x18＊/αE；␎ο\uff00sｑK\fζ}~\x15",
		out:  "‛．~Uα␎Ｒ␈\x17\\＃ｈ：９\x18＊/αE；␎ο\uff00sｑK\fζ}~\x15",
	}, { // 954
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ς~Uα␎Ｒ␈\x17\\＃ｈ：９\x18＊/αE；␎ο\uff00sｑK\fζ}~.",
		out:  "ς~Uα␎Ｒ␈\x17\\＃ｈ：９\x18＊/αE；␎ο\uff00sｑK\fζ}~.",
	}, { // 955
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ς~Uα␎Ｒ␈\x17\\＃ｈ：９\x18＊/αE；␎ο\uff00sｑK\fζ}~．",
		out:  "ς~Uα␎Ｒ␈\x17\\＃ｈ：９\x18＊/αE；␎ο\uff00sｑK\fζ}~．",
	}, { // 956
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x190M\x1f/ε␡A␉>\\ξＫ\x18;;δ／η｜␛Ｋ＄ορ５~Ｖ",
		out:  "．~\x190M\x1f/ε␡A␉>\\ξＫ\x18;;δ／η｜␛Ｋ＄ορ５~Ｖ",
	}, { // 957
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x190M\x1f/ε␡A␉>\\ξＫ\x18;;δ／η｜␛Ｋ＄ορ５~Ｖ",
		out:  "‛．~\x190M\x1f/ε␡A␉>\\ξＫ\x18;;δ／η｜␛Ｋ＄ορ５~Ｖ",
	}, { // 958
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ｏ~\x190M\x1f/ε␡A␉>\\ξＫ\x18;;δ／η｜␛Ｋ＄ορ５~.",
		out:  "ｏ~\x190M\x1f/ε␡A␉>\\ξＫ\x18;;δ／η｜␛Ｋ＄ορ５~.",
	}, { // 959
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ｏ~\x190M\x1f/ε␡A␉>\\ξＫ\x18;;δ／η｜␛Ｋ＄ορ５~．",
		out:  "ｏ~\x190M\x1f/ε␡A␉>\\ξＫ\x18;;δ／η｜␛Ｋ＄ορ５~．",
	}, { // 960
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x0e␆\x12K`piχ␞＋;\x13ｚζ␚\"／Ｋθαwψｂ␎ο４~＜",
		out:  "．~\x0e␆\x12K`piχ␞＋;\x13ｚζ␚\"／Ｋθαwψｂ␎ο４~＜",
	}, { // 961
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x0e␆\x12K`piχ␞＋;\x13ｚζ␚\"／Ｋθαwψｂ␎ο４~＜",
		out:  "‛．~\x0e␆\x12K`piχ␞＋;\x13ｚζ␚\"／Ｋθαwψｂ␎ο４~＜",
	}, { // 962
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ｈ~\x0e␆\x12K`piχ␞＋;\x13ｚζ␚\"／Ｋθαwψｂ␎ο４~.",
		out:  "ｈ~\x0e␆\x12K`piχ␞＋;\x13ｚζ␚\"／Ｋθαwψｂ␎ο４~.",
	}, { // 963
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "ｈ~\x0e␆\x12K`piχ␞＋;\x13ｚζ␚\"／Ｋθαwψｂ␎ο４~．",
		out:  "ｈ~\x0e␆\x12K`piχ␞＋;\x13ｚζ␚\"／Ｋθαwψｂ␎ο４~．",
	}, { // 964
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~\x1fδβｉ＂\x10#λθ␈\x1d\x17␊／＂：␙*5>fB３t＆␖~β",
		out:  "．~\x1fδβｉ＂\x10#λθ␈\x1d\x17␊／＂：␙*5>fB３t＆␖~β",
	}, { // 965
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~\x1fδβｉ＂\x10#λθ␈\x1d\x17␊／＂：␙*5>fB３t＆␖~β",
		out:  "‛．~\x1fδβｉ＂\x10#λθ␈\x1d\x17␊／＂：␙*5>fB３t＆␖~β",
	}, { // 966
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "7~\x1fδβｉ＂\x10#λθ␈\x1d\x17␊／＂：␙*5>fB３t＆␖~.",
		out:  "7~\x1fδβｉ＂\x10#λθ␈\x1d\x17␊／＂：␙*5>fB３t＆␖~.",
	}, { // 967
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "7~\x1fδβｉ＂\x10#λθ␈\x1d\x17␊／＂：␙*5>fB３t＆␖~．",
		out:  "7~\x1fδβｉ＂\x10#λθ␈\x1d\x17␊／＂：␙*5>fB３t＆␖~．",
	}, { // 968
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~ς\u007f｀Ｘ␑␄/Ｃ\x01κV;γＬ／C␜\\μβ;ｏ␚βz\u007f~＄",
		out:  "．~ς\u007f｀Ｘ␑␄/Ｃ\x01κV;γＬ／C␜\\μβ;ｏ␚βz\u007f~＄",
	}, { // 969
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~ς\u007f｀Ｘ␑␄/Ｃ\x01κV;γＬ／C␜\\μβ;ｏ␚βz\u007f~＄",
		out:  "‛．~ς\u007f｀Ｘ␑␄/Ｃ\x01κV;γＬ／C␜\\μβ;ｏ␚βz\u007f~＄",
	}, { // 970
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\x05~ς\u007f｀Ｘ␑␄/Ｃ\x01κV;γＬ／C␜\\μβ;ｏ␚βz\u007f~.",
		out:  "\x05~ς\u007f｀Ｘ␑␄/Ｃ\x01κV;γＬ／C␜\\μβ;ｏ␚βz\u007f~.",
	}, { // 971
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\x05~ς\u007f｀Ｘ␑␄/Ｃ\x01κV;γＬ／C␜\\μβ;ｏ␚βz\u007f~．",
		out:  "\x05~ς\u007f｀Ｘ␑␄/Ｃ\x01κV;γＬ／C␜\\μβ;ｏ␚βz\u007f~．",
	}, { // 972
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~*ＶＢｚ␌ \x05｀v：␙␙｀lδｏυε\x19υ␡ξ\x1e，KP~β",
		out:  "．~*ＶＢｚ␌ \x05｀v：␙␙｀lδｏυε\x19υ␡ξ\x1e，KP~β",
	}, { // 973
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~*ＶＢｚ␌ \x05｀v：␙␙｀lδｏυε\x19υ␡ξ\x1e，KP~β",
		out:  "‛．~*ＶＢｚ␌ \x05｀v：␙␙｀lδｏυε\x19υ␡ξ\x1e，KP~β",
	}, { // 974
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "'~*ＶＢｚ␌ \x05｀v：␙␙｀lδｏυε\x19υ␡ξ\x1e，KP~.",
		out:  "'~*ＶＢｚ␌ \x05｀v：␙␙｀lδｏυε\x19υ␡ξ\x1e，KP~.",
	}, { // 975
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "'~*ＶＢｚ␌ \x05｀v：␙␙｀lδｏυε\x19υ␡ξ\x1e，KP~．",
		out:  "'~*ＶＢｚ␌ \x05｀v：␙␙｀lδｏυε\x19υ␡ξ\x1e，KP~．",
	}, { // 976
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~␆ι＿:␜\x1b\x18␏ｕχ␏τ＊Ｂｆwa\x10\x04\\␊]rρψ\v~\x1d",
		out:  "．~␆ι＿:␜\x1b\x18␏ｕχ␏τ＊Ｂｆwa\x10\x04\\␊]rρψ\v~\x1d",
	}, { // 977
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~␆ι＿:␜\x1b\x18␏ｕχ␏τ＊Ｂｆwa\x10\x04\\␊]rρψ\v~\x1d",
		out:  "‛．~␆ι＿:␜\x1b\x18␏ｕχ␏τ＊Ｂｆwa\x10\x04\\␊]rρψ\v~\x1d",
	}, { // 978
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "σ~␆ι＿:␜\x1b\x18␏ｕχ␏τ＊Ｂｆwa\x10\x04\\␊]rρψ\v~.",
		out:  "σ~␆ι＿:␜\x1b\x18␏ｕχ␏τ＊Ｂｆwa\x10\x04\\␊]rρψ\v~.",
	}, { // 979
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "σ~␆ι＿:␜\x1b\x18␏ｕχ␏τ＊Ｂｆwa\x10\x04\\␊]rρψ\v~．",
		out:  "σ~␆ι＿:␜\x1b\x18␏ｕχ␏τ＊Ｂｆwa\x10\x04\\␊]rρψ\v~．",
	}, { // 980
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~$\aδξ０|σ␛ＭIι\x05\x1b？␃＠␐Z␡ｖ#␊%Ｃ␋\t~K",
		out:  "．~$\aδξ０|σ␛ＭIι\x05\x1b？␃＠␐Z␡ｖ#␊％Ｃ␋\t~K",
	}, { // 981
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~$\aδξ０|σ␛ＭIι\x05\x1b？␃＠␐Z␡ｖ#␊%Ｃ␋\t~K",
		out:  "‛．~$\aδξ０|σ␛ＭIι\x05\x1b？␃＠␐Z␡ｖ#␊％Ｃ␋\t~K",
	}, { // 982
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "θ~$\aδξ０|σ␛ＭIι\x05\x1b？␃＠␐Z␡ｖ#␊%Ｃ␋\t~.",
		out:  "θ~$\aδξ０|σ␛ＭIι\x05\x1b？␃＠␐Z␡ｖ#␊％Ｃ␋\t~.",
	}, { // 983
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "θ~$\aδξ０|σ␛ＭIι\x05\x1b？␃＠␐Z␡ｖ#␊%Ｃ␋\t~．",
		out:  "θ~$\aδξ０|σ␛ＭIι\x05\x1b？␃＠␐Z␡ｖ#␊％Ｃ␋\t~．",
	}, { // 984
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~zε４#\x13υξ␚λ␆#i４␒Ｗa␌Mμ｀ｒτ＞Ｊ\b:~]",
		out:  "．~zε４#\x13υξ␚λ␆#i４␒Ｗa␌Mμ｀ｒτ＞Ｊ\b:~]",
	}, { // 985
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~zε４#\x13υξ␚λ␆#i４␒Ｗa␌Mμ｀ｒτ＞Ｊ\b:~]",
		out:  "‛．~zε４#\x13υξ␚λ␆#i４␒Ｗa␌Mμ｀ｒτ＞Ｊ\b:~]",
	}, { // 986
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "％~zε４#\x13υξ␚λ␆#i４␒Ｗa␌Mμ｀ｒτ＞Ｊ\b:~.",
		out:  "％~zε４#\x13υξ␚λ␆#i４␒Ｗa␌Mμ｀ｒτ＞Ｊ\b:~.",
	}, { // 987
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "％~zε４#\x13υξ␚λ␆#i４␒Ｗa␌Mμ｀ｒτ＞Ｊ\b:~．",
		out:  "％~zε４#\x13υξ␚λ␆#i４␒Ｗa␌Mμ｀ｒτ＞Ｊ\b:~．",
	}, { // 988
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~（:α@Ｅ␈νε\x1dζ９\x1cς␍}␗f␕\x02\b2＊␚':Ｂ~＆",
		out:  "．~（:α@Ｅ␈νε\x1dζ９\x1cς‛␍}␗f␕\x02\b2＊␚':Ｂ~＆",
	}, { // 989
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~（:α@Ｅ␈νε\x1dζ９\x1cς␍}␗f␕\x02\b2＊␚':Ｂ~＆",
		out:  "‛．~（:α@Ｅ␈νε\x1dζ９\x1cς‛␍}␗f␕\x02\b2＊␚':Ｂ~＆",
	}, { // 990
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "i~（:α@Ｅ␈νε\x1dζ９\x1cς␍}␗f␕\x02\b2＊␚':Ｂ~.",
		out:  "i~（:α@Ｅ␈νε\x1dζ９\x1cς‛␍}␗f␕\x02\b2＊␚':Ｂ~.",
	}, { // 991
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "i~（:α@Ｅ␈νε\x1dζ９\x1cς␍}␗f␕\x02\b2＊␚':Ｂ~．",
		out:  "i~（:α@Ｅ␈νε\x1dζ９\x1cς‛␍}␗f␕\x02\b2＊␚':Ｂ~．",
	}, { // 992
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~μＨ＼φ$＂＊␓\x18σfβ␋␌｜Ｖ@|␀=πＨ\x0e%>*~C",
		out:  "．~μＨ＼φ$＂＊␓\x18σfβ␋␌｜Ｖ@|‛␀=πＨ\x0e%>*~C",
	}, { // 993
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~μＨ＼φ$＂＊␓\x18σfβ␋␌｜Ｖ@|␀=πＨ\x0e%>*~C",
		out:  "‛．~μＨ＼φ$＂＊␓\x18σfβ␋␌｜Ｖ@|‛␀=πＨ\x0e%>*~C",
	}, { // 994
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\uff00~μＨ＼φ$＂＊␓\x18σfβ␋␌｜Ｖ@|␀=πＨ\x0e%>*~.",
		out:  "\uff00~μＨ＼φ$＂＊␓\x18σfβ␋␌｜Ｖ@|‛␀=πＨ\x0e%>*~.",
	}, { // 995
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "\uff00~μＨ＼φ$＂＊␓\x18σfβ␋␌｜Ｖ@|␀=πＨ\x0e%>*~．",
		out:  "\uff00~μＨ＼φ$＂＊␓\x18σfβ␋␌｜Ｖ@|‛␀=πＨ\x0e%>*~．",
	}, { // 996
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftTilde,
		in:   ".~＄χα＼Ｌι\x06O］␇r\x15#8/ζα＜ｘ\u007f＝τ3>＄＇~Ｈ",
		out:  "．~＄χα＼Ｌι␆O］‛␇r␕#8/ζα＜ｘ\u007f＝τ3>＄＇~Ｈ",
	}, { // 997
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "．~＄χα＼Ｌι\x06O］␇r\x15#8/ζα＜ｘ\u007f＝τ3>＄＇~Ｈ",
		out:  "‛．~＄χα＼Ｌι␆O］‛␇r␕#8/ζα＜ｘ\u007f＝τ3>＄＇~Ｈ",
	}, { // 998
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "M~＄χα＼Ｌι\x06O］␇r\x15#8/ζα＜ｘ\u007f＝τ3>＄＇~.",
		out:  "M~＄χα＼Ｌι␆O］‛␇r␕#8/ζα＜ｘ\u007f＝τ3>＄＇~.",
	}, { // 999
		mask: EncodeCtl | EncodeLeftPeriod | EncodeLeftTilde,
		in:   "M~＄χα＼Ｌι\x06O］␇r\x15#8/ζα＜ｘ\u007f＝τ3>＄＇~．",
		out:  "M~＄χα＼Ｌι␆O］‛␇r␕#8/ζα＜ｘ\u007f＝τ3>＄＇~．",
	}, { // 1000
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\tＢ",
		out:  "．\t？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\tＢ",
	}, { // 1001
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\tＢ",
		out:  "‛．\t？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\tＢ",
	}, { // 1002
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\nＢ",
		out:  "．\n？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\nＢ",
	}, { // 1003
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\nＢ",
		out:  "‛．\n？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\nＢ",
	}, { // 1004
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\vＢ",
		out:  "．\v？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\vＢ",
	}, { // 1005
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\vＢ",
		out:  "‛．\v？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\vＢ",
	}, { // 1006
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\rＢ",
		out:  "．\r？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\rＢ",
	}, { // 1007
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\rＢ",
		out:  "‛．\r？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\rＢ",
	}, { // 1008
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "`\t？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\t.",
		out:  "`\t？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\t.",
	}, { // 1009
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "`\t？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\t．",
		out:  "`\t？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\t．",
	}, { // 1010
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "`\n？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\n.",
		out:  "`\n？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\n.",
	}, { // 1011
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "`\n？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\n．",
		out:  "`\n？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\n．",
	}, { // 1012
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "`\v？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\v.",
		out:  "`\v？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\v.",
	}, { // 1013
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "`\v？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\v．",
		out:  "`\v？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\v．",
	}, { // 1014
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "`\r？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\r.",
		out:  "`\r？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\r.",
	}, { // 1015
		mask: EncodeZero | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "`\r？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\r．",
		out:  "`\r？τλX；`＃␂|ο［\bIe\x1b６\x0eＭ␒｀＄λαY\x17α\r．",
	}, { // 1016
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\tW",
		out:  "．\t＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\tW",
	}, { // 1017
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\tW",
		out:  "‛．\t＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\tW",
	}, { // 1018
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\nW",
		out:  "．\n＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\nW",
	}, { // 1019
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\nW",
		out:  "‛．\n＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\nW",
	}, { // 1020
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\vW",
		out:  "．\v＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\vW",
	}, { // 1021
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\vW",
		out:  "‛．\v＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\vW",
	}, { // 1022
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\rW",
		out:  "．\r＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\rW",
	}, { // 1023
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\rW",
		out:  "‛．\r＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\rW",
	}, { // 1024
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "y\t＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\t.",
		out:  "y\t＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\t.",
	}, { // 1025
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "y\t＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\t．",
		out:  "y\t＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\t．",
	}, { // 1026
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "y\n＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\n.",
		out:  "y\n＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\n.",
	}, { // 1027
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "y\n＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\n．",
		out:  "y\n＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\n．",
	}, { // 1028
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "y\v＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\v.",
		out:  "y\v＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\v.",
	}, { // 1029
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "y\v＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\v．",
		out:  "y\v＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\v．",
	}, { // 1030
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "y\r＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\r.",
		out:  "y\r＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\r.",
	}, { // 1031
		mask: EncodeSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "y\r＄\\δｘTＦ＄κ／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\r．",
		out:  "y\r＄\\δｘTＦ＄κ‛／ε：ｉ\aδξ`ρ\nｒ␘Ｖd\x06？\x04＇\r．",
	}, { // 1032
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\t;",
		out:  "．\tｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\t;",
	}, { // 1033
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\t;",
		out:  "‛．\tｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\t;",
	}, { // 1034
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\n;",
		out:  "．\nｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\n;",
	}, { // 1035
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\n;",
		out:  "‛．\nｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\n;",
	}, { // 1036
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\v;",
		out:  "．\vｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\v;",
	}, { // 1037
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\v;",
		out:  "‛．\vｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\v;",
	}, { // 1038
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\r;",
		out:  "．\rｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\r;",
	}, { // 1039
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\r;",
		out:  "‛．\rｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\r;",
	}, { // 1040
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\tｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\t.",
		out:  "ο\tｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\t.",
	}, { // 1041
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\tｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\t．",
		out:  "ο\tｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\t．",
	}, { // 1042
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\nｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\n.",
		out:  "ο\nｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\n.",
	}, { // 1043
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\nｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\n．",
		out:  "ο\nｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\n．",
	}, { // 1044
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\vｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\v.",
		out:  "ο\vｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\v.",
	}, { // 1045
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\vｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\v．",
		out:  "ο\vｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\v．",
	}, { // 1046
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\rｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\r.",
		out:  "ο\rｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\r.",
	}, { // 1047
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\rｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY␀＂\x01␡\\θλ␕XθＲ\r．",
		out:  "ο\rｙ␒&i\x11\x14␑ηｘ\x19␖XχＶY‛␀＂\x01␡\\θλ␕XθＲ\r．",
	}, { // 1048
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\t＼",
		out:  "．\tｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\t＼",
	}, { // 1049
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\t＼",
		out:  "‛．\tｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\t＼",
	}, { // 1050
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\n＼",
		out:  "．\nｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\n＼",
	}, { // 1051
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\n＼",
		out:  "‛．\nｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\n＼",
	}, { // 1052
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\v＼",
		out:  "．\vｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\v＼",
	}, { // 1053
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\v＼",
		out:  "‛．\vｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\v＼",
	}, { // 1054
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\r＼",
		out:  "．\rｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\r＼",
	}, { // 1055
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\r＼",
		out:  "‛．\rｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\r＼",
	}, { // 1056
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\tｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\t.",
		out:  "\x06\tｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\t.",
	}, { // 1057
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\tｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\t．",
		out:  "\x06\tｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\t．",
	}, { // 1058
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\nｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\n.",
		out:  "\x06\nｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\n.",
	}, { // 1059
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\nｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\n．",
		out:  "\x06\nｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\n．",
	}, { // 1060
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\vｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\v.",
		out:  "\x06\vｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\v.",
	}, { // 1061
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\vｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\v．",
		out:  "\x06\vｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\v．",
	}, { // 1062
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\rｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\r.",
		out:  "\x06\rｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\r.",
	}, { // 1063
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\x06\rｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\r．",
		out:  "\x06\rｄ１Ｕ␡␉]3#␋χ:φTζ\x12φ？＆␇jU＠\"υαｉ\r．",
	}, { // 1064
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\tβ",
		out:  "．\t＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\tβ",
	}, { // 1065
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\tβ",
		out:  "‛．\t＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\tβ",
	}, { // 1066
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\nβ",
		out:  "．\n＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\nβ",
	}, { // 1067
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\nβ",
		out:  "‛．\n＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\nβ",
	}, { // 1068
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\vβ",
		out:  "．\v＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\vβ",
	}, { // 1069
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\vβ",
		out:  "‛．\v＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\vβ",
	}, { // 1070
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\rβ",
		out:  "．\r＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\rβ",
	}, { // 1071
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\rβ",
		out:  "‛．\r＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\rβ",
	}, { // 1072
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "<\t>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\t.",
		out:  "＜\t＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\t.",
	}, { // 1073
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "<\t>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\t．",
		out:  "＜\t＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\t．",
	}, { // 1074
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "<\n>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\n.",
		out:  "＜\n＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\n.",
	}, { // 1075
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "<\n>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\n．",
		out:  "＜\n＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\n．",
	}, { // 1076
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "<\v>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\v.",
		out:  "＜\v＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\v.",
	}, { // 1077
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "<\v>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\v．",
		out:  "＜\v＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\v．",
	}, { // 1078
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "<\r>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\r.",
		out:  "＜\r＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\r.",
	}, { // 1079
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "<\r>Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓＜\x17θX\r．",
		out:  "＜\r＞Lρ＃lγ＝ｎ:␂\x1b｝wｋ\fOδ␚TαＱ␓‛＜\x17θX\r．",
	}, { // 1080
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\t6",
		out:  "．\t~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\t6",
	}, { // 1081
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\t6",
		out:  "‛．\t~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\t6",
	}, { // 1082
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\n6",
		out:  "．\n~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\n6",
	}, { // 1083
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\n6",
		out:  "‛．\n~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\n6",
	}, { // 1084
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\v6",
		out:  "．\v~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\v6",
	}, { // 1085
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\v6",
		out:  "‛．\v~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\v6",
	}, { // 1086
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\r6",
		out:  "．\r~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\r6",
	}, { // 1087
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\r6",
		out:  "‛．\r~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\r6",
	}, { // 1088
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "］\t~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\t.",
		out:  "‛］\t~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\t.",
	}, { // 1089
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "］\t~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\t．",
		out:  "‛］\t~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\t．",
	}, { // 1090
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "］\n~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\n.",
		out:  "‛］\n~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\n.",
	}, { // 1091
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "］\n~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\n．",
		out:  "‛］\n~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\n．",
	}, { // 1092
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "］\v~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\v.",
		out:  "‛］\v~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\v.",
	}, { // 1093
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "］\v~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\v．",
		out:  "‛］\v~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\v．",
	}, { // 1094
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "］\r~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\r.",
		out:  "‛］\r~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\r.",
	}, { // 1095
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "］\r~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\r．",
		out:  "‛］\r~δＲ;ιvω\x1f；\r３＞Ｓ␎7％\x16␃！ζ＼λο７'\"\r．",
	}, { // 1096
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\t:",
		out:  "．\t；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\t:",
	}, { // 1097
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\t:",
		out:  "‛．\t；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\t:",
	}, { // 1098
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\n:",
		out:  "．\n；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\n:",
	}, { // 1099
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\n:",
		out:  "‛．\n；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\n:",
	}, { // 1100
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\v:",
		out:  "．\v；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\v:",
	}, { // 1101
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\v:",
		out:  "‛．\v；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\v:",
	}, { // 1102
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\r:",
		out:  "．\r；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\r:",
	}, { // 1103
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\r:",
		out:  "‛．\r；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\r:",
	}, { // 1104
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␊\t;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\t.",
		out:  "‛␊\t；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\t.",
	}, { // 1105
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␊\t;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\t．",
		out:  "‛␊\t；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\t．",
	}, { // 1106
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␊\n;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\n.",
		out:  "‛␊\n；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\n.",
	}, { // 1107
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␊\n;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\n．",
		out:  "‛␊\n；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\n．",
	}, { // 1108
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␊\v;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\v.",
		out:  "‛␊\v；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\v.",
	}, { // 1109
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␊\v;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\v．",
		out:  "‛␊\v；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\v．",
	}, { // 1110
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␊\r;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\r.",
		out:  "‛␊\r；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\r.",
	}, { // 1111
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␊\r;\x1f␚M-～␍␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\r．",
		out:  "‛␊\r；\x1f␚M-～␍‛␀εＯＺ*\r｜ε,αα［\v\x1f␛QＥν␋\r．",
	}, { // 1112
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\t\x19",
		out:  "．\tχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\t\x19",
	}, { // 1113
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\t\x19",
		out:  "‛．\tχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\t\x19",
	}, { // 1114
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\n\x19",
		out:  "．\nχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\n\x19",
	}, { // 1115
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\n\x19",
		out:  "‛．\nχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\n\x19",
	}, { // 1116
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\v\x19",
		out:  "．\vχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\v\x19",
	}, { // 1117
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\v\x19",
		out:  "‛．\vχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\v\x19",
	}, { // 1118
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\r\x19",
		out:  "．\rχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\r\x19",
	}, { // 1119
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\r\x19",
		out:  "‛．\rχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\r\x19",
	}, { // 1120
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\tχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\t.",
		out:  "ο\tχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\t.",
	}, { // 1121
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\tχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\t．",
		out:  "ο\tχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\t．",
	}, { // 1122
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\nχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\n.",
		out:  "ο\nχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\n.",
	}, { // 1123
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\nχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\n．",
		out:  "ο\nχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\n．",
	}, { // 1124
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\vχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\v.",
		out:  "ο\vχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\v.",
	}, { // 1125
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\vχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\v．",
		out:  "ο\vχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\v．",
	}, { // 1126
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\rχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\r.",
		out:  "ο\rχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\r.",
	}, { // 1127
		mask: EncodeDollar | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ο\rχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ$␍δε␓`Ｖ%β\r．",
		out:  "ο\rχxｙ␈｛νO%n␈；\x13␅NＥ\x1bｕ＄␍δε␓`Ｖ%β\r．",
	}, { // 1128
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\t\x1b",
		out:  "．\t\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\t\x1b",
	}, { // 1129
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\t\x1b",
		out:  "‛．\t\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\t\x1b",
	}, { // 1130
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\n\x1b",
		out:  "．\n\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\n\x1b",
	}, { // 1131
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\n\x1b",
		out:  "‛．\n\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\n\x1b",
	}, { // 1132
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\v\x1b",
		out:  "．\v\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\v\x1b",
	}, { // 1133
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\v\x1b",
		out:  "‛．\v\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\v\x1b",
	}, { // 1134
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\r\x1b",
		out:  "．\r\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\r\x1b",
	}, { // 1135
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\r\x1b",
		out:  "‛．\r\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\r\x1b",
	}, { // 1136
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "τ\t\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\t.",
		out:  "τ\t\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\t.",
	}, { // 1137
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "τ\t\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\t．",
		out:  "τ\t\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\t．",
	}, { // 1138
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "τ\n\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\n.",
		out:  "τ\n\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\n.",
	}, { // 1139
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "τ\n\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\n．",
		out:  "τ\n\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\n．",
	}, { // 1140
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "τ\v\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\v.",
		out:  "τ\v\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\v.",
	}, { // 1141
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "τ\v\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\v．",
		out:  "τ\v\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\v．",
	}, { // 1142
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "τ\r\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\r.",
		out:  "τ\r\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\r.",
	}, { // 1143
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "τ\r\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\r．",
		out:  "τ\r\x0f％；κ+5η｜χ␚\x02SＹ|\v␛␓<／␉CG␚!ηβ\r．",
	}, { // 1144
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\tｖ",
		out:  "．\tｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\tｖ",
	}, { // 1145
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\tｖ",
		out:  "‛．\tｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\tｖ",
	}, { // 1146
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\nｖ",
		out:  "．\nｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\nｖ",
	}, { // 1147
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\nｖ",
		out:  "‛．\nｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\nｖ",
	}, { // 1148
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\vｖ",
		out:  "．\vｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\vｖ",
	}, { // 1149
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\vｖ",
		out:  "‛．\vｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\vｖ",
	}, { // 1150
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\rｖ",
		out:  "．\rｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\rｖ",
	}, { // 1151
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\rｖ",
		out:  "‛．\rｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\rｖ",
	}, { // 1152
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\tｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\t.",
		out:  "␁\tｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\t.",
	}, { // 1153
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\tｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\t．",
		out:  "␁\tｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\t．",
	}, { // 1154
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\nｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\n.",
		out:  "␁\nｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\n.",
	}, { // 1155
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\nｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\n．",
		out:  "␁\nｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\n．",
	}, { // 1156
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\vｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\v.",
		out:  "␁\vｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\v.",
	}, { // 1157
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\vｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\v．",
		out:  "␁\vｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\v．",
	}, { // 1158
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\rｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\r.",
		out:  "␁\rｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\r.",
	}, { // 1159
		mask: EncodeColon | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␁\rｑ＠ςTμπ６\u007f：?\\3｀␙σβ｜：\x0e␞*#η`.Ｒ\r．",
		out:  "␁\rｑ＠ςTμπ６\u007f‛：?\\3｀␙σβ｜‛：\x0e␞*#η`.Ｒ\r．",
	}, { // 1160
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\t？",
		out:  "．\t\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\t‛？",
	}, { // 1161
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\t？",
		out:  "‛．\t\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\t‛？",
	}, { // 1162
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\n？",
		out:  "．\n\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\n‛？",
	}, { // 1163
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\n？",
		out:  "‛．\n\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\n‛？",
	}, { // 1164
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\v？",
		out:  "．\v\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\v‛？",
	}, { // 1165
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\v？",
		out:  "‛．\v\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\v‛？",
	}, { // 1166
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\r？",
		out:  "．\r\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\r‛？",
	}, { // 1167
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\r？",
		out:  "‛．\r\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\r‛？",
	}, { // 1168
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␎\t\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\t.",
		out:  "␎\t\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\t.",
	}, { // 1169
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␎\t\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\t．",
		out:  "␎\t\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\t．",
	}, { // 1170
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␎\n\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\n.",
		out:  "␎\n\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\n.",
	}, { // 1171
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␎\n\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\n．",
		out:  "␎\n\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\n．",
	}, { // 1172
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␎\v\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\v.",
		out:  "␎\v\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\v.",
	}, { // 1173
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␎\v\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\v．",
		out:  "␎\v\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\v．",
	}, { // 1174
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␎\r\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\r.",
		out:  "␎\r\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\r.",
	}, { // 1175
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␎\r\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\r．",
		out:  "␎\r\x17ν;］\x17␒ςm＠]αμ\uff00Ｉ+␏４S＼τ＆xo%␎\x1f\r．",
	}, { // 1176
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\t\v",
		out:  "．\tθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\t\v",
	}, { // 1177
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\t\v",
		out:  "‛．\tθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\t\v",
	}, { // 1178
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\n\v",
		out:  "．\nθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\n\v",
	}, { // 1179
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\n\v",
		out:  "‛．\nθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\n\v",
	}, { // 1180
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\v\v",
		out:  "．\vθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\v\v",
	}, { // 1181
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\v\v",
		out:  "‛．\vθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\v\v",
	}, { // 1182
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\r\v",
		out:  "．\rθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\r\v",
	}, { // 1183
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\r\v",
		out:  "‛．\rθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\r\v",
	}, { // 1184
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\tθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\t.",
		out:  "\b\tθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\t.",
	}, { // 1185
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\tθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\t．",
		out:  "\b\tθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\t．",
	}, { // 1186
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\nθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\n.",
		out:  "\b\nθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\n.",
	}, { // 1187
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\nθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\n．",
		out:  "\b\nθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\n．",
	}, { // 1188
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\vθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\v.",
		out:  "\b\vθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\v.",
	}, { // 1189
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\vθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\v．",
		out:  "\b\vθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\v．",
	}, { // 1190
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\rθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\r.",
		out:  "\b\rθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\r.",
	}, { // 1191
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\rθ．～␍\n\x00ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\r．",
		out:  "\b\rθ．～␍\n␀ι ␍＞８:δω␖3＝␐δ␛９[β0ＹG\r．",
	}, { // 1192
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\t＜",
		out:  "．\t␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\t＜",
	}, { // 1193
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\t＜",
		out:  "‛．\t␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\t＜",
	}, { // 1194
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\n＜",
		out:  "．\n␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\n＜",
	}, { // 1195
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\n＜",
		out:  "‛．\n␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\n＜",
	}, { // 1196
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\v＜",
		out:  "．\v␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\v＜",
	}, { // 1197
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\v＜",
		out:  "‛．\v␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\v＜",
	}, { // 1198
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\r＜",
		out:  "．\r␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\r＜",
	}, { // 1199
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\r＜",
		out:  "‛．\r␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\r＜",
	}, { // 1200
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\t␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\t.",
		out:  "ξ\t␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\t.",
	}, { // 1201
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\t␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\t．",
		out:  "ξ\t␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\t．",
	}, { // 1202
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\n␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\n.",
		out:  "ξ\n␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\n.",
	}, { // 1203
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\n␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\n．",
		out:  "ξ\n␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\n．",
	}, { // 1204
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\v␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\v.",
		out:  "ξ\v␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\v.",
	}, { // 1205
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\v␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\v．",
		out:  "ξ\v␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\v．",
	}, { // 1206
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\r␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\r.",
		out:  "ξ\r␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\r.",
	}, { // 1207
		mask: EncodePipe | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "ξ\r␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\r．",
		out:  "ξ\r␜<ξ?uf\x11Ｒφ｛␟dｒGY\vξ␇＋$␄λ\x0e１K␝\r．",
	}, { // 1208
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\tτ",
		out:  "．\t*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\tτ",
	}, { // 1209
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\tτ",
		out:  "‛．\t*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\tτ",
	}, { // 1210
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\nτ",
		out:  "．\n*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\nτ",
	}, { // 1211
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\nτ",
		out:  "‛．\n*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\nτ",
	}, { // 1212
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\vτ",
		out:  "．\v*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\vτ",
	}, { // 1213
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\vτ",
		out:  "‛．\v*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\vτ",
	}, { // 1214
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\rτ",
		out:  "．\r*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\rτ",
	}, { // 1215
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\rτ",
		out:  "‛．\r*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\rτ",
	}, { // 1216
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\t*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\t.",
		out:  "␅\t*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\t.",
	}, { // 1217
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\t*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\t．",
		out:  "␅\t*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\t．",
	}, { // 1218
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\n*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\n.",
		out:  "␅\n*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\n.",
	}, { // 1219
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\n*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\n．",
		out:  "␅\n*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\n．",
	}, { // 1220
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\v*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\v.",
		out:  "␅\v*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\v.",
	}, { // 1221
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\v*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\v．",
		out:  "␅\v*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\v．",
	}, { // 1222
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\r*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\r.",
		out:  "␅\r*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\r.",
	}, { // 1223
		mask: EncodeHash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "␅\r*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\r．",
		out:  "␅\r*Jｍ\b\\␃7s／ζj＇m］＇\x05λＦｐξi\x0f＄！＇ξ\r．",
	}, { // 1224
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\t␒",
		out:  "．\tκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\t␒",
	}, { // 1225
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\t␒",
		out:  "‛．\tκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\t␒",
	}, { // 1226
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\n␒",
		out:  "．\nκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\n␒",
	}, { // 1227
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\n␒",
		out:  "‛．\nκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\n␒",
	}, { // 1228
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\v␒",
		out:  "．\vκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\v␒",
	}, { // 1229
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\v␒",
		out:  "‛．\vκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\v␒",
	}, { // 1230
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\r␒",
		out:  "．\rκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\r␒",
	}, { // 1231
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\r␒",
		out:  "‛．\rκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\r␒",
	}, { // 1232
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "7\tκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\t.",
		out:  "7\tκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\t.",
	}, { // 1233
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "7\tκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\t．",
		out:  "7\tκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\t．",
	}, { // 1234
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "7\nκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\n.",
		out:  "7\nκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\n.",
	}, { // 1235
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "7\nκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\n．",
		out:  "7\nκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\n．",
	}, { // 1236
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "7\vκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\v.",
		out:  "7\vκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\v.",
	}, { // 1237
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "7\vκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\v．",
		out:  "7\vκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\v．",
	}, { // 1238
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "7\rκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\r.",
		out:  "7\rκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\r.",
	}, { // 1239
		mask: EncodePercent | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "7\rκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\r．",
		out:  "7\rκ～\a｀κvＱYλ（\x0e\v␚ｐFπα｝;δ'？\x06␄␁#\r．",
	}, { // 1240
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\tｘ",
		out:  "．\tS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\tｘ",
	}, { // 1241
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\tｘ",
		out:  "‛．\tS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\tｘ",
	}, { // 1242
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\nｘ",
		out:  "．\nS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\nｘ",
	}, { // 1243
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\nｘ",
		out:  "‛．\nS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\nｘ",
	}, { // 1244
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\vｘ",
		out:  "．\vS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\vｘ",
	}, { // 1245
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\vｘ",
		out:  "‛．\vS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\vｘ",
	}, { // 1246
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\rｘ",
		out:  "．\rS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\rｘ",
	}, { // 1247
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\rｘ",
		out:  "‛．\rS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\rｘ",
	}, { // 1248
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｐ\tS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\t.",
		out:  "Ｐ\tS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\t.",
	}, { // 1249
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｐ\tS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\t．",
		out:  "Ｐ\tS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\t．",
	}, { // 1250
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｐ\nS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\n.",
		out:  "Ｐ\nS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\n.",
	}, { // 1251
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｐ\nS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\n．",
		out:  "Ｐ\nS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\n．",
	}, { // 1252
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｐ\vS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\v.",
		out:  "Ｐ\vS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\v.",
	}, { // 1253
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｐ\vS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\v．",
		out:  "Ｐ\vS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\v．",
	}, { // 1254
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｐ\rS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\r.",
		out:  "Ｐ\rS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\r.",
	}, { // 1255
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "Ｐ\rS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ＼␏\r．",
		out:  "Ｐ\rS；]θe␖4\x11:ξ｛9＋<ｙ\f\x1e␓␎␟ξ^λυ‛＼␏\r．",
	}, { // 1256
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\t[",
		out:  "．\t$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\t[",
	}, { // 1257
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\t[",
		out:  "‛．\t$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\t[",
	}, { // 1258
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\n[",
		out:  "．\n$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\n[",
	}, { // 1259
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\n[",
		out:  "‛．\n$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\n[",
	}, { // 1260
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\v[",
		out:  "．\v$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\v[",
	}, { // 1261
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\v[",
		out:  "‛．\v$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\v[",
	}, { // 1262
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\r[",
		out:  "．\r$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\r[",
	}, { // 1263
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\r[",
		out:  "‛．\r$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\r[",
	}, { // 1264
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "n\t$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\t.",
		out:  "n\t$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\t.",
	}, { // 1265
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "n\t$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\t．",
		out:  "n\t$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\t．",
	}, { // 1266
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "n\n$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\n.",
		out:  "n\n$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\n.",
	}, { // 1267
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "n\n$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\n．",
		out:  "n\n$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\n．",
	}, { // 1268
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "n\v$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\v.",
		out:  "n\v$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\v.",
	}, { // 1269
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "n\v$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\v．",
		out:  "n\v$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\v．",
	}, { // 1270
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "n\r$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\r.",
		out:  "n\r$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\r.",
	}, { // 1271
		mask: EncodeDel | EncodeLeftPeriod | EncodeLeftCrLfHtVt,
		in:   "n\r$＇ς６\r>ς␌ek]5～ν␀／）ＧＱＡ\x10ε␟αCσ\r．",
		out:  "n\r$＇ς６\r>ς␌ek]5～ν‛␀／）ＧＱＡ\x10ε␟αCσ\r．",
	}, { // 1272
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". φ!␘π['；␝g␜％ι＊␉\x0fＧδ␋<ωG＋ｑP\vγ Q",
		out:  "． φ!␘π['；␝g␜％ι＊␉\x0fＧδ␋<ωG＋ｑP\vγ Q",
	}, { // 1273
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． φ!␘π['；␝g␜％ι＊␉\x0fＧδ␋<ωG＋ｑP\vγ Q",
		out:  "‛． φ!␘π['；␝g␜％ι＊␉\x0fＧδ␋<ωG＋ｑP\vγ Q",
	}, { // 1274
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightSpace,
		in:   "\x18 φ!␘π['；␝g␜％ι＊␉\x0fＧδ␋<ωG＋ｑP\vγ .",
		out:  "\x18 φ!␘π['；␝g␜％ι＊␉\x0fＧδ␋<ωG＋ｑP\vγ .",
	}, { // 1275
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightSpace,
		in:   "\x18 φ!␘π['；␝g␜％ι＊␉\x0fＧδ␋<ωG＋ｑP\vγ ．",
		out:  "\x18 φ!␘π['；␝g␜％ι＊␉\x0fＧδ␋<ωG＋ｑP\vγ ．",
	}, { // 1276
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". οxμ\x1bｍ｜␉ν␖ω|］ωσ\x10?０␈␏Y␔Ｚ\x1e?；e d",
		out:  "． οxμ\x1bｍ｜␉ν␖ω|］ωσ\x10?０␈␏Y␔Ｚ\x1e?；e d",
	}, { // 1277
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． οxμ\x1bｍ｜␉ν␖ω|］ωσ\x10?０␈␏Y␔Ｚ\x1e?；e d",
		out:  "‛． οxμ\x1bｍ｜␉ν␖ω|］ωσ\x10?０␈␏Y␔Ｚ\x1e?；e d",
	}, { // 1278
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "\x17 οxμ\x1bｍ｜␉ν␖ω|］ωσ\x10?０␈␏Y␔Ｚ\x1e?；e .",
		out:  "\x17 οxμ\x1bｍ｜␉ν␖ω|］ωσ\x10?０␈␏Y␔Ｚ\x1e?；e .",
	}, { // 1279
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "\x17 οxμ\x1bｍ｜␉ν␖ω|］ωσ\x10?０␈␏Y␔Ｚ\x1e?；e ．",
		out:  "\x17 οxμ\x1bｍ｜␉ν␖ω|］ωσ\x10?０␈␏Y␔Ｚ\x1e?；e ．",
	}, { // 1280
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". 'ο:\x18\x1bnｅ4a␄\x00␛ｄ7(，/ｑ＜＊ｇＹO␕ζο θ",
		out:  "． ＇ο:\x18\x1bnｅ4a␄␀␛ｄ7(，/ｑ＜＊ｇＹO␕ζο θ",
	}, { // 1281
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． 'ο:\x18\x1bnｅ4a␄\x00␛ｄ7(，/ｑ＜＊ｇＹO␕ζο θ",
		out:  "‛． ＇ο:\x18\x1bnｅ4a␄␀␛ｄ7(，/ｑ＜＊ｇＹO␕ζο θ",
	}, { // 1282
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␀ 'ο:\x18\x1bnｅ4a␄\x00␛ｄ7(，/ｑ＜＊ｇＹO␕ζο .",
		out:  "‛␀ ＇ο:\x18\x1bnｅ4a␄␀␛ｄ7(，/ｑ＜＊ｇＹO␕ζο .",
	}, { // 1283
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␀ 'ο:\x18\x1bnｅ4a␄\x00␛ｄ7(，/ｑ＜＊ｇＹO␕ζο ．",
		out:  "‛␀ ＇ο:\x18\x1bnｅ4a␄␀␛ｄ7(，/ｑ＜＊ｇＹO␕ζο ．",
	}, { // 1284
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". σＲ３β\u007f␌ｄω␈af8[zκ␕＂\x0e＞|U\x06＜\x04，υ p",
		out:  "． σＲ３β\u007f␌ｄω␈af8[zκ␕＂\x0e＞|U\x06＜\x04，υ p",
	}, { // 1285
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． σＲ３β\u007f␌ｄω␈af8[zκ␕＂\x0e＞|U\x06＜\x04，υ p",
		out:  "‛． σＲ３β\u007f␌ｄω␈af8[zκ␕＂\x0e＞|U\x06＜\x04，υ p",
	}, { // 1286
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␞ σＲ３β\u007f␌ｄω␈af8[zκ␕＂\x0e＞|U\x06＜\x04，υ .",
		out:  "␞ σＲ３β\u007f␌ｄω␈af8[zκ␕＂\x0e＞|U\x06＜\x04，υ .",
	}, { // 1287
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␞ σＲ３β\u007f␌ｄω␈af8[zκ␕＂\x0e＞|U\x06＜\x04，υ ．",
		out:  "␞ σＲ３β\u007f␌ｄω␈af8[zκ␕＂\x0e＞|U\x06＜\x04，υ ．",
	}, { // 1288
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ]␊＂wＫμκ８\tＷξ{Ｔ␀-:<ｚ␑\\Cς７o?␖ ψ",
		out:  "． ]␊＂wＫμκ８\tＷξ{Ｔ‛␀-:＜ｚ␑\\Cς７o?␖ ψ",
	}, { // 1289
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ]␊＂wＫμκ８\tＷξ{Ｔ␀-:<ｚ␑\\Cς７o?␖ ψ",
		out:  "‛． ]␊＂wＫμκ８\tＷξ{Ｔ‛␀-:＜ｚ␑\\Cς７o?␖ ψ",
	}, { // 1290
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␍ ]␊＂wＫμκ８\tＷξ{Ｔ␀-:<ｚ␑\\Cς７o?␖ .",
		out:  "␍ ]␊＂wＫμκ８\tＷξ{Ｔ‛␀-:＜ｚ␑\\Cς７o?␖ .",
	}, { // 1291
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␍ ]␊＂wＫμκ８\tＷξ{Ｔ␀-:<ｚ␑\\Cς７o?␖ ．",
		out:  "␍ ]␊＂wＫμκ８\tＷξ{Ｔ‛␀-:＜ｚ␑\\Cς７o?␖ ．",
	}, { // 1292
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". κ␛/６X␀␓θ＇9q＞Ｂ\x18\x05\b／ν8ε\u007f\n＿V5σ ＜",
		out:  "． κ␛/６X‛␀␓θ＇9q＞Ｂ\x18\x05\b／ν8ε\u007f\n＿V5σ ＜",
	}, { // 1293
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． κ␛/６X␀␓θ＇9q＞Ｂ\x18\x05\b／ν8ε\u007f\n＿V5σ ＜",
		out:  "‛． κ␛/６X‛␀␓θ＇9q＞Ｂ\x18\x05\b／ν8ε\u007f\n＿V5σ ＜",
	}, { // 1294
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightSpace,
		in:   "κ κ␛/６X␀␓θ＇9q＞Ｂ\x18\x05\b／ν8ε\u007f\n＿V5σ .",
		out:  "κ κ␛/６X‛␀␓θ＇9q＞Ｂ\x18\x05\b／ν8ε\u007f\n＿V5σ .",
	}, { // 1295
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightSpace,
		in:   "κ κ␛/６X␀␓θ＇9q＞Ｂ\x18\x05\b／ν8ε\u007f\n＿V5σ ．",
		out:  "κ κ␛/６X‛␀␓θ＇9q＞Ｂ\x18\x05\b／ν8ε\u007f\n＿V5σ ．",
	}, { // 1296
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". C␌ＲωＨ␉ｈ～１\x1eψ?␕Pς\x13p\x11\n\x1a.␄␄fψ\r ＂",
		out:  "． C␌ＲωＨ␉ｈ～１\x1eψ?␕Pς\x13p\x11\n\x1a.␄␄fψ\r ＂",
	}, { // 1297
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． C␌ＲωＨ␉ｈ～１\x1eψ?␕Pς\x13p\x11\n\x1a.␄␄fψ\r ＂",
		out:  "‛． C␌ＲωＨ␉ｈ～１\x1eψ?␕Pς\x13p\x11\n\x1a.␄␄fψ\r ＂",
	}, { // 1298
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ψ C␌ＲωＨ␉ｈ～１\x1eψ?␕Pς\x13p\x11\n\x1a.␄␄fψ\r .",
		out:  "ψ C␌ＲωＨ␉ｈ～１\x1eψ?␕Pς\x13p\x11\n\x1a.␄␄fψ\r .",
	}, { // 1299
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ψ C␌ＲωＨ␉ｈ～１\x1eψ?␕Pς\x13p\x11\n\x1a.␄␄fψ\r ．",
		out:  "ψ C␌ＲωＨ␉ｈ～１\x1eψ?␕Pς\x13p\x11\n\x1a.␄␄fψ\r ．",
	}, { // 1300
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ＼␡␂␘＇φa\rj6J'ζsＱ>(ωｏ\x1dβ|␈\f４ｚ α",
		out:  "． ＼␡␂␘＇φa\rj6J'ζsＱ>(ωｏ\x1dβ|␈\f４ｚ α",
	}, { // 1301
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ＼␡␂␘＇φa\rj6J'ζsＱ>(ωｏ\x1dβ|␈\f４ｚ α",
		out:  "‛． ＼␡␂␘＇φa\rj6J'ζsＱ>(ωｏ\x1dβ|␈\f４ｚ α",
	}, { // 1302
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␏ ＼␡␂␘＇φa\rj6J'ζsＱ>(ωｏ\x1dβ|␈\f４ｚ .",
		out:  "␏ ＼␡␂␘＇φa\rj6J'ζsＱ>(ωｏ\x1dβ|␈\f４ｚ .",
	}, { // 1303
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␏ ＼␡␂␘＇φa\rj6J'ζsＱ>(ωｏ\x1dβ|␈\f４ｚ ．",
		out:  "␏ ＼␡␂␘＇φa\rj6J'ζsＱ>(ωｏ\x1dβ|␈\f４ｚ ．",
	}, { // 1304
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ['ξτ２τ␌␁μεm␈\\XＤ␌=６\x18\x19ω␊\x02\x00K０ Ｓ",
		out:  "． ['ξτ２τ␌␁μεm␈\\XＤ␌=６\x18\x19ω␊\x02␀K０ Ｓ",
	}, { // 1305
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ['ξτ２τ␌␁μεm␈\\XＤ␌=６\x18\x19ω␊\x02\x00K０ Ｓ",
		out:  "‛． ['ξτ２τ␌␁μεm␈\\XＤ␌=６\x18\x19ω␊\x02␀K０ Ｓ",
	}, { // 1306
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␊ ['ξτ２τ␌␁μεm␈\\XＤ␌=６\x18\x19ω␊\x02\x00K０ .",
		out:  "␊ ['ξτ２τ␌␁μεm␈\\XＤ␌=６\x18\x19ω␊\x02␀K０ .",
	}, { // 1307
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␊ ['ξτ２τ␌␁μεm␈\\XＤ␌=６\x18\x19ω␊\x02\x00K０ ．",
		out:  "␊ ['ξτ２τ␌␁μεm␈\\XＤ␌=６\x18\x19ω␊\x02␀K０ ．",
	}, { // 1308
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ～\n'<C␋|\x16␟／μ\r!Ｙδ｀ζ␛VζJη␊Ｒ\uff00{ ς",
		out:  "． ～\n'<C␋|\x16␟／μ\r!Ｙδ｀ζ␛VζJη␊Ｒ\uff00{ ς",
	}, { // 1309
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ～\n'<C␋|\x16␟／μ\r!Ｙδ｀ζ␛VζJη␊Ｒ\uff00{ ς",
		out:  "‛． ～\n'<C␋|\x16␟／μ\r!Ｙδ｀ζ␛VζJη␊Ｒ\uff00{ ς",
	}, { // 1310
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "～ ～\n'<C␋|\x16␟／μ\r!Ｙδ｀ζ␛VζJη␊Ｒ\uff00{ .",
		out:  "～ ～\n'<C␋|\x16␟／μ\r!Ｙδ｀ζ␛VζJη␊Ｒ\uff00{ .",
	}, { // 1311
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightSpace,
		in:   "～ ～\n'<C␋|\x16␟／μ\r!Ｙδ｀ζ␛VζJη␊Ｒ\uff00{ ．",
		out:  "～ ～\n'<C␋|\x16␟／μ\r!Ｙδ｀ζ␛VζJη␊Ｒ\uff00{ ．",
	}, { // 1312
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ␆χｌ␐υ]ｏj␆）<πoζ␑:Ｉαη\r␈?ａ?␐\x19 \"",
		out:  "． ␆χｌ␐υ]ｏj␆）<πoζ␑:Ｉαη\r␈？ａ？␐\x19 \"",
	}, { // 1313
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ␆χｌ␐υ]ｏj␆）<πoζ␑:Ｉαη\r␈?ａ?␐\x19 \"",
		out:  "‛． ␆χｌ␐υ]ｏj␆）<πoζ␑:Ｉαη\r␈？ａ？␐\x19 \"",
	}, { // 1314
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightSpace,
		in:   "Ｍ ␆χｌ␐υ]ｏj␆）<πoζ␑:Ｉαη\r␈?ａ?␐\x19 .",
		out:  "Ｍ ␆χｌ␐υ]ｏj␆）<πoζ␑:Ｉαη\r␈？ａ？␐\x19 .",
	}, { // 1315
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightSpace,
		in:   "Ｍ ␆χｌ␐υ]ｏj␆）<πoζ␑:Ｉαη\r␈?ａ?␐\x19 ．",
		out:  "Ｍ ␆χｌ␐υ]ｏj␆）<πoζ␑:Ｉαη\r␈？ａ？␐\x19 ．",
	}, { // 1316
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ␈π\nγ＠w␅%␗*]ρ\x13\x04F＂␀\x17ｖθ／／：.zu ν",
		out:  "． ␈π\nγ＠w␅%␗＊]ρ\x13\x04F＂‛␀\x17ｖθ／／：.zu ν",
	}, { // 1317
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ␈π\nγ＠w␅%␗*]ρ\x13\x04F＂␀\x17ｖθ／／：.zu ν",
		out:  "‛． ␈π\nγ＠w␅%␗＊]ρ\x13\x04F＂‛␀\x17ｖθ／／：.zu ν",
	}, { // 1318
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightSpace,
		in:   "４ ␈π\nγ＠w␅%␗*]ρ\x13\x04F＂␀\x17ｖθ／／：.zu .",
		out:  "４ ␈π\nγ＠w␅%␗＊]ρ\x13\x04F＂‛␀\x17ｖθ／／：.zu .",
	}, { // 1319
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightSpace,
		in:   "４ ␈π\nγ＠w␅%␗*]ρ\x13\x04F＂␀\x17ｖθ／／：.zu ．",
		out:  "４ ␈π\nγ＠w␅%␗＊]ρ\x13\x04F＂‛␀\x17ｖθ／／：.zu ．",
	}, { // 1320
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ；\x14＝π／\x19ρδ｜\x10Ｂg␗W\n\uff00␈β＇oｓ>\"eζ\x10 ε",
		out:  "． ；\x14＝π／\x19ρδ‛｜\x10Ｂg␗W\n\uff00␈β＇oｓ>\"eζ\x10 ε",
	}, { // 1321
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ；\x14＝π／\x19ρδ｜\x10Ｂg␗W\n\uff00␈β＇oｓ>\"eζ\x10 ε",
		out:  "‛． ；\x14＝π／\x19ρδ‛｜\x10Ｂg␗W\n\uff00␈β＇oｓ>\"eζ\x10 ε",
	}, { // 1322
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␏ ；\x14＝π／\x19ρδ｜\x10Ｂg␗W\n\uff00␈β＇oｓ>\"eζ\x10 .",
		out:  "␏ ；\x14＝π／\x19ρδ‛｜\x10Ｂg␗W\n\uff00␈β＇oｓ>\"eζ\x10 .",
	}, { // 1323
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␏ ；\x14＝π／\x19ρδ｜\x10Ｂg␗W\n\uff00␈β＇oｓ>\"eζ\x10 ．",
		out:  "␏ ；\x14＝π／\x19ρδ‛｜\x10Ｂg␗W\n\uff00␈β＇oｓ>\"eζ\x10 ．",
	}, { // 1324
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ␍+２\x1c？～χυ␖␝\x16ψμ\"2＊+[Ｓ^?＊\x19␖ζ+ ｚ",
		out:  "． ␍+２\x1c？～χυ␖␝\x16ψμ\"2＊+[Ｓ^?＊\x19␖ζ+ ｚ",
	}, { // 1325
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ␍+２\x1c？～χυ␖␝\x16ψμ\"2＊+[Ｓ^?＊\x19␖ζ+ ｚ",
		out:  "‛． ␍+２\x1c？～χυ␖␝\x16ψμ\"2＊+[Ｓ^?＊\x19␖ζ+ ｚ",
	}, { // 1326
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ν ␍+２\x1c？～χυ␖␝\x16ψμ\"2＊+[Ｓ^?＊\x19␖ζ+ .",
		out:  "ν ␍+２\x1c？～χυ␖␝\x16ψμ\"2＊+[Ｓ^?＊\x19␖ζ+ .",
	}, { // 1327
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ν ␍+２\x1c？～χυ␖␝\x16ψμ\"2＊+[Ｓ^?＊\x19␖ζ+ ．",
		out:  "ν ␍+２\x1c？～χυ␖␝\x16ψμ\"2＊+[Ｓ^?＊\x19␖ζ+ ．",
	}, { // 1328
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". [␗\azς$␔ｌχ␍␆＼\x048φｕＷ\x1a4#／ξ\x1d␀ic π",
		out:  "． [␗\azς$␔ｌχ␍␆＼\x048φｕＷ\x1a4#／ξ\x1d‛␀ic π",
	}, { // 1329
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． [␗\azς$␔ｌχ␍␆＼\x048φｕＷ\x1a4#／ξ\x1d␀ic π",
		out:  "‛． [␗\azς$␔ｌχ␍␆＼\x048φｕＷ\x1a4#／ξ\x1d‛␀ic π",
	}, { // 1330
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ｅ [␗\azς$␔ｌχ␍␆＼\x048φｕＷ\x1a4#／ξ\x1d␀ic .",
		out:  "ｅ [␗\azς$␔ｌχ␍␆＼\x048φｕＷ\x1a4#／ξ\x1d‛␀ic .",
	}, { // 1331
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ｅ [␗\azς$␔ｌχ␍␆＼\x048φｕＷ\x1a4#／ξ\x1d␀ic ．",
		out:  "ｅ [␗\azς$␔ｌχ␍␆＼\x048φｕＷ\x1a4#／ξ\x1d‛␀ic ．",
	}, { // 1332
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". Ｙｊ␀ｃ\rφWη\x19B\v␅␅｛7ｊ(%␌Pρ␘ξ?κｃ \x0f",
		out:  "． Ｙｊ‛␀ｃ\rφWη\x19B\v␅␅｛7ｊ(%␌Pρ␘ξ?κｃ \x0f",
	}, { // 1333
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． Ｙｊ␀ｃ\rφWη\x19B\v␅␅｛7ｊ(%␌Pρ␘ξ?κｃ \x0f",
		out:  "‛． Ｙｊ‛␀ｃ\rφWη\x19B\v␅␅｛7ｊ(%␌Pρ␘ξ?κｃ \x0f",
	}, { // 1334
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␅ Ｙｊ␀ｃ\rφWη\x19B\v␅␅｛7ｊ(%␌Pρ␘ξ?κｃ .",
		out:  "␅ Ｙｊ‛␀ｃ\rφWη\x19B\v␅␅｛7ｊ(%␌Pρ␘ξ?κｃ .",
	}, { // 1335
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␅ Ｙｊ␀ｃ\rφWη\x19B\v␅␅｛7ｊ(%␌Pρ␘ξ?κｃ ．",
		out:  "␅ Ｙｊ‛␀ｃ\rφWη\x19B\v␅␅｛7ｊ(%␌Pρ␘ξ?κｃ ．",
	}, { // 1336
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ｛＇＇[i␖␇τ：\n\x00nξ<(φ$F␡\x1b␙／Hｍθ\a ＂",
		out:  "． ｛＇＇[i␖␇τ：␊␀nξ<(φ$F␡\x1b␙／Hｍθ\a ＂",
	}, { // 1337
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ｛＇＇[i␖␇τ：\n\x00nξ<(φ$F␡\x1b␙／Hｍθ\a ＂",
		out:  "‛． ｛＇＇[i␖␇τ：␊␀nξ<(φ$F␡\x1b␙／Hｍθ\a ＂",
	}, { // 1338
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightSpace,
		in:   "Ｎ ｛＇＇[i␖␇τ：\n\x00nξ<(φ$F␡\x1b␙／Hｍθ\a .",
		out:  "Ｎ ｛＇＇[i␖␇τ：␊␀nξ<(φ$F␡\x1b␙／Hｍθ\a .",
	}, { // 1339
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightSpace,
		in:   "Ｎ ｛＇＇[i␖␇τ：\n\x00nξ<(φ$F␡\x1b␙／Hｍθ\a ．",
		out:  "Ｎ ｛＇＇[i␖␇τ：␊␀nξ<(φ$F␡\x1b␙／Hｍθ\a ．",
	}, { // 1340
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". *Ｍ␃%οＱ＇␀␚ψ␂８ＭG％MFο\x04␔τ［\f&\x13\x1e θ",
		out:  "． *Ｍ␃%οＱ＇‛␀␚ψ␂８ＭG％MFο\x04␔τ［\f&\x13\x1e θ",
	}, { // 1341
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． *Ｍ␃%οＱ＇␀␚ψ␂８ＭG％MFο\x04␔τ［\f&\x13\x1e θ",
		out:  "‛． *Ｍ␃%οＱ＇‛␀␚ψ␂８ＭG％MFο\x04␔τ［\f&\x13\x1e θ",
	}, { // 1342
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ζ *Ｍ␃%οＱ＇␀␚ψ␂８ＭG％MFο\x04␔τ［\f&\x13\x1e .",
		out:  "ζ *Ｍ␃%οＱ＇‛␀␚ψ␂８ＭG％MFο\x04␔τ［\f&\x13\x1e .",
	}, { // 1343
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightSpace,
		in:   "ζ *Ｍ␃%οＱ＇␀␚ψ␂８ＭG％MFο\x04␔τ［\f&\x13\x1e ．",
		out:  "ζ *Ｍ␃%οＱ＇‛␀␚ψ␂８ＭG％MFο\x04␔τ［\f&\x13\x1e ．",
	}, { // 1344
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightSpace,
		in:   ". ␛␋~\t\nＵωｋ＾ρ\n\nV␞}ν|σα␓κyＫ\x01Ｕ\uff00 ␍",
		out:  "． ‛␛‛␋~␉␊Ｕωｋ＾ρ␊␊V‛␞}ν|σα‛␓κyＫ␁Ｕ\uff00 ‛␍",
	}, { // 1345
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightSpace,
		in:   "． ␛␋~\t\nＵωｋ＾ρ\n\nV␞}ν|σα␓κyＫ\x01Ｕ\uff00 ␍",
		out:  "‛． ‛␛‛␋~␉␊Ｕωｋ＾ρ␊␊V‛␞}ν|σα‛␓κyＫ␁Ｕ\uff00 ‛␍",
	}, { // 1346
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␘ ␛␋~\t\nＵωｋ＾ρ\n\nV␞}ν|σα␓κyＫ\x01Ｕ\uff00 .",
		out:  "‛␘ ‛␛‛␋~␉␊Ｕωｋ＾ρ␊␊V‛␞}ν|σα‛␓κyＫ␁Ｕ\uff00 .",
	}, { // 1347
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightSpace,
		in:   "␘ ␛␋~\t\nＵωｋ＾ρ\n\nV␞}ν|σα␓κyＫ\x01Ｕ\uff00 ．",
		out:  "‛␘ ‛␛‛␋~␉␊Ｕωｋ＾ρ␊␊V‛␞}ν|σα‛␓κyＫ␁Ｕ\uff00 ．",
	}, { // 1348
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..λＫ%\x04␐\x15νｓ%α␅␖<␖\uff00Ｘ␟S５\x12f｀οＣyθ.\x00",
		out:  "．.λＫ%\x04␐\x15νｓ%α␅␖<␖\uff00Ｘ␟S５\x12f｀οＣyθ.␀",
	}, { // 1349
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.λＫ%\x04␐\x15νｓ%α␅␖<␖\uff00Ｘ␟S５\x12f｀οＣyθ.\x00",
		out:  "‛．.λＫ%\x04␐\x15νｓ%α␅␖<␖\uff00Ｘ␟S５\x12f｀οＣyθ.␀",
	}, { // 1350
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "9.λＫ%\x04␐\x15νｓ%α␅␖<␖\uff00Ｘ␟S５\x12f｀οＣyθ..",
		out:  "9.λＫ%\x04␐\x15νｓ%α␅␖<␖\uff00Ｘ␟S５\x12f｀οＣyθ.．",
	}, { // 1351
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "9.λＫ%\x04␐\x15νｓ%α␅␖<␖\uff00Ｘ␟S５\x12f｀οＣyθ.．",
		out:  "9.λＫ%\x04␐\x15νｓ%α␅␖<␖\uff00Ｘ␟S５\x12f｀οＣyθ.‛．",
	}, { // 1352
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..４\x1e［\x1d\x12\bλC｝1␓；［␗εＥｙ␈␏ω；\u007fυ+Pς._",
		out:  "．.４\x1e［\x1d\x12\bλC｝1␓；［␗εＥｙ␈␏ω；\u007fυ+Pς._",
	}, { // 1353
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.４\x1e［\x1d\x12\bλC｝1␓；［␗εＥｙ␈␏ω；\u007fυ+Pς._",
		out:  "‛．.４\x1e［\x1d\x12\bλC｝1␓；［␗εＥｙ␈␏ω；\u007fυ+Pς._",
	}, { // 1354
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "α.４\x1e［\x1d\x12\bλC｝1␓；［␗εＥｙ␈␏ω；\u007fυ+Pς..",
		out:  "α.４\x1e［\x1d\x12\bλC｝1␓；［␗εＥｙ␈␏ω；\u007fυ+Pς.．",
	}, { // 1355
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "α.４\x1e［\x1d\x12\bλC｝1␓；［␗εＥｙ␈␏ω；\u007fυ+Pς.．",
		out:  "α.４\x1e［\x1d\x12\bλC｝1␓；［␗εＥｙ␈␏ω；\u007fυ+Pς.‛．",
	}, { // 1356
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..F␄χQ\x14␚Ｌ]␉ιρ\x0fζ{Ｚ\x04ｏ＂％␂␙QςＲ\x18ｏ.3",
		out:  "．.F␄χQ\x14␚Ｌ]␉ιρ\x0fζ{Ｚ\x04ｏ＂％␂␙QςＲ\x18ｏ.3",
	}, { // 1357
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.F␄χQ\x14␚Ｌ]␉ιρ\x0fζ{Ｚ\x04ｏ＂％␂␙QςＲ\x18ｏ.3",
		out:  "‛．.F␄χQ\x14␚Ｌ]␉ιρ\x0fζ{Ｚ\x04ｏ＂％␂␙QςＲ\x18ｏ.3",
	}, { // 1358
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ι.F␄χQ\x14␚Ｌ]␉ιρ\x0fζ{Ｚ\x04ｏ＂％␂␙QςＲ\x18ｏ..",
		out:  "ι.F␄χQ\x14␚Ｌ]␉ιρ\x0fζ{Ｚ\x04ｏ＂％␂␙QςＲ\x18ｏ.．",
	}, { // 1359
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ι.F␄χQ\x14␚Ｌ]␉ιρ\x0fζ{Ｚ\x04ｏ＂％␂␙QςＲ\x18ｏ.．",
		out:  "ι.F␄χQ\x14␚Ｌ]␉ιρ\x0fζ{Ｚ\x04ｏ＂％␂␙QςＲ\x18ｏ.‛．",
	}, { // 1360
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..[\x12πS２＞\x13_θιｘ␊␍$］\f␡[２ηψ9K␏α＜.＇",
		out:  "．.[\x12πS２＞\x13_θιｘ␊␍$］\f␡[２ηψ9K␏α＜.＇",
	}, { // 1361
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.[\x12πS２＞\x13_θιｘ␊␍$］\f␡[２ηψ9K␏α＜.＇",
		out:  "‛．.[\x12πS２＞\x13_θιｘ␊␍$］\f␡[２ηψ9K␏α＜.＇",
	}, { // 1362
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "M.[\x12πS２＞\x13_θιｘ␊␍$］\f␡[２ηψ9K␏α＜..",
		out:  "M.[\x12πS２＞\x13_θιｘ␊␍$］\f␡[２ηψ9K␏α＜.．",
	}, { // 1363
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "M.[\x12πS２＞\x13_θιｘ␊␍$］\f␡[２ηψ9K␏α＜.．",
		out:  "M.[\x12πS２＞\x13_θιｘ␊␍$］\f␡[２ηψ9K␏α＜.‛．",
	}, { // 1364
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..υ｜)δ＂\r␡κ␡ｊoμ>＞U［s/｛！６\x01 #βｏ.／",
		out:  "．.υ｜)δ＂\r␡κ␡ｊoμ＞‛＞U［s/｛！６\x01 #βｏ.／",
	}, { // 1365
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.υ｜)δ＂\r␡κ␡ｊoμ>＞U［s/｛！６\x01 #βｏ.／",
		out:  "‛．.υ｜)δ＂\r␡κ␡ｊoμ＞‛＞U［s/｛！６\x01 #βｏ.／",
	}, { // 1366
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ρ.υ｜)δ＂\r␡κ␡ｊoμ>＞U［s/｛！６\x01 #βｏ..",
		out:  "ρ.υ｜)δ＂\r␡κ␡ｊoμ＞‛＞U［s/｛！６\x01 #βｏ.．",
	}, { // 1367
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ρ.υ｜)δ＂\r␡κ␡ｊoμ>＞U［s/｛！６\x01 #βｏ.．",
		out:  "ρ.υ｜)δ＂\r␡κ␡ｊoμ＞‛＞U［s/｛！６\x01 #βｏ.‛．",
	}, { // 1368
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..Y`u＂δＤρ\\Ｖ␖δ␃｝＄?f+JＵ｀␡κ\x10\x1dvφ.？",
		out:  "．.Y`u＂δＤρ\\Ｖ␖δ␃｝＄?f+JＵ｀␡κ\x10\x1dvφ.？",
	}, { // 1369
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.Y`u＂δＤρ\\Ｖ␖δ␃｝＄?f+JＵ｀␡κ\x10\x1dvφ.？",
		out:  "‛．.Y`u＂δＤρ\\Ｖ␖δ␃｝＄?f+JＵ｀␡κ\x10\x1dvφ.？",
	}, { // 1370
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "[.Y`u＂δＤρ\\Ｖ␖δ␃｝＄?f+JＵ｀␡κ\x10\x1dvφ..",
		out:  "［.Y`u＂δＤρ\\Ｖ␖δ␃｝＄?f+JＵ｀␡κ\x10\x1dvφ.．",
	}, { // 1371
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "[.Y`u＂δＤρ\\Ｖ␖δ␃｝＄?f+JＵ｀␡κ\x10\x1dvφ.．",
		out:  "［.Y`u＂δＤρ\\Ｖ␖δ␃｝＄?f+JＵ｀␡κ\x10\x1dvφ.‛．",
	}, { // 1372
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..\tｄρ␄g␈\x12␋μπU!␕ｘ<δφ$／-［:\x18ＪＨ｝.η",
		out:  "．.\tｄρ␄g␈\x12␋μπU!␕ｘ<δφ$／-［:\x18ＪＨ｝.η",
	}, { // 1373
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.\tｄρ␄g␈\x12␋μπU!␕ｘ<δφ$／-［:\x18ＪＨ｝.η",
		out:  "‛．.\tｄρ␄g␈\x12␋μπU!␕ｘ<δφ$／-［:\x18ＪＨ｝.η",
	}, { // 1374
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "(.\tｄρ␄g␈\x12␋μπU!␕ｘ<δφ$／-［:\x18ＪＨ｝..",
		out:  "(.\tｄρ␄g␈\x12␋μπU!␕ｘ<δφ$／-［:\x18ＪＨ｝.．",
	}, { // 1375
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "(.\tｄρ␄g␈\x12␋μπU!␕ｘ<δφ$／-［:\x18ＪＨ｝.．",
		out:  "(.\tｄρ␄g␈\x12␋μπU!␕ｘ<δφ$／-［:\x18ＪＨ｝.‛．",
	}, { // 1376
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..#＝σｙk（０＼\x0f\x0fυ␀␒τ\rYθχsｄ␀\x14$%|␁.ι",
		out:  "．.#＝σｙk（０＼\x0f\x0fυ‛␀␒τ\rYθχsｄ‛␀\x14＄%|␁.ι",
	}, { // 1377
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.#＝σｙk（０＼\x0f\x0fυ␀␒τ\rYθχsｄ␀\x14$%|␁.ι",
		out:  "‛．.#＝σｙk（０＼\x0f\x0fυ‛␀␒τ\rYθχsｄ‛␀\x14＄%|␁.ι",
	}, { // 1378
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ｓ.#＝σｙk（０＼\x0f\x0fυ␀␒τ\rYθχsｄ␀\x14$%|␁..",
		out:  "ｓ.#＝σｙk（０＼\x0f\x0fυ‛␀␒τ\rYθχsｄ‛␀\x14＄%|␁.．",
	}, { // 1379
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "ｓ.#＝σｙk（０＼\x0f\x0fυ␀␒τ\rYθχsｄ␀\x14$%|␁.．",
		out:  "ｓ.#＝σｙk（０＼\x0f\x0fυ‛␀␒τ\rYθχsｄ‛␀\x14＄%|␁.‛．",
	}, { // 1380
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..␆␑ＯPω\x02*τ␛␝I/W\x0f/πε@Ｉ~Ｂ␚－／Uφ.ξ",
		out:  "．.␆␑ＯPω\x02*τ␛␝I/W\x0f/πε@Ｉ~Ｂ␚－／Uφ.ξ",
	}, { // 1381
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.␆␑ＯPω\x02*τ␛␝I/W\x0f/πε@Ｉ~Ｂ␚－／Uφ.ξ",
		out:  "‛．.␆␑ＯPω\x02*τ␛␝I/W\x0f/πε@Ｉ~Ｂ␚－／Uφ.ξ",
	}, { // 1382
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␈.␆␑ＯPω\x02*τ␛␝I/W\x0f/πε@Ｉ~Ｂ␚－／Uφ..",
		out:  "␈.␆␑ＯPω\x02*τ␛␝I/W\x0f/πε@Ｉ~Ｂ␚－／Uφ.．",
	}, { // 1383
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␈.␆␑ＯPω\x02*τ␛␝I/W\x0f/πε@Ｉ~Ｂ␚－／Uφ.．",
		out:  "␈.␆␑ＯPω\x02*τ␛␝I/W\x0f/πε@Ｉ~Ｂ␚－／Uφ.‛．",
	}, { // 1384
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..\u007f␒.$＼<δ｀δＢOＡ␛␊\aＥmθＴ␝\x17ε[ω\x1bλ.3",
		out:  "．.\u007f␒.$＼<δ｀δＢOＡ␛␊\aＥmθＴ␝\x17ε[ω\x1bλ.3",
	}, { // 1385
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.\u007f␒.$＼<δ｀δＢOＡ␛␊\aＥmθＴ␝\x17ε[ω\x1bλ.3",
		out:  "‛．.\u007f␒.$＼<δ｀δＢOＡ␛␊\aＥmθＴ␝\x17ε[ω\x1bλ.3",
	}, { // 1386
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "：.\u007f␒.$＼<δ｀δＢOＡ␛␊\aＥmθＴ␝\x17ε[ω\x1bλ..",
		out:  "‛：.\u007f␒.$＼<δ｀δＢOＡ␛␊\aＥmθＴ␝\x17ε[ω\x1bλ.．",
	}, { // 1387
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "：.\u007f␒.$＼<δ｀δＢOＡ␛␊\aＥmθＴ␝\x17ε[ω\x1bλ.．",
		out:  "‛：.\u007f␒.$＼<δ｀δＢOＡ␛␊\aＥmθＴ␝\x17ε[ω\x1bλ.‛．",
	}, { // 1388
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..ｈ\bb3\x00 νυ␟␊6␡␚ｖν＜\x1cρ]␈\x1b＄\\９Ｚ'.ι",
		out:  "．.ｈ\bb3␀ νυ␟␊6␡␚ｖν＜\x1cρ]␈\x1b＄\\９Ｚ'.ι",
	}, { // 1389
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.ｈ\bb3\x00 νυ␟␊6␡␚ｖν＜\x1cρ]␈\x1b＄\\９Ｚ'.ι",
		out:  "‛．.ｈ\bb3␀ νυ␟␊6␡␚ｖν＜\x1cρ]␈\x1b＄\\９Ｚ'.ι",
	}, { // 1390
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "M.ｈ\bb3\x00 νυ␟␊6␡␚ｖν＜\x1cρ]␈\x1b＄\\９Ｚ'..",
		out:  "M.ｈ\bb3␀ νυ␟␊6␡␚ｖν＜\x1cρ]␈\x1b＄\\９Ｚ'.．",
	}, { // 1391
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "M.ｈ\bb3\x00 νυ␟␊6␡␚ｖν＜\x1cρ]␈\x1b＄\\９Ｚ'.．",
		out:  "M.ｈ\bb3␀ νυ␟␊6␡␚ｖν＜\x1cρ]␈\x1b＄\\９Ｚ'.‛．",
	}, { // 1392
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..#\x13＼ςyｕλ\x0f７７｜η\f{␗␑ς$９ζπｖ：␘j\b.>",
		out:  "．.#\x13＼ςyｕλ\x0f７７｜η\f{␗␑ς$９ζπｖ：␘j\b.>",
	}, { // 1393
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.#\x13＼ςyｕλ\x0f７７｜η\f{␗␑ς$９ζπｖ：␘j\b.>",
		out:  "‛．.#\x13＼ςyｕλ\x0f７７｜η\f{␗␑ς$９ζπｖ：␘j\b.>",
	}, { // 1394
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␞.#\x13＼ςyｕλ\x0f７７｜η\f{␗␑ς$９ζπｖ：␘j\b..",
		out:  "␞.#\x13＼ςyｕλ\x0f７７｜η\f{␗␑ς$９ζπｖ：␘j\b.．",
	}, { // 1395
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␞.#\x13＼ςyｕλ\x0f７７｜η\f{␗␑ς$９ζπｖ：␘j\b.．",
		out:  "␞.#\x13＼ςyｕλ\x0f７７｜η\f{␗␑ς$９ζπｖ：␘j\b.‛．",
	}, { // 1396
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..Ｎβ\x10οq\x06\\'␁％ξ␉Ｕ|pHχ\x1b＇π）␉μ\v＊&.␈",
		out:  "．.Ｎβ\x10οq\x06\\'␁％ξ␉Ｕ｜pHχ\x1b＇π）␉μ\v＊&.␈",
	}, { // 1397
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.Ｎβ\x10οq\x06\\'␁％ξ␉Ｕ|pHχ\x1b＇π）␉μ\v＊&.␈",
		out:  "‛．.Ｎβ\x10οq\x06\\'␁％ξ␉Ｕ｜pHχ\x1b＇π）␉μ\v＊&.␈",
	}, { // 1398
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "：.Ｎβ\x10οq\x06\\'␁％ξ␉Ｕ|pHχ\x1b＇π）␉μ\v＊&..",
		out:  "：.Ｎβ\x10οq\x06\\'␁％ξ␉Ｕ｜pHχ\x1b＇π）␉μ\v＊&.．",
	}, { // 1399
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "：.Ｎβ\x10οq\x06\\'␁％ξ␉Ｕ|pHχ\x1b＇π）␉μ\v＊&.．",
		out:  "：.Ｎβ\x10οq\x06\\'␁％ξ␉Ｕ｜pHχ\x1b＇π）␉μ\v＊&.‛．",
	}, { // 1400
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..ξκμ,[εＯ｜*␐＇μ]K／\x11t\x01／＃\x18ｉ2Ｑ␔β.␔",
		out:  "．.ξκμ,[εＯ｜*␐＇μ]K／\x11t\x01／‛＃\x18ｉ2Ｑ␔β.␔",
	}, { // 1401
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.ξκμ,[εＯ｜*␐＇μ]K／\x11t\x01／＃\x18ｉ2Ｑ␔β.␔",
		out:  "‛．.ξκμ,[εＯ｜*␐＇μ]K／\x11t\x01／‛＃\x18ｉ2Ｑ␔β.␔",
	}, { // 1402
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "2.ξκμ,[εＯ｜*␐＇μ]K／\x11t\x01／＃\x18ｉ2Ｑ␔β..",
		out:  "2.ξκμ,[εＯ｜*␐＇μ]K／\x11t\x01／‛＃\x18ｉ2Ｑ␔β.．",
	}, { // 1403
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "2.ξκμ,[εＯ｜*␐＇μ]K／\x11t\x01／＃\x18ｉ2Ｑ␔β.．",
		out:  "2.ξκμ,[εＯ｜*␐＇μ]K／\x11t\x01／‛＃\x18ｉ2Ｑ␔β.‛．",
	}, { // 1404
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..\x18［［$\x15x＃５#νｎ\x11-＊ω＊ςHθ-ａX＇\x01φs.␌",
		out:  "．.\x18［［$\x15x＃５#νｎ\x11-＊ω＊ςHθ-ａX＇\x01φs.␌",
	}, { // 1405
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.\x18［［$\x15x＃５#νｎ\x11-＊ω＊ςHθ-ａX＇\x01φs.␌",
		out:  "‛．.\x18［［$\x15x＃５#νｎ\x11-＊ω＊ςHθ-ａX＇\x01φs.␌",
	}, { // 1406
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "＊.\x18［［$\x15x＃５#νｎ\x11-＊ω＊ςHθ-ａX＇\x01φs..",
		out:  "＊.\x18［［$\x15x＃５#νｎ\x11-＊ω＊ςHθ-ａX＇\x01φs.．",
	}, { // 1407
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "＊.\x18［［$\x15x＃５#νｎ\x11-＊ω＊ςHθ-ａX＇\x01φs.．",
		out:  "＊.\x18［［$\x15x＃５#νｎ\x11-＊ω＊ςHθ-ａX＇\x01φs.‛．",
	}, { // 1408
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..\x1eJ＼␍Y␊<|θ３\nς］＃]9＄．\rDｐfＶε_＊.ς",
		out:  "．.\x1eJ‛＼␍Y␊<|θ３\nς］＃]9＄．\rDｐfＶε_＊.ς",
	}, { // 1409
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.\x1eJ＼␍Y␊<|θ３\nς］＃]9＄．\rDｐfＶε_＊.ς",
		out:  "‛．.\x1eJ‛＼␍Y␊<|θ３\nς］＃]9＄．\rDｐfＶε_＊.ς",
	}, { // 1410
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "υ.\x1eJ＼␍Y␊<|θ３\nς］＃]9＄．\rDｐfＶε_＊..",
		out:  "υ.\x1eJ‛＼␍Y␊<|θ３\nς］＃]9＄．\rDｐfＶε_＊.．",
	}, { // 1411
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "υ.\x1eJ＼␍Y␊<|θ３\nς］＃]9＄．\rDｐfＶε_＊.．",
		out:  "υ.\x1eJ‛＼␍Y␊<|θ３\nς］＃]9＄．\rDｐfＶε_＊.‛．",
	}, { // 1412
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..κ?ｈ\uff00；Ｏθ_\"０Ｒ?\x04＂␀4＊υη␛\x11$j@\x04\x05.＋",
		out:  "．.κ?ｈ\uff00；Ｏθ_\"０Ｒ?\x04＂‛␀4＊υη␛\x11$j@\x04\x05.＋",
	}, { // 1413
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.κ?ｈ\uff00；Ｏθ_\"０Ｒ?\x04＂␀4＊υη␛\x11$j@\x04\x05.＋",
		out:  "‛．.κ?ｈ\uff00；Ｏθ_\"０Ｒ?\x04＂‛␀4＊υη␛\x11$j@\x04\x05.＋",
	}, { // 1414
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "υ.κ?ｈ\uff00；Ｏθ_\"０Ｒ?\x04＂␀4＊υη␛\x11$j@\x04\x05..",
		out:  "υ.κ?ｈ\uff00；Ｏθ_\"０Ｒ?\x04＂‛␀4＊υη␛\x11$j@\x04\x05.．",
	}, { // 1415
		mask: EncodeCrLf | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "υ.κ?ｈ\uff00；Ｏθ_\"０Ｒ?\x04＂␀4＊υη␛\x11$j@\x04\x05.．",
		out:  "υ.κ?ｈ\uff00；Ｏθ_\"０Ｒ?\x04＂‛␀4＊υη␛\x11$j@\x04\x05.‛．",
	}, { // 1416
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..％ηＯ\x12ω？]｝Ｊ＜:o␝％＊φ/ζ8＇ρ8Ｔ\x1b:e.\"",
		out:  "．.％ηＯ\x12ω？]｝Ｊ＜:o␝％＊φ/ζ8＇ρ8Ｔ\x1b:e.\"",
	}, { // 1417
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.％ηＯ\x12ω？]｝Ｊ＜:o␝％＊φ/ζ8＇ρ8Ｔ\x1b:e.\"",
		out:  "‛．.％ηＯ\x12ω？]｝Ｊ＜:o␝％＊φ/ζ8＇ρ8Ｔ\x1b:e.\"",
	}, { // 1418
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␚.％ηＯ\x12ω？]｝Ｊ＜:o␝％＊φ/ζ8＇ρ8Ｔ\x1b:e..",
		out:  "␚.％ηＯ\x12ω？]｝Ｊ＜:o␝％＊φ/ζ8＇ρ8Ｔ\x1b:e.．",
	}, { // 1419
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "␚.％ηＯ\x12ω？]｝Ｊ＜:o␝％＊φ/ζ8＇ρ8Ｔ\x1b:e.．",
		out:  "␚.％ηＯ\x12ω？]｝Ｊ＜:o␝％＊φ/ζ8＇ρ8Ｔ\x1b:e.‛．",
	}, { // 1420
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "..&ａ／ξλ␜\x12ν␌\x16f/γ}／␜ＳＹ4L␃␋#8ｈ９.ψ",
		out:  "．.&ａ／ξλ‛␜␒ν‛␌␖f/γ}／‛␜ＳＹ4L‛␃‛␋#8ｈ９.ψ",
	}, { // 1421
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "．.&ａ／ξλ␜\x12ν␌\x16f/γ}／␜ＳＹ4L␃␋#8ｈ９.ψ",
		out:  "‛．.&ａ／ξλ‛␜␒ν‛␌␖f/γ}／‛␜ＳＹ4L‛␃‛␋#8ｈ９.ψ",
	}, { // 1422
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "α.&ａ／ξλ␜\x12ν␌\x16f/γ}／␜ＳＹ4L␃␋#8ｈ９..",
		out:  "α.&ａ／ξλ‛␜␒ν‛␌␖f/γ}／‛␜ＳＹ4L‛␃‛␋#8ｈ９.．",
	}, { // 1423
		mask: EncodeCtl | EncodeLeftPeriod | EncodeRightPeriod,
		in:   "α.&ａ／ξλ␜\x12ν␌\x16f/γ}／␜ＳＹ4L␃␋#8ｈ９.．",
		out:  "α.&ａ／ξλ‛␜␒ν‛␌␖f/γ}／‛␜ＳＹ4L‛␃‛␋#8ｈ９.‛．",
	}, { // 1424
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\t]",
		out:  "．\tε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\t]",
	}, { // 1425
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\t]",
		out:  "‛．\tε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\t]",
	}, { // 1426
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\n]",
		out:  "．\nε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\n]",
	}, { // 1427
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\n]",
		out:  "‛．\nε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\n]",
	}, { // 1428
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\v]",
		out:  "．\vε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\v]",
	}, { // 1429
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\v]",
		out:  "‛．\vε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\v]",
	}, { // 1430
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\r]",
		out:  "．\rε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\r]",
	}, { // 1431
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\r]",
		out:  "‛．\rε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\r]",
	}, { // 1432
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ":\tε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\t.",
		out:  ":\tε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\t.",
	}, { // 1433
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ":\tε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\t．",
		out:  ":\tε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\t．",
	}, { // 1434
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ":\nε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\n.",
		out:  ":\nε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\n.",
	}, { // 1435
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ":\nε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\n．",
		out:  ":\nε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\n．",
	}, { // 1436
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ":\vε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\v.",
		out:  ":\vε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\v.",
	}, { // 1437
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ":\vε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\v．",
		out:  ":\vε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\v．",
	}, { // 1438
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ":\rε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\r.",
		out:  ":\rε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\r.",
	}, { // 1439
		mask: EncodeZero | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ":\rε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\r．",
		out:  ":\rε&␆ｂ\x0f\v１]␒\n＊ς６α␘#EｚGλＫ＇G＃τ␂\r．",
	}, { // 1440
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\t）",
		out:  "．\t␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\t）",
	}, { // 1441
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\t）",
		out:  "‛．\t␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\t）",
	}, { // 1442
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\n）",
		out:  "．\n␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\n）",
	}, { // 1443
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\n）",
		out:  "‛．\n␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\n）",
	}, { // 1444
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\v）",
		out:  "．\v␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\v）",
	}, { // 1445
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\v）",
		out:  "‛．\v␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\v）",
	}, { // 1446
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\r）",
		out:  "．\r␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\r）",
	}, { // 1447
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\r）",
		out:  "‛．\r␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\r）",
	}, { // 1448
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\t␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\t.",
		out:  "ψ\t␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\t.",
	}, { // 1449
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\t␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\t．",
		out:  "ψ\t␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\t．",
	}, { // 1450
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\n␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\n.",
		out:  "ψ\n␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\n.",
	}, { // 1451
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\n␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\n．",
		out:  "ψ\n␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\n．",
	}, { // 1452
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\v␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\v.",
		out:  "ψ\v␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\v.",
	}, { // 1453
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\v␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\v．",
		out:  "ψ\v␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\v．",
	}, { // 1454
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\r␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\r.",
		out:  "ψ\r␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\r.",
	}, { // 1455
		mask: EncodeSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\r␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\r．",
		out:  "ψ\r␘␜\nr\x04χχ␟\x1f\x1bｒj｜？ς\b｜␙ω\bsｆｐυ＄v\r．",
	}, { // 1456
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\tμ",
		out:  "．\t\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\tμ",
	}, { // 1457
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\tμ",
		out:  "‛．\t\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\tμ",
	}, { // 1458
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\nμ",
		out:  "．\n\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\nμ",
	}, { // 1459
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\nμ",
		out:  "‛．\n\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\nμ",
	}, { // 1460
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\vμ",
		out:  "．\v\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\vμ",
	}, { // 1461
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\vμ",
		out:  "‛．\v\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\vμ",
	}, { // 1462
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\rμ",
		out:  "．\r\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\rμ",
	}, { // 1463
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\rμ",
		out:  "‛．\r\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\rμ",
	}, { // 1464
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｏ\t\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\t.",
		out:  "ｏ\t\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\t.",
	}, { // 1465
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｏ\t\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\t．",
		out:  "ｏ\t\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\t．",
	}, { // 1466
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｏ\n\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\n.",
		out:  "ｏ\n\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\n.",
	}, { // 1467
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｏ\n\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\n．",
		out:  "ｏ\n\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\n．",
	}, { // 1468
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｏ\v\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\v.",
		out:  "ｏ\v\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\v.",
	}, { // 1469
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｏ\v\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\v．",
		out:  "ｏ\v\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\v．",
	}, { // 1470
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｏ\r\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\r.",
		out:  "ｏ\r\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\r.",
	}, { // 1471
		mask: EncodeSingleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ｏ\r\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\r．",
		out:  "ｏ\r\x01\f/xυ␆ｚ％υ＞ｔｕ␛７(Kｍα␆/>]Qχ4＜\r．",
	}, { // 1472
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\t%",
		out:  "．\t␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\t%",
	}, { // 1473
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\t%",
		out:  "‛．\t␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\t%",
	}, { // 1474
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\n%",
		out:  "．\n␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\n%",
	}, { // 1475
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\n%",
		out:  "‛．\n␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\n%",
	}, { // 1476
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\v%",
		out:  "．\v␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\v%",
	}, { // 1477
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\v%",
		out:  "‛．\v␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\v%",
	}, { // 1478
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\r%",
		out:  "．\r␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\r%",
	}, { // 1479
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\r%",
		out:  "‛．\r␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\r%",
	}, { // 1480
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "α\t␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\t.",
		out:  "α\t␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\t.",
	}, { // 1481
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "α\t␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\t．",
		out:  "α\t␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\t．",
	}, { // 1482
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "α\n␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\n.",
		out:  "α\n␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\n.",
	}, { // 1483
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "α\n␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\n．",
		out:  "α\n␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\n．",
	}, { // 1484
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "α\v␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\v.",
		out:  "α\v␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\v.",
	}, { // 1485
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "α\v␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\v．",
		out:  "α\v␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\v．",
	}, { // 1486
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "α\r␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\r.",
		out:  "α\r␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\r.",
	}, { // 1487
		mask: EncodeBackQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "α\r␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η`％\r．",
		out:  "α\r␇[）＂o'\"π％π＂ｂ.1Ｋ:\x1fH～；θ ␎η｀％\r．",
	}, { // 1488
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\t!",
		out:  "．\t～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\t!",
	}, { // 1489
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\t!",
		out:  "‛．\t～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\t!",
	}, { // 1490
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\n!",
		out:  "．\n～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\n!",
	}, { // 1491
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\n!",
		out:  "‛．\n～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\n!",
	}, { // 1492
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\v!",
		out:  "．\v～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\v!",
	}, { // 1493
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\v!",
		out:  "‛．\v～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\v!",
	}, { // 1494
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\r!",
		out:  "．\r～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\r!",
	}, { // 1495
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\r!",
		out:  "‛．\r～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\r!",
	}, { // 1496
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\t～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\t.",
		out:  "‛＞\t～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\t.",
	}, { // 1497
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\t～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\t．",
		out:  "‛＞\t～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\t．",
	}, { // 1498
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\n～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\n.",
		out:  "‛＞\n～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\n.",
	}, { // 1499
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\n～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\n．",
		out:  "‛＞\n～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\n．",
	}, { // 1500
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\v～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\v.",
		out:  "‛＞\v～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\v.",
	}, { // 1501
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\v～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\v．",
		out:  "‛＞\v～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\v．",
	}, { // 1502
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\r～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\r.",
		out:  "‛＞\r～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\r.",
	}, { // 1503
		mask: EncodeLtGt | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "＞\r～;γ＃␓ｐ６s\x03τｚx␑␄\x00\x16\rβ％Cζ:c＞ν␊\r．",
		out:  "‛＞\r～;γ＃␓ｐ６s\x03τｚx␑␄␀\x16\rβ％Cζ:c‛＞ν␊\r．",
	}, { // 1504
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\tｌ",
		out:  "．\t␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\tｌ",
	}, { // 1505
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\tｌ",
		out:  "‛．\t␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\tｌ",
	}, { // 1506
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\nｌ",
		out:  "．\n␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\nｌ",
	}, { // 1507
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\nｌ",
		out:  "‛．\n␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\nｌ",
	}, { // 1508
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\vｌ",
		out:  "．\v␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\vｌ",
	}, { // 1509
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\vｌ",
		out:  "‛．\v␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\vｌ",
	}, { // 1510
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\rｌ",
		out:  "．\r␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\rｌ",
	}, { // 1511
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\rｌ",
		out:  "‛．\r␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\rｌ",
	}, { // 1512
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｙ\t␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\t.",
		out:  "Ｙ\t␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\t.",
	}, { // 1513
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｙ\t␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\t．",
		out:  "Ｙ\t␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\t．",
	}, { // 1514
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｙ\n␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\n.",
		out:  "Ｙ\n␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\n.",
	}, { // 1515
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｙ\n␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\n．",
		out:  "Ｙ\n␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\n．",
	}, { // 1516
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｙ\v␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\v.",
		out:  "Ｙ\v␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\v.",
	}, { // 1517
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｙ\v␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\v．",
		out:  "Ｙ\v␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\v．",
	}, { // 1518
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｙ\r␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\r.",
		out:  "Ｙ\r␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\r.",
	}, { // 1519
		mask: EncodeSquareBracket | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "Ｙ\r␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\r．",
		out:  "Ｙ\r␅␒\x1fλ|\"｜＄\x12␐3\x19␊ο＾-ρ４θ*δ#AZt｜\r．",
	}, { // 1520
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\t␆",
		out:  "．\tｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\t␆",
	}, { // 1521
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\t␆",
		out:  "‛．\tｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\t␆",
	}, { // 1522
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\n␆",
		out:  "．\nｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\n␆",
	}, { // 1523
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\n␆",
		out:  "‛．\nｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\n␆",
	}, { // 1524
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\v␆",
		out:  "．\vｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\v␆",
	}, { // 1525
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\v␆",
		out:  "‛．\vｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\v␆",
	}, { // 1526
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\r␆",
		out:  "．\rｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\r␆",
	}, { // 1527
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\r␆",
		out:  "‛．\rｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\r␆",
	}, { // 1528
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "`\tｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\t.",
		out:  "`\tｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\t.",
	}, { // 1529
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "`\tｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\t．",
		out:  "`\tｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\t．",
	}, { // 1530
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "`\nｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\n.",
		out:  "`\nｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\n.",
	}, { // 1531
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "`\nｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\n．",
		out:  "`\nｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\n．",
	}, { // 1532
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "`\vｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\v.",
		out:  "`\vｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\v.",
	}, { // 1533
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "`\vｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\v．",
		out:  "`\vｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\v．",
	}, { // 1534
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "`\rｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\r.",
		out:  "`\rｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\r.",
	}, { // 1535
		mask: EncodeSemicolon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "`\rｍ／␖５θςbτ\tA=\bυ（：Ｓ９；b3yχ/␋\x10σ\r．",
		out:  "`\rｍ／␖５θςbτ\tA=\bυ（：Ｓ９‛；b3yχ/␋\x10σ\r．",
	}, { // 1536
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\t\n",
		out:  "．\t[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\t␊",
	}, { // 1537
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\t\n",
		out:  "‛．\t[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\t␊",
	}, { // 1538
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\n\n",
		out:  "．\n[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\n␊",
	}, { // 1539
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\n\n",
		out:  "‛．\n[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\n␊",
	}, { // 1540
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\v\n",
		out:  "．\v[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\v␊",
	}, { // 1541
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\v\n",
		out:  "‛．\v[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\v␊",
	}, { // 1542
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\r\n",
		out:  "．\r[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\r␊",
	}, { // 1543
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\r\n",
		out:  "‛．\r[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\r␊",
	}, { // 1544
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "η\t[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\t.",
		out:  "η\t[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\t.",
	}, { // 1545
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "η\t[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\t．",
		out:  "η\t[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\t．",
	}, { // 1546
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "η\n[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\n.",
		out:  "η\n[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\n.",
	}, { // 1547
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "η\n[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\n．",
		out:  "η\n[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\n．",
	}, { // 1548
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "η\v[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\v.",
		out:  "η\v[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\v.",
	}, { // 1549
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "η\v[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\v．",
		out:  "η\v[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\v．",
	}, { // 1550
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "η\r[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\r.",
		out:  "η\r[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\r.",
	}, { // 1551
		mask: EncodeDollar | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "η\r[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\r．",
		out:  "η\r[<ςＱτh␎｀}\x1e␍\x14\"Ｙ␄ｓ]ｎ＊σb␡␁&ｈW\r．",
	}, { // 1552
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\tδ",
		out:  "．\t\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\tδ",
	}, { // 1553
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\tδ",
		out:  "‛．\t\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\tδ",
	}, { // 1554
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\nδ",
		out:  "．\n\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\nδ",
	}, { // 1555
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\nδ",
		out:  "‛．\n\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\nδ",
	}, { // 1556
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\vδ",
		out:  "．\v\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\vδ",
	}, { // 1557
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\vδ",
		out:  "‛．\v\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\vδ",
	}, { // 1558
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\rδ",
		out:  "．\r\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\rδ",
	}, { // 1559
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\rδ",
		out:  "‛．\r\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\rδ",
	}, { // 1560
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "[\t\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\t.",
		out:  "[\t\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\t.",
	}, { // 1561
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "[\t\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\t．",
		out:  "[\t\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\t．",
	}, { // 1562
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "[\n\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\n.",
		out:  "[\n\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\n.",
	}, { // 1563
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "[\n\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\n．",
		out:  "[\n\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\n．",
	}, { // 1564
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "[\v\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\v.",
		out:  "[\v\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\v.",
	}, { // 1565
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "[\v\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\v．",
		out:  "[\v\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\v．",
	}, { // 1566
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "[\r\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\r.",
		out:  "[\r\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\r.",
	}, { // 1567
		mask: EncodeDoubleQuote | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "[\r\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\r．",
		out:  "[\r\x1f；\\ｔα\x04ω＄Xｒ＠ｓ␊ι␛␄␘Dλo＃\n/n\bｂ\r．",
	}, { // 1568
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\t␗",
		out:  "．\t\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\t␗",
	}, { // 1569
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\t␗",
		out:  "‛．\t\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\t␗",
	}, { // 1570
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\n␗",
		out:  "．\n\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\n␗",
	}, { // 1571
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\n␗",
		out:  "‛．\n\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\n␗",
	}, { // 1572
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\v␗",
		out:  "．\v\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\v␗",
	}, { // 1573
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\v␗",
		out:  "‛．\v\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\v␗",
	}, { // 1574
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\r␗",
		out:  "．\r\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\r␗",
	}, { // 1575
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\r␗",
		out:  "‛．\r\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\r␗",
	}, { // 1576
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x15\t\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\t.",
		out:  "\x15\t\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\t.",
	}, { // 1577
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x15\t\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\t．",
		out:  "\x15\t\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\t．",
	}, { // 1578
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x15\n\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\n.",
		out:  "\x15\n\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\n.",
	}, { // 1579
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x15\n\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\n．",
		out:  "\x15\n\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\n．",
	}, { // 1580
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x15\v\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\v.",
		out:  "\x15\v\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\v.",
	}, { // 1581
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x15\v\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\v．",
		out:  "\x15\v\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\v．",
	}, { // 1582
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x15\r\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\r.",
		out:  "\x15\r\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\r.",
	}, { // 1583
		mask: EncodeColon | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x15\r\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\r．",
		out:  "\x15\r\x17Ｖ␒␍９λφ+o\x1c1Nｅ\\␘＼１\x02ψβ；γρ{\uff00.\r．",
	}, { // 1584
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\t\x12",
		out:  "．\tｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\t\x12",
	}, { // 1585
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\t\x12",
		out:  "‛．\tｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\t\x12",
	}, { // 1586
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\n\x12",
		out:  "．\nｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\n\x12",
	}, { // 1587
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\n\x12",
		out:  "‛．\nｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\n\x12",
	}, { // 1588
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\v\x12",
		out:  "．\vｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\v\x12",
	}, { // 1589
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\v\x12",
		out:  "‛．\vｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\v\x12",
	}, { // 1590
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\r\x12",
		out:  "．\rｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\r\x12",
	}, { // 1591
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\r\x12",
		out:  "‛．\rｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\r\x12",
	}, { // 1592
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x19\tｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\t.",
		out:  "\x19\tｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\t.",
	}, { // 1593
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x19\tｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\t．",
		out:  "\x19\tｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\t．",
	}, { // 1594
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x19\nｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\n.",
		out:  "\x19\nｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\n.",
	}, { // 1595
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x19\nｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\n．",
		out:  "\x19\nｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\n．",
	}, { // 1596
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x19\vｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\v.",
		out:  "\x19\vｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\v.",
	}, { // 1597
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x19\vｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\v．",
		out:  "\x19\vｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\v．",
	}, { // 1598
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x19\rｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\r.",
		out:  "\x19\rｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\r.",
	}, { // 1599
		mask: EncodeQuestion | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "\x19\rｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\r．",
		out:  "\x19\rｉ＂［ο＃＊U\x1aγ＜\x1d\nＩ␑␝ι１νAＡο%t\a#␕\r．",
	}, { // 1600
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\t％",
		out:  "．\tＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\t％",
	}, { // 1601
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\t％",
		out:  "‛．\tＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\t％",
	}, { // 1602
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\n％",
		out:  "．\nＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\n％",
	}, { // 1603
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\n％",
		out:  "‛．\nＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\n％",
	}, { // 1604
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\v％",
		out:  "．\vＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\v％",
	}, { // 1605
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\v％",
		out:  "‛．\vＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\v％",
	}, { // 1606
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\r％",
		out:  "．\rＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\r％",
	}, { // 1607
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\r％",
		out:  "‛．\rＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\r％",
	}, { // 1608
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "G\tＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\t.",
		out:  "G\tＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\t.",
	}, { // 1609
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "G\tＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\t．",
		out:  "G\tＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\t．",
	}, { // 1610
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "G\nＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\n.",
		out:  "G\nＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\n.",
	}, { // 1611
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "G\nＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\n．",
		out:  "G\nＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\n．",
	}, { // 1612
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "G\vＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\v.",
		out:  "G\vＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\v.",
	}, { // 1613
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "G\vＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\v．",
		out:  "G\vＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\v．",
	}, { // 1614
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "G\rＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\r.",
		out:  "G\rＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\r.",
	}, { // 1615
		mask: EncodeAsterisk | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "G\rＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\r．",
		out:  "G\rＯ␁C\x1dτ｜＝ｗ?Jλβ＝８=[μ［\b\\％\nπνF|\r．",
	}, { // 1616
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\t␉",
		out:  "．\t\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\t‛␉",
	}, { // 1617
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\t␉",
		out:  "‛．\t\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\t‛␉",
	}, { // 1618
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\n␉",
		out:  "．\n\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\n‛␉",
	}, { // 1619
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\n␉",
		out:  "‛．\n\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\n‛␉",
	}, { // 1620
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\v␉",
		out:  "．\v\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\v‛␉",
	}, { // 1621
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\v␉",
		out:  "‛．\v\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\v‛␉",
	}, { // 1622
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\r␉",
		out:  "．\r\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\r‛␉",
	}, { // 1623
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\r␉",
		out:  "‛．\r\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\r‛␉",
	}, { // 1624
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ο\t\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\t.",
		out:  "ο\t\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\t.",
	}, { // 1625
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ο\t\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\t．",
		out:  "ο\t\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\t．",
	}, { // 1626
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ο\n\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\n.",
		out:  "ο\n\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\n.",
	}, { // 1627
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ο\n\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\n．",
		out:  "ο\n\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\n．",
	}, { // 1628
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ο\v\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\v.",
		out:  "ο\v\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\v.",
	}, { // 1629
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ο\v\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\v．",
		out:  "ο\v\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\v．",
	}, { // 1630
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ο\r\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\r.",
		out:  "ο\r\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\r.",
	}, { // 1631
		mask: EncodePipe | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ο\r\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\r．",
		out:  "ο\r\x01\uff00ｊZπ␓$␡H＠［s\r␊QπＭ#gζＸ\x1aｈ＄ςς\r．",
	}, { // 1632
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\t␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\tｈ",
		out:  "．\t␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\tｈ",
	}, { // 1633
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\t␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\tｈ",
		out:  "‛．\t␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\tｈ",
	}, { // 1634
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\n␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\nｈ",
		out:  "．\n␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\nｈ",
	}, { // 1635
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\n␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\nｈ",
		out:  "‛．\n␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\nｈ",
	}, { // 1636
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\v␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\vｈ",
		out:  "．\v␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\vｈ",
	}, { // 1637
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\v␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\vｈ",
		out:  "‛．\v␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\vｈ",
	}, { // 1638
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\r␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\rｈ",
		out:  "．\r␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\rｈ",
	}, { // 1639
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\r␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\rｈ",
		out:  "‛．\r␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\rｈ",
	}, { // 1640
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\t␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\t.",
		out:  "ψ\t␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\t.",
	}, { // 1641
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\t␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\t．",
		out:  "ψ\t␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\t．",
	}, { // 1642
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\n␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\n.",
		out:  "ψ\n␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\n.",
	}, { // 1643
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\n␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\n．",
		out:  "ψ\n␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\n．",
	}, { // 1644
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\v␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\v.",
		out:  "ψ\v␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\v.",
	}, { // 1645
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\v␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\v．",
		out:  "ψ\v␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\v．",
	}, { // 1646
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\r␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\r.",
		out:  "ψ\r␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\r.",
	}, { // 1647
		mask: EncodeHash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "ψ\r␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\r．",
		out:  "ψ\r␈＜Nμξ^ｊvλ５u␇ｍ\x17\x13Ｚ`\x1a␉e/μ␉\x16πA\r．",
	}, { // 1648
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\tｏ",
		out:  "．\tL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\tｏ",
	}, { // 1649
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\tｏ",
		out:  "‛．\tL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\tｏ",
	}, { // 1650
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\nｏ",
		out:  "．\nL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\nｏ",
	}, { // 1651
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\nｏ",
		out:  "‛．\nL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\nｏ",
	}, { // 1652
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\vｏ",
		out:  "．\vL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\vｏ",
	}, { // 1653
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\vｏ",
		out:  "‛．\vL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\vｏ",
	}, { // 1654
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\rｏ",
		out:  "．\rL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\rｏ",
	}, { // 1655
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\rｏ",
		out:  "‛．\rL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\rｏ",
	}, { // 1656
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "？\tL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\t.",
		out:  "？\tL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\t.",
	}, { // 1657
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "？\tL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\t．",
		out:  "？\tL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\t．",
	}, { // 1658
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "？\nL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\n.",
		out:  "？\nL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\n.",
	}, { // 1659
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "？\nL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\n．",
		out:  "？\nL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\n．",
	}, { // 1660
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "？\vL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\v.",
		out:  "？\vL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\v.",
	}, { // 1661
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "？\vL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\v．",
		out:  "？\vL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\v．",
	}, { // 1662
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "？\rL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\r.",
		out:  "？\rL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\r.",
	}, { // 1663
		mask: EncodePercent | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "？\rL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\r．",
		out:  "？\rL?<ｎπ2＃φ８\x06ρ？υω９?␊␐｀Ｂψ;\x02B\f\"\r．",
	}, { // 1664
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\tｇ",
		out:  "．\tｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\tｇ",
	}, { // 1665
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\tｇ",
		out:  "‛．\tｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\tｇ",
	}, { // 1666
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\nｇ",
		out:  "．\nｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\nｇ",
	}, { // 1667
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\nｇ",
		out:  "‛．\nｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\nｇ",
	}, { // 1668
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\vｇ",
		out:  "．\vｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\vｇ",
	}, { // 1669
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\vｇ",
		out:  "‛．\vｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\vｇ",
	}, { // 1670
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\rｇ",
		out:  "．\rｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\rｇ",
	}, { // 1671
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\rｇ",
		out:  "‛．\rｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\rｇ",
	}, { // 1672
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ";\tｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\t.",
		out:  ";\tｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\t.",
	}, { // 1673
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ";\tｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\t．",
		out:  ";\tｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\t．",
	}, { // 1674
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ";\nｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\n.",
		out:  ";\nｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\n.",
	}, { // 1675
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ";\nｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\n．",
		out:  ";\nｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\n．",
	}, { // 1676
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ";\vｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\v.",
		out:  ";\vｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\v.",
	}, { // 1677
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ";\vｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\v．",
		out:  ";\vｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\v．",
	}, { // 1678
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ";\rｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\r.",
		out:  ";\rｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\r.",
	}, { // 1679
		mask: EncodeBackSlash | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ";\rｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\r．",
		out:  ";\rｉψ％␄%$ησ9＇Ｓ\x1bｑq=%\a␐μＴ␂θE｜␅^\r．",
	}, { // 1680
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\tJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\t/",
		out:  "．\tJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\t/",
	}, { // 1681
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\tJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\t/",
		out:  "‛．\tJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\t/",
	}, { // 1682
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\nJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\n/",
		out:  "．\nJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\n/",
	}, { // 1683
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\nJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\n/",
		out:  "‛．\nJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\n/",
	}, { // 1684
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\vJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\v/",
		out:  "．\vJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\v/",
	}, { // 1685
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\vJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\v/",
		out:  "‛．\vJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\v/",
	}, { // 1686
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   ".\rJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\r/",
		out:  "．\rJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\r/",
	}, { // 1687
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "．\rJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\r/",
		out:  "‛．\rJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\r/",
	}, { // 1688
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\tJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\t.",
		out:  "$\tJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\t.",
	}, { // 1689
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\tJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\t．",
		out:  "$\tJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\t．",
	}, { // 1690
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\nJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\n.",
		out:  "$\nJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\n.",
	}, { // 1691
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\nJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\n．",
		out:  "$\nJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\n．",
	}, { // 1692
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\vJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\v.",
		out:  "$\vJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\v.",
	}, { // 1693
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\vJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\v．",
		out:  "$\vJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\v．",
	}, { // 1694
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\rJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\r.",
		out:  "$\rJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\r.",
	}, { // 1695
		mask: EncodeDel | EncodeLeftPeriod | EncodeRightCrLfHtVt,
		in:   "$\rJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\r．",
		out:  "$\rJw＊ψ␏\x1eς/δ～％ｅ\x1f＜γο␇Ｄ<`Ｏ83␈&␁\r．",
	}, { // 1696
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ιLβζ！␁σ␝／/␟[qｗ６␛\r␁｝`Ｗ６',\x19θ \x1a",
		out:  "～ ιLβζ！␁σ␝／/␟[qｗ６␛\r␁｝`Ｗ６',\x19θ \x1a",
	}, { // 1697
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ιLβζ！␁σ␝／/␟[qｗ６␛\r␁｝`Ｗ６',\x19θ \x1a",
		out:  "‛～ ιLβζ！␁σ␝／/␟[qｗ６␛\r␁｝`Ｗ６',\x19θ \x1a",
	}, { // 1698
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftSpace,
		in:   "> ιLβζ！␁σ␝／/␟[qｗ６␛\r␁｝`Ｗ６',\x19θ ~",
		out:  "> ιLβζ！␁σ␝／/␟[qｗ６␛\r␁｝`Ｗ６',\x19θ ~",
	}, { // 1699
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftSpace,
		in:   "> ιLβζ！␁σ␝／/␟[qｗ６␛\r␁｝`Ｗ６',\x19θ ～",
		out:  "> ιLβζ！␁σ␝／/␟[qｗ６␛\r␁｝`Ｗ６',\x19θ ～",
	}, { // 1700
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ηＣ＾*B／4]ρ␈ｄＤ:␆ηx␊hｓ\n\x13λＰψ\x01\x04 \\",
		out:  "～ ηＣ＾*B‛／4]ρ␈ｄＤ:␆ηx␊hｓ\n\x13λＰψ\x01\x04 \\",
	}, { // 1701
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ηＣ＾*B／4]ρ␈ｄＤ:␆ηx␊hｓ\n\x13λＰψ\x01\x04 \\",
		out:  "‛～ ηＣ＾*B‛／4]ρ␈ｄＤ:␆ηx␊hｓ\n\x13λＰψ\x01\x04 \\",
	}, { // 1702
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "σ ηＣ＾*B／4]ρ␈ｄＤ:␆ηx␊hｓ\n\x13λＰψ\x01\x04 ~",
		out:  "σ ηＣ＾*B‛／4]ρ␈ｄＤ:␆ηx␊hｓ\n\x13λＰψ\x01\x04 ~",
	}, { // 1703
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "σ ηＣ＾*B／4]ρ␈ｄＤ:␆ηx␊hｓ\n\x13λＰψ\x01\x04 ～",
		out:  "σ ηＣ＾*B‛／4]ρ␈ｄＤ:␆ηx␊hｓ\n\x13λＰψ\x01\x04 ～",
	}, { // 1704
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ φ＞ \x03[␛␖κ8＝Ｊ\x15\x12␔Ｋ␓*ζτ$ＮTＬ\x05V（ b",
		out:  "～ φ＞ \x03[␛␖κ8＝Ｊ\x15\x12␔Ｋ␓*ζτ$ＮTＬ\x05V（ b",
	}, { // 1705
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ φ＞ \x03[␛␖κ8＝Ｊ\x15\x12␔Ｋ␓*ζτ$ＮTＬ\x05V（ b",
		out:  "‛～ φ＞ \x03[␛␖κ8＝Ｊ\x15\x12␔Ｋ␓*ζτ$ＮTＬ\x05V（ b",
	}, { // 1706
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＜ φ＞ \x03[␛␖κ8＝Ｊ\x15\x12␔Ｋ␓*ζτ$ＮTＬ\x05V（ ~",
		out:  "＜ φ＞ \x03[␛␖κ8＝Ｊ\x15\x12␔Ｋ␓*ζτ$ＮTＬ\x05V（ ~",
	}, { // 1707
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＜ φ＞ \x03[␛␖κ8＝Ｊ\x15\x12␔Ｋ␓*ζτ$ＮTＬ\x05V（ ～",
		out:  "＜ φ＞ \x03[␛␖κ8＝Ｊ\x15\x12␔Ｋ␓*ζτ$ＮTＬ\x05V（ ～",
	}, { // 1708
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ␊;*：\x1eψ\fμＬωuKς４[％j\"Ｖ）␗\x06ζＬ＃３ ␈",
		out:  "～ ␊;*：\x1eψ\fμＬωuKς４[％j\"Ｖ）␗\x06ζＬ＃３ ␈",
	}, { // 1709
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ␊;*：\x1eψ\fμＬωuKς４[％j\"Ｖ）␗\x06ζＬ＃３ ␈",
		out:  "‛～ ␊;*：\x1eψ\fμＬωuKς４[％j\"Ｖ）␗\x06ζＬ＃３ ␈",
	}, { // 1710
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\r ␊;*：\x1eψ\fμＬωuKς４[％j\"Ｖ）␗\x06ζＬ＃３ ~",
		out:  "\r ␊;*：\x1eψ\fμＬωuKς４[％j\"Ｖ）␗\x06ζＬ＃３ ~",
	}, { // 1711
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\r ␊;*：\x1eψ\fμＬωuKς４[％j\"Ｖ）␗\x06ζＬ＃３ ～",
		out:  "\r ␊;*：\x1eψ\fμＬωuKς４[％j\"Ｖ）␗\x06ζＬ＃３ ～",
	}, { // 1712
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ Ｐ/S*\x05ο：␑␡νυ?&ζ\x19／＝␜α=ｒｔοm␗x \r",
		out:  "～ Ｐ/S*\x05ο：␑␡νυ?&ζ\x19／＝␜α=ｒｔοm␗x \r",
	}, { // 1713
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ Ｐ/S*\x05ο：␑␡νυ?&ζ\x19／＝␜α=ｒｔοm␗x \r",
		out:  "‛～ Ｐ/S*\x05ο：␑␡νυ?&ζ\x19／＝␜α=ｒｔοm␗x \r",
	}, { // 1714
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ｙ Ｐ/S*\x05ο：␑␡νυ?&ζ\x19／＝␜α=ｒｔοm␗x ~",
		out:  "ｙ Ｐ/S*\x05ο：␑␡νυ?&ζ\x19／＝␜α=ｒｔοm␗x ~",
	}, { // 1715
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ｙ Ｐ/S*\x05ο：␑␡νυ?&ζ\x19／＝␜α=ｒｔοm␗x ～",
		out:  "ｙ Ｐ/S*\x05ο：␑␡νυ?&ζ\x19／＝␜α=ｒｔοm␗x ～",
	}, { // 1716
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ,\a␟％%␃e\x16\r\uff00ς８χσ[ｚβ\bｎ␐?τ｝␘h\r ␂",
		out:  "～ ,\a␟％%␃e\x16\r\uff00ς８χσ［ｚβ\bｎ␐?τ｝␘h\r ␂",
	}, { // 1717
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ,\a␟％%␃e\x16\r\uff00ς８χσ[ｚβ\bｎ␐?τ｝␘h\r ␂",
		out:  "‛～ ,\a␟％%␃e\x16\r\uff00ς８χσ［ｚβ\bｎ␐?τ｝␘h\r ␂",
	}, { // 1718
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftSpace,
		in:   "U ,\a␟％%␃e\x16\r\uff00ς８χσ[ｚβ\bｎ␐?τ｝␘h\r ~",
		out:  "U ,\a␟％%␃e\x16\r\uff00ς８χσ［ｚβ\bｎ␐?τ｝␘h\r ~",
	}, { // 1719
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftSpace,
		in:   "U ,\a␟％%␃e\x16\r\uff00ς８χσ[ｚβ\bｎ␐?τ｝␘h\r ～",
		out:  "U ,\a␟％%␃e\x16\r\uff00ς８χσ［ｚβ\bｎ␐?τ｝␘h\r ～",
	}, { // 1720
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ␒：ｕ␃θ>`ξ;ζq＾ε}\x01|$｀０\x1fγ:μ＆＜\x02 ␇",
		out:  "～ ␒：ｕ␃θ>`ξ；ζq＾ε}\x01|$｀０\x1fγ:μ＆＜\x02 ␇",
	}, { // 1721
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ␒：ｕ␃θ>`ξ;ζq＾ε}\x01|$｀０\x1fγ:μ＆＜\x02 ␇",
		out:  "‛～ ␒：ｕ␃θ>`ξ；ζq＾ε}\x01|$｀０\x1fγ:μ＆＜\x02 ␇",
	}, { // 1722
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "） ␒：ｕ␃θ>`ξ;ζq＾ε}\x01|$｀０\x1fγ:μ＆＜\x02 ~",
		out:  "） ␒：ｕ␃θ>`ξ；ζq＾ε}\x01|$｀０\x1fγ:μ＆＜\x02 ~",
	}, { // 1723
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "） ␒：ｕ␃θ>`ξ;ζq＾ε}\x01|$｀０\x1fγ:μ＆＜\x02 ～",
		out:  "） ␒：ｕ␃θ>`ξ；ζq＾ε}\x01|$｀０\x1fγ:μ＆＜\x02 ～",
	}, { // 1724
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ \x06Ｘφ：Oω：ξ$ｉ+\"\r\x1d|ｄ6οS␚␄/ιＣ␍ｏ υ",
		out:  "～ \x06Ｘφ：Oω：ξ＄ｉ+\"\r\x1d|ｄ6οS␚␄/ιＣ␍ｏ υ",
	}, { // 1725
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ \x06Ｘφ：Oω：ξ$ｉ+\"\r\x1d|ｄ6οS␚␄/ιＣ␍ｏ υ",
		out:  "‛～ \x06Ｘφ：Oω：ξ＄ｉ+\"\r\x1d|ｄ6οS␚␄/ιＣ␍ｏ υ",
	}, { // 1726
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftSpace,
		in:   "x \x06Ｘφ：Oω：ξ$ｉ+\"\r\x1d|ｄ6οS␚␄/ιＣ␍ｏ ~",
		out:  "x \x06Ｘφ：Oω：ξ＄ｉ+\"\r\x1d|ｄ6οS␚␄/ιＣ␍ｏ ~",
	}, { // 1727
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftSpace,
		in:   "x \x06Ｘφ：Oω：ξ$ｉ+\"\r\x1d|ｄ6οS␚␄/ιＣ␍ｏ ～",
		out:  "x \x06Ｘφ：Oω：ξ＄ｉ+\"\r\x1d|ｄ6οS␚␄/ιＣ␍ｏ ～",
	}, { // 1728
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ν|TvｎＧβｆ>␗␋?^μ?=ρ\n>!οmＨω␜␍ ␆",
		out:  "～ ν|TvｎＧβｆ>␗␋?^μ?=ρ\n>!οmＨω␜␍ ␆",
	}, { // 1729
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ν|TvｎＧβｆ>␗␋?^μ?=ρ\n>!οmＨω␜␍ ␆",
		out:  "‛～ ν|TvｎＧβｆ>␗␋?^μ?=ρ\n>!οmＨω␜␍ ␆",
	}, { // 1730
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＂ ν|TvｎＧβｆ>␗␋?^μ?=ρ\n>!οmＨω␜␍ ~",
		out:  "‛＂ ν|TvｎＧβｆ>␗␋?^μ?=ρ\n>!οmＨω␜␍ ~",
	}, { // 1731
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＂ ν|TvｎＧβｆ>␗␋?^μ?=ρ\n>!οmＨω␜␍ ～",
		out:  "‛＂ ν|TvｎＧβｆ>␗␋?^μ?=ρ\n>!οmＨω␜␍ ～",
	}, { // 1732
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ＊\x1fω␂．)９\x05υＱ␗δｆ］$Nγ４dεx<\x11δ\x14Q ？",
		out:  "～ ＊\x1fω␂．)９\x05υＱ␗δｆ］$Nγ４dεx<\x11δ\x14Q ？",
	}, { // 1733
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ＊\x1fω␂．)９\x05υＱ␗δｆ］$Nγ４dεx<\x11δ\x14Q ？",
		out:  "‛～ ＊\x1fω␂．)９\x05υＱ␗δｆ］$Nγ４dεx<\x11δ\x14Q ？",
	}, { // 1734
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\u007f ＊\x1fω␂．)９\x05υＱ␗δｆ］$Nγ４dεx<\x11δ\x14Q ~",
		out:  "\u007f ＊\x1fω␂．)９\x05υＱ␗δｆ］$Nγ４dεx<\x11δ\x14Q ~",
	}, { // 1735
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftSpace,
		in:   "\u007f ＊\x1fω␂．)９\x05υＱ␗δｆ］$Nγ４dεx<\x11δ\x14Q ～",
		out:  "\u007f ＊\x1fω␂．)９\x05υＱ␗δｆ］$Nγ４dεx<\x11δ\x14Q ～",
	}, { // 1736
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ␀\nι\x1eη｀\v＄␉δｊHι<kＢ］Eｒ>L％\x1a␟ρ７ l",
		out:  "～ ‛␀\nι\x1eη｀\v＄␉δｊHι<kＢ］Eｒ>L％\x1a␟ρ７ l",
	}, { // 1737
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ␀\nι\x1eη｀\v＄␉δｊHι<kＢ］Eｒ>L％\x1a␟ρ７ l",
		out:  "‛～ ‛␀\nι\x1eη｀\v＄␉δｊHι<kＢ］Eｒ>L％\x1a␟ρ７ l",
	}, { // 1738
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ς ␀\nι\x1eη｀\v＄␉δｊHι<kＢ］Eｒ>L％\x1a␟ρ７ ~",
		out:  "ς ‛␀\nι\x1eη｀\v＄␉δｊHι<kＢ］Eｒ>L％\x1a␟ρ７ ~",
	}, { // 1739
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ς ␀\nι\x1eη｀\v＄␉δｊHι<kＢ］Eｒ>L％\x1a␟ρ７ ～",
		out:  "ς ‛␀\nι\x1eη｀\v＄␉δｊHι<kＢ］Eｒ>L％\x1a␟ρ７ ～",
	}, { // 1740
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ \f␘␉SＥ;η>＼␎~μ␝S3\x12ιπψ_␟|:ｇＣυ ｏ",
		out:  "～ \f␘␉SＥ;η>＼␎~μ␝S3\x12ιπψ_␟|:ｇＣυ ｏ",
	}, { // 1741
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ \f␘␉SＥ;η>＼␎~μ␝S3\x12ιπψ_␟|:ｇＣυ ｏ",
		out:  "‛～ \f␘␉SＥ;η>＼␎~μ␝S3\x12ιπψ_␟|:ｇＣυ ｏ",
	}, { // 1742
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftSpace,
		in:   "（ \f␘␉SＥ;η>＼␎~μ␝S3\x12ιπψ_␟|:ｇＣυ ~",
		out:  "（ \f␘␉SＥ;η>＼␎~μ␝S3\x12ιπψ_␟|:ｇＣυ ~",
	}, { // 1743
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftSpace,
		in:   "（ \f␘␉SＥ;η>＼␎~μ␝S3\x12ιπψ_␟|:ｇＣυ ～",
		out:  "（ \f␘␉SＥ;η>＼␎~μ␝S3\x12ιπψ_␟|:ｇＣυ ～",
	}, { // 1744
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ；θ\x10␎aβ/３\a＄\x02Ｊ6\x15νι＞5m＞Ｌ＞␜␚ε｝ +",
		out:  "～ ；θ\x10␎aβ/３\a＄\x02Ｊ6\x15νι＞5m＞Ｌ＞␜␚ε｝ +",
	}, { // 1745
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ；θ\x10␎aβ/３\a＄\x02Ｊ6\x15νι＞5m＞Ｌ＞␜␚ε｝ +",
		out:  "‛～ ；θ\x10␎aβ/３\a＄\x02Ｊ6\x15νι＞5m＞Ｌ＞␜␚ε｝ +",
	}, { // 1746
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftSpace,
		in:   "/ ；θ\x10␎aβ/３\a＄\x02Ｊ6\x15νι＞5m＞Ｌ＞␜␚ε｝ ~",
		out:  "/ ；θ\x10␎aβ/３\a＄\x02Ｊ6\x15νι＞5m＞Ｌ＞␜␚ε｝ ~",
	}, { // 1747
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftSpace,
		in:   "/ ；θ\x10␎aβ/３\a＄\x02Ｊ6\x15νι＞5m＞Ｌ＞␜␚ε｝ ～",
		out:  "/ ；θ\x10␎aβ/３\a＄\x02Ｊ6\x15νι＞5m＞Ｌ＞␜␚ε｝ ～",
	}, { // 1748
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ｀＋η\x03␟［δ\x04dｘδ｜~|\nςs␂Ｔγλ4ｋ␈+\x18 ␆",
		out:  "～ ｀＋η\x03␟［δ\x04dｘδ｜~|\nςs␂Ｔγλ4ｋ␈+\x18 ␆",
	}, { // 1749
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ｀＋η\x03␟［δ\x04dｘδ｜~|\nςs␂Ｔγλ4ｋ␈+\x18 ␆",
		out:  "‛～ ｀＋η\x03␟［δ\x04dｘδ｜~|\nςs␂Ｔγλ4ｋ␈+\x18 ␆",
	}, { // 1750
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "Ｊ ｀＋η\x03␟［δ\x04dｘδ｜~|\nςs␂Ｔγλ4ｋ␈+\x18 ~",
		out:  "Ｊ ｀＋η\x03␟［δ\x04dｘδ｜~|\nςs␂Ｔγλ4ｋ␈+\x18 ~",
	}, { // 1751
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "Ｊ ｀＋η\x03␟［δ\x04dｘδ｜~|\nςs␂Ｔγλ4ｋ␈+\x18 ～",
		out:  "Ｊ ｀＋η\x03␟［δ\x04dｘδ｜~|\nςs␂Ｔγλ4ｋ␈+\x18 ～",
	}, { // 1752
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ ３＃１３:ψ3'\"＜／fς＊uρ]|i<＇σ␎Ｐδ\u007f ␞",
		out:  "～ ３＃１３:ψ3'\"＜／fς＊uρ]|i<＇σ␎Ｐδ\u007f ␞",
	}, { // 1753
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ ３＃１３:ψ3'\"＜／fς＊uρ]|i<＇σ␎Ｐδ\u007f ␞",
		out:  "‛～ ３＃１３:ψ3'\"＜／fς＊uρ]|i<＇σ␎Ｐδ\u007f ␞",
	}, { // 1754
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ς ３＃１３:ψ3'\"＜／fς＊uρ]|i<＇σ␎Ｐδ\u007f ~",
		out:  "ς ３＃１３:ψ3'\"＜／fς＊uρ]|i<＇σ␎Ｐδ\u007f ~",
	}, { // 1755
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftSpace,
		in:   "ς ３＃１３:ψ3'\"＜／fς＊uρ]|i<＇σ␎Ｐδ\u007f ～",
		out:  "ς ３＃１３:ψ3'\"＜／fς＊uρ]|i<＇σ␎Ｐδ\u007f ～",
	}, { // 1756
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ \x1dＪε{8␂５Ｘ\x05\x0eαβ\x10γＴｍ7r\x19␇＆Q␕ωα␌ ：",
		out:  "～ \x1dＪε{8␂５Ｘ\x05\x0eαβ\x10γＴｍ7r\x19␇＆Q␕ωα␌ ：",
	}, { // 1757
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ \x1dＪε{8␂５Ｘ\x05\x0eαβ\x10γＴｍ7r\x19␇＆Q␕ωα␌ ：",
		out:  "‛～ \x1dＪε{8␂５Ｘ\x05\x0eαβ\x10γＴｍ7r\x19␇＆Q␕ωα␌ ：",
	}, { // 1758
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＊ \x1dＪε{8␂５Ｘ\x05\x0eαβ\x10γＴｍ7r\x19␇＆Q␕ωα␌ ~",
		out:  "＊ \x1dＪε{8␂５Ｘ\x05\x0eαβ\x10γＴｍ7r\x19␇＆Q␕ωα␌ ~",
	}, { // 1759
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftSpace,
		in:   "＊ \x1dＪε{8␂５Ｘ\x05\x0eαβ\x10γＴｍ7r\x19␇＆Q␕ωα␌ ～",
		out:  "＊ \x1dＪε{8␂５Ｘ\x05\x0eαβ\x10γＴｍ7r\x19␇＆Q␕ωα␌ ～",
	}, { // 1760
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ φ\\１␗?\x10%δωσ\x0f\x1f＋/Q␐␏ζ␍３␄'＄υ\x14６ ␑",
		out:  "～ φ\\１␗?\x10%δωσ\x0f\x1f＋/Q␐␏ζ‛␍３␄'＄υ\x14６ ␑",
	}, { // 1761
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ φ\\１␗?\x10%δωσ\x0f\x1f＋/Q␐␏ζ␍３␄'＄υ\x14６ ␑",
		out:  "‛～ φ\\１␗?\x10%δωσ\x0f\x1f＋/Q␐␏ζ‛␍３␄'＄υ\x14６ ␑",
	}, { // 1762
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftSpace,
		in:   "* φ\\１␗?\x10%δωσ\x0f\x1f＋/Q␐␏ζ␍３␄'＄υ\x14６ ~",
		out:  "* φ\\１␗?\x10%δωσ\x0f\x1f＋/Q␐␏ζ‛␍３␄'＄υ\x14６ ~",
	}, { // 1763
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftSpace,
		in:   "* φ\\１␗?\x10%δωσ\x0f\x1f＋/Q␐␏ζ␍３␄'＄υ\x14６ ～",
		out:  "* φ\\１␗?\x10%δωσ\x0f\x1f＋/Q␐␏ζ‛␍３␄'＄υ\x14６ ～",
	}, { // 1764
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ *h\x0f\x05\b(\x16νＡσ＄δ/␀Vθμ␝６m｜Ｖｑ␡η␕ ！",
		out:  "～ *h\x0f\x05\b(\x16νＡσ＄δ/‛␀Vθμ␝６m｜Ｖｑ‛␡η␕ ！",
	}, { // 1765
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ *h\x0f\x05\b(\x16νＡσ＄δ/␀Vθμ␝６m｜Ｖｑ␡η␕ ！",
		out:  "‛～ *h\x0f\x05\b(\x16νＡσ＄δ/‛␀Vθμ␝６m｜Ｖｑ‛␡η␕ ！",
	}, { // 1766
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftSpace,
		in:   "` *h\x0f\x05\b(\x16νＡσ＄δ/␀Vθμ␝６m｜Ｖｑ␡η␕ ~",
		out:  "` *h\x0f\x05\b(\x16νＡσ＄δ/‛␀Vθμ␝６m｜Ｖｑ‛␡η␕ ~",
	}, { // 1767
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftSpace,
		in:   "` *h\x0f\x05\b(\x16νＡσ＄δ/␀Vθμ␝６m｜Ｖｑ␡η␕ ～",
		out:  "` *h\x0f\x05\b(\x16νＡσ＄δ/‛␀Vθμ␝６m｜Ｖｑ‛␡η␕ ～",
	}, { // 1768
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftSpace,
		in:   "~ \"αB␂_ο＼γ␄\x19＞．［#_Ｏ＠ξ␂␍k｀\x1eω\x1b~ '",
		out:  "～ \"αB‛␂_ο＼γ‛␄␙＞．［#_Ｏ＠ξ‛␂‛␍k｀␞ω␛~ '",
	}, { // 1769
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftSpace,
		in:   "～ \"αB␂_ο＼γ␄\x19＞．［#_Ｏ＠ξ␂␍k｀\x1eω\x1b~ '",
		out:  "‛～ \"αB‛␂_ο＼γ‛␄␙＞．［#_Ｏ＠ξ‛␂‛␍k｀␞ω␛~ '",
	}, { // 1770
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftSpace,
		in:   "␚ \"αB␂_ο＼γ␄\x19＞．［#_Ｏ＠ξ␂␍k｀\x1eω\x1b~ ~",
		out:  "‛␚ \"αB‛␂_ο＼γ‛␄␙＞．［#_Ｏ＠ξ‛␂‛␍k｀␞ω␛~ ~",
	}, { // 1771
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftSpace,
		in:   "␚ \"αB␂_ο＼γ␄\x19＞．［#_Ｏ＠ξ␂␍k｀\x1eω\x1b~ ～",
		out:  "‛␚ \"αB‛␂_ο＼γ‛␄␙＞．［#_Ｏ＠ξ‛␂‛␍k｀␞ω␛~ ～",
	}, { // 1772
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.］ｒ/\"Z:ξkτ（！␍χλ\n（\x10␞U｀＊Ｚζ#␂␃.ν",
		out:  "～.］ｒ/\"Z:ξkτ（！␍χλ\n（\x10␞U｀＊Ｚζ#␂␃.ν",
	}, { // 1773
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.］ｒ/\"Z:ξkτ（！␍χλ\n（\x10␞U｀＊Ｚζ#␂␃.ν",
		out:  "‛～.］ｒ/\"Z:ξkτ（！␍χλ\n（\x10␞U｀＊Ｚζ#␂␃.ν",
	}, { // 1774
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x16.］ｒ/\"Z:ξkτ（！␍χλ\n（\x10␞U｀＊Ｚζ#␂␃.~",
		out:  "\x16.］ｒ/\"Z:ξkτ（！␍χλ\n（\x10␞U｀＊Ｚζ#␂␃.~",
	}, { // 1775
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x16.］ｒ/\"Z:ξkτ（！␍χλ\n（\x10␞U｀＊Ｚζ#␂␃.～",
		out:  "\x16.］ｒ/\"Z:ξkτ（！␍χλ\n（\x10␞U｀＊Ｚζ#␂␃.～",
	}, { // 1776
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.\"［␛\n%｀＞Oμ␚Ｌς\x16θQHaｉj＇ς]@Ｄ␓η.＿",
		out:  "～.\"［␛\n%｀＞Oμ␚Ｌς\x16θQHaｉj＇ς]@Ｄ␓η.＿",
	}, { // 1777
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.\"［␛\n%｀＞Oμ␚Ｌς\x16θQHaｉj＇ς]@Ｄ␓η.＿",
		out:  "‛～.\"［␛\n%｀＞Oμ␚Ｌς\x16θQHaｉj＇ς]@Ｄ␓η.＿",
	}, { // 1778
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "＊.\"［␛\n%｀＞Oμ␚Ｌς\x16θQHaｉj＇ς]@Ｄ␓η.~",
		out:  "＊.\"［␛\n%｀＞Oμ␚Ｌς\x16θQHaｉj＇ς]@Ｄ␓η.~",
	}, { // 1779
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "＊.\"［␛\n%｀＞Oμ␚Ｌς\x16θQHaｉj＇ς]@Ｄ␓η.～",
		out:  "＊.\"［␛\n%｀＞Oμ␚Ｌς\x16θQHaｉj＇ς]@Ｄ␓η.～",
	}, { // 1780
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.χ␚,K／ν~R␆ξνｏw\x1fυ␐ｆ＞Ｇ？qλ\x05Ｌ`\x1c.\x11",
		out:  "～.χ␚,K／ν~R␆ξνｏw\x1fυ␐ｆ＞Ｇ？qλ\x05Ｌ`\x1c.\x11",
	}, { // 1781
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.χ␚,K／ν~R␆ξνｏw\x1fυ␐ｆ＞Ｇ？qλ\x05Ｌ`\x1c.\x11",
		out:  "‛～.χ␚,K／ν~R␆ξνｏw\x1fυ␐ｆ＞Ｇ？qλ\x05Ｌ`\x1c.\x11",
	}, { // 1782
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "%.χ␚,K／ν~R␆ξνｏw\x1fυ␐ｆ＞Ｇ？qλ\x05Ｌ`\x1c.~",
		out:  "%.χ␚,K／ν~R␆ξνｏw\x1fυ␐ｆ＞Ｇ？qλ\x05Ｌ`\x1c.~",
	}, { // 1783
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "%.χ␚,K／ν~R␆ξνｏw\x1fυ␐ｆ＞Ｇ？qλ\x05Ｌ`\x1c.～",
		out:  "%.χ␚,K／ν~R␆ξνｏw\x1fυ␐ｆ＞Ｇ？qλ\x05Ｌ`\x1c.～",
	}, { // 1784
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.\x19ψ；␍eμ'FｔMｎ｝ο＇\x1b[''`␘？f ～０ν.␐",
		out:  "～.\x19ψ；␍eμ'FｔMｎ｝ο＇\x1b[''｀␘？f ～０ν.␐",
	}, { // 1785
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.\x19ψ；␍eμ'FｔMｎ｝ο＇\x1b[''`␘？f ～０ν.␐",
		out:  "‛～.\x19ψ；␍eμ'FｔMｎ｝ο＇\x1b[''｀␘？f ～０ν.␐",
	}, { // 1786
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ｔ.\x19ψ；␍eμ'FｔMｎ｝ο＇\x1b[''`␘？f ～０ν.~",
		out:  "ｔ.\x19ψ；␍eμ'FｔMｎ｝ο＇\x1b[''｀␘？f ～０ν.~",
	}, { // 1787
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ｔ.\x19ψ；␍eμ'FｔMｎ｝ο＇\x1b[''`␘？f ～０ν.～",
		out:  "ｔ.\x19ψ；␍eμ'FｔMｎ｝ο＇\x1b[''｀␘？f ～０ν.～",
	}, { // 1788
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.\vωR\nｎｌo%␕π＂=ιμι␜|\x01ｄ␈．：）?\x02π.6",
		out:  "～.\vωR\nｎｌo%␕π＂=ιμι␜|\x01ｄ␈．：）?\x02π.6",
	}, { // 1789
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.\vωR\nｎｌo%␕π＂=ιμι␜|\x01ｄ␈．：）?\x02π.6",
		out:  "‛～.\vωR\nｎｌo%␕π＂=ιμι␜|\x01ｄ␈．：）?\x02π.6",
	}, { // 1790
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "Ｍ.\vωR\nｎｌo%␕π＂=ιμι␜|\x01ｄ␈．：）?\x02π.~",
		out:  "Ｍ.\vωR\nｎｌo%␕π＂=ιμι␜|\x01ｄ␈．：）?\x02π.~",
	}, { // 1791
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "Ｍ.\vωR\nｎｌo%␕π＂=ιμι␜|\x01ｄ␈．：）?\x02π.～",
		out:  "Ｍ.\vωR\nｎｌo%␕π＂=ιμι␜|\x01ｄ␈．：）?\x02π.～",
	}, { // 1792
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.Ｉ\\｀/T\n；\x13␄␔\x15\tｑｚπ%m␘βοηr␅ｕ\x06η.␓",
		out:  "～.Ｉ\\｀/T\n；\x13␄␔\x15\tｑｚπ%m␘βοηr␅ｕ\x06η.␓",
	}, { // 1793
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.Ｉ\\｀/T\n；\x13␄␔\x15\tｑｚπ%m␘βοηr␅ｕ\x06η.␓",
		out:  "‛～.Ｉ\\｀/T\n；\x13␄␔\x15\tｑｚπ%m␘βοηr␅ｕ\x06η.␓",
	}, { // 1794
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ψ.Ｉ\\｀/T\n；\x13␄␔\x15\tｑｚπ%m␘βοηr␅ｕ\x06η.~",
		out:  "ψ.Ｉ\\｀/T\n；\x13␄␔\x15\tｑｚπ%m␘βοηr␅ｕ\x06η.~",
	}, { // 1795
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ψ.Ｉ\\｀/T\n；\x13␄␔\x15\tｑｚπ%m␘βοηr␅ｕ\x06η.～",
		out:  "ψ.Ｉ\\｀/T\n；\x13␄␔\x15\tｑｚπ%m␘βοηr␅ｕ\x06η.～",
	}, { // 1796
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.\x18＞τ\r7ｄQμεε＂３＇␐Ｉ;M\x04ｃkλ␃％ι\x1d .\x1d",
		out:  "～.\x18＞τ\r7ｄQμεε＂３＇␐Ｉ；M\x04ｃkλ␃％ι\x1d .\x1d",
	}, { // 1797
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.\x18＞τ\r7ｄQμεε＂３＇␐Ｉ;M\x04ｃkλ␃％ι\x1d .\x1d",
		out:  "‛～.\x18＞τ\r7ｄQμεε＂３＇␐Ｉ；M\x04ｃkλ␃％ι\x1d .\x1d",
	}, { // 1798
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "%.\x18＞τ\r7ｄQμεε＂３＇␐Ｉ;M\x04ｃkλ␃％ι\x1d .~",
		out:  "%.\x18＞τ\r7ｄQμεε＂３＇␐Ｉ；M\x04ｃkλ␃％ι\x1d .~",
	}, { // 1799
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "%.\x18＞τ\r7ｄQμεε＂３＇␐Ｉ;M\x04ｃkλ␃％ι\x1d .～",
		out:  "%.\x18＞τ\r7ｄQμεε＂３＇␐Ｉ；M\x04ｃkλ␃％ι\x1d .～",
	}, { // 1800
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.7\x1b］ς９ψｑＴπＢβυ\u007f＄␙=K␋\t␕Ａ␙I\x17\x05T./",
		out:  "～.7\x1b］ς９ψｑＴπＢβυ\u007f‛＄␙=K␋\t␕Ａ␙I\x17\x05T./",
	}, { // 1801
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.7\x1b］ς９ψｑＴπＢβυ\u007f＄␙=K␋\t␕Ａ␙I\x17\x05T./",
		out:  "‛～.7\x1b］ς９ψｑＴπＢβυ\u007f‛＄␙=K␋\t␕Ａ␙I\x17\x05T./",
	}, { // 1802
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "!.7\x1b］ς９ψｑＴπＢβυ\u007f＄␙=K␋\t␕Ａ␙I\x17\x05T.~",
		out:  "!.7\x1b］ς９ψｑＴπＢβυ\u007f‛＄␙=K␋\t␕Ａ␙I\x17\x05T.~",
	}, { // 1803
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "!.7\x1b］ς９ψｑＴπＢβυ\u007f＄␙=K␋\t␕Ａ␙I\x17\x05T.～",
		out:  "!.7\x1b］ς９ψｑＴπＢβυ\u007f‛＄␙=K␋\t␕Ａ␙I\x17\x05T.～",
	}, { // 1804
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.］'）\x04M．％\x15＇~σ$δτ?ｖι\x04Ｍ␉ψｋ＃␎＇?.0",
		out:  "～.］'）\x04M．％\x15＇~σ$δτ?ｖι\x04Ｍ␉ψｋ＃␎＇?.0",
	}, { // 1805
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.］'）\x04M．％\x15＇~σ$δτ?ｖι\x04Ｍ␉ψｋ＃␎＇?.0",
		out:  "‛～.］'）\x04M．％\x15＇~σ$δτ?ｖι\x04Ｍ␉ψｋ＃␎＇?.0",
	}, { // 1806
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "β.］'）\x04M．％\x15＇~σ$δτ?ｖι\x04Ｍ␉ψｋ＃␎＇?.~",
		out:  "β.］'）\x04M．％\x15＇~σ$δτ?ｖι\x04Ｍ␉ψｋ＃␎＇?.~",
	}, { // 1807
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "β.］'）\x04M．％\x15＇~σ$δτ?ｖι\x04Ｍ␉ψｋ＃␎＇?.～",
		out:  "β.］'）\x04M．％\x15＇~σ$δτ?ｖι\x04Ｍ␉ψｋ＃␎＇?.～",
	}, { // 1808
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.α!␍␕εσYG\x01＝\x03／␑％ς\x1a␚Ｕ}\x04βＱ＾｛xμ.\b",
		out:  "～.α!␍␕εσYG\x01＝\x03／␑％ς\x1a␚Ｕ}\x04βＱ＾｛xμ.\b",
	}, { // 1809
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.α!␍␕εσYG\x01＝\x03／␑％ς\x1a␚Ｕ}\x04βＱ＾｛xμ.\b",
		out:  "‛～.α!␍␕εσYG\x01＝\x03／␑％ς\x1a␚Ｕ}\x04βＱ＾｛xμ.\b",
	}, { // 1810
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x11.α!␍␕εσYG\x01＝\x03／␑％ς\x1a␚Ｕ}\x04βＱ＾｛xμ.~",
		out:  "\x11.α!␍␕εσYG\x01＝\x03／␑％ς\x1a␚Ｕ}\x04βＱ＾｛xμ.~",
	}, { // 1811
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "\x11.α!␍␕εσYG\x01＝\x03／␑％ς\x1a␚Ｕ}\x04βＱ＾｛xμ.～",
		out:  "\x11.α!␍␕εσYG\x01＝\x03／␑％ς\x1a␚Ｕ}\x04βＱ＾｛xμ.～",
	}, { // 1812
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.␚I＼\x1d｝\fｌ\x1b｝\x17βi␘1α␙ς\x0e＼␂Ｎ\x0f␊.ηz.β",
		out:  "～.␚I＼\x1d｝\fｌ\x1b｝\x17βi␘1α␙ς\x0e＼␂Ｎ\x0f␊.ηz.β",
	}, { // 1813
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.␚I＼\x1d｝\fｌ\x1b｝\x17βi␘1α␙ς\x0e＼␂Ｎ\x0f␊.ηz.β",
		out:  "‛～.␚I＼\x1d｝\fｌ\x1b｝\x17βi␘1α␙ς\x0e＼␂Ｎ\x0f␊.ηz.β",
	}, { // 1814
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "␓.␚I＼\x1d｝\fｌ\x1b｝\x17βi␘1α␙ς\x0e＼␂Ｎ\x0f␊.ηz.~",
		out:  "␓.␚I＼\x1d｝\fｌ\x1b｝\x17βi␘1α␙ς\x0e＼␂Ｎ\x0f␊.ηz.~",
	}, { // 1815
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "␓.␚I＼\x1d｝\fｌ\x1b｝\x17βi␘1α␙ς\x0e＼␂Ｎ\x0f␊.ηz.～",
		out:  "␓.␚I＼\x1d｝\fｌ\x1b｝\x17βi␘1α␙ς\x0e＼␂Ｎ\x0f␊.ηz.～",
	}, { // 1816
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.␑ρｕο\uff00␞G\x03［;］\x15n␡ζＨVχλq<\x04␟；？l.:",
		out:  "～.␑ρｕο\uff00␞G\x03［;］\x15n␡ζＨVχλq<\x04␟；？l.:",
	}, { // 1817
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.␑ρｕο\uff00␞G\x03［;］\x15n␡ζＨVχλq<\x04␟；？l.:",
		out:  "‛～.␑ρｕο\uff00␞G\x03［;］\x15n␡ζＨVχλq<\x04␟；？l.:",
	}, { // 1818
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "χ.␑ρｕο\uff00␞G\x03［;］\x15n␡ζＨVχλq<\x04␟；？l.~",
		out:  "χ.␑ρｕο\uff00␞G\x03［;］\x15n␡ζＨVχλq<\x04␟；？l.~",
	}, { // 1819
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "χ.␑ρｕο\uff00␞G\x03［;］\x15n␡ζＨVχλq<\x04␟；？l.～",
		out:  "χ.␑ρｕο\uff00␞G\x03［;］\x15n␡ζＨVχλq<\x04␟；？l.～",
	}, { // 1820
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.＞\x03fπ␐？␅ν\x0eρ&τ［\fｄc＋Uｌ5＞｝：\"ν^.\x06",
		out:  "～.＞\x03fπ␐？␅ν\x0eρ&τ［\fｄc＋Uｌ5＞｝：\"ν^.\x06",
	}, { // 1821
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.＞\x03fπ␐？␅ν\x0eρ&τ［\fｄc＋Uｌ5＞｝：\"ν^.\x06",
		out:  "‛～.＞\x03fπ␐？␅ν\x0eρ&τ［\fｄc＋Uｌ5＞｝：\"ν^.\x06",
	}, { // 1822
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ς.＞\x03fπ␐？␅ν\x0eρ&τ［\fｄc＋Uｌ5＞｝：\"ν^.~",
		out:  "ς.＞\x03fπ␐？␅ν\x0eρ&τ［\fｄc＋Uｌ5＞｝：\"ν^.~",
	}, { // 1823
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ς.＞\x03fπ␐？␅ν\x0eρ&τ［\fｄc＋Uｌ5＞｝：\"ν^.～",
		out:  "ς.＞\x03fπ␐？␅ν\x0eρ&τ［\fｄc＋Uｌ5＞｝：\"ν^.～",
	}, { // 1824
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.␐ｃｍ/φIｑγ＃＇Ｋ\x00：κδ␞π２L\x14Ｊ\x1aW\x03S\x15.ο",
		out:  "～.␐ｃｍ/φIｑγ‛＃＇Ｋ␀：κδ␞π２L\x14Ｊ\x1aW\x03S\x15.ο",
	}, { // 1825
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.␐ｃｍ/φIｑγ＃＇Ｋ\x00：κδ␞π２L\x14Ｊ\x1aW\x03S\x15.ο",
		out:  "‛～.␐ｃｍ/φIｑγ‛＃＇Ｋ␀：κδ␞π２L\x14Ｊ\x1aW\x03S\x15.ο",
	}, { // 1826
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "␋.␐ｃｍ/φIｑγ＃＇Ｋ\x00：κδ␞π２L\x14Ｊ\x1aW\x03S\x15.~",
		out:  "␋.␐ｃｍ/φIｑγ‛＃＇Ｋ␀：κδ␞π２L\x14Ｊ\x1aW\x03S\x15.~",
	}, { // 1827
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "␋.␐ｃｍ/φIｑγ＃＇Ｋ\x00：κδ␞π２L\x14Ｊ\x1aW\x03S\x15.～",
		out:  "␋.␐ｃｍ/φIｑγ‛＃＇Ｋ␀：κδ␞π２L\x14Ｊ\x1aW\x03S\x15.～",
	}, { // 1828
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.［＄2:\x15ζ０VＫγＨf<ｘ3\rBρ；␏ο␂？＼\rB.\x0f",
		out:  "～.［＄2:\x15ζ０VＫγＨf<ｘ3\rBρ；␏ο␂？＼\rB.\x0f",
	}, { // 1829
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.［＄2:\x15ζ０VＫγＨf<ｘ3\rBρ；␏ο␂？＼\rB.\x0f",
		out:  "‛～.［＄2:\x15ζ０VＫγＨf<ｘ3\rBρ；␏ο␂？＼\rB.\x0f",
	}, { // 1830
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ｙ.［＄2:\x15ζ０VＫγＨf<ｘ3\rBρ；␏ο␂？＼\rB.~",
		out:  "ｙ.［＄2:\x15ζ０VＫγＨf<ｘ3\rBρ；␏ο␂？＼\rB.~",
	}, { // 1831
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ｙ.［＄2:\x15ζ０VＫγＨf<ｘ3\rBρ；␏ο␂？＼\rB.～",
		out:  "ｙ.［＄2:\x15ζ０VＫγＨf<ｘ3\rBρ；␏ο␂？＼\rB.～",
	}, { // 1832
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.！␎E\x0eBＫ：＞T␊οy␋[*φ\fξｖ＼θ4？\x1b\x05χ.Ｖ",
		out:  "～.！␎E\x0eBＫ：＞T␊οy␋[*φ\fξｖ‛＼θ4？\x1b\x05χ.Ｖ",
	}, { // 1833
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.！␎E\x0eBＫ：＞T␊οy␋[*φ\fξｖ＼θ4？\x1b\x05χ.Ｖ",
		out:  "‛～.！␎E\x0eBＫ：＞T␊οy␋[*φ\fξｖ‛＼θ4？\x1b\x05χ.Ｖ",
	}, { // 1834
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "χ.！␎E\x0eBＫ：＞T␊οy␋[*φ\fξｖ＼θ4？\x1b\x05χ.~",
		out:  "χ.！␎E\x0eBＫ：＞T␊οy␋[*φ\fξｖ‛＼θ4？\x1b\x05χ.~",
	}, { // 1835
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "χ.！␎E\x0eBＫ：＞T␊οy␋[*φ\fξｖ＼θ4？\x1b\x05χ.～",
		out:  "χ.！␎E\x0eBＫ：＞T␊οy␋[*φ\fξｖ‛＼θ4？\x1b\x05χ.～",
	}, { // 1836
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.~λν]｜+ωι＼］ξＳｖ`_ｄ`␂ｊ]:\x14／3\x13１.ρ",
		out:  "～.~λν]｜+ωι＼］ξＳｖ`_ｄ`␂ｊ]:\x14／3\x13１.ρ",
	}, { // 1837
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.~λν]｜+ωι＼］ξＳｖ`_ｄ`␂ｊ]:\x14／3\x13１.ρ",
		out:  "‛～.~λν]｜+ωι＼］ξＳｖ`_ｄ`␂ｊ]:\x14／3\x13１.ρ",
	}, { // 1838
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "=.~λν]｜+ωι＼］ξＳｖ`_ｄ`␂ｊ]:\x14／3\x13１.~",
		out:  "=.~λν]｜+ωι＼］ξＳｖ`_ｄ`␂ｊ]:\x14／3\x13１.~",
	}, { // 1839
		mask: EncodeCrLf | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "=.~λν]｜+ωι＼］ξＳｖ`_ｄ`␂ｊ]:\x14／3\x13１.～",
		out:  "=.~λν]｜+ωι＼］ξＳｖ`_ｄ`␂ｊ]:\x14／3\x13１.～",
	}, { // 1840
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.f{*＞9γ９\x00ω#ｗ␞␌ψ／#％\x00␎Ｙ\x13Ｌ␅3␜λ.m",
		out:  "～.f{*＞9γ９␀ω#ｗ␞␌ψ／#％␀␎Ｙ\x13Ｌ␅3␜λ.m",
	}, { // 1841
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.f{*＞9γ９\x00ω#ｗ␞␌ψ／#％\x00␎Ｙ\x13Ｌ␅3␜λ.m",
		out:  "‛～.f{*＞9γ９␀ω#ｗ␞␌ψ／#％␀␎Ｙ\x13Ｌ␅3␜λ.m",
	}, { // 1842
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ς.f{*＞9γ９\x00ω#ｗ␞␌ψ／#％\x00␎Ｙ\x13Ｌ␅3␜λ.~",
		out:  "ς.f{*＞9γ９␀ω#ｗ␞␌ψ／#％␀␎Ｙ\x13Ｌ␅3␜λ.~",
	}, { // 1843
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "ς.f{*＞9γ９\x00ω#ｗ␞␌ψ／#％\x00␎Ｙ\x13Ｌ␅3␜λ.～",
		out:  "ς.f{*＞9γ９␀ω#ｗ␞␌ψ／#％␀␎Ｙ\x13Ｌ␅3␜λ.～",
	}, { // 1844
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "~.tWUＴψ␒\t＝␃ψm6\u007fｔφｄ(ν\u007fｓ␍τ|σ?Ｆ./",
		out:  "～.tWUＴψ‛␒␉＝‛␃ψm6\u007fｔφｄ(ν\u007fｓ‛␍τ|σ?Ｆ./",
	}, { // 1845
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "～.tWUＴψ␒\t＝␃ψm6\u007fｔφｄ(ν\u007fｓ␍τ|σ?Ｆ./",
		out:  "‛～.tWUＴψ‛␒␉＝‛␃ψm6\u007fｔφｄ(ν\u007fｓ‛␍τ|σ?Ｆ./",
	}, { // 1846
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "␖.tWUＴψ␒\t＝␃ψm6\u007fｔφｄ(ν\u007fｓ␍τ|σ?Ｆ.~",
		out:  "‛␖.tWUＴψ‛␒␉＝‛␃ψm6\u007fｔφｄ(ν\u007fｓ‛␍τ|σ?Ｆ.~",
	}, { // 1847
		mask: EncodeCtl | EncodeLeftTilde | EncodeLeftPeriod,
		in:   "␖.tWUＴψ␒\t＝␃ψm6\u007fｔφｄ(ν\u007fｓ␍τ|σ?Ｆ.～",
		out:  "‛␖.tWUＴψ‛␒␉＝‛␃ψm6\u007fｔφｄ(ν\u007fｓ‛␍τ|σ?Ｆ.～",
	}, { // 1848
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\t\x17",
		out:  "～\t\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\t\x17",
	}, { // 1849
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\t\x17",
		out:  "‛～\t\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\t\x17",
	}, { // 1850
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\n\x17",
		out:  "～\n\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\n\x17",
	}, { // 1851
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\n\x17",
		out:  "‛～\n\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\n\x17",
	}, { // 1852
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\v\x17",
		out:  "～\v\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\v\x17",
	}, { // 1853
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\v\x17",
		out:  "‛～\v\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\v\x17",
	}, { // 1854
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\r\x17",
		out:  "～\r\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\r\x17",
	}, { // 1855
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\r\x17",
		out:  "‛～\r\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\r\x17",
	}, { // 1856
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｑ\t\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\t~",
		out:  "Ｑ\t\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\t~",
	}, { // 1857
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｑ\t\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\t～",
		out:  "Ｑ\t\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\t～",
	}, { // 1858
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｑ\n\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\n~",
		out:  "Ｑ\n\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\n~",
	}, { // 1859
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｑ\n\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\n～",
		out:  "Ｑ\n\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\n～",
	}, { // 1860
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｑ\v\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\v~",
		out:  "Ｑ\v\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\v~",
	}, { // 1861
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｑ\v\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\v～",
		out:  "Ｑ\v\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\v～",
	}, { // 1862
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｑ\r\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\r~",
		out:  "Ｑ\r\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\r~",
	}, { // 1863
		mask: EncodeZero | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｑ\r\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ␀ο␊ｈ8␐␙\r～",
		out:  "Ｑ\r\x0f5\\υ！Ｄτ｀／␄\x18{\x16M/#\x0fιｑ‛␀ο␊ｈ8␐␙\r～",
	}, { // 1864
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\tψ",
		out:  "～\tＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\tψ",
	}, { // 1865
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\tψ",
		out:  "‛～\tＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\tψ",
	}, { // 1866
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\nψ",
		out:  "～\nＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\nψ",
	}, { // 1867
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\nψ",
		out:  "‛～\nＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\nψ",
	}, { // 1868
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\vψ",
		out:  "～\vＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\vψ",
	}, { // 1869
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\vψ",
		out:  "‛～\vＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\vψ",
	}, { // 1870
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\rψ",
		out:  "～\rＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\rψ",
	}, { // 1871
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\rψ",
		out:  "‛～\rＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\rψ",
	}, { // 1872
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "6\tＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\t~",
		out:  "6\tＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\t~",
	}, { // 1873
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "6\tＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\t～",
		out:  "6\tＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\t～",
	}, { // 1874
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "6\nＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\n~",
		out:  "6\nＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\n~",
	}, { // 1875
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "6\nＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\n～",
		out:  "6\nＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\n～",
	}, { // 1876
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "6\vＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\v~",
		out:  "6\vＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\v~",
	}, { // 1877
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "6\vＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\v～",
		out:  "6\vＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\v～",
	}, { // 1878
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "6\rＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\r~",
		out:  "6\rＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\r~",
	}, { // 1879
		mask: EncodeSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "6\rＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\r～",
		out:  "6\rＧ[v\r\x0f\x0fｆｐ␞＄μ$Ｍ\tlτ␄4␋χν＞κｙ\x1dM\r～",
	}, { // 1880
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\tｒ",
		out:  "～\t\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\tｒ",
	}, { // 1881
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\tｒ",
		out:  "‛～\t\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\tｒ",
	}, { // 1882
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\nｒ",
		out:  "～\n\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\nｒ",
	}, { // 1883
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\nｒ",
		out:  "‛～\n\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\nｒ",
	}, { // 1884
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\vｒ",
		out:  "～\v\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\vｒ",
	}, { // 1885
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\vｒ",
		out:  "‛～\v\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\vｒ",
	}, { // 1886
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\rｒ",
		out:  "～\r\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\rｒ",
	}, { // 1887
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\rｒ",
		out:  "‛～\r\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\rｒ",
	}, { // 1888
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "?\t\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\t~",
		out:  "?\t\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\t~",
	}, { // 1889
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "?\t\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\t～",
		out:  "?\t\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\t～",
	}, { // 1890
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "?\n\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\n~",
		out:  "?\n\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\n~",
	}, { // 1891
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "?\n\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\n～",
		out:  "?\n\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\n～",
	}, { // 1892
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "?\v\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\v~",
		out:  "?\v\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\v~",
	}, { // 1893
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "?\v\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\v～",
		out:  "?\v\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\v～",
	}, { // 1894
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "?\r\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\r~",
		out:  "?\r\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\r~",
	}, { // 1895
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "?\r\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\r～",
		out:  "?\r\x17ｊW␊．ＱZp\x0f\tβ\x11υｙτ*␟\x02Fςλεb␌␒［\r～",
	}, { // 1896
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\t%",
		out:  "～\t＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\t%",
	}, { // 1897
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\t%",
		out:  "‛～\t＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\t%",
	}, { // 1898
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\n%",
		out:  "～\n＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\n%",
	}, { // 1899
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\n%",
		out:  "‛～\n＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\n%",
	}, { // 1900
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\v%",
		out:  "～\v＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\v%",
	}, { // 1901
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\v%",
		out:  "‛～\v＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\v%",
	}, { // 1902
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\r%",
		out:  "～\r＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\r%",
	}, { // 1903
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\r%",
		out:  "‛～\r＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\r%",
	}, { // 1904
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "@\t＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\t~",
		out:  "@\t＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\t~",
	}, { // 1905
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "@\t＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\t～",
		out:  "@\t＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\t～",
	}, { // 1906
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "@\n＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\n~",
		out:  "@\n＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\n~",
	}, { // 1907
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "@\n＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\n～",
		out:  "@\n＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\n～",
	}, { // 1908
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "@\v＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\v~",
		out:  "@\v＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\v~",
	}, { // 1909
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "@\v＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\v～",
		out:  "@\v＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\v～",
	}, { // 1910
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "@\r＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\r~",
		out:  "@\r＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\r~",
	}, { // 1911
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "@\r＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\r～",
		out:  "@\r＃Ｖ␏τ_υ\x18uσζ;\x02␑␕＄＂f\a＾(δ?７３\r＞\r～",
	}, { // 1912
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\tο",
		out:  "～\t␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\tο",
	}, { // 1913
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\tο",
		out:  "‛～\t␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\tο",
	}, { // 1914
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\nο",
		out:  "～\n␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\nο",
	}, { // 1915
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\nο",
		out:  "‛～\n␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\nο",
	}, { // 1916
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\vο",
		out:  "～\v␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\vο",
	}, { // 1917
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\vο",
		out:  "‛～\v␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\vο",
	}, { // 1918
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\rο",
		out:  "～\r␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\rο",
	}, { // 1919
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\rο",
		out:  "‛～\r␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\rο",
	}, { // 1920
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x16\t␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\t~",
		out:  "\x16\t␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\t~",
	}, { // 1921
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x16\t␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\t～",
		out:  "\x16\t␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\t～",
	}, { // 1922
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x16\n␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\n~",
		out:  "\x16\n␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\n~",
	}, { // 1923
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x16\n␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\n～",
		out:  "\x16\n␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\n～",
	}, { // 1924
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x16\v␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\v~",
		out:  "\x16\v␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\v~",
	}, { // 1925
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x16\v␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\v～",
		out:  "\x16\v␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\v～",
	}, { // 1926
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x16\r␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\r~",
		out:  "\x16\r␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\r~",
	}, { // 1927
		mask: EncodeLtGt | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x16\r␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7\x00\x10+\x12\r～",
		out:  "\x16\r␗␙＊ξＶ\vυ$␂ｔＧθξζY＇＼␊'\x1dｏ7␀\x10+\x12\r～",
	}, { // 1928
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\t,",
		out:  "～\t\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\t,",
	}, { // 1929
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\t,",
		out:  "‛～\t\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\t,",
	}, { // 1930
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\n,",
		out:  "～\n\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\n,",
	}, { // 1931
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\n,",
		out:  "‛～\n\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\n,",
	}, { // 1932
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\v,",
		out:  "～\v\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\v,",
	}, { // 1933
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\v,",
		out:  "‛～\v\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\v,",
	}, { // 1934
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\r,",
		out:  "～\r\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\r,",
	}, { // 1935
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\r,",
		out:  "‛～\r\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\r,",
	}, { // 1936
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x0e\t\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\t~",
		out:  "\x0e\t\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\t~",
	}, { // 1937
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x0e\t\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\t～",
		out:  "\x0e\t\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\t～",
	}, { // 1938
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x0e\n\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\n~",
		out:  "\x0e\n\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\n~",
	}, { // 1939
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x0e\n\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\n～",
		out:  "\x0e\n\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\n～",
	}, { // 1940
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x0e\v\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\v~",
		out:  "\x0e\v\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\v~",
	}, { // 1941
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x0e\v\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\v～",
		out:  "\x0e\v\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\v～",
	}, { // 1942
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x0e\r\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\r~",
		out:  "\x0e\r\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\r~",
	}, { // 1943
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "\x0e\r\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\r～",
		out:  "\x0e\r\f9Ｐ␄\\␖εθ＋␖．ｆ7ρ␃/δ␖ｓ5π\v␖|HＲ\r～",
	}, { // 1944
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\t␏",
		out:  "～\t␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\t␏",
	}, { // 1945
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\t␏",
		out:  "‛～\t␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\t␏",
	}, { // 1946
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\n␏",
		out:  "～\n␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\n␏",
	}, { // 1947
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\n␏",
		out:  "‛～\n␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\n␏",
	}, { // 1948
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\v␏",
		out:  "～\v␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\v␏",
	}, { // 1949
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\v␏",
		out:  "‛～\v␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\v␏",
	}, { // 1950
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\r␏",
		out:  "～\r␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\r␏",
	}, { // 1951
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\r␏",
		out:  "‛～\r␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\r␏",
	}, { // 1952
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "!\t␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\t~",
		out:  "!\t␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\t~",
	}, { // 1953
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "!\t␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\t～",
		out:  "!\t␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\t～",
	}, { // 1954
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "!\n␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\n~",
		out:  "!\n␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\n~",
	}, { // 1955
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "!\n␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\n～",
		out:  "!\n␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\n～",
	}, { // 1956
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "!\v␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\v~",
		out:  "!\v␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\v~",
	}, { // 1957
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "!\v␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\v～",
		out:  "!\v␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\v～",
	}, { // 1958
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "!\r␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\r~",
		out:  "!\r␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\r~",
	}, { // 1959
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "!\r␑\x17α␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ；ς-λ\r～",
		out:  "!\r␑\x17α‛␀Ｄ ｕςα\x03X␖＂ｘ*\x13\x01\a4N９γ‛；ς-λ\r～",
	}, { // 1960
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\tγ",
		out:  "～\t－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\tγ",
	}, { // 1961
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\tγ",
		out:  "‛～\t－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\tγ",
	}, { // 1962
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\nγ",
		out:  "～\n－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\nγ",
	}, { // 1963
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\nγ",
		out:  "‛～\n－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\nγ",
	}, { // 1964
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\vγ",
		out:  "～\v－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\vγ",
	}, { // 1965
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\vγ",
		out:  "‛～\v－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\vγ",
	}, { // 1966
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\rγ",
		out:  "～\r－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\rγ",
	}, { // 1967
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\rγ",
		out:  "‛～\r－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\rγ",
	}, { // 1968
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "n\t－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\t~",
		out:  "n\t－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\t~",
	}, { // 1969
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "n\t－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\t～",
		out:  "n\t－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\t～",
	}, { // 1970
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "n\n－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\n~",
		out:  "n\n－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\n~",
	}, { // 1971
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "n\n－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\n～",
		out:  "n\n－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\n～",
	}, { // 1972
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "n\v－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\v~",
		out:  "n\v－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\v~",
	}, { // 1973
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "n\v－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\v～",
		out:  "n\v－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\v～",
	}, { // 1974
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "n\r－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\r~",
		out:  "n\r－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\r~",
	}, { // 1975
		mask: EncodeDollar | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "n\r－H\x05$␚␝ν４␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\r～",
		out:  "n\r－H\x05＄␚␝ν４‛␀ς]ηwX>ｂγrｊ␓<␈τｑ\x17Ｓ\r～",
	}, { // 1976
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\t,",
		out:  "～\t］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\t,",
	}, { // 1977
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\t,",
		out:  "‛～\t］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\t,",
	}, { // 1978
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\n,",
		out:  "～\n］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\n,",
	}, { // 1979
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\n,",
		out:  "‛～\n］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\n,",
	}, { // 1980
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\v,",
		out:  "～\v］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\v,",
	}, { // 1981
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\v,",
		out:  "‛～\v］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\v,",
	}, { // 1982
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\r,",
		out:  "～\r］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\r,",
	}, { // 1983
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\r,",
		out:  "‛～\r］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\r,",
	}, { // 1984
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\t］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\t~",
		out:  "`\t］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\t~",
	}, { // 1985
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\t］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\t～",
		out:  "`\t］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\t～",
	}, { // 1986
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\n］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\n~",
		out:  "`\n］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\n~",
	}, { // 1987
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\n］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\n～",
		out:  "`\n］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\n～",
	}, { // 1988
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\v］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\v~",
		out:  "`\v］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\v~",
	}, { // 1989
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\v］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\v～",
		out:  "`\v］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\v～",
	}, { // 1990
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\r］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\r~",
		out:  "`\r］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\r~",
	}, { // 1991
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "`\r］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\r～",
		out:  "`\r］ｅμβ␙ρρ\x13］PＴ＇\x141\x17；ς[,ｔ␔λ／；\f#\r～",
	}, { // 1992
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\tψ",
		out:  "～\tη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\tψ",
	}, { // 1993
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\tψ",
		out:  "‛～\tη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\tψ",
	}, { // 1994
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\nψ",
		out:  "～\nη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\nψ",
	}, { // 1995
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\nψ",
		out:  "‛～\nη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\nψ",
	}, { // 1996
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\vψ",
		out:  "～\vη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\vψ",
	}, { // 1997
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\vψ",
		out:  "‛～\vη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\vψ",
	}, { // 1998
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\rψ",
		out:  "～\rη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\rψ",
	}, { // 1999
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\rψ",
		out:  "‛～\rη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\rψ",
	}, { // 2000
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\tη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\t~",
		out:  "ζ\tη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\t~",
	}, { // 2001
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\tη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\t～",
		out:  "ζ\tη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\t～",
	}, { // 2002
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\nη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\n~",
		out:  "ζ\nη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\n~",
	}, { // 2003
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\nη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\n～",
		out:  "ζ\nη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\n～",
	}, { // 2004
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\vη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\v~",
		out:  "ζ\vη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\v~",
	}, { // 2005
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\vη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\v～",
		out:  "ζ\vη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\v～",
	}, { // 2006
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\rη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\r~",
		out:  "ζ\rη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\r~",
	}, { // 2007
		mask: EncodeColon | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "ζ\rη\x0eｊ６\x1aX␁␃#@τ␁\x00α?ｊ＋␡3ε～v␋*1ｇ\r～",
		out:  "ζ\rη\x0eｊ６\x1aX␁␃#@τ␁␀α?ｊ＋␡3ε～v␋*1ｇ\r～",
	}, { // 2008
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\tＩ",
		out:  "～\t$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\tＩ",
	}, { // 2009
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\tＩ",
		out:  "‛～\t$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\tＩ",
	}, { // 2010
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\nＩ",
		out:  "～\n$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\nＩ",
	}, { // 2011
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\nＩ",
		out:  "‛～\n$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\nＩ",
	}, { // 2012
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\vＩ",
		out:  "～\v$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\vＩ",
	}, { // 2013
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\vＩ",
		out:  "‛～\v$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\vＩ",
	}, { // 2014
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\rＩ",
		out:  "～\r$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\rＩ",
	}, { // 2015
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\rＩ",
		out:  "‛～\r$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\rＩ",
	}, { // 2016
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␊\t$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\t~",
		out:  "‛␊\t$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\t~",
	}, { // 2017
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␊\t$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\t～",
		out:  "‛␊\t$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\t～",
	}, { // 2018
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␊\n$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\n~",
		out:  "‛␊\n$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\n~",
	}, { // 2019
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␊\n$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\n～",
		out:  "‛␊\n$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\n～",
	}, { // 2020
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␊\v$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\v~",
		out:  "‛␊\v$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\v~",
	}, { // 2021
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␊\v$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\v～",
		out:  "‛␊\v$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\v～",
	}, { // 2022
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␊\r$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\r~",
		out:  "‛␊\r$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\r~",
	}, { // 2023
		mask: EncodeQuestion | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␊\r$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\r～",
		out:  "‛␊\r$λ\\ζｄ/／\x04␄␂X␄\x1fJμＶ（ς\x0f｜Z9ζ\x19ςE\r～",
	}, { // 2024
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\t＊",
		out:  "～\tｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\t‛＊",
	}, { // 2025
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\t＊",
		out:  "‛～\tｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\t‛＊",
	}, { // 2026
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\n＊",
		out:  "～\nｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\n‛＊",
	}, { // 2027
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\n＊",
		out:  "‛～\nｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\n‛＊",
	}, { // 2028
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\v＊",
		out:  "～\vｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\v‛＊",
	}, { // 2029
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\v＊",
		out:  "‛～\vｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\v‛＊",
	}, { // 2030
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\r＊",
		out:  "～\rｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\r‛＊",
	}, { // 2031
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\r＊",
		out:  "‛～\rｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\r‛＊",
	}, { // 2032
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "｝\tｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\t~",
		out:  "｝\tｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\t~",
	}, { // 2033
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "｝\tｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\t～",
		out:  "｝\tｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\t～",
	}, { // 2034
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "｝\nｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\n~",
		out:  "｝\nｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\n~",
	}, { // 2035
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "｝\nｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\n～",
		out:  "｝\nｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\n～",
	}, { // 2036
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "｝\vｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\v~",
		out:  "｝\vｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\v~",
	}, { // 2037
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "｝\vｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\v～",
		out:  "｝\vｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\v～",
	}, { // 2038
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "｝\rｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\r~",
		out:  "｝\rｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\r~",
	}, { // 2039
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "｝\rｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\r～",
		out:  "｝\rｇπ－w␅η；&\rｖ␒\x06\b]ｚ8βδ␄\tWθJ#＞ς\r～",
	}, { // 2040
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\tσ",
		out:  "～\tｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\tσ",
	}, { // 2041
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\tσ",
		out:  "‛～\tｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\tσ",
	}, { // 2042
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\nσ",
		out:  "～\nｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\nσ",
	}, { // 2043
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\nσ",
		out:  "‛～\nｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\nσ",
	}, { // 2044
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\vσ",
		out:  "～\vｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\vσ",
	}, { // 2045
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\vσ",
		out:  "‛～\vｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\vσ",
	}, { // 2046
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\rσ",
		out:  "～\rｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\rσ",
	}, { // 2047
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\rσ",
		out:  "‛～\rｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\rσ",
	}, { // 2048
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｆ\tｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\t~",
		out:  "Ｆ\tｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\t~",
	}, { // 2049
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｆ\tｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\t～",
		out:  "Ｆ\tｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\t～",
	}, { // 2050
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｆ\nｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\n~",
		out:  "Ｆ\nｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\n~",
	}, { // 2051
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｆ\nｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\n～",
		out:  "Ｆ\nｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\n～",
	}, { // 2052
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｆ\vｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\v~",
		out:  "Ｆ\vｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\v~",
	}, { // 2053
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｆ\vｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\v～",
		out:  "Ｆ\vｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\v～",
	}, { // 2054
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｆ\rｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\r~",
		out:  "Ｆ\rｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\r~",
	}, { // 2055
		mask: EncodePipe | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "Ｆ\rｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\r～",
		out:  "Ｆ\rｄε␋W␖\n␖\x1d／θ＃\x11/`ｎX5␏ρτ\x12Ｌ'０ｆ\x0f\r～",
	}, { // 2056
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\t%",
		out:  "～\tＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\t%",
	}, { // 2057
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\t%",
		out:  "‛～\tＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\t%",
	}, { // 2058
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\n%",
		out:  "～\nＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\n%",
	}, { // 2059
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\n%",
		out:  "‛～\nＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\n%",
	}, { // 2060
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\v%",
		out:  "～\vＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\v%",
	}, { // 2061
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\v%",
		out:  "‛～\vＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\v%",
	}, { // 2062
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\r%",
		out:  "～\rＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\r%",
	}, { // 2063
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\r%",
		out:  "‛～\rＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\r%",
	}, { // 2064
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＂\tＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\t~",
		out:  "＂\tＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\t~",
	}, { // 2065
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＂\tＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\t～",
		out:  "＂\tＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\t～",
	}, { // 2066
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＂\nＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\n~",
		out:  "＂\nＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\n~",
	}, { // 2067
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＂\nＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\n～",
		out:  "＂\nＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\n～",
	}, { // 2068
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＂\vＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\v~",
		out:  "＂\vＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\v~",
	}, { // 2069
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＂\vＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\v～",
		out:  "＂\vＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\v～",
	}, { // 2070
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＂\rＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\r~",
		out:  "＂\rＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\r~",
	}, { // 2071
		mask: EncodeHash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "＂\rＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\r～",
		out:  "＂\rＶ6;\x118\x10␜XＧφ\x12Ｗ␁νW␜Ｕνσｒνｑ\x0f␎\x1cw\r～",
	}, { // 2072
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\ts；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\tK",
		out:  "～\ts；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\tK",
	}, { // 2073
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\ts；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\tK",
		out:  "‛～\ts；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\tK",
	}, { // 2074
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\ns；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\nK",
		out:  "～\ns；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\nK",
	}, { // 2075
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\ns；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\nK",
		out:  "‛～\ns；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\nK",
	}, { // 2076
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vs；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\vK",
		out:  "～\vs；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\vK",
	}, { // 2077
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vs；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\vK",
		out:  "‛～\vs；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\vK",
	}, { // 2078
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rs；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\rK",
		out:  "～\rs；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\rK",
	}, { // 2079
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rs；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\rK",
		out:  "‛～\rs；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\rK",
	}, { // 2080
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "υ\ts；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\t~",
		out:  "υ\ts；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\t~",
	}, { // 2081
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "υ\ts；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\t～",
		out:  "υ\ts；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\t～",
	}, { // 2082
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "υ\ns；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\n~",
		out:  "υ\ns；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\n~",
	}, { // 2083
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "υ\ns；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\n～",
		out:  "υ\ns；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\n～",
	}, { // 2084
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "υ\vs；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\v~",
		out:  "υ\vs；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\v~",
	}, { // 2085
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "υ\vs；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\v～",
		out:  "υ\vs；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\v～",
	}, { // 2086
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "υ\rs；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\r~",
		out:  "υ\rs；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\r~",
	}, { // 2087
		mask: EncodePercent | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "υ\rs；［ｄ:｝？χρ\x00P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\r～",
		out:  "υ\rs；［ｄ:｝？χρ␀P]A␊αα␍7\x06Ｅ|␒ａ␄\rε\r～",
	}, { // 2088
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\t＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\tL",
		out:  "～\t＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\tL",
	}, { // 2089
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\t＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\tL",
		out:  "‛～\t＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\tL",
	}, { // 2090
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\n＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\nL",
		out:  "～\n＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\nL",
	}, { // 2091
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\n＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\nL",
		out:  "‛～\n＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\nL",
	}, { // 2092
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\v＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\vL",
		out:  "～\v＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\vL",
	}, { // 2093
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\v＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\vL",
		out:  "‛～\v＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\vL",
	}, { // 2094
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\r＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\rL",
		out:  "～\r＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\rL",
	}, { // 2095
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\r＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\rL",
		out:  "‛～\r＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\rL",
	}, { // 2096
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␕\t＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\t~",
		out:  "␕\t＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\t~",
	}, { // 2097
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␕\t＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\t～",
		out:  "␕\t＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\t～",
	}, { // 2098
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␕\n＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\n~",
		out:  "␕\n＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\n~",
	}, { // 2099
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␕\n＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\n～",
		out:  "␕\n＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\n～",
	}, { // 2100
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␕\v＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\v~",
		out:  "␕\v＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\v~",
	}, { // 2101
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␕\v＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\v～",
		out:  "␕\v＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\v～",
	}, { // 2102
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␕\r＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\r~",
		out:  "␕\r＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\r~",
	}, { // 2103
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "␕\r＄\x14␡?+Ｙμ<［\x03ｍｉ\x00οχσg␇␡\x1cM＞ωvθｃ\r～",
		out:  "␕\r＄\x14␡?+Ｙμ<［\x03ｍｉ␀οχσg␇␡\x1cM＞ωvθｃ\r～",
	}, { // 2104
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\tPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\t␡",
		out:  "～\tPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\t‛␡",
	}, { // 2105
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\tPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\t␡",
		out:  "‛～\tPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\t‛␡",
	}, { // 2106
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\nPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\n␡",
		out:  "～\nPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\n‛␡",
	}, { // 2107
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\nPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\n␡",
		out:  "‛～\nPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\n‛␡",
	}, { // 2108
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\vPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\v␡",
		out:  "～\vPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\v‛␡",
	}, { // 2109
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\vPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\v␡",
		out:  "‛～\vPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\v‛␡",
	}, { // 2110
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "~\rPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\r␡",
		out:  "～\rPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\r‛␡",
	}, { // 2111
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "～\rPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\r␡",
		out:  "‛～\rPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\r‛␡",
	}, { // 2112
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "φ\tPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\t~",
		out:  "φ\tPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\t~",
	}, { // 2113
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "φ\tPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\t～",
		out:  "φ\tPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\t～",
	}, { // 2114
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "φ\nPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\n~",
		out:  "φ\nPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\n~",
	}, { // 2115
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "φ\nPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\n～",
		out:  "φ\nPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\n～",
	}, { // 2116
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "φ\vPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\v~",
		out:  "φ\vPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\v~",
	}, { // 2117
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "φ\vPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\v～",
		out:  "φ\vPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\v～",
	}, { // 2118
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "φ\rPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\r~",
		out:  "φ\rPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\r~",
	}, { // 2119
		mask: EncodeDel | EncodeLeftTilde | EncodeLeftCrLfHtVt,
		in:   "φ\rPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\r～",
		out:  "φ\rPGＳｕ<'，β␈ω\x02｜␊／＋:φＧ\x19：\rι9＼φ\n\r～",
	}, { // 2120
		mask: EncodeZero | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ *\bｗ␈Ｏ\x00␂Ｚβ［η\r\x10ｐ_ςςτ␉$␡6rξ<x \x1f",
		out:  "～ *\bｗ␈Ｏ␀␂Ｚβ［η\r\x10ｐ_ςςτ␉$␡6rξ<x \x1f",
	}, { // 2121
		mask: EncodeZero | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ *\bｗ␈Ｏ\x00␂Ｚβ［η\r\x10ｐ_ςςτ␉$␡6rξ<x \x1f",
		out:  "‛～ *\bｗ␈Ｏ␀␂Ｚβ［η\r\x10ｐ_ςςτ␉$␡6rξ<x \x1f",
	}, { // 2122
		mask: EncodeZero | EncodeLeftTilde | EncodeRightSpace,
		in:   "␃ *\bｗ␈Ｏ\x00␂Ｚβ［η\r\x10ｐ_ςςτ␉$␡6rξ<x ~",
		out:  "␃ *\bｗ␈Ｏ␀␂Ｚβ［η\r\x10ｐ_ςςτ␉$␡6rξ<x ~",
	}, { // 2123
		mask: EncodeZero | EncodeLeftTilde | EncodeRightSpace,
		in:   "␃ *\bｗ␈Ｏ\x00␂Ｚβ［η\r\x10ｐ_ςςτ␉$␡6rξ<x ～",
		out:  "␃ *\bｗ␈Ｏ␀␂Ｚβ［η\r\x10ｐ_ςςτ␉$␡6rξ<x ～",
	}, { // 2124
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ \x03,␡\x04␆;\x19：＞８θｂυ?␊ζ／γaθ7γｆ␚r\\ ５",
		out:  "～ \x03,␡\x04␆;\x19：＞８θｂυ?␊ζ‛／γaθ7γｆ␚r\\ ５",
	}, { // 2125
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ \x03,␡\x04␆;\x19：＞８θｂυ?␊ζ／γaθ7γｆ␚r\\ ５",
		out:  "‛～ \x03,␡\x04␆;\x19：＞８θｂυ?␊ζ‛／γaθ7γｆ␚r\\ ５",
	}, { // 2126
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "Ｒ \x03,␡\x04␆;\x19：＞８θｂυ?␊ζ／γaθ7γｆ␚r\\ ~",
		out:  "Ｒ \x03,␡\x04␆;\x19：＞８θｂυ?␊ζ‛／γaθ7γｆ␚r\\ ~",
	}, { // 2127
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "Ｒ \x03,␡\x04␆;\x19：＞８θｂυ?␊ζ／γaθ7γｆ␚r\\ ～",
		out:  "Ｒ \x03,␡\x04␆;\x19：＞８θｂυ?␊ζ‛／γaθ7γｆ␚r\\ ～",
	}, { // 2128
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ηrｖγ－Ｙ\x11␃＃ς\x0e／S␟o␕'μ\\␜>\v␂！<\" ␔",
		out:  "～ ηrｖγ－Ｙ\x11␃＃ς\x0e／S␟o␕＇μ\\␜>\v␂！<\" ␔",
	}, { // 2129
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ηrｖγ－Ｙ\x11␃＃ς\x0e／S␟o␕'μ\\␜>\v␂！<\" ␔",
		out:  "‛～ ηrｖγ－Ｙ\x11␃＃ς\x0e／S␟o␕＇μ\\␜>\v␂！<\" ␔",
	}, { // 2130
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "τ ηrｖγ－Ｙ\x11␃＃ς\x0e／S␟o␕'μ\\␜>\v␂！<\" ~",
		out:  "τ ηrｖγ－Ｙ\x11␃＃ς\x0e／S␟o␕＇μ\\␜>\v␂！<\" ~",
	}, { // 2131
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "τ ηrｖγ－Ｙ\x11␃＃ς\x0e／S␟o␕'μ\\␜>\v␂！<\" ～",
		out:  "τ ηrｖγ－Ｙ\x11␃＃ς\x0e／S␟o␕＇μ\\␜>\v␂！<\" ～",
	}, { // 2132
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ d␍＜\x05Q\x1eςχ５\x14\x14Xε␖［!(\x01φρη９ｚ：␚ｏ ␞",
		out:  "～ d␍＜\x05Q\x1eςχ５\x14\x14Xε␖［!(\x01φρη９ｚ：␚ｏ ␞",
	}, { // 2133
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ d␍＜\x05Q\x1eςχ５\x14\x14Xε␖［!(\x01φρη９ｚ：␚ｏ ␞",
		out:  "‛～ d␍＜\x05Q\x1eςχ５\x14\x14Xε␖［!(\x01φρη９ｚ：␚ｏ ␞",
	}, { // 2134
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "J d␍＜\x05Q\x1eςχ５\x14\x14Xε␖［!(\x01φρη９ｚ：␚ｏ ~",
		out:  "J d␍＜\x05Q\x1eςχ５\x14\x14Xε␖［!(\x01φρη９ｚ：␚ｏ ~",
	}, { // 2135
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "J d␍＜\x05Q\x1eςχ５\x14\x14Xε␖［!(\x01φρη９ｚ：␚ｏ ～",
		out:  "J d␍＜\x05Q\x1eςχ５\x14\x14Xε␖［!(\x01φρη９ｚ：␚ｏ ～",
	}, { // 2136
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ n｛~q␁；\x00\x02Ｘｏ\x06ξ＂\x15:η␕｀U：νφu\x00Ｋq α",
		out:  "～ n｛~q␁；␀\x02Ｘｏ\x06ξ＂\x15:η␕｀U：νφu␀Ｋq α",
	}, { // 2137
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ n｛~q␁；\x00\x02Ｘｏ\x06ξ＂\x15:η␕｀U：νφu\x00Ｋq α",
		out:  "‛～ n｛~q␁；␀\x02Ｘｏ\x06ξ＂\x15:η␕｀U：νφu␀Ｋq α",
	}, { // 2138
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightSpace,
		in:   "？ n｛~q␁；\x00\x02Ｘｏ\x06ξ＂\x15:η␕｀U：νφu\x00Ｋq ~",
		out:  "？ n｛~q␁；␀\x02Ｘｏ\x06ξ＂\x15:η␕｀U：νφu␀Ｋq ~",
	}, { // 2139
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightSpace,
		in:   "？ n｛~q␁；\x00\x02Ｘｏ\x06ξ＂\x15:η␕｀U：νφu\x00Ｋq ～",
		out:  "？ n｛~q␁；␀\x02Ｘｏ\x06ξ＂\x15:η␕｀U：νφu␀Ｋq ～",
	}, { // 2140
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ｜H，\"\rＷξνＡ\x04S／ｋ␓＂W␌αRιP=θ$]ｚ \t",
		out:  "～ ｜H，\"\rＷξνＡ\x04S／ｋ␓＂W␌αRιP=θ$］ｚ \t",
	}, { // 2141
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ｜H，\"\rＷξνＡ\x04S／ｋ␓＂W␌αRιP=θ$]ｚ \t",
		out:  "‛～ ｜H，\"\rＷξνＡ\x04S／ｋ␓＂W␌αRιP=θ$］ｚ \t",
	}, { // 2142
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightSpace,
		in:   "␁ ｜H，\"\rＷξνＡ\x04S／ｋ␓＂W␌αRιP=θ$]ｚ ~",
		out:  "␁ ｜H，\"\rＷξνＡ\x04S／ｋ␓＂W␌αRιP=θ$］ｚ ~",
	}, { // 2143
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightSpace,
		in:   "␁ ｜H，\"\rＷξνＡ\x04S／ｋ␓＂W␌αRιP=θ$]ｚ ～",
		out:  "␁ ｜H，\"\rＷξνＡ\x04S／ｋ␓＂W␌αRιP=θ$］ｚ ～",
	}, { // 2144
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ \n\x06ς␇α］ψγ␑yδ\x03␎\fｇ␞σhj＂ｕＤ|（\x01＝ &",
		out:  "～ \n\x06ς␇α］ψγ␑yδ\x03␎\fｇ␞σhj＂ｕＤ|（\x01＝ &",
	}, { // 2145
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ \n\x06ς␇α］ψγ␑yδ\x03␎\fｇ␞σhj＂ｕＤ|（\x01＝ &",
		out:  "‛～ \n\x06ς␇α］ψγ␑yδ\x03␎\fｇ␞σhj＂ｕＤ|（\x01＝ &",
	}, { // 2146
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightSpace,
		in:   "％ \n\x06ς␇α］ψγ␑yδ\x03␎\fｇ␞σhj＂ｕＤ|（\x01＝ ~",
		out:  "％ \n\x06ς␇α］ψγ␑yδ\x03␎\fｇ␞σhj＂ｕＤ|（\x01＝ ~",
	}, { // 2147
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightSpace,
		in:   "％ \n\x06ς␇α］ψγ␑yδ\x03␎\fｇ␞σhj＂ｕＤ|（\x01＝ ～",
		out:  "％ \n\x06ς␇α］ψγ␑yδ\x03␎\fｇ␞σhj＂ｕＤ|（\x01＝ ～",
	}, { // 2148
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ εb␍\x1aｃh;\x12\r＊Y␘\x11ｍ｀］γfｅｇ｜ψζ９\tＺ )",
		out:  "～ εb␍\x1aｃh;\x12\r＊Y␘\x11ｍ｀］γfｅｇ｜ψζ９\tＺ )",
	}, { // 2149
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ εb␍\x1aｃh;\x12\r＊Y␘\x11ｍ｀］γfｅｇ｜ψζ９\tＺ )",
		out:  "‛～ εb␍\x1aｃh;\x12\r＊Y␘\x11ｍ｀］γfｅｇ｜ψζ９\tＺ )",
	}, { // 2150
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x1b εb␍\x1aｃh;\x12\r＊Y␘\x11ｍ｀］γfｅｇ｜ψζ９\tＺ ~",
		out:  "\x1b εb␍\x1aｃh;\x12\r＊Y␘\x11ｍ｀］γfｅｇ｜ψζ９\tＺ ~",
	}, { // 2151
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightSpace,
		in:   "\x1b εb␍\x1aｃh;\x12\r＊Y␘\x11ｍ｀］γfｅｇ｜ψζ９\tＺ ～",
		out:  "\x1b εb␍\x1aｃh;\x12\r＊Y␘\x11ｍ｀］γfｅｇ｜ψζ９\tＺ ～",
	}, { // 2152
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ９ωκｚｌ␒q␆`ξ␔μ\x01ζu｀β␂ｅ%@｀r\t／\x1d \x1a",
		out:  "～ ９ωκｚｌ␒q␆`ξ␔μ\x01ζu｀β␂ｅ%@｀r\t／\x1d \x1a",
	}, { // 2153
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ９ωκｚｌ␒q␆`ξ␔μ\x01ζu｀β␂ｅ%@｀r\t／\x1d \x1a",
		out:  "‛～ ９ωκｚｌ␒q␆`ξ␔μ\x01ζu｀β␂ｅ%@｀r\t／\x1d \x1a",
	}, { // 2154
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "␍ ９ωκｚｌ␒q␆`ξ␔μ\x01ζu｀β␂ｅ%@｀r\t／\x1d ~",
		out:  "␍ ９ωκｚｌ␒q␆`ξ␔μ\x01ζu｀β␂ｅ%@｀r\t／\x1d ~",
	}, { // 2155
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightSpace,
		in:   "␍ ９ωκｚｌ␒q␆`ξ␔μ\x01ζu｀β␂ｅ%@｀r\t／\x1d ～",
		out:  "␍ ９ωκｚｌ␒q␆`ξ␔μ\x01ζu｀β␂ｅ%@｀r\t／\x1d ～",
	}, { // 2156
		mask: EncodeColon | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ γｐ`/␊ＧIξP*\x0fHC＼δθ：␑\x04CＯρ\x1cnｂｚ ␀",
		out:  "～ γｐ`/␊ＧIξP*\x0fHC＼δθ‛：␑\x04CＯρ\x1cnｂｚ ‛␀",
	}, { // 2157
		mask: EncodeColon | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ γｐ`/␊ＧIξP*\x0fHC＼δθ：␑\x04CＯρ\x1cnｂｚ ␀",
		out:  "‛～ γｐ`/␊ＧIξP*\x0fHC＼δθ‛：␑\x04CＯρ\x1cnｂｚ ‛␀",
	}, { // 2158
		mask: EncodeColon | EncodeLeftTilde | EncodeRightSpace,
		in:   "ζ γｐ`/␊ＧIξP*\x0fHC＼δθ：␑\x04CＯρ\x1cnｂｚ ~",
		out:  "ζ γｐ`/␊ＧIξP*\x0fHC＼δθ‛：␑\x04CＯρ\x1cnｂｚ ~",
	}, { // 2159
		mask: EncodeColon | EncodeLeftTilde | EncodeRightSpace,
		in:   "ζ γｐ`/␊ＧIξP*\x0fHC＼δθ：␑\x04CＯρ\x1cnｂｚ ～",
		out:  "ζ γｐ`/␊ＧIξP*\x0fHC＼δθ‛：␑\x04CＯρ\x1cnｂｚ ～",
	}, { // 2160
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ #X␉４z␔␍ρｂ␃σ\x1b\x12%X␀＝？\x00:ςｏθλX␌ ρ",
		out:  "～ #X␉４z␔␍ρｂ␃σ\x1b\x12%X‛␀＝‛？␀:ςｏθλX␌ ρ",
	}, { // 2161
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ #X␉４z␔␍ρｂ␃σ\x1b\x12%X␀＝？\x00:ςｏθλX␌ ρ",
		out:  "‛～ #X␉４z␔␍ρｂ␃σ\x1b\x12%X‛␀＝‛？␀:ςｏθλX␌ ρ",
	}, { // 2162
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightSpace,
		in:   "\" #X␉４z␔␍ρｂ␃σ\x1b\x12%X␀＝？\x00:ςｏθλX␌ ~",
		out:  "\" #X␉４z␔␍ρｂ␃σ\x1b\x12%X‛␀＝‛？␀:ςｏθλX␌ ~",
	}, { // 2163
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightSpace,
		in:   "\" #X␉４z␔␍ρｂ␃σ\x1b\x12%X␀＝？\x00:ςｏθλX␌ ～",
		out:  "\" #X␉４z␔␍ρｂ␃σ\x1b\x12%X‛␀＝‛？␀:ςｏθλX␌ ～",
	}, { // 2164
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ Ｆ\x1du␘φ␕Nｍ\x1a␚ζκ４ξ␐#N1＞μｈ%l:>␛ ３",
		out:  "～ Ｆ\x1du␘φ␕Nｍ\x1a␚ζκ４ξ␐#N1＞μｈ%l:>␛ ３",
	}, { // 2165
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ Ｆ\x1du␘φ␕Nｍ\x1a␚ζκ４ξ␐#N1＞μｈ%l:>␛ ３",
		out:  "‛～ Ｆ\x1du␘φ␕Nｍ\x1a␚ζκ４ξ␐#N1＞μｈ%l:>␛ ３",
	}, { // 2166
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightSpace,
		in:   "Ｄ Ｆ\x1du␘φ␕Nｍ\x1a␚ζκ４ξ␐#N1＞μｈ%l:>␛ ~",
		out:  "Ｄ Ｆ\x1du␘φ␕Nｍ\x1a␚ζκ４ξ␐#N1＞μｈ%l:>␛ ~",
	}, { // 2167
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightSpace,
		in:   "Ｄ Ｆ\x1du␘φ␕Nｍ\x1a␚ζκ４ξ␐#N1＞μｈ%l:>␛ ～",
		out:  "Ｄ Ｆ\x1du␘φ␕Nｍ\x1a␚ζκ４ξ␐#N1＞μｈ%l:>␛ ～",
	}, { // 2168
		mask: EncodePipe | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ω＊␡␐χm>_αz！I＇／＊ｒ＄`\f&␜η\x10｀＂\x1a \x05",
		out:  "～ ω＊␡␐χm>_αz！I＇／＊ｒ＄`\f&␜η\x10｀＂\x1a \x05",
	}, { // 2169
		mask: EncodePipe | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ω＊␡␐χm>_αz！I＇／＊ｒ＄`\f&␜η\x10｀＂\x1a \x05",
		out:  "‛～ ω＊␡␐χm>_αz！I＇／＊ｒ＄`\f&␜η\x10｀＂\x1a \x05",
	}, { // 2170
		mask: EncodePipe | EncodeLeftTilde | EncodeRightSpace,
		in:   "ο ω＊␡␐χm>_αz！I＇／＊ｒ＄`\f&␜η\x10｀＂\x1a ~",
		out:  "ο ω＊␡␐χm>_αz！I＇／＊ｒ＄`\f&␜η\x10｀＂\x1a ~",
	}, { // 2171
		mask: EncodePipe | EncodeLeftTilde | EncodeRightSpace,
		in:   "ο ω＊␡␐χm>_αz！I＇／＊ｒ＄`\f&␜η\x10｀＂\x1a ～",
		out:  "ο ω＊␡␐χm>_αz！I＇／＊ｒ＄`\f&␜η\x10｀＂\x1a ～",
	}, { // 2172
		mask: EncodeHash | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ Ｚ\\9ｙ５␐<)＞ξFς],␊？μ␈ｌχ\t\x1dρ&␜ｄ #",
		out:  "～ Ｚ\\9ｙ５␐<)＞ξFς],␊？μ␈ｌχ\t\x1dρ&␜ｄ ＃",
	}, { // 2173
		mask: EncodeHash | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ Ｚ\\9ｙ５␐<)＞ξFς],␊？μ␈ｌχ\t\x1dρ&␜ｄ #",
		out:  "‛～ Ｚ\\9ｙ５␐<)＞ξFς],␊？μ␈ｌχ\t\x1dρ&␜ｄ ＃",
	}, { // 2174
		mask: EncodeHash | EncodeLeftTilde | EncodeRightSpace,
		in:   "＜ Ｚ\\9ｙ５␐<)＞ξFς],␊？μ␈ｌχ\t\x1dρ&␜ｄ ~",
		out:  "＜ Ｚ\\9ｙ５␐<)＞ξFς],␊？μ␈ｌχ\t\x1dρ&␜ｄ ~",
	}, { // 2175
		mask: EncodeHash | EncodeLeftTilde | EncodeRightSpace,
		in:   "＜ Ｚ\\9ｙ５␐<)＞ξFς],␊？μ␈ｌχ\t\x1dρ&␜ｄ ～",
		out:  "＜ Ｚ\\9ｙ５␐<)＞ξFς],␊？μ␈ｌχ\t\x1dρ&␜ｄ ～",
	}, { // 2176
		mask: EncodePercent | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ Ｓφ+＋/q８)｝␕␈\x13＄␗．Ｕ␙\vθη,[\x0e］ε\x0e υ",
		out:  "～ Ｓφ+＋/q８)｝␕␈\x13＄␗．Ｕ␙\vθη,[\x0e］ε\x0e υ",
	}, { // 2177
		mask: EncodePercent | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ Ｓφ+＋/q８)｝␕␈\x13＄␗．Ｕ␙\vθη,[\x0e］ε\x0e υ",
		out:  "‛～ Ｓφ+＋/q８)｝␕␈\x13＄␗．Ｕ␙\vθη,[\x0e］ε\x0e υ",
	}, { // 2178
		mask: EncodePercent | EncodeLeftTilde | EncodeRightSpace,
		in:   "+ Ｓφ+＋/q８)｝␕␈\x13＄␗．Ｕ␙\vθη,[\x0e］ε\x0e ~",
		out:  "+ Ｓφ+＋/q８)｝␕␈\x13＄␗．Ｕ␙\vθη,[\x0e］ε\x0e ~",
	}, { // 2179
		mask: EncodePercent | EncodeLeftTilde | EncodeRightSpace,
		in:   "+ Ｓφ+＋/q８)｝␕␈\x13＄␗．Ｕ␙\vθη,[\x0e］ε\x0e ～",
		out:  "+ Ｓφ+＋/q８)｝␕␈\x13＄␗．Ｕ␙\vθη,[\x0e］ε\x0e ～",
	}, { // 2180
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ c\x10[＾ｙA：␋\x1f＆&␗\r\"n：␟]λ\x13ν␘κ＿Ａ< ω",
		out:  "～ c\x10[＾ｙA：␋\x1f＆&␗\r\"n：␟]λ\x13ν␘κ＿Ａ< ω",
	}, { // 2181
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ c\x10[＾ｙA：␋\x1f＆&␗\r\"n：␟]λ\x13ν␘κ＿Ａ< ω",
		out:  "‛～ c\x10[＾ｙA：␋\x1f＆&␗\r\"n：␟]λ\x13ν␘κ＿Ａ< ω",
	}, { // 2182
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "λ c\x10[＾ｙA：␋\x1f＆&␗\r\"n：␟]λ\x13ν␘κ＿Ａ< ~",
		out:  "λ c\x10[＾ｙA：␋\x1f＆&␗\r\"n：␟]λ\x13ν␘κ＿Ａ< ~",
	}, { // 2183
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightSpace,
		in:   "λ c\x10[＾ｙA：␋\x1f＆&␗\r\"n：␟]λ\x13ν␘κ＿Ａ< ～",
		out:  "λ c\x10[＾ｙA：␋\x1f＆&␗\r\"n：␟]λ\x13ν␘κ＿Ａ< ～",
	}, { // 2184
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ␍ψ－／ω\uff00Q]αχ\f＇Y\x1b\x10%]γ｀｝␋d｛\nθｌ \x14",
		out:  "～ ‛␍ψ－／ω\uff00Q]αχ\f＇Y\x1b\x10%]γ｀｝␋d｛␊θｌ \x14",
	}, { // 2185
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ␍ψ－／ω\uff00Q]αχ\f＇Y\x1b\x10%]γ｀｝␋d｛\nθｌ \x14",
		out:  "‛～ ‛␍ψ－／ω\uff00Q]αχ\f＇Y\x1b\x10%]γ｀｝␋d｛␊θｌ \x14",
	}, { // 2186
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightSpace,
		in:   "／ ␍ψ－／ω\uff00Q]αχ\f＇Y\x1b\x10%]γ｀｝␋d｛\nθｌ ~",
		out:  "／ ‛␍ψ－／ω\uff00Q]αχ\f＇Y\x1b\x10%]γ｀｝␋d｛␊θｌ ~",
	}, { // 2187
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightSpace,
		in:   "／ ␍ψ－／ω\uff00Q]αχ\f＇Y\x1b\x10%]γ｀｝␋d｛\nθｌ ～",
		out:  "／ ‛␍ψ－／ω\uff00Q]αχ\f＇Y\x1b\x10%]γ｀｝␋d｛␊θｌ ～",
	}, { // 2188
		mask: EncodeDel | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ Ｏπ｜␎η;＊␛＄\x05ιM?C｀Ｙ－σ;#\x03zＷT␕Ｍ \x1d",
		out:  "～ Ｏπ｜␎η;＊␛＄\x05ιM?C｀Ｙ－σ;#\x03zＷT␕Ｍ \x1d",
	}, { // 2189
		mask: EncodeDel | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ Ｏπ｜␎η;＊␛＄\x05ιM?C｀Ｙ－σ;#\x03zＷT␕Ｍ \x1d",
		out:  "‛～ Ｏπ｜␎η;＊␛＄\x05ιM?C｀Ｙ－σ;#\x03zＷT␕Ｍ \x1d",
	}, { // 2190
		mask: EncodeDel | EncodeLeftTilde | EncodeRightSpace,
		in:   "c Ｏπ｜␎η;＊␛＄\x05ιM?C｀Ｙ－σ;#\x03zＷT␕Ｍ ~",
		out:  "c Ｏπ｜␎η;＊␛＄\x05ιM?C｀Ｙ－σ;#\x03zＷT␕Ｍ ~",
	}, { // 2191
		mask: EncodeDel | EncodeLeftTilde | EncodeRightSpace,
		in:   "c Ｏπ｜␎η;＊␛＄\x05ιM?C｀Ｙ－σ;#\x03zＷT␕Ｍ ～",
		out:  "c Ｏπ｜␎η;＊␛＄\x05ιM?C｀Ｙ－σ;#\x03zＷT␕Ｍ ～",
	}, { // 2192
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightSpace,
		in:   "~ ｅυ９\x1dν＊η.ψ\x14＜~\x001 ]ｄξ␊C␅␛␆ς\x02） ;",
		out:  "～ ｅυ９␝ν＊η.ψ␔＜~␀1 ]ｄξ‛␊C‛␅‛␛‛␆ς␂） ;",
	}, { // 2193
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightSpace,
		in:   "～ ｅυ９\x1dν＊η.ψ\x14＜~\x001 ]ｄξ␊C␅␛␆ς\x02） ;",
		out:  "‛～ ｅυ９␝ν＊η.ψ␔＜~␀1 ]ｄξ‛␊C‛␅‛␛‛␆ς␂） ;",
	}, { // 2194
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightSpace,
		in:   "\\ ｅυ９\x1dν＊η.ψ\x14＜~\x001 ]ｄξ␊C␅␛␆ς\x02） ~",
		out:  "\\ ｅυ９␝ν＊η.ψ␔＜~␀1 ]ｄξ‛␊C‛␅‛␛‛␆ς␂） ~",
	}, { // 2195
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightSpace,
		in:   "\\ ｅυ９\x1dν＊η.ψ\x14＜~\x001 ]ｄξ␊C␅␛␆ς\x02） ～",
		out:  "\\ ｅυ９␝ν＊η.ψ␔＜~␀1 ]ｄξ‛␊C‛␅‛␛‛␆ς␂） ～",
	}, { // 2196
		mask: EncodeZero | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x1f]ｓυ＿*␑ρ3ω）]ω］␍<θＫ␊␇η`Ｇ`Ｅh.｀",
		out:  "～.\x1f]ｓυ＿*␑ρ3ω）]ω］␍<θＫ␊␇η`Ｇ`Ｅh.｀",
	}, { // 2197
		mask: EncodeZero | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x1f]ｓυ＿*␑ρ3ω）]ω］␍<θＫ␊␇η`Ｇ`Ｅh.｀",
		out:  "‛～.\x1f]ｓυ＿*␑ρ3ω）]ω］␍<θＫ␊␇η`Ｇ`Ｅh.｀",
	}, { // 2198
		mask: EncodeZero | EncodeLeftTilde | EncodeRightPeriod,
		in:   "$.\x1f]ｓυ＿*␑ρ3ω）]ω］␍<θＫ␊␇η`Ｇ`Ｅh.~",
		out:  "$.\x1f]ｓυ＿*␑ρ3ω）]ω］␍<θＫ␊␇η`Ｇ`Ｅh.~",
	}, { // 2199
		mask: EncodeZero | EncodeLeftTilde | EncodeRightPeriod,
		in:   "$.\x1f]ｓυ＿*␑ρ3ω）]ω］␍<θＫ␊␇η`Ｇ`Ｅh.～",
		out:  "$.\x1f]ｓυ＿*␑ρ3ω）]ω］␍<θＫ␊␇η`Ｇ`Ｅh.～",
	}, { // 2200
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.E３␃ｐｕφ␍8;*ο\"４W\x00χ*␒␓␡ｆ2\x12φ␛\x1d.ｎ",
		out:  "～.E３␃ｐｕφ␍8;*ο\"４W␀χ*␒␓␡ｆ2\x12φ␛\x1d.ｎ",
	}, { // 2201
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.E３␃ｐｕφ␍8;*ο\"４W\x00χ*␒␓␡ｆ2\x12φ␛\x1d.ｎ",
		out:  "‛～.E３␃ｐｕφ␍8;*ο\"４W␀χ*␒␓␡ｆ2\x12φ␛\x1d.ｎ",
	}, { // 2202
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "2.E３␃ｐｕφ␍8;*ο\"４W\x00χ*␒␓␡ｆ2\x12φ␛\x1d.~",
		out:  "2.E３␃ｐｕφ␍8;*ο\"４W␀χ*␒␓␡ｆ2\x12φ␛\x1d.~",
	}, { // 2203
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "2.E３␃ｐｕφ␍8;*ο\"４W\x00χ*␒␓␡ｆ2\x12φ␛\x1d.～",
		out:  "2.E３␃ｐｕφ␍8;*ο\"４W␀χ*␒␓␡ｆ2\x12φ␛\x1d.～",
	}, { // 2204
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x1aςεＳ\x1e8θ;＃>␑９z＞/ς／υ\rO＋１ｕＵ_\x0f.＞",
		out:  "～.\x1aςεＳ\x1e8θ;＃>␑９z＞/ς／υ\rO＋１ｕＵ_\x0f.＞",
	}, { // 2205
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x1aςεＳ\x1e8θ;＃>␑９z＞/ς／υ\rO＋１ｕＵ_\x0f.＞",
		out:  "‛～.\x1aςεＳ\x1e8θ;＃>␑９z＞/ς／υ\rO＋１ｕＵ_\x0f.＞",
	}, { // 2206
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "θ.\x1aςεＳ\x1e8θ;＃>␑９z＞/ς／υ\rO＋１ｕＵ_\x0f.~",
		out:  "θ.\x1aςεＳ\x1e8θ;＃>␑９z＞/ς／υ\rO＋１ｕＵ_\x0f.~",
	}, { // 2207
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "θ.\x1aςεＳ\x1e8θ;＃>␑９z＞/ς／υ\rO＋１ｕＵ_\x0f.～",
		out:  "θ.\x1aςεＳ\x1e8θ;＃>␑９z＞/ς／υ\rO＋１ｕＵ_\x0f.～",
	}, { // 2208
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.yｂBκ\x10ｒθκ［Aδ\x1aｏ］Ｅ\x12\r␆［`ＨIW6σγ.９",
		out:  "～.yｂBκ\x10ｒθκ［Aδ\x1aｏ］Ｅ\x12\r␆［｀ＨIW6σγ.９",
	}, { // 2209
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.yｂBκ\x10ｒθκ［Aδ\x1aｏ］Ｅ\x12\r␆［`ＨIW6σγ.９",
		out:  "‛～.yｂBκ\x10ｒθκ［Aδ\x1aｏ］Ｅ\x12\r␆［｀ＨIW6σγ.９",
	}, { // 2210
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␁.yｂBκ\x10ｒθκ［Aδ\x1aｏ］Ｅ\x12\r␆［`ＨIW6σγ.~",
		out:  "␁.yｂBκ\x10ｒθκ［Aδ\x1aｏ］Ｅ\x12\r␆［｀ＨIW6σγ.~",
	}, { // 2211
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␁.yｂBκ\x10ｒθκ［Aδ\x1aｏ］Ｅ\x12\r␆［`ＨIW6σγ.～",
		out:  "␁.yｂBκ\x10ｒθκ［Aδ\x1aｏ］Ｅ\x12\r␆［｀ＨIW6σγ.～",
	}, { // 2212
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x06ε\x18\x10Ｒ␎e｀Ｉν␋［␙τｐ␖＃χ\x15J＞\x06eχρ*.$",
		out:  "～.\x06ε\x18\x10Ｒ␎e｀Ｉν␋［␙τｐ␖＃χ\x15J‛＞\x06eχρ*.$",
	}, { // 2213
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x06ε\x18\x10Ｒ␎e｀Ｉν␋［␙τｐ␖＃χ\x15J＞\x06eχρ*.$",
		out:  "‛～.\x06ε\x18\x10Ｒ␎e｀Ｉν␋［␙τｐ␖＃χ\x15J‛＞\x06eχρ*.$",
	}, { // 2214
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightPeriod,
		in:   "Ｚ.\x06ε\x18\x10Ｒ␎e｀Ｉν␋［␙τｐ␖＃χ\x15J＞\x06eχρ*.~",
		out:  "Ｚ.\x06ε\x18\x10Ｒ␎e｀Ｉν␋［␙τｐ␖＃χ\x15J‛＞\x06eχρ*.~",
	}, { // 2215
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightPeriod,
		in:   "Ｚ.\x06ε\x18\x10Ｒ␎e｀Ｉν␋［␙τｐ␖＃χ\x15J＞\x06eχρ*.～",
		out:  "Ｚ.\x06ε\x18\x10Ｒ␎e｀Ｉν␋［␙τｐ␖＃χ\x15J‛＞\x06eχρ*.～",
	}, { // 2216
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.？ｖg\\γ＼{;πν␜␗／␄λ\x13s0/Ｑνπ\x0e␆Ｖ\x1a.\x05",
		out:  "～.？ｖg\\γ＼{;πν␜␗／␄λ\x13s0/Ｑνπ\x0e␆Ｖ\x1a.\x05",
	}, { // 2217
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.？ｖg\\γ＼{;πν␜␗／␄λ\x13s0/Ｑνπ\x0e␆Ｖ\x1a.\x05",
		out:  "‛～.？ｖg\\γ＼{;πν␜␗／␄λ\x13s0/Ｑνπ\x0e␆Ｖ\x1a.\x05",
	}, { // 2218
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightPeriod,
		in:   "N.？ｖg\\γ＼{;πν␜␗／␄λ\x13s0/Ｑνπ\x0e␆Ｖ\x1a.~",
		out:  "N.？ｖg\\γ＼{;πν␜␗／␄λ\x13s0/Ｑνπ\x0e␆Ｖ\x1a.~",
	}, { // 2219
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightPeriod,
		in:   "N.？ｖg\\γ＼{;πν␜␗／␄λ\x13s0/Ｑνπ\x0e␆Ｖ\x1a.～",
		out:  "N.？ｖg\\γ＼{;πν␜␗／␄λ\x13s0/Ｑνπ\x0e␆Ｖ\x1a.～",
	}, { // 2220
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.<＜λθυ)＊␌`*\uff00｜ｉ␒(␐|N`ωτｏ'\x06\x12ω.\x1a",
		out:  "～.<＜λθυ)＊␌`*\uff00｜ｉ␒(␐|N`ωτｏ'\x06\x12ω.\x1a",
	}, { // 2221
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.<＜λθυ)＊␌`*\uff00｜ｉ␒(␐|N`ωτｏ'\x06\x12ω.\x1a",
		out:  "‛～.<＜λθυ)＊␌`*\uff00｜ｉ␒(␐|N`ωτｏ'\x06\x12ω.\x1a",
	}, { // 2222
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␖.<＜λθυ)＊␌`*\uff00｜ｉ␒(␐|N`ωτｏ'\x06\x12ω.~",
		out:  "␖.<＜λθυ)＊␌`*\uff00｜ｉ␒(␐|N`ωτｏ'\x06\x12ω.~",
	}, { // 2223
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␖.<＜λθυ)＊␌`*\uff00｜ｉ␒(␐|N`ωτｏ'\x06\x12ω.～",
		out:  "␖.<＜λθυ)＊␌`*\uff00｜ｉ␒(␐|N`ωτｏ'\x06\x12ω.～",
	}, { // 2224
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.λhβ＇[＞ｗ␍Ｈ>Ｏ\x00ψｔｂ\x1dｔ␇o＊\r\rκ&:α.H",
		out:  "～.λhβ＇[＞ｗ␍Ｈ>Ｏ␀ψｔｂ\x1dｔ␇o＊\r\rκ&:α.H",
	}, { // 2225
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.λhβ＇[＞ｗ␍Ｈ>Ｏ\x00ψｔｂ\x1dｔ␇o＊\r\rκ&:α.H",
		out:  "‛～.λhβ＇[＞ｗ␍Ｈ>Ｏ␀ψｔｂ\x1dｔ␇o＊\r\rκ&:α.H",
	}, { // 2226
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␊.λhβ＇[＞ｗ␍Ｈ>Ｏ\x00ψｔｂ\x1dｔ␇o＊\r\rκ&:α.~",
		out:  "␊.λhβ＇[＞ｗ␍Ｈ>Ｏ␀ψｔｂ\x1dｔ␇o＊\r\rκ&:α.~",
	}, { // 2227
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␊.λhβ＇[＞ｗ␍Ｈ>Ｏ\x00ψｔｂ\x1dｔ␇o＊\r\rκ&:α.～",
		out:  "␊.λhβ＇[＞ｗ␍Ｈ>Ｏ␀ψｔｂ\x1dｔ␇o＊\r\rκ&:α.～",
	}, { // 2228
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x15：\x00*ηX\r36ο␉ｃ＇\x0f＜？ζ＿δＥν␑\x05η|ｘ.␂",
		out:  "～.\x15：␀*ηX\r36ο␉ｃ＇\x0f＜？ζ＿δＥν␑\x05η|ｘ.␂",
	}, { // 2229
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x15：\x00*ηX\r36ο␉ｃ＇\x0f＜？ζ＿δＥν␑\x05η|ｘ.␂",
		out:  "‛～.\x15：␀*ηX\r36ο␉ｃ＇\x0f＜？ζ＿δＥν␑\x05η|ｘ.␂",
	}, { // 2230
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "|.\x15：\x00*ηX\r36ο␉ｃ＇\x0f＜？ζ＿δＥν␑\x05η|ｘ.~",
		out:  "|.\x15：␀*ηX\r36ο␉ｃ＇\x0f＜？ζ＿δＥν␑\x05η|ｘ.~",
	}, { // 2231
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightPeriod,
		in:   "|.\x15：\x00*ηX\r36ο␉ｃ＇\x0f＜？ζ＿δＥν␑\x05η|ｘ.～",
		out:  "|.\x15：␀*ηX\r36ο␉ｃ＇\x0f＜？ζ＿δＥν␑\x05η|ｘ.～",
	}, { // 2232
		mask: EncodeColon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.gｍτ\n％vρ３β8\r［te\x1eκ␊Ｆ＞／２υ@ςｎ\x03.\x12",
		out:  "～.gｍτ\n％vρ３β8\r［te\x1eκ␊Ｆ＞／２υ@ςｎ\x03.\x12",
	}, { // 2233
		mask: EncodeColon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.gｍτ\n％vρ３β8\r［te\x1eκ␊Ｆ＞／２υ@ςｎ\x03.\x12",
		out:  "‛～.gｍτ\n％vρ３β8\r［te\x1eκ␊Ｆ＞／２υ@ςｎ\x03.\x12",
	}, { // 2234
		mask: EncodeColon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "`.gｍτ\n％vρ３β8\r［te\x1eκ␊Ｆ＞／２υ@ςｎ\x03.~",
		out:  "`.gｍτ\n％vρ３β8\r［te\x1eκ␊Ｆ＞／２υ@ςｎ\x03.~",
	}, { // 2235
		mask: EncodeColon | EncodeLeftTilde | EncodeRightPeriod,
		in:   "`.gｍτ\n％vρ３β8\r［te\x1eκ␊Ｆ＞／２υ@ςｎ\x03.～",
		out:  "`.gｍτ\n％vρ３β8\r［te\x1eκ␊Ｆ＞／２υ@ςｎ\x03.～",
	}, { // 2236
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x02７RοT；＃</３␞\x18＄l6rς＞μＡｐIτ＜\x02９.σ",
		out:  "～.\x02７RοT；＃</３␞\x18＄l6rς＞μＡｐIτ＜\x02９.σ",
	}, { // 2237
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x02７RοT；＃</３␞\x18＄l6rς＞μＡｐIτ＜\x02９.σ",
		out:  "‛～.\x02７RοT；＃</３␞\x18＄l6rς＞μＡｐIτ＜\x02９.σ",
	}, { // 2238
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightPeriod,
		in:   "ω.\x02７RοT；＃</３␞\x18＄l6rς＞μＡｐIτ＜\x02９.~",
		out:  "ω.\x02７RοT；＃</３␞\x18＄l6rς＞μＡｐIτ＜\x02９.~",
	}, { // 2239
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightPeriod,
		in:   "ω.\x02７RοT；＃</３␞\x18＄l6rς＞μＡｐIτ＜\x02９.～",
		out:  "ω.\x02７RοT；＃</３␞\x18＄l6rς＞μＡｐIτ＜\x02９.～",
	}, { // 2240
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x0fερ␘σγ\x13\a|␇xZ？ｎ］ｎ>Ｆ-γ｛\"ｅs]L.␕",
		out:  "～.\x0fερ␘σγ\x13\a|␇xZ？ｎ］ｎ>Ｆ-γ｛\"ｅs]L.␕",
	}, { // 2241
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x0fερ␘σγ\x13\a|␇xZ？ｎ］ｎ>Ｆ-γ｛\"ｅs]L.␕",
		out:  "‛～.\x0fερ␘σγ\x13\a|␇xZ？ｎ］ｎ>Ｆ-γ｛\"ｅs]L.␕",
	}, { // 2242
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightPeriod,
		in:   "β.\x0fερ␘σγ\x13\a|␇xZ？ｎ］ｎ>Ｆ-γ｛\"ｅs]L.~",
		out:  "β.\x0fερ␘σγ\x13\a|␇xZ？ｎ］ｎ>Ｆ-γ｛\"ｅs]L.~",
	}, { // 2243
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightPeriod,
		in:   "β.\x0fερ␘σγ\x13\a|␇xZ？ｎ］ｎ>Ｆ-γ｛\"ｅs]L.～",
		out:  "β.\x0fερ␘σγ\x13\a|␇xZ？ｎ］ｎ>Ｆ-γ｛\"ｅs]L.～",
	}, { // 2244
		mask: EncodePipe | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~./␙\x18w＃ｉ`E␔ｇε*\x0f，ο\x13$Ａ＿␗ξθ＄&␝ξ.δ",
		out:  "～./␙\x18w＃ｉ`E␔ｇε*\x0f，ο\x13$Ａ＿␗ξθ＄&␝ξ.δ",
	}, { // 2245
		mask: EncodePipe | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～./␙\x18w＃ｉ`E␔ｇε*\x0f，ο\x13$Ａ＿␗ξθ＄&␝ξ.δ",
		out:  "‛～./␙\x18w＃ｉ`E␔ｇε*\x0f，ο\x13$Ａ＿␗ξθ＄&␝ξ.δ",
	}, { // 2246
		mask: EncodePipe | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␡./␙\x18w＃ｉ`E␔ｇε*\x0f，ο\x13$Ａ＿␗ξθ＄&␝ξ.~",
		out:  "␡./␙\x18w＃ｉ`E␔ｇε*\x0f，ο\x13$Ａ＿␗ξθ＄&␝ξ.~",
	}, { // 2247
		mask: EncodePipe | EncodeLeftTilde | EncodeRightPeriod,
		in:   "␡./␙\x18w＃ｉ`E␔ｇε*\x0f，ο\x13$Ａ＿␗ξθ＄&␝ξ.～",
		out:  "␡./␙\x18w＃ｉ`E␔ｇε*\x0f，ο\x13$Ａ＿␗ξθ＄&␝ξ.～",
	}, { // 2248
		mask: EncodeHash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.ｓ｀5#ｋｍ：-ομ\"␂ｔ<\"ζ?␎ρｏο␗?\u007f_＊.␚",
		out:  "～.ｓ｀5＃ｋｍ：-ομ\"␂ｔ<\"ζ?␎ρｏο␗?\u007f_＊.␚",
	}, { // 2249
		mask: EncodeHash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.ｓ｀5#ｋｍ：-ομ\"␂ｔ<\"ζ?␎ρｏο␗?\u007f_＊.␚",
		out:  "‛～.ｓ｀5＃ｋｍ：-ομ\"␂ｔ<\"ζ?␎ρｏο␗?\u007f_＊.␚",
	}, { // 2250
		mask: EncodeHash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "\t.ｓ｀5#ｋｍ：-ομ\"␂ｔ<\"ζ?␎ρｏο␗?\u007f_＊.~",
		out:  "\t.ｓ｀5＃ｋｍ：-ομ\"␂ｔ<\"ζ?␎ρｏο␗?\u007f_＊.~",
	}, { // 2251
		mask: EncodeHash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "\t.ｓ｀5#ｋｍ：-ομ\"␂ｔ<\"ζ?␎ρｏο␗?\u007f_＊.～",
		out:  "\t.ｓ｀5＃ｋｍ：-ομ\"␂ｔ<\"ζ?␎ρｏο␗?\u007f_＊.～",
	}, { // 2252
		mask: EncodePercent | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.Ｔ9ζl\x00␙\aξ\x15B[ε！：＆\x1c␅ξ/␎σθ［ＡEｎ.␉",
		out:  "～.Ｔ9ζl␀␙\aξ\x15B[ε！：＆\x1c␅ξ/␎σθ［ＡEｎ.␉",
	}, { // 2253
		mask: EncodePercent | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.Ｔ9ζl\x00␙\aξ\x15B[ε！：＆\x1c␅ξ/␎σθ［ＡEｎ.␉",
		out:  "‛～.Ｔ9ζl␀␙\aξ\x15B[ε！：＆\x1c␅ξ/␎σθ［ＡEｎ.␉",
	}, { // 2254
		mask: EncodePercent | EncodeLeftTilde | EncodeRightPeriod,
		in:   "\x00.Ｔ9ζl\x00␙\aξ\x15B[ε！：＆\x1c␅ξ/␎σθ［ＡEｎ.~",
		out:  "␀.Ｔ9ζl␀␙\aξ\x15B[ε！：＆\x1c␅ξ/␎σθ［ＡEｎ.~",
	}, { // 2255
		mask: EncodePercent | EncodeLeftTilde | EncodeRightPeriod,
		in:   "\x00.Ｔ9ζl\x00␙\aξ\x15B[ε！：＆\x1c␅ξ/␎σθ［ＡEｎ.～",
		out:  "␀.Ｔ9ζl␀␙\aξ\x15B[ε！：＆\x1c␅ξ/␎σθ［ＡEｎ.～",
	}, { // 2256
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.\x11\x15＼υ\x04qＥ␗tξ\x02ν＆Zγ＞ｘρ␔k␝7Gα？␚.\x05",
		out:  "～.\x11\x15‛＼υ\x04qＥ␗tξ\x02ν＆Zγ＞ｘρ␔k␝7Gα？␚.\x05",
	}, { // 2257
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.\x11\x15＼υ\x04qＥ␗tξ\x02ν＆Zγ＞ｘρ␔k␝7Gα？␚.\x05",
		out:  "‛～.\x11\x15‛＼υ\x04qＥ␗tξ\x02ν＆Zγ＞ｘρ␔k␝7Gα？␚.\x05",
	}, { // 2258
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "＄.\x11\x15＼υ\x04qＥ␗tξ\x02ν＆Zγ＞ｘρ␔k␝7Gα？␚.~",
		out:  "＄.\x11\x15‛＼υ\x04qＥ␗tξ\x02ν＆Zγ＞ｘρ␔k␝7Gα？␚.~",
	}, { // 2259
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightPeriod,
		in:   "＄.\x11\x15＼υ\x04qＥ␗tξ\x02ν＆Zγ＞ｘρ␔k␝7Gα？␚.～",
		out:  "＄.\x11\x15‛＼υ\x04qＥ␗tξ\x02ν＆Zγ＞ｘρ␔k␝7Gα？␚.～",
	}, { // 2260
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.XX$ε<␛gＪ｀ψI␅␔z\x13κ\x19／\nξζ$WεＩ␖.｛",
		out:  "～.XX$ε<␛gＪ｀ψI␅␔z\x13κ\x19／␊ξζ$WεＩ␖.｛",
	}, { // 2261
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.XX$ε<␛gＪ｀ψI␅␔z\x13κ\x19／\nξζ$WεＩ␖.｛",
		out:  "‛～.XX$ε<␛gＪ｀ψI␅␔z\x13κ\x19／␊ξζ$WεＩ␖.｛",
	}, { // 2262
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightPeriod,
		in:   "Ｊ.XX$ε<␛gＪ｀ψI␅␔z\x13κ\x19／\nξζ$WεＩ␖.~",
		out:  "Ｊ.XX$ε<␛gＪ｀ψI␅␔z\x13κ\x19／␊ξζ$WεＩ␖.~",
	}, { // 2263
		mask: EncodeCrLf | EncodeLeftTilde | EncodeRightPeriod,
		in:   "Ｊ.XX$ε<␛gＪ｀ψI␅␔z\x13κ\x19／\nξζ$WεＩ␖.～",
		out:  "Ｊ.XX$ε<␛gＪ｀ψI␅␔z\x13κ\x19／␊ξζ$WεＩ␖.～",
	}, { // 2264
		mask: EncodeDel | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.ψ␓ｚ％␙␁η␆\x16\x10\nV％ηｆAλ␒Ｐ8\x01\x13s\x06ＨＷ.θ",
		out:  "～.ψ␓ｚ％␙␁η␆\x16\x10\nV％ηｆAλ␒Ｐ8\x01\x13s\x06ＨＷ.θ",
	}, { // 2265
		mask: EncodeDel | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.ψ␓ｚ％␙␁η␆\x16\x10\nV％ηｆAλ␒Ｐ8\x01\x13s\x06ＨＷ.θ",
		out:  "‛～.ψ␓ｚ％␙␁η␆\x16\x10\nV％ηｆAλ␒Ｐ8\x01\x13s\x06ＨＷ.θ",
	}, { // 2266
		mask: EncodeDel | EncodeLeftTilde | EncodeRightPeriod,
		in:   ">.ψ␓ｚ％␙␁η␆\x16\x10\nV％ηｆAλ␒Ｐ8\x01\x13s\x06ＨＷ.~",
		out:  ">.ψ␓ｚ％␙␁η␆\x16\x10\nV％ηｆAλ␒Ｐ8\x01\x13s\x06ＨＷ.~",
	}, { // 2267
		mask: EncodeDel | EncodeLeftTilde | EncodeRightPeriod,
		in:   ">.ψ␓ｚ％␙␁η␆\x16\x10\nV％ηｆAλ␒Ｐ8\x01\x13s\x06ＨＷ.～",
		out:  ">.ψ␓ｚ％␙␁η␆\x16\x10\nV％ηｆAλ␒Ｐ8\x01\x13s\x06ＨＷ.～",
	}, { // 2268
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightPeriod,
		in:   "~.%N７␄［υ␔|δ\bχ␍.zＸ\x16␕\x14：ρ｜$ｗaζ；.χ",
		out:  "～.%N７‛␄［υ‛␔|δ␈χ‛␍.zＸ␖‛␕␔：ρ｜$ｗaζ；.χ",
	}, { // 2269
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightPeriod,
		in:   "～.%N７␄［υ␔|δ\bχ␍.zＸ\x16␕\x14：ρ｜$ｗaζ；.χ",
		out:  "‛～.%N７‛␄［υ‛␔|δ␈χ‛␍.zＸ␖‛␕␔：ρ｜$ｗaζ；.χ",
	}, { // 2270
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightPeriod,
		in:   ":.%N７␄［υ␔|δ\bχ␍.zＸ\x16␕\x14：ρ｜$ｗaζ；.~",
		out:  ":.%N７‛␄［υ‛␔|δ␈χ‛␍.zＸ␖‛␕␔：ρ｜$ｗaζ；.~",
	}, { // 2271
		mask: EncodeCtl | EncodeLeftTilde | EncodeRightPeriod,
		in:   ":.%N７␄［υ␔|δ\bχ␍.zＸ\x16␕\x14：ρ｜$ｗaζ；.～",
		out:  ":.%N７‛␄［υ‛␔|δ␈χ‛␍.zＸ␖‛␕␔：ρ｜$ｗaζ；.～",
	}, { // 2272
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\tQ",
		out:  "～\t'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\tQ",
	}, { // 2273
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\tQ",
		out:  "‛～\t'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\tQ",
	}, { // 2274
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\nQ",
		out:  "～\n'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\nQ",
	}, { // 2275
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\nQ",
		out:  "‛～\n'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\nQ",
	}, { // 2276
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\vQ",
		out:  "～\v'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\vQ",
	}, { // 2277
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\vQ",
		out:  "‛～\v'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\vQ",
	}, { // 2278
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\rQ",
		out:  "～\r'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\rQ",
	}, { // 2279
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\rQ",
		out:  "‛～\r'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\rQ",
	}, { // 2280
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "θ\t'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\t~",
		out:  "θ\t'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\t~",
	}, { // 2281
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "θ\t'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\t～",
		out:  "θ\t'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\t～",
	}, { // 2282
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "θ\n'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\n~",
		out:  "θ\n'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\n~",
	}, { // 2283
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "θ\n'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\n～",
		out:  "θ\n'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\n～",
	}, { // 2284
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "θ\v'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\v~",
		out:  "θ\v'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\v~",
	}, { // 2285
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "θ\v'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\v～",
		out:  "θ\v'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\v～",
	}, { // 2286
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "θ\r'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\r~",
		out:  "θ\r'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\r~",
	}, { // 2287
		mask: EncodeZero | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "θ\r'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\r～",
		out:  "θ\r'!␞π＠χ；\"Bｕ｜φ/␏；`γFａ\x03｜]｀λj：\r～",
	}, { // 2288
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\t␛",
		out:  "～\t\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\t␛",
	}, { // 2289
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\t␛",
		out:  "‛～\t\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\t␛",
	}, { // 2290
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\n␛",
		out:  "～\n\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\n␛",
	}, { // 2291
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\n␛",
		out:  "‛～\n\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\n␛",
	}, { // 2292
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\v␛",
		out:  "～\v\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\v␛",
	}, { // 2293
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\v␛",
		out:  "‛～\v\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\v␛",
	}, { // 2294
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\r␛",
		out:  "～\r\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\r␛",
	}, { // 2295
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\r␛",
		out:  "‛～\r\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\r␛",
	}, { // 2296
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\t\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\t~",
		out:  "\"\t\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\t~",
	}, { // 2297
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\t\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\t～",
		out:  "\"\t\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\t～",
	}, { // 2298
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\n\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\n~",
		out:  "\"\n\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\n~",
	}, { // 2299
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\n\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\n～",
		out:  "\"\n\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\n～",
	}, { // 2300
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\v\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\v~",
		out:  "\"\v\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\v~",
	}, { // 2301
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\v\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\v～",
		out:  "\"\v\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\v～",
	}, { // 2302
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\r\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\r~",
		out:  "\"\r\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\r~",
	}, { // 2303
		mask: EncodeSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\r\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\r～",
		out:  "\"\r\x1d｜＾B␅ρξＸ{U@５␍γ\"－Ｉ\x1fη＋ζ␋^␗\x14}\r～",
	}, { // 2304
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\t_",
		out:  "～\t␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\t_",
	}, { // 2305
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\t_",
		out:  "‛～\t␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\t_",
	}, { // 2306
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\n_",
		out:  "～\n␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\n_",
	}, { // 2307
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\n_",
		out:  "‛～\n␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\n_",
	}, { // 2308
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\v_",
		out:  "～\v␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\v_",
	}, { // 2309
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\v_",
		out:  "‛～\v␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\v_",
	}, { // 2310
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\r_",
		out:  "～\r␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\r_",
	}, { // 2311
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\r_",
		out:  "‛～\r␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\r_",
	}, { // 2312
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "Ｒ\t␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\t~",
		out:  "Ｒ\t␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\t~",
	}, { // 2313
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "Ｒ\t␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\t～",
		out:  "Ｒ\t␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\t～",
	}, { // 2314
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "Ｒ\n␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\n~",
		out:  "Ｒ\n␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\n~",
	}, { // 2315
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "Ｒ\n␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\n～",
		out:  "Ｒ\n␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\n～",
	}, { // 2316
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "Ｒ\v␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\v~",
		out:  "Ｒ\v␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\v~",
	}, { // 2317
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "Ｒ\v␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\v～",
		out:  "Ｒ\v␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\v～",
	}, { // 2318
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "Ｒ\r␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\r~",
		out:  "Ｒ\r␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\r~",
	}, { // 2319
		mask: EncodeSingleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "Ｒ\r␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\r～",
		out:  "Ｒ\r␉#\x1dｂ\r\x0e%Ｈ\x19ｃ1G－πττ＜μ␔\x19ρδ1␂\n＄\r～",
	}, { // 2320
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\tδ",
		out:  "～\t5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\tδ",
	}, { // 2321
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\tδ",
		out:  "‛～\t5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\tδ",
	}, { // 2322
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\nδ",
		out:  "～\n5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\nδ",
	}, { // 2323
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\nδ",
		out:  "‛～\n5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\nδ",
	}, { // 2324
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\vδ",
		out:  "～\v5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\vδ",
	}, { // 2325
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\vδ",
		out:  "‛～\v5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\vδ",
	}, { // 2326
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\rδ",
		out:  "～\r5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\rδ",
	}, { // 2327
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\rδ",
		out:  "‛～\r5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\rδ",
	}, { // 2328
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\t5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\t~",
		out:  "j\t5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\t~",
	}, { // 2329
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\t5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\t～",
		out:  "j\t5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\t～",
	}, { // 2330
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\n5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\n~",
		out:  "j\n5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\n~",
	}, { // 2331
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\n5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\n～",
		out:  "j\n5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\n～",
	}, { // 2332
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\v5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\v~",
		out:  "j\v5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\v~",
	}, { // 2333
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\v5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\v～",
		out:  "j\v5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\v～",
	}, { // 2334
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\r5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\r~",
		out:  "j\r5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\r~",
	}, { // 2335
		mask: EncodeBackQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\r5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\r～",
		out:  "j\r5␊*，BFζｙＺv6δ␈\nＩ\x02␘κ｜μ\x11．␇␡<\r\r～",
	}, { // 2336
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\tη",
		out:  "～\tｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\tη",
	}, { // 2337
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\tη",
		out:  "‛～\tｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\tη",
	}, { // 2338
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\nη",
		out:  "～\nｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\nη",
	}, { // 2339
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\nη",
		out:  "‛～\nｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\nη",
	}, { // 2340
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\vη",
		out:  "～\vｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\vη",
	}, { // 2341
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\vη",
		out:  "‛～\vｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\vη",
	}, { // 2342
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\rη",
		out:  "～\rｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\rη",
	}, { // 2343
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\rη",
		out:  "‛～\rｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\rη",
	}, { // 2344
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x15\tｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\t~",
		out:  "\x15\tｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\t~",
	}, { // 2345
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x15\tｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\t～",
		out:  "\x15\tｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\t～",
	}, { // 2346
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x15\nｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\n~",
		out:  "\x15\nｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\n~",
	}, { // 2347
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x15\nｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\n～",
		out:  "\x15\nｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\n～",
	}, { // 2348
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x15\vｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\v~",
		out:  "\x15\vｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\v~",
	}, { // 2349
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x15\vｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\v～",
		out:  "\x15\vｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\v～",
	}, { // 2350
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x15\rｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\r~",
		out:  "\x15\rｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\r~",
	}, { // 2351
		mask: EncodeLtGt | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\x15\rｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\r～",
		out:  "\x15\rｕςω\x0fＳ␍Ｋ\"_φW␜?␐\\r␗ｃB␞\x10ν＊ι/ｙ\r～",
	}, { // 2352
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\t␎",
		out:  "～\t␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\t␎",
	}, { // 2353
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\t␎",
		out:  "‛～\t␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\t␎",
	}, { // 2354
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\n␎",
		out:  "～\n␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\n␎",
	}, { // 2355
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\n␎",
		out:  "‛～\n␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\n␎",
	}, { // 2356
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\v␎",
		out:  "～\v␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\v␎",
	}, { // 2357
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\v␎",
		out:  "‛～\v␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\v␎",
	}, { // 2358
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\r␎",
		out:  "～\r␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\r␎",
	}, { // 2359
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\r␎",
		out:  "‛～\r␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\r␎",
	}, { // 2360
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｖ\t␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\t~",
		out:  "ｖ\t␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\t~",
	}, { // 2361
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｖ\t␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\t～",
		out:  "ｖ\t␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\t～",
	}, { // 2362
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｖ\n␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\n~",
		out:  "ｖ\n␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\n~",
	}, { // 2363
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｖ\n␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\n～",
		out:  "ｖ\n␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\n～",
	}, { // 2364
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｖ\v␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\v~",
		out:  "ｖ\v␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\v~",
	}, { // 2365
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｖ\v␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\v～",
		out:  "ｖ\v␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\v～",
	}, { // 2366
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｖ\r␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\r~",
		out:  "ｖ\r␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\r~",
	}, { // 2367
		mask: EncodeSquareBracket | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｖ\r␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\r～",
		out:  "ｖ\r␡＊｜Ｈσ\x19ε␙ρς:φO\x1do\x1fｅ７ε|␌Z\x1e|&d\r～",
	}, { // 2368
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\t．",
		out:  "～\tＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\t．",
	}, { // 2369
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\t．",
		out:  "‛～\tＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\t．",
	}, { // 2370
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\n．",
		out:  "～\nＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\n．",
	}, { // 2371
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\n．",
		out:  "‛～\nＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\n．",
	}, { // 2372
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\v．",
		out:  "～\vＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\v．",
	}, { // 2373
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\v．",
		out:  "‛～\vＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\v．",
	}, { // 2374
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\r．",
		out:  "～\rＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\r．",
	}, { // 2375
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\r．",
		out:  "‛～\rＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\r．",
	}, { // 2376
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "i\tＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\t~",
		out:  "i\tＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\t~",
	}, { // 2377
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "i\tＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\t～",
		out:  "i\tＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\t～",
	}, { // 2378
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "i\nＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\n~",
		out:  "i\nＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\n~",
	}, { // 2379
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "i\nＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\n～",
		out:  "i\nＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\n～",
	}, { // 2380
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "i\vＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\v~",
		out:  "i\vＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\v~",
	}, { // 2381
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "i\vＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\v～",
		out:  "i\vＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\v～",
	}, { // 2382
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "i\rＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\r~",
		out:  "i\rＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\r~",
	}, { // 2383
		mask: EncodeSemicolon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "i\rＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\r～",
		out:  "i\rＸψ\x02Ｂi␔\x1c␆␆ψ@\r＊\x04ξ\x1b８β:␎］ｄθ｀VT\r～",
	}, { // 2384
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\t\x17",
		out:  "～\t␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\t\x17",
	}, { // 2385
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\t\x17",
		out:  "‛～\t␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\t\x17",
	}, { // 2386
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\n\x17",
		out:  "～\n␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\n\x17",
	}, { // 2387
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\n\x17",
		out:  "‛～\n␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\n\x17",
	}, { // 2388
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\v\x17",
		out:  "～\v␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\v\x17",
	}, { // 2389
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\v\x17",
		out:  "‛～\v␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\v\x17",
	}, { // 2390
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\r\x17",
		out:  "～\r␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\r\x17",
	}, { // 2391
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\r\x17",
		out:  "‛～\r␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\r\x17",
	}, { // 2392
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\t␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\t~",
		out:  "α\t␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\t~",
	}, { // 2393
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\t␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\t～",
		out:  "α\t␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\t～",
	}, { // 2394
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\n␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\n~",
		out:  "α\n␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\n~",
	}, { // 2395
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\n␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\n～",
		out:  "α\n␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\n～",
	}, { // 2396
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\v␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\v~",
		out:  "α\v␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\v~",
	}, { // 2397
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\v␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\v～",
		out:  "α\v␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\v～",
	}, { // 2398
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\r␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\r~",
		out:  "α\r␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\r~",
	}, { // 2399
		mask: EncodeDollar | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "α\r␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\r～",
		out:  "α\r␍;］␇d␔4εry＠Ｑδdγ0␓\x1bλＭδＭ\x02｜␖ｐ\r～",
	}, { // 2400
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\tC",
		out:  "～\t＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\tC",
	}, { // 2401
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\tC",
		out:  "‛～\t＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\tC",
	}, { // 2402
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\nC",
		out:  "～\n＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\nC",
	}, { // 2403
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\nC",
		out:  "‛～\n＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\nC",
	}, { // 2404
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\vC",
		out:  "～\v＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\vC",
	}, { // 2405
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\vC",
		out:  "‛～\v＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\vC",
	}, { // 2406
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\rC",
		out:  "～\r＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\rC",
	}, { // 2407
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\rC",
		out:  "‛～\r＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\rC",
	}, { // 2408
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\t＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\t~",
		out:  "‛＂\t＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\t~",
	}, { // 2409
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\t＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\t～",
		out:  "‛＂\t＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\t～",
	}, { // 2410
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\n＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\n~",
		out:  "‛＂\n＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\n~",
	}, { // 2411
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\n＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\n～",
		out:  "‛＂\n＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\n～",
	}, { // 2412
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\v＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\v~",
		out:  "‛＂\v＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\v~",
	}, { // 2413
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\v＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\v～",
		out:  "‛＂\v＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\v～",
	}, { // 2414
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\r＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\r~",
		out:  "‛＂\r＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\r~",
	}, { // 2415
		mask: EncodeDoubleQuote | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "＂\r＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\r～",
		out:  "‛＂\r＞\x01．G\x17Ｃ\x01％ωＶ;/ωFδ*φ］␛;δ:＜ρ．w\r～",
	}, { // 2416
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\t＼",
		out:  "～\tμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\t＼",
	}, { // 2417
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\t＼",
		out:  "‛～\tμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\t＼",
	}, { // 2418
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\n＼",
		out:  "～\nμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\n＼",
	}, { // 2419
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\n＼",
		out:  "‛～\nμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\n＼",
	}, { // 2420
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\v＼",
		out:  "～\vμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\v＼",
	}, { // 2421
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\v＼",
		out:  "‛～\vμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\v＼",
	}, { // 2422
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\r＼",
		out:  "～\rμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\r＼",
	}, { // 2423
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\r＼",
		out:  "‛～\rμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\r＼",
	}, { // 2424
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\\\tμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\t~",
		out:  "\\\tμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\t~",
	}, { // 2425
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\\\tμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\t～",
		out:  "\\\tμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\t～",
	}, { // 2426
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\\\nμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\n~",
		out:  "\\\nμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\n~",
	}, { // 2427
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\\\nμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\n～",
		out:  "\\\nμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\n～",
	}, { // 2428
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\\\vμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\v~",
		out:  "\\\vμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\v~",
	}, { // 2429
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\\\vμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\v～",
		out:  "\\\vμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\v～",
	}, { // 2430
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\\\rμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\r~",
		out:  "\\\rμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\r~",
	}, { // 2431
		mask: EncodeColon | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\\\rμ␉E５υ１ν：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\r～",
		out:  "\\\rμ␉E５υ１ν‛：f-Vς\u007f␏/ρ␌\x05␏μY\x19３\x15Ｈ\x17\r～",
	}, { // 2432
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\tr",
		out:  "～\t＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\tr",
	}, { // 2433
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\tr",
		out:  "‛～\t＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\tr",
	}, { // 2434
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\nr",
		out:  "～\n＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\nr",
	}, { // 2435
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\nr",
		out:  "‛～\n＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\nr",
	}, { // 2436
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\vr",
		out:  "～\v＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\vr",
	}, { // 2437
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\vr",
		out:  "‛～\v＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\vr",
	}, { // 2438
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\rr",
		out:  "～\r＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\rr",
	}, { // 2439
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\rr",
		out:  "‛～\r＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\rr",
	}, { // 2440
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␄\t＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\t~",
		out:  "␄\t＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\t~",
	}, { // 2441
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␄\t＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\t～",
		out:  "␄\t＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\t～",
	}, { // 2442
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␄\n＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\n~",
		out:  "␄\n＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\n~",
	}, { // 2443
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␄\n＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\n～",
		out:  "␄\n＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\n～",
	}, { // 2444
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␄\v＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\v~",
		out:  "␄\v＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\v~",
	}, { // 2445
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␄\v＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\v～",
		out:  "␄\v＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\v～",
	}, { // 2446
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␄\r＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\r~",
		out:  "␄\r＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\r~",
	}, { // 2447
		mask: EncodeQuestion | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "␄\r＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\r～",
		out:  "␄\r＆␝\x15ς␆␊κＥv\x1bγχ#ο␡]Ｈ＾Ａ\"ξ\x1bｎ␏S7\r～",
	}, { // 2448
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\t％",
		out:  "～\tＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\t％",
	}, { // 2449
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\t％",
		out:  "‛～\tＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\t％",
	}, { // 2450
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\n％",
		out:  "～\nＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\n％",
	}, { // 2451
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\n％",
		out:  "‛～\nＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\n％",
	}, { // 2452
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\v％",
		out:  "～\vＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\v％",
	}, { // 2453
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\v％",
		out:  "‛～\vＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\v％",
	}, { // 2454
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\r％",
		out:  "～\rＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\r％",
	}, { // 2455
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\r％",
		out:  "‛～\rＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\r％",
	}, { // 2456
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "1\tＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\t~",
		out:  "1\tＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\t~",
	}, { // 2457
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "1\tＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\t～",
		out:  "1\tＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\t～",
	}, { // 2458
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "1\nＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\n~",
		out:  "1\nＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\n~",
	}, { // 2459
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "1\nＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\n～",
		out:  "1\nＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\n～",
	}, { // 2460
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "1\vＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\v~",
		out:  "1\vＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\v~",
	}, { // 2461
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "1\vＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\v～",
		out:  "1\vＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\v～",
	}, { // 2462
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "1\rＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\r~",
		out:  "1\rＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\r~",
	}, { // 2463
		mask: EncodeAsterisk | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "1\rＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\r～",
		out:  "1\rＢ␜A\x18Ｐ\x1eοＮσ\x18ｑκοHo␉ω9]␕\x129?，λ１\r～",
	}, { // 2464
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\tv",
		out:  "～\tｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\tv",
	}, { // 2465
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\tv",
		out:  "‛～\tｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\tv",
	}, { // 2466
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\nv",
		out:  "～\nｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\nv",
	}, { // 2467
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\nv",
		out:  "‛～\nｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\nv",
	}, { // 2468
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\vv",
		out:  "～\vｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\vv",
	}, { // 2469
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\vv",
		out:  "‛～\vｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\vv",
	}, { // 2470
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\rv",
		out:  "～\rｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\rv",
	}, { // 2471
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\rv",
		out:  "‛～\rｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\rv",
	}, { // 2472
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\tｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\t~",
		out:  "/\tｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\t~",
	}, { // 2473
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\tｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\t～",
		out:  "/\tｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\t～",
	}, { // 2474
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\nｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\n~",
		out:  "/\nｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\n~",
	}, { // 2475
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\nｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\n～",
		out:  "/\nｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\n～",
	}, { // 2476
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\vｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\v~",
		out:  "/\vｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\v~",
	}, { // 2477
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\vｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\v～",
		out:  "/\vｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\v～",
	}, { // 2478
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\rｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\r~",
		out:  "/\rｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\r~",
	}, { // 2479
		mask: EncodePipe | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "/\rｓ\x1f␑βＳδ9␄Ｈ␍Qβ|␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\r～",
		out:  "/\rｓ\x1f␑βＳδ9␄Ｈ␍Qβ｜␒Ｆσ␁\x01εU\u007f\x1d␌ｍε.\r～",
	}, { // 2480
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\t/",
		out:  "～\tsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\t/",
	}, { // 2481
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\t/",
		out:  "‛～\tsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\t/",
	}, { // 2482
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\n/",
		out:  "～\nsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\n/",
	}, { // 2483
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\n/",
		out:  "‛～\nsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\n/",
	}, { // 2484
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\v/",
		out:  "～\vsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\v/",
	}, { // 2485
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\v/",
		out:  "‛～\vsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\v/",
	}, { // 2486
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\r/",
		out:  "～\rsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\r/",
	}, { // 2487
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\r/",
		out:  "‛～\rsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\r/",
	}, { // 2488
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ν\tsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\t~",
		out:  "ν\tsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\t~",
	}, { // 2489
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ν\tsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\t～",
		out:  "ν\tsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\t～",
	}, { // 2490
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ν\nsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\n~",
		out:  "ν\nsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\n~",
	}, { // 2491
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ν\nsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\n～",
		out:  "ν\nsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\n～",
	}, { // 2492
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ν\vsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\v~",
		out:  "ν\vsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\v~",
	}, { // 2493
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ν\vsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\v～",
		out:  "ν\vsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\v～",
	}, { // 2494
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ν\rsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\r~",
		out:  "ν\rsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\r~",
	}, { // 2495
		mask: EncodeHash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ν\rsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\r～",
		out:  "ν\rsｊφｕ␜ρ␖\\＾ｃ\n\x1c｀␡％σ␃λMω\x03＾aQI\x18\r～",
	}, { // 2496
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\t`",
		out:  "～\tξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\t`",
	}, { // 2497
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\t`",
		out:  "‛～\tξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\t`",
	}, { // 2498
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\n`",
		out:  "～\nξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\n`",
	}, { // 2499
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\n`",
		out:  "‛～\nξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\n`",
	}, { // 2500
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\v`",
		out:  "～\vξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\v`",
	}, { // 2501
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\v`",
		out:  "‛～\vξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\v`",
	}, { // 2502
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\r`",
		out:  "～\rξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\r`",
	}, { // 2503
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\r`",
		out:  "‛～\rξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\r`",
	}, { // 2504
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\tξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\t~",
		out:  "\"\tξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\t~",
	}, { // 2505
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\tξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\t～",
		out:  "\"\tξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\t～",
	}, { // 2506
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\nξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\n~",
		out:  "\"\nξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\n~",
	}, { // 2507
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\nξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\n～",
		out:  "\"\nξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\n～",
	}, { // 2508
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\vξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\v~",
		out:  "\"\vξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\v~",
	}, { // 2509
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\vξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\v～",
		out:  "\"\vξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\v～",
	}, { // 2510
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\rξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\r~",
		out:  "\"\rξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\r~",
	}, { // 2511
		mask: EncodePercent | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "\"\rξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂％／\x01␚ι<＂εt\r～",
		out:  "\"\rξ｜２␂␃α2\x04\fzνｎ?(（Ｓ␂‛％／\x01␚ι<＂εt\r～",
	}, { // 2512
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\tσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\t\v",
		out:  "～\tσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\t␋",
	}, { // 2513
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\tσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\t\v",
		out:  "‛～\tσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\t␋",
	}, { // 2514
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\nσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\n\v",
		out:  "～\nσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\n␋",
	}, { // 2515
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\nσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\n\v",
		out:  "‛～\nσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\n␋",
	}, { // 2516
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\vσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\v\v",
		out:  "～\vσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\v␋",
	}, { // 2517
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\vσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\v\v",
		out:  "‛～\vσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\v␋",
	}, { // 2518
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\rσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\r\v",
		out:  "～\rσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\r␋",
	}, { // 2519
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\rσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\r\v",
		out:  "‛～\rσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\r␋",
	}, { // 2520
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\tσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\t~",
		out:  "j\tσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\t~",
	}, { // 2521
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\tσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\t～",
		out:  "j\tσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\t～",
	}, { // 2522
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\nσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\n~",
		out:  "j\nσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\n~",
	}, { // 2523
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\nσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\n～",
		out:  "j\nσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\n～",
	}, { // 2524
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\vσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\v~",
		out:  "j\vσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\v~",
	}, { // 2525
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\vσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\v～",
		out:  "j\vσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\v～",
	}, { // 2526
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\rσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\r~",
		out:  "j\rσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\r~",
	}, { // 2527
		mask: EncodeBackSlash | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "j\rσυ.]Xξ\nｗＫ-α␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\r～",
		out:  "j\rσυ.]Xξ\nｗＫ-α‛␀＜Ａ␟␐t９/κρ\t␆␙Ｏ#\r～",
	}, { // 2528
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\t＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\t␗",
		out:  "～\t＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\t␗",
	}, { // 2529
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\t＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\t␗",
		out:  "‛～\t＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\t␗",
	}, { // 2530
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\n＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\n␗",
		out:  "～\n＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\n␗",
	}, { // 2531
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\n＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\n␗",
		out:  "‛～\n＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\n␗",
	}, { // 2532
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\v＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\v␗",
		out:  "～\v＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\v␗",
	}, { // 2533
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\v＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\v␗",
		out:  "‛～\v＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\v␗",
	}, { // 2534
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "~\r＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\r␗",
		out:  "～\r＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\r␗",
	}, { // 2535
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "～\r＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\r␗",
		out:  "‛～\r＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\r␗",
	}, { // 2536
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｐ\t＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\t~",
		out:  "ｐ\t＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\t~",
	}, { // 2537
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｐ\t＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\t～",
		out:  "ｐ\t＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\t～",
	}, { // 2538
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｐ\n＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\n~",
		out:  "ｐ\n＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\n~",
	}, { // 2539
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｐ\n＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\n～",
		out:  "ｐ\n＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\n～",
	}, { // 2540
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｐ\v＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\v~",
		out:  "ｐ\v＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\v~",
	}, { // 2541
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｐ\v＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\v～",
		out:  "ｐ\v＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\v～",
	}, { // 2542
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｐ\r＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\r~",
		out:  "ｐ\r＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\r~",
	}, { // 2543
		mask: EncodeDel | EncodeLeftTilde | EncodeRightCrLfHtVt,
		in:   "ｐ\r＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\r～",
		out:  "ｐ\r＂γζ｜］｀\nα\x03\x02？\x05\x1d0\x04＜０IθM６oｒσ=f\r～",
	}, { // 2544
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ０\x13\x05＇ν\x10Ｘ␓`z？＇ζｕχ_%５［}θκ^&ε␆ ｎ",
		out:  "␉ ０\x13\x05＇ν\x10Ｘ␓`z？＇ζｕχ_%５［}θκ^&ε␆ ｎ",
	}, { // 2545
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ０\x13\x05＇ν\x10Ｘ␓`z？＇ζｕχ_%５［}θκ^&ε␆ ｎ",
		out:  "‛␉ ０\x13\x05＇ν\x10Ｘ␓`z？＇ζｕχ_%５［}θκ^&ε␆ ｎ",
	}, { // 2546
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "Ｔ ０\x13\x05＇ν\x10Ｘ␓`z？＇ζｕχ_%５［}θκ^&ε␆ \t",
		out:  "Ｔ ０\x13\x05＇ν\x10Ｘ␓`z？＇ζｕχ_%５［}θκ^&ε␆ \t",
	}, { // 2547
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "Ｔ ０\x13\x05＇ν\x10Ｘ␓`z？＇ζｕχ_%５［}θκ^&ε␆ ␉",
		out:  "Ｔ ０\x13\x05＇ν\x10Ｘ␓`z？＇ζｕχ_%５［}θκ^&ε␆ ␉",
	}, { // 2548
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t \"ψ|｝\x1duＱ\n＜\vι＃8／␈μνX；ο\x04σ｝<／｀ Ｂ",
		out:  "␉ \"ψ|｝\x1duＱ\n＜\vι＃8‛／␈μνX；ο\x04σ｝<‛／｀ Ｂ",
	}, { // 2549
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \"ψ|｝\x1duＱ\n＜\vι＃8／␈μνX；ο\x04σ｝<／｀ Ｂ",
		out:  "‛␉ \"ψ|｝\x1duＱ\n＜\vι＃8‛／␈μνX；ο\x04σ｝<‛／｀ Ｂ",
	}, { // 2550
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "/ \"ψ|｝\x1duＱ\n＜\vι＃8／␈μνX；ο\x04σ｝<／｀ \t",
		out:  "／ \"ψ|｝\x1duＱ\n＜\vι＃8‛／␈μνX；ο\x04σ｝<‛／｀ \t",
	}, { // 2551
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "/ \"ψ|｝\x1duＱ\n＜\vι＃8／␈μνX；ο\x04σ｝<／｀ ␉",
		out:  "／ \"ψ|｝\x1duＱ\n＜\vι＃8‛／␈μνX；ο\x04σ｝<‛／｀ ␉",
	}, { // 2552
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t \t*η｜γ␏！(␕μｑ\x02\nｏN＇␡＃bM2ι[ｅσ＞ <",
		out:  "␉ \t*η｜γ␏！(␕μｑ\x02\nｏN‛＇␡＃bM2ι[ｅσ＞ <",
	}, { // 2553
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \t*η｜γ␏！(␕μｑ\x02\nｏN＇␡＃bM2ι[ｅσ＞ <",
		out:  "‛␉ \t*η｜γ␏！(␕μｑ\x02\nｏN‛＇␡＃bM2ι[ｅσ＞ <",
	}, { // 2554
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ι \t*η｜γ␏！(␕μｑ\x02\nｏN＇␡＃bM2ι[ｅσ＞ \t",
		out:  "ι \t*η｜γ␏！(␕μｑ\x02\nｏN‛＇␡＃bM2ι[ｅσ＞ \t",
	}, { // 2555
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ι \t*η｜γ␏！(␕μｑ\x02\nｏN＇␡＃bM2ι[ｅσ＞ ␉",
		out:  "ι \t*η｜γ␏！(␕μｑ\x02\nｏN‛＇␡＃bM2ι[ｅσ＞ ␉",
	}, { // 2556
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ［Ｄ␒κ$dLＢ<7`dυ<υ．␍δ␈]␐ｘ␜ξＩ1 \x03",
		out:  "␉ ［Ｄ␒κ$dLＢ<7｀dυ<υ．␍δ␈]␐ｘ␜ξＩ1 \x03",
	}, { // 2557
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ［Ｄ␒κ$dLＢ<7`dυ<υ．␍δ␈]␐ｘ␜ξＩ1 \x03",
		out:  "‛␉ ［Ｄ␒κ$dLＢ<7｀dυ<υ．␍δ␈]␐ｘ␜ξＩ1 \x03",
	}, { // 2558
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ς ［Ｄ␒κ$dLＢ<7`dυ<υ．␍δ␈]␐ｘ␜ξＩ1 \t",
		out:  "ς ［Ｄ␒κ$dLＢ<7｀dυ<υ．␍δ␈]␐ｘ␜ξＩ1 \t",
	}, { // 2559
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ς ［Ｄ␒κ$dLＢ<7`dυ<υ．␍δ␈]␐ｘ␜ξＩ1 ␉",
		out:  "ς ［Ｄ␒κ$dLＢ<7｀dυ<υ．␍δ␈]␐ｘ␜ξＩ1 ␉",
	}, { // 2560
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ＜h`ｒφ＂ς␀ε/␊yＢ；＇P\v．θ\x1c\tχκｄ\vs ！",
		out:  "␉ ‛＜h`ｒφ＂ς‛␀ε/␊yＢ；＇P\v．θ\x1c\tχκｄ\vs ！",
	}, { // 2561
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ＜h`ｒφ＂ς␀ε/␊yＢ；＇P\v．θ\x1c\tχκｄ\vs ！",
		out:  "‛␉ ‛＜h`ｒφ＂ς‛␀ε/␊yＢ；＇P\v．θ\x1c\tχκｄ\vs ！",
	}, { // 2562
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␀ ＜h`ｒφ＂ς␀ε/␊yＢ；＇P\v．θ\x1c\tχκｄ\vs \t",
		out:  "‛␀ ‛＜h`ｒφ＂ς‛␀ε/␊yＢ；＇P\v．θ\x1c\tχκｄ\vs \t",
	}, { // 2563
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␀ ＜h`ｒφ＂ς␀ε/␊yＢ；＇P\v．θ\x1c\tχκｄ\vs ␉",
		out:  "‛␀ ‛＜h`ｒφ＂ς‛␀ε/␊yＢ；＇P\v．θ\x1c\tχκｄ\vs ␉",
	}, { // 2564
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t \x11␁χξ\x19\x12／6\r4Ｃη\b｀！\\μ－＞ａrｙDu%␛ φ",
		out:  "␉ \x11␁χξ\x19\x12／6\r4Ｃη\b｀！\\μ－＞ａrｙDu%␛ φ",
	}, { // 2565
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \x11␁χξ\x19\x12／6\r4Ｃη\b｀！\\μ－＞ａrｙDu%␛ φ",
		out:  "‛␉ \x11␁χξ\x19\x12／6\r4Ｃη\b｀！\\μ－＞ａrｙDu%␛ φ",
	}, { // 2566
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "＇ \x11␁χξ\x19\x12／6\r4Ｃη\b｀！\\μ－＞ａrｙDu%␛ \t",
		out:  "＇ \x11␁χξ\x19\x12／6\r4Ｃη\b｀！\\μ－＞ａrｙDu%␛ \t",
	}, { // 2567
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "＇ \x11␁χξ\x19\x12／6\r4Ｃη\b｀！\\μ－＞ａrｙDu%␛ ␉",
		out:  "＇ \x11␁χξ\x19\x12／6\r4Ｃη\b｀！\\μ－＞ａrｙDu%␛ ␉",
	}, { // 2568
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t Ｚτ＆\x1d＇ｕξ␁<λ＆ rδ\x12４N\x17␞ｅη\fd2x: ␕",
		out:  "␉ Ｚτ＆\x1d＇ｕξ␁<λ＆ rδ\x12４N\x17␞ｅη\fd2x: ␕",
	}, { // 2569
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ Ｚτ＆\x1d＇ｕξ␁<λ＆ rδ\x12４N\x17␞ｅη\fd2x: ␕",
		out:  "‛␉ Ｚτ＆\x1d＇ｕξ␁<λ＆ rδ\x12４N\x17␞ｅη\fd2x: ␕",
	}, { // 2570
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␊ Ｚτ＆\x1d＇ｕξ␁<λ＆ rδ\x12４N\x17␞ｅη\fd2x: \t",
		out:  "‛␊ Ｚτ＆\x1d＇ｕξ␁<λ＆ rδ\x12４N\x17␞ｅη\fd2x: \t",
	}, { // 2571
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␊ Ｚτ＆\x1d＇ｕξ␁<λ＆ rδ\x12４N\x17␞ｅη\fd2x: ␉",
		out:  "‛␊ Ｚτ＆\x1d＇ｕξ␁<λ＆ rδ\x12４N\x17␞ｅη\fd2x: ␉",
	}, { // 2572
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ］ξω｜＃\x01μyβ\r|\x0f\x00｛\x1dV#ω␜␄BpＨＤφａ ␌",
		out:  "␉ ］ξω｜＃\x01μyβ\r|\x0f␀｛\x1dV#ω␜␄BpＨＤφａ ␌",
	}, { // 2573
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ］ξω｜＃\x01μyβ\r|\x0f\x00｛\x1dV#ω␜␄BpＨＤφａ ␌",
		out:  "‛␉ ］ξω｜＃\x01μyβ\r|\x0f␀｛\x1dV#ω␜␄BpＨＤφａ ␌",
	}, { // 2574
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ｕ ］ξω｜＃\x01μyβ\r|\x0f\x00｛\x1dV#ω␜␄BpＨＤφａ \t",
		out:  "ｕ ］ξω｜＃\x01μyβ\r|\x0f␀｛\x1dV#ω␜␄BpＨＤφａ \t",
	}, { // 2575
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ｕ ］ξω｜＃\x01μyβ\r|\x0f\x00｛\x1dV#ω␜␄BpＨＤφａ ␉",
		out:  "ｕ ］ξω｜＃\x01μyβ\r|\x0f␀｛\x1dV#ω␜␄BpＨＤφａ ␉",
	}, { // 2576
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t R%ｏKr%[\rＰＶ␗λ／5δ\x06Ａ＃#\x1a␁Ｃ␋ψ＞ξ ι",
		out:  "␉ R%ｏKr%[\rＰＶ␗λ／5δ\x06Ａ＃#\x1a␁Ｃ␋ψ＞ξ ι",
	}, { // 2577
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ R%ｏKr%[\rＰＶ␗λ／5δ\x06Ａ＃#\x1a␁Ｃ␋ψ＞ξ ι",
		out:  "‛␉ R%ｏKr%[\rＰＶ␗λ／5δ\x06Ａ＃#\x1a␁Ｃ␋ψ＞ξ ι",
	}, { // 2578
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\x06 R%ｏKr%[\rＰＶ␗λ／5δ\x06Ａ＃#\x1a␁Ｃ␋ψ＞ξ \t",
		out:  "\x06 R%ｏKr%[\rＰＶ␗λ／5δ\x06Ａ＃#\x1a␁Ｃ␋ψ＞ξ \t",
	}, { // 2579
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\x06 R%ｏKr%[\rＰＶ␗λ／5δ\x06Ａ＃#\x1a␁Ｃ␋ψ＞ξ ␉",
		out:  "\x06 R%ｏKr%[\rＰＶ␗λ／5δ\x06Ａ＃#\x1a␁Ｃ␋ψ＞ξ ␉",
	}, { // 2580
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t `?μ␌οj\"％Ｄlｙ\x00（␂]ｂ\tο＄O\x03Wδχ^＞ Ｙ",
		out:  "␉ `?μ␌οj\"％Ｄlｙ␀（␂]ｂ\tο＄O\x03Wδχ^＞ Ｙ",
	}, { // 2581
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ `?μ␌οj\"％Ｄlｙ\x00（␂]ｂ\tο＄O\x03Wδχ^＞ Ｙ",
		out:  "‛␉ `?μ␌οj\"％Ｄlｙ␀（␂]ｂ\tο＄O\x03Wδχ^＞ Ｙ",
	}, { // 2582
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␗ `?μ␌οj\"％Ｄlｙ\x00（␂]ｂ\tο＄O\x03Wδχ^＞ \t",
		out:  "␗ `?μ␌οj\"％Ｄlｙ␀（␂]ｂ\tο＄O\x03Wδχ^＞ \t",
	}, { // 2583
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␗ `?μ␌οj\"％Ｄlｙ\x00（␂]ｂ\tο＄O\x03Wδχ^＞ ␉",
		out:  "␗ `?μ␌οj\"％Ｄlｙ␀（␂]ｂ\tο＄O\x03Wδχ^＞ ␉",
	}, { // 2584
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ；κ:ｄｎοζ^\\\x0e＞\x1b`'＜φ/］␚ｏＸＬ；ο\x01␡ -",
		out:  "␉ ；κ:ｄｎοζ^\\\x0e＞\x1b`'＜φ/］␚ｏＸＬ；ο\x01␡ -",
	}, { // 2585
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ；κ:ｄｎοζ^\\\x0e＞\x1b`'＜φ/］␚ｏＸＬ；ο\x01␡ -",
		out:  "‛␉ ；κ:ｄｎοζ^\\\x0e＞\x1b`'＜φ/］␚ｏＸＬ；ο\x01␡ -",
	}, { // 2586
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "| ；κ:ｄｎοζ^\\\x0e＞\x1b`'＜φ/］␚ｏＸＬ；ο\x01␡ \t",
		out:  "| ；κ:ｄｎοζ^\\\x0e＞\x1b`'＜φ/］␚ｏＸＬ；ο\x01␡ \t",
	}, { // 2587
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "| ；κ:ｄｎοζ^\\\x0e＞\x1b`'＜φ/］␚ｏＸＬ；ο\x01␡ ␉",
		out:  "| ；κ:ｄｎοζ^\\\x0e＞\x1b`'＜φ/］␚ｏＸＬ；ο\x01␡ ␉",
	}, { // 2588
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t k$\\ρ␍\x05ｗ\x12σ\nｈπ＃ｕ\x13bπ＊␋␛)ｙδ␟ｔ\r C",
		out:  "␉ k$\\ρ␍\x05ｗ\x12σ\nｈπ＃ｕ\x13bπ‛＊␋␛)ｙδ␟ｔ\r C",
	}, { // 2589
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ k$\\ρ␍\x05ｗ\x12σ\nｈπ＃ｕ\x13bπ＊␋␛)ｙδ␟ｔ\r C",
		out:  "‛␉ k$\\ρ␍\x05ｗ\x12σ\nｈπ＃ｕ\x13bπ‛＊␋␛)ｙδ␟ｔ\r C",
	}, { // 2590
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␗ k$\\ρ␍\x05ｗ\x12σ\nｈπ＃ｕ\x13bπ＊␋␛)ｙδ␟ｔ\r \t",
		out:  "␗ k$\\ρ␍\x05ｗ\x12σ\nｈπ＃ｕ\x13bπ‛＊␋␛)ｙδ␟ｔ\r \t",
	}, { // 2591
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␗ k$\\ρ␍\x05ｗ\x12σ\nｈπ＃ｕ\x13bπ＊␋␛)ｙδ␟ｔ\r ␉",
		out:  "␗ k$\\ρ␍\x05ｗ\x12σ\nｈπ＃ｕ\x13bπ‛＊␋␛)ｙδ␟ｔ\r ␉",
	}, { // 2592
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ｈ␈%υφ'*ｗ*Wγ␌/～%Ｌ␖o␖９␃}YκＮ␂ \x05",
		out:  "␉ ｈ␈%υφ'*ｗ*Wγ␌/～%Ｌ␖o␖９␃}YκＮ␂ \x05",
	}, { // 2593
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ｈ␈%υφ'*ｗ*Wγ␌/～%Ｌ␖o␖９␃}YκＮ␂ \x05",
		out:  "‛␉ ｈ␈%υφ'*ｗ*Wγ␌/～%Ｌ␖o␖９␃}YκＮ␂ \x05",
	}, { // 2594
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "β ｈ␈%υφ'*ｗ*Wγ␌/～%Ｌ␖o␖９␃}YκＮ␂ \t",
		out:  "β ｈ␈%υφ'*ｗ*Wγ␌/～%Ｌ␖o␖９␃}YκＮ␂ \t",
	}, { // 2595
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "β ｈ␈%υφ'*ｗ*Wγ␌/～%Ｌ␖o␖９␃}YκＮ␂ ␉",
		out:  "β ｈ␈%υφ'*ｗ*Wγ␌/～%Ｌ␖o␖９␃}YκＮ␂ ␉",
	}, { // 2596
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ζkπｃ\b［\x11ιeＺ／␂Ｓ\"Ｌο\rM␖f\n\x13ο/＼ξ m",
		out:  "␉ ζkπｃ\b［\x11ιeＺ／␂Ｓ\"Ｌο\rM␖f\n\x13ο/＼ξ m",
	}, { // 2597
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ζkπｃ\b［\x11ιeＺ／␂Ｓ\"Ｌο\rM␖f\n\x13ο/＼ξ m",
		out:  "‛␉ ζkπｃ\b［\x11ιeＺ／␂Ｓ\"Ｌο\rM␖f\n\x13ο/＼ξ m",
	}, { // 2598
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "Ｆ ζkπｃ\b［\x11ιeＺ／␂Ｓ\"Ｌο\rM␖f\n\x13ο/＼ξ \t",
		out:  "Ｆ ζkπｃ\b［\x11ιeＺ／␂Ｓ\"Ｌο\rM␖f\n\x13ο/＼ξ \t",
	}, { // 2599
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "Ｆ ζkπｃ\b［\x11ιeＺ／␂Ｓ\"Ｌο\rM␖f\n\x13ο/＼ξ ␉",
		out:  "Ｆ ζkπｃ\b［\x11ιeＺ／␂Ｓ\"Ｌο\rM␖f\n\x13ο/＼ξ ␉",
	}, { // 2600
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ␊＂ｍ\v\tδν?\x1fＳ\u007f␃；)@\x02|q<␖ιλＲ4ωπ ␊",
		out:  "␉ ␊＂ｍ\v\tδν?\x1fＳ\u007f␃；)@\x02|q<␖ιλＲ4ωπ ␊",
	}, { // 2601
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ␊＂ｍ\v\tδν?\x1fＳ\u007f␃；)@\x02|q<␖ιλＲ4ωπ ␊",
		out:  "‛␉ ␊＂ｍ\v\tδν?\x1fＳ\u007f␃；)@\x02|q<␖ιλＲ4ωπ ␊",
	}, { // 2602
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ｗ ␊＂ｍ\v\tδν?\x1fＳ\u007f␃；)@\x02|q<␖ιλＲ4ωπ \t",
		out:  "ｗ ␊＂ｍ\v\tδν?\x1fＳ\u007f␃；)@\x02|q<␖ιλＲ4ωπ \t",
	}, { // 2603
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "ｗ ␊＂ｍ\v\tδν?\x1fＳ\u007f␃；)@\x02|q<␖ιλＲ4ωπ ␉",
		out:  "ｗ ␊＂ｍ\v\tδν?\x1fＳ\u007f␃；)@\x02|q<␖ιλＲ4ωπ ␉",
	}, { // 2604
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t ␛\t＊ｂ\rε｝\x17ａv\"ιｆ＇<#\x1bμ＞＼mAε␄Ｇξ ＃",
		out:  "␉ ␛\t＊ｂ\rε｝\x17ａv\"ιｆ＇<#\x1bμ＞‛＼mAε␄Ｇξ ＃",
	}, { // 2605
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ␛\t＊ｂ\rε｝\x17ａv\"ιｆ＇<#\x1bμ＞＼mAε␄Ｇξ ＃",
		out:  "‛␉ ␛\t＊ｂ\rε｝\x17ａv\"ιｆ＇<#\x1bμ＞‛＼mAε␄Ｇξ ＃",
	}, { // 2606
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\x06 ␛\t＊ｂ\rε｝\x17ａv\"ιｆ＇<#\x1bμ＞＼mAε␄Ｇξ \t",
		out:  "\x06 ␛\t＊ｂ\rε｝\x17ａv\"ιｆ＇<#\x1bμ＞‛＼mAε␄Ｇξ \t",
	}, { // 2607
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\x06 ␛\t＊ｂ\rε｝\x17ａv\"ιｆ＇<#\x1bμ＞＼mAε␄Ｇξ ␉",
		out:  "\x06 ␛\t＊ｂ\rε｝\x17ａv\"ιｆ＇<#\x1bμ＞‛＼mAε␄Ｇξ ␉",
	}, { // 2608
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "\t \x1d＜ν␊$;aεｃ)_Ｏ#ζｃ０：e＃ς＼\x1b｀\x11Ｏ\x00 λ",
		out:  "␉ \x1d＜ν␊$;aεｃ)_Ｏ#ζｃ０：e＃ς＼\x1b｀\x11Ｏ␀ λ",
	}, { // 2609
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \x1d＜ν␊$;aεｃ)_Ｏ#ζｃ０：e＃ς＼\x1b｀\x11Ｏ\x00 λ",
		out:  "‛␉ \x1d＜ν␊$;aεｃ)_Ｏ#ζｃ０：e＃ς＼\x1b｀\x11Ｏ␀ λ",
	}, { // 2610
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "* \x1d＜ν␊$;aεｃ)_Ｏ#ζｃ０：e＃ς＼\x1b｀\x11Ｏ\x00 \t",
		out:  "* \x1d＜ν␊$;aεｃ)_Ｏ#ζｃ０：e＃ς＼\x1b｀\x11Ｏ␀ \t",
	}, { // 2611
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftSpace,
		in:   "* \x1d＜ν␊$;aεｃ)_Ｏ#ζｃ０：e＃ς＼\x1b｀\x11Ｏ\x00 ␉",
		out:  "* \x1d＜ν␊$;aεｃ)_Ｏ#ζｃ０：e＃ς＼\x1b｀\x11Ｏ␀ ␉",
	}, { // 2612
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\n␙ｓ\x19ητｒ\x1b．␊-\x06$\x13１}␡F␌φθ+ｗ｀]κ.6",
		out:  "␉.\n␙ｓ\x19ητｒ\x1b．␊-\x06$\x13１}␡F␌φθ+ｗ｀]κ.6",
	}, { // 2613
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\n␙ｓ\x19ητｒ\x1b．␊-\x06$\x13１}␡F␌φθ+ｗ｀]κ.6",
		out:  "‛␉.\n␙ｓ\x19ητｒ\x1b．␊-\x06$\x13１}␡F␌φθ+ｗ｀]κ.6",
	}, { // 2614
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "α.\n␙ｓ\x19ητｒ\x1b．␊-\x06$\x13１}␡F␌φθ+ｗ｀]κ.\t",
		out:  "α.\n␙ｓ\x19ητｒ\x1b．␊-\x06$\x13１}␡F␌φθ+ｗ｀]κ.\t",
	}, { // 2615
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "α.\n␙ｓ\x19ητｒ\x1b．␊-\x06$\x13１}␡F␌φθ+ｗ｀]κ.␉",
		out:  "α.\n␙ｓ\x19ητｒ\x1b．␊-\x06$\x13１}␡F␌φθ+ｗ｀]κ.␉",
	}, { // 2616
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.＾９\x16μ１␘χζ\x1aDεα␔，\x12␉\n\"␆[９,\x17␔οc.'",
		out:  "␉.＾９\x16μ１␘χζ\x1aDεα␔，\x12␉\n\"␆[９,\x17␔οc.'",
	}, { // 2617
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.＾９\x16μ１␘χζ\x1aDεα␔，\x12␉\n\"␆[９,\x17␔οc.'",
		out:  "‛␉.＾９\x16μ１␘χζ\x1aDεα␔，\x12␉\n\"␆[９,\x17␔οc.'",
	}, { // 2618
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "+.＾９\x16μ１␘χζ\x1aDεα␔，\x12␉\n\"␆[９,\x17␔οc.\t",
		out:  "+.＾９\x16μ１␘χζ\x1aDεα␔，\x12␉\n\"␆[９,\x17␔οc.\t",
	}, { // 2619
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "+.＾９\x16μ１␘χζ\x1aDεα␔，\x12␉\n\"␆[９,\x17␔οc.␉",
		out:  "+.＾９\x16μ１␘χζ\x1aDεα␔，\x12␉\n\"␆[９,\x17␔οc.␉",
	}, { // 2620
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.σ<␐␞␜\x17Cｎ$ι\x1b\x14１ｆν␋ζzιDb`␜ａｄ｛.␉",
		out:  "␉.σ<␐␞␜\x17Cｎ$ι\x1b\x14１ｆν␋ζzιDb`␜ａｄ｛.␉",
	}, { // 2621
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.σ<␐␞␜\x17Cｎ$ι\x1b\x14１ｆν␋ζzιDb`␜ａｄ｛.␉",
		out:  "‛␉.σ<␐␞␜\x17Cｎ$ι\x1b\x14１ｆν␋ζzιDb`␜ａｄ｛.␉",
	}, { // 2622
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\x1c.σ<␐␞␜\x17Cｎ$ι\x1b\x14１ｆν␋ζzιDb`␜ａｄ｛.\t",
		out:  "\x1c.σ<␐␞␜\x17Cｎ$ι\x1b\x14１ｆν␋ζzιDb`␜ａｄ｛.\t",
	}, { // 2623
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\x1c.σ<␐␞␜\x17Cｎ$ι\x1b\x14１ｆν␋ζzιDb`␜ａｄ｛.␉",
		out:  "\x1c.σ<␐␞␜\x17Cｎ$ι\x1b\x14１ｆν␋ζzιDb`␜ａｄ｛.␉",
	}, { // 2624
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.%π␅\f␎m４?\\\x17␃\x19␏～λ[２［ψx\u007f#ς＜ ι.＼",
		out:  "␉.%π␅\f␎m４?\\\x17␃\x19␏～λ[２［ψx\u007f#ς＜ ι.＼",
	}, { // 2625
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.%π␅\f␎m４?\\\x17␃\x19␏～λ[２［ψx\u007f#ς＜ ι.＼",
		out:  "‛␉.%π␅\f␎m４?\\\x17␃\x19␏～λ[２［ψx\u007f#ς＜ ι.＼",
	}, { // 2626
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "λ.%π␅\f␎m４?\\\x17␃\x19␏～λ[２［ψx\u007f#ς＜ ι.\t",
		out:  "λ.%π␅\f␎m４?\\\x17␃\x19␏～λ[２［ψx\u007f#ς＜ ι.\t",
	}, { // 2627
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "λ.%π␅\f␎m４?\\\x17␃\x19␏～λ[２［ψx\u007f#ς＜ ι.␉",
		out:  "λ.%π␅\f␎m４?\\\x17␃\x19␏～λ[２［ψx\u007f#ς＜ ι.␉",
	}, { // 2628
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\x19F$；␟＼=νι％ｆ␙qπ－η6:Ｑ０?δ\x12Wｑ].␅",
		out:  "␉.\x19F$；␟＼=νι％ｆ␙qπ－η6:Ｑ０?δ\x12Wｑ].␅",
	}, { // 2629
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\x19F$；␟＼=νι％ｆ␙qπ－η6:Ｑ０?δ\x12Wｑ].␅",
		out:  "‛␉.\x19F$；␟＼=νι％ｆ␙qπ－η6:Ｑ０?δ\x12Wｑ].␅",
	}, { // 2630
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "Ｐ.\x19F$；␟＼=νι％ｆ␙qπ－η6:Ｑ０?δ\x12Wｑ].\t",
		out:  "Ｐ.\x19F$；␟＼=νι％ｆ␙qπ－η6:Ｑ０?δ\x12Wｑ].\t",
	}, { // 2631
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "Ｐ.\x19F$；␟＼=νι％ｆ␙qπ－η6:Ｑ０?δ\x12Wｑ].␉",
		out:  "Ｐ.\x19F$；␟＼=νι％ｆ␙qπ－η6:Ｑ０?δ\x12Wｑ].␉",
	}, { // 2632
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.σ［Ｚ␇\x13]␃AG\\>υ@ｐＧvτπ\n\x1c\x00ν＇␇␕Ｑ.$",
		out:  "␉.σ‛［Ｚ␇\x13］␃AG\\>υ@ｐＧvτπ\n\x1c␀ν＇␇␕Ｑ.$",
	}, { // 2633
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.σ［Ｚ␇\x13]␃AG\\>υ@ｐＧvτπ\n\x1c\x00ν＇␇␕Ｑ.$",
		out:  "‛␉.σ‛［Ｚ␇\x13］␃AG\\>υ@ｐＧvτπ\n\x1c␀ν＇␇␕Ｑ.$",
	}, { // 2634
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "｀.σ［Ｚ␇\x13]␃AG\\>υ@ｐＧvτπ\n\x1c\x00ν＇␇␕Ｑ.\t",
		out:  "｀.σ‛［Ｚ␇\x13］␃AG\\>υ@ｐＧvτπ\n\x1c␀ν＇␇␕Ｑ.\t",
	}, { // 2635
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "｀.σ［Ｚ␇\x13]␃AG\\>υ@ｐＧvτπ\n\x1c\x00ν＇␇␕Ｑ.␉",
		out:  "｀.σ‛［Ｚ␇\x13］␃AG\\>υ@ｐＧvτπ\n\x1c␀ν＇␇␕Ｑ.␉",
	}, { // 2636
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.κρ:χ{ｙ[␊＾＄o＜␃`Jt%７x\bη␈｀ａς\x01.＋",
		out:  "␉.κρ:χ{ｙ[␊＾＄o＜␃`Jt%７x\bη␈｀ａς\x01.＋",
	}, { // 2637
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.κρ:χ{ｙ[␊＾＄o＜␃`Jt%７x\bη␈｀ａς\x01.＋",
		out:  "‛␉.κρ:χ{ｙ[␊＾＄o＜␃`Jt%７x\bη␈｀ａς\x01.＋",
	}, { // 2638
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "β.κρ:χ{ｙ[␊＾＄o＜␃`Jt%７x\bη␈｀ａς\x01.\t",
		out:  "β.κρ:χ{ｙ[␊＾＄o＜␃`Jt%７x\bη␈｀ａς\x01.\t",
	}, { // 2639
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "β.κρ:χ{ｙ[␊＾＄o＜␃`Jt%７x\bη␈｀ａς\x01.␉",
		out:  "β.κρ:χ{ｙ[␊＾＄o＜␃`Jt%７x\bη␈｀ａς\x01.␉",
	}, { // 2640
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␘vmNν␅\x18ｑαxγε␐ｂ#Ａ\u007f\x1fγ？Ｘa\x12ｔη＜.␓",
		out:  "␉.␘vmNν␅\x18ｑαxγε␐ｂ#Ａ\u007f\x1fγ？Ｘa\x12ｔη＜.␓",
	}, { // 2641
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␘vmNν␅\x18ｑαxγε␐ｂ#Ａ\u007f\x1fγ？Ｘa\x12ｔη＜.␓",
		out:  "‛␉.␘vmNν␅\x18ｑαxγε␐ｂ#Ａ\u007f\x1fγ？Ｘa\x12ｔη＜.␓",
	}, { // 2642
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\x14.␘vmNν␅\x18ｑαxγε␐ｂ#Ａ\u007f\x1fγ？Ｘa\x12ｔη＜.\t",
		out:  "\x14.␘vmNν␅\x18ｑαxγε␐ｂ#Ａ\u007f\x1fγ？Ｘa\x12ｔη＜.\t",
	}, { // 2643
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\x14.␘vmNν␅\x18ｑαxγε␐ｂ#Ａ\u007f\x1fγ？Ｘa\x12ｔη＜.␉",
		out:  "\x14.␘vmNν␅\x18ｑαxγε␐ｂ#Ａ\u007f\x1fγ？Ｘa\x12ｔη＜.␉",
	}, { // 2644
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.＃δＺ␗>９ｘ␎oγ␁ι␎λς\x03\x1e.\x1cＪJ`＇Ｉ\n\x11.g",
		out:  "␉.＃δＺ␗>９ｘ␎oγ␁ι␎λς\x03\x1e.\x1cＪJ`＇Ｉ\n\x11.g",
	}, { // 2645
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.＃δＺ␗>９ｘ␎oγ␁ι␎λς\x03\x1e.\x1cＪJ`＇Ｉ\n\x11.g",
		out:  "‛␉.＃δＺ␗>９ｘ␎oγ␁ι␎λς\x03\x1e.\x1cＪJ`＇Ｉ\n\x11.g",
	}, { // 2646
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "'.＃δＺ␗>９ｘ␎oγ␁ι␎λς\x03\x1e.\x1cＪJ`＇Ｉ\n\x11.\t",
		out:  "'.＃δＺ␗>９ｘ␎oγ␁ι␎λς\x03\x1e.\x1cＪJ`＇Ｉ\n\x11.\t",
	}, { // 2647
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "'.＃δＺ␗>９ｘ␎oγ␁ι␎λς\x03\x1e.\x1cＪJ`＇Ｉ\n\x11.␉",
		out:  "'.＃δＺ␗>９ｘ␎oγ␁ι␎λς\x03\x1e.\x1cＪJ`＇Ｉ\n\x11.␉",
	}, { // 2648
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␜^␒*φ\x1d`Ａ␁ζρ?␉５v！\x15γ\x17［ζＱ␓π␒\u007f.`",
		out:  "␉.␜^␒*φ\x1d`Ａ␁ζρ?␉５v！\x15γ\x17［ζＱ␓π␒\u007f.`",
	}, { // 2649
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␜^␒*φ\x1d`Ａ␁ζρ?␉５v！\x15γ\x17［ζＱ␓π␒\u007f.`",
		out:  "‛␉.␜^␒*φ\x1d`Ａ␁ζρ?␉５v！\x15γ\x17［ζＱ␓π␒\u007f.`",
	}, { // 2650
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "&.␜^␒*φ\x1d`Ａ␁ζρ?␉５v！\x15γ\x17［ζＱ␓π␒\u007f.\t",
		out:  "&.␜^␒*φ\x1d`Ａ␁ζρ?␉５v！\x15γ\x17［ζＱ␓π␒\u007f.\t",
	}, { // 2651
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "&.␜^␒*φ\x1d`Ａ␁ζρ?␉５v！\x15γ\x17［ζＱ␓π␒\u007f.␉",
		out:  "&.␜^␒*φ\x1d`Ａ␁ζρ?␉５v！\x15γ\x17［ζＱ␓π␒\u007f.␉",
	}, { // 2652
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.D␊x\x01［␁*％&::␐p\x06|\x1cζｑvｎκδ␟ξ␝；.τ",
		out:  "␉.D␊x\x01［␁*％&::␐p\x06|\x1cζｑvｎκδ␟ξ␝；.τ",
	}, { // 2653
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.D␊x\x01［␁*％&::␐p\x06|\x1cζｑvｎκδ␟ξ␝；.τ",
		out:  "‛␉.D␊x\x01［␁*％&::␐p\x06|\x1cζｑvｎκδ␟ξ␝；.τ",
	}, { // 2654
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "ω.D␊x\x01［␁*％&::␐p\x06|\x1cζｑvｎκδ␟ξ␝；.\t",
		out:  "ω.D␊x\x01［␁*％&::␐p\x06|\x1cζｑvｎκδ␟ξ␝；.\t",
	}, { // 2655
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "ω.D␊x\x01［␁*％&::␐p\x06|\x1cζｑvｎκδ␟ξ␝；.␉",
		out:  "ω.D␊x\x01［␁*％&::␐p\x06|\x1cζｑvｎκδ␟ξ␝；.␉",
	}, { // 2656
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.0\"ιｄ␖\x18dμ［／␊ν|ｘ\\０Ｉ␚｛\x0e␓cI_ａ\x10.ε",
		out:  "␉.0\"ιｄ␖\x18dμ［／␊ν|ｘ\\０Ｉ␚｛\x0e␓cI_ａ\x10.ε",
	}, { // 2657
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.0\"ιｄ␖\x18dμ［／␊ν|ｘ\\０Ｉ␚｛\x0e␓cI_ａ\x10.ε",
		out:  "‛␉.0\"ιｄ␖\x18dμ［／␊ν|ｘ\\０Ｉ␚｛\x0e␓cI_ａ\x10.ε",
	}, { // 2658
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "d.0\"ιｄ␖\x18dμ［／␊ν|ｘ\\０Ｉ␚｛\x0e␓cI_ａ\x10.\t",
		out:  "d.0\"ιｄ␖\x18dμ［／␊ν|ｘ\\０Ｉ␚｛\x0e␓cI_ａ\x10.\t",
	}, { // 2659
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "d.0\"ιｄ␖\x18dμ［／␊ν|ｘ\\０Ｉ␚｛\x0e␓cI_ａ\x10.␉",
		out:  "d.0\"ιｄ␖\x18dμ［／␊ν|ｘ\\０Ｉ␚｛\x0e␓cI_ａ\x10.␉",
	}, { // 2660
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.%␅\"\x03φｋ；Lν｜\aγψωζ␡％\x02\f]＿␊\x1cＮ！K.Ｃ",
		out:  "␉.%␅\"\x03φｋ；Lν‛｜\aγψωζ␡％\x02\f]＿␊\x1cＮ！K.Ｃ",
	}, { // 2661
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.%␅\"\x03φｋ；Lν｜\aγψωζ␡％\x02\f]＿␊\x1cＮ！K.Ｃ",
		out:  "‛␉.%␅\"\x03φｋ；Lν‛｜\aγψωζ␡％\x02\f]＿␊\x1cＮ！K.Ｃ",
	}, { // 2662
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "z.%␅\"\x03φｋ；Lν｜\aγψωζ␡％\x02\f]＿␊\x1cＮ！K.\t",
		out:  "z.%␅\"\x03φｋ；Lν‛｜\aγψωζ␡％\x02\f]＿␊\x1cＮ！K.\t",
	}, { // 2663
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "z.%␅\"\x03φｋ；Lν｜\aγψωζ␡％\x02\f]＿␊\x1cＮ！K.␉",
		out:  "z.%␅\"\x03φｋ；Lν‛｜\aγψωζ␡％\x02\f]＿␊\x1cＮ！K.␉",
	}, { // 2664
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␞Ｌk＼pＸ:cδ０α1］`=＃υ\x1d＊）␉\x00υＮ９;.ζ",
		out:  "␉.␞Ｌk＼pＸ:cδ０α1］`=‛＃υ\x1d＊）␉␀υＮ９;.ζ",
	}, { // 2665
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␞Ｌk＼pＸ:cδ０α1］`=＃υ\x1d＊）␉\x00υＮ９;.ζ",
		out:  "‛␉.␞Ｌk＼pＸ:cδ０α1］`=‛＃υ\x1d＊）␉␀υＮ９;.ζ",
	}, { // 2666
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "χ.␞Ｌk＼pＸ:cδ０α1］`=＃υ\x1d＊）␉\x00υＮ９;.\t",
		out:  "χ.␞Ｌk＼pＸ:cδ０α1］`=‛＃υ\x1d＊）␉␀υＮ９;.\t",
	}, { // 2667
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "χ.␞Ｌk＼pＸ:cδ０α1］`=＃υ\x1d＊）␉\x00υＮ９;.␉",
		out:  "χ.␞Ｌk＼pＸ:cδ０α1］`=‛＃υ\x1d＊）␉␀υＮ９;.␉",
	}, { // 2668
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.＋］／ι␓eＡ␀v\"␡/δ\x1f\n\x1dρ９δ:␍＄ηs%(.n",
		out:  "␉.＋］／ι␓eＡ‛␀v\"␡/δ\x1f\n\x1dρ９δ:␍＄ηs％(.n",
	}, { // 2669
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.＋］／ι␓eＡ␀v\"␡/δ\x1f\n\x1dρ９δ:␍＄ηs%(.n",
		out:  "‛␉.＋］／ι␓eＡ‛␀v\"␡/δ\x1f\n\x1dρ９δ:␍＄ηs％(.n",
	}, { // 2670
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "Ｘ.＋］／ι␓eＡ␀v\"␡/δ\x1f\n\x1dρ９δ:␍＄ηs%(.\t",
		out:  "Ｘ.＋］／ι␓eＡ‛␀v\"␡/δ\x1f\n\x1dρ９δ:␍＄ηs％(.\t",
	}, { // 2671
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "Ｘ.＋］／ι␓eＡ␀v\"␡/δ\x1f\n\x1dρ９δ:␍＄ηs%(.␉",
		out:  "Ｘ.＋］／ι␓eＡ‛␀v\"␡/δ\x1f\n\x1dρ９δ:␍＄ηs％(.␉",
	}, { // 2672
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.＞αｖδｇπ\x1a␐'χ/ｖ␏βya＾＼\x05P＝␍χK@$.ａ",
		out:  "␉.＞αｖδｇπ\x1a␐'χ/ｖ␏βya＾‛＼\x05P＝␍χK@$.ａ",
	}, { // 2673
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.＞αｖδｇπ\x1a␐'χ/ｖ␏βya＾＼\x05P＝␍χK@$.ａ",
		out:  "‛␉.＞αｖδｇπ\x1a␐'χ/ｖ␏βya＾‛＼\x05P＝␍χK@$.ａ",
	}, { // 2674
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "：.＞αｖδｇπ\x1a␐'χ/ｖ␏βya＾＼\x05P＝␍χK@$.\t",
		out:  "：.＞αｖδｇπ\x1a␐'χ/ｖ␏βya＾‛＼\x05P＝␍χK@$.\t",
	}, { // 2675
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "：.＞αｖδｇπ\x1a␐'χ/ｖ␏βya＾＼\x05P＝␍χK@$.␉",
		out:  "：.＞αｖδｇπ\x1a␐'χ/ｖ␏βya＾‛＼\x05P＝␍χK@$.␉",
	}, { // 2676
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␁␄+*$␂ＣＡ\a＇\x1eｒ\x01ςOφε\f␊γ＂\x1f~Ｄμ\".ｎ",
		out:  "␉.␁␄+*$␂ＣＡ\a＇\x1eｒ\x01ςOφε\f␊γ＂\x1f~Ｄμ\".ｎ",
	}, { // 2677
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␁␄+*$␂ＣＡ\a＇\x1eｒ\x01ςOφε\f␊γ＂\x1f~Ｄμ\".ｎ",
		out:  "‛␉.␁␄+*$␂ＣＡ\a＇\x1eｒ\x01ςOφε\f␊γ＂\x1f~Ｄμ\".ｎ",
	}, { // 2678
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "(.␁␄+*$␂ＣＡ\a＇\x1eｒ\x01ςOφε\f␊γ＂\x1f~Ｄμ\".\t",
		out:  "(.␁␄+*$␂ＣＡ\a＇\x1eｒ\x01ςOφε\f␊γ＂\x1f~Ｄμ\".\t",
	}, { // 2679
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftPeriod,
		in:   "(.␁␄+*$␂ＣＡ\a＇\x1eｒ\x01ςOφε\f␊γ＂\x1f~Ｄμ\".␉",
		out:  "(.␁␄+*$␂ＣＡ\a＇\x1eｒ\x01ςOφε\f␊γ＂\x1f~Ｄμ\".␉",
	}, { // 2680
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~␙η5\x1bt␡@Ｐπθφψ}＂ｅＧ\x05\a］\x13［\r␋ＯZm~\uff00",
		out:  "␉~␙η5\x1bt␡@Ｐπθφψ}＂ｅＧ\x05\a］\x13［\r␋ＯZm~\uff00",
	}, { // 2681
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␙η5\x1bt␡@Ｐπθφψ}＂ｅＧ\x05\a］\x13［\r␋ＯZm~\uff00",
		out:  "‛␉~␙η5\x1bt␡@Ｐπθφψ}＂ｅＧ\x05\a］\x13［\r␋ＯZm~\uff00",
	}, { // 2682
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ο~␙η5\x1bt␡@Ｐπθφψ}＂ｅＧ\x05\a］\x13［\r␋ＯZm~\t",
		out:  "ο~␙η5\x1bt␡@Ｐπθφψ}＂ｅＧ\x05\a］\x13［\r␋ＯZm~\t",
	}, { // 2683
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ο~␙η5\x1bt␡@Ｐπθφψ}＂ｅＧ\x05\a］\x13［\r␋ＯZm~␉",
		out:  "ο~␙η5\x1bt␡@Ｐπθφψ}＂ｅＧ\x05\a］\x13［\r␋ＯZm~␉",
	}, { // 2684
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\x05ψ\x14７Ｘβσ｛␟9｜\x00m?Ｑ＃D\x15␒λ\x04|\\５␐␇~＃",
		out:  "␉~\x05ψ\x14７Ｘβσ｛␟9｜␀m?Ｑ＃D\x15␒λ\x04|\\５␐␇~＃",
	}, { // 2685
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\x05ψ\x14７Ｘβσ｛␟9｜\x00m?Ｑ＃D\x15␒λ\x04|\\５␐␇~＃",
		out:  "‛␉~\x05ψ\x14７Ｘβσ｛␟9｜␀m?Ｑ＃D\x15␒λ\x04|\\５␐␇~＃",
	}, { // 2686
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "a~\x05ψ\x14７Ｘβσ｛␟9｜\x00m?Ｑ＃D\x15␒λ\x04|\\５␐␇~\t",
		out:  "a~\x05ψ\x14７Ｘβσ｛␟9｜␀m?Ｑ＃D\x15␒λ\x04|\\５␐␇~\t",
	}, { // 2687
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "a~\x05ψ\x14７Ｘβσ｛␟9｜\x00m?Ｑ＃D\x15␒λ\x04|\\５␐␇~␉",
		out:  "a~\x05ψ\x14７Ｘβσ｛␟9｜␀m?Ｑ＃D\x15␒λ\x04|\\５␐␇~␉",
	}, { // 2688
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~Ｗ%τ␛ｍ*R\x1c＿\n␈／␖ξζ␒Ｑψκ\x1e\x01)hzε５~\x15",
		out:  "␉~Ｗ%τ␛ｍ*R\x1c＿\n␈／␖ξζ␒Ｑψκ\x1e\x01)hzε５~\x15",
	}, { // 2689
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~Ｗ%τ␛ｍ*R\x1c＿\n␈／␖ξζ␒Ｑψκ\x1e\x01)hzε５~\x15",
		out:  "‛␉~Ｗ%τ␛ｍ*R\x1c＿\n␈／␖ξζ␒Ｑψκ\x1e\x01)hzε５~\x15",
	}, { // 2690
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "＄~Ｗ%τ␛ｍ*R\x1c＿\n␈／␖ξζ␒Ｑψκ\x1e\x01)hzε５~\t",
		out:  "＄~Ｗ%τ␛ｍ*R\x1c＿\n␈／␖ξζ␒Ｑψκ\x1e\x01)hzε５~\t",
	}, { // 2691
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "＄~Ｗ%τ␛ｍ*R\x1c＿\n␈／␖ξζ␒Ｑψκ\x1e\x01)hzε５~␉",
		out:  "＄~Ｗ%τ␛ｍ*R\x1c＿\n␈／␖ξζ␒Ｑψκ\x1e\x01)hzε５~␉",
	}, { // 2692
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~οψπ/␁␇e（ａ＃␒vT（η␍%｀\x15＋ｒG;/／$~μ",
		out:  "␉~οψπ/␁␇e（ａ＃␒vT（η␍%‛｀\x15＋ｒG;/／$~μ",
	}, { // 2693
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~οψπ/␁␇e（ａ＃␒vT（η␍%｀\x15＋ｒG;/／$~μ",
		out:  "‛␉~οψπ/␁␇e（ａ＃␒vT（η␍%‛｀\x15＋ｒG;/／$~μ",
	}, { // 2694
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "μ~οψπ/␁␇e（ａ＃␒vT（η␍%｀\x15＋ｒG;/／$~\t",
		out:  "μ~οψπ/␁␇e（ａ＃␒vT（η␍%‛｀\x15＋ｒG;/／$~\t",
	}, { // 2695
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "μ~οψπ/␁␇e（ａ＃␒vT（η␍%｀\x15＋ｒG;/／$~␉",
		out:  "μ~οψπ/␁␇e（ａ＃␒vT（η␍%‛｀\x15＋ｒG;/／$~␉",
	}, { // 2696
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\x12␛λρz␄\x04\x024χ\x1a+␒？ο＊\\Ｏ;οｕ．c｀ｂＳ~＃",
		out:  "␉~\x12␛λρz␄\x04\x024χ\x1a+␒？ο＊\\Ｏ;οｕ．c｀ｂＳ~＃",
	}, { // 2697
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\x12␛λρz␄\x04\x024χ\x1a+␒？ο＊\\Ｏ;οｕ．c｀ｂＳ~＃",
		out:  "‛␉~\x12␛λρz␄\x04\x024χ\x1a+␒？ο＊\\Ｏ;οｕ．c｀ｂＳ~＃",
	}, { // 2698
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "-~\x12␛λρz␄\x04\x024χ\x1a+␒？ο＊\\Ｏ;οｕ．c｀ｂＳ~\t",
		out:  "-~\x12␛λρz␄\x04\x024χ\x1a+␒？ο＊\\Ｏ;οｕ．c｀ｂＳ~\t",
	}, { // 2699
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "-~\x12␛λρz␄\x04\x024χ\x1a+␒？ο＊\\Ｏ;οｕ．c｀ｂＳ~␉",
		out:  "-~\x12␛λρz␄\x04\x024χ\x1a+␒？ο＊\\Ｏ;οｕ．c｀ｂＳ~␉",
	}, { // 2700
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ζ？[#\x12θσ２｜Ｍ␍?\fηο␍λｊ\nｚvdz␉␟ｖ~j",
		out:  "␉~ζ？［#\x12θσ２｜Ｍ␍?\fηο␍λｊ\nｚvdz␉␟ｖ~j",
	}, { // 2701
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ζ？[#\x12θσ２｜Ｍ␍?\fηο␍λｊ\nｚvdz␉␟ｖ~j",
		out:  "‛␉~ζ？［#\x12θσ２｜Ｍ␍?\fηο␍λｊ\nｚvdz␉␟ｖ~j",
	}, { // 2702
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "＞~ζ？[#\x12θσ２｜Ｍ␍?\fηο␍λｊ\nｚvdz␉␟ｖ~\t",
		out:  "＞~ζ？［#\x12θσ２｜Ｍ␍?\fηο␍λｊ\nｚvdz␉␟ｖ~\t",
	}, { // 2703
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "＞~ζ？[#\x12θσ２｜Ｍ␍?\fηο␍λｊ\nｚvdz␉␟ｖ~␉",
		out:  "＞~ζ？［#\x12θσ２｜Ｍ␍?\fηο␍λｊ\nｚvdz␉␟ｖ~␉",
	}, { // 2704
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~Ｅ／␂σ/ｔN［０\rγοGλ\bυ｝␂\x1bηr␝＇␁␄u~\r",
		out:  "␉~Ｅ／␂σ/ｔN［０\rγοGλ\bυ｝␂\x1bηr␝＇␁␄u~\r",
	}, { // 2705
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~Ｅ／␂σ/ｔN［０\rγοGλ\bυ｝␂\x1bηr␝＇␁␄u~\r",
		out:  "‛␉~Ｅ／␂σ/ｔN［０\rγοGλ\bυ｝␂\x1bηr␝＇␁␄u~\r",
	}, { // 2706
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "x~Ｅ／␂σ/ｔN［０\rγοGλ\bυ｝␂\x1bηr␝＇␁␄u~\t",
		out:  "x~Ｅ／␂σ/ｔN［０\rγοGλ\bυ｝␂\x1bηr␝＇␁␄u~\t",
	}, { // 2707
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "x~Ｅ／␂σ/ｔN［０\rγοGλ\bυ｝␂\x1bηr␝＇␁␄u~␉",
		out:  "x~Ｅ／␂σ/ｔN［０\rγοGλ\bυ｝␂\x1bηr␝＇␁␄u~␉",
	}, { // 2708
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~.␊1＂%ο\x12\x1dＫOξ\x1a␒＿４%ςδo␌ξθ［␚s\x04~\x04",
		out:  "␉~.␊1＂%ο\x12\x1dＫOξ\x1a␒＿４%ςδo␌ξθ［␚s\x04~\x04",
	}, { // 2709
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~.␊1＂%ο\x12\x1dＫOξ\x1a␒＿４%ςδo␌ξθ［␚s\x04~\x04",
		out:  "‛␉~.␊1＂%ο\x12\x1dＫOξ\x1a␒＿４%ςδo␌ξθ［␚s\x04~\x04",
	}, { // 2710
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ｅ~.␊1＂%ο\x12\x1dＫOξ\x1a␒＿４%ςδo␌ξθ［␚s\x04~\t",
		out:  "ｅ~.␊1＂%ο\x12\x1dＫOξ\x1a␒＿４%ςδo␌ξθ［␚s\x04~\t",
	}, { // 2711
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ｅ~.␊1＂%ο\x12\x1dＫOξ\x1a␒＿４%ςδo␌ξθ［␚s\x04~␉",
		out:  "ｅ~.␊1＂%ο\x12\x1dＫOξ\x1a␒＿４%ςδo␌ξθ［␚s\x04~␉",
	}, { // 2712
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~＼\"\\]i\n␕gο<ζ｜βk ␄＃␎ρμＶ*／\x16Ｒ\uff00~␁",
		out:  "␉~＼＂\\]i\n␕gο<ζ｜βk ␄＃␎ρμＶ*／\x16Ｒ\uff00~␁",
	}, { // 2713
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~＼\"\\]i\n␕gο<ζ｜βk ␄＃␎ρμＶ*／\x16Ｒ\uff00~␁",
		out:  "‛␉~＼＂\\]i\n␕gο<ζ｜βk ␄＃␎ρμＶ*／\x16Ｒ\uff00~␁",
	}, { // 2714
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ζ~＼\"\\]i\n␕gο<ζ｜βk ␄＃␎ρμＶ*／\x16Ｒ\uff00~\t",
		out:  "ζ~＼＂\\]i\n␕gο<ζ｜βk ␄＃␎ρμＶ*／\x16Ｒ\uff00~\t",
	}, { // 2715
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "ζ~＼\"\\]i\n␕gο<ζ｜βk ␄＃␎ρμＶ*／\x16Ｒ\uff00~␉",
		out:  "ζ~＼＂\\]i\n␕gο<ζ｜βk ␄＃␎ρμＶ*／\x16Ｒ\uff00~␉",
	}, { // 2716
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~εδ：ｊ［W␕[\x1buδ＃␎`ｊ\x00hπ\x1dＤ␜ηφＯ＜\u007f~\n",
		out:  "␉~εδ‛：ｊ［W␕[\x1buδ＃␎`ｊ␀hπ\x1dＤ␜ηφＯ＜\u007f~\n",
	}, { // 2717
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~εδ：ｊ［W␕[\x1buδ＃␎`ｊ\x00hπ\x1dＤ␜ηφＯ＜\u007f~\n",
		out:  "‛␉~εδ‛：ｊ［W␕[\x1buδ＃␎`ｊ␀hπ\x1dＤ␜ηφＯ＜\u007f~\n",
	}, { // 2718
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\x17~εδ：ｊ［W␕[\x1buδ＃␎`ｊ\x00hπ\x1dＤ␜ηφＯ＜\u007f~\t",
		out:  "\x17~εδ‛：ｊ［W␕[\x1buδ＃␎`ｊ␀hπ\x1dＤ␜ηφＯ＜\u007f~\t",
	}, { // 2719
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\x17~εδ：ｊ［W␕[\x1buδ＃␎`ｊ\x00hπ\x1dＤ␜ηφＯ＜\u007f~␉",
		out:  "\x17~εδ‛：ｊ［W␕[\x1buδ＃␎`ｊ␀hπ\x1dＤ␜ηφＯ＜\u007f~␉",
	}, { // 2720
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~(π\x02␛ｇ\t␞E=|\x16'ωω'ｚｐｂ＝＃｀ρ@[~ａ~％",
		out:  "␉~(π\x02␛ｇ\t␞E=|\x16'ωω'ｚｐｂ＝＃｀ρ@[~ａ~％",
	}, { // 2721
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~(π\x02␛ｇ\t␞E=|\x16'ωω'ｚｐｂ＝＃｀ρ@[~ａ~％",
		out:  "‛␉~(π\x02␛ｇ\t␞E=|\x16'ωω'ｚｐｂ＝＃｀ρ@[~ａ~％",
	}, { // 2722
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "］~(π\x02␛ｇ\t␞E=|\x16'ωω'ｚｐｂ＝＃｀ρ@[~ａ~\t",
		out:  "］~(π\x02␛ｇ\t␞E=|\x16'ωω'ｚｐｂ＝＃｀ρ@[~ａ~\t",
	}, { // 2723
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "］~(π\x02␛ｇ\t␞E=|\x16'ωω'ｚｐｂ＝＃｀ρ@[~ａ~␉",
		out:  "］~(π\x02␛ｇ\t␞E=|\x16'ωω'ｚｐｂ＝＃｀ρ@[~ａ~␉",
	}, { // 2724
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\x1fσ>␡x\x15η␊Ｄ\x01$ξＲUr␁５U␑ιμ␂␍～/\f~>",
		out:  "␉~\x1fσ>␡x\x15η␊Ｄ\x01$ξＲUr␁５U␑ιμ␂␍～/\f~>",
	}, { // 2725
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\x1fσ>␡x\x15η␊Ｄ\x01$ξＲUr␁５U␑ιμ␂␍～/\f~>",
		out:  "‛␉~\x1fσ>␡x\x15η␊Ｄ\x01$ξＲUr␁５U␑ιμ␂␍～/\f~>",
	}, { // 2726
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "％~\x1fσ>␡x\x15η␊Ｄ\x01$ξＲUr␁５U␑ιμ␂␍～/\f~\t",
		out:  "％~\x1fσ>␡x\x15η␊Ｄ\x01$ξＲUr␁５U␑ιμ␂␍～/\f~\t",
	}, { // 2727
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "％~\x1fσ>␡x\x15η␊Ｄ\x01$ξＲUr␁５U␑ιμ␂␍～/\f~␉",
		out:  "％~\x1fσ>␡x\x15η␊Ｄ\x01$ξＲUr␁５U␑ιμ␂␍～/\f~␉",
	}, { // 2728
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\rＨ␟Ｌk／␅\x1f＿yK␎κ;Ｉαμ６ψS/>PＴ<σ~［",
		out:  "␉~\rＨ␟Ｌk／␅\x1f＿yK␎κ;Ｉαμ６ψS/>PＴ<σ~［",
	}, { // 2729
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\rＨ␟Ｌk／␅\x1f＿yK␎κ;Ｉαμ６ψS/>PＴ<σ~［",
		out:  "‛␉~\rＨ␟Ｌk／␅\x1f＿yK␎κ;Ｉαμ６ψS/>PＴ<σ~［",
	}, { // 2730
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␇~\rＨ␟Ｌk／␅\x1f＿yK␎κ;Ｉαμ６ψS/>PＴ<σ~\t",
		out:  "␇~\rＨ␟Ｌk／␅\x1f＿yK␎κ;Ｉαμ６ψS/>PＴ<σ~\t",
	}, { // 2731
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␇~\rＨ␟Ｌk／␅\x1f＿yK␎κ;Ｉαμ６ψS/>PＴ<σ~␉",
		out:  "␇~\rＨ␟Ｌk／␅\x1f＿yK␎κ;Ｉαμ６ψS/>PＴ<σ~␉",
	}, { // 2732
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~␊ροτ\x13'pｎ%１ａι＂␄&＇\x1c;％ς７Qωｚ?␡~\x0f",
		out:  "␉~␊ροτ\x13'pｎ%１ａι＂␄&＇\x1c;％ς７Qωｚ?␡~\x0f",
	}, { // 2733
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␊ροτ\x13'pｎ%１ａι＂␄&＇\x1c;％ς７Qωｚ?␡~\x0f",
		out:  "‛␉~␊ροτ\x13'pｎ%１ａι＂␄&＇\x1c;％ς７Qωｚ?␡~\x0f",
	}, { // 2734
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␊ροτ\x13'pｎ%１ａι＂␄&＇\x1c;％ς７Qωｚ?␡~\t",
		out:  "‛␉~␊ροτ\x13'pｎ%１ａι＂␄&＇\x1c;％ς７Qωｚ?␡~\t",
	}, { // 2735
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␊ροτ\x13'pｎ%１ａι＂␄&＇\x1c;％ς７Qωｚ?␡~␉",
		out:  "‛␉~␊ροτ\x13'pｎ%１ａι＂␄&＇\x1c;％ς７Qωｚ?␡~␉",
	}, { // 2736
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\v&Ｎｉξ␀␏␄λx\x1eAω␞<η]#Q\x1fＫＰ␐\x14μω~␉",
		out:  "␉~\v&Ｎｉξ‛␀␏␄λx\x1eAω␞<η]#Q\x1fＫＰ␐\x14μω~␉",
	}, { // 2737
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\v&Ｎｉξ␀␏␄λx\x1eAω␞<η]#Q\x1fＫＰ␐\x14μω~␉",
		out:  "‛␉~\v&Ｎｉξ‛␀␏␄λx\x1eAω␞<η]#Q\x1fＫＰ␐\x14μω~␉",
	}, { // 2738
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "Ｅ~\v&Ｎｉξ␀␏␄λx\x1eAω␞<η]#Q\x1fＫＰ␐\x14μω~\t",
		out:  "Ｅ~\v&Ｎｉξ‛␀␏␄λx\x1eAω␞<η]#Q\x1fＫＰ␐\x14μω~\t",
	}, { // 2739
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "Ｅ~\v&Ｎｉξ␀␏␄λx\x1eAω␞<η]#Q\x1fＫＰ␐\x14μω~␉",
		out:  "Ｅ~\v&Ｎｉξ‛␀␏␄λx\x1eAω␞<η]#Q\x1fＫＰ␐\x14μω~␉",
	}, { // 2740
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ς\x1c-ς？＞␀＃％＞Ｃ\r\x13Ｆ6Z）κuBφ\x04λ０␘/~θ",
		out:  "␉~ς\x1c-ς？＞‛␀＃％＞Ｃ\r\x13Ｆ6Z）κuBφ\x04λ０␘/~θ",
	}, { // 2741
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ς\x1c-ς？＞␀＃％＞Ｃ\r\x13Ｆ6Z）κuBφ\x04λ０␘/~θ",
		out:  "‛␉~ς\x1c-ς？＞‛␀＃％＞Ｃ\r\x13Ｆ6Z）κuBφ\x04λ０␘/~θ",
	}, { // 2742
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "]~ς\x1c-ς？＞␀＃％＞Ｃ\r\x13Ｆ6Z）κuBφ\x04λ０␘/~\t",
		out:  "]~ς\x1c-ς？＞‛␀＃％＞Ｃ\r\x13Ｆ6Z）κuBφ\x04λ０␘/~\t",
	}, { // 2743
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "]~ς\x1c-ς？＞␀＃％＞Ｃ\r\x13Ｆ6Z）κuBφ\x04λ０␘/~␉",
		out:  "]~ς\x1c-ς？＞‛␀＃％＞Ｃ\r\x13Ｆ6Z）κuBφ\x04λ０␘/~␉",
	}, { // 2744
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "\t~␝ω\uff00］`Z␆ρyς␀tqε<\f\x00J␁M：＃］ξ`\x18~ψ",
		out:  "␉~␝ω\uff00］`Z␆ρyς‛␀tqε<\f␀J␁M：＃］ξ`\x18~ψ",
	}, { // 2745
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␝ω\uff00］`Z␆ρyς␀tqε<\f\x00J␁M：＃］ξ`\x18~ψ",
		out:  "‛␉~␝ω\uff00］`Z␆ρyς‛␀tqε<\f␀J␁M：＃］ξ`\x18~ψ",
	}, { // 2746
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "＿~␝ω\uff00］`Z␆ρyς␀tqε<\f\x00J␁M：＃］ξ`\x18~\t",
		out:  "＿~␝ω\uff00］`Z␆ρyς‛␀tqε<\f␀J␁M：＃］ξ`\x18~\t",
	}, { // 2747
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeLeftTilde,
		in:   "＿~␝ω\uff00］`Z␆ρyς␀tqε<\f\x00J␁M：＃］ξ`\x18~␉",
		out:  "＿~␝ω\uff00］`Z␆ρyς‛␀tqε<\f␀J␁M：＃］ξ`\x18~␉",
	}, { // 2748
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ξp'V#％ρ|␊＂θζ６`μ␏F␁␉\x06ｅｈＲＹ{\x14 υ",
		out:  "␉ ξp'V#％ρ|␊＂θζ６`μ␏F␁␉\x06ｅｈＲＹ{\x14 υ",
	}, { // 2749
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ξp'V#％ρ|␊＂θζ６`μ␏F␁␉\x06ｅｈＲＹ{\x14 υ",
		out:  "‛␉ ξp'V#％ρ|␊＂θζ６`μ␏F␁␉\x06ｅｈＲＹ{\x14 υ",
	}, { // 2750
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "h ξp'V#％ρ|␊＂θζ６`μ␏F␁␉\x06ｅｈＲＹ{\x14 \t",
		out:  "h ξp'V#％ρ|␊＂θζ６`μ␏F␁␉\x06ｅｈＲＹ{\x14 \t",
	}, { // 2751
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "h ξp'V#％ρ|␊＂θζ６`μ␏F␁␉\x06ｅｈＲＹ{\x14 ␉",
		out:  "h ξp'V#％ρ|␊＂θζ６`μ␏F␁␉\x06ｅｈＲＹ{\x14 ␉",
	}, { // 2752
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t []＊s{\x05μπ｀ςI\\σγ\x02＞␎[(｀Ｚ\x1cＪ＼/１ ａ",
		out:  "␉ []＊s{\x05μπ｀ςI\\σγ\x02＞␎[(｀Ｚ\x1cＪ＼／１ ａ",
	}, { // 2753
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ []＊s{\x05μπ｀ςI\\σγ\x02＞␎[(｀Ｚ\x1cＪ＼/１ ａ",
		out:  "‛␉ []＊s{\x05μπ｀ςI\\σγ\x02＞␎[(｀Ｚ\x1cＪ＼／１ ａ",
	}, { // 2754
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ｒ []＊s{\x05μπ｀ςI\\σγ\x02＞␎[(｀Ｚ\x1cＪ＼/１ \t",
		out:  "ｒ []＊s{\x05μπ｀ςI\\σγ\x02＞␎[(｀Ｚ\x1cＪ＼／１ \t",
	}, { // 2755
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ｒ []＊s{\x05μπ｀ςI\\σγ\x02＞␎[(｀Ｚ\x1cＪ＼/１ ␉",
		out:  "ｒ []＊s{\x05μπ｀ςI\\σγ\x02＞␎[(｀Ｚ\x1cＪ＼／１ ␉",
	}, { // 2756
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ε␌ｍ\x00α\x19x＠\x12＂Pε'ιＺ␅8\"[９ｄ␞\n'σ＇ Ｅ",
		out:  "␉ ε␌ｍ␀α\x19x＠\x12＂Pε＇ιＺ␅8\"[９ｄ␞\n＇σ‛＇ Ｅ",
	}, { // 2757
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ε␌ｍ\x00α\x19x＠\x12＂Pε'ιＺ␅8\"[９ｄ␞\n'σ＇ Ｅ",
		out:  "‛␉ ε␌ｍ␀α\x19x＠\x12＂Pε＇ιＺ␅8\"[９ｄ␞\n＇σ‛＇ Ｅ",
	}, { // 2758
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␋ ε␌ｍ\x00α\x19x＠\x12＂Pε'ιＺ␅8\"[９ｄ␞\n'σ＇ \t",
		out:  "‛␋ ε␌ｍ␀α\x19x＠\x12＂Pε＇ιＺ␅8\"[９ｄ␞\n＇σ‛＇ \t",
	}, { // 2759
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␋ ε␌ｍ\x00α\x19x＠\x12＂Pε'ιＺ␅8\"[９ｄ␞\n'σ＇ ␉",
		out:  "‛␋ ε␌ｍ␀α\x19x＠\x12＂Pε＇ιＺ␅8\"[９ｄ␞\n＇σ‛＇ ␉",
	}, { // 2760
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ％\rι:@ｌp␞σ␏␅␜\x1cvy\uff00:＾\r＼␚?␑γςζ ^",
		out:  "␉ ％\rι:@ｌp␞σ␏␅␜\x1cvy\uff00:＾\r＼␚?␑γςζ ^",
	}, { // 2761
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ％\rι:@ｌp␞σ␏␅␜\x1cvy\uff00:＾\r＼␚?␑γςζ ^",
		out:  "‛␉ ％\rι:@ｌp␞σ␏␅␜\x1cvy\uff00:＾\r＼␚?␑γςζ ^",
	}, { // 2762
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ξ ％\rι:@ｌp␞σ␏␅␜\x1cvy\uff00:＾\r＼␚?␑γςζ \t",
		out:  "ξ ％\rι:@ｌp␞σ␏␅␜\x1cvy\uff00:＾\r＼␚?␑γςζ \t",
	}, { // 2763
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ξ ％\rι:@ｌp␞σ␏␅␜\x1cvy\uff00:＾\r＼␚?␑γςζ ␉",
		out:  "ξ ％\rι:@ｌp␞σ␏␅␜\x1cvy\uff00:＾\r＼␚?␑γςζ ␉",
	}, { // 2764
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ο２c\x1a+\x01Ｉ␂Cｄ␛｀＊］,/λ?f．εχν\r`O ␑",
		out:  "␉ ο２c\x1a+\x01Ｉ␂Cｄ␛｀＊］,/λ?f．εχν\r`O ␑",
	}, { // 2765
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ο２c\x1a+\x01Ｉ␂Cｄ␛｀＊］,/λ?f．εχν\r`O ␑",
		out:  "‛␉ ο２c\x1a+\x01Ｉ␂Cｄ␛｀＊］,/λ?f．εχν\r`O ␑",
	}, { // 2766
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␕ ο２c\x1a+\x01Ｉ␂Cｄ␛｀＊］,/λ?f．εχν\r`O \t",
		out:  "␕ ο２c\x1a+\x01Ｉ␂Cｄ␛｀＊］,/λ?f．εχν\r`O \t",
	}, { // 2767
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␕ ο２c\x1a+\x01Ｉ␂Cｄ␛｀＊］,/λ?f．εχν\r`O ␉",
		out:  "␕ ο２c\x1a+\x01Ｉ␂Cｄ␛｀＊］,/λ?f．εχν\r`O ␉",
	}, { // 2768
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t Ｉ␉γ\x1aＲ:ι3␁y\u007f␞？γ＝Hψ％Ｌ:`οJ\nｗ＇ x",
		out:  "␉ Ｉ␉γ\x1aＲ:ι3␁y\u007f␞？γ＝Hψ％Ｌ:`οJ\nｗ＇ x",
	}, { // 2769
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ Ｉ␉γ\x1aＲ:ι3␁y\u007f␞？γ＝Hψ％Ｌ:`οJ\nｗ＇ x",
		out:  "‛␉ Ｉ␉γ\x1aＲ:ι3␁y\u007f␞？γ＝Hψ％Ｌ:`οJ\nｗ＇ x",
	}, { // 2770
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "＝ Ｉ␉γ\x1aＲ:ι3␁y\u007f␞？γ＝Hψ％Ｌ:`οJ\nｗ＇ \t",
		out:  "＝ Ｉ␉γ\x1aＲ:ι3␁y\u007f␞？γ＝Hψ％Ｌ:`οJ\nｗ＇ \t",
	}, { // 2771
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "＝ Ｉ␉γ\x1aＲ:ι3␁y\u007f␞？γ＝Hψ％Ｌ:`οJ\nｗ＇ ␉",
		out:  "＝ Ｉ␉γ\x1aＲ:ι3␁y\u007f␞？γ＝Hψ％Ｌ:`οJ\nｗ＇ ␉",
	}, { // 2772
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ρω\x150ｅ5Ｂξ␓｀:％␟\x0e\x02－ｉ｀？\"π*u␏o+ χ",
		out:  "␉ ρω\x150ｅ5Ｂξ␓｀:％␟\x0e\x02－ｉ｀？\"π*u␏o+ χ",
	}, { // 2773
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ρω\x150ｅ5Ｂξ␓｀:％␟\x0e\x02－ｉ｀？\"π*u␏o+ χ",
		out:  "‛␉ ρω\x150ｅ5Ｂξ␓｀:％␟\x0e\x02－ｉ｀？\"π*u␏o+ χ",
	}, { // 2774
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "Ｙ ρω\x150ｅ5Ｂξ␓｀:％␟\x0e\x02－ｉ｀？\"π*u␏o+ \t",
		out:  "Ｙ ρω\x150ｅ5Ｂξ␓｀:％␟\x0e\x02－ｉ｀？\"π*u␏o+ \t",
	}, { // 2775
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "Ｙ ρω\x150ｅ5Ｂξ␓｀:％␟\x0e\x02－ｉ｀？\"π*u␏o+ ␉",
		out:  "Ｙ ρω\x150ｅ5Ｂξ␓｀:％␟\x0e\x02－ｉ｀？\"π*u␏o+ ␉",
	}, { // 2776
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t δn\x1f\bχ；ρ＿\x03␊δＨＬ␛␡N*Ｒ*Ｒ␆\x1c\nγ9τ ｕ",
		out:  "␉ δn\x1f\bχ；ρ＿\x03␊δＨＬ␛␡N*Ｒ*Ｒ␆\x1c\nγ9τ ｕ",
	}, { // 2777
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ δn\x1f\bχ；ρ＿\x03␊δＨＬ␛␡N*Ｒ*Ｒ␆\x1c\nγ9τ ｕ",
		out:  "‛␉ δn\x1f\bχ；ρ＿\x03␊δＨＬ␛␡N*Ｒ*Ｒ␆\x1c\nγ9τ ｕ",
	}, { // 2778
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␡ δn\x1f\bχ；ρ＿\x03␊δＨＬ␛␡N*Ｒ*Ｒ␆\x1c\nγ9τ \t",
		out:  "␡ δn\x1f\bχ；ρ＿\x03␊δＨＬ␛␡N*Ｒ*Ｒ␆\x1c\nγ9τ \t",
	}, { // 2779
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␡ δn\x1f\bχ；ρ＿\x03␊δＨＬ␛␡N*Ｒ*Ｒ␆\x1c\nγ9τ ␉",
		out:  "␡ δn\x1f\bχ；ρ＿\x03␊δＨＬ␛␡N*Ｒ*Ｒ␆\x1c\nγ9τ ␉",
	}, { // 2780
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␋\x1dVδpＧ~?mＦ＂ψχςｕ［\b2Ｌ\uff00*％｜ν␂ε ␄",
		out:  "␉ ␋\x1dVδpＧ~?mＦ‛＂ψχςｕ［\b2Ｌ\uff00*％｜ν␂ε ␄",
	}, { // 2781
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␋\x1dVδpＧ~?mＦ＂ψχςｕ［\b2Ｌ\uff00*％｜ν␂ε ␄",
		out:  "‛␉ ␋\x1dVδpＧ~?mＦ‛＂ψχςｕ［\b2Ｌ\uff00*％｜ν␂ε ␄",
	}, { // 2782
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "` ␋\x1dVδpＧ~?mＦ＂ψχςｕ［\b2Ｌ\uff00*％｜ν␂ε \t",
		out:  "` ␋\x1dVδpＧ~?mＦ‛＂ψχςｕ［\b2Ｌ\uff00*％｜ν␂ε \t",
	}, { // 2783
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "` ␋\x1dVδpＧ~?mＦ＂ψχςｕ［\b2Ｌ\uff00*％｜ν␂ε ␉",
		out:  "` ␋\x1dVδpＧ~?mＦ‛＂ψχςｕ［\b2Ｌ\uff00*％｜ν␂ε ␉",
	}, { // 2784
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␍６␄O\bωfｊ＠σ>θκλ＄（φＩ\x10␊␄u\x13tM␘ *",
		out:  "␉ ␍６␄O\bωfｊ＠σ>θκλ＄（φＩ\x10␊␄u\x13tM␘ *",
	}, { // 2785
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␍６␄O\bωfｊ＠σ>θκλ＄（φＩ\x10␊␄u\x13tM␘ *",
		out:  "‛␉ ␍６␄O\bωfｊ＠σ>θκλ＄（φＩ\x10␊␄u\x13tM␘ *",
	}, { // 2786
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "＃ ␍６␄O\bωfｊ＠σ>θκλ＄（φＩ\x10␊␄u\x13tM␘ \t",
		out:  "＃ ␍６␄O\bωfｊ＠σ>θκλ＄（φＩ\x10␊␄u\x13tM␘ \t",
	}, { // 2787
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "＃ ␍６␄O\bωfｊ＠σ>θκλ＄（φＩ\x10␊␄u\x13tM␘ ␉",
		out:  "＃ ␍６␄O\bωfｊ＠σ>θκλ＄（φＩ\x10␊␄u\x13tM␘ ␉",
	}, { // 2788
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␙I[␄＊５ｙ␌κ＂ＨOβα\x1eＲ\\<ξ\aγ\\\x0eｕ＠: c",
		out:  "␉ ␙I[␄＊５ｙ␌κ＂ＨOβα\x1eＲ\\<ξ\aγ\\\x0eｕ＠: c",
	}, { // 2789
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␙I[␄＊５ｙ␌κ＂ＨOβα\x1eＲ\\<ξ\aγ\\\x0eｕ＠: c",
		out:  "‛␉ ␙I[␄＊５ｙ␌κ＂ＨOβα\x1eＲ\\<ξ\aγ\\\x0eｕ＠: c",
	}, { // 2790
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "> ␙I[␄＊５ｙ␌κ＂ＨOβα\x1eＲ\\<ξ\aγ\\\x0eｕ＠: \t",
		out:  "> ␙I[␄＊５ｙ␌κ＂ＨOβα\x1eＲ\\<ξ\aγ\\\x0eｕ＠: \t",
	}, { // 2791
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "> ␙I[␄＊５ｙ␌κ＂ＨOβα\x1eＲ\\<ξ\aγ\\\x0eｕ＠: ␉",
		out:  "> ␙I[␄＊５ｙ␌κ＂ＨOβα\x1eＲ\\<ξ\aγ\\\x0eｕ＠: ␉",
	}, { // 2792
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t Kσ\x15␔\x04φｄχ(\rＥ␙Ａ\r@␗␔τＩ␡＃)_δ］H ?",
		out:  "␉ Kσ\x15␔\x04φｄχ(\rＥ␙Ａ\r@␗␔τＩ␡＃)_δ］H ?",
	}, { // 2793
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ Kσ\x15␔\x04φｄχ(\rＥ␙Ａ\r@␗␔τＩ␡＃)_δ］H ?",
		out:  "‛␉ Kσ\x15␔\x04φｄχ(\rＥ␙Ａ\r@␗␔τＩ␡＃)_δ］H ?",
	}, { // 2794
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ｚ Kσ\x15␔\x04φｄχ(\rＥ␙Ａ\r@␗␔τＩ␡＃)_δ］H \t",
		out:  "ｚ Kσ\x15␔\x04φｄχ(\rＥ␙Ａ\r@␗␔τＩ␡＃)_δ］H \t",
	}, { // 2795
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ｚ Kσ\x15␔\x04φｄχ(\rＥ␙Ａ\r@␗␔τＩ␡＃)_δ］H ␉",
		out:  "ｚ Kσ\x15␔\x04φｄχ(\rＥ␙Ａ\r@␗␔τＩ␡＃)_δ］H ␉",
	}, { // 2796
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␑ςuI␏｀␙:|Ｋλ＞\x1aθφ␚i\t*Ｏ）ε０R\x10\n ␚",
		out:  "␉ ␑ςuI␏｀␙:｜Ｋλ＞\x1aθφ␚i\t*Ｏ）ε０R\x10\n ␚",
	}, { // 2797
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␑ςuI␏｀␙:|Ｋλ＞\x1aθφ␚i\t*Ｏ）ε０R\x10\n ␚",
		out:  "‛␉ ␑ςuI␏｀␙:｜Ｋλ＞\x1aθφ␚i\t*Ｏ）ε０R\x10\n ␚",
	}, { // 2798
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "W ␑ςuI␏｀␙:|Ｋλ＞\x1aθφ␚i\t*Ｏ）ε０R\x10\n \t",
		out:  "W ␑ςuI␏｀␙:｜Ｋλ＞\x1aθφ␚i\t*Ｏ）ε０R\x10\n \t",
	}, { // 2799
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "W ␑ςuI␏｀␙:|Ｋλ＞\x1aθφ␚i\t*Ｏ）ε０R\x10\n ␉",
		out:  "W ␑ςuI␏｀␙:｜Ｋλ＞\x1aθφ␚i\t*Ｏ）ε０R\x10\n ␉",
	}, { // 2800
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t Ｘ(α`␐βο＊ξ␞'\x02α$＊[\x1c＃>τ␍Ｚ\x1e'\vB ＞",
		out:  "␉ Ｘ(α`␐βο＊ξ␞'\x02α$＊[\x1c‛＃>τ␍Ｚ\x1e'\vB ＞",
	}, { // 2801
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ Ｘ(α`␐βο＊ξ␞'\x02α$＊[\x1c＃>τ␍Ｚ\x1e'\vB ＞",
		out:  "‛␉ Ｘ(α`␐βο＊ξ␞'\x02α$＊[\x1c‛＃>τ␍Ｚ\x1e'\vB ＞",
	}, { // 2802
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "５ Ｘ(α`␐βο＊ξ␞'\x02α$＊[\x1c＃>τ␍Ｚ\x1e'\vB \t",
		out:  "５ Ｘ(α`␐βο＊ξ␞'\x02α$＊[\x1c‛＃>τ␍Ｚ\x1e'\vB \t",
	}, { // 2803
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "５ Ｘ(α`␐βο＊ξ␞'\x02α$＊[\x1c＃>τ␍Ｚ\x1e'\vB ␉",
		out:  "５ Ｘ(α`␐βο＊ξ␞'\x02α$＊[\x1c‛＃>τ␍Ｚ\x1e'\vB ␉",
	}, { // 2804
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t οu＜@\x1c[γ-\x1e␜␙！ｕυ-ｋ!␑\x1c␙δ＋οｈ］␟ \n",
		out:  "␉ οu＜@\x1c[γ-\x1e␜␙！ｕυ-ｋ!␑\x1c␙δ＋οｈ］␟ \n",
	}, { // 2805
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ οu＜@\x1c[γ-\x1e␜␙！ｕυ-ｋ!␑\x1c␙δ＋οｈ］␟ \n",
		out:  "‛␉ οu＜@\x1c[γ-\x1e␜␙！ｕυ-ｋ!␑\x1c␙δ＋οｈ］␟ \n",
	}, { // 2806
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ψ οu＜@\x1c[γ-\x1e␜␙！ｕυ-ｋ!␑\x1c␙δ＋οｈ］␟ \t",
		out:  "ψ οu＜@\x1c[γ-\x1e␜␙！ｕυ-ｋ!␑\x1c␙δ＋οｈ］␟ \t",
	}, { // 2807
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ψ οu＜@\x1c[γ-\x1e␜␙！ｕυ-ｋ!␑\x1c␙δ＋οｈ］␟ ␉",
		out:  "ψ οu＜@\x1c[γ-\x1e␜␙！ｕυ-ｋ!␑\x1c␙δ＋οｈ］␟ ␉",
	}, { // 2808
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t ␚；\x06（heσπn＜＊Ｚ␂cςη[ζ\n\x17９(］␍\x16␖ ι",
		out:  "␉ ␚；\x06（heσπn＜＊Ｚ␂cςη[ζ\n\x17９(］␍\x16␖ ι",
	}, { // 2809
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␚；\x06（heσπn＜＊Ｚ␂cςη[ζ\n\x17９(］␍\x16␖ ι",
		out:  "‛␉ ␚；\x06（heσπn＜＊Ｚ␂cςη[ζ\n\x17９(］␍\x16␖ ι",
	}, { // 2810
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␡ ␚；\x06（heσπn＜＊Ｚ␂cςη[ζ\n\x17９(］␍\x16␖ \t",
		out:  "␡ ␚；\x06（heσπn＜＊Ｚ␂cςη[ζ\n\x17９(］␍\x16␖ \t",
	}, { // 2811
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␡ ␚；\x06（heσπn＜＊Ｚ␂cςη[ζ\n\x17９(］␍\x16␖ ␉",
		out:  "␡ ␚；\x06（heσπn＜＊Ｚ␂cςη[ζ\n\x17９(］␍\x16␖ ␉",
	}, { // 2812
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "\t θ␍\x05／t␙Ｏγ＾ｗχA\nt［␡zξ\r;h|φ*sｋ ｀",
		out:  "␉ θ␍\x05／t␙Ｏγ＾ｗχA\nt［‛␡zξ\r;h|φ*sｋ ｀",
	}, { // 2813
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "␉ θ␍\x05／t␙Ｏγ＾ｗχA\nt［␡zξ\r;h|φ*sｋ ｀",
		out:  "‛␉ θ␍\x05／t␙Ｏγ＾ｗχA\nt［‛␡zξ\r;h|φ*sｋ ｀",
	}, { // 2814
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ο θ␍\x05／t␙Ｏγ＾ｗχA\nt［␡zξ\r;h|φ*sｋ \t",
		out:  "ο θ␍\x05／t␙Ｏγ＾ｗχA\nt［‛␡zξ\r;h|φ*sｋ \t",
	}, { // 2815
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightSpace,
		in:   "ο θ␍\x05／t␙Ｏγ＾ｗχA\nt［␡zξ\r;h|φ*sｋ ␉",
		out:  "ο θ␍\x05／t␙Ｏγ＾ｗχA\nt［‛␡zξ\r;h|φ*sｋ ␉",
	}, { // 2816
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.rＬ␎␗λ\vRｃ８1*Ｖ\x16％ζ|^＂Ｙ\x05τ␞λζ（␂.o",
		out:  "␉.rＬ␎␗λ\vRｃ８1*Ｖ\x16％ζ|^＂Ｙ\x05τ␞λζ（␂.o",
	}, { // 2817
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.rＬ␎␗λ\vRｃ８1*Ｖ\x16％ζ|^＂Ｙ\x05τ␞λζ（␂.o",
		out:  "‛␉.rＬ␎␗λ\vRｃ８1*Ｖ\x16％ζ|^＂Ｙ\x05τ␞λζ（␂.o",
	}, { // 2818
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\".rＬ␎␗λ\vRｃ８1*Ｖ\x16％ζ|^＂Ｙ\x05τ␞λζ（␂.\t",
		out:  "\".rＬ␎␗λ\vRｃ８1*Ｖ\x16％ζ|^＂Ｙ\x05τ␞λζ（␂.\t",
	}, { // 2819
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\".rＬ␎␗λ\vRｃ８1*Ｖ\x16％ζ|^＂Ｙ\x05τ␞λζ（␂.␉",
		out:  "\".rＬ␎␗λ\vRｃ８1*Ｖ\x16％ζ|^＂Ｙ\x05τ␞λζ（␂.␉",
	}, { // 2820
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ζy␑e'\nξ\x1b\x16＊\x19ε\x00ｉ␚１／%@＇\x0e｜ρξ,Ｑ.ｌ",
		out:  "␉.ζy␑e'\nξ\x1b\x16＊\x19ε␀ｉ␚１‛／%@＇\x0e｜ρξ,Ｑ.ｌ",
	}, { // 2821
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ζy␑e'\nξ\x1b\x16＊\x19ε\x00ｉ␚１／%@＇\x0e｜ρξ,Ｑ.ｌ",
		out:  "‛␉.ζy␑e'\nξ\x1b\x16＊\x19ε␀ｉ␚１‛／%@＇\x0e｜ρξ,Ｑ.ｌ",
	}, { // 2822
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "λ.ζy␑e'\nξ\x1b\x16＊\x19ε\x00ｉ␚１／%@＇\x0e｜ρξ,Ｑ.\t",
		out:  "λ.ζy␑e'\nξ\x1b\x16＊\x19ε␀ｉ␚１‛／%@＇\x0e｜ρξ,Ｑ.\t",
	}, { // 2823
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "λ.ζy␑e'\nξ\x1b\x16＊\x19ε\x00ｉ␚１／%@＇\x0e｜ρξ,Ｑ.␉",
		out:  "λ.ζy␑e'\nξ\x1b\x16＊\x19ε␀ｉ␚１‛／%@＇\x0e｜ρξ,Ｑ.␉",
	}, { // 2824
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.εYＮ+$ＲθＳｘ］\\␋Ｏμ/\x0e␌␊/Nmθγ＜５\".x",
		out:  "␉.εYＮ+$ＲθＳｘ］\\␋Ｏμ/\x0e␌␊/Nmθγ＜５\".x",
	}, { // 2825
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.εYＮ+$ＲθＳｘ］\\␋Ｏμ/\x0e␌␊/Nmθγ＜５\".x",
		out:  "‛␉.εYＮ+$ＲθＳｘ］\\␋Ｏμ/\x0e␌␊/Nmθγ＜５\".x",
	}, { // 2826
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "μ.εYＮ+$ＲθＳｘ］\\␋Ｏμ/\x0e␌␊/Nmθγ＜５\".\t",
		out:  "μ.εYＮ+$ＲθＳｘ］\\␋Ｏμ/\x0e␌␊/Nmθγ＜５\".\t",
	}, { // 2827
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "μ.εYＮ+$ＲθＳｘ］\\␋Ｏμ/\x0e␌␊/Nmθγ＜５\".␉",
		out:  "μ.εYＮ+$ＲθＳｘ］\\␋Ｏμ/\x0e␌␊/Nmθγ＜５\".␉",
	}, { // 2828
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.Kυ]␄｜\x05θＲ:／*９␍φ\\\u007f＜ξ）γul２（␘ε.^",
		out:  "␉.Kυ]␄｜\x05θＲ:／*９␍φ\\\u007f＜ξ）γul２（␘ε.^",
	}, { // 2829
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.Kυ]␄｜\x05θＲ:／*９␍φ\\\u007f＜ξ）γul２（␘ε.^",
		out:  "‛␉.Kυ]␄｜\x05θＲ:／*９␍φ\\\u007f＜ξ）γul２（␘ε.^",
	}, { // 2830
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x1d.Kυ]␄｜\x05θＲ:／*９␍φ\\\u007f＜ξ）γul２（␘ε.\t",
		out:  "\x1d.Kυ]␄｜\x05θＲ:／*９␍φ\\\u007f＜ξ）γul２（␘ε.\t",
	}, { // 2831
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x1d.Kυ]␄｜\x05θＲ:／*９␍φ\\\u007f＜ξ）γul２（␘ε.␉",
		out:  "\x1d.Kυ]␄｜\x05θＲ:／*９␍φ\\\u007f＜ξ）γul２（␘ε.␉",
	}, { // 2832
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␘τγ\x11Ｖ␆\x03␁βｚ␍ｃＥ＜α\x15-␋fFZξ2>ｆφ.\x15",
		out:  "␉.␘τγ\x11Ｖ␆\x03␁βｚ␍ｃＥ‛＜α\x15-␋fFZξ2＞ｆφ.\x15",
	}, { // 2833
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␘τγ\x11Ｖ␆\x03␁βｚ␍ｃＥ＜α\x15-␋fFZξ2>ｆφ.\x15",
		out:  "‛␉.␘τγ\x11Ｖ␆\x03␁βｚ␍ｃＥ‛＜α\x15-␋fFZξ2＞ｆφ.\x15",
	}, { // 2834
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "-.␘τγ\x11Ｖ␆\x03␁βｚ␍ｃＥ＜α\x15-␋fFZξ2>ｆφ.\t",
		out:  "-.␘τγ\x11Ｖ␆\x03␁βｚ␍ｃＥ‛＜α\x15-␋fFZξ2＞ｆφ.\t",
	}, { // 2835
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "-.␘τγ\x11Ｖ␆\x03␁βｚ␍ｃＥ＜α\x15-␋fFZξ2>ｆφ.␉",
		out:  "-.␘τγ\x11Ｖ␆\x03␁βｚ␍ｃＥ‛＜α\x15-␋fFZξ2＞ｆφ.␉",
	}, { // 2836
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\\ζIＰ＃]α␍？4␑\x17F\x14|␚\x1e\u007fｎθ３／ｑρ\r␒.x",
		out:  "␉.\\ζIＰ＃］α␍？4␑\x17F\x14|␚\x1e\u007fｎθ３／ｑρ\r␒.x",
	}, { // 2837
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\\ζIＰ＃]α␍？4␑\x17F\x14|␚\x1e\u007fｎθ３／ｑρ\r␒.x",
		out:  "‛␉.\\ζIＰ＃］α␍？4␑\x17F\x14|␚\x1e\u007fｎθ３／ｑρ\r␒.x",
	}, { // 2838
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "ζ.\\ζIＰ＃]α␍？4␑\x17F\x14|␚\x1e\u007fｎθ３／ｑρ\r␒.\t",
		out:  "ζ.\\ζIＰ＃］α␍？4␑\x17F\x14|␚\x1e\u007fｎθ３／ｑρ\r␒.\t",
	}, { // 2839
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "ζ.\\ζIＰ＃]α␍？4␑\x17F\x14|␚\x1e\u007fｎθ３／ｑρ\r␒.␉",
		out:  "ζ.\\ζIＰ＃］α␍？4␑\x17F\x14|␚\x1e\u007fｎθ３／ｑρ\r␒.␉",
	}, { // 2840
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.:Ｖvυa␎ＶCβ␝7？␒D／τδ９＇␀;χ）Oτ\x16.\x14",
		out:  "␉.:Ｖvυa␎ＶCβ␝7？␒D／τδ９＇‛␀；χ）Oτ\x16.\x14",
	}, { // 2841
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.:Ｖvυa␎ＶCβ␝7？␒D／τδ９＇␀;χ）Oτ\x16.\x14",
		out:  "‛␉.:Ｖvυa␎ＶCβ␝7？␒D／τδ９＇‛␀；χ）Oτ\x16.\x14",
	}, { // 2842
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "０.:Ｖvυa␎ＶCβ␝7？␒D／τδ９＇␀;χ）Oτ\x16.\t",
		out:  "０.:Ｖvυa␎ＶCβ␝7？␒D／τδ９＇‛␀；χ）Oτ\x16.\t",
	}, { // 2843
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "０.:Ｖvυa␎ＶCβ␝7？␒D／τδ９＇␀;χ）Oτ\x16.␉",
		out:  "０.:Ｖvυa␎ＶCβ␝7？␒D／τδ９＇‛␀；χ）Oτ\x16.␉",
	}, { // 2844
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␀ε\x1c␈{．＊ο\nJ：\x1f\x05␁Ｗ>[δoτe]Cγ＆η.Ｆ",
		out:  "␉.‛␀ε\x1c␈{．＊ο\nJ：\x1f\x05␁Ｗ>[δoτe]Cγ＆η.Ｆ",
	}, { // 2845
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␀ε\x1c␈{．＊ο\nJ：\x1f\x05␁Ｗ>[δoτe]Cγ＆η.Ｆ",
		out:  "‛␉.‛␀ε\x1c␈{．＊ο\nJ：\x1f\x05␁Ｗ>[δoτe]Cγ＆η.Ｆ",
	}, { // 2846
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "＂.␀ε\x1c␈{．＊ο\nJ：\x1f\x05␁Ｗ>[δoτe]Cγ＆η.\t",
		out:  "＂.‛␀ε\x1c␈{．＊ο\nJ：\x1f\x05␁Ｗ>[δoτe]Cγ＆η.\t",
	}, { // 2847
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "＂.␀ε\x1c␈{．＊ο\nJ：\x1f\x05␁Ｗ>[δoτe]Cγ＆η.␉",
		out:  "＂.‛␀ε\x1c␈{．＊ο\nJ：\x1f\x05␁Ｗ>[δoτe]Cγ＆η.␉",
	}, { // 2848
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.Ｊ\x1dκ＃]␡\x01η\"｀\x00#τＡG６p＄η?ηc3␃３０.Ｐ",
		out:  "␉.Ｊ\x1dκ＃]␡\x01η＂｀␀#τＡG６p＄η?ηc3␃３０.Ｐ",
	}, { // 2849
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.Ｊ\x1dκ＃]␡\x01η\"｀\x00#τＡG６p＄η?ηc3␃３０.Ｐ",
		out:  "‛␉.Ｊ\x1dκ＃]␡\x01η＂｀␀#τＡG６p＄η?ηc3␃３０.Ｐ",
	}, { // 2850
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "=.Ｊ\x1dκ＃]␡\x01η\"｀\x00#τＡG６p＄η?ηc3␃３０.\t",
		out:  "=.Ｊ\x1dκ＃]␡\x01η＂｀␀#τＡG６p＄η?ηc3␃３０.\t",
	}, { // 2851
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "=.Ｊ\x1dκ＃]␡\x01η\"｀\x00#τＡG６p＄η?ηc3␃３０.␉",
		out:  "=.Ｊ\x1dκ＃]␡\x01η＂｀␀#τＡG６p＄η?ηc3␃３０.␉",
	}, { // 2852
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␕＝q\x17Ｒτς\\ζ＞｀：＇␕gψ\n／σ\n＝\tU~␉m.＃",
		out:  "␉.␕＝q\x17Ｒτς\\ζ＞｀‛：＇␕gψ\n／σ\n＝\tU~␉m.＃",
	}, { // 2853
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␕＝q\x17Ｒτς\\ζ＞｀：＇␕gψ\n／σ\n＝\tU~␉m.＃",
		out:  "‛␉.␕＝q\x17Ｒτς\\ζ＞｀‛：＇␕gψ\n／σ\n＝\tU~␉m.＃",
	}, { // 2854
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "D.␕＝q\x17Ｒτς\\ζ＞｀：＇␕gψ\n／σ\n＝\tU~␉m.\t",
		out:  "D.␕＝q\x17Ｒτς\\ζ＞｀‛：＇␕gψ\n／σ\n＝\tU~␉m.\t",
	}, { // 2855
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "D.␕＝q\x17Ｒτς\\ζ＞｀：＇␕gψ\n／σ\n＝\tU~␉m.␉",
		out:  "D.␕＝q\x17Ｒτς\\ζ＞｀‛：＇␕gψ\n／σ\n＝\tU~␉m.␉",
	}, { // 2856
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x06␍\x05\uff00ν<|␟！%］ψτ␝\n（'>ｏ\r3φδ！␉＞.O",
		out:  "␉.\x06␍\x05\uff00ν<|␟！%］ψτ␝\n（'>ｏ\r3φδ！␉＞.O",
	}, { // 2857
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x06␍\x05\uff00ν<|␟！%］ψτ␝\n（'>ｏ\r3φδ！␉＞.O",
		out:  "‛␉.\x06␍\x05\uff00ν<|␟！%］ψτ␝\n（'>ｏ\r3φδ！␉＞.O",
	}, { // 2858
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x04.\x06␍\x05\uff00ν<|␟！%］ψτ␝\n（'>ｏ\r3φδ！␉＞.\t",
		out:  "\x04.\x06␍\x05\uff00ν<|␟！%］ψτ␝\n（'>ｏ\r3φδ！␉＞.\t",
	}, { // 2859
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x04.\x06␍\x05\uff00ν<|␟！%］ψτ␝\n（'>ｏ\r3φδ！␉＞.␉",
		out:  "\x04.\x06␍\x05\uff00ν<|␟！%］ψτ␝\n（'>ｏ\r3φδ！␉＞.␉",
	}, { // 2860
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ο␀τ\r\x14;\"L␍ｘ\x04φ＠9ＱθT␎ＣψＶξ＊␈␃Q.␑",
		out:  "␉.ο‛␀τ\r\x14;\"L␍ｘ\x04φ＠9ＱθT␎ＣψＶξ‛＊␈␃Q.␑",
	}, { // 2861
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ο␀τ\r\x14;\"L␍ｘ\x04φ＠9ＱθT␎ＣψＶξ＊␈␃Q.␑",
		out:  "‛␉.ο‛␀τ\r\x14;\"L␍ｘ\x04φ＠9ＱθT␎ＣψＶξ‛＊␈␃Q.␑",
	}, { // 2862
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "m.ο␀τ\r\x14;\"L␍ｘ\x04φ＠9ＱθT␎ＣψＶξ＊␈␃Q.\t",
		out:  "m.ο‛␀τ\r\x14;\"L␍ｘ\x04φ＠9ＱθT␎ＣψＶξ‛＊␈␃Q.\t",
	}, { // 2863
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "m.ο␀τ\r\x14;\"L␍ｘ\x04φ＠9ＱθT␎ＣψＶξ＊␈␃Q.␉",
		out:  "m.ο‛␀τ\r\x14;\"L␍ｘ\x04φ＠9ＱθT␎ＣψＶξ‛＊␈␃Q.␉",
	}, { // 2864
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.οο；：η＇N$\bｕ`＂␒ι'βｂε&\x02/\x0e\x0fｆＺ［.%",
		out:  "␉.οο；：η＇N$\bｕ`＂␒ι'βｂε&\x02/\x0e\x0fｆＺ［.%",
	}, { // 2865
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.οο；：η＇N$\bｕ`＂␒ι'βｂε&\x02/\x0e\x0fｆＺ［.%",
		out:  "‛␉.οο；：η＇N$\bｕ`＂␒ι'βｂε&\x02/\x0e\x0fｆＺ［.%",
	}, { // 2866
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "｀.οο；：η＇N$\bｕ`＂␒ι'βｂε&\x02/\x0e\x0fｆＺ［.\t",
		out:  "｀.οο；：η＇N$\bｕ`＂␒ι'βｂε&\x02/\x0e\x0fｆＺ［.\t",
	}, { // 2867
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "｀.οο；：η＇N$\bｕ`＂␒ι'βｂε&\x02/\x0e\x0fｆＺ［.␉",
		out:  "｀.οο；：η＇N$\bｕ`＂␒ι'βｂε&\x02/\x0e\x0fｆＺ［.␉",
	}, { // 2868
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x12ＪM'/π；γ␚＇+␡τα'O␙|＜：J␜ｏ\x10μ＼.＿",
		out:  "␉.\x12ＪM'/π；γ␚＇+␡τα'O␙|＜：J␜ｏ\x10μ＼.＿",
	}, { // 2869
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x12ＪM'/π；γ␚＇+␡τα'O␙|＜：J␜ｏ\x10μ＼.＿",
		out:  "‛␉.\x12ＪM'/π；γ␚＇+␡τα'O␙|＜：J␜ｏ\x10μ＼.＿",
	}, { // 2870
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "[.\x12ＪM'/π；γ␚＇+␡τα'O␙|＜：J␜ｏ\x10μ＼.\t",
		out:  "[.\x12ＪM'/π；γ␚＇+␡τα'O␙|＜：J␜ｏ\x10μ＼.\t",
	}, { // 2871
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "[.\x12ＪM'/π；γ␚＇+␡τα'O␙|＜：J␜ｏ\x10μ＼.␉",
		out:  "[.\x12ＪM'/π；γ␚＇+␡τα'O␙|＜：J␜ｏ\x10μ＼.␉",
	}, { // 2872
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.{φ＊κι␇'\x03π＇δ'␃｜\\\nα｜M\x1d7（Z＊８*.␕",
		out:  "␉.{φ＊κι␇'\x03π＇δ'␃｜\\\nα｜M\x1d7（Z＊８*.␕",
	}, { // 2873
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.{φ＊κι␇'\x03π＇δ'␃｜\\\nα｜M\x1d7（Z＊８*.␕",
		out:  "‛␉.{φ＊κι␇'\x03π＇δ'␃｜\\\nα｜M\x1d7（Z＊８*.␕",
	}, { // 2874
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "Ｉ.{φ＊κι␇'\x03π＇δ'␃｜\\\nα｜M\x1d7（Z＊８*.\t",
		out:  "Ｉ.{φ＊κι␇'\x03π＇δ'␃｜\\\nα｜M\x1d7（Z＊８*.\t",
	}, { // 2875
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "Ｉ.{φ＊κι␇'\x03π＇δ'␃｜\\\nα｜M\x1d7（Z＊８*.␉",
		out:  "Ｉ.{φ＊κι␇'\x03π＇δ'␃｜\\\nα｜M\x1d7（Z＊８*.␉",
	}, { // 2876
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.φ␡␑a\x18ｔＨ\rς␅␛μ？\x13９＜θｕ7，]τ\u007fKbw.Ｍ",
		out:  "␉.φ␡␑a\x18ｔＨ\rς␅␛μ？\x13９＜θｕ7，]τ\u007fKbw.Ｍ",
	}, { // 2877
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.φ␡␑a\x18ｔＨ\rς␅␛μ？\x13９＜θｕ7，]τ\u007fKbw.Ｍ",
		out:  "‛␉.φ␡␑a\x18ｔＨ\rς␅␛μ？\x13９＜θｕ7，]τ\u007fKbw.Ｍ",
	}, { // 2878
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x06.φ␡␑a\x18ｔＨ\rς␅␛μ？\x13９＜θｕ7，]τ\u007fKbw.\t",
		out:  "\x06.φ␡␑a\x18ｔＨ\rς␅␛μ？\x13９＜θｕ7，]τ\u007fKbw.\t",
	}, { // 2879
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\x06.φ␡␑a\x18ｔＨ\rς␅␛μ？\x13９＜θｕ7，]τ\u007fKbw.␉",
		out:  "\x06.φ␡␑a\x18ｔＨ\rς␅␛μ？\x13９＜θｕ7，]τ\u007fKbw.␉",
	}, { // 2880
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "\t.＃\x0eV\x17ηｇ`␋ε␂#］ｖT＼#Ｙ␊κ.Ｕ\x0fB>ρr.ｗ",
		out:  "␉.＃\x0eV\x17ηｇ`␋ε␂#］ｖT＼#Ｙ␊κ.Ｕ\x0fB>ρr.ｗ",
	}, { // 2881
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "␉.＃\x0eV\x17ηｇ`␋ε␂#］ｖT＼#Ｙ␊κ.Ｕ\x0fB>ρr.ｗ",
		out:  "‛␉.＃\x0eV\x17ηｇ`␋ε␂#］ｖT＼#Ｙ␊κ.Ｕ\x0fB>ρr.ｗ",
	}, { // 2882
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "ρ.＃\x0eV\x17ηｇ`␋ε␂#］ｖT＼#Ｙ␊κ.Ｕ\x0fB>ρr.\t",
		out:  "ρ.＃\x0eV\x17ηｇ`␋ε␂#］ｖT＼#Ｙ␊κ.Ｕ\x0fB>ρr.\t",
	}, { // 2883
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightPeriod,
		in:   "ρ.＃\x0eV\x17ηｇ`␋ε␂#］ｖT＼#Ｙ␊κ.Ｕ\x0fB>ρr.␉",
		out:  "ρ.＃\x0eV\x17ηｇ`␋ε␂#］ｖT＼#Ｙ␊κ.Ｕ\x0fB>ρr.␉",
	}, { // 2884
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\tθ",
		out:  "␉\t␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\tθ",
	}, { // 2885
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\tθ",
		out:  "‛␉\t␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\tθ",
	}, { // 2886
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\nθ",
		out:  "␉\n␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\nθ",
	}, { // 2887
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\nθ",
		out:  "‛␉\n␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\nθ",
	}, { // 2888
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\vθ",
		out:  "␉\v␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\vθ",
	}, { // 2889
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\vθ",
		out:  "‛␉\v␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\vθ",
	}, { // 2890
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\rθ",
		out:  "␉\r␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\rθ",
	}, { // 2891
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\rθ",
		out:  "‛␉\r␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\rθ",
	}, { // 2892
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｔ\t␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\t\t",
		out:  "ｔ\t␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\t␉",
	}, { // 2893
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｔ\t␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\t␉",
		out:  "ｔ\t␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\t‛␉",
	}, { // 2894
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｔ\n␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\n\t",
		out:  "ｔ\n␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\n␉",
	}, { // 2895
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｔ\n␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\n␉",
		out:  "ｔ\n␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\n‛␉",
	}, { // 2896
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｔ\v␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\v\t",
		out:  "ｔ\v␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\v␉",
	}, { // 2897
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｔ\v␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\v␉",
		out:  "ｔ\v␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\v‛␉",
	}, { // 2898
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｔ\r␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\r\t",
		out:  "ｔ\r␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\r␉",
	}, { // 2899
		mask: EncodeZero | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｔ\r␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\r␉",
		out:  "ｔ\r␊i␛ξ～Ｌ\x0f3γθ␍f]ｌＹFξ␋␑γ＄␛l\v\"\v\r‛␉",
	}, { // 2900
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\to！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\t?",
		out:  "␉\to！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\t?",
	}, { // 2901
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\to！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\t?",
		out:  "‛␉\to！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\t?",
	}, { // 2902
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\no！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\n?",
		out:  "␉\no！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\n?",
	}, { // 2903
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\no！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\n?",
		out:  "‛␉\no！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\n?",
	}, { // 2904
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vo！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\v?",
		out:  "␉\vo！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\v?",
	}, { // 2905
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vo！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\v?",
		out:  "‛␉\vo！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\v?",
	}, { // 2906
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\ro！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\r?",
		out:  "␉\ro！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\r?",
	}, { // 2907
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\ro！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\r?",
		out:  "‛␉\ro！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\r?",
	}, { // 2908
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "$\to！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\t\t",
		out:  "$\to！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\t␉",
	}, { // 2909
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "$\to！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\t␉",
		out:  "$\to！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\t‛␉",
	}, { // 2910
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "$\no！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\n\t",
		out:  "$\no！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\n␉",
	}, { // 2911
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "$\no！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\n␉",
		out:  "$\no！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\n‛␉",
	}, { // 2912
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "$\vo！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\v\t",
		out:  "$\vo！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\v␉",
	}, { // 2913
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "$\vo！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\v␉",
		out:  "$\vo！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\v‛␉",
	}, { // 2914
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "$\ro！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\r\t",
		out:  "$\ro！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\r␉",
	}, { // 2915
		mask: EncodeSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "$\ro！η:i／Ｄ＞ρ;ψ␀７＃?6`／␍π\"]Ｈ＃`ι\r␉",
		out:  "$\ro！η:i‛／Ｄ＞ρ;ψ‛␀７＃?6`‛／␍π\"]Ｈ＃`ι\r‛␉",
	}, { // 2916
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\t\b",
		out:  "␉\tZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\t\b",
	}, { // 2917
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\t\b",
		out:  "‛␉\tZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\t\b",
	}, { // 2918
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\n\b",
		out:  "␉\nZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\n\b",
	}, { // 2919
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\n\b",
		out:  "‛␉\nZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\n\b",
	}, { // 2920
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\v\b",
		out:  "␉\vZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\v\b",
	}, { // 2921
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\v\b",
		out:  "‛␉\vZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\v\b",
	}, { // 2922
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\r\b",
		out:  "␉\rZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\r\b",
	}, { // 2923
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\r\b",
		out:  "‛␉\rZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\r\b",
	}, { // 2924
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␈\tZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\t\t",
		out:  "␈\tZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\t␉",
	}, { // 2925
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␈\tZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\t␉",
		out:  "␈\tZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\t‛␉",
	}, { // 2926
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␈\nZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\n\t",
		out:  "␈\nZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\n␉",
	}, { // 2927
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␈\nZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\n␉",
		out:  "␈\nZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\n‛␉",
	}, { // 2928
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␈\vZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\v\t",
		out:  "␈\vZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\v␉",
	}, { // 2929
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␈\vZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\v␉",
		out:  "␈\vZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\v‛␉",
	}, { // 2930
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␈\rZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\r\t",
		out:  "␈\rZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\r␉",
	}, { // 2931
		mask: EncodeSingleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␈\rZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\r␉",
		out:  "␈\rZπ␈␋\x05φ/］／β（Ｃａς1］jp#*\x1eφ＾.τ？\r‛␉",
	}, { // 2932
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\t＼",
		out:  "␉\tυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\t＼",
	}, { // 2933
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\t＼",
		out:  "‛␉\tυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\t＼",
	}, { // 2934
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\n＼",
		out:  "␉\nυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\n＼",
	}, { // 2935
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\n＼",
		out:  "‛␉\nυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\n＼",
	}, { // 2936
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\v＼",
		out:  "␉\vυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\v＼",
	}, { // 2937
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\v＼",
		out:  "‛␉\vυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\v＼",
	}, { // 2938
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\r＼",
		out:  "␉\rυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\r＼",
	}, { // 2939
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\r＼",
		out:  "‛␉\rυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\r＼",
	}, { // 2940
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｌ\tυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\t\t",
		out:  "ｌ\tυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\t␉",
	}, { // 2941
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｌ\tυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\t␉",
		out:  "ｌ\tυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\t‛␉",
	}, { // 2942
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｌ\nυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\n\t",
		out:  "ｌ\nυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\n␉",
	}, { // 2943
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｌ\nυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\n␉",
		out:  "ｌ\nυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\n‛␉",
	}, { // 2944
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｌ\vυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\v\t",
		out:  "ｌ\vυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\v␉",
	}, { // 2945
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｌ\vυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\v␉",
		out:  "ｌ\vυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\v‛␉",
	}, { // 2946
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｌ\rυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\r\t",
		out:  "ｌ\rυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\r␉",
	}, { // 2947
		mask: EncodeBackQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｌ\rυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\r␉",
		out:  "ｌ\rυλ+\r\x0eqρEuσ[？\f＊\x19\x1eＮ～␙.θ␊␕γ｛␈\r‛␉",
	}, { // 2948
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\t'",
		out:  "␉\t＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\t'",
	}, { // 2949
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\t'",
		out:  "‛␉\t＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\t'",
	}, { // 2950
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\n'",
		out:  "␉\n＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\n'",
	}, { // 2951
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\n'",
		out:  "‛␉\n＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\n'",
	}, { // 2952
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\v'",
		out:  "␉\v＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\v'",
	}, { // 2953
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\v'",
		out:  "‛␉\v＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\v'",
	}, { // 2954
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\r'",
		out:  "␉\r＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\r'",
	}, { // 2955
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\r'",
		out:  "‛␉\r＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\r'",
	}, { // 2956
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\b\t＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\t\t",
		out:  "\b\t＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\t␉",
	}, { // 2957
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\b\t＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\t␉",
		out:  "\b\t＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\t‛␉",
	}, { // 2958
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\b\n＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\n\t",
		out:  "\b\n＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\n␉",
	}, { // 2959
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\b\n＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\n␉",
		out:  "\b\n＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\n‛␉",
	}, { // 2960
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\b\v＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\v\t",
		out:  "\b\v＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\v␉",
	}, { // 2961
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\b\v＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\v␉",
		out:  "\b\v＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\v‛␉",
	}, { // 2962
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\b\r＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\r\t",
		out:  "\b\r＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\r␉",
	}, { // 2963
		mask: EncodeLtGt | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\b\r＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\r␉",
		out:  "\b\r＇χ␞Ｈθ＇jκ\x11ｚ␑ｐ~Ｒ\x1bnh＾\aKλ*␃σ7μ\r‛␉",
	}, { // 2964
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\t\"",
		out:  "␉\t＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\t\"",
	}, { // 2965
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\t\"",
		out:  "‛␉\t＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\t\"",
	}, { // 2966
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\n\"",
		out:  "␉\n＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\n\"",
	}, { // 2967
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\n\"",
		out:  "‛␉\n＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\n\"",
	}, { // 2968
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\v\"",
		out:  "␉\v＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\v\"",
	}, { // 2969
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\v\"",
		out:  "‛␉\v＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\v\"",
	}, { // 2970
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\r\"",
		out:  "␉\r＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\r\"",
	}, { // 2971
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\r\"",
		out:  "‛␉\r＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\r\"",
	}, { // 2972
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "v\t＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\t\t",
		out:  "v\t＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\t␉",
	}, { // 2973
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "v\t＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\t␉",
		out:  "v\t＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\t‛␉",
	}, { // 2974
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "v\n＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\n\t",
		out:  "v\n＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\n␉",
	}, { // 2975
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "v\n＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\n␉",
		out:  "v\n＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\n‛␉",
	}, { // 2976
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "v\v＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\v\t",
		out:  "v\v＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\v␉",
	}, { // 2977
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "v\v＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\v␉",
		out:  "v\v＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\v‛␉",
	}, { // 2978
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "v\r＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\r\t",
		out:  "v\r＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\r␉",
	}, { // 2979
		mask: EncodeSquareBracket | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "v\r＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\r␉",
		out:  "v\r＞kｂ␋\x19k％ｇ（ν％)．\nηδ␍φ｛Ｗ＜κ$\"W%\r‛␉",
	}, { // 2980
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\t／",
		out:  "␉\t9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\t／",
	}, { // 2981
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\t／",
		out:  "‛␉\t9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\t／",
	}, { // 2982
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\n／",
		out:  "␉\n9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\n／",
	}, { // 2983
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\n／",
		out:  "‛␉\n9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\n／",
	}, { // 2984
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\v／",
		out:  "␉\v9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\v／",
	}, { // 2985
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\v／",
		out:  "‛␉\v9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\v／",
	}, { // 2986
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\r／",
		out:  "␉\r9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\r／",
	}, { // 2987
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\r／",
		out:  "‛␉\r9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\r／",
	}, { // 2988
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｗ\t9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\t\t",
		out:  "Ｗ\t9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\t␉",
	}, { // 2989
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｗ\t9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\t␉",
		out:  "Ｗ\t9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\t‛␉",
	}, { // 2990
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｗ\n9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\n\t",
		out:  "Ｗ\n9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\n␉",
	}, { // 2991
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｗ\n9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\n␉",
		out:  "Ｗ\n9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\n‛␉",
	}, { // 2992
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｗ\v9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\v\t",
		out:  "Ｗ\v9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\v␉",
	}, { // 2993
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｗ\v9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\v␉",
		out:  "Ｗ\v9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\v‛␉",
	}, { // 2994
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｗ\r9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\r\t",
		out:  "Ｗ\r9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\r␉",
	}, { // 2995
		mask: EncodeSemicolon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "Ｗ\r9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊；HP\r␉",
		out:  "Ｗ\r9H|:λψｒδｃ１␜\x04\v\x0f\x05ｕ6␅θ␡τ.␊‛；HP\r‛␉",
	}, { // 2996
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\t#",
		out:  "␉\t␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\t#",
	}, { // 2997
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\t#",
		out:  "‛␉\t␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\t#",
	}, { // 2998
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\n#",
		out:  "␉\n␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\n#",
	}, { // 2999
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\n#",
		out:  "‛␉\n␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\n#",
	}, { // 3000
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\v#",
		out:  "␉\v␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\v#",
	}, { // 3001
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\v#",
		out:  "‛␉\v␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\v#",
	}, { // 3002
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\r#",
		out:  "␉\r␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\r#",
	}, { // 3003
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\r#",
		out:  "‛␉\r␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\r#",
	}, { // 3004
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x04\t␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\t\t",
		out:  "\x04\t␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\t␉",
	}, { // 3005
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x04\t␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\t␉",
		out:  "\x04\t␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\t‛␉",
	}, { // 3006
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x04\n␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\n\t",
		out:  "\x04\n␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\n␉",
	}, { // 3007
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x04\n␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\n␉",
		out:  "\x04\n␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\n‛␉",
	}, { // 3008
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x04\v␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\v\t",
		out:  "\x04\v␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\v␉",
	}, { // 3009
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x04\v␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\v␉",
		out:  "\x04\v␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\v‛␉",
	}, { // 3010
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x04\r␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\r\t",
		out:  "\x04\r␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\r␉",
	}, { // 3011
		mask: EncodeDollar | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x04\r␍σ＃ζ\x1f$-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\r␉",
		out:  "\x04\r␍σ＃ζ\x1f＄-U␎；－ｙρ␊Ｐηλｗ%\x15O［\x1b␐Ｊh\r‛␉",
	}, { // 3012
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\t␙",
		out:  "␉\tＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\t␙",
	}, { // 3013
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\t␙",
		out:  "‛␉\tＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\t␙",
	}, { // 3014
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\n␙",
		out:  "␉\nＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\n␙",
	}, { // 3015
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\n␙",
		out:  "‛␉\nＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\n␙",
	}, { // 3016
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\v␙",
		out:  "␉\vＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\v␙",
	}, { // 3017
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\v␙",
		out:  "‛␉\vＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\v␙",
	}, { // 3018
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\r␙",
		out:  "␉\rＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\r␙",
	}, { // 3019
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\r␙",
		out:  "‛␉\rＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\r␙",
	}, { // 3020
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "｀\tＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\t\t",
		out:  "｀\tＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\t␉",
	}, { // 3021
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "｀\tＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\t␉",
		out:  "｀\tＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\t‛␉",
	}, { // 3022
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "｀\nＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\n\t",
		out:  "｀\nＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\n␉",
	}, { // 3023
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "｀\nＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\n␉",
		out:  "｀\nＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\n‛␉",
	}, { // 3024
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "｀\vＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\v\t",
		out:  "｀\vＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\v␉",
	}, { // 3025
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "｀\vＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\v␉",
		out:  "｀\vＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\v‛␉",
	}, { // 3026
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "｀\rＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\r\t",
		out:  "｀\rＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\r␉",
	}, { // 3027
		mask: EncodeDoubleQuote | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "｀\rＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\r␉",
		out:  "｀\rＨ␄，｀\x1a＄_\x1c␚␏Zω=$β\x1e␎μ＇δlλε\x1f\x1de\r‛␉",
	}, { // 3028
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\t＇",
		out:  "␉\t\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\t＇",
	}, { // 3029
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\t＇",
		out:  "‛␉\t\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\t＇",
	}, { // 3030
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\n＇",
		out:  "␉\n\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\n＇",
	}, { // 3031
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\n＇",
		out:  "‛␉\n\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\n＇",
	}, { // 3032
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\v＇",
		out:  "␉\v\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\v＇",
	}, { // 3033
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\v＇",
		out:  "‛␉\v\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\v＇",
	}, { // 3034
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\r＇",
		out:  "␉\r\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\r＇",
	}, { // 3035
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\r＇",
		out:  "‛␉\r\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\r＇",
	}, { // 3036
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "θ\t\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\t\t",
		out:  "θ\t\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\t␉",
	}, { // 3037
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "θ\t\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\t␉",
		out:  "θ\t\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\t‛␉",
	}, { // 3038
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "θ\n\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\n\t",
		out:  "θ\n\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\n␉",
	}, { // 3039
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "θ\n\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\n␉",
		out:  "θ\n\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\n‛␉",
	}, { // 3040
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "θ\v\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\v\t",
		out:  "θ\v\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\v␉",
	}, { // 3041
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "θ\v\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\v␉",
		out:  "θ\v\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\v‛␉",
	}, { // 3042
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "θ\r\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\r\t",
		out:  "θ\r\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\r␉",
	}, { // 3043
		mask: EncodeColon | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "θ\r\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02:ι\r␉",
		out:  "θ\r\x19$H␛λeι＾\r␑ｒ＂jξ%h␝\x1e␑６␍Ｓd\x02：ι\r‛␉",
	}, { // 3044
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\t␖",
		out:  "␉\tＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\t␖",
	}, { // 3045
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\t␖",
		out:  "‛␉\tＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\t␖",
	}, { // 3046
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\n␖",
		out:  "␉\nＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\n␖",
	}, { // 3047
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\n␖",
		out:  "‛␉\nＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\n␖",
	}, { // 3048
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\v␖",
		out:  "␉\vＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\v␖",
	}, { // 3049
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\v␖",
		out:  "‛␉\vＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\v␖",
	}, { // 3050
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\r␖",
		out:  "␉\rＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\r␖",
	}, { // 3051
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\r␖",
		out:  "‛␉\rＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\r␖",
	}, { // 3052
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＂\tＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\t\t",
		out:  "＂\tＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\t␉",
	}, { // 3053
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＂\tＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\t␉",
		out:  "＂\tＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\t‛␉",
	}, { // 3054
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＂\nＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\n\t",
		out:  "＂\nＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\n␉",
	}, { // 3055
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＂\nＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\n␉",
		out:  "＂\nＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\n‛␉",
	}, { // 3056
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＂\vＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\v\t",
		out:  "＂\vＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\v␉",
	}, { // 3057
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＂\vＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\v␉",
		out:  "＂\vＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\v‛␉",
	}, { // 3058
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＂\rＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\r\t",
		out:  "＂\rＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\r␉",
	}, { // 3059
		mask: EncodeQuestion | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "＂\rＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\r␉",
		out:  "＂\rＡ／>`<aτＳＴτ／V\r␋Ｋ.␟$!；=\rτ\"９γ\r‛␉",
	}, { // 3060
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\tι",
		out:  "␉\t?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\tι",
	}, { // 3061
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\tι",
		out:  "‛␉\t?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\tι",
	}, { // 3062
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\nι",
		out:  "␉\n?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\nι",
	}, { // 3063
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\nι",
		out:  "‛␉\n?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\nι",
	}, { // 3064
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\vι",
		out:  "␉\v?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\vι",
	}, { // 3065
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\vι",
		out:  "‛␉\v?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\vι",
	}, { // 3066
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\rι",
		out:  "␉\r?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\rι",
	}, { // 3067
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\rι",
		out:  "‛␉\r?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\rι",
	}, { // 3068
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x00\t?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\t\t",
		out:  "␀\t?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\t␉",
	}, { // 3069
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x00\t?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\t␉",
		out:  "␀\t?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\t‛␉",
	}, { // 3070
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x00\n?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\n\t",
		out:  "␀\n?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\n␉",
	}, { // 3071
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x00\n?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\n␉",
		out:  "␀\n?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\n‛␉",
	}, { // 3072
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x00\v?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\v\t",
		out:  "␀\v?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\v␉",
	}, { // 3073
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x00\v?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\v␉",
		out:  "␀\v?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\v‛␉",
	}, { // 3074
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x00\r?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\r\t",
		out:  "␀\r?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\r␉",
	}, { // 3075
		mask: EncodeAsterisk | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x00\r?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\r␉",
		out:  "␀\r?％δ\nＴ[＂\x12＠ω/xνＨ\u007fηW％|π［|＂／␑＼\r‛␉",
	}, { // 3076
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\t␌",
		out:  "␉\t／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\t␌",
	}, { // 3077
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\t␌",
		out:  "‛␉\t／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\t␌",
	}, { // 3078
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\n␌",
		out:  "␉\n／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\n␌",
	}, { // 3079
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\n␌",
		out:  "‛␉\n／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\n␌",
	}, { // 3080
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\v␌",
		out:  "␉\v／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\v␌",
	}, { // 3081
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\v␌",
		out:  "‛␉\v／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\v␌",
	}, { // 3082
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\r␌",
		out:  "␉\r／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\r␌",
	}, { // 3083
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\r␌",
		out:  "‛␉\r／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\r␌",
	}, { // 3084
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x16\t／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\t\t",
		out:  "\x16\t／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\t␉",
	}, { // 3085
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x16\t／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\t␉",
		out:  "\x16\t／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\t‛␉",
	}, { // 3086
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x16\n／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\n\t",
		out:  "\x16\n／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\n␉",
	}, { // 3087
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x16\n／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\n␉",
		out:  "\x16\n／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\n‛␉",
	}, { // 3088
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x16\v／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\v\t",
		out:  "\x16\v／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\v␉",
	}, { // 3089
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x16\v／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\v␉",
		out:  "\x16\v／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\v‛␉",
	}, { // 3090
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x16\r／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\r\t",
		out:  "\x16\r／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\r␉",
	}, { // 3091
		mask: EncodePipe | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\x16\r／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\r␉",
		out:  "\x16\r／␚ｊφＱｖ\x0f':σ?[ξ␃β＿/;\x1e ␇σ／^Ｗｆ\r‛␉",
	}, { // 3092
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\t=",
		out:  "␉\t␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\t=",
	}, { // 3093
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\t=",
		out:  "‛␉\t␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\t=",
	}, { // 3094
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\n=",
		out:  "␉\n␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\n=",
	}, { // 3095
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\n=",
		out:  "‛␉\n␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\n=",
	}, { // 3096
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\v=",
		out:  "␉\v␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\v=",
	}, { // 3097
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\v=",
		out:  "‛␉\v␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\v=",
	}, { // 3098
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\r=",
		out:  "␉\r␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\r=",
	}, { // 3099
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\r=",
		out:  "‛␉\r␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\r=",
	}, { // 3100
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "?\t␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\t\t",
		out:  "?\t␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\t␉",
	}, { // 3101
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "?\t␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\t␉",
		out:  "?\t␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\t‛␉",
	}, { // 3102
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "?\n␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\n\t",
		out:  "?\n␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\n␉",
	}, { // 3103
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "?\n␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\n␉",
		out:  "?\n␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\n‛␉",
	}, { // 3104
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "?\v␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\v\t",
		out:  "?\v␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\v␉",
	}, { // 3105
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "?\v␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\v␉",
		out:  "?\v␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\v‛␉",
	}, { // 3106
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "?\r␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\r\t",
		out:  "?\r␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\r␉",
	}, { // 3107
		mask: EncodeHash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "?\r␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\r␉",
		out:  "?\r␋ｑＬl５ρｃ；δ\x1e｀\x0e＜^ｘυ\x15cｉ\b＊b\x1cδμυ\r‛␉",
	}, { // 3108
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\t␐",
		out:  "␉\t␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\t␐",
	}, { // 3109
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\t␐",
		out:  "‛␉\t␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\t␐",
	}, { // 3110
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\n␐",
		out:  "␉\n␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\n␐",
	}, { // 3111
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\n␐",
		out:  "‛␉\n␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\n␐",
	}, { // 3112
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\v␐",
		out:  "␉\v␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\v␐",
	}, { // 3113
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\v␐",
		out:  "‛␉\v␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\v␐",
	}, { // 3114
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\r␐",
		out:  "␉\r␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\r␐",
	}, { // 3115
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\r␐",
		out:  "‛␉\r␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\r␐",
	}, { // 3116
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｎ\t\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\t\t",
		out:  "ｎ\t␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\t␉",
	}, { // 3117
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｎ\t\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\t␉",
		out:  "ｎ\t␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\t‛␉",
	}, { // 3118
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｎ\n\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\n\t",
		out:  "ｎ\n␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\n␉",
	}, { // 3119
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｎ\n\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\n␉",
		out:  "ｎ\n␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\n‛␉",
	}, { // 3120
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｎ\v\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\v\t",
		out:  "ｎ\v␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\v␉",
	}, { // 3121
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｎ\v\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\v␉",
		out:  "ｎ\v␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\v‛␉",
	}, { // 3122
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｎ\r\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\r\t",
		out:  "ｎ\r␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\r␉",
	}, { // 3123
		mask: EncodePercent | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ｎ\r\x00$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\r␉",
		out:  "ｎ\r␀$eＵ5｜των␎ｙ&α\x01υ␑␗\x0ef／ｖ\x1f［＾V*\r‛␉",
	}, { // 3124
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\t*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\tξ",
		out:  "␉\t*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\tξ",
	}, { // 3125
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\t*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\tξ",
		out:  "‛␉\t*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\tξ",
	}, { // 3126
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\n*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\nξ",
		out:  "␉\n*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\nξ",
	}, { // 3127
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\n*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\nξ",
		out:  "‛␉\n*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\nξ",
	}, { // 3128
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\v*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\vξ",
		out:  "␉\v*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\vξ",
	}, { // 3129
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\v*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\vξ",
		out:  "‛␉\v*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\vξ",
	}, { // 3130
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\r*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\rξ",
		out:  "␉\r*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\rξ",
	}, { // 3131
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\r*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\rξ",
		out:  "‛␉\r*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\rξ",
	}, { // 3132
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\t*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\t\t",
		out:  "ι\t*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\t␉",
	}, { // 3133
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\t*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\t␉",
		out:  "ι\t*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\t‛␉",
	}, { // 3134
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\n*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\n\t",
		out:  "ι\n*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\n␉",
	}, { // 3135
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\n*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\n␉",
		out:  "ι\n*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\n‛␉",
	}, { // 3136
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\v*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\v\t",
		out:  "ι\v*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\v␉",
	}, { // 3137
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\v*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\v␉",
		out:  "ι\v*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\v‛␉",
	}, { // 3138
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\r*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\r\t",
		out:  "ι\r*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\r␉",
	}, { // 3139
		mask: EncodeBackSlash | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "ι\r*χ_＄'␍ｎ|ω␖％χ<＝\x00`η␉␒␍ｆ#gjＬ~\r␉",
		out:  "ι\r*χ_＄'␍ｎ|ω␖％χ<＝␀`η␉␒␍ｆ#gjＬ~\r‛␉",
	}, { // 3140
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\tνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\t␡",
		out:  "␉\tνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\t‛␡",
	}, { // 3141
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\tνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\t␡",
		out:  "‛␉\tνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\t‛␡",
	}, { // 3142
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\nνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\n␡",
		out:  "␉\nνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\n‛␡",
	}, { // 3143
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\nνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\n␡",
		out:  "‛␉\nνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\n‛␡",
	}, { // 3144
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\vνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\v␡",
		out:  "␉\vνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\v‛␡",
	}, { // 3145
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\vνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\v␡",
		out:  "‛␉\vνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\v‛␡",
	}, { // 3146
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\t\rνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\r␡",
		out:  "␉\rνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\r‛␡",
	}, { // 3147
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "␉\rνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\r␡",
		out:  "‛␉\rνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\r‛␡",
	}, { // 3148
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\n\tνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\t\t",
		out:  "␊\tνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\t␉",
	}, { // 3149
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\n\tνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\t␉",
		out:  "␊\tνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\t‛␉",
	}, { // 3150
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\n\nνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\n\t",
		out:  "␊\nνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\n␉",
	}, { // 3151
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\n\nνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\n␉",
		out:  "␊\nνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\n‛␉",
	}, { // 3152
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\n\vνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\v\t",
		out:  "␊\vνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\v␉",
	}, { // 3153
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\n\vνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\v␉",
		out:  "␊\vνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\v‛␉",
	}, { // 3154
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\n\rνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\r\t",
		out:  "␊\rνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\r␉",
	}, { // 3155
		mask: EncodeDel | EncodeLeftCrLfHtVt | EncodeRightCrLfHtVt,
		in:   "\n\rνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ␀Ａ\x1dM\uff00ζ\bι\r␉",
		out:  "␊\rνｌ\x1dY␂/γ＊8σ＂２␟\n9％\fｃ‛␀Ａ\x1dM\uff00ζ\bι\r‛␉",
	}, { // 3156
		mask: EncodeZero | EncodeRightSpace | EncodeLeftSpace,
		in:   "  >/Ｒ\x15␝␏χχηS/\uff00EｉＭρ␒；1%b\x1f／９\x1cυ <",
		out:  "␠ >/Ｒ\x15␝␏χχηS/\uff00EｉＭρ␒；1%b\x1f／９\x1cυ <",
	}, { // 3157
		mask: EncodeZero | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ >/Ｒ\x15␝␏χχηS/\uff00EｉＭρ␒；1%b\x1f／９\x1cυ <",
		out:  "‛␠ >/Ｒ\x15␝␏χχηS/\uff00EｉＭρ␒；1%b\x1f／９\x1cυ <",
	}, { // 3158
		mask: EncodeZero | EncodeRightSpace | EncodeLeftSpace,
		in:   "␎ >/Ｒ\x15␝␏χχηS/\uff00EｉＭρ␒；1%b\x1f／９\x1cυ  ",
		out:  "␎ >/Ｒ\x15␝␏χχηS/\uff00EｉＭρ␒；1%b\x1f／９\x1cυ ␠",
	}, { // 3159
		mask: EncodeZero | EncodeRightSpace | EncodeLeftSpace,
		in:   "␎ >/Ｒ\x15␝␏χχηS/\uff00EｉＭρ␒；1%b\x1f／９\x1cυ ␠",
		out:  "␎ >/Ｒ\x15␝␏χχηS/\uff00EｉＭρ␒；1%b\x1f／９\x1cυ ‛␠",
	}, { // 3160
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \bδ9τ(ξ␍ω&７ｚ｜␄εο＃｜．\x18ｘ␙<4*Ｔ: \x15",
		out:  "␠ \bδ9τ(ξ␍ω&７ｚ｜␄εο＃｜．\x18ｘ␙<4*Ｔ: \x15",
	}, { // 3161
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \bδ9τ(ξ␍ω&７ｚ｜␄εο＃｜．\x18ｘ␙<4*Ｔ: \x15",
		out:  "‛␠ \bδ9τ(ξ␍ω&７ｚ｜␄εο＃｜．\x18ｘ␙<4*Ｔ: \x15",
	}, { // 3162
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "u \bδ9τ(ξ␍ω&７ｚ｜␄εο＃｜．\x18ｘ␙<4*Ｔ:  ",
		out:  "u \bδ9τ(ξ␍ω&７ｚ｜␄εο＃｜．\x18ｘ␙<4*Ｔ: ␠",
	}, { // 3163
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "u \bδ9τ(ξ␍ω&７ｚ｜␄εο＃｜．\x18ｘ␙<4*Ｔ: ␠",
		out:  "u \bδ9τ(ξ␍ω&７ｚ｜␄εο＃｜．\x18ｘ␙<4*Ｔ: ‛␠",
	}, { // 3164
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \x18/\x1f$4\tUＴ␑ｇ\nοＷ8\x04υ␝｀Ｘ␋␝@％8␝φ μ",
		out:  "␠ \x18/\x1f$4\tUＴ␑ｇ\nοＷ8\x04υ␝｀Ｘ␋␝@％8␝φ μ",
	}, { // 3165
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \x18/\x1f$4\tUＴ␑ｇ\nοＷ8\x04υ␝｀Ｘ␋␝@％8␝φ μ",
		out:  "‛␠ \x18/\x1f$4\tUＴ␑ｇ\nοＷ8\x04υ␝｀Ｘ␋␝@％8␝φ μ",
	}, { // 3166
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "ο \x18/\x1f$4\tUＴ␑ｇ\nοＷ8\x04υ␝｀Ｘ␋␝@％8␝φ  ",
		out:  "ο \x18/\x1f$4\tUＴ␑ｇ\nοＷ8\x04υ␝｀Ｘ␋␝@％8␝φ ␠",
	}, { // 3167
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "ο \x18/\x1f$4\tUＴ␑ｇ\nοＷ8\x04υ␝｀Ｘ␋␝@％8␝φ ␠",
		out:  "ο \x18/\x1f$4\tUＴ␑ｇ\nοＷ8\x04υ␝｀Ｘ␋␝@％8␝φ ‛␠",
	}, { // 3168
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ␡␃ｂτ\x15９ξjε｜f\"␌\ne␌εＨο:！o\r９T␎ \"",
		out:  "␠ ␡␃ｂτ\x15９ξjε｜f\"␌\ne␌εＨο:！o\r９T␎ \"",
	}, { // 3169
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ␡␃ｂτ\x15９ξjε｜f\"␌\ne␌εＨο:！o\r９T␎ \"",
		out:  "‛␠ ␡␃ｂτ\x15９ξjε｜f\"␌\ne␌εＨο:！o\r９T␎ \"",
	}, { // 3170
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "ξ ␡␃ｂτ\x15９ξjε｜f\"␌\ne␌εＨο:！o\r９T␎  ",
		out:  "ξ ␡␃ｂτ\x15９ξjε｜f\"␌\ne␌εＨο:！o\r９T␎ ␠",
	}, { // 3171
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "ξ ␡␃ｂτ\x15９ξjε｜f\"␌\ne␌εＨο:！o\r９T␎ ␠",
		out:  "ξ ␡␃ｂτ\x15９ξjε｜f\"␌\ne␌εＨο:！o\r９T␎ ‛␠",
	}, { // 3172
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \x1bp\x03_ψ＊ρι\fλθ＜␑~*␗?␟！P％␃␐［ｃｍ '",
		out:  "␠ \x1bp\x03_ψ＊ρι\fλθ‛＜␑~*␗?␟！P％␃␐［ｃｍ '",
	}, { // 3173
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \x1bp\x03_ψ＊ρι\fλθ＜␑~*␗?␟！P％␃␐［ｃｍ '",
		out:  "‛␠ \x1bp\x03_ψ＊ρι\fλθ‛＜␑~*␗?␟！P％␃␐［ｃｍ '",
	}, { // 3174
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftSpace,
		in:   "κ \x1bp\x03_ψ＊ρι\fλθ＜␑~*␗?␟！P％␃␐［ｃｍ  ",
		out:  "κ \x1bp\x03_ψ＊ρι\fλθ‛＜␑~*␗?␟！P％␃␐［ｃｍ ␠",
	}, { // 3175
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftSpace,
		in:   "κ \x1bp\x03_ψ＊ρι\fλθ＜␑~*␗?␟！P％␃␐［ｃｍ ␠",
		out:  "κ \x1bp\x03_ψ＊ρι\fλθ‛＜␑~*␗?␟！P％␃␐［ｃｍ ‛␠",
	}, { // 3176
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \nρ%II｜-,>π Ｑ␅ｎγ␟ςＶ␓μ\r！␗ξ:f ｐ",
		out:  "␠ \nρ%II｜-,>π Ｑ␅ｎγ␟ςＶ␓μ\r！␗ξ:f ｐ",
	}, { // 3177
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \nρ%II｜-,>π Ｑ␅ｎγ␟ςＶ␓μ\r！␗ξ:f ｐ",
		out:  "‛␠ \nρ%II｜-,>π Ｑ␅ｎγ␟ςＶ␓μ\r！␗ξ:f ｐ",
	}, { // 3178
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftSpace,
		in:   "＊ \nρ%II｜-,>π Ｑ␅ｎγ␟ςＶ␓μ\r！␗ξ:f  ",
		out:  "＊ \nρ%II｜-,>π Ｑ␅ｎγ␟ςＶ␓μ\r！␗ξ:f ␠",
	}, { // 3179
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftSpace,
		in:   "＊ \nρ%II｜-,>π Ｑ␅ｎγ␟ςＶ␓μ\r！␗ξ:f ␠",
		out:  "＊ \nρ%II｜-,>π Ｑ␅ｎγ␟ςＶ␓μ\r！␗ξ:f ‛␠",
	}, { // 3180
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ６␕ζσ－␙＊ｂζ[Ｘym\uff00１ς：'\x11ς{>$␂/␃ κ",
		out:  "␠ ６␕ζσ－␙＊ｂζ[Ｘym\uff00１ς：'\x11ς{>$␂/␃ κ",
	}, { // 3181
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ６␕ζσ－␙＊ｂζ[Ｘym\uff00１ς：'\x11ς{>$␂/␃ κ",
		out:  "‛␠ ６␕ζσ－␙＊ｂζ[Ｘym\uff00１ς：'\x11ς{>$␂/␃ κ",
	}, { // 3182
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftSpace,
		in:   "- ６␕ζσ－␙＊ｂζ[Ｘym\uff00１ς：'\x11ς{>$␂/␃  ",
		out:  "- ６␕ζσ－␙＊ｂζ[Ｘym\uff00１ς：'\x11ς{>$␂/␃ ␠",
	}, { // 3183
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftSpace,
		in:   "- ６␕ζσ－␙＊ｂζ[Ｘym\uff00１ς：'\x11ς{>$␂/␃ ␠",
		out:  "- ６␕ζσ－␙＊ｂζ[Ｘym\uff00１ς：'\x11ς{>$␂/␃ ‛␠",
	}, { // 3184
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ␇#ｖ\n␑\x0f␡<ε#＜τ＄?AπＺＯε\x1b␎Ｋ\x1aαρ＄ I",
		out:  "␠ ␇#ｖ\n␑\x0f␡<ε#＜τ‛＄?AπＺＯε\x1b␎Ｋ\x1aαρ‛＄ I",
	}, { // 3185
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ␇#ｖ\n␑\x0f␡<ε#＜τ＄?AπＺＯε\x1b␎Ｋ\x1aαρ＄ I",
		out:  "‛␠ ␇#ｖ\n␑\x0f␡<ε#＜τ‛＄?AπＺＯε\x1b␎Ｋ\x1aαρ‛＄ I",
	}, { // 3186
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftSpace,
		in:   "a ␇#ｖ\n␑\x0f␡<ε#＜τ＄?AπＺＯε\x1b␎Ｋ\x1aαρ＄  ",
		out:  "a ␇#ｖ\n␑\x0f␡<ε#＜τ‛＄?AπＺＯε\x1b␎Ｋ\x1aαρ‛＄ ␠",
	}, { // 3187
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftSpace,
		in:   "a ␇#ｖ\n␑\x0f␡<ε#＜τ＄?AπＺＯε\x1b␎Ｋ\x1aαρ＄ ␠",
		out:  "a ␇#ｖ\n␑\x0f␡<ε#＜τ‛＄?AπＺＯε\x1b␎Ｋ\x1aαρ‛＄ ‛␠",
	}, { // 3188
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ｑ？ｒ*εψ>\x0fkω\\Ｏ␛␡＇S％｜σA＄\x02εＯ？\b =",
		out:  "␠ ｑ？ｒ*εψ>\x0fkω\\Ｏ␛␡＇S％｜σA＄\x02εＯ？\b =",
	}, { // 3189
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ｑ？ｒ*εψ>\x0fkω\\Ｏ␛␡＇S％｜σA＄\x02εＯ？\b =",
		out:  "‛␠ ｑ？ｒ*εψ>\x0fkω\\Ｏ␛␡＇S％｜σA＄\x02εＯ？\b =",
	}, { // 3190
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "β ｑ？ｒ*εψ>\x0fkω\\Ｏ␛␡＇S％｜σA＄\x02εＯ？\b  ",
		out:  "β ｑ？ｒ*εψ>\x0fkω\\Ｏ␛␡＇S％｜σA＄\x02εＯ？\b ␠",
	}, { // 3191
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftSpace,
		in:   "β ｑ？ｒ*εψ>\x0fkω\\Ｏ␛␡＇S％｜σA＄\x02εＯ？\b ␠",
		out:  "β ｑ？ｒ*εψ>\x0fkω\\Ｏ␛␡＇S％｜σA＄\x02εＯ？\b ‛␠",
	}, { // 3192
		mask: EncodeColon | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ｙ，ｂ#␙／e\x03\x16ω␡j_＞␋Cς␂λπ7γ'␁＇ｌ `",
		out:  "␠ ｙ，ｂ#␙／e\x03\x16ω␡j_＞␋Cς␂λπ7γ'␁＇ｌ `",
	}, { // 3193
		mask: EncodeColon | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ｙ，ｂ#␙／e\x03\x16ω␡j_＞␋Cς␂λπ7γ'␁＇ｌ `",
		out:  "‛␠ ｙ，ｂ#␙／e\x03\x16ω␡j_＞␋Cς␂λπ7γ'␁＇ｌ `",
	}, { // 3194
		mask: EncodeColon | EncodeRightSpace | EncodeLeftSpace,
		in:   "ς ｙ，ｂ#␙／e\x03\x16ω␡j_＞␋Cς␂λπ7γ'␁＇ｌ  ",
		out:  "ς ｙ，ｂ#␙／e\x03\x16ω␡j_＞␋Cς␂λπ7γ'␁＇ｌ ␠",
	}, { // 3195
		mask: EncodeColon | EncodeRightSpace | EncodeLeftSpace,
		in:   "ς ｙ，ｂ#␙／e\x03\x16ω␡j_＞␋Cς␂λπ7γ'␁＇ｌ ␠",
		out:  "ς ｙ，ｂ#␙／e\x03\x16ω␡j_＞␋Cς␂λπ7γ'␁＇ｌ ‛␠",
	}, { // 3196
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ］␎＋5α＄<＊κ\x1a；|l［␚γ␟␛$|ω５ｙ>\x12α %",
		out:  "␠ ］␎＋5α＄<＊κ\x1a；|l［␚γ␟␛$|ω５ｙ>\x12α %",
	}, { // 3197
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ］␎＋5α＄<＊κ\x1a；|l［␚γ␟␛$|ω５ｙ>\x12α %",
		out:  "‛␠ ］␎＋5α＄<＊κ\x1a；|l［␚γ␟␛$|ω５ｙ>\x12α %",
	}, { // 3198
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftSpace,
		in:   "E ］␎＋5α＄<＊κ\x1a；|l［␚γ␟␛$|ω５ｙ>\x12α  ",
		out:  "E ］␎＋5α＄<＊κ\x1a；|l［␚γ␟␛$|ω５ｙ>\x12α ␠",
	}, { // 3199
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftSpace,
		in:   "E ］␎＋5α＄<＊κ\x1a；|l［␚γ␟␛$|ω５ｙ>\x12α ␠",
		out:  "E ］␎＋5α＄<＊κ\x1a；|l［␚γ␟␛$|ω５ｙ>\x12α ‛␠",
	}, { // 3200
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftSpace,
		in:   "  [υ［␄β＃$κL\"␛ηＪ\x0e＄／/\x03TB９ｉ８\x02λ７ ␜",
		out:  "␠ [υ［␄β＃$κL\"␛ηＪ\x0e＄／/\x03TB９ｉ８\x02λ７ ␜",
	}, { // 3201
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ [υ［␄β＃$κL\"␛ηＪ\x0e＄／/\x03TB９ｉ８\x02λ７ ␜",
		out:  "‛␠ [υ［␄β＃$κL\"␛ηＪ\x0e＄／/\x03TB９ｉ８\x02λ７ ␜",
	}, { // 3202
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftSpace,
		in:   "υ [υ［␄β＃$κL\"␛ηＪ\x0e＄／/\x03TB９ｉ８\x02λ７  ",
		out:  "υ [υ［␄β＃$κL\"␛ηＪ\x0e＄／/\x03TB９ｉ８\x02λ７ ␠",
	}, { // 3203
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftSpace,
		in:   "υ [υ［␄β＃$κL\"␛ηＪ\x0e＄／/\x03TB９ｉ８\x02λ７ ␠",
		out:  "υ [υ［␄β＃$κL\"␛ηＪ\x0e＄／/\x03TB９ｉ８\x02λ７ ‛␠",
	}, { // 3204
		mask: EncodePipe | EncodeRightSpace | EncodeLeftSpace,
		in:   "  μ␖\x0e；0%;␛(\\r>Ｗ\vｃＨ\x13␘*＞； θψμ０ ＊",
		out:  "␠ μ␖\x0e；0%;␛(\\r>Ｗ\vｃＨ\x13␘*＞； θψμ０ ＊",
	}, { // 3205
		mask: EncodePipe | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ μ␖\x0e；0%;␛(\\r>Ｗ\vｃＨ\x13␘*＞； θψμ０ ＊",
		out:  "‛␠ μ␖\x0e；0%;␛(\\r>Ｗ\vｃＨ\x13␘*＞； θψμ０ ＊",
	}, { // 3206
		mask: EncodePipe | EncodeRightSpace | EncodeLeftSpace,
		in:   "Ｘ μ␖\x0e；0%;␛(\\r>Ｗ\vｃＨ\x13␘*＞； θψμ０  ",
		out:  "Ｘ μ␖\x0e；0%;␛(\\r>Ｗ\vｃＨ\x13␘*＞； θψμ０ ␠",
	}, { // 3207
		mask: EncodePipe | EncodeRightSpace | EncodeLeftSpace,
		in:   "Ｘ μ␖\x0e；0%;␛(\\r>Ｗ\vｃＨ\x13␘*＞； θψμ０ ␠",
		out:  "Ｘ μ␖\x0e；0%;␛(\\r>Ｗ\vｃＨ\x13␘*＞； θψμ０ ‛␠",
	}, { // 3208
		mask: EncodeHash | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ν␓\x1f｜πβＦD␋ａζb\r␎\u007f*＞>ｂｍ＇␆ν9x\x1c ;",
		out:  "␠ ν␓\x1f｜πβＦD␋ａζb\r␎\u007f*＞>ｂｍ＇␆ν9x\x1c ;",
	}, { // 3209
		mask: EncodeHash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ν␓\x1f｜πβＦD␋ａζb\r␎\u007f*＞>ｂｍ＇␆ν9x\x1c ;",
		out:  "‛␠ ν␓\x1f｜πβＦD␋ａζb\r␎\u007f*＞>ｂｍ＇␆ν9x\x1c ;",
	}, { // 3210
		mask: EncodeHash | EncodeRightSpace | EncodeLeftSpace,
		in:   "\x00 ν␓\x1f｜πβＦD␋ａζb\r␎\u007f*＞>ｂｍ＇␆ν9x\x1c  ",
		out:  "␀ ν␓\x1f｜πβＦD␋ａζb\r␎\u007f*＞>ｂｍ＇␆ν9x\x1c ␠",
	}, { // 3211
		mask: EncodeHash | EncodeRightSpace | EncodeLeftSpace,
		in:   "\x00 ν␓\x1f｜πβＦD␋ａζb\r␎\u007f*＞>ｂｍ＇␆ν9x\x1c ␠",
		out:  "␀ ν␓\x1f｜πβＦD␋ａζb\r␎\u007f*＞>ｂｍ＇␆ν9x\x1c ‛␠",
	}, { // 3212
		mask: EncodePercent | EncodeRightSpace | EncodeLeftSpace,
		in:   "  Ｐ\u007f\x1ck％␁$s＆ω8␉␚τ␍λ%Ｐv$ｎν[`Ｐρ <",
		out:  "␠ Ｐ\u007f\x1ck‛％␁$s＆ω8␉␚τ␍λ％Ｐv$ｎν[`Ｐρ <",
	}, { // 3213
		mask: EncodePercent | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ Ｐ\u007f\x1ck％␁$s＆ω8␉␚τ␍λ%Ｐv$ｎν[`Ｐρ <",
		out:  "‛␠ Ｐ\u007f\x1ck‛％␁$s＆ω8␉␚τ␍λ％Ｐv$ｎν[`Ｐρ <",
	}, { // 3214
		mask: EncodePercent | EncodeRightSpace | EncodeLeftSpace,
		in:   "／ Ｐ\u007f\x1ck％␁$s＆ω8␉␚τ␍λ%Ｐv$ｎν[`Ｐρ  ",
		out:  "／ Ｐ\u007f\x1ck‛％␁$s＆ω8␉␚τ␍λ％Ｐv$ｎν[`Ｐρ ␠",
	}, { // 3215
		mask: EncodePercent | EncodeRightSpace | EncodeLeftSpace,
		in:   "／ Ｐ\u007f\x1ck％␁$s＆ω8␉␚τ␍λ%Ｐv$ｎν[`Ｐρ ␠",
		out:  "／ Ｐ\u007f\x1ck‛％␁$s＆ω8␉␚τ␍λ％Ｐv$ｎν[`Ｐρ ‛␠",
	}, { // 3216
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "  ω<ｕＷ␈a\x13\"M␊\x04␗`ｒ[Ｆδ＇\x14oＭ;θυ]ρ ｕ",
		out:  "␠ ω<ｕＷ␈a\x13\"M␊\x04␗`ｒ[Ｆδ＇\x14oＭ;θυ]ρ ｕ",
	}, { // 3217
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ ω<ｕＷ␈a\x13\"M␊\x04␗`ｒ[Ｆδ＇\x14oＭ;θυ]ρ ｕ",
		out:  "‛␠ ω<ｕＷ␈a\x13\"M␊\x04␗`ｒ[Ｆδ＇\x14oＭ;θυ]ρ ｕ",
	}, { // 3218
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␛ ω<ｕＷ␈a\x13\"M␊\x04␗`ｒ[Ｆδ＇\x14oＭ;θυ]ρ  ",
		out:  "␛ ω<ｕＷ␈a\x13\"M␊\x04␗`ｒ[Ｆδ＇\x14oＭ;θυ]ρ ␠",
	}, { // 3219
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftSpace,
		in:   "␛ ω<ｕＷ␈a\x13\"M␊\x04␗`ｒ[Ｆδ＇\x14oＭ;θυ]ρ ␠",
		out:  "␛ ω<ｕＷ␈a\x13\"M␊\x04␗`ｒ[Ｆδ＇\x14oＭ;θυ]ρ ‛␠",
	}, { // 3220
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \x1d]\x15ψyJσ＞Ｏpβ␖ｍr／␗,Ｒκ␚y／＠\n\a␌ －",
		out:  "␠ \x1d]\x15ψyJσ＞Ｏpβ␖ｍr／␗,Ｒκ␚y／＠␊\a␌ －",
	}, { // 3221
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \x1d]\x15ψyJσ＞Ｏpβ␖ｍr／␗,Ｒκ␚y／＠\n\a␌ －",
		out:  "‛␠ \x1d]\x15ψyJσ＞Ｏpβ␖ｍr／␗,Ｒκ␚y／＠␊\a␌ －",
	}, { // 3222
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftSpace,
		in:   "λ \x1d]\x15ψyJσ＞Ｏpβ␖ｍr／␗,Ｒκ␚y／＠\n\a␌  ",
		out:  "λ \x1d]\x15ψyJσ＞Ｏpβ␖ｍr／␗,Ｒκ␚y／＠␊\a␌ ␠",
	}, { // 3223
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftSpace,
		in:   "λ \x1d]\x15ψyJσ＞Ｏpβ␖ｍr／␗,Ｒκ␚y／＠\n\a␌ ␠",
		out:  "λ \x1d]\x15ψyJσ＞Ｏpβ␖ｍr／␗,Ｒκ␚y／＠␊\a␌ ‛␠",
	}, { // 3224
		mask: EncodeDel | EncodeRightSpace | EncodeLeftSpace,
		in:   "  \n5\\\x06␕␍τ]λI\x1f\x03υ０（␖＄\x1a＃ｈ6ξＤμ｜\x16 ＃",
		out:  "␠ \n5\\\x06␕␍τ]λI\x1f\x03υ０（␖＄\x1a＃ｈ6ξＤμ｜\x16 ＃",
	}, { // 3225
		mask: EncodeDel | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ \n5\\\x06␕␍τ]λI\x1f\x03υ０（␖＄\x1a＃ｈ6ξＤμ｜\x16 ＃",
		out:  "‛␠ \n5\\\x06␕␍τ]λI\x1f\x03υ０（␖＄\x1a＃ｈ6ξＤμ｜\x16 ＃",
	}, { // 3226
		mask: EncodeDel | EncodeRightSpace | EncodeLeftSpace,
		in:   "n \n5\\\x06␕␍τ]λI\x1f\x03υ０（␖＄\x1a＃ｈ6ξＤμ｜\x16  ",
		out:  "n \n5\\\x06␕␍τ]λI\x1f\x03υ０（␖＄\x1a＃ｈ6ξＤμ｜\x16 ␠",
	}, { // 3227
		mask: EncodeDel | EncodeRightSpace | EncodeLeftSpace,
		in:   "n \n5\\\x06␕␍τ]λI\x1f\x03υ０（␖＄\x1a＃ｈ6ξＤμ｜\x16 ␠",
		out:  "n \n5\\\x06␕␍τ]λI\x1f\x03υ０（␖＄\x1a＃ｈ6ξＤμ｜\x16 ‛␠",
	}, { // 3228
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftSpace,
		in:   "  :\x04｛␡τ^μι／0］;␑N&πLＺ\x1f'ｓ\x0eωS␖␓ Ｅ",
		out:  "␠ :␄｛␡τ^μι／0］;‛␑N&πLＺ␟'ｓ␎ωS‛␖‛␓ Ｅ",
	}, { // 3229
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftSpace,
		in:   "␠ :\x04｛␡τ^μι／0］;␑N&πLＺ\x1f'ｓ\x0eωS␖␓ Ｅ",
		out:  "‛␠ :␄｛␡τ^μι／0］;‛␑N&πLＺ␟'ｓ␎ωS‛␖‛␓ Ｅ",
	}, { // 3230
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftSpace,
		in:   "？ :\x04｛␡τ^μι／0］;␑N&πLＺ\x1f'ｓ\x0eωS␖␓  ",
		out:  "？ :␄｛␡τ^μι／0］;‛␑N&πLＺ␟'ｓ␎ωS‛␖‛␓ ␠",
	}, { // 3231
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftSpace,
		in:   "？ :\x04｛␡τ^μι／0］;␑N&πLＺ\x1f'ｓ\x0eωS␖␓ ␠",
		out:  "？ :␄｛␡τ^μι／0］;‛␑N&πLＺ␟'ｓ␎ωS‛␖‛␓ ‛␠",
	}, { // 3232
		mask: EncodeZero | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .｛␁␑κ／O\x18\x0f␃σ␄}\x1e#]%υｄ＠g$␚：X：υ.｜",
		out:  " .｛␁␑κ／O\x18\x0f␃σ␄}\x1e#]%υｄ＠g$␚：X：υ.｜",
	}, { // 3233
		mask: EncodeZero | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.｛␁␑κ／O\x18\x0f␃σ␄}\x1e#]%υｄ＠g$␚：X：υ.｜",
		out:  "␠.｛␁␑κ／O\x18\x0f␃σ␄}\x1e#]%υｄ＠g$␚：X：υ.｜",
	}, { // 3234
		mask: EncodeZero | EncodeRightSpace | EncodeLeftPeriod,
		in:   "λ.｛␁␑κ／O\x18\x0f␃σ␄}\x1e#]%υｄ＠g$␚：X：υ. ",
		out:  "λ.｛␁␑κ／O\x18\x0f␃σ␄}\x1e#]%υｄ＠g$␚：X：υ.␠",
	}, { // 3235
		mask: EncodeZero | EncodeRightSpace | EncodeLeftPeriod,
		in:   "λ.｛␁␑κ／O\x18\x0f␃σ␄}\x1e#]%υｄ＠g$␚：X：υ.␠",
		out:  "λ.｛␁␑κ／O\x18\x0f␃σ␄}\x1e#]%υｄ＠g$␚：X：υ.‛␠",
	}, { // 3236
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   " ./\\Z␍$%Ｙｄφ[＠β）7\x15ｕ\x0eν␀<ς\x10;＊η＼.：",
		out:  " .／\\Z␍$%Ｙｄφ[＠β）7\x15ｕ\x0eν‛␀<ς\x10;＊η＼.：",
	}, { // 3237
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠./\\Z␍$%Ｙｄφ[＠β）7\x15ｕ\x0eν␀<ς\x10;＊η＼.：",
		out:  "␠.／\\Z␍$%Ｙｄφ[＠β）7\x15ｕ\x0eν‛␀<ς\x10;＊η＼.：",
	}, { // 3238
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␊./\\Z␍$%Ｙｄφ[＠β）7\x15ｕ\x0eν␀<ς\x10;＊η＼. ",
		out:  "␊.／\\Z␍$%Ｙｄφ[＠β）7\x15ｕ\x0eν‛␀<ς\x10;＊η＼.␠",
	}, { // 3239
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␊./\\Z␍$%Ｙｄφ[＠β）7\x15ｕ\x0eν␀<ς\x10;＊η＼.␠",
		out:  "␊.／\\Z␍$%Ｙｄφ[＠β）7\x15ｕ\x0eν‛␀<ς\x10;＊η＼.‛␠",
	}, { // 3240
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .'␉ｗ８;\x10；＜␄νψyκ3.αＱ␆［δ\x1aｎ%ｑx\r.&",
		out:  " .＇␉ｗ８;\x10；＜␄νψyκ3.αＱ␆［δ\x1aｎ%ｑx\r.&",
	}, { // 3241
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.'␉ｗ８;\x10；＜␄νψyκ3.αＱ␆［δ\x1aｎ%ｑx\r.&",
		out:  "␠.＇␉ｗ８;\x10；＜␄νψyκ3.αＱ␆［δ\x1aｎ%ｑx\r.&",
	}, { // 3242
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "τ.'␉ｗ８;\x10；＜␄νψyκ3.αＱ␆［δ\x1aｎ%ｑx\r. ",
		out:  "τ.＇␉ｗ８;\x10；＜␄νψyκ3.αＱ␆［δ\x1aｎ%ｑx\r.␠",
	}, { // 3243
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "τ.'␉ｗ８;\x10；＜␄νψyκ3.αＱ␆［δ\x1aｎ%ｑx\r.␠",
		out:  "τ.＇␉ｗ８;\x10；＜␄νψyκ3.αＱ␆［δ\x1aｎ%ｑx\r.‛␠",
	}, { // 3244
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .＄DκQ␞Ｄ%Ｐ␘π[Yｈ＇φh\f\x14φσ8*＄\\Ｖ␍.α",
		out:  " .＄DκQ␞Ｄ%Ｐ␘π[Yｈ＇φh\f\x14φσ8*＄\\Ｖ␍.α",
	}, { // 3245
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.＄DκQ␞Ｄ%Ｐ␘π[Yｈ＇φh\f\x14φσ8*＄\\Ｖ␍.α",
		out:  "␠.＄DκQ␞Ｄ%Ｐ␘π[Yｈ＇φh\f\x14φσ8*＄\\Ｖ␍.α",
	}, { // 3246
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␎.＄DκQ␞Ｄ%Ｐ␘π[Yｈ＇φh\f\x14φσ8*＄\\Ｖ␍. ",
		out:  "␎.＄DκQ␞Ｄ%Ｐ␘π[Yｈ＇φh\f\x14φσ8*＄\\Ｖ␍.␠",
	}, { // 3247
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␎.＄DκQ␞Ｄ%Ｐ␘π[Yｈ＇φh\f\x14φσ8*＄\\Ｖ␍.␠",
		out:  "␎.＄DκQ␞Ｄ%Ｐ␘π[Yｈ＇φh\f\x14φσ8*＄\\Ｖ␍.‛␠",
	}, { // 3248
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .\"v６\x13d？１Mｊ␂nχε＼\r\x0fＥ，；；\x1dT␇ιπ4.\t",
		out:  " .\"v６\x13d？１Mｊ␂nχε＼\r\x0fＥ，；；\x1dT␇ιπ4.\t",
	}, { // 3249
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.\"v６\x13d？１Mｊ␂nχε＼\r\x0fＥ，；；\x1dT␇ιπ4.\t",
		out:  "␠.\"v６\x13d？１Mｊ␂nχε＼\r\x0fＥ，；；\x1dT␇ιπ4.\t",
	}, { // 3250
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftPeriod,
		in:   "λ.\"v６\x13d？１Mｊ␂nχε＼\r\x0fＥ，；；\x1dT␇ιπ4. ",
		out:  "λ.\"v６\x13d？１Mｊ␂nχε＼\r\x0fＥ，；；\x1dT␇ιπ4.␠",
	}, { // 3251
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftPeriod,
		in:   "λ.\"v６\x13d？１Mｊ␂nχε＼\r\x0fＥ，；；\x1dT␇ιπ4.␠",
		out:  "λ.\"v６\x13d？１Mｊ␂nχε＼\r\x0fＥ，；；\x1dT␇ιπ4.‛␠",
	}, { // 3252
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .７９\x13θ␔οｂω｜QRＵＥμ$␀\bC;．οβ；:␝␛.f",
		out:  " .７９\x13θ␔οｂω｜QRＵＥμ$‛␀\bC;．οβ；:␝␛.f",
	}, { // 3253
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.７９\x13θ␔οｂω｜QRＵＥμ$␀\bC;．οβ；:␝␛.f",
		out:  "␠.７９\x13θ␔οｂω｜QRＵＥμ$‛␀\bC;．οβ；:␝␛.f",
	}, { // 3254
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftPeriod,
		in:   "a.７９\x13θ␔οｂω｜QRＵＥμ$␀\bC;．οβ；:␝␛. ",
		out:  "a.７９\x13θ␔οｂω｜QRＵＥμ$‛␀\bC;．οβ；:␝␛.␠",
	}, { // 3255
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftPeriod,
		in:   "a.７９\x13θ␔οｂω｜QRＵＥμ$␀\bC;．οβ；:␝␛.␠",
		out:  "a.７９\x13θ␔οｂω｜QRＵＥμ$‛␀\bC;．οβ；:␝␛.‛␠",
	}, { // 3256
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .␀δＴ\x03x␕ψｍ?ｕα\x0f！x␛ｃ\v:Bχ：r␃\x04␒ε.６",
		out:  " .‛␀δＴ\x03x␕ψｍ?ｕα\x0f！x␛ｃ\v:Bχ：r␃\x04␒ε.６",
	}, { // 3257
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.␀δＴ\x03x␕ψｍ?ｕα\x0f！x␛ｃ\v:Bχ：r␃\x04␒ε.６",
		out:  "␠.‛␀δＴ\x03x␕ψｍ?ｕα\x0f！x␛ｃ\v:Bχ：r␃\x04␒ε.６",
	}, { // 3258
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "θ.␀δＴ\x03x␕ψｍ?ｕα\x0f！x␛ｃ\v:Bχ：r␃\x04␒ε. ",
		out:  "θ.‛␀δＴ\x03x␕ψｍ?ｕα\x0f！x␛ｃ\v:Bχ：r␃\x04␒ε.␠",
	}, { // 3259
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "θ.␀δＴ\x03x␕ψｍ?ｕα\x0f！x␛ｃ\v:Bχ：r␃\x04␒ε.␠",
		out:  "θ.‛␀δＴ\x03x␕ψｍ?ｕα\x0f！x␛ｃ\v:Bχ：r␃\x04␒ε.‛␠",
	}, { // 3260
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .C␗Ｃ＄\\Ｗ>σβN＼Ｏa␕ｐ(ｂ\x03：Ｖ\x0eηY\x1eφ＃.;",
		out:  " .C␗Ｃ‛＄\\Ｗ>σβN＼Ｏa␕ｐ(ｂ\x03：Ｖ\x0eηY\x1eφ＃.;",
	}, { // 3261
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.C␗Ｃ＄\\Ｗ>σβN＼Ｏa␕ｐ(ｂ\x03：Ｖ\x0eηY\x1eφ＃.;",
		out:  "␠.C␗Ｃ‛＄\\Ｗ>σβN＼Ｏa␕ｐ(ｂ\x03：Ｖ\x0eηY\x1eφ＃.;",
	}, { // 3262
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftPeriod,
		in:   "δ.C␗Ｃ＄\\Ｗ>σβN＼Ｏa␕ｐ(ｂ\x03：Ｖ\x0eηY\x1eφ＃. ",
		out:  "δ.C␗Ｃ‛＄\\Ｗ>σβN＼Ｏa␕ｐ(ｂ\x03：Ｖ\x0eηY\x1eφ＃.␠",
	}, { // 3263
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftPeriod,
		in:   "δ.C␗Ｃ＄\\Ｗ>σβN＼Ｏa␕ｐ(ｂ\x03：Ｖ\x0eηY\x1eφ＃.␠",
		out:  "δ.C␗Ｃ‛＄\\Ｗ>σβN＼Ｏa␕ｐ(ｂ\x03：Ｖ\x0eηY\x1eφ＃.‛␠",
	}, { // 3264
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .␆␃γ6\x02\uff00C\x18␕\rξδ>Ｍ*␊ω\x1d＼p＆ｂt\r.κ.ψ",
		out:  " .␆␃γ6\x02\uff00C\x18␕\rξδ>Ｍ*␊ω\x1d＼p＆ｂt\r.κ.ψ",
	}, { // 3265
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.␆␃γ6\x02\uff00C\x18␕\rξδ>Ｍ*␊ω\x1d＼p＆ｂt\r.κ.ψ",
		out:  "␠.␆␃γ6\x02\uff00C\x18␕\rξδ>Ｍ*␊ω\x1d＼p＆ｂt\r.κ.ψ",
	}, { // 3266
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "Ｎ.␆␃γ6\x02\uff00C\x18␕\rξδ>Ｍ*␊ω\x1d＼p＆ｂt\r.κ. ",
		out:  "Ｎ.␆␃γ6\x02\uff00C\x18␕\rξδ>Ｍ*␊ω\x1d＼p＆ｂt\r.κ.␠",
	}, { // 3267
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftPeriod,
		in:   "Ｎ.␆␃γ6\x02\uff00C\x18␕\rξδ>Ｍ*␊ω\x1d＼p＆ｂt\r.κ.␠",
		out:  "Ｎ.␆␃γ6\x02\uff00C\x18␕\rξδ>Ｍ*␊ω\x1d＼p＆ｂt\r.κ.‛␠",
	}, { // 3268
		mask: EncodeColon | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .␅＇＝κ\x05γqπ ＜oｓ␌␈［ς０\x19fςβ:|-|?.８",
		out:  " .␅＇＝κ\x05γqπ ＜oｓ␌␈［ς０\x19fςβ：|-|?.８",
	}, { // 3269
		mask: EncodeColon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.␅＇＝κ\x05γqπ ＜oｓ␌␈［ς０\x19fςβ:|-|?.８",
		out:  "␠.␅＇＝κ\x05γqπ ＜oｓ␌␈［ς０\x19fςβ：|-|?.８",
	}, { // 3270
		mask: EncodeColon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "/.␅＇＝κ\x05γqπ ＜oｓ␌␈［ς０\x19fςβ:|-|?. ",
		out:  "/.␅＇＝κ\x05γqπ ＜oｓ␌␈［ς０\x19fςβ：|-|?.␠",
	}, { // 3271
		mask: EncodeColon | EncodeRightSpace | EncodeLeftPeriod,
		in:   "/.␅＇＝κ\x05γqπ ＜oｓ␌␈［ς０\x19fςβ:|-|?.␠",
		out:  "/.␅＇＝κ\x05γqπ ＜oｓ␌␈［ς０\x19fςβ：|-|?.‛␠",
	}, { // 3272
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .␕ιλ␌α\rw\n\x16|\x03;９｀␒t＋｝\nd␅η＇K９Ｃ.ｐ",
		out:  " .␕ιλ␌α\rw\n\x16|\x03;９｀␒t＋｝\nd␅η＇K９Ｃ.ｐ",
	}, { // 3273
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.␕ιλ␌α\rw\n\x16|\x03;９｀␒t＋｝\nd␅η＇K９Ｃ.ｐ",
		out:  "␠.␕ιλ␌α\rw\n\x16|\x03;９｀␒t＋｝\nd␅η＇K９Ｃ.ｐ",
	}, { // 3274
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftPeriod,
		in:   "n.␕ιλ␌α\rw\n\x16|\x03;９｀␒t＋｝\nd␅η＇K９Ｃ. ",
		out:  "n.␕ιλ␌α\rw\n\x16|\x03;９｀␒t＋｝\nd␅η＇K９Ｃ.␠",
	}, { // 3275
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftPeriod,
		in:   "n.␕ιλ␌α\rw\n\x16|\x03;９｀␒t＋｝\nd␅η＇K９Ｃ.␠",
		out:  "n.␕ιλ␌α\rw\n\x16|\x03;９｀␒t＋｝\nd␅η＇K９Ｃ.‛␠",
	}, { // 3276
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .2\x05ｗμk#τＤ\x13｀n␍`␏\x1cζ␙Lｏβ<ζＣ｀／；.#",
		out:  " .2\x05ｗμk#τＤ\x13｀n␍`␏\x1cζ␙Lｏβ<ζＣ｀／；.#",
	}, { // 3277
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.2\x05ｗμk#τＤ\x13｀n␍`␏\x1cζ␙Lｏβ<ζＣ｀／；.#",
		out:  "␠.2\x05ｗμk#τＤ\x13｀n␍`␏\x1cζ␙Lｏβ<ζＣ｀／；.#",
	}, { // 3278
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␆.2\x05ｗμk#τＤ\x13｀n␍`␏\x1cζ␙Lｏβ<ζＣ｀／；. ",
		out:  "␆.2\x05ｗμk#τＤ\x13｀n␍`␏\x1cζ␙Lｏβ<ζＣ｀／；.␠",
	}, { // 3279
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␆.2\x05ｗμk#τＤ\x13｀n␍`␏\x1cζ␙Lｏβ<ζＣ｀／；.␠",
		out:  "␆.2\x05ｗμk#τＤ\x13｀n␍`␏\x1cζ␙Lｏβ<ζＣ｀／；.‛␠",
	}, { // 3280
		mask: EncodePipe | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .βＤ␕*＂X␜｜5ψＢ#q：gＧKζξηp\x0f＋］｝μ.\x1e",
		out:  " .βＤ␕*＂X␜‛｜5ψＢ#q：gＧKζξηp\x0f＋］｝μ.\x1e",
	}, { // 3281
		mask: EncodePipe | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.βＤ␕*＂X␜｜5ψＢ#q：gＧKζξηp\x0f＋］｝μ.\x1e",
		out:  "␠.βＤ␕*＂X␜‛｜5ψＢ#q：gＧKζξηp\x0f＋］｝μ.\x1e",
	}, { // 3282
		mask: EncodePipe | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x06.βＤ␕*＂X␜｜5ψＢ#q：gＧKζξηp\x0f＋］｝μ. ",
		out:  "\x06.βＤ␕*＂X␜‛｜5ψＢ#q：gＧKζξηp\x0f＋］｝μ.␠",
	}, { // 3283
		mask: EncodePipe | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x06.βＤ␕*＂X␜｜5ψＢ#q：gＧKζξηp\x0f＋］｝μ.␠",
		out:  "\x06.βＤ␕*＂X␜‛｜5ψＢ#q：gＧKζξηp\x0f＋］｝μ.‛␠",
	}, { // 3284
		mask: EncodeHash | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .Yηπ\x15␚＠δ␁+６\"ς␂(␒σ\x18 \x1b\a\t␊ＲｕςＧ.ｉ",
		out:  " .Yηπ\x15␚＠δ␁+６\"ς␂(␒σ\x18 \x1b\a\t␊ＲｕςＧ.ｉ",
	}, { // 3285
		mask: EncodeHash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.Yηπ\x15␚＠δ␁+６\"ς␂(␒σ\x18 \x1b\a\t␊ＲｕςＧ.ｉ",
		out:  "␠.Yηπ\x15␚＠δ␁+６\"ς␂(␒σ\x18 \x1b\a\t␊ＲｕςＧ.ｉ",
	}, { // 3286
		mask: EncodeHash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x1c.Yηπ\x15␚＠δ␁+６\"ς␂(␒σ\x18 \x1b\a\t␊ＲｕςＧ. ",
		out:  "\x1c.Yηπ\x15␚＠δ␁+６\"ς␂(␒σ\x18 \x1b\a\t␊ＲｕςＧ.␠",
	}, { // 3287
		mask: EncodeHash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x1c.Yηπ\x15␚＠δ␁+６\"ς␂(␒σ\x18 \x1b\a\t␊ＲｕςＧ.␠",
		out:  "\x1c.Yηπ\x15␚＠δ␁+６\"ς␂(␒σ\x18 \x1b\a\t␊ＲｕςＧ.‛␠",
	}, { // 3288
		mask: EncodePercent | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .－X|］␜６␎］\x13＿4Ｂγ^κκ<? #\\φ．γ\f＜.＼",
		out:  " .－X|］␜６␎］\x13＿4Ｂγ^κκ<? #\\φ．γ\f＜.＼",
	}, { // 3289
		mask: EncodePercent | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.－X|］␜６␎］\x13＿4Ｂγ^κκ<? #\\φ．γ\f＜.＼",
		out:  "␠.－X|］␜６␎］\x13＿4Ｂγ^κκ<? #\\φ．γ\f＜.＼",
	}, { // 3290
		mask: EncodePercent | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␁.－X|］␜６␎］\x13＿4Ｂγ^κκ<? #\\φ．γ\f＜. ",
		out:  "␁.－X|］␜６␎］\x13＿4Ｂγ^κκ<? #\\φ．γ\f＜.␠",
	}, { // 3291
		mask: EncodePercent | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␁.－X|］␜６␎］\x13＿4Ｂγ^κκ<? #\\φ．γ\f＜.␠",
		out:  "␁.－X|］␜６␎］\x13＿4Ｂγ^κκ<? #\\φ．γ\f＜.‛␠",
	}, { // 3292
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .ｏ␒\x19σξＯ␜VｘＪ［c␒?ｑκ＇'χ\x11#`/:Ｘι.]",
		out:  " .ｏ␒\x19σξＯ␜VｘＪ［c␒?ｑκ＇'χ\x11#`/:Ｘι.]",
	}, { // 3293
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.ｏ␒\x19σξＯ␜VｘＪ［c␒?ｑκ＇'χ\x11#`/:Ｘι.]",
		out:  "␠.ｏ␒\x19σξＯ␜VｘＪ［c␒?ｑκ＇'χ\x11#`/:Ｘι.]",
	}, { // 3294
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "b.ｏ␒\x19σξＯ␜VｘＪ［c␒?ｑκ＇'χ\x11#`/:Ｘι. ",
		out:  "b.ｏ␒\x19σξＯ␜VｘＪ［c␒?ｑκ＇'χ\x11#`/:Ｘι.␠",
	}, { // 3295
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftPeriod,
		in:   "b.ｏ␒\x19σξＯ␜VｘＪ［c␒?ｑκ＇'χ\x11#`/:Ｘι.␠",
		out:  "b.ｏ␒\x19σξＯ␜VｘＪ［c␒?ｑκ＇'χ\x11#`/:Ｘι.‛␠",
	}, { // 3296
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .％\\Nλ\\κ\x03／~ρ＃\x0e＋\n7ｉ２＞ω５^＊Ｆ［\x0e<.δ",
		out:  " .％\\Nλ\\κ\x03／~ρ＃\x0e＋␊7ｉ２＞ω５^＊Ｆ［\x0e<.δ",
	}, { // 3297
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.％\\Nλ\\κ\x03／~ρ＃\x0e＋\n7ｉ２＞ω５^＊Ｆ［\x0e<.δ",
		out:  "␠.％\\Nλ\\κ\x03／~ρ＃\x0e＋␊7ｉ２＞ω５^＊Ｆ［\x0e<.δ",
	}, { // 3298
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␍.％\\Nλ\\κ\x03／~ρ＃\x0e＋\n7ｉ２＞ω５^＊Ｆ［\x0e<. ",
		out:  "‛␍.％\\Nλ\\κ\x03／~ρ＃\x0e＋␊7ｉ２＞ω５^＊Ｆ［\x0e<.␠",
	}, { // 3299
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␍.％\\Nλ\\κ\x03／~ρ＃\x0e＋\n7ｉ２＞ω５^＊Ｆ［\x0e<.␠",
		out:  "‛␍.％\\Nλ\\κ\x03／~ρ＃\x0e＋␊7ｉ２＞ω５^＊Ｆ［\x0e<.‛␠",
	}, { // 3300
		mask: EncodeDel | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .τV/lＥ］ζ\x0e\rＸ\x12ｘλδＱ␄␍δ［｀␛@／\x05：ρ.\x14",
		out:  " .τV/lＥ］ζ\x0e\rＸ\x12ｘλδＱ␄␍δ［｀␛@／\x05：ρ.\x14",
	}, { // 3301
		mask: EncodeDel | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.τV/lＥ］ζ\x0e\rＸ\x12ｘλδＱ␄␍δ［｀␛@／\x05：ρ.\x14",
		out:  "␠.τV/lＥ］ζ\x0e\rＸ\x12ｘλδＱ␄␍δ［｀␛@／\x05：ρ.\x14",
	}, { // 3302
		mask: EncodeDel | EncodeRightSpace | EncodeLeftPeriod,
		in:   "*.τV/lＥ］ζ\x0e\rＸ\x12ｘλδＱ␄␍δ［｀␛@／\x05：ρ. ",
		out:  "*.τV/lＥ］ζ\x0e\rＸ\x12ｘλδＱ␄␍δ［｀␛@／\x05：ρ.␠",
	}, { // 3303
		mask: EncodeDel | EncodeRightSpace | EncodeLeftPeriod,
		in:   "*.τV/lＥ］ζ\x0e\rＸ\x12ｘλδＱ␄␍δ［｀␛@／\x05：ρ.␠",
		out:  "*.τV/lＥ］ζ\x0e\rＸ\x12ｘλδＱ␄␍δ［｀␛@／\x05：ρ.‛␠",
	}, { // 3304
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftPeriod,
		in:   " .η＜＜\x1e3Ｙ\x16ω）l#a␙\r：φφ\x010␃０Ｊ ν␂␘.\f",
		out:  " .η＜＜␞3Ｙ␖ω）l#a‛␙␍：φφ␁0‛␃０Ｊ ν‛␂‛␘.␌",
	}, { // 3305
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftPeriod,
		in:   "␠.η＜＜\x1e3Ｙ\x16ω）l#a␙\r：φφ\x010␃０Ｊ ν␂␘.\f",
		out:  "␠.η＜＜␞3Ｙ␖ω）l#a‛␙␍：φφ␁0‛␃０Ｊ ν‛␂‛␘.␌",
	}, { // 3306
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x05.η＜＜\x1e3Ｙ\x16ω）l#a␙\r：φφ\x010␃０Ｊ ν␂␘. ",
		out:  "␅.η＜＜␞3Ｙ␖ω）l#a‛␙␍：φφ␁0‛␃０Ｊ ν‛␂‛␘.␠",
	}, { // 3307
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftPeriod,
		in:   "\x05.η＜＜\x1e3Ｙ\x16ω）l#a␙\r：φφ\x010␃０Ｊ ν␂␘.␠",
		out:  "␅.η＜＜␞3Ｙ␖ω）l#a‛␙␍：φφ␁0‛␃０Ｊ ν‛␂‛␘.‛␠",
	}, { // 3308
		mask: EncodeZero | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~\b％\x02z#>V\x11ζβ\x12ν␄］ＶθＭ＆␙！Ｉ％a＞Ｎπ~T",
		out:  " ~\b％\x02z#>V\x11ζβ\x12ν␄］ＶθＭ＆␙！Ｉ％a＞Ｎπ~T",
	}, { // 3309
		mask: EncodeZero | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~\b％\x02z#>V\x11ζβ\x12ν␄］ＶθＭ＆␙！Ｉ％a＞Ｎπ~T",
		out:  "␠~\b％\x02z#>V\x11ζβ\x12ν␄］ＶθＭ＆␙！Ｉ％a＞Ｎπ~T",
	}, { // 3310
		mask: EncodeZero | EncodeRightSpace | EncodeLeftTilde,
		in:   "ω~\b％\x02z#>V\x11ζβ\x12ν␄］ＶθＭ＆␙！Ｉ％a＞Ｎπ~ ",
		out:  "ω~\b％\x02z#>V\x11ζβ\x12ν␄］ＶθＭ＆␙！Ｉ％a＞Ｎπ~␠",
	}, { // 3311
		mask: EncodeZero | EncodeRightSpace | EncodeLeftTilde,
		in:   "ω~\b％\x02z#>V\x11ζβ\x12ν␄］ＶθＭ＆␙！Ｉ％a＞Ｎπ~␠",
		out:  "ω~\b％\x02z#>V\x11ζβ\x12ν␄］ＶθＭ＆␙！Ｉ％a＞Ｎπ~‛␠",
	}, { // 3312
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~ＢUｌ\rδ%ｆ～'ζ␁πHυcT］␌σ（]\x05＄7\r␐~\x19",
		out:  " ~ＢUｌ\rδ%ｆ～'ζ␁πHυcT］␌σ（]\x05＄7\r␐~\x19",
	}, { // 3313
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~ＢUｌ\rδ%ｆ～'ζ␁πHυcT］␌σ（]\x05＄7\r␐~\x19",
		out:  "␠~ＢUｌ\rδ%ｆ～'ζ␁πHυcT］␌σ（]\x05＄7\r␐~\x19",
	}, { // 3314
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "χ~ＢUｌ\rδ%ｆ～'ζ␁πHυcT］␌σ（]\x05＄7\r␐~ ",
		out:  "χ~ＢUｌ\rδ%ｆ～'ζ␁πHυcT］␌σ（]\x05＄7\r␐~␠",
	}, { // 3315
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "χ~ＢUｌ\rδ%ｆ～'ζ␁πHυcT］␌σ（]\x05＄7\r␐~␠",
		out:  "χ~ＢUｌ\rδ%ｆ～'ζ␁πHυcT］␌σ（]\x05＄7\r␐~‛␠",
	}, { // 3316
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~\x19！\x10ｖ\x10␒αｖ3~］ν␗＇Ｙ：%ξＵ␀νvcδ␅b~\b",
		out:  " ~\x19！\x10ｖ\x10␒αｖ3~］ν␗‛＇Ｙ：%ξＵ‛␀νvcδ␅b~\b",
	}, { // 3317
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~\x19！\x10ｖ\x10␒αｖ3~］ν␗＇Ｙ：%ξＵ␀νvcδ␅b~\b",
		out:  "␠~\x19！\x10ｖ\x10␒αｖ3~］ν␗‛＇Ｙ：%ξＵ‛␀νvcδ␅b~\b",
	}, { // 3318
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "'~\x19！\x10ｖ\x10␒αｖ3~］ν␗＇Ｙ：%ξＵ␀νvcδ␅b~ ",
		out:  "＇~\x19！\x10ｖ\x10␒αｖ3~］ν␗‛＇Ｙ：%ξＵ‛␀νvcδ␅b~␠",
	}, { // 3319
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "'~\x19！\x10ｖ\x10␒αｖ3~］ν␗＇Ｙ：%ξＵ␀νvcδ␅b~␠",
		out:  "＇~\x19！\x10ｖ\x10␒αｖ3~］ν␗‛＇Ｙ：%ξＵ‛␀νvcδ␅b~‛␠",
	}, { // 3320
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~u␆g\x11κ?ζｉｌ１9\x0e␎｜｛Ｓ[φ␋＞＊μλ\\zH~υ",
		out:  " ~u␆g\x11κ?ζｉｌ１9\x0e␎｜｛Ｓ[φ␋＞＊μλ\\zH~υ",
	}, { // 3321
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~u␆g\x11κ?ζｉｌ１9\x0e␎｜｛Ｓ[φ␋＞＊μλ\\zH~υ",
		out:  "␠~u␆g\x11κ?ζｉｌ１9\x0e␎｜｛Ｓ[φ␋＞＊μλ\\zH~υ",
	}, { // 3322
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "/~u␆g\x11κ?ζｉｌ１9\x0e␎｜｛Ｓ[φ␋＞＊μλ\\zH~ ",
		out:  "/~u␆g\x11κ?ζｉｌ１9\x0e␎｜｛Ｓ[φ␋＞＊μλ\\zH~␠",
	}, { // 3323
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "/~u␆g\x11κ?ζｉｌ１9\x0e␎｜｛Ｓ[φ␋＞＊μλ\\zH~␠",
		out:  "/~u␆g\x11κ?ζｉｌ１9\x0e␎｜｛Ｓ[φ␋＞＊μλ\\zH~‛␠",
	}, { // 3324
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~|？ηD６\x05ο＜␚＄\\ｆｙ［\x10␕3\x06α\x053FzＺ］V~␒",
		out:  " ~|？ηD６\x05ο‛＜␚＄\\ｆｙ［\x10␕3\x06α\x053FzＺ］V~␒",
	}, { // 3325
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~|？ηD６\x05ο＜␚＄\\ｆｙ［\x10␕3\x06α\x053FzＺ］V~␒",
		out:  "␠~|？ηD６\x05ο‛＜␚＄\\ｆｙ［\x10␕3\x06α\x053FzＺ］V~␒",
	}, { // 3326
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftTilde,
		in:   "ψ~|？ηD６\x05ο＜␚＄\\ｆｙ［\x10␕3\x06α\x053FzＺ］V~ ",
		out:  "ψ~|？ηD６\x05ο‛＜␚＄\\ｆｙ［\x10␕3\x06α\x053FzＺ］V~␠",
	}, { // 3327
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftTilde,
		in:   "ψ~|？ηD６\x05ο＜␚＄\\ｆｙ［\x10␕3\x06α\x053FzＺ］V~␠",
		out:  "ψ~|？ηD６\x05ο‛＜␚＄\\ｆｙ［\x10␕3\x06α\x053FzＺ］V~‛␠",
	}, { // 3328
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~｀\\-O/ζ~；αυ$CγM\u007fομ␏F（ｓ＃\x02\x03␛Ｌ~｜",
		out:  " ~｀\\-O/ζ~；αυ$CγM\u007fομ␏F（ｓ＃\x02\x03␛Ｌ~｜",
	}, { // 3329
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~｀\\-O/ζ~；αυ$CγM\u007fομ␏F（ｓ＃\x02\x03␛Ｌ~｜",
		out:  "␠~｀\\-O/ζ~；αυ$CγM\u007fομ␏F（ｓ＃\x02\x03␛Ｌ~｜",
	}, { // 3330
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftTilde,
		in:   "ｘ~｀\\-O/ζ~；αυ$CγM\u007fομ␏F（ｓ＃\x02\x03␛Ｌ~ ",
		out:  "ｘ~｀\\-O/ζ~；αυ$CγM\u007fομ␏F（ｓ＃\x02\x03␛Ｌ~␠",
	}, { // 3331
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftTilde,
		in:   "ｘ~｀\\-O/ζ~；αυ$CγM\u007fομ␏F（ｓ＃\x02\x03␛Ｌ~␠",
		out:  "ｘ~｀\\-O/ζ~；αυ$CγM\u007fομ␏F（ｓ＃\x02\x03␛Ｌ~‛␠",
	}, { // 3332
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~s>！～ι<␏y␎Ｃ（\x16␈:PZδ␓～φ␙\nχ\x00-β~ζ",
		out:  " ~s>！～ι<␏y␎Ｃ（\x16␈:PZδ␓～φ␙\nχ␀-β~ζ",
	}, { // 3333
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~s>！～ι<␏y␎Ｃ（\x16␈:PZδ␓～φ␙\nχ\x00-β~ζ",
		out:  "␠~s>！～ι<␏y␎Ｃ（\x16␈:PZδ␓～φ␙\nχ␀-β~ζ",
	}, { // 3334
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftTilde,
		in:   "ｉ~s>！～ι<␏y␎Ｃ（\x16␈:PZδ␓～φ␙\nχ\x00-β~ ",
		out:  "ｉ~s>！～ι<␏y␎Ｃ（\x16␈:PZδ␓～φ␙\nχ␀-β~␠",
	}, { // 3335
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftTilde,
		in:   "ｉ~s>！～ι<␏y␎Ｃ（\x16␈:PZδ␓～φ␙\nχ\x00-β~␠",
		out:  "ｉ~s>！～ι<␏y␎Ｃ（\x16␈:PZδ␓～φ␙\nχ␀-β~‛␠",
	}, { // 3336
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~ε#ｄ|χ␃．ζD］?\x1b\x00\x0e６␚ο\rｂ␉␇c＿τ＊\f~␒",
		out:  " ~ε#ｄ|χ␃．ζD］?\x1b␀\x0e６␚ο\rｂ␉␇c＿τ＊\f~␒",
	}, { // 3337
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~ε#ｄ|χ␃．ζD］?\x1b\x00\x0e６␚ο\rｂ␉␇c＿τ＊\f~␒",
		out:  "␠~ε#ｄ|χ␃．ζD］?\x1b␀\x0e６␚ο\rｂ␉␇c＿τ＊\f~␒",
	}, { // 3338
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x05~ε#ｄ|χ␃．ζD］?\x1b\x00\x0e６␚ο\rｂ␉␇c＿τ＊\f~ ",
		out:  "\x05~ε#ｄ|χ␃．ζD］?\x1b␀\x0e６␚ο\rｂ␉␇c＿τ＊\f~␠",
	}, { // 3339
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x05~ε#ｄ|χ␃．ζD］?\x1b\x00\x0e６␚ο\rｂ␉␇c＿τ＊\f~␠",
		out:  "\x05~ε#ｄ|χ␃．ζD］?\x1b␀\x0e６␚ο\rｂ␉␇c＿τ＊\f~‛␠",
	}, { // 3340
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~＊/X ο\x17）␁＞|I～κωｌ~ψ\x1a\x1c\nF＜␍␟\x13ａ~␋",
		out:  " ~＊/X ο\x17）␁＞|I～κωｌ~ψ\x1a\x1c\nF＜␍␟\x13ａ~␋",
	}, { // 3341
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~＊/X ο\x17）␁＞|I～κωｌ~ψ\x1a\x1c\nF＜␍␟\x13ａ~␋",
		out:  "␠~＊/X ο\x17）␁＞|I～κωｌ~ψ\x1a\x1c\nF＜␍␟\x13ａ~␋",
	}, { // 3342
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "ν~＊/X ο\x17）␁＞|I～κωｌ~ψ\x1a\x1c\nF＜␍␟\x13ａ~ ",
		out:  "ν~＊/X ο\x17）␁＞|I～κωｌ~ψ\x1a\x1c\nF＜␍␟\x13ａ~␠",
	}, { // 3343
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftTilde,
		in:   "ν~＊/X ο\x17）␁＞|I～κωｌ~ψ\x1a\x1c\nF＜␍␟\x13ａ~␠",
		out:  "ν~＊/X ο\x17）␁＞|I～κωｌ~ψ\x1a\x1c\nF＜␍␟\x13ａ~‛␠",
	}, { // 3344
		mask: EncodeColon | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~ｕ'\x1a<ηρj＼ςδ％\f］␚\x16７；mH:５\x15φ＄g␒~\x04",
		out:  " ~ｕ'\x1a<ηρj＼ςδ％\f］␚\x16７；mH：５\x15φ＄g␒~\x04",
	}, { // 3345
		mask: EncodeColon | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~ｕ'\x1a<ηρj＼ςδ％\f］␚\x16７；mH:５\x15φ＄g␒~\x04",
		out:  "␠~ｕ'\x1a<ηρj＼ςδ％\f］␚\x16７；mH：５\x15φ＄g␒~\x04",
	}, { // 3346
		mask: EncodeColon | EncodeRightSpace | EncodeLeftTilde,
		in:   "ξ~ｕ'\x1a<ηρj＼ςδ％\f］␚\x16７；mH:５\x15φ＄g␒~ ",
		out:  "ξ~ｕ'\x1a<ηρj＼ςδ％\f］␚\x16７；mH：５\x15φ＄g␒~␠",
	}, { // 3347
		mask: EncodeColon | EncodeRightSpace | EncodeLeftTilde,
		in:   "ξ~ｕ'\x1a<ηρj＼ςδ％\f］␚\x16７；mH:５\x15φ＄g␒~␠",
		out:  "ξ~ｕ'\x1a<ηρj＼ςδ％\f］␚\x16７；mH：５\x15φ＄g␒~‛␠",
	}, { // 3348
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~Ｇ\x1c␘｜＇W␈？\x1cη\x03βZ＿ψ\x1cσ６σ'\x03ωSｑＭＵ~␐",
		out:  " ~Ｇ\x1c␘｜＇W␈‛？\x1cη\x03βZ＿ψ\x1cσ６σ'\x03ωSｑＭＵ~␐",
	}, { // 3349
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~Ｇ\x1c␘｜＇W␈？\x1cη\x03βZ＿ψ\x1cσ６σ'\x03ωSｑＭＵ~␐",
		out:  "␠~Ｇ\x1c␘｜＇W␈‛？\x1cη\x03βZ＿ψ\x1cσ６σ'\x03ωSｑＭＵ~␐",
	}, { // 3350
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftTilde,
		in:   "R~Ｇ\x1c␘｜＇W␈？\x1cη\x03βZ＿ψ\x1cσ６σ'\x03ωSｑＭＵ~ ",
		out:  "R~Ｇ\x1c␘｜＇W␈‛？\x1cη\x03βZ＿ψ\x1cσ６σ'\x03ωSｑＭＵ~␠",
	}, { // 3351
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftTilde,
		in:   "R~Ｇ\x1c␘｜＇W␈？\x1cη\x03βZ＿ψ\x1cσ６σ'\x03ωSｑＭＵ~␠",
		out:  "R~Ｇ\x1c␘｜＇W␈‛？\x1cη\x03βZ＿ψ\x1cσ６σ'\x03ωSｑＭＵ~‛␠",
	}, { // 3352
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~%I．σ␗\"\t]ｋt＇θψ␖?（σ＜ζZ7␉ε␄R＾~␈",
		out:  " ~%I．σ␗\"\t]ｋt＇θψ␖?（σ＜ζZ7␉ε␄R＾~␈",
	}, { // 3353
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~%I．σ␗\"\t]ｋt＇θψ␖?（σ＜ζZ7␉ε␄R＾~␈",
		out:  "␠~%I．σ␗\"\t]ｋt＇θψ␖?（σ＜ζZ7␉ε␄R＾~␈",
	}, { // 3354
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftTilde,
		in:   "␙~%I．σ␗\"\t]ｋt＇θψ␖?（σ＜ζZ7␉ε␄R＾~ ",
		out:  "␙~%I．σ␗\"\t]ｋt＇θψ␖?（σ＜ζZ7␉ε␄R＾~␠",
	}, { // 3355
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftTilde,
		in:   "␙~%I．σ␗\"\t]ｋt＇θψ␖?（σ＜ζZ7␉ε␄R＾~␠",
		out:  "␙~%I．σ␗\"\t]ｋt＇θψ␖?（σ＜ζZ7␉ε␄R＾~‛␠",
	}, { // 3356
		mask: EncodePipe | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~\a／φn＼␆ｍδT<γσＡ＞\u007fｎUＬC␗Cηx␡\x1dο~｀",
		out:  " ~\a／φn＼␆ｍδT<γσＡ＞\u007fｎUＬC␗Cηx␡\x1dο~｀",
	}, { // 3357
		mask: EncodePipe | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~\a／φn＼␆ｍδT<γσＡ＞\u007fｎUＬC␗Cηx␡\x1dο~｀",
		out:  "␠~\a／φn＼␆ｍδT<γσＡ＞\u007fｎUＬC␗Cηx␡\x1dο~｀",
	}, { // 3358
		mask: EncodePipe | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x02~\a／φn＼␆ｍδT<γσＡ＞\u007fｎUＬC␗Cηx␡\x1dο~ ",
		out:  "\x02~\a／φn＼␆ｍδT<γσＡ＞\u007fｎUＬC␗Cηx␡\x1dο~␠",
	}, { // 3359
		mask: EncodePipe | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x02~\a／φn＼␆ｍδT<γσＡ＞\u007fｎUＬC␗Cηx␡\x1dο~␠",
		out:  "\x02~\a／φn＼␆ｍδT<γσＡ＞\u007fｎUＬC␗Cηx␡\x1dο~‛␠",
	}, { // 3360
		mask: EncodeHash | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~＇$\\q_zξｗ\fε／？␟\x04*χk:ｏ&ς␃τ０\x03Ｄ~Ｒ",
		out:  " ~＇$\\q_zξｗ\fε／？␟\x04*χk:ｏ&ς␃τ０\x03Ｄ~Ｒ",
	}, { // 3361
		mask: EncodeHash | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~＇$\\q_zξｗ\fε／？␟\x04*χk:ｏ&ς␃τ０\x03Ｄ~Ｒ",
		out:  "␠~＇$\\q_zξｗ\fε／？␟\x04*χk:ｏ&ς␃τ０\x03Ｄ~Ｒ",
	}, { // 3362
		mask: EncodeHash | EncodeRightSpace | EncodeLeftTilde,
		in:   "！~＇$\\q_zξｗ\fε／？␟\x04*χk:ｏ&ς␃τ０\x03Ｄ~ ",
		out:  "！~＇$\\q_zξｗ\fε／？␟\x04*χk:ｏ&ς␃τ０\x03Ｄ~␠",
	}, { // 3363
		mask: EncodeHash | EncodeRightSpace | EncodeLeftTilde,
		in:   "！~＇$\\q_zξｗ\fε／？␟\x04*χk:ｏ&ς␃τ０\x03Ｄ~␠",
		out:  "！~＇$\\q_zξｗ\fε／？␟\x04*χk:ｏ&ς␃τ０\x03Ｄ~‛␠",
	}, { // 3364
		mask: EncodePercent | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~θFEωο（␋[W\x17．ａ␓,<＠π␌␉\x0e\x1d\x10ζ｜:&~＜",
		out:  " ~θFEωο（␋[W\x17．ａ␓,<＠π␌␉\x0e\x1d\x10ζ｜:&~＜",
	}, { // 3365
		mask: EncodePercent | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~θFEωο（␋[W\x17．ａ␓,<＠π␌␉\x0e\x1d\x10ζ｜:&~＜",
		out:  "␠~θFEωο（␋[W\x17．ａ␓,<＠π␌␉\x0e\x1d\x10ζ｜:&~＜",
	}, { // 3366
		mask: EncodePercent | EncodeRightSpace | EncodeLeftTilde,
		in:   "μ~θFEωο（␋[W\x17．ａ␓,<＠π␌␉\x0e\x1d\x10ζ｜:&~ ",
		out:  "μ~θFEωο（␋[W\x17．ａ␓,<＠π␌␉\x0e\x1d\x10ζ｜:&~␠",
	}, { // 3367
		mask: EncodePercent | EncodeRightSpace | EncodeLeftTilde,
		in:   "μ~θFEωο（␋[W\x17．ａ␓,<＠π␌␉\x0e\x1d\x10ζ｜:&~␠",
		out:  "μ~θFEωο（␋[W\x17．ａ␓,<＠π␌␉\x0e\x1d\x10ζ｜:&~‛␠",
	}, { // 3368
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~ＦＧ␈s\x17οa］ρ１[␖δwμ＄ｅ`θ;＃]｀ｘｗG~2",
		out:  " ~ＦＧ␈s\x17οa］ρ１[␖δwμ＄ｅ`θ;＃]｀ｘｗG~2",
	}, { // 3369
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~ＦＧ␈s\x17οa］ρ１[␖δwμ＄ｅ`θ;＃]｀ｘｗG~2",
		out:  "␠~ＦＧ␈s\x17οa］ρ１[␖δwμ＄ｅ`θ;＃]｀ｘｗG~2",
	}, { // 3370
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x0e~ＦＧ␈s\x17οa］ρ１[␖δwμ＄ｅ`θ;＃]｀ｘｗG~ ",
		out:  "\x0e~ＦＧ␈s\x17οa］ρ１[␖δwμ＄ｅ`θ;＃]｀ｘｗG~␠",
	}, { // 3371
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftTilde,
		in:   "\x0e~ＦＧ␈s\x17οa］ρ１[␖δwμ＄ｅ`θ;＃]｀ｘｗG~␠",
		out:  "\x0e~ＦＧ␈s\x17οa］ρ１[␖δwμ＄ｅ`θ;＃]｀ｘｗG~‛␠",
	}, { // 3372
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~μ\x11␜\x0f\x02ξｑ）σ␀:ＵγＭ\x02ζ\x00O␎｝A␍&]␓s~δ",
		out:  " ~μ\x11␜\x0f\x02ξｑ）σ‛␀:ＵγＭ\x02ζ␀O␎｝A‛␍&]␓s~δ",
	}, { // 3373
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~μ\x11␜\x0f\x02ξｑ）σ␀:ＵγＭ\x02ζ\x00O␎｝A␍&]␓s~δ",
		out:  "␠~μ\x11␜\x0f\x02ξｑ）σ‛␀:ＵγＭ\x02ζ␀O␎｝A‛␍&]␓s~δ",
	}, { // 3374
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftTilde,
		in:   "<~μ\x11␜\x0f\x02ξｑ）σ␀:ＵγＭ\x02ζ\x00O␎｝A␍&]␓s~ ",
		out:  "<~μ\x11␜\x0f\x02ξｑ）σ‛␀:ＵγＭ\x02ζ␀O␎｝A‛␍&]␓s~␠",
	}, { // 3375
		mask: EncodeCrLf | EncodeRightSpace | EncodeLeftTilde,
		in:   "<~μ\x11␜\x0f\x02ξｑ）σ␀:ＵγＭ\x02ζ\x00O␎｝A␍&]␓s~␠",
		out:  "<~μ\x11␜\x0f\x02ξｑ）σ‛␀:ＵγＭ\x02ζ␀O␎｝A‛␍&]␓s~‛␠",
	}, { // 3376
		mask: EncodeDel | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~\x0fｇ\x10␀０+␎χ｜=\x03'τｗ`D:ａμ＇Ｋy\x1a｀οα~ς",
		out:  " ~\x0fｇ\x10‛␀０+␎χ｜=\x03'τｗ`D:ａμ＇Ｋy\x1a｀οα~ς",
	}, { // 3377
		mask: EncodeDel | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~\x0fｇ\x10␀０+␎χ｜=\x03'τｗ`D:ａμ＇Ｋy\x1a｀οα~ς",
		out:  "␠~\x0fｇ\x10‛␀０+␎χ｜=\x03'τｗ`D:ａμ＇Ｋy\x1a｀οα~ς",
	}, { // 3378
		mask: EncodeDel | EncodeRightSpace | EncodeLeftTilde,
		in:   "ｃ~\x0fｇ\x10␀０+␎χ｜=\x03'τｗ`D:ａμ＇Ｋy\x1a｀οα~ ",
		out:  "ｃ~\x0fｇ\x10‛␀０+␎χ｜=\x03'τｗ`D:ａμ＇Ｋy\x1a｀οα~␠",
	}, { // 3379
		mask: EncodeDel | EncodeRightSpace | EncodeLeftTilde,
		in:   "ｃ~\x0fｇ\x10␀０+␎χ｜=\x03'τｗ`D:ａμ＇Ｋy\x1a｀οα~␠",
		out:  "ｃ~\x0fｇ\x10‛␀０+␎χ｜=\x03'τｗ`D:ａμ＇Ｋy\x1a｀οα~‛␠",
	}, { // 3380
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftTilde,
		in:   " ~`Ａ\x13␚％H␈υ／␊␝γ([x\x11\x03＜Ｂφ＊\x00\x16@χ［~`",
		out:  " ~`Ａ␓‛␚％H‛␈υ／‛␊‛␝γ([x␑␃＜Ｂφ＊␀␖@χ［~`",
	}, { // 3381
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftTilde,
		in:   "␠~`Ａ\x13␚％H␈υ／␊␝γ([x\x11\x03＜Ｂφ＊\x00\x16@χ［~`",
		out:  "␠~`Ａ␓‛␚％H‛␈υ／‛␊‛␝γ([x␑␃＜Ｂφ＊␀␖@χ［~`",
	}, { // 3382
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftTilde,
		in:   "ｍ~`Ａ\x13␚％H␈υ／␊␝γ([x\x11\x03＜Ｂφ＊\x00\x16@χ［~ ",
		out:  "ｍ~`Ａ␓‛␚％H‛␈υ／‛␊‛␝γ([x␑␃＜Ｂφ＊␀␖@χ［~␠",
	}, { // 3383
		mask: EncodeCtl | EncodeRightSpace | EncodeLeftTilde,
		in:   "ｍ~`Ａ\x13␚％H␈υ／␊␝γ([x\x11\x03＜Ｂφ＊\x00\x16@χ［~␠",
		out:  "ｍ~`Ａ␓‛␚％H‛␈υ／‛␊‛␝γ([x␑␃＜Ｂφ＊␀␖@χ［~‛␠",
	}, { // 3384
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\t\x1f",
		out:  " \tj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\t\x1f",
	}, { // 3385
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\t\x1f",
		out:  "␠\tj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\t\x1f",
	}, { // 3386
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\n\x1f",
		out:  " \nj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\n\x1f",
	}, { // 3387
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\n\x1f",
		out:  "␠\nj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\n\x1f",
	}, { // 3388
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\v\x1f",
		out:  " \vj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\v\x1f",
	}, { // 3389
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\v\x1f",
		out:  "␠\vj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\v\x1f",
	}, { // 3390
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\r\x1f",
		out:  " \rj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\r\x1f",
	}, { // 3391
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\r\x1f",
		out:  "␠\rj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\r\x1f",
	}, { // 3392
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "{\tj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\t ",
		out:  "{\tj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\t␠",
	}, { // 3393
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "{\tj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\t␠",
		out:  "{\tj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\t‛␠",
	}, { // 3394
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "{\nj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\n ",
		out:  "{\nj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\n␠",
	}, { // 3395
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "{\nj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\n␠",
		out:  "{\nj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\n‛␠",
	}, { // 3396
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "{\vj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\v ",
		out:  "{\vj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\v␠",
	}, { // 3397
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "{\vj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\v␠",
		out:  "{\vj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\v‛␠",
	}, { // 3398
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "{\rj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\r ",
		out:  "{\rj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\r␠",
	}, { // 3399
		mask: EncodeZero | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "{\rj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\r␠",
		out:  "{\rj＃υξ\x1cφ0␈ν␆␖␇ｒｂ\x19\x04ι\"\x1f～ｔW:：γX\r‛␠",
	}, { // 3400
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\tj",
		out:  " \t\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\tj",
	}, { // 3401
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\tj",
		out:  "␠\t\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\tj",
	}, { // 3402
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\nj",
		out:  " \n\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\nj",
	}, { // 3403
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\nj",
		out:  "␠\n\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\nj",
	}, { // 3404
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\vj",
		out:  " \v\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\vj",
	}, { // 3405
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\vj",
		out:  "␠\v\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\vj",
	}, { // 3406
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\rj",
		out:  " \r\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\rj",
	}, { // 3407
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\rj",
		out:  "␠\r\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\rj",
	}, { // 3408
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\t\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\t ",
		out:  "\x1c\t\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\t␠",
	}, { // 3409
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\t\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\t␠",
		out:  "\x1c\t\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\t‛␠",
	}, { // 3410
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\n\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\n ",
		out:  "\x1c\n\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\n␠",
	}, { // 3411
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\n\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\n␠",
		out:  "\x1c\n\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\n‛␠",
	}, { // 3412
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\v\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\v ",
		out:  "\x1c\v\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\v␠",
	}, { // 3413
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\v\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\v␠",
		out:  "\x1c\v\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\v‛␠",
	}, { // 3414
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\r\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\r ",
		out:  "\x1c\r\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\r␠",
	}, { // 3415
		mask: EncodeSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x1c\r\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ/ｉτ␜\x00␒＃y\r␠",
		out:  "\x1c\r\x02\\υfｇ␙αονρ｜ｕ␗;(｝\x1fｉ／ｉτ␜␀␒＃y\r‛␠",
	}, { // 3416
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\t␑",
		out:  " \tＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\t␑",
	}, { // 3417
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\t␑",
		out:  "␠\tＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\t␑",
	}, { // 3418
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\n␑",
		out:  " \nＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\n␑",
	}, { // 3419
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\n␑",
		out:  "␠\nＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\n␑",
	}, { // 3420
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\v␑",
		out:  " \vＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\v␑",
	}, { // 3421
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\v␑",
		out:  "␠\vＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\v␑",
	}, { // 3422
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\r␑",
		out:  " \rＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\r␑",
	}, { // 3423
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\r␑",
		out:  "␠\rＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\r␑",
	}, { // 3424
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "(\tＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\t ",
		out:  "(\tＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\t␠",
	}, { // 3425
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "(\tＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\t␠",
		out:  "(\tＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\t‛␠",
	}, { // 3426
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "(\nＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\n ",
		out:  "(\nＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\n␠",
	}, { // 3427
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "(\nＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\n␠",
		out:  "(\nＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\n‛␠",
	}, { // 3428
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "(\vＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\v ",
		out:  "(\vＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\v␠",
	}, { // 3429
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "(\vＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\v␠",
		out:  "(\vＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\v‛␠",
	}, { // 3430
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "(\rＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\r ",
		out:  "(\rＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\r␠",
	}, { // 3431
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "(\rＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\r␠",
		out:  "(\rＡδ>␑σ３／σ\x13：I｀␂ｋ{ｇ=ψ~\x01\v␘μα\x11f\r‛␠",
	}, { // 3432
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\tj",
		out:  " \t␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\tj",
	}, { // 3433
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\tj",
		out:  "␠\t␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\tj",
	}, { // 3434
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\nj",
		out:  " \n␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\nj",
	}, { // 3435
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\nj",
		out:  "␠\n␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\nj",
	}, { // 3436
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\vj",
		out:  " \v␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\vj",
	}, { // 3437
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\vj",
		out:  "␠\v␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\vj",
	}, { // 3438
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\rj",
		out:  " \r␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\rj",
	}, { // 3439
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\rj",
		out:  "␠\r␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\rj",
	}, { // 3440
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "φ\t␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\t ",
		out:  "φ\t␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\t␠",
	}, { // 3441
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "φ\t␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\t␠",
		out:  "φ\t␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\t‛␠",
	}, { // 3442
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "φ\n␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\n ",
		out:  "φ\n␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\n␠",
	}, { // 3443
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "φ\n␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\n␠",
		out:  "φ\n␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\n‛␠",
	}, { // 3444
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "φ\v␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\v ",
		out:  "φ\v␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\v␠",
	}, { // 3445
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "φ\v␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\v␠",
		out:  "φ\v␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\v‛␠",
	}, { // 3446
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "φ\r␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\r ",
		out:  "φ\r␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\r␠",
	}, { // 3447
		mask: EncodeBackQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "φ\r␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\r␠",
		out:  "φ\r␑\a＇－σ3M␍,\x04ζο␍␍<ρ \vξ␜\u007fＴL|ｉ９\r‛␠",
	}, { // 3448
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\t[",
		out:  " \t\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\t[",
	}, { // 3449
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\t[",
		out:  "␠\t\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\t[",
	}, { // 3450
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\n[",
		out:  " \n\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\n[",
	}, { // 3451
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\n[",
		out:  "␠\n\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\n[",
	}, { // 3452
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\v[",
		out:  " \v\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\v[",
	}, { // 3453
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\v[",
		out:  "␠\v\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\v[",
	}, { // 3454
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\r[",
		out:  " \r\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\r[",
	}, { // 3455
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\r[",
		out:  "␠\r\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\r[",
	}, { // 3456
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␈\t\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\t ",
		out:  "␈\t\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\t␠",
	}, { // 3457
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␈\t\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\t␠",
		out:  "␈\t\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\t‛␠",
	}, { // 3458
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␈\n\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\n ",
		out:  "␈\n\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\n␠",
	}, { // 3459
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␈\n\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\n␠",
		out:  "␈\n\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\n‛␠",
	}, { // 3460
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␈\v\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\v ",
		out:  "␈\v\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\v␠",
	}, { // 3461
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␈\v\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\v␠",
		out:  "␈\v\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\v‛␠",
	}, { // 3462
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␈\r\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\r ",
		out:  "␈\r\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\r␠",
	}, { // 3463
		mask: EncodeLtGt | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␈\r\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\r␠",
		out:  "␈\r\x11\x0fο＂υ␛nＹ\x17？σIＫS\b␗Ｘ:？Ｇ．Iοοτ}\r‛␠",
	}, { // 3464
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\t｀",
		out:  " \t;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\t｀",
	}, { // 3465
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\t｀",
		out:  "␠\t;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\t｀",
	}, { // 3466
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\n｀",
		out:  " \n;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\n｀",
	}, { // 3467
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\n｀",
		out:  "␠\n;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\n｀",
	}, { // 3468
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\v｀",
		out:  " \v;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\v｀",
	}, { // 3469
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\v｀",
		out:  "␠\v;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\v｀",
	}, { // 3470
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\r｀",
		out:  " \r;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\r｀",
	}, { // 3471
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\r｀",
		out:  "␠\r;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\r｀",
	}, { // 3472
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ε\t;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\t ",
		out:  "ε\t;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\t␠",
	}, { // 3473
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ε\t;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\t␠",
		out:  "ε\t;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\t‛␠",
	}, { // 3474
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ε\n;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\n ",
		out:  "ε\n;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\n␠",
	}, { // 3475
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ε\n;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\n␠",
		out:  "ε\n;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\n‛␠",
	}, { // 3476
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ε\v;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\v ",
		out:  "ε\v;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\v␠",
	}, { // 3477
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ε\v;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\v␠",
		out:  "ε\v;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\v‛␠",
	}, { // 3478
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ε\r;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\r ",
		out:  "ε\r;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\r␠",
	}, { // 3479
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ε\r;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\r␠",
		out:  "ε\r;/␊\n␊z*β\u007f＂␍ζＧ；'<ωｏ␜`DβφrGｗ\r‛␠",
	}, { // 3480
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\t␉",
		out:  " \t␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\t␉",
	}, { // 3481
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\t␉",
		out:  "␠\t␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\t␉",
	}, { // 3482
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\n␉",
		out:  " \n␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\n␉",
	}, { // 3483
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\n␉",
		out:  "␠\n␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\n␉",
	}, { // 3484
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\v␉",
		out:  " \v␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\v␉",
	}, { // 3485
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\v␉",
		out:  "␠\v␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\v␉",
	}, { // 3486
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\r␉",
		out:  " \r␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\r␉",
	}, { // 3487
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\r␉",
		out:  "␠\r␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\r␉",
	}, { // 3488
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｐ\t␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\t ",
		out:  "ｐ\t␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\t␠",
	}, { // 3489
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｐ\t␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\t␠",
		out:  "ｐ\t␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\t‛␠",
	}, { // 3490
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｐ\n␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\n ",
		out:  "ｐ\n␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\n␠",
	}, { // 3491
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｐ\n␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\n␠",
		out:  "ｐ\n␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\n‛␠",
	}, { // 3492
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｐ\v␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\v ",
		out:  "ｐ\v␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\v␠",
	}, { // 3493
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｐ\v␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\v␠",
		out:  "ｐ\v␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\v‛␠",
	}, { // 3494
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｐ\r␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\r ",
		out:  "ｐ\r␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\r␠",
	}, { // 3495
		mask: EncodeSemicolon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ｐ\r␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\r␠",
		out:  "ｐ\r␑＜\x1aｏｇ9＜\x1cχξ/B␍Ｊ,*aκ\x11 ςｗ␁ςvψ\r‛␠",
	}, { // 3496
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \tnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\tμ",
		out:  " \tnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\tμ",
	}, { // 3497
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\tnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\tμ",
		out:  "␠\tnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\tμ",
	}, { // 3498
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \nnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\nμ",
		out:  " \nnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\nμ",
	}, { // 3499
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\nnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\nμ",
		out:  "␠\nnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\nμ",
	}, { // 3500
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \vnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\vμ",
		out:  " \vnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\vμ",
	}, { // 3501
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\vnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\vμ",
		out:  "␠\vnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\vμ",
	}, { // 3502
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \rnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\rμ",
		out:  " \rnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\rμ",
	}, { // 3503
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\rnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\rμ",
		out:  "␠\rnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\rμ",
	}, { // 3504
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "M\tnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\t ",
		out:  "M\tnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\t␠",
	}, { // 3505
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "M\tnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\t␠",
		out:  "M\tnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\t‛␠",
	}, { // 3506
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "M\nnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\n ",
		out:  "M\nnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\n␠",
	}, { // 3507
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "M\nnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\n␠",
		out:  "M\nnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\n‛␠",
	}, { // 3508
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "M\vnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\v ",
		out:  "M\vnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\v␠",
	}, { // 3509
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "M\vnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\v␠",
		out:  "M\vnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\v‛␠",
	}, { // 3510
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "M\rnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\r ",
		out:  "M\rnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\r␠",
	}, { // 3511
		mask: EncodeDollar | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "M\rnＱβ\uff00＇ντ$␖\a\r*X␁<p\"]κ␀＾４\x03１ａκ\r␠",
		out:  "M\rnＱβ\uff00＇ντ＄␖\a\r*X␁<p\"]κ‛␀＾４\x03１ａκ\r‛␠",
	}, { // 3512
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\tκ",
		out:  " \t7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\tκ",
	}, { // 3513
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\tκ",
		out:  "␠\t7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\tκ",
	}, { // 3514
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\nκ",
		out:  " \n7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\nκ",
	}, { // 3515
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\nκ",
		out:  "␠\n7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\nκ",
	}, { // 3516
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\vκ",
		out:  " \v7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\vκ",
	}, { // 3517
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\vκ",
		out:  "␠\v7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\vκ",
	}, { // 3518
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\rκ",
		out:  " \r7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\rκ",
	}, { // 3519
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\rκ",
		out:  "␠\r7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\rκ",
	}, { // 3520
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "J\t7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\t ",
		out:  "J\t7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\t␠",
	}, { // 3521
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "J\t7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\t␠",
		out:  "J\t7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\t‛␠",
	}, { // 3522
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "J\n7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\n ",
		out:  "J\n7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\n␠",
	}, { // 3523
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "J\n7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\n␠",
		out:  "J\n7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\n‛␠",
	}, { // 3524
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "J\v7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\v ",
		out:  "J\v7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\v␠",
	}, { // 3525
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "J\v7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\v␠",
		out:  "J\v7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\v‛␠",
	}, { // 3526
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "J\r7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\r ",
		out:  "J\r7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\r␠",
	}, { // 3527
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "J\r7\r４␆ν␜＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\r␠",
		out:  "J\r7\r４␆ν␜‛＂␌$\x15xμ｜␞d＇τ＃\vθd；\x02ｈ␁ζ\r‛␠",
	}, { // 3528
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\t５",
		out:  " \t;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\t５",
	}, { // 3529
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\t５",
		out:  "␠\t;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\t５",
	}, { // 3530
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\n５",
		out:  " \n;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\n５",
	}, { // 3531
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\n５",
		out:  "␠\n;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\n５",
	}, { // 3532
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\v５",
		out:  " \v;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\v５",
	}, { // 3533
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\v５",
		out:  "␠\v;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\v５",
	}, { // 3534
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\r５",
		out:  " \r;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\r５",
	}, { // 3535
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\r５",
		out:  "␠\r;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\r５",
	}, { // 3536
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "＃\t;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\t ",
		out:  "＃\t;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\t␠",
	}, { // 3537
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "＃\t;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\t␠",
		out:  "＃\t;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\t‛␠",
	}, { // 3538
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "＃\n;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\n ",
		out:  "＃\n;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\n␠",
	}, { // 3539
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "＃\n;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\n␠",
		out:  "＃\n;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\n‛␠",
	}, { // 3540
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "＃\v;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\v ",
		out:  "＃\v;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\v␠",
	}, { // 3541
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "＃\v;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\v␠",
		out:  "＃\v;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\v‛␠",
	}, { // 3542
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "＃\r;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\r ",
		out:  "＃\r;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\r␠",
	}, { // 3543
		mask: EncodeColon | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "＃\r;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\r␠",
		out:  "＃\r;！\v␞␓\bＭＶ\"＜βPωα␖␍p\r\rω%＃\x1c-ζ～\r‛␠",
	}, { // 3544
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\t[",
		out:  " \t␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\t[",
	}, { // 3545
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\t[",
		out:  "␠\t␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\t[",
	}, { // 3546
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\n[",
		out:  " \n␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\n[",
	}, { // 3547
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\n[",
		out:  "␠\n␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\n[",
	}, { // 3548
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\v[",
		out:  " \v␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\v[",
	}, { // 3549
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\v[",
		out:  "␠\v␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\v[",
	}, { // 3550
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\r[",
		out:  " \r␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\r[",
	}, { // 3551
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\r[",
		out:  "␠\r␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\r[",
	}, { // 3552
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "t\t␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\t ",
		out:  "t\t␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\t␠",
	}, { // 3553
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "t\t␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\t␠",
		out:  "t\t␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\t‛␠",
	}, { // 3554
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "t\n␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\n ",
		out:  "t\n␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\n␠",
	}, { // 3555
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "t\n␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\n␠",
		out:  "t\n␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\n‛␠",
	}, { // 3556
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "t\v␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\v ",
		out:  "t\v␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\v␠",
	}, { // 3557
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "t\v␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\v␠",
		out:  "t\v␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\v‛␠",
	}, { // 3558
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "t\r␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\r ",
		out:  "t\r␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\r␠",
	}, { // 3559
		mask: EncodeQuestion | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "t\r␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\r␠",
		out:  "t\r␉␁␙\x0eｆｌφ␚W\x1bτｈ/\x04＜ςωｄδ␊J\t]α\x18e\r‛␠",
	}, { // 3560
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\tθ",
		out:  " \t<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\tθ",
	}, { // 3561
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\tθ",
		out:  "␠\t<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\tθ",
	}, { // 3562
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\nθ",
		out:  " \n<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\nθ",
	}, { // 3563
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\nθ",
		out:  "␠\n<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\nθ",
	}, { // 3564
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\vθ",
		out:  " \v<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\vθ",
	}, { // 3565
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\vθ",
		out:  "␠\v<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\vθ",
	}, { // 3566
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\rθ",
		out:  " \r<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\rθ",
	}, { // 3567
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\rθ",
		out:  "␠\r<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\rθ",
	}, { // 3568
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "s\t<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\t ",
		out:  "s\t<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\t␠",
	}, { // 3569
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "s\t<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\t␠",
		out:  "s\t<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\t‛␠",
	}, { // 3570
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "s\n<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\n ",
		out:  "s\n<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\n␠",
	}, { // 3571
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "s\n<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\n␠",
		out:  "s\n<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\n‛␠",
	}, { // 3572
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "s\v<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\v ",
		out:  "s\v<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\v␠",
	}, { // 3573
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "s\v<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\v␠",
		out:  "s\v<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\v‛␠",
	}, { // 3574
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "s\r<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\r ",
		out:  "s\r<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\r␠",
	}, { // 3575
		mask: EncodeAsterisk | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "s\r<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\r␠",
		out:  "s\r<\r(␝ｒ\x17\"κ␛ρRａＧνρjＣ\b␍Uς%␔｜\x0fＧ\r‛␠",
	}, { // 3576
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\tｚ",
		out:  " \t␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\tｚ",
	}, { // 3577
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\tｚ",
		out:  "␠\t␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\tｚ",
	}, { // 3578
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\nｚ",
		out:  " \n␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\nｚ",
	}, { // 3579
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\nｚ",
		out:  "␠\n␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\nｚ",
	}, { // 3580
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\vｚ",
		out:  " \v␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\vｚ",
	}, { // 3581
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\vｚ",
		out:  "␠\v␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\vｚ",
	}, { // 3582
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\rｚ",
		out:  " \r␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\rｚ",
	}, { // 3583
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\rｚ",
		out:  "␠\r␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\rｚ",
	}, { // 3584
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "χ\t␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\t ",
		out:  "χ\t␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\t␠",
	}, { // 3585
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "χ\t␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\t␠",
		out:  "χ\t␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\t‛␠",
	}, { // 3586
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "χ\n␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\n ",
		out:  "χ\n␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\n␠",
	}, { // 3587
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "χ\n␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\n␠",
		out:  "χ\n␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\n‛␠",
	}, { // 3588
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "χ\v␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\v ",
		out:  "χ\v␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\v␠",
	}, { // 3589
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "χ\v␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\v␠",
		out:  "χ\v␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\v‛␠",
	}, { // 3590
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "χ\r␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\r ",
		out:  "χ\r␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\r␠",
	}, { // 3591
		mask: EncodePipe | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "χ\r␖η␅ｘ␐３｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\r␠",
		out:  "χ\r␖η␅ｘ␐３‛｜=y?Ｕa␊[η\x18\x1a:μＱ［ι\x1eτ'\t\r‛␠",
	}, { // 3592
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\t＆",
		out:  " \t/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\t＆",
	}, { // 3593
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\t＆",
		out:  "␠\t/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\t＆",
	}, { // 3594
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\n＆",
		out:  " \n/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\n＆",
	}, { // 3595
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\n＆",
		out:  "␠\n/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\n＆",
	}, { // 3596
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\v＆",
		out:  " \v/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\v＆",
	}, { // 3597
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\v＆",
		out:  "␠\v/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\v＆",
	}, { // 3598
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\r＆",
		out:  " \r/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\r＆",
	}, { // 3599
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\r＆",
		out:  "␠\r/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\r＆",
	}, { // 3600
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ς\t/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\t ",
		out:  "ς\t/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\t␠",
	}, { // 3601
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ς\t/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\t␠",
		out:  "ς\t/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\t‛␠",
	}, { // 3602
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ς\n/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\n ",
		out:  "ς\n/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\n␠",
	}, { // 3603
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ς\n/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\n␠",
		out:  "ς\n/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\n‛␠",
	}, { // 3604
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ς\v/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\v ",
		out:  "ς\v/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\v␠",
	}, { // 3605
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ς\v/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\v␠",
		out:  "ς\v/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\v‛␠",
	}, { // 3606
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ς\r/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\r ",
		out:  "ς\r/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\r␠",
	}, { // 3607
		mask: EncodeHash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ς\r/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\r␠",
		out:  "ς\r/ξχj7\x1bε\x17\x06Aπ␟␍＼p６␌\x19\x18ｓυ31［／␙\r‛␠",
	}, { // 3608
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\tω",
		out:  " \t＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\tω",
	}, { // 3609
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\tω",
		out:  "␠\t＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\tω",
	}, { // 3610
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\nω",
		out:  " \n＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\nω",
	}, { // 3611
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\nω",
		out:  "␠\n＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\nω",
	}, { // 3612
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\vω",
		out:  " \v＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\vω",
	}, { // 3613
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\vω",
		out:  "␠\v＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\vω",
	}, { // 3614
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\rω",
		out:  " \r＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\rω",
	}, { // 3615
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\rω",
		out:  "␠\r＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\rω",
	}, { // 3616
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\t＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\t ",
		out:  "ζ\t＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\t␠",
	}, { // 3617
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\t＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\t␠",
		out:  "ζ\t＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\t‛␠",
	}, { // 3618
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\n＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\n ",
		out:  "ζ\n＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\n␠",
	}, { // 3619
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\n＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\n␠",
		out:  "ζ\n＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\n‛␠",
	}, { // 3620
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\v＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\v ",
		out:  "ζ\v＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\v␠",
	}, { // 3621
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\v＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\v␠",
		out:  "ζ\v＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\v‛␠",
	}, { // 3622
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\r＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\r ",
		out:  "ζ\r＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\r␠",
	}, { // 3623
		mask: EncodePercent | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "ζ\r＜7｜<ｉ\x01\x18\a␍\b␀i%＄ε!ομh␑Q｀＿＄＂Ｋ\r␠",
		out:  "ζ\r＜7｜<ｉ\x01\x18\a␍\b‛␀i％＄ε!ομh␑Q｀＿＄＂Ｋ\r‛␠",
	}, { // 3624
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\t\r",
		out:  " \t／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\t\r",
	}, { // 3625
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\t\r",
		out:  "␠\t／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\t\r",
	}, { // 3626
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\n\r",
		out:  " \n／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\n\r",
	}, { // 3627
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\n\r",
		out:  "␠\n／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\n\r",
	}, { // 3628
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\v\r",
		out:  " \v／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\v\r",
	}, { // 3629
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\v\r",
		out:  "␠\v／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\v\r",
	}, { // 3630
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\r\r",
		out:  " \r／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\r\r",
	}, { // 3631
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\r\r",
		out:  "␠\r／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\r\r",
	}, { // 3632
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ｉ\t／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\t ",
		out:  "Ｉ\t／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\t␠",
	}, { // 3633
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ｉ\t／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\t␠",
		out:  "Ｉ\t／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\t‛␠",
	}, { // 3634
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ｉ\n／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\n ",
		out:  "Ｉ\n／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\n␠",
	}, { // 3635
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ｉ\n／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\n␠",
		out:  "Ｉ\n／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\n‛␠",
	}, { // 3636
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ｉ\v／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\v ",
		out:  "Ｉ\v／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\v␠",
	}, { // 3637
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ｉ\v／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\v␠",
		out:  "Ｉ\v／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\v‛␠",
	}, { // 3638
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ｉ\r／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\r ",
		out:  "Ｉ\r／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\r␠",
	}, { // 3639
		mask: EncodeBackSlash | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "Ｉ\r／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\r␠",
		out:  "Ｉ\r／λ%＇`τ$χ\aＴ+τ␞\x13Ｉ！␇σd\x14ρ␊j＿Z:\r‛␠",
	}, { // 3640
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \t\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\t｜",
		out:  " \t\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\t｜",
	}, { // 3641
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\t\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\t｜",
		out:  "␠\t\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\t｜",
	}, { // 3642
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \n\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\n｜",
		out:  " \n\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\n｜",
	}, { // 3643
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\n\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\n｜",
		out:  "␠\n\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\n｜",
	}, { // 3644
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \v\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\v｜",
		out:  " \v\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\v｜",
	}, { // 3645
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\v\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\v｜",
		out:  "␠\v\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\v｜",
	}, { // 3646
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   " \r\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\r｜",
		out:  " \r\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\r｜",
	}, { // 3647
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "␠\r\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\r｜",
		out:  "␠\r\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\r｜",
	}, { // 3648
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x00\t\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\t ",
		out:  "␀\t\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\t␠",
	}, { // 3649
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x00\t\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\t␠",
		out:  "␀\t\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\t‛␠",
	}, { // 3650
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x00\n\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\n ",
		out:  "␀\n\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\n␠",
	}, { // 3651
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x00\n\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\n␠",
		out:  "␀\n\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\n‛␠",
	}, { // 3652
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x00\v\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\v ",
		out:  "␀\v\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\v␠",
	}, { // 3653
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x00\v\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\v␠",
		out:  "␀\v\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\v‛␠",
	}, { // 3654
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x00\r\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\r ",
		out:  "␀\r\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\r␠",
	}, { // 3655
		mask: EncodeDel | EncodeRightSpace | EncodeLeftCrLfHtVt,
		in:   "\x00\r\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\r␠",
		out:  "␀\r\x1d<ζμxx＇ω␍ρ?␊\rG［ρ＝ｃ␄J｜ψkcＶ<\r‛␠",
	}, { // 3656
		mask: EncodeZero | EncodeRightSpace | EncodeRightPeriod,
		in:   " .\x17ε\x16０δππA␄Ｔ;！!\x16ο＇/␏λ／v\aF␌？ｙ.\x1c",
		out:  " .\x17ε\x16０δππA␄Ｔ;！!\x16ο＇/␏λ／v\aF␌？ｙ.\x1c",
	}, { // 3657
		mask: EncodeZero | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.\x17ε\x16０δππA␄Ｔ;！!\x16ο＇/␏λ／v\aF␌？ｙ.\x1c",
		out:  "␠.\x17ε\x16０δππA␄Ｔ;！!\x16ο＇/␏λ／v\aF␌？ｙ.\x1c",
	}, { // 3658
		mask: EncodeZero | EncodeRightSpace | EncodeRightPeriod,
		in:   "］.\x17ε\x16０δππA␄Ｔ;！!\x16ο＇/␏λ／v\aF␌？ｙ. ",
		out:  "］.\x17ε\x16０δππA␄Ｔ;！!\x16ο＇/␏λ／v\aF␌？ｙ.␠",
	}, { // 3659
		mask: EncodeZero | EncodeRightSpace | EncodeRightPeriod,
		in:   "］.\x17ε\x16０δππA␄Ｔ;！!\x16ο＇/␏λ／v\aF␌？ｙ.␠",
		out:  "］.\x17ε\x16０δππA␄Ｔ;！!\x16ο＇/␏λ／v\aF␌？ｙ.‛␠",
	}, { // 3660
		mask: EncodeSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   " .I␌\n０｀κ% \x00λπ\x04\x14ｆ␑\x1c＊：ｂｅ%Vςｌπρ.␙",
		out:  " .I␌\n０｀κ% ␀λπ\x04\x14ｆ␑\x1c＊：ｂｅ%Vςｌπρ.␙",
	}, { // 3661
		mask: EncodeSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.I␌\n０｀κ% \x00λπ\x04\x14ｆ␑\x1c＊：ｂｅ%Vςｌπρ.␙",
		out:  "␠.I␌\n０｀κ% ␀λπ\x04\x14ｆ␑\x1c＊：ｂｅ%Vςｌπρ.␙",
	}, { // 3662
		mask: EncodeSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   ").I␌\n０｀κ% \x00λπ\x04\x14ｆ␑\x1c＊：ｂｅ%Vςｌπρ. ",
		out:  ").I␌\n０｀κ% ␀λπ\x04\x14ｆ␑\x1c＊：ｂｅ%Vςｌπρ.␠",
	}, { // 3663
		mask: EncodeSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   ").I␌\n０｀κ% \x00λπ\x04\x14ｆ␑\x1c＊：ｂｅ%Vςｌπρ.␠",
		out:  ").I␌\n０｀κ% ␀λπ\x04\x14ｆ␑\x1c＊：ｂｅ%Vςｌπρ.‛␠",
	}, { // 3664
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   " .;␏c\x1a\x02Ｌλ:Ｙ＞\x15W␕μx␍4８９８␉９jξρ|.\x19",
		out:  " .;␏c\x1a\x02Ｌλ:Ｙ＞\x15W␕μx␍4８９８␉９jξρ|.\x19",
	}, { // 3665
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.;␏c\x1a\x02Ｌλ:Ｙ＞\x15W␕μx␍4８９８␉９jξρ|.\x19",
		out:  "␠.;␏c\x1a\x02Ｌλ:Ｙ＞\x15W␕μx␍4８９８␉９jξρ|.\x19",
	}, { // 3666
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␑.;␏c\x1a\x02Ｌλ:Ｙ＞\x15W␕μx␍4８９８␉９jξρ|. ",
		out:  "␑.;␏c\x1a\x02Ｌλ:Ｙ＞\x15W␕μx␍4８９８␉９jξρ|.␠",
	}, { // 3667
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␑.;␏c\x1a\x02Ｌλ:Ｙ＞\x15W␕μx␍4８９８␉９jξρ|.␠",
		out:  "␑.;␏c\x1a\x02Ｌλ:Ｙ＞\x15W␕μx␍4８９８␉９jξρ|.‛␠",
	}, { // 3668
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   " .μM／#Ｋ＄：␊ｔ！Nι\x14\x05［＿?ιＳ\x14+θθτ：\x05.8",
		out:  " .μM／#Ｋ＄：␊ｔ！Nι\x14\x05［＿?ιＳ\x14+θθτ：\x05.8",
	}, { // 3669
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.μM／#Ｋ＄：␊ｔ！Nι\x14\x05［＿?ιＳ\x14+θθτ：\x05.8",
		out:  "␠.μM／#Ｋ＄：␊ｔ！Nι\x14\x05［＿?ιＳ\x14+θθτ：\x05.8",
	}, { // 3670
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "3.μM／#Ｋ＄：␊ｔ！Nι\x14\x05［＿?ιＳ\x14+θθτ：\x05. ",
		out:  "3.μM／#Ｋ＄：␊ｔ！Nι\x14\x05［＿?ιＳ\x14+θθτ：\x05.␠",
	}, { // 3671
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "3.μM／#Ｋ＄：␊ｔ！Nι\x14\x05［＿?ιＳ\x14+θθτ：\x05.␠",
		out:  "3.μM／#Ｋ＄：␊ｔ！Nι\x14\x05［＿?ιＳ\x14+θθτ：\x05.‛␠",
	}, { // 3672
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightPeriod,
		in:   " .:␝θＰ．\x02κFＵ\x0e４␂#tκ\"；ψ\x12ο␚=␃Ｃ␙\x15.．",
		out:  " .:␝θＰ．\x02κFＵ\x0e４␂#tκ\"；ψ\x12ο␚=␃Ｃ␙\x15.‛．",
	}, { // 3673
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.:␝θＰ．\x02κFＵ\x0e４␂#tκ\"；ψ\x12ο␚=␃Ｃ␙\x15.．",
		out:  "␠.:␝θＰ．\x02κFＵ\x0e４␂#tκ\"；ψ\x12ο␚=␃Ｃ␙\x15.‛．",
	}, { // 3674
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightPeriod,
		in:   "\t.:␝θＰ．\x02κFＵ\x0e４␂#tκ\"；ψ\x12ο␚=␃Ｃ␙\x15. ",
		out:  "\t.:␝θＰ．\x02κFＵ\x0e４␂#tκ\"；ψ\x12ο␚=␃Ｃ␙\x15.␠",
	}, { // 3675
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightPeriod,
		in:   "\t.:␝θＰ．\x02κFＵ\x0e４␂#tκ\"；ψ\x12ο␚=␃Ｃ␙\x15.␠",
		out:  "\t.:␝θＰ．\x02κFＵ\x0e４␂#tκ\"；ψ\x12ο␚=␃Ｃ␙\x15.‛␠",
	}, { // 3676
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightPeriod,
		in:   " .:ξ\x16 ␖*qγβκ6＼ＳＨ␓οP,Ｐq＋\x06４>␗␈./",
		out:  " .:ξ\x16 ␖*qγβκ6＼ＳＨ␓οP,Ｐq＋\x06４>␗␈./",
	}, { // 3677
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.:ξ\x16 ␖*qγβκ6＼ＳＨ␓οP,Ｐq＋\x06４>␗␈./",
		out:  "␠.:ξ\x16 ␖*qγβκ6＼ＳＨ␓οP,Ｐq＋\x06４>␗␈./",
	}, { // 3678
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightPeriod,
		in:   "＼.:ξ\x16 ␖*qγβκ6＼ＳＨ␓οP,Ｐq＋\x06４>␗␈. ",
		out:  "＼.:ξ\x16 ␖*qγβκ6＼ＳＨ␓οP,Ｐq＋\x06４>␗␈.␠",
	}, { // 3679
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightPeriod,
		in:   "＼.:ξ\x16 ␖*qγβκ6＼ＳＨ␓οP,Ｐq＋\x06４>␗␈.␠",
		out:  "＼.:ξ\x16 ␖*qγβκ6＼ＳＨ␓οP,Ｐq＋\x06４>␗␈.‛␠",
	}, { // 3680
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightPeriod,
		in:   " .α＇\x1a+Ｎ␋%\\/＞sj５\x1bη］␑\nωＺ＄ｋ\vη％ζ.π",
		out:  " .α＇\x1a+Ｎ␋%\\/＞sj５\x1bη］␑\nωＺ＄ｋ\vη％ζ.π",
	}, { // 3681
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.α＇\x1a+Ｎ␋%\\/＞sj５\x1bη］␑\nωＺ＄ｋ\vη％ζ.π",
		out:  "␠.α＇\x1a+Ｎ␋%\\/＞sj５\x1bη］␑\nωＺ＄ｋ\vη％ζ.π",
	}, { // 3682
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightPeriod,
		in:   "Ｏ.α＇\x1a+Ｎ␋%\\/＞sj５\x1bη］␑\nωＺ＄ｋ\vη％ζ. ",
		out:  "Ｏ.α＇\x1a+Ｎ␋%\\/＞sj５\x1bη］␑\nωＺ＄ｋ\vη％ζ.␠",
	}, { // 3683
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightPeriod,
		in:   "Ｏ.α＇\x1a+Ｎ␋%\\/＞sj５\x1bη］␑\nωＺ＄ｋ\vη％ζ.␠",
		out:  "Ｏ.α＇\x1a+Ｎ␋%\\/＞sj５\x1bη］␑\nωＺ＄ｋ\vη％ζ.‛␠",
	}, { // 3684
		mask: EncodeDollar | EncodeRightSpace | EncodeRightPeriod,
		in:   " .\v]ｆ＃␃ζκ（!ｃ␁χτｚ␏$\x16*/#\x11␐／π0␍.μ",
		out:  " .\v]ｆ＃␃ζκ（!ｃ␁χτｚ␏＄\x16*/#\x11␐／π0␍.μ",
	}, { // 3685
		mask: EncodeDollar | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.\v]ｆ＃␃ζκ（!ｃ␁χτｚ␏$\x16*/#\x11␐／π0␍.μ",
		out:  "␠.\v]ｆ＃␃ζκ（!ｃ␁χτｚ␏＄\x16*/#\x11␐／π0␍.μ",
	}, { // 3686
		mask: EncodeDollar | EncodeRightSpace | EncodeRightPeriod,
		in:   "Ｋ.\v]ｆ＃␃ζκ（!ｃ␁χτｚ␏$\x16*/#\x11␐／π0␍. ",
		out:  "Ｋ.\v]ｆ＃␃ζκ（!ｃ␁χτｚ␏＄\x16*/#\x11␐／π0␍.␠",
	}, { // 3687
		mask: EncodeDollar | EncodeRightSpace | EncodeRightPeriod,
		in:   "Ｋ.\v]ｆ＃␃ζκ（!ｃ␁χτｚ␏$\x16*/#\x11␐／π0␍.␠",
		out:  "Ｋ.\v]ｆ＃␃ζκ（!ｃ␁χτｚ␏＄\x16*/#\x11␐／π0␍.‛␠",
	}, { // 3688
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   " .υθＲ6ζ>\x1cT\\βJιx\v－＂\x14␑ｉP␋ｈ｀＊␂χ.\f",
		out:  " .υθＲ6ζ>\x1cT\\βJιx\v－‛＂\x14␑ｉP␋ｈ｀＊␂χ.\f",
	}, { // 3689
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.υθＲ6ζ>\x1cT\\βJιx\v－＂\x14␑ｉP␋ｈ｀＊␂χ.\f",
		out:  "␠.υθＲ6ζ>\x1cT\\βJιx\v－‛＂\x14␑ｉP␋ｈ｀＊␂χ.\f",
	}, { // 3690
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "＃.υθＲ6ζ>\x1cT\\βJιx\v－＂\x14␑ｉP␋ｈ｀＊␂χ. ",
		out:  "＃.υθＲ6ζ>\x1cT\\βJιx\v－‛＂\x14␑ｉP␋ｈ｀＊␂χ.␠",
	}, { // 3691
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightPeriod,
		in:   "＃.υθＲ6ζ>\x1cT\\βJιx\v－＂\x14␑ｉP␋ｈ｀＊␂χ.␠",
		out:  "＃.υθＲ6ζ>\x1cT\\βJιx\v－‛＂\x14␑ｉP␋ｈ｀＊␂χ.‛␠",
	}, { // 3692
		mask: EncodeColon | EncodeRightSpace | EncodeRightPeriod,
		in:   " .\x1eρσ５＾\x0fλr~A␡␊'\x17＜␋１\v#^␕ευ␓；０.ς",
		out:  " .\x1eρσ５＾\x0fλr~A␡␊'\x17＜␋１\v#^␕ευ␓；０.ς",
	}, { // 3693
		mask: EncodeColon | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.\x1eρσ５＾\x0fλr~A␡␊'\x17＜␋１\v#^␕ευ␓；０.ς",
		out:  "␠.\x1eρσ５＾\x0fλr~A␡␊'\x17＜␋１\v#^␕ευ␓；０.ς",
	}, { // 3694
		mask: EncodeColon | EncodeRightSpace | EncodeRightPeriod,
		in:   "␆.\x1eρσ５＾\x0fλr~A␡␊'\x17＜␋１\v#^␕ευ␓；０. ",
		out:  "␆.\x1eρσ５＾\x0fλr~A␡␊'\x17＜␋１\v#^␕ευ␓；０.␠",
	}, { // 3695
		mask: EncodeColon | EncodeRightSpace | EncodeRightPeriod,
		in:   "␆.\x1eρσ５＾\x0fλr~A␡␊'\x17＜␋１\v#^␕ευ␓；０.␠",
		out:  "␆.\x1eρσ５＾\x0fλr~A␡␊'\x17＜␋１\v#^␕ευ␓；０.‛␠",
	}, { // 3696
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightPeriod,
		in:   " .␛n％␖;ε#τ4\x1f\x05%,ｐφ＼␑*λgλ\t\x18ＦＬ␂.？",
		out:  " .␛n％␖;ε#τ4\x1f\x05%,ｐφ＼␑*λgλ\t\x18ＦＬ␂.‛？",
	}, { // 3697
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.␛n％␖;ε#τ4\x1f\x05%,ｐφ＼␑*λgλ\t\x18ＦＬ␂.？",
		out:  "␠.␛n％␖;ε#τ4\x1f\x05%,ｐφ＼␑*λgλ\t\x18ＦＬ␂.‛？",
	}, { // 3698
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightPeriod,
		in:   "ｘ.␛n％␖;ε#τ4\x1f\x05%,ｐφ＼␑*λgλ\t\x18ＦＬ␂. ",
		out:  "ｘ.␛n％␖;ε#τ4\x1f\x05%,ｐφ＼␑*λgλ\t\x18ＦＬ␂.␠",
	}, { // 3699
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightPeriod,
		in:   "ｘ.␛n％␖;ε#τ4\x1f\x05%,ｐφ＼␑*λgλ\t\x18ＦＬ␂.␠",
		out:  "ｘ.␛n％␖;ε#τ4\x1f\x05%,ｐφ＼␑*λgλ\t\x18ＦＬ␂.‛␠",
	}, { // 3700
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightPeriod,
		in:   " .|／';␆λL␕ｈｔ；Ｒυ／~^\x12φ␕νd＊\x04ζｚr.␙",
		out:  " .|／';␆λL␕ｈｔ；Ｒυ／~^\x12φ␕νd‛＊\x04ζｚr.␙",
	}, { // 3701
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.|／';␆λL␕ｈｔ；Ｒυ／~^\x12φ␕νd＊\x04ζｚr.␙",
		out:  "␠.|／';␆λL␕ｈｔ；Ｒυ／~^\x12φ␕νd‛＊\x04ζｚr.␙",
	}, { // 3702
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightPeriod,
		in:   "\r.|／';␆λL␕ｈｔ；Ｒυ／~^\x12φ␕νd＊\x04ζｚr. ",
		out:  "\r.|／';␆λL␕ｈｔ；Ｒυ／~^\x12φ␕νd‛＊\x04ζｚr.␠",
	}, { // 3703
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightPeriod,
		in:   "\r.|／';␆λL␕ｈｔ；Ｒυ／~^\x12φ␕νd＊\x04ζｚr.␠",
		out:  "\r.|／';␆λL␕ｈｔ；Ｒυ／~^\x12φ␕νd‛＊\x04ζｚr.‛␠",
	}, { // 3704
		mask: EncodePipe | EncodeRightSpace | EncodeRightPeriod,
		in:   " ./␏＋＾|>\x1fｄx＊␃9␜ο\bυχ`Ｕφ␀ζｅ\b\x0eA.␝",
		out:  " ./␏＋＾｜>\x1fｄx＊␃9␜ο\bυχ`Ｕφ‛␀ζｅ\b\x0eA.␝",
	}, { // 3705
		mask: EncodePipe | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠./␏＋＾|>\x1fｄx＊␃9␜ο\bυχ`Ｕφ␀ζｅ\b\x0eA.␝",
		out:  "␠./␏＋＾｜>\x1fｄx＊␃9␜ο\bυχ`Ｕφ‛␀ζｅ\b\x0eA.␝",
	}, { // 3706
		mask: EncodePipe | EncodeRightSpace | EncodeRightPeriod,
		in:   "Z./␏＋＾|>\x1fｄx＊␃9␜ο\bυχ`Ｕφ␀ζｅ\b\x0eA. ",
		out:  "Z./␏＋＾｜>\x1fｄx＊␃9␜ο\bυχ`Ｕφ‛␀ζｅ\b\x0eA.␠",
	}, { // 3707
		mask: EncodePipe | EncodeRightSpace | EncodeRightPeriod,
		in:   "Z./␏＋＾|>\x1fｄx＊␃9␜ο\bυχ`Ｕφ␀ζｅ\b\x0eA.␠",
		out:  "Z./␏＋＾｜>\x1fｄx＊␃9␜ο\bυχ`Ｕφ‛␀ζｅ\b\x0eA.‛␠",
	}, { // 3708
		mask: EncodeHash | EncodeRightSpace | EncodeRightPeriod,
		in:   " .␑λ－\x1dＴ＞␘\x15Cξ\v6ωrＹ\b／gγ{οｚｔ'｀*.O",
		out:  " .␑λ－\x1dＴ＞␘\x15Cξ\v6ωrＹ\b／gγ{οｚｔ'｀*.O",
	}, { // 3709
		mask: EncodeHash | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.␑λ－\x1dＴ＞␘\x15Cξ\v6ωrＹ\b／gγ{οｚｔ'｀*.O",
		out:  "␠.␑λ－\x1dＴ＞␘\x15Cξ\v6ωrＹ\b／gγ{οｚｔ'｀*.O",
	}, { // 3710
		mask: EncodeHash | EncodeRightSpace | EncodeRightPeriod,
		in:   "ο.␑λ－\x1dＴ＞␘\x15Cξ\v6ωrＹ\b／gγ{οｚｔ'｀*. ",
		out:  "ο.␑λ－\x1dＴ＞␘\x15Cξ\v6ωrＹ\b／gγ{οｚｔ'｀*.␠",
	}, { // 3711
		mask: EncodeHash | EncodeRightSpace | EncodeRightPeriod,
		in:   "ο.␑λ－\x1dＴ＞␘\x15Cξ\v6ωrＹ\b／gγ{οｚｔ'｀*.␠",
		out:  "ο.␑λ－\x1dＴ＞␘\x15Cξ\v6ωrＹ\b／gγ{οｚｔ'｀*.‛␠",
	}, { // 3712
		mask: EncodePercent | EncodeRightSpace | EncodeRightPeriod,
		in:   " .｀οκ␁４Ｙ，_５J\x1c␟Ｖ\v\x16%？<>.υ␐'ο:\".τ",
		out:  " .｀οκ␁４Ｙ，_５J\x1c␟Ｖ\v\x16％？<>.υ␐'ο:\".τ",
	}, { // 3713
		mask: EncodePercent | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.｀οκ␁４Ｙ，_５J\x1c␟Ｖ\v\x16%？<>.υ␐'ο:\".τ",
		out:  "␠.｀οκ␁４Ｙ，_５J\x1c␟Ｖ\v\x16％？<>.υ␐'ο:\".τ",
	}, { // 3714
		mask: EncodePercent | EncodeRightSpace | EncodeRightPeriod,
		in:   "μ.｀οκ␁４Ｙ，_５J\x1c␟Ｖ\v\x16%？<>.υ␐'ο:\". ",
		out:  "μ.｀οκ␁４Ｙ，_５J\x1c␟Ｖ\v\x16％？<>.υ␐'ο:\".␠",
	}, { // 3715
		mask: EncodePercent | EncodeRightSpace | EncodeRightPeriod,
		in:   "μ.｀οκ␁４Ｙ，_５J\x1c␟Ｖ\v\x16%？<>.υ␐'ο:\".␠",
		out:  "μ.｀οκ␁４Ｙ，_５J\x1c␟Ｖ\v\x16％？<>.υ␐'ο:\".‛␠",
	}, { // 3716
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   " .\x14\\[π␁␍υo\uff00ｘ\x14`νMＷ／Ｉ\x1dVυ␂hζ^␇ι.：",
		out:  " .\x14＼[π␁␍υo\uff00ｘ\x14`νMＷ／Ｉ\x1dVυ␂hζ^␇ι.：",
	}, { // 3717
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.\x14\\[π␁␍υo\uff00ｘ\x14`νMＷ／Ｉ\x1dVυ␂hζ^␇ι.：",
		out:  "␠.\x14＼[π␁␍υo\uff00ｘ\x14`νMＷ／Ｉ\x1dVυ␂hζ^␇ι.：",
	}, { // 3718
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "x.\x14\\[π␁␍υo\uff00ｘ\x14`νMＷ／Ｉ\x1dVυ␂hζ^␇ι. ",
		out:  "x.\x14＼[π␁␍υo\uff00ｘ\x14`νMＷ／Ｉ\x1dVυ␂hζ^␇ι.␠",
	}, { // 3719
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightPeriod,
		in:   "x.\x14\\[π␁␍υo\uff00ｘ\x14`νMＷ／Ｉ\x1dVυ␂hζ^␇ι.␠",
		out:  "x.\x14＼[π␁␍υo\uff00ｘ\x14`νMＷ／Ｉ\x1dVυ␂hζ^␇ι.‛␠",
	}, { // 3720
		mask: EncodeCrLf | EncodeRightSpace | EncodeRightPeriod,
		in:   " .jＨ␛\rθV␑［␍～*８Ｙθ\x17G␛\x1a␍#＂υγX<B.ν",
		out:  " .jＨ␛␍θV␑［‛␍～*８Ｙθ\x17G␛\x1a‛␍#＂υγX<B.ν",
	}, { // 3721
		mask: EncodeCrLf | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.jＨ␛\rθV␑［␍～*８Ｙθ\x17G␛\x1a␍#＂υγX<B.ν",
		out:  "␠.jＨ␛␍θV␑［‛␍～*８Ｙθ\x17G␛\x1a‛␍#＂υγX<B.ν",
	}, { // 3722
		mask: EncodeCrLf | EncodeRightSpace | EncodeRightPeriod,
		in:   "ν.jＨ␛\rθV␑［␍～*８Ｙθ\x17G␛\x1a␍#＂υγX<B. ",
		out:  "ν.jＨ␛␍θV␑［‛␍～*８Ｙθ\x17G␛\x1a‛␍#＂υγX<B.␠",
	}, { // 3723
		mask: EncodeCrLf | EncodeRightSpace | EncodeRightPeriod,
		in:   "ν.jＨ␛\rθV␑［␍～*８Ｙθ\x17G␛\x1a␍#＂υγX<B.␠",
		out:  "ν.jＨ␛␍θV␑［‛␍～*８Ｙθ\x17G␛\x1a‛␍#＂υγX<B.‛␠",
	}, { // 3724
		mask: EncodeDel | EncodeRightSpace | EncodeRightPeriod,
		in:   " .:Ｓ２ｓｄAσ␔＊δγφh\x03/␊θ８`␜\x19:T３｀π.\n",
		out:  " .:Ｓ２ｓｄAσ␔＊δγφh\x03/␊θ８`␜\x19:T３｀π.\n",
	}, { // 3725
		mask: EncodeDel | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.:Ｓ２ｓｄAσ␔＊δγφh\x03/␊θ８`␜\x19:T３｀π.\n",
		out:  "␠.:Ｓ２ｓｄAσ␔＊δγφh\x03/␊θ８`␜\x19:T３｀π.\n",
	}, { // 3726
		mask: EncodeDel | EncodeRightSpace | EncodeRightPeriod,
		in:   "l.:Ｓ２ｓｄAσ␔＊δγφh\x03/␊θ８`␜\x19:T３｀π. ",
		out:  "l.:Ｓ２ｓｄAσ␔＊δγφh\x03/␊θ８`␜\x19:T３｀π.␠",
	}, { // 3727
		mask: EncodeDel | EncodeRightSpace | EncodeRightPeriod,
		in:   "l.:Ｓ２ｓｄAσ␔＊δγφh\x03/␊θ８`␜\x19:T３｀π.␠",
		out:  "l.:Ｓ２ｓｄAσ␔＊δγφh\x03/␊θ８`␜\x19:T３｀π.‛␠",
	}, { // 3728
		mask: EncodeCtl | EncodeRightSpace | EncodeRightPeriod,
		in:   " .＿_␓＼>\x1d＃B\x1cκη\bａγ\x0f／\t＞Fε2gu（ｆｔ.＜",
		out:  " .＿_‛␓＼>␝＃B␜κη␈ａγ␏／␉＞Fε2gu（ｆｔ.＜",
	}, { // 3729
		mask: EncodeCtl | EncodeRightSpace | EncodeRightPeriod,
		in:   "␠.＿_␓＼>\x1d＃B\x1cκη\bａγ\x0f／\t＞Fε2gu（ｆｔ.＜",
		out:  "␠.＿_‛␓＼>␝＃B␜κη␈ａγ␏／␉＞Fε2gu（ｆｔ.＜",
	}, { // 3730
		mask: EncodeCtl | EncodeRightSpace | EncodeRightPeriod,
		in:   "ξ.＿_␓＼>\x1d＃B\x1cκη\bａγ\x0f／\t＞Fε2gu（ｆｔ. ",
		out:  "ξ.＿_‛␓＼>␝＃B␜κη␈ａγ␏／␉＞Fε2gu（ｆｔ.␠",
	}, { // 3731
		mask: EncodeCtl | EncodeRightSpace | EncodeRightPeriod,
		in:   "ξ.＿_␓＼>\x1d＃B\x1cκη\bａγ\x0f／\t＞Fε2gu（ｆｔ.␠",
		out:  "ξ.＿_‛␓＼>␝＃B␜κη␈ａγ␏／␉＞Fε2gu（ｆｔ.‛␠",
	}, { // 3732
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\t＾",
		out:  " \tβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\t＾",
	}, { // 3733
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\t＾",
		out:  "␠\tβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\t＾",
	}, { // 3734
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\n＾",
		out:  " \nβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\n＾",
	}, { // 3735
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\n＾",
		out:  "␠\nβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\n＾",
	}, { // 3736
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\v＾",
		out:  " \vβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\v＾",
	}, { // 3737
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\v＾",
		out:  "␠\vβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\v＾",
	}, { // 3738
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\r＾",
		out:  " \rβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\r＾",
	}, { // 3739
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\r＾",
		out:  "␠\rβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\r＾",
	}, { // 3740
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "g\tβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\t ",
		out:  "g\tβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\t␠",
	}, { // 3741
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "g\tβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\t␠",
		out:  "g\tβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\t‛␠",
	}, { // 3742
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "g\nβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\n ",
		out:  "g\nβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\n␠",
	}, { // 3743
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "g\nβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\n␠",
		out:  "g\nβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\n‛␠",
	}, { // 3744
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "g\vβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\v ",
		out:  "g\vβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\v␠",
	}, { // 3745
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "g\vβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\v␠",
		out:  "g\vβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\v‛␠",
	}, { // 3746
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "g\rβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\r ",
		out:  "g\rβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\r␠",
	}, { // 3747
		mask: EncodeZero | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "g\rβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\r␠",
		out:  "g\rβ\x1d'ｏ␏q＃{Ｖο\x0e␘ｎ\x0eαcιＴ`I％-ωＣ␟\\\r‛␠",
	}, { // 3748
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\t>",
		out:  " \t‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\t>",
	}, { // 3749
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\t>",
		out:  "␠\t‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\t>",
	}, { // 3750
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\n>",
		out:  " \n‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\n>",
	}, { // 3751
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\n>",
		out:  "␠\n‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\n>",
	}, { // 3752
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\v>",
		out:  " \v‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\v>",
	}, { // 3753
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\v>",
		out:  "␠\v‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\v>",
	}, { // 3754
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\r>",
		out:  " \r‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\r>",
	}, { // 3755
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\r>",
		out:  "␠\r‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\r>",
	}, { // 3756
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "C\t／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\t ",
		out:  "C\t‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\t␠",
	}, { // 3757
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "C\t／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\t␠",
		out:  "C\t‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\t‛␠",
	}, { // 3758
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "C\n／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\n ",
		out:  "C\n‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\n␠",
	}, { // 3759
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "C\n／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\n␠",
		out:  "C\n‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\n‛␠",
	}, { // 3760
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "C\v／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\v ",
		out:  "C\v‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\v␠",
	}, { // 3761
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "C\v／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\v␠",
		out:  "C\v‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\v‛␠",
	}, { // 3762
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "C\r／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\r ",
		out:  "C\r‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\r␠",
	}, { // 3763
		mask: EncodeSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "C\r／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\r␠",
		out:  "C\r‛／\x0f\x19Ｍ␊␂ｂ$κ～｜q@ν{ν\x1cG\x11␎ｅ［κφｒ␟\r‛␠",
	}, { // 3764
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\tη",
		out:  " \t(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\tη",
	}, { // 3765
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\tη",
		out:  "␠\t(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\tη",
	}, { // 3766
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\nη",
		out:  " \n(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\nη",
	}, { // 3767
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\nη",
		out:  "␠\n(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\nη",
	}, { // 3768
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\vη",
		out:  " \v(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\vη",
	}, { // 3769
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\vη",
		out:  "␠\v(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\vη",
	}, { // 3770
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\rη",
		out:  " \r(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\rη",
	}, { // 3771
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\rη",
		out:  "␠\r(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\rη",
	}, { // 3772
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\t(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\t ",
		out:  "＄\t(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\t␠",
	}, { // 3773
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\t(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\t␠",
		out:  "＄\t(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\t‛␠",
	}, { // 3774
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\n(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\n ",
		out:  "＄\n(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\n␠",
	}, { // 3775
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\n(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\n␠",
		out:  "＄\n(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\n‛␠",
	}, { // 3776
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\v(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\v ",
		out:  "＄\v(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\v␠",
	}, { // 3777
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\v(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\v␠",
		out:  "＄\v(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\v‛␠",
	}, { // 3778
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\r(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\r ",
		out:  "＄\r(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\r␠",
	}, { // 3779
		mask: EncodeSingleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\r(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\r␠",
		out:  "＄\r(Ｘ␘εj␑ν␚>P\x15＞｝\x12/，\x19Ｖπδ\x16q␖ａ#ι\r‛␠",
	}, { // 3780
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\t％",
		out:  " \tο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\t％",
	}, { // 3781
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\t％",
		out:  "␠\tο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\t％",
	}, { // 3782
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\n％",
		out:  " \nο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\n％",
	}, { // 3783
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\n％",
		out:  "␠\nο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\n％",
	}, { // 3784
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\v％",
		out:  " \vο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\v％",
	}, { // 3785
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\v％",
		out:  "␠\vο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\v％",
	}, { // 3786
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\r％",
		out:  " \rο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\r％",
	}, { // 3787
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\r％",
		out:  "␠\rο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\r％",
	}, { // 3788
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "／\tο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\t ",
		out:  "／\tο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\t␠",
	}, { // 3789
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "／\tο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\t␠",
		out:  "／\tο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\t‛␠",
	}, { // 3790
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "／\nο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\n ",
		out:  "／\nο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\n␠",
	}, { // 3791
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "／\nο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\n␠",
		out:  "／\nο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\n‛␠",
	}, { // 3792
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "／\vο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\v ",
		out:  "／\vο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\v␠",
	}, { // 3793
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "／\vο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\v␠",
		out:  "／\vο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\v‛␠",
	}, { // 3794
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "／\rο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\r ",
		out:  "／\rο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\r␠",
	}, { // 3795
		mask: EncodeBackQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "／\rο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη␀\a\r\x04\r␠",
		out:  "／\rο％@␊RＰＷ␜Ｚ[%τψτβ$/\"：\x03zη‛␀\a\r\x04\r‛␠",
	}, { // 3796
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\t<",
		out:  " \t＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\t＜",
	}, { // 3797
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\t<",
		out:  "␠\t＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\t＜",
	}, { // 3798
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\n<",
		out:  " \n＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\n＜",
	}, { // 3799
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\n<",
		out:  "␠\n＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\n＜",
	}, { // 3800
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\v<",
		out:  " \v＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\v＜",
	}, { // 3801
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\v<",
		out:  "␠\v＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\v＜",
	}, { // 3802
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\r<",
		out:  " \r＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\r＜",
	}, { // 3803
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\r<",
		out:  "␠\r＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\r＜",
	}, { // 3804
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "l\t＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\t ",
		out:  "l\t＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\t␠",
	}, { // 3805
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "l\t＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\t␠",
		out:  "l\t＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\t‛␠",
	}, { // 3806
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "l\n＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\n ",
		out:  "l\n＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\n␠",
	}, { // 3807
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "l\n＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\n␠",
		out:  "l\n＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\n‛␠",
	}, { // 3808
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "l\v＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\v ",
		out:  "l\v＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\v␠",
	}, { // 3809
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "l\v＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\v␠",
		out:  "l\v＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\v‛␠",
	}, { // 3810
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "l\r＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\r ",
		out:  "l\r＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\r␠",
	}, { // 3811
		mask: EncodeLtGt | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "l\r＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔<；[␚S\f＼D［\x10\r␠",
		out:  "l\r＇Ｔ\x1f，θι␍τ␈ｂηiδ \x1f␔＜；[␚S\f＼D［\x10\r‛␠",
	}, { // 3812
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\tz",
		out:  " \t␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\tz",
	}, { // 3813
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\tz",
		out:  "␠\t␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\tz",
	}, { // 3814
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\nz",
		out:  " \n␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\nz",
	}, { // 3815
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\nz",
		out:  "␠\n␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\nz",
	}, { // 3816
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\vz",
		out:  " \v␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\vz",
	}, { // 3817
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\vz",
		out:  "␠\v␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\vz",
	}, { // 3818
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\rz",
		out:  " \r␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\rz",
	}, { // 3819
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\rz",
		out:  "␠\r␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\rz",
	}, { // 3820
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\t␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\t ",
		out:  "＄\t␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\t␠",
	}, { // 3821
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\t␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\t␠",
		out:  "＄\t␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\t‛␠",
	}, { // 3822
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\n␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\n ",
		out:  "＄\n␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\n␠",
	}, { // 3823
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\n␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\n␠",
		out:  "＄\n␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\n‛␠",
	}, { // 3824
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\v␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\v ",
		out:  "＄\v␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\v␠",
	}, { // 3825
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\v␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\v␠",
		out:  "＄\v␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\v‛␠",
	}, { // 3826
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\r␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\r ",
		out:  "＄\r␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\r␠",
	}, { // 3827
		mask: EncodeSquareBracket | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＄\r␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\r␠",
		out:  "＄\r␉φ\x04>νεｕ\x06\x04ＮＵς．ν␜＼U~W\x1bｌ＊＼3κ'\r‛␠",
	}, { // 3828
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\t/",
		out:  " \tβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\t/",
	}, { // 3829
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\t/",
		out:  "␠\tβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\t/",
	}, { // 3830
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\n/",
		out:  " \nβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\n/",
	}, { // 3831
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\n/",
		out:  "␠\nβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\n/",
	}, { // 3832
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\v/",
		out:  " \vβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\v/",
	}, { // 3833
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\v/",
		out:  "␠\vβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\v/",
	}, { // 3834
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\r/",
		out:  " \rβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\r/",
	}, { // 3835
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\r/",
		out:  "␠\rβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\r/",
	}, { // 3836
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␐\tβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\t ",
		out:  "␐\tβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\t␠",
	}, { // 3837
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␐\tβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\t␠",
		out:  "␐\tβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\t‛␠",
	}, { // 3838
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␐\nβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\n ",
		out:  "␐\nβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\n␠",
	}, { // 3839
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␐\nβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\n␠",
		out:  "␐\nβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\n‛␠",
	}, { // 3840
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␐\vβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\v ",
		out:  "␐\vβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\v␠",
	}, { // 3841
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␐\vβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\v␠",
		out:  "␐\vβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\v‛␠",
	}, { // 3842
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␐\rβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\r ",
		out:  "␐\rβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\r␠",
	}, { // 3843
		mask: EncodeSemicolon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␐\rβ８δ＝α？MＵB␌\x19$\x06␔␀%ξ|>␙ａｍl|\tｙ\r␠",
		out:  "␐\rβ８δ＝α？MＵB␌\x19$\x06␔‛␀%ξ|>␙ａｍl|\tｙ\r‛␠",
	}, { // 3844
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\t｜",
		out:  " \tANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\t｜",
	}, { // 3845
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\t｜",
		out:  "␠\tANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\t｜",
	}, { // 3846
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\n｜",
		out:  " \nANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\n｜",
	}, { // 3847
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\n｜",
		out:  "␠\nANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\n｜",
	}, { // 3848
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\v｜",
		out:  " \vANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\v｜",
	}, { // 3849
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\v｜",
		out:  "␠\vANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\v｜",
	}, { // 3850
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\r｜",
		out:  " \rANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\r｜",
	}, { // 3851
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\r｜",
		out:  "␠\rANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\r｜",
	}, { // 3852
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＃\tANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\t ",
		out:  "＃\tANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\t␠",
	}, { // 3853
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＃\tANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\t␠",
		out:  "＃\tANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\t‛␠",
	}, { // 3854
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＃\nANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\n ",
		out:  "＃\nANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\n␠",
	}, { // 3855
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＃\nANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\n␠",
		out:  "＃\nANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\n‛␠",
	}, { // 3856
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＃\vANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\v ",
		out:  "＃\vANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\v␠",
	}, { // 3857
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＃\vANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\v␠",
		out:  "＃\vANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\v‛␠",
	}, { // 3858
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＃\rANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\r ",
		out:  "＃\rANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\r␠",
	}, { // 3859
		mask: EncodeDollar | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＃\rANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\r␠",
		out:  "＃\rANρ\x10\t\x1eＴＱ\x02Ｍ＃ο␎|\\e｝VχτＺ\x03｀ν＼␐\r‛␠",
	}, { // 3860
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\tｄ",
		out:  " \t\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\tｄ",
	}, { // 3861
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\tｄ",
		out:  "␠\t\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\tｄ",
	}, { // 3862
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\nｄ",
		out:  " \n\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\nｄ",
	}, { // 3863
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\nｄ",
		out:  "␠\n\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\nｄ",
	}, { // 3864
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\vｄ",
		out:  " \v\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\vｄ",
	}, { // 3865
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\vｄ",
		out:  "␠\v\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\vｄ",
	}, { // 3866
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\rｄ",
		out:  " \r\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\rｄ",
	}, { // 3867
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\rｄ",
		out:  "␠\r\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\rｄ",
	}, { // 3868
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＿\t\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\t ",
		out:  "＿\t\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\t␠",
	}, { // 3869
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＿\t\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\t␠",
		out:  "＿\t\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\t‛␠",
	}, { // 3870
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＿\n\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\n ",
		out:  "＿\n\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\n␠",
	}, { // 3871
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＿\n\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\n␠",
		out:  "＿\n\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\n‛␠",
	}, { // 3872
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＿\v\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\v ",
		out:  "＿\v\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\v␠",
	}, { // 3873
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＿\v\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\v␠",
		out:  "＿\v\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\v‛␠",
	}, { // 3874
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＿\r\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\r ",
		out:  "＿\r\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\r␠",
	}, { // 3875
		mask: EncodeDoubleQuote | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "＿\r\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\r␠",
		out:  "＿\r\u007f␔c␖Ｍ4`:\x10\x0e-Gε\fχ］ςχ＝/Ｅ｜␁λ␆6\r‛␠",
	}, { // 3876
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\t&",
		out:  " \tｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\t&",
	}, { // 3877
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\t&",
		out:  "␠\tｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\t&",
	}, { // 3878
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\n&",
		out:  " \nｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\n&",
	}, { // 3879
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\n&",
		out:  "␠\nｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\n&",
	}, { // 3880
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\v&",
		out:  " \vｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\v&",
	}, { // 3881
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\v&",
		out:  "␠\vｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\v&",
	}, { // 3882
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\r&",
		out:  " \rｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\r&",
	}, { // 3883
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\r&",
		out:  "␠\rｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\r&",
	}, { // 3884
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␄\tｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\t ",
		out:  "␄\tｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\t␠",
	}, { // 3885
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␄\tｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\t␠",
		out:  "␄\tｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\t‛␠",
	}, { // 3886
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␄\nｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\n ",
		out:  "␄\nｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\n␠",
	}, { // 3887
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␄\nｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\n␠",
		out:  "␄\nｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\n‛␠",
	}, { // 3888
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␄\vｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\v ",
		out:  "␄\vｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\v␠",
	}, { // 3889
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␄\vｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\v␠",
		out:  "␄\vｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\v‛␠",
	}, { // 3890
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␄\rｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\r ",
		out:  "␄\rｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\r␠",
	}, { // 3891
		mask: EncodeColon | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␄\rｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\r␠",
		out:  "␄\rｐ\x02{\x02０.\aEｐ\x04␇＼η␃RＵｈτα［＼\nｂ*σd\r‛␠",
	}, { // 3892
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\tｙ",
		out:  " \t␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\tｙ",
	}, { // 3893
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\tｙ",
		out:  "␠\t␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\tｙ",
	}, { // 3894
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\nｙ",
		out:  " \n␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\nｙ",
	}, { // 3895
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\nｙ",
		out:  "␠\n␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\nｙ",
	}, { // 3896
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\vｙ",
		out:  " \v␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\vｙ",
	}, { // 3897
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\vｙ",
		out:  "␠\v␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\vｙ",
	}, { // 3898
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\rｙ",
		out:  " \r␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\rｙ",
	}, { // 3899
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\rｙ",
		out:  "␠\r␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\rｙ",
	}, { // 3900
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\t␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\t ",
		out:  "ｔ\t␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\t␠",
	}, { // 3901
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\t␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\t␠",
		out:  "ｔ\t␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\t‛␠",
	}, { // 3902
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\n␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\n ",
		out:  "ｔ\n␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\n␠",
	}, { // 3903
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\n␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\n␠",
		out:  "ｔ\n␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\n‛␠",
	}, { // 3904
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\v␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\v ",
		out:  "ｔ\v␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\v␠",
	}, { // 3905
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\v␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\v␠",
		out:  "ｔ\v␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\v‛␠",
	}, { // 3906
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\r␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\r ",
		out:  "ｔ\r␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\r␠",
	}, { // 3907
		mask: EncodeQuestion | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ｔ\r␏／\x1cι；$＃D\x02η#＃\bσ␒{_?δ\f␇θ５Ｖ/e\r␠",
		out:  "ｔ\r␏／\x1cι；$＃D\x02η#＃\bσ␒{_？δ\f␇θ５Ｖ/e\r‛␠",
	}, { // 3908
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\t+",
		out:  " \t`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\t+",
	}, { // 3909
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\t+",
		out:  "␠\t`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\t+",
	}, { // 3910
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\n+",
		out:  " \n`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\n+",
	}, { // 3911
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\n+",
		out:  "␠\n`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\n+",
	}, { // 3912
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\v+",
		out:  " \v`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\v+",
	}, { // 3913
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\v+",
		out:  "␠\v`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\v+",
	}, { // 3914
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\r+",
		out:  " \r`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\r+",
	}, { // 3915
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\r+",
		out:  "␠\r`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\r+",
	}, { // 3916
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\n\t`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\t ",
		out:  "\n\t`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\t␠",
	}, { // 3917
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\n\t`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\t␠",
		out:  "\n\t`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\t‛␠",
	}, { // 3918
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\n\n`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\n ",
		out:  "\n\n`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\n␠",
	}, { // 3919
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\n\n`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\n␠",
		out:  "\n\n`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\n‛␠",
	}, { // 3920
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\n\v`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\v ",
		out:  "\n\v`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\v␠",
	}, { // 3921
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\n\v`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\v␠",
		out:  "\n\v`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\v‛␠",
	}, { // 3922
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\n\r`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\r ",
		out:  "\n\r`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\r␠",
	}, { // 3923
		mask: EncodeAsterisk | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "\n\r`␎oν\rＷ␜ｌ\v？ξλｄ*cT>`πＯ␊␞\x1f｝＄π\r␠",
		out:  "\n\r`␎oν\rＷ␜ｌ\v？ξλｄ＊cT>`πＯ␊␞\x1f｝＄π\r‛␠",
	}, { // 3924
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\tδ",
		out:  " \tτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\tδ",
	}, { // 3925
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\tδ",
		out:  "␠\tτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\tδ",
	}, { // 3926
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\nδ",
		out:  " \nτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\nδ",
	}, { // 3927
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\nδ",
		out:  "␠\nτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\nδ",
	}, { // 3928
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\vδ",
		out:  " \vτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\vδ",
	}, { // 3929
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\vδ",
		out:  "␠\vτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\vδ",
	}, { // 3930
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\rδ",
		out:  " \rτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\rδ",
	}, { // 3931
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\rδ",
		out:  "␠\rτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\rδ",
	}, { // 3932
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "：\tτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\t ",
		out:  "：\tτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\t␠",
	}, { // 3933
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "：\tτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\t␠",
		out:  "：\tτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\t‛␠",
	}, { // 3934
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "：\nτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\n ",
		out:  "：\nτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\n␠",
	}, { // 3935
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "：\nτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\n␠",
		out:  "：\nτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\n‛␠",
	}, { // 3936
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "：\vτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\v ",
		out:  "：\vτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\v␠",
	}, { // 3937
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "：\vτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\v␠",
		out:  "：\vτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\v‛␠",
	}, { // 3938
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "：\rτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\r ",
		out:  "：\rτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\r␠",
	}, { // 3939
		mask: EncodePipe | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "：\rτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\r␠",
		out:  "：\rτ（：zη␑]␎？Ｙo\x13]x7\n\x01Ｆ＜␔λ５␐τIσ\r‛␠",
	}, { // 3940
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\tτ",
		out:  " \t＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\tτ",
	}, { // 3941
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\tτ",
		out:  "␠\t＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\tτ",
	}, { // 3942
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\nτ",
		out:  " \n＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\nτ",
	}, { // 3943
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\nτ",
		out:  "␠\n＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\nτ",
	}, { // 3944
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\vτ",
		out:  " \v＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\vτ",
	}, { // 3945
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\vτ",
		out:  "␠\v＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\vτ",
	}, { // 3946
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\rτ",
		out:  " \r＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\rτ",
	}, { // 3947
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\rτ",
		out:  "␠\r＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\rτ",
	}, { // 3948
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "7\t＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\t ",
		out:  "7\t＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\t␠",
	}, { // 3949
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "7\t＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\t␠",
		out:  "7\t＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\t‛␠",
	}, { // 3950
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "7\n＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\n ",
		out:  "7\n＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\n␠",
	}, { // 3951
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "7\n＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\n␠",
		out:  "7\n＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\n‛␠",
	}, { // 3952
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "7\v＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\v ",
		out:  "7\v＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\v␠",
	}, { // 3953
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "7\v＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\v␠",
		out:  "7\v＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\v‛␠",
	}, { // 3954
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "7\r＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\r ",
		out:  "7\r＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\r␠",
	}, { // 3955
		mask: EncodeHash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "7\r＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\r␠",
		out:  "7\r＼*␖␈\x19Ｑｙπ␝\x1d／tν:Ｑ?␕bβ;\x18εθ５DＨ\r‛␠",
	}, { // 3956
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \t＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\t\x18",
		out:  " \t＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\t\x18",
	}, { // 3957
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\t＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\t\x18",
		out:  "␠\t＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\t\x18",
	}, { // 3958
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \n＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\n\x18",
		out:  " \n＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\n\x18",
	}, { // 3959
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\n＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\n\x18",
		out:  "␠\n＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\n\x18",
	}, { // 3960
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \v＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\v\x18",
		out:  " \v＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\v\x18",
	}, { // 3961
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\v＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\v\x18",
		out:  "␠\v＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\v\x18",
	}, { // 3962
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \r＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\r\x18",
		out:  " \r＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\r\x18",
	}, { // 3963
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\r＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\r\x18",
		out:  "␠\r＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\r\x18",
	}, { // 3964
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ξ\t＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\t ",
		out:  "ξ\t＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\t␠",
	}, { // 3965
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ξ\t＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\t␠",
		out:  "ξ\t＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\t‛␠",
	}, { // 3966
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ξ\n＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\n ",
		out:  "ξ\n＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\n␠",
	}, { // 3967
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ξ\n＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\n␠",
		out:  "ξ\n＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\n‛␠",
	}, { // 3968
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ξ\v＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\v ",
		out:  "ξ\v＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\v␠",
	}, { // 3969
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ξ\v＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\v␠",
		out:  "ξ\v＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\v‛␠",
	}, { // 3970
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ξ\r＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\r ",
		out:  "ξ\r＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\r␠",
	}, { // 3971
		mask: EncodePercent | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "ξ\r＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ%\r␠",
		out:  "ξ\r＝p\f－ηｚ｀y]7ＮＴ␉/θ＇αｈ␌\\␙␞]?κ％\r‛␠",
	}, { // 3972
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\t␍",
		out:  " \tK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\t‛␍",
	}, { // 3973
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\t␍",
		out:  "␠\tK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\t‛␍",
	}, { // 3974
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\n␍",
		out:  " \nK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\n‛␍",
	}, { // 3975
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\n␍",
		out:  "␠\nK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\n‛␍",
	}, { // 3976
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\v␍",
		out:  " \vK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\v‛␍",
	}, { // 3977
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\v␍",
		out:  "␠\vK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\v‛␍",
	}, { // 3978
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\r␍",
		out:  " \rK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\r‛␍",
	}, { // 3979
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\r␍",
		out:  "␠\rK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\r‛␍",
	}, { // 3980
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "6\tK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\t ",
		out:  "6\tK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\t␠",
	}, { // 3981
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "6\tK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\t␠",
		out:  "6\tK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\t‛␠",
	}, { // 3982
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "6\nK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\n ",
		out:  "6\nK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\n␠",
	}, { // 3983
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "6\nK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\n␠",
		out:  "6\nK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\n‛␠",
	}, { // 3984
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "6\vK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\v ",
		out:  "6\vK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\v␠",
	}, { // 3985
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "6\vK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\v␠",
		out:  "6\vK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\v‛␠",
	}, { // 3986
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "6\rK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\r ",
		out:  "6\rK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\r␠",
	}, { // 3987
		mask: EncodeBackSlash | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "6\rK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\r␠",
		out:  "6\rK␌Ｃ\x11φk\nα｀ρπ\x13\fυ␟cｋ\u007f␈\x1dο<ｇ｜xＪ\r‛␠",
	}, { // 3988
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \tosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\t(",
		out:  " \tosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\t(",
	}, { // 3989
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\tosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\t(",
		out:  "␠\tosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\t(",
	}, { // 3990
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \nosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\n(",
		out:  " \nosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\n(",
	}, { // 3991
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\nosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\n(",
		out:  "␠\nosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\n(",
	}, { // 3992
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \vosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\v(",
		out:  " \vosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\v(",
	}, { // 3993
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\vosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\v(",
		out:  "␠\vosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\v(",
	}, { // 3994
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   " \rosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\r(",
		out:  " \rosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\r(",
	}, { // 3995
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "␠\rosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\r(",
		out:  "␠\rosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\r(",
	}, { // 3996
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "υ\tosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\t ",
		out:  "υ\tosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\t␠",
	}, { // 3997
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "υ\tosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\t␠",
		out:  "υ\tosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\t‛␠",
	}, { // 3998
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "υ\nosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\n ",
		out:  "υ\nosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\n␠",
	}, { // 3999
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "υ\nosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\n␠",
		out:  "υ\nosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\n‛␠",
	}, { // 4000
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "υ\vosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\v ",
		out:  "υ\vosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\v␠",
	}, { // 4001
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "υ\vosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\v␠",
		out:  "υ\vosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\v‛␠",
	}, { // 4002
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "υ\rosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\r ",
		out:  "υ\rosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\r␠",
	}, { // 4003
		mask: EncodeDel | EncodeRightSpace | EncodeRightCrLfHtVt,
		in:   "υ\rosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\r␠",
		out:  "υ\rosＯι２\x06γ␙\x01␂i\x14p＇ω`ε）␎\x06\r␚ｕｖψ␆\r‛␠",
	}, { // 4004
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". \x0fνｐ－␚ι\x02␈\x15ι｀Ｗ４＼␅$ω)NqＷπ\x1fＶ1{ β",
		out:  ". \x0fνｐ－␚ι\x02␈\x15ι｀Ｗ４＼␅$ω)NqＷπ\x1fＶ1{ β",
	}, { // 4005
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． \x0fνｐ－␚ι\x02␈\x15ι｀Ｗ４＼␅$ω)NqＷπ\x1fＶ1{ β",
		out:  "． \x0fνｐ－␚ι\x02␈\x15ι｀Ｗ４＼␅$ω)NqＷπ\x1fＶ1{ β",
	}, { // 4006
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x03 \x0fνｐ－␚ι\x02␈\x15ι｀Ｗ４＼␅$ω)NqＷπ\x1fＶ1{ .",
		out:  "\x03 \x0fνｐ－␚ι\x02␈\x15ι｀Ｗ４＼␅$ω)NqＷπ\x1fＶ1{ ．",
	}, { // 4007
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x03 \x0fνｐ－␚ι\x02␈\x15ι｀Ｗ４＼␅$ω)NqＷπ\x1fＶ1{ ．",
		out:  "\x03 \x0fνｐ－␚ι\x02␈\x15ι｀Ｗ４＼␅$ω)NqＷπ\x1fＶ1{ ‛．",
	}, { // 4008
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". Ｖ␔␗／\x02<$κ?!␝λ）tｉ\nW*＠~r[μ５＼ζ ζ",
		out:  ". Ｖ␔␗‛／\x02<$κ?!␝λ）tｉ\nW*＠~r[μ５＼ζ ζ",
	}, { // 4009
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． Ｖ␔␗／\x02<$κ?!␝λ）tｉ\nW*＠~r[μ５＼ζ ζ",
		out:  "． Ｖ␔␗‛／\x02<$κ?!␝λ）tｉ\nW*＠~r[μ５＼ζ ζ",
	}, { // 4010
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "η Ｖ␔␗／\x02<$κ?!␝λ）tｉ\nW*＠~r[μ５＼ζ .",
		out:  "η Ｖ␔␗‛／\x02<$κ?!␝λ）tｉ\nW*＠~r[μ５＼ζ ．",
	}, { // 4011
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "η Ｖ␔␗／\x02<$κ?!␝λ）tｉ\nW*＠~r[μ５＼ζ ．",
		out:  "η Ｖ␔␗‛／\x02<$κ?!␝λ）tｉ\nW*＠~r[μ５＼ζ ‛．",
	}, { // 4012
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". |．ζ␋HAζvρ\x17ο%Ｇ＞Ｚτ＃＄tｋ\x10:$φ␗␊ ３",
		out:  ". |．ζ␋HAζvρ\x17ο%Ｇ＞Ｚτ＃＄tｋ\x10:$φ␗␊ ３",
	}, { // 4013
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． |．ζ␋HAζvρ\x17ο%Ｇ＞Ｚτ＃＄tｋ\x10:$φ␗␊ ３",
		out:  "． |．ζ␋HAζvρ\x17ο%Ｇ＞Ｚτ＃＄tｋ\x10:$φ␗␊ ３",
	}, { // 4014
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "! |．ζ␋HAζvρ\x17ο%Ｇ＞Ｚτ＃＄tｋ\x10:$φ␗␊ .",
		out:  "! |．ζ␋HAζvρ\x17ο%Ｇ＞Ｚτ＃＄tｋ\x10:$φ␗␊ ．",
	}, { // 4015
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "! |．ζ␋HAζvρ\x17ο%Ｇ＞Ｚτ＃＄tｋ\x10:$φ␗␊ ．",
		out:  "! |．ζ␋HAζvρ\x17ο%Ｇ＞Ｚτ＃＄tｋ\x10:$φ␗␊ ‛．",
	}, { // 4016
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". κjκ\rρ\aJ\x01ＧＭχ＄／␋σS␕\x1e：␉hτ\x1fHl\x19 ８",
		out:  ". κjκ\rρ\aJ\x01ＧＭχ＄／␋σS␕\x1e：␉hτ\x1fHl\x19 ８",
	}, { // 4017
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． κjκ\rρ\aJ\x01ＧＭχ＄／␋σS␕\x1e：␉hτ\x1fHl\x19 ８",
		out:  "． κjκ\rρ\aJ\x01ＧＭχ＄／␋σS␕\x1e：␉hτ\x1fHl\x19 ８",
	}, { // 4018
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "ｐ κjκ\rρ\aJ\x01ＧＭχ＄／␋σS␕\x1e：␉hτ\x1fHl\x19 .",
		out:  "ｐ κjκ\rρ\aJ\x01ＧＭχ＄／␋σS␕\x1e：␉hτ\x1fHl\x19 ．",
	}, { // 4019
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "ｐ κjκ\rρ\aJ\x01ＧＭχ＄／␋σS␕\x1e：␉hτ\x1fHl\x19 ．",
		out:  "ｐ κjκ\rρ\aJ\x01ＧＭχ＄／␋σS␕\x1e：␉hτ\x1fHl\x19 ‛．",
	}, { // 4020
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ζ'ｘ＞␞6:␏␝ζ\rＴξ␃\x0f#ＯT␄οＹ\"w\x19ｄU ψ",
		out:  ". ζ'ｘ‛＞␞6:␏␝ζ\rＴξ␃\x0f#ＯT␄οＹ\"w\x19ｄU ψ",
	}, { // 4021
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ζ'ｘ＞␞6:␏␝ζ\rＴξ␃\x0f#ＯT␄οＹ\"w\x19ｄU ψ",
		out:  "． ζ'ｘ‛＞␞6:␏␝ζ\rＴξ␃\x0f#ＯT␄οＹ\"w\x19ｄU ψ",
	}, { // 4022
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftSpace,
		in:   "γ ζ'ｘ＞␞6:␏␝ζ\rＴξ␃\x0f#ＯT␄οＹ\"w\x19ｄU .",
		out:  "γ ζ'ｘ‛＞␞6:␏␝ζ\rＴξ␃\x0f#ＯT␄οＹ\"w\x19ｄU ．",
	}, { // 4023
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftSpace,
		in:   "γ ζ'ｘ＞␞6:␏␝ζ\rＴξ␃\x0f#ＯT␄οＹ\"w\x19ｄU ．",
		out:  "γ ζ'ｘ‛＞␞6:␏␝ζ\rＴξ␃\x0f#ＯT␄οＹ\"w\x19ｄU ‛．",
	}, { // 4024
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ％ψq7␖ｌ\x1b＿φ␅νＤα\f␊\x1a5\nRR\x03zνω␀ｑ ␚",
		out:  ". ％ψq7␖ｌ\x1b＿φ␅νＤα\f␊\x1a5\nRR\x03zνω‛␀ｑ ␚",
	}, { // 4025
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ％ψq7␖ｌ\x1b＿φ␅νＤα\f␊\x1a5\nRR\x03zνω␀ｑ ␚",
		out:  "． ％ψq7␖ｌ\x1b＿φ␅νＤα\f␊\x1a5\nRR\x03zνω‛␀ｑ ␚",
	}, { // 4026
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x01 ％ψq7␖ｌ\x1b＿φ␅νＤα\f␊\x1a5\nRR\x03zνω␀ｑ .",
		out:  "\x01 ％ψq7␖ｌ\x1b＿φ␅νＤα\f␊\x1a5\nRR\x03zνω‛␀ｑ ．",
	}, { // 4027
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x01 ％ψq7␖ｌ\x1b＿φ␅νＤα\f␊\x1a5\nRR\x03zνω␀ｑ ．",
		out:  "\x01 ％ψq7␖ｌ\x1b＿φ␅νＤα\f␊\x1a5\nRR\x03zνω‛␀ｑ ‛．",
	}, { // 4028
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". μξ｀＊*；\uff00=γ＾␏;Ｘvβ␟YQkg'␒␑␇|ｌ \x1c",
		out:  ". μξ｀＊*‛；\uff00=γ＾␏；Ｘvβ␟YQkg'␒␑␇|ｌ \x1c",
	}, { // 4029
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． μξ｀＊*；\uff00=γ＾␏;Ｘvβ␟YQkg'␒␑␇|ｌ \x1c",
		out:  "． μξ｀＊*‛；\uff00=γ＾␏；Ｘvβ␟YQkg'␒␑␇|ｌ \x1c",
	}, { // 4030
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "[ μξ｀＊*；\uff00=γ＾␏;Ｘvβ␟YQkg'␒␑␇|ｌ .",
		out:  "[ μξ｀＊*‛；\uff00=γ＾␏；Ｘvβ␟YQkg'␒␑␇|ｌ ．",
	}, { // 4031
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "[ μξ｀＊*；\uff00=γ＾␏;Ｘvβ␟YQkg'␒␑␇|ｌ ．",
		out:  "[ μξ｀＊*‛；\uff00=γ＾␏；Ｘvβ␟YQkg'␒␑␇|ｌ ‛．",
	}, { // 4032
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". iβ`|/ω␊$Ｌ＞\x00ｗ\x1eι␋␜␘４ｄρO－\b？δ] {",
		out:  ". iβ`|/ω␊＄Ｌ＞␀ｗ\x1eι␋␜␘４ｄρO－\b？δ] {",
	}, { // 4033
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． iβ`|/ω␊$Ｌ＞\x00ｗ\x1eι␋␜␘４ｄρO－\b？δ] {",
		out:  "． iβ`|/ω␊＄Ｌ＞␀ｗ\x1eι␋␜␘４ｄρO－\b？δ] {",
	}, { // 4034
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftSpace,
		in:   "λ iβ`|/ω␊$Ｌ＞\x00ｗ\x1eι␋␜␘４ｄρO－\b？δ] .",
		out:  "λ iβ`|/ω␊＄Ｌ＞␀ｗ\x1eι␋␜␘４ｄρO－\b？δ] ．",
	}, { // 4035
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftSpace,
		in:   "λ iβ`|/ω␊$Ｌ＞\x00ｗ\x1eι␋␜␘４ｄρO－\b？δ] ．",
		out:  "λ iβ`|/ω␊＄Ｌ＞␀ｗ\x1eι␋␜␘４ｄρO－\b？δ] ‛．",
	}, { // 4036
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ＞␜(%\x17αγ␋ρ␖OＤvψｙ\x06␁π\x17Ｇa］?－πＤ ␚",
		out:  ". ＞␜(%\x17αγ␋ρ␖OＤvψｙ\x06␁π\x17Ｇa］?－πＤ ␚",
	}, { // 4037
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ＞␜(%\x17αγ␋ρ␖OＤvψｙ\x06␁π\x17Ｇa］?－πＤ ␚",
		out:  "． ＞␜(%\x17αγ␋ρ␖OＤvψｙ\x06␁π\x17Ｇa］?－πＤ ␚",
	}, { // 4038
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "I ＞␜(%\x17αγ␋ρ␖OＤvψｙ\x06␁π\x17Ｇa］?－πＤ .",
		out:  "I ＞␜(%\x17αγ␋ρ␖OＤvψｙ\x06␁π\x17Ｇa］?－πＤ ．",
	}, { // 4039
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftSpace,
		in:   "I ＞␜(%\x17αγ␋ρ␖OＤvψｙ\x06␁π\x17Ｇa］?－πＤ ．",
		out:  "I ＞␜(%\x17αγ␋ρ␖OＤvψｙ\x06␁π\x17Ｇa］?－πＤ ‛．",
	}, { // 4040
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ␒\f／．；\nψγE*＂\x06␀＃␃<：Ng\x15λ．i7δλ ｅ",
		out:  ". ␒\f／．；\nψγE*＂\x06‛␀＃␃<‛：Ng\x15λ．i7δλ ｅ",
	}, { // 4041
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ␒\f／．；\nψγE*＂\x06␀＃␃<：Ng\x15λ．i7δλ ｅ",
		out:  "． ␒\f／．；\nψγE*＂\x06‛␀＃␃<‛：Ng\x15λ．i7δλ ｅ",
	}, { // 4042
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x15 ␒\f／．；\nψγE*＂\x06␀＃␃<：Ng\x15λ．i7δλ .",
		out:  "\x15 ␒\f／．；\nψγE*＂\x06‛␀＃␃<‛：Ng\x15λ．i7δλ ．",
	}, { // 4043
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x15 ␒\f／．；\nψγE*＂\x06␀＃␃<：Ng\x15λ．i7δλ ．",
		out:  "\x15 ␒\f／．；\nψγE*＂\x06‛␀＃␃<‛：Ng\x15λ．i7δλ ‛．",
	}, { // 4044
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". B／θ␈Ｗφα1δd#$mｒ␝πM|␍␀0κ?＞\x1e， ＇",
		out:  ". B／θ␈Ｗφα1δd#$mｒ␝πM|␍‛␀0κ？＞\x1e， ＇",
	}, { // 4045
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． B／θ␈Ｗφα1δd#$mｒ␝πM|␍␀0κ?＞\x1e， ＇",
		out:  "． B／θ␈Ｗφα1δd#$mｒ␝πM|␍‛␀0κ？＞\x1e， ＇",
	}, { // 4046
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftSpace,
		in:   "# B／θ␈Ｗφα1δd#$mｒ␝πM|␍␀0κ?＞\x1e， .",
		out:  "# B／θ␈Ｗφα1δd#$mｒ␝πM|␍‛␀0κ？＞\x1e， ．",
	}, { // 4047
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftSpace,
		in:   "# B／θ␈Ｗφα1δd#$mｒ␝πM|␍␀0κ?＞\x1e， ．",
		out:  "# B／θ␈Ｗφα1δd#$mｒ␝πM|␍‛␀0κ？＞\x1e， ‛．",
	}, { // 4048
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftSpace,
		in:   ".  #/\u007fＮ␒＞／＊\x059␅λκｘ＋pςV＃\"Ｏ␜i\tO ζ",
		out:  ".  #/\u007fＮ␒＞／‛＊\x059␅λκｘ＋pςV＃\"Ｏ␜i\tO ζ",
	}, { // 4049
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftSpace,
		in:   "．  #/\u007fＮ␒＞／＊\x059␅λκｘ＋pςV＃\"Ｏ␜i\tO ζ",
		out:  "．  #/\u007fＮ␒＞／‛＊\x059␅λκｘ＋pςV＃\"Ｏ␜i\tO ζ",
	}, { // 4050
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftSpace,
		in:   "υ  #/\u007fＮ␒＞／＊\x059␅λκｘ＋pςV＃\"Ｏ␜i\tO .",
		out:  "υ  #/\u007fＮ␒＞／‛＊\x059␅λκｘ＋pςV＃\"Ｏ␜i\tO ．",
	}, { // 4051
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftSpace,
		in:   "υ  #/\u007fＮ␒＞／＊\x059␅λκｘ＋pςV＃\"Ｏ␜i\tO ．",
		out:  "υ  #/\u007fＮ␒＞／‛＊\x059␅λκｘ＋pςV＃\"Ｏ␜i\tO ‛．",
	}, { // 4052
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ＇｛λσ*ｕ＊ａ`):ρu=Ｋρｅη\x03\x1e｀␖{Ｒν? ［",
		out:  ". ＇｛λσ*ｕ＊ａ`):ρu=Ｋρｅη\x03\x1e｀␖{Ｒν? ［",
	}, { // 4053
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ＇｛λσ*ｕ＊ａ`):ρu=Ｋρｅη\x03\x1e｀␖{Ｒν? ［",
		out:  "． ＇｛λσ*ｕ＊ａ`):ρu=Ｋρｅη\x03\x1e｀␖{Ｒν? ［",
	}, { // 4054
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\u007f ＇｛λσ*ｕ＊ａ`):ρu=Ｋρｅη\x03\x1e｀␖{Ｒν? .",
		out:  "\u007f ＇｛λσ*ｕ＊ａ`):ρu=Ｋρｅη\x03\x1e｀␖{Ｒν? ．",
	}, { // 4055
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\u007f ＇｛λσ*ｕ＊ａ`):ρu=Ｋρｅη\x03\x1e｀␖{Ｒν? ．",
		out:  "\u007f ＇｛λσ*ｕ＊ａ`):ρu=Ｋρｅη\x03\x1e｀␖{Ｒν? ‛．",
	}, { // 4056
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". Aｙ\x0f␀ρ/＂'␂+７␘β\x11ｒｘρｔ＊z)δN\x11ι\x1a δ",
		out:  ". Aｙ\x0f‛␀ρ/＂'␂+７␘β\x11ｒｘρｔ＊z)δN\x11ι\x1a δ",
	}, { // 4057
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． Aｙ\x0f␀ρ/＂'␂+７␘β\x11ｒｘρｔ＊z)δN\x11ι\x1a δ",
		out:  "． Aｙ\x0f‛␀ρ/＂'␂+７␘β\x11ｒｘρｔ＊z)δN\x11ι\x1a δ",
	}, { // 4058
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "Ｒ Aｙ\x0f␀ρ/＂'␂+７␘β\x11ｒｘρｔ＊z)δN\x11ι\x1a .",
		out:  "Ｒ Aｙ\x0f‛␀ρ/＂'␂+７␘β\x11ｒｘρｔ＊z)δN\x11ι\x1a ．",
	}, { // 4059
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "Ｒ Aｙ\x0f␀ρ/＂'␂+７␘β\x11ｒｘρｔ＊z)δN\x11ι\x1a ．",
		out:  "Ｒ Aｙ\x0f‛␀ρ/＂'␂+７␘β\x11ｒｘρｔ＊z)δN\x11ι\x1a ‛．",
	}, { // 4060
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ／jι]τ␕ν>P］7ζ｀/b＠．␔＃\x10ｄν＂ｘτV \t",
		out:  ". ／jι]τ␕ν>P］7ζ｀/b＠．␔＃\x10ｄν＂ｘτV \t",
	}, { // 4061
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ／jι]τ␕ν>P］7ζ｀/b＠．␔＃\x10ｄν＂ｘτV \t",
		out:  "． ／jι]τ␕ν>P］7ζ｀/b＠．␔＃\x10ｄν＂ｘτV \t",
	}, { // 4062
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x01 ／jι]τ␕ν>P］7ζ｀/b＠．␔＃\x10ｄν＂ｘτV .",
		out:  "\x01 ／jι]τ␕ν>P］7ζ｀/b＠．␔＃\x10ｄν＂ｘτV ．",
	}, { // 4063
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftSpace,
		in:   "\x01 ／jι]τ␕ν>P］7ζ｀/b＠．␔＃\x10ｄν＂ｘτV ．",
		out:  "\x01 ／jι]τ␕ν>P］7ζ｀/b＠．␔＃\x10ｄν＂ｘτV ‛．",
	}, { // 4064
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". π\x00␜␞φ.Ｗ␂＇j\x02␎／＿ι８EJ[\x10ψＳ+v*Ｇ ο",
		out:  ". π␀␜␞φ.Ｗ␂＇j\x02␎／＿ι８EJ[\x10ψＳ+v*Ｇ ο",
	}, { // 4065
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． π\x00␜␞φ.Ｗ␂＇j\x02␎／＿ι８EJ[\x10ψＳ+v*Ｇ ο",
		out:  "． π␀␜␞φ.Ｗ␂＇j\x02␎／＿ι８EJ[\x10ψＳ+v*Ｇ ο",
	}, { // 4066
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "％ π\x00␜␞φ.Ｗ␂＇j\x02␎／＿ι８EJ[\x10ψＳ+v*Ｇ .",
		out:  "％ π␀␜␞φ.Ｗ␂＇j\x02␎／＿ι８EJ[\x10ψＳ+v*Ｇ ．",
	}, { // 4067
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftSpace,
		in:   "％ π\x00␜␞φ.Ｗ␂＇j\x02␎／＿ι８EJ[\x10ψＳ+v*Ｇ ．",
		out:  "％ π␀␜␞φ.Ｗ␂＇j\x02␎／＿ι８EJ[\x10ψＳ+v*Ｇ ‛．",
	}, { // 4068
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". $＃/l␆ρμP：\x00␊Ｖκ␊\x1d\x00`␕ｅ␑＇>qθ\x02σ N",
		out:  ". $＃/l␆ρμP：␀‛␊Ｖκ‛␊\x1d␀`␕ｅ␑＇>qθ\x02σ N",
	}, { // 4069
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． $＃/l␆ρμP：\x00␊Ｖκ␊\x1d\x00`␕ｅ␑＇>qθ\x02σ N",
		out:  "． $＃/l␆ρμP：␀‛␊Ｖκ‛␊\x1d␀`␕ｅ␑＇>qθ\x02σ N",
	}, { // 4070
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftSpace,
		in:   "Ｏ $＃/l␆ρμP：\x00␊Ｖκ␊\x1d\x00`␕ｅ␑＇>qθ\x02σ .",
		out:  "Ｏ $＃/l␆ρμP：␀‛␊Ｖκ‛␊\x1d␀`␕ｅ␑＇>qθ\x02σ ．",
	}, { // 4071
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftSpace,
		in:   "Ｏ $＃/l␆ρμP：\x00␊Ｖκ␊\x1d\x00`␕ｅ␑＇>qθ\x02σ ．",
		out:  "Ｏ $＃/l␆ρμP：␀‛␊Ｖκ‛␊\x1d␀`␕ｅ␑＇>qθ\x02σ ‛．",
	}, { // 4072
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". fＷ%\x18，␅＼＾υT0ｈＩθ？4\x1bS＇ο\x19␅\f＃\x0e, ｉ",
		out:  ". fＷ%\x18，␅＼＾υT0ｈＩθ？4\x1bS＇ο\x19␅\f＃\x0e, ｉ",
	}, { // 4073
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． fＷ%\x18，␅＼＾υT0ｈＩθ？4\x1bS＇ο\x19␅\f＃\x0e, ｉ",
		out:  "． fＷ%\x18，␅＼＾υT0ｈＩθ？4\x1bS＇ο\x19␅\f＃\x0e, ｉ",
	}, { // 4074
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftSpace,
		in:   "μ fＷ%\x18，␅＼＾υT0ｈＩθ？4\x1bS＇ο\x19␅\f＃\x0e, .",
		out:  "μ fＷ%\x18，␅＼＾υT0ｈＩθ？4\x1bS＇ο\x19␅\f＃\x0e, ．",
	}, { // 4075
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftSpace,
		in:   "μ fＷ%\x18，␅＼＾υT0ｈＩθ？4\x1bS＇ο\x19␅\f＃\x0e, ．",
		out:  "μ fＷ%\x18，␅＼＾υT0ｈＩθ？4\x1bS＇ο\x19␅\f＃\x0e, ‛．",
	}, { // 4076
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftSpace,
		in:   ". ？／＃\x19:φＺ\x18Ｃ%＜|λ␍␏χ]!;xγλFＷ>> ＋",
		out:  ". ？／＃␙:φＺ␘Ｃ%＜|λ‛␍‛␏χ]!;xγλFＷ>> ＋",
	}, { // 4077
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftSpace,
		in:   "． ？／＃\x19:φＺ\x18Ｃ%＜|λ␍␏χ]!;xγλFＷ>> ＋",
		out:  "． ？／＃␙:φＺ␘Ｃ%＜|λ‛␍‛␏χ]!;xγλFＷ>> ＋",
	}, { // 4078
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftSpace,
		in:   "α ？／＃\x19:φＺ\x18Ｃ%＜|λ␍␏χ]!;xγλFＷ>> .",
		out:  "α ？／＃␙:φＺ␘Ｃ%＜|λ‛␍‛␏χ]!;xγλFＷ>> ．",
	}, { // 4079
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftSpace,
		in:   "α ？／＃\x19:φＺ\x18Ｃ%＜|λ␍␏χ]!;xγλFＷ>> ．",
		out:  "α ？／＃␙:φＺ␘Ｃ%＜|λ‛␍‛␏χ]!;xγλFＷ>> ‛．",
	}, { // 4080
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ζο␙－］Ef\x1e+1$␝β\x02εＪ＊\x1b`λ|α９＞␉␖.Ｑ",
		out:  "．.ζο␙－］Ef\x1e+1$␝β\x02εＪ＊\x1b`λ|α９＞␉␖.Ｑ",
	}, { // 4081
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ζο␙－］Ef\x1e+1$␝β\x02εＪ＊\x1b`λ|α９＞␉␖.Ｑ",
		out:  "‛．.ζο␙－］Ef\x1e+1$␝β\x02εＪ＊\x1b`λ|α９＞␉␖.Ｑ",
	}, { // 4082
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "（.ζο␙－］Ef\x1e+1$␝β\x02εＪ＊\x1b`λ|α９＞␉␖..",
		out:  "（.ζο␙－］Ef\x1e+1$␝β\x02εＪ＊\x1b`λ|α９＞␉␖.．",
	}, { // 4083
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "（.ζο␙－］Ef\x1e+1$␝β\x02εＪ＊\x1b`λ|α９＞␉␖.．",
		out:  "（.ζο␙－］Ef\x1e+1$␝β\x02εＪ＊\x1b`λ|α９＞␉␖.‛．",
	}, { // 4084
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..［␚␅＂\nＧＩ?\"␉κM'␉|χ:ψ［HX\x1aγθ.ο.Ｕ",
		out:  "．.［␚␅＂\nＧＩ?\"␉κM'␉|χ:ψ［HX\x1aγθ.ο.Ｕ",
	}, { // 4085
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.［␚␅＂\nＧＩ?\"␉κM'␉|χ:ψ［HX\x1aγθ.ο.Ｕ",
		out:  "‛．.［␚␅＂\nＧＩ?\"␉κM'␉|χ:ψ［HX\x1aγθ.ο.Ｕ",
	}, { // 4086
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\u007f.［␚␅＂\nＧＩ?\"␉κM'␉|χ:ψ［HX\x1aγθ.ο..",
		out:  "\u007f.［␚␅＂\nＧＩ?\"␉κM'␉|χ:ψ［HX\x1aγθ.ο.．",
	}, { // 4087
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\u007f.［␚␅＂\nＧＩ?\"␉κM'␉|χ:ψ［HX\x1aγθ.ο.．",
		out:  "\u007f.［␚␅＂\nＧＩ?\"␉κM'␉|χ:ψ［HX\x1aγθ.ο.‛．",
	}, { // 4088
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..!φτφC\r;ψ／yδ␗␊ω\uff00␗,Ｅ\x18＄＄Bo␄\x1f？.Ｉ",
		out:  "．.!φτφC\r;ψ／yδ␗␊ω\uff00␗,Ｅ\x18＄＄Bo␄\x1f？.Ｉ",
	}, { // 4089
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.!φτφC\r;ψ／yδ␗␊ω\uff00␗,Ｅ\x18＄＄Bo␄\x1f？.Ｉ",
		out:  "‛．.!φτφC\r;ψ／yδ␗␊ω\uff00␗,Ｅ\x18＄＄Bo␄\x1f？.Ｉ",
	}, { // 4090
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "<.!φτφC\r;ψ／yδ␗␊ω\uff00␗,Ｅ\x18＄＄Bo␄\x1f？..",
		out:  "<.!φτφC\r;ψ／yδ␗␊ω\uff00␗,Ｅ\x18＄＄Bo␄\x1f？.．",
	}, { // 4091
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "<.!φτφC\r;ψ／yδ␗␊ω\uff00␗,Ｅ\x18＄＄Bo␄\x1f？.．",
		out:  "<.!φτφC\r;ψ／yδ␗␊ω\uff00␗,Ｅ\x18＄＄Bo␄\x1f？.‛．",
	}, { // 4092
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..？␄π１\x19&\x16␑ι\x1aＴ\uff00λ␔\x01ωKＳ＋Y␘wα\vs␟.Ｘ",
		out:  "．.？␄π１\x19&\x16␑ι\x1aＴ\uff00λ␔\x01ωKＳ＋Y␘wα\vs␟.Ｘ",
	}, { // 4093
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.？␄π１\x19&\x16␑ι\x1aＴ\uff00λ␔\x01ωKＳ＋Y␘wα\vs␟.Ｘ",
		out:  "‛．.？␄π１\x19&\x16␑ι\x1aＴ\uff00λ␔\x01ωKＳ＋Y␘wα\vs␟.Ｘ",
	}, { // 4094
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "`.？␄π１\x19&\x16␑ι\x1aＴ\uff00λ␔\x01ωKＳ＋Y␘wα\vs␟..",
		out:  "｀.？␄π１\x19&\x16␑ι\x1aＴ\uff00λ␔\x01ωKＳ＋Y␘wα\vs␟.．",
	}, { // 4095
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "`.？␄π１\x19&\x16␑ι\x1aＴ\uff00λ␔\x01ωKＳ＋Y␘wα\vs␟.．",
		out:  "｀.？␄π１\x19&\x16␑ι\x1aＴ\uff00λ␔\x01ωKＳ＋Y␘wα\vs␟.‛．",
	}, { // 4096
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..\tχ\n!ατ]？␃␌；ξχQｊＱ＝>；\x18Ｊ\b＂Ｚ?u.｜",
		out:  "．.\tχ\n!ατ]？␃␌；ξχQｊＱ＝＞；\x18Ｊ\b＂Ｚ?u.｜",
	}, { // 4097
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.\tχ\n!ατ]？␃␌；ξχQｊＱ＝>；\x18Ｊ\b＂Ｚ?u.｜",
		out:  "‛．.\tχ\n!ατ]？␃␌；ξχQｊＱ＝＞；\x18Ｊ\b＂Ｚ?u.｜",
	}, { // 4098
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "χ.\tχ\n!ατ]？␃␌；ξχQｊＱ＝>；\x18Ｊ\b＂Ｚ?u..",
		out:  "χ.\tχ\n!ατ]？␃␌；ξχQｊＱ＝＞；\x18Ｊ\b＂Ｚ?u.．",
	}, { // 4099
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "χ.\tχ\n!ατ]？␃␌；ξχQｊＱ＝>；\x18Ｊ\b＂Ｚ?u.．",
		out:  "χ.\tχ\n!ατ]？␃␌；ξχQｊＱ＝＞；\x18Ｊ\b＂Ｚ?u.‛．",
	}, { // 4100
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..｀ρ\rοE?␓６Hζ6Ｑ；␙\x193\x19|λｋ␜␑Ｆ\u007f\\#.ς",
		out:  "．.｀ρ\rοE?␓６Hζ6Ｑ；␙\x193\x19|λｋ␜␑Ｆ\u007f\\#.ς",
	}, { // 4101
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.｀ρ\rοE?␓６Hζ6Ｑ；␙\x193\x19|λｋ␜␑Ｆ\u007f\\#.ς",
		out:  "‛．.｀ρ\rοE?␓６Hζ6Ｑ；␙\x193\x19|λｋ␜␑Ｆ\u007f\\#.ς",
	}, { // 4102
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "θ.｀ρ\rοE?␓６Hζ6Ｑ；␙\x193\x19|λｋ␜␑Ｆ\u007f\\#..",
		out:  "θ.｀ρ\rοE?␓６Hζ6Ｑ；␙\x193\x19|λｋ␜␑Ｆ\u007f\\#.．",
	}, { // 4103
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "θ.｀ρ\rοE?␓６Hζ6Ｑ；␙\x193\x19|λｋ␜␑Ｆ\u007f\\#.．",
		out:  "θ.｀ρ\rοE?␓６Hζ6Ｑ；␙\x193\x19|λｋ␜␑Ｆ\u007f\\#.‛．",
	}, { // 4104
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ｏ％ＬθＢk\x0f]\u007f:␀ψＰι｀Ｐ'ξ\x14+\"jλ\x0ff␐.｜",
		out:  "．.ｏ％ＬθＢk\x0f]\u007f:‛␀ψＰι｀Ｐ'ξ\x14+\"jλ\x0ff␐.｜",
	}, { // 4105
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ｏ％ＬθＢk\x0f]\u007f:␀ψＰι｀Ｐ'ξ\x14+\"jλ\x0ff␐.｜",
		out:  "‛．.ｏ％ＬθＢk\x0f]\u007f:‛␀ψＰι｀Ｐ'ξ\x14+\"jλ\x0ff␐.｜",
	}, { // 4106
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ｏ.ｏ％ＬθＢk\x0f]\u007f:␀ψＰι｀Ｐ'ξ\x14+\"jλ\x0ff␐..",
		out:  "ｏ.ｏ％ＬθＢk\x0f]\u007f:‛␀ψＰι｀Ｐ'ξ\x14+\"jλ\x0ff␐.．",
	}, { // 4107
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ｏ.ｏ％ＬθＢk\x0f]\u007f:␀ψＰι｀Ｐ'ξ\x14+\"jλ\x0ff␐.．",
		out:  "ｏ.ｏ％ＬθＢk\x0f]\u007f:‛␀ψＰι｀Ｐ'ξ\x14+\"jλ\x0ff␐.‛．",
	}, { // 4108
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..␗␇V3ｎW\x18Ｐ）[:ρ␚τ\x1a|：κEMσγ/␅２\x01.ｃ",
		out:  "．.␗␇V3ｎW\x18Ｐ）[:ρ␚τ\x1a|：κEMσγ/␅２\x01.ｃ",
	}, { // 4109
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.␗␇V3ｎW\x18Ｐ）[:ρ␚τ\x1a|：κEMσγ/␅２\x01.ｃ",
		out:  "‛．.␗␇V3ｎW\x18Ｐ）[:ρ␚τ\x1a|：κEMσγ/␅２\x01.ｃ",
	}, { // 4110
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ψ.␗␇V3ｎW\x18Ｐ）[:ρ␚τ\x1a|：κEMσγ/␅２\x01..",
		out:  "ψ.␗␇V3ｎW\x18Ｐ）[:ρ␚τ\x1a|：κEMσγ/␅２\x01.．",
	}, { // 4111
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ψ.␗␇V3ｎW\x18Ｐ）[:ρ␚τ\x1a|：κEMσγ/␅２\x01.．",
		out:  "ψ.␗␇V3ｎW\x18Ｐ）[:ρ␚τ\x1a|：κEMσγ/␅２\x01.‛．",
	}, { // 4112
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..$οD␊WLαη｜７βρ\rｗ\x18']＼.ｍ＊ｚ］\x1b\x1b＄.＃",
		out:  "．.$οD␊WLαη｜７βρ\rｗ\x18']＼.ｍ＊ｚ］\x1b\x1b＄.＃",
	}, { // 4113
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.$οD␊WLαη｜７βρ\rｗ\x18']＼.ｍ＊ｚ］\x1b\x1b＄.＃",
		out:  "‛．.$οD␊WLαη｜７βρ\rｗ\x18']＼.ｍ＊ｚ］\x1b\x1b＄.＃",
	}, { // 4114
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\f.$οD␊WLαη｜７βρ\rｗ\x18']＼.ｍ＊ｚ］\x1b\x1b＄..",
		out:  "\f.$οD␊WLαη｜７βρ\rｗ\x18']＼.ｍ＊ｚ］\x1b\x1b＄.．",
	}, { // 4115
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\f.$οD␊WLαη｜７βρ\rｗ\x18']＼.ｍ＊ｚ］\x1b\x1b＄.．",
		out:  "\f.$οD␊WLαη｜７βρ\rｗ\x18']＼.ｍ＊ｚ］\x1b\x1b＄.‛．",
	}, { // 4116
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..~x]ς*\fερ.－χw＃κ\x04Ｔ␏Ｏ␀/\x1c␏ｖＣLB.％",
		out:  "．.~x]ς*\fερ.－χw＃κ\x04Ｔ␏Ｏ‛␀/\x1c␏ｖＣLB.％",
	}, { // 4117
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.~x]ς*\fερ.－χw＃κ\x04Ｔ␏Ｏ␀/\x1c␏ｖＣLB.％",
		out:  "‛．.~x]ς*\fερ.－χw＃κ\x04Ｔ␏Ｏ‛␀/\x1c␏ｖＣLB.％",
	}, { // 4118
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "γ.~x]ς*\fερ.－χw＃κ\x04Ｔ␏Ｏ␀/\x1c␏ｖＣLB..",
		out:  "γ.~x]ς*\fερ.－χw＃κ\x04Ｔ␏Ｏ‛␀/\x1c␏ｖＣLB.．",
	}, { // 4119
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "γ.~x]ς*\fερ.－χw＃κ\x04Ｔ␏Ｏ␀/\x1c␏ｖＣLB.．",
		out:  "γ.~x]ς*\fερ.－χw＃κ\x04Ｔ␏Ｏ‛␀/\x1c␏ｖＣLB.‛．",
	}, { // 4120
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..\r`α！？\\ｍiＺMQ４X６␙\x1c6ψ＄'λν␊l＊｀.π",
		out:  "．.\r`α！‛？\\ｍiＺMQ４X６␙\x1c6ψ＄'λν␊l＊｀.π",
	}, { // 4121
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.\r`α！？\\ｍiＺMQ４X６␙\x1c6ψ＄'λν␊l＊｀.π",
		out:  "‛．.\r`α！‛？\\ｍiＺMQ４X６␙\x1c6ψ＄'λν␊l＊｀.π",
	}, { // 4122
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\n.\r`α！？\\ｍiＺMQ４X６␙\x1c6ψ＄'λν␊l＊｀..",
		out:  "\n.\r`α！‛？\\ｍiＺMQ４X６␙\x1c6ψ＄'λν␊l＊｀.．",
	}, { // 4123
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\n.\r`α！？\\ｍiＺMQ４X６␙\x1c6ψ＄'λν␊l＊｀.．",
		out:  "\n.\r`α！‛？\\ｍiＺMQ４X６␙\x1c6ψ＄'λν␊l＊｀.‛．",
	}, { // 4124
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..θｆ：|TｂχｘOγ_／\x03\x00？␁\x13：ς␓ｕ`ς'|γ.'",
		out:  "．.θｆ：|TｂχｘOγ_／\x03␀？␁\x13：ς␓ｕ`ς'|γ.'",
	}, { // 4125
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.θｆ：|TｂχｘOγ_／\x03\x00？␁\x13：ς␓ｕ`ς'|γ.'",
		out:  "‛．.θｆ：|TｂχｘOγ_／\x03␀？␁\x13：ς␓ｕ`ς'|γ.'",
	}, { // 4126
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "=.θｆ：|TｂχｘOγ_／\x03\x00？␁\x13：ς␓ｕ`ς'|γ..",
		out:  "=.θｆ：|TｂχｘOγ_／\x03␀？␁\x13：ς␓ｕ`ς'|γ.．",
	}, { // 4127
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "=.θｆ：|TｂχｘOγ_／\x03\x00？␁\x13：ς␓ｕ`ς'|γ.．",
		out:  "=.θｆ：|TｂχｘOγ_／\x03␀？␁\x13：ς␓ｕ`ς'|γ.‛．",
	}, { // 4128
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..␕\rθＭ␋\x1dε␔A，$＊Ｆn␘\x0fπζW９␘νH\x18ｊ[.L",
		out:  "．.␕\rθＭ␋\x1dε␔A，$＊Ｆn␘\x0fπζW９␘νH\x18ｊ[.L",
	}, { // 4129
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.␕\rθＭ␋\x1dε␔A，$＊Ｆn␘\x0fπζW９␘νH\x18ｊ[.L",
		out:  "‛．.␕\rθＭ␋\x1dε␔A，$＊Ｆn␘\x0fπζW９␘νH\x18ｊ[.L",
	}, { // 4130
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\x01.␕\rθＭ␋\x1dε␔A，$＊Ｆn␘\x0fπζW９␘νH\x18ｊ[..",
		out:  "\x01.␕\rθＭ␋\x1dε␔A，$＊Ｆn␘\x0fπζW９␘νH\x18ｊ[.．",
	}, { // 4131
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "\x01.␕\rθＭ␋\x1dε␔A，$＊Ｆn␘\x0fπζW９␘νH\x18ｊ[.．",
		out:  "\x01.␕\rθＭ␋\x1dε␔A，$＊Ｆn␘\x0fπζW９␘νH\x18ｊ[.‛．",
	}, { // 4132
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..␅ｂηπχ;V␏ＡＪ]*␎'\x1b8ο｜␖μX\x03]\x17！τ.；",
		out:  "．.␅ｂηπχ;V␏ＡＪ]*␎'\x1b8ο｜␖μX\x03]\x17！τ.；",
	}, { // 4133
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.␅ｂηπχ;V␏ＡＪ]*␎'\x1b8ο｜␖μX\x03]\x17！τ.；",
		out:  "‛．.␅ｂηπχ;V␏ＡＪ]*␎'\x1b8ο｜␖μX\x03]\x17！τ.；",
	}, { // 4134
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "0.␅ｂηπχ;V␏ＡＪ]*␎'\x1b8ο｜␖μX\x03]\x17！τ..",
		out:  "0.␅ｂηπχ;V␏ＡＪ]*␎'\x1b8ο｜␖μX\x03]\x17！τ.．",
	}, { // 4135
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "0.␅ｂηπχ;V␏ＡＪ]*␎'\x1b8ο｜␖μX\x03]\x17！τ.．",
		out:  "0.␅ｂηπχ;V␏ＡＪ]*␎'\x1b8ο｜␖μX\x03]\x17！τ.‛．",
	}, { // 4136
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ｖ]｀ｃχξβy␃␎\x0eｍςB␓\rD＠ｎ\nz␊＞ψσb.\x03",
		out:  "．.ｖ]｀ｃχξβy␃␎\x0eｍςB␓\rD＠ｎ\nz␊＞ψσb.\x03",
	}, { // 4137
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ｖ]｀ｃχξβy␃␎\x0eｍςB␓\rD＠ｎ\nz␊＞ψσb.\x03",
		out:  "‛．.ｖ]｀ｃχξβy␃␎\x0eｍςB␓\rD＠ｎ\nz␊＞ψσb.\x03",
	}, { // 4138
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "％.ｖ]｀ｃχξβy␃␎\x0eｍςB␓\rD＠ｎ\nz␊＞ψσb..",
		out:  "‛％.ｖ]｀ｃχξβy␃␎\x0eｍςB␓\rD＠ｎ\nz␊＞ψσb.．",
	}, { // 4139
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "％.ｖ]｀ｃχξβy␃␎\x0eｍςB␓\rD＠ｎ\nz␊＞ψσb.．",
		out:  "‛％.ｖ]｀ｃχξβy␃␎\x0eｍςB␓\rD＠ｎ\nz␊＞ψσb.‛．",
	}, { // 4140
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..ζ␘\fχ␊V\x1b=＞λ\x00Eγ_＂\uff00＜\x1aο␜ｕ［␟Vθ\x0e.\a",
		out:  "．.ζ␘\fχ␊V\x1b=＞λ␀Eγ_＂\uff00＜\x1aο␜ｕ［␟Vθ\x0e.\a",
	}, { // 4141
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.ζ␘\fχ␊V\x1b=＞λ\x00Eγ_＂\uff00＜\x1aο␜ｕ［␟Vθ\x0e.\a",
		out:  "‛．.ζ␘\fχ␊V\x1b=＞λ␀Eγ_＂\uff00＜\x1aο␜ｕ［␟Vθ\x0e.\a",
	}, { // 4142
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␙.ζ␘\fχ␊V\x1b=＞λ\x00Eγ_＂\uff00＜\x1aο␜ｕ［␟Vθ\x0e..",
		out:  "␙.ζ␘\fχ␊V\x1b=＞λ␀Eγ_＂\uff00＜\x1aο␜ｕ［␟Vθ\x0e.．",
	}, { // 4143
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "␙.ζ␘\fχ␊V\x1b=＞λ\x00Eγ_＂\uff00＜\x1aο␜ｕ［␟Vθ\x0e.．",
		out:  "␙.ζ␘\fχ␊V\x1b=＞λ␀Eγ_＂\uff00＜\x1aο␜ｕ［␟Vθ\x0e.‛．",
	}, { // 4144
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..＊␜\x06：｜λ␃ Ｈ％o\n#δββz９！［λ\x1aX\nιＧ.～",
		out:  "．.＊␜\x06：｜λ␃ Ｈ％o␊#δββz９！［λ\x1aX␊ιＧ.～",
	}, { // 4145
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.＊␜\x06：｜λ␃ Ｈ％o\n#δββz９！［λ\x1aX\nιＧ.～",
		out:  "‛．.＊␜\x06：｜λ␃ Ｈ％o␊#δββz９！［λ\x1aX␊ιＧ.～",
	}, { // 4146
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "T.＊␜\x06：｜λ␃ Ｈ％o\n#δββz９！［λ\x1aX\nιＧ..",
		out:  "T.＊␜\x06：｜λ␃ Ｈ％o␊#δββz９！［λ\x1aX␊ιＧ.．",
	}, { // 4147
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "T.＊␜\x06：｜λ␃ Ｈ％o\n#δββz９！［λ\x1aX\nιＧ.．",
		out:  "T.＊␜\x06：｜λ␃ Ｈ％o␊#δββz９！［λ\x1aX␊ιＧ.‛．",
	}, { // 4148
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..σ］δ)ip／％\x14＄\a＜＝Ｋ\x11ζ*:␉\x01π␎B\x06ｑ；.υ",
		out:  "．.σ］δ)ip／％\x14＄\a＜＝Ｋ\x11ζ*:␉\x01π␎B\x06ｑ；.υ",
	}, { // 4149
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.σ］δ)ip／％\x14＄\a＜＝Ｋ\x11ζ*:␉\x01π␎B\x06ｑ；.υ",
		out:  "‛．.σ］δ)ip／％\x14＄\a＜＝Ｋ\x11ζ*:␉\x01π␎B\x06ｑ；.υ",
	}, { // 4150
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ν.σ］δ)ip／％\x14＄\a＜＝Ｋ\x11ζ*:␉\x01π␎B\x06ｑ；..",
		out:  "ν.σ］δ)ip／％\x14＄\a＜＝Ｋ\x11ζ*:␉\x01π␎B\x06ｑ；.．",
	}, { // 4151
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "ν.σ］δ)ip／％\x14＄\a＜＝Ｋ\x11ζ*:␉\x01π␎B\x06ｑ；.．",
		out:  "ν.σ］δ)ip／％\x14＄\a＜＝Ｋ\x11ζ*:␉\x01π␎B\x06ｑ；.‛．",
	}, { // 4152
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "..Ｇ\"：＃␕ω␊＠τκcλ␅a\x1b[\x02FGυ\v␔\x0eQ＼Ｕ.#",
		out:  "．.Ｇ\"：＃‛␕ω‛␊＠τκcλ‛␅a␛[␂FGυ␋‛␔␎Q＼Ｕ.#",
	}, { // 4153
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "．.Ｇ\"：＃␕ω␊＠τκcλ␅a\x1b[\x02FGυ\v␔\x0eQ＼Ｕ.#",
		out:  "‛．.Ｇ\"：＃‛␕ω‛␊＠τκcλ‛␅a␛[␂FGυ␋‛␔␎Q＼Ｕ.#",
	}, { // 4154
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "＜.Ｇ\"：＃␕ω␊＠τκcλ␅a\x1b[\x02FGυ\v␔\x0eQ＼Ｕ..",
		out:  "＜.Ｇ\"：＃‛␕ω‛␊＠τκcλ‛␅a␛[␂FGυ␋‛␔␎Q＼Ｕ.．",
	}, { // 4155
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftPeriod,
		in:   "＜.Ｇ\"：＃␕ω␊＠τκcλ␅a\x1b[\x02FGυ\v␔\x0eQ＼Ｕ.．",
		out:  "＜.Ｇ\"：＃‛␕ω‛␊＠τκcλ‛␅a␛[␂FGυ␋‛␔␎Q＼Ｕ.‛．",
	}, { // 4156
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~／ｍ\x17\x0eo｝/\n␟δε＄!W{ｄκ［ＰＱBφεψ＝␐~␄",
		out:  ".~／ｍ\x17\x0eo｝/\n␟δε＄!W{ｄκ［ＰＱBφεψ＝␐~␄",
	}, { // 4157
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~／ｍ\x17\x0eo｝/\n␟δε＄!W{ｄκ［ＰＱBφεψ＝␐~␄",
		out:  "．~／ｍ\x17\x0eo｝/\n␟δε＄!W{ｄκ［ＰＱBφεψ＝␐~␄",
	}, { // 4158
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x02~／ｍ\x17\x0eo｝/\n␟δε＄!W{ｄκ［ＰＱBφεψ＝␐~.",
		out:  "\x02~／ｍ\x17\x0eo｝/\n␟δε＄!W{ｄκ［ＰＱBφεψ＝␐~．",
	}, { // 4159
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x02~／ｍ\x17\x0eo｝/\n␟δε＄!W{ｄκ［ＰＱBφεψ＝␐~．",
		out:  "\x02~／ｍ\x17\x0eo｝/\n␟δε＄!W{ｄκ［ＰＱBφεψ＝␐~‛．",
	}, { // 4160
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~^q４\x1eς␛e2ξｆ．␉\x17ζ|␐λ；\a\x03m\x1dｊ␃␇␏~ψ",
		out:  ".~^q４\x1eς␛e2ξｆ．␉\x17ζ|␐λ；\a\x03m\x1dｊ␃␇␏~ψ",
	}, { // 4161
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~^q４\x1eς␛e2ξｆ．␉\x17ζ|␐λ；\a\x03m\x1dｊ␃␇␏~ψ",
		out:  "．~^q４\x1eς␛e2ξｆ．␉\x17ζ|␐λ；\a\x03m\x1dｊ␃␇␏~ψ",
	}, { // 4162
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "（~^q４\x1eς␛e2ξｆ．␉\x17ζ|␐λ；\a\x03m\x1dｊ␃␇␏~.",
		out:  "（~^q４\x1eς␛e2ξｆ．␉\x17ζ|␐λ；\a\x03m\x1dｊ␃␇␏~．",
	}, { // 4163
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "（~^q４\x1eς␛e2ξｆ．␉\x17ζ|␐λ；\a\x03m\x1dｊ␃␇␏~．",
		out:  "（~^q４\x1eς␛e2ξｆ．␉\x17ζ|␐λ；\a\x03m\x1dｊ␃␇␏~‛．",
	}, { // 4164
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~Ｋκ<／υ/\"ακ␗^;３χｓ\x1f\x16\x10＃［␟␋\x11 ＂ξ~A",
		out:  ".~Ｋκ<／υ/\"ακ␗^;３χｓ\x1f\x16\x10＃［␟␋\x11 ＂ξ~A",
	}, { // 4165
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~Ｋκ<／υ/\"ακ␗^;３χｓ\x1f\x16\x10＃［␟␋\x11 ＂ξ~A",
		out:  "．~Ｋκ<／υ/\"ακ␗^;３χｓ\x1f\x16\x10＃［␟␋\x11 ＂ξ~A",
	}, { // 4166
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␀~Ｋκ<／υ/\"ακ␗^;３χｓ\x1f\x16\x10＃［␟␋\x11 ＂ξ~.",
		out:  "‛␀~Ｋκ<／υ/\"ακ␗^;３χｓ\x1f\x16\x10＃［␟␋\x11 ＂ξ~．",
	}, { // 4167
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␀~Ｋκ<／υ/\"ακ␗^;３χｓ\x1f\x16\x10＃［␟␋\x11 ＂ξ~．",
		out:  "‛␀~Ｋκ<／υ/\"ακ␗^;３χｓ\x1f\x16\x10＃［␟␋\x11 ＂ξ~‛．",
	}, { // 4168
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~\f`：＼Ｉ`>ς？␟ｖ］\x1eη=;＾W␀|？ｄＹχ$/~λ",
		out:  ".~\f｀：＼Ｉ｀>ς？␟ｖ］\x1eη=;＾W‛␀|？ｄＹχ$/~λ",
	}, { // 4169
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~\f`：＼Ｉ`>ς？␟ｖ］\x1eη=;＾W␀|？ｄＹχ$/~λ",
		out:  "．~\f｀：＼Ｉ｀>ς？␟ｖ］\x1eη=;＾W‛␀|？ｄＹχ$/~λ",
	}, { // 4170
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "c~\f`：＼Ｉ`>ς？␟ｖ］\x1eη=;＾W␀|？ｄＹχ$/~.",
		out:  "c~\f｀：＼Ｉ｀>ς？␟ｖ］\x1eη=;＾W‛␀|？ｄＹχ$/~．",
	}, { // 4171
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "c~\f`：＼Ｉ`>ς？␟ｖ］\x1eη=;＾W␀|？ｄＹχ$/~．",
		out:  "c~\f｀：＼Ｉ｀>ς？␟ｖ］\x1eη=;＾W‛␀|？ｄＹχ$/~‛．",
	}, { // 4172
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~`␂?:Pδ｜\x1bμ８ｋ［（\x1c\u007f\x02␗ｍ=zυγ％ε=:~␃",
		out:  ".~`␂?:Pδ｜\x1bμ８ｋ［（\x1c\u007f\x02␗ｍ=zυγ％ε=:~␃",
	}, { // 4173
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~`␂?:Pδ｜\x1bμ８ｋ［（\x1c\u007f\x02␗ｍ=zυγ％ε=:~␃",
		out:  "．~`␂?:Pδ｜\x1bμ８ｋ［（\x1c\u007f\x02␗ｍ=zυγ％ε=:~␃",
	}, { // 4174
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftTilde,
		in:   "υ~`␂?:Pδ｜\x1bμ８ｋ［（\x1c\u007f\x02␗ｍ=zυγ％ε=:~.",
		out:  "υ~`␂?:Pδ｜\x1bμ８ｋ［（\x1c\u007f\x02␗ｍ=zυγ％ε=:~．",
	}, { // 4175
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftTilde,
		in:   "υ~`␂?:Pδ｜\x1bμ８ｋ［（\x1c\u007f\x02␗ｍ=zυγ％ε=:~．",
		out:  "υ~`␂?:Pδ｜\x1bμ８ｋ［（\x1c\u007f\x02␗ｍ=zυγ％ε=:~‛．",
	}, { // 4176
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~ρ␏␓|L＼OＷ}%\x05␗κ␌ｙλ＜`；\x1eη＄ζ＃&\x06~\x15",
		out:  ".~ρ␏␓|L＼OＷ}%\x05␗κ␌ｙλ＜`；\x1eη＄ζ＃&\x06~\x15",
	}, { // 4177
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~ρ␏␓|L＼OＷ}%\x05␗κ␌ｙλ＜`；\x1eη＄ζ＃&\x06~\x15",
		out:  "．~ρ␏␓|L＼OＷ}%\x05␗κ␌ｙλ＜`；\x1eη＄ζ＃&\x06~\x15",
	}, { // 4178
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftTilde,
		in:   "！~ρ␏␓|L＼OＷ}%\x05␗κ␌ｙλ＜`；\x1eη＄ζ＃&\x06~.",
		out:  "！~ρ␏␓|L＼OＷ}%\x05␗κ␌ｙλ＜`；\x1eη＄ζ＃&\x06~．",
	}, { // 4179
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftTilde,
		in:   "！~ρ␏␓|L＼OＷ}%\x05␗κ␌ｙλ＜`；\x1eη＄ζ＃&\x06~．",
		out:  "！~ρ␏␓|L＼OＷ}%\x05␗κ␌ｙλ＜`；\x1eη＄ζ＃&\x06~‛．",
	}, { // 4180
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~(χｙς#λ␗\x0eｅU␖ξT9ε␊ｏ＆␎\x02\x0e＠o＜λｑ~J",
		out:  ".~(χｙς#λ␗\x0eｅU␖ξT9ε␊ｏ＆␎\x02\x0e＠o＜λｑ~J",
	}, { // 4181
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~(χｙς#λ␗\x0eｅU␖ξT9ε␊ｏ＆␎\x02\x0e＠o＜λｑ~J",
		out:  "．~(χｙς#λ␗\x0eｅU␖ξT9ε␊ｏ＆␎\x02\x0e＠o＜λｑ~J",
	}, { // 4182
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x0f~(χｙς#λ␗\x0eｅU␖ξT9ε␊ｏ＆␎\x02\x0e＠o＜λｑ~.",
		out:  "\x0f~(χｙς#λ␗\x0eｅU␖ξT9ε␊ｏ＆␎\x02\x0e＠o＜λｑ~．",
	}, { // 4183
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\x0f~(χｙς#λ␗\x0eｅU␖ξT9ε␊ｏ＆␎\x02\x0e＠o＜λｑ~．",
		out:  "\x0f~(χｙς#λ␗\x0eｅU␖ξT9ε␊ｏ＆␎\x02\x0e＠o＜λｑ~‛．",
	}, { // 4184
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~␕h␄␚γfzI/πｍＶ＆ｄ_/@\x17／χκ\x10\u007f］ξ＃~\x12",
		out:  ".~␕h␄␚γfzI/πｍＶ＆ｄ_/@\x17／χκ\x10\u007f］ξ＃~\x12",
	}, { // 4185
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~␕h␄␚γfzI/πｍＶ＆ｄ_/@\x17／χκ\x10\u007f］ξ＃~\x12",
		out:  "．~␕h␄␚γfzI/πｍＶ＆ｄ_/@\x17／χκ\x10\u007f］ξ＃~\x12",
	}, { // 4186
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ｃ~␕h␄␚γfzI/πｍＶ＆ｄ_/@\x17／χκ\x10\u007f］ξ＃~.",
		out:  "ｃ~␕h␄␚γfzI/πｍＶ＆ｄ_/@\x17／χκ\x10\u007f］ξ＃~．",
	}, { // 4187
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ｃ~␕h␄␚γfzI/πｍＶ＆ｄ_/@\x17／χκ\x10\u007f］ξ＃~．",
		out:  "ｃ~␕h␄␚γfzI/πｍＶ＆ｄ_/@\x17／χκ\x10\u007f］ξ＃~‛．",
	}, { // 4188
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~!γq\x16]`$␍g\b～␅γ\x1eＹ␑βγ*␐＝ｇ␆Ｍ＄μ~＃",
		out:  ".~!γq\x16]`$␍g\b～␅γ\x1eＹ␑βγ*␐＝ｇ␆Ｍ＄μ~＃",
	}, { // 4189
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~!γq\x16]`$␍g\b～␅γ\x1eＹ␑βγ*␐＝ｇ␆Ｍ＄μ~＃",
		out:  "．~!γq\x16]`$␍g\b～␅γ\x1eＹ␑βγ*␐＝ｇ␆Ｍ＄μ~＃",
	}, { // 4190
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\f~!γq\x16]`$␍g\b～␅γ\x1eＹ␑βγ*␐＝ｇ␆Ｍ＄μ~.",
		out:  "\f~!γq\x16]`$␍g\b～␅γ\x1eＹ␑βγ*␐＝ｇ␆Ｍ＄μ~．",
	}, { // 4191
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftTilde,
		in:   "\f~!γq\x16]`$␍g\b～␅γ\x1eＹ␑βγ*␐＝ｇ␆Ｍ＄μ~．",
		out:  "\f~!γq\x16]`$␍g\b～␅γ\x1eＹ␑βγ*␐＝ｇ␆Ｍ＄μ~‛．",
	}, { // 4192
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~␗q＊θο２Ｖ\"7λ␍χ␅/｀ααＣq\f\x1dｙ＞#ｇ(~␍",
		out:  ".~␗q＊θο２Ｖ\"7λ␍χ␅/｀ααＣq\f\x1dｙ＞#ｇ(~␍",
	}, { // 4193
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~␗q＊θο２Ｖ\"7λ␍χ␅/｀ααＣq\f\x1dｙ＞#ｇ(~␍",
		out:  "．~␗q＊θο２Ｖ\"7λ␍χ␅/｀ααＣq\f\x1dｙ＞#ｇ(~␍",
	}, { // 4194
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "Z~␗q＊θο２Ｖ\"7λ␍χ␅/｀ααＣq\f\x1dｙ＞#ｇ(~.",
		out:  "Z~␗q＊θο２Ｖ\"7λ␍χ␅/｀ααＣq\f\x1dｙ＞#ｇ(~．",
	}, { // 4195
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftTilde,
		in:   "Z~␗q＊θο２Ｖ\"7λ␍χ␅/｀ααＣq\f\x1dｙ＞#ｇ(~．",
		out:  "Z~␗q＊θο２Ｖ\"7λ␍χ␅/｀ααＣq\f\x1dｙ＞#ｇ(~‛．",
	}, { // 4196
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~[\u007f＜ｎrＡ␇<＃ς␏\\␝γυ\vj>␋ｈοωＵ\\`␗~y",
		out:  ".~[\u007f＜ｎrＡ␇<＃ς␏\\␝γυ\vj>␋ｈοωＵ\\`␗~y",
	}, { // 4197
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~[\u007f＜ｎrＡ␇<＃ς␏\\␝γυ\vj>␋ｈοωＵ\\`␗~y",
		out:  "．~[\u007f＜ｎrＡ␇<＃ς␏\\␝γυ\vj>␋ｈοωＵ\\`␗~y",
	}, { // 4198
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftTilde,
		in:   "／~[\u007f＜ｎrＡ␇<＃ς␏\\␝γυ\vj>␋ｈοωＵ\\`␗~.",
		out:  "／~[\u007f＜ｎrＡ␇<＃ς␏\\␝γυ\vj>␋ｈοωＵ\\`␗~．",
	}, { // 4199
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftTilde,
		in:   "／~[\u007f＜ｎrＡ␇<＃ς␏\\␝γυ\vj>␋ｈοωＵ\\`␗~．",
		out:  "／~[\u007f＜ｎrＡ␇<＃ς␏\\␝γυ\vj>␋ｈοωＵ\\`␗~‛．",
	}, { // 4200
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~γ\a␅～ｓ\x1e␝0ｒτ␏8\x10&+υ␝UqＲ\r␇＊Ｉδ\r~<",
		out:  ".~γ\a␅～ｓ\x1e␝0ｒτ␏8\x10&+υ␝UqＲ\r␇‛＊Ｉδ\r~<",
	}, { // 4201
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~γ\a␅～ｓ\x1e␝0ｒτ␏8\x10&+υ␝UqＲ\r␇＊Ｉδ\r~<",
		out:  "．~γ\a␅～ｓ\x1e␝0ｒτ␏8\x10&+υ␝UqＲ\r␇‛＊Ｉδ\r~<",
	}, { // 4202
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␃~γ\a␅～ｓ\x1e␝0ｒτ␏8\x10&+υ␝UqＲ\r␇＊Ｉδ\r~.",
		out:  "␃~γ\a␅～ｓ\x1e␝0ｒτ␏8\x10&+υ␝UqＲ\r␇‛＊Ｉδ\r~．",
	}, { // 4203
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftTilde,
		in:   "␃~γ\a␅～ｓ\x1e␝0ｒτ␏8\x10&+υ␝UqＲ\r␇＊Ｉδ\r~．",
		out:  "␃~γ\a␅～ｓ\x1e␝0ｒτ␏8\x10&+υ␝UqＲ\r␇‛＊Ｉδ\r~‛．",
	}, { // 4204
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~{｀τ␒Hγ１σ␁ξυoι3\x04␔ｖ\x04\x17\x19Ｕ␊\vｏ\n␀~B",
		out:  ".~{｀τ␒Hγ１σ␁ξυoι3\x04␔ｖ\x04\x17\x19Ｕ␊\vｏ\n‛␀~B",
	}, { // 4205
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~{｀τ␒Hγ１σ␁ξυoι3\x04␔ｖ\x04\x17\x19Ｕ␊\vｏ\n␀~B",
		out:  "．~{｀τ␒Hγ１σ␁ξυoι3\x04␔ｖ\x04\x17\x19Ｕ␊\vｏ\n‛␀~B",
	}, { // 4206
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftTilde,
		in:   "Ｏ~{｀τ␒Hγ１σ␁ξυoι3\x04␔ｖ\x04\x17\x19Ｕ␊\vｏ\n␀~.",
		out:  "Ｏ~{｀τ␒Hγ１σ␁ξυoι3\x04␔ｖ\x04\x17\x19Ｕ␊\vｏ\n‛␀~．",
	}, { // 4207
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftTilde,
		in:   "Ｏ~{｀τ␒Hγ１σ␁ξυoι3\x04␔ｖ\x04\x17\x19Ｕ␊\vｏ\n␀~．",
		out:  "Ｏ~{｀τ␒Hγ１σ␁ξυoι3\x04␔ｖ\x04\x17\x19Ｕ␊\vｏ\n‛␀~‛．",
	}, { // 4208
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~␎␆＜ｕδＭｎ␂'ς\r␈V\x1f?z［\x10|N＋v'␎\x1aθ~Ｃ",
		out:  ".~␎␆＜ｕδＭｎ␂'ς\r␈V\x1f?z［\x10|N＋v'␎\x1aθ~Ｃ",
	}, { // 4209
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~␎␆＜ｕδＭｎ␂'ς\r␈V\x1f?z［\x10|N＋v'␎\x1aθ~Ｃ",
		out:  "．~␎␆＜ｕδＭｎ␂'ς\r␈V\x1f?z［\x10|N＋v'␎\x1aθ~Ｃ",
	}, { // 4210
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "τ~␎␆＜ｕδＭｎ␂'ς\r␈V\x1f?z［\x10|N＋v'␎\x1aθ~.",
		out:  "τ~␎␆＜ｕδＭｎ␂'ς\r␈V\x1f?z［\x10|N＋v'␎\x1aθ~．",
	}, { // 4211
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "τ~␎␆＜ｕδＭｎ␂'ς\r␈V\x1f?z［\x10|N＋v'␎\x1aθ~．",
		out:  "τ~␎␆＜ｕδＭｎ␂'ς\r␈V\x1f?z［\x10|N＋v'␎\x1aθ~‛．",
	}, { // 4212
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~\t␐`%ｌwｓ&＞\x12␍/\x1e\x01＄\x18％ξυ>χｊＯ␑iｆ~χ",
		out:  ".~\t␐`％ｌwｓ&＞\x12␍/\x1e\x01＄\x18‛％ξυ>χｊＯ␑iｆ~χ",
	}, { // 4213
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~\t␐`%ｌwｓ&＞\x12␍/\x1e\x01＄\x18％ξυ>χｊＯ␑iｆ~χ",
		out:  "．~\t␐`％ｌwｓ&＞\x12␍/\x1e\x01＄\x18‛％ξυ>χｊＯ␑iｆ~χ",
	}, { // 4214
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftTilde,
		in:   "β~\t␐`%ｌwｓ&＞\x12␍/\x1e\x01＄\x18％ξυ>χｊＯ␑iｆ~.",
		out:  "β~\t␐`％ｌwｓ&＞\x12␍/\x1e\x01＄\x18‛％ξυ>χｊＯ␑iｆ~．",
	}, { // 4215
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftTilde,
		in:   "β~\t␐`%ｌwｓ&＞\x12␍/\x1e\x01＄\x18％ξυ>χｊＯ␑iｆ~．",
		out:  "β~\t␐`％ｌwｓ&＞\x12␍/\x1e\x01＄\x18‛％ξυ>χｊＯ␑iｆ~‛．",
	}, { // 4216
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~S%\x12χτｍS？＾␊V\x01ｚηυ[rwζ\"＊␄，～␛＂~:",
		out:  ".~S%\x12χτｍS？＾␊V\x01ｚηυ[rwζ\"＊␄，～␛＂~:",
	}, { // 4217
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~S%\x12χτｍS？＾␊V\x01ｚηυ[rwζ\"＊␄，～␛＂~:",
		out:  "．~S%\x12χτｍS？＾␊V\x01ｚηυ[rwζ\"＊␄，～␛＂~:",
	}, { // 4218
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ψ~S%\x12χτｍS？＾␊V\x01ｚηυ[rwζ\"＊␄，～␛＂~.",
		out:  "ψ~S%\x12χτｍS？＾␊V\x01ｚηυ[rwζ\"＊␄，～␛＂~．",
	}, { // 4219
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ψ~S%\x12χτｍS？＾␊V\x01ｚηυ[rwζ\"＊␄，～␛＂~．",
		out:  "ψ~S%\x12χτｍS？＾␊V\x01ｚηυ[rwζ\"＊␄，～␛＂~‛．",
	}, { // 4220
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~ＭψηQσ８␍δξｍ1\a{␃Ｃ\"＞χ～\x1a*\x10␚\t\\%~＄",
		out:  ".~ＭψηQσ８‛␍δξｍ1\a{␃Ｃ\"＞χ～\x1a*\x10␚\t\\%~＄",
	}, { // 4221
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~ＭψηQσ８␍δξｍ1\a{␃Ｃ\"＞χ～\x1a*\x10␚\t\\%~＄",
		out:  "．~ＭψηQσ８‛␍δξｍ1\a{␃Ｃ\"＞χ～\x1a*\x10␚\t\\%~＄",
	}, { // 4222
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftTilde,
		in:   "%~ＭψηQσ８␍δξｍ1\a{␃Ｃ\"＞χ～\x1a*\x10␚\t\\%~.",
		out:  "%~ＭψηQσ８‛␍δξｍ1\a{␃Ｃ\"＞χ～\x1a*\x10␚\t\\%~．",
	}, { // 4223
		mask: EncodeCrLf | EncodeRightPeriod | EncodeLeftTilde,
		in:   "%~ＭψηQσ８␍δξｍ1\a{␃Ｃ\"＞χ～\x1a*\x10␚\t\\%~．",
		out:  "%~ＭψηQσ８‛␍δξｍ1\a{␃Ｃ\"＞χ～\x1a*\x10␚\t\\%~‛．",
	}, { // 4224
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~,\u007fυ:２ψｍρτ␙\x01|[｀λ＂+␖ｌυ\x14A=ｋ\\＃~＄",
		out:  ".~,␡υ:２ψｍρτ␙\x01|[｀λ＂+␖ｌυ\x14A=ｋ\\＃~＄",
	}, { // 4225
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~,\u007fυ:２ψｍρτ␙\x01|[｀λ＂+␖ｌυ\x14A=ｋ\\＃~＄",
		out:  "．~,␡υ:２ψｍρτ␙\x01|[｀λ＂+␖ｌυ\x14A=ｋ\\＃~＄",
	}, { // 4226
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ｇ~,\u007fυ:２ψｍρτ␙\x01|[｀λ＂+␖ｌυ\x14A=ｋ\\＃~.",
		out:  "ｇ~,␡υ:２ψｍρτ␙\x01|[｀λ＂+␖ｌυ\x14A=ｋ\\＃~．",
	}, { // 4227
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftTilde,
		in:   "ｇ~,\u007fυ:２ψｍρτ␙\x01|[｀λ＂+␖ｌυ\x14A=ｋ\\＃~．",
		out:  "ｇ~,␡υ:２ψｍρτ␙\x01|[｀λ＂+␖ｌυ\x14A=ｋ\\＃~‛．",
	}, { // 4228
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftTilde,
		in:   ".~hψcσ,；φ＠kμ:/␞␉\nｓ？μ＃＼/\b＄Ｎ't~Ｒ",
		out:  ".~hψcσ,；φ＠kμ:/‛␞‛␉␊ｓ？μ＃＼/␈＄Ｎ't~Ｒ",
	}, { // 4229
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftTilde,
		in:   "．~hψcσ,；φ＠kμ:/␞␉\nｓ？μ＃＼/\b＄Ｎ't~Ｒ",
		out:  "．~hψcσ,；φ＠kμ:/‛␞‛␉␊ｓ？μ＃＼/␈＄Ｎ't~Ｒ",
	}, { // 4230
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftTilde,
		in:   "／~hψcσ,；φ＠kμ:/␞␉\nｓ？μ＃＼/\b＄Ｎ't~.",
		out:  "／~hψcσ,；φ＠kμ:/‛␞‛␉␊ｓ？μ＃＼/␈＄Ｎ't~．",
	}, { // 4231
		mask: EncodeCtl | EncodeRightPeriod | EncodeLeftTilde,
		in:   "／~hψcσ,；φ＠kμ:/␞␉\nｓ？μ＃＼/\b＄Ｎ't~．",
		out:  "／~hψcσ,；φ＠kμ:/‛␞‛␉␊ｓ？μ＃＼/␈＄Ｎ't~‛．",
	}, { // 4232
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\t\r",
		out:  ".\tυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\t\r",
	}, { // 4233
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\t\r",
		out:  "．\tυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\t\r",
	}, { // 4234
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\n\r",
		out:  ".\nυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\n\r",
	}, { // 4235
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\n\r",
		out:  "．\nυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\n\r",
	}, { // 4236
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\v\r",
		out:  ".\vυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\v\r",
	}, { // 4237
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\v\r",
		out:  "．\vυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\v\r",
	}, { // 4238
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\r\r",
		out:  ".\rυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\r\r",
	}, { // 4239
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\r\r",
		out:  "．\rυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\r\r",
	}, { // 4240
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\tυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\t.",
		out:  "ａ\tυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\t．",
	}, { // 4241
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\tυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\t．",
		out:  "ａ\tυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\t‛．",
	}, { // 4242
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\nυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\n.",
		out:  "ａ\nυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\n．",
	}, { // 4243
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\nυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\n．",
		out:  "ａ\nυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\n‛．",
	}, { // 4244
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\vυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\v.",
		out:  "ａ\vυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\v．",
	}, { // 4245
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\vυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\v．",
		out:  "ａ\vυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\v‛．",
	}, { // 4246
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\rυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\r.",
		out:  "ａ\rυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\r．",
	}, { // 4247
		mask: EncodeZero | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ａ\rυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\r．",
		out:  "ａ\rυθz＞␚uψ＃;θ\x14\x1eｕＱ\rδ␡Kψa␕iｅＲ␙[\r‛．",
	}, { // 4248
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\t␞",
		out:  ".\t␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\t␞",
	}, { // 4249
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\t␞",
		out:  "．\t␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\t␞",
	}, { // 4250
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\n␞",
		out:  ".\n␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\n␞",
	}, { // 4251
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\n␞",
		out:  "．\n␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\n␞",
	}, { // 4252
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\v␞",
		out:  ".\v␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\v␞",
	}, { // 4253
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\v␞",
		out:  "．\v␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\v␞",
	}, { // 4254
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\r␞",
		out:  ".\r␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\r␞",
	}, { // 4255
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\r␞",
		out:  "．\r␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\r␞",
	}, { // 4256
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\t␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\t.",
		out:  "␛\t␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\t．",
	}, { // 4257
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\t␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\t．",
		out:  "␛\t␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\t‛．",
	}, { // 4258
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\n␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\n.",
		out:  "␛\n␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\n．",
	}, { // 4259
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\n␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\n．",
		out:  "␛\n␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\n‛．",
	}, { // 4260
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\v␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\v.",
		out:  "␛\v␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\v．",
	}, { // 4261
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\v␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\v．",
		out:  "␛\v␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\v‛．",
	}, { // 4262
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\r␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\r.",
		out:  "␛\r␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\r．",
	}, { // 4263
		mask: EncodeSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\r␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\r．",
		out:  "␛\r␌␇πｕ␛－ｔσｚyyε\x14␎［Ｌω\vη$*\x141\\δ6\r‛．",
	}, { // 4264
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\t？",
		out:  ".\tδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\t？",
	}, { // 4265
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\t？",
		out:  "．\tδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\t？",
	}, { // 4266
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\n？",
		out:  ".\nδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\n？",
	}, { // 4267
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\n？",
		out:  "．\nδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\n？",
	}, { // 4268
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\v？",
		out:  ".\vδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\v？",
	}, { // 4269
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\v？",
		out:  "．\vδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\v？",
	}, { // 4270
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\r？",
		out:  ".\rδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\r？",
	}, { // 4271
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\r？",
		out:  "．\rδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\r？",
	}, { // 4272
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\uff00\tδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\t.",
		out:  "\uff00\tδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\t．",
	}, { // 4273
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\uff00\tδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\t．",
		out:  "\uff00\tδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\t‛．",
	}, { // 4274
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\uff00\nδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\n.",
		out:  "\uff00\nδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\n．",
	}, { // 4275
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\uff00\nδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\n．",
		out:  "\uff00\nδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\n‛．",
	}, { // 4276
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\uff00\vδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\v.",
		out:  "\uff00\vδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\v．",
	}, { // 4277
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\uff00\vδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\v．",
		out:  "\uff00\vδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\v‛．",
	}, { // 4278
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\uff00\rδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\r.",
		out:  "\uff00\rδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\r．",
	}, { // 4279
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\uff00\rδ\n\x00ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\r．",
		out:  "\uff00\rδ\n␀ｋ<η␔ｍ8ε\x04Ｘ.σCZ６ξ#␉\x04=&ξ␊；\r‛．",
	}, { // 4280
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\tς",
		out:  ".\t\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\tς",
	}, { // 4281
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\tς",
		out:  "．\t\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\tς",
	}, { // 4282
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\nς",
		out:  ".\n\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\nς",
	}, { // 4283
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\nς",
		out:  "．\n\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\nς",
	}, { // 4284
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\vς",
		out:  ".\v\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\vς",
	}, { // 4285
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\vς",
		out:  "．\v\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\vς",
	}, { // 4286
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\rς",
		out:  ".\r\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\rς",
	}, { // 4287
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\rς",
		out:  "．\r\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\rς",
	}, { // 4288
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "m\t\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\t.",
		out:  "m\t\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\t．",
	}, { // 4289
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "m\t\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\t．",
		out:  "m\t\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\t‛．",
	}, { // 4290
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "m\n\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\n.",
		out:  "m\n\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\n．",
	}, { // 4291
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "m\n\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\n．",
		out:  "m\n\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\n‛．",
	}, { // 4292
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "m\v\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\v.",
		out:  "m\v\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\v．",
	}, { // 4293
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "m\v\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\v．",
		out:  "m\v\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\v‛．",
	}, { // 4294
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "m\r\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\r.",
		out:  "m\r\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\r．",
	}, { // 4295
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "m\r\x118θ＄[｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\r．",
		out:  "m\r\x118θ＄[‛｀Ｊηα@:＊Ｐςυ␘T＋/␕Ｓ]%？\x1b/\r‛．",
	}, { // 4296
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\t`",
		out:  ".\tｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\t`",
	}, { // 4297
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\t`",
		out:  "．\tｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\t`",
	}, { // 4298
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\n`",
		out:  ".\nｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\n`",
	}, { // 4299
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\n`",
		out:  "．\nｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\n`",
	}, { // 4300
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\v`",
		out:  ".\vｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\v`",
	}, { // 4301
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\v`",
		out:  "．\vｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\v`",
	}, { // 4302
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\r`",
		out:  ".\rｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\r`",
	}, { // 4303
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\r`",
		out:  "．\rｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\r`",
	}, { // 4304
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\tｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\t.",
		out:  "\b\tｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\t．",
	}, { // 4305
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\tｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\t．",
		out:  "\b\tｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\t‛．",
	}, { // 4306
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\nｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\n.",
		out:  "\b\nｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\n．",
	}, { // 4307
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\nｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\n．",
		out:  "\b\nｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\n‛．",
	}, { // 4308
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\vｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\v.",
		out:  "\b\vｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\v．",
	}, { // 4309
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\vｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\v．",
		out:  "\b\vｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\v‛．",
	}, { // 4310
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\rｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\r.",
		out:  "\b\rｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\r．",
	}, { // 4311
		mask: EncodeLtGt | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\b\rｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\r．",
		out:  "\b\rｕς␐CＯθυαND\x17？␓␃／7\\\x0fＴ[]γ\uff00\tλｅ\r‛．",
	}, { // 4312
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\tκ",
		out:  ".\t␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\tκ",
	}, { // 4313
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\tκ",
		out:  "．\t␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\tκ",
	}, { // 4314
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\nκ",
		out:  ".\n␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\nκ",
	}, { // 4315
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\nκ",
		out:  "．\n␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\nκ",
	}, { // 4316
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\vκ",
		out:  ".\v␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\vκ",
	}, { // 4317
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\vκ",
		out:  "．\v␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\vκ",
	}, { // 4318
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\rκ",
		out:  ".\r␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\rκ",
	}, { // 4319
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\rκ",
		out:  "．\r␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\rκ",
	}, { // 4320
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\t␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\t.",
		out:  "␛\t␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\t．",
	}, { // 4321
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\t␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\t．",
		out:  "␛\t␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\t‛．",
	}, { // 4322
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\n␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\n.",
		out:  "␛\n␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\n．",
	}, { // 4323
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\n␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\n．",
		out:  "␛\n␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\n‛．",
	}, { // 4324
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\v␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\v.",
		out:  "␛\v␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\v．",
	}, { // 4325
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\v␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\v．",
		out:  "␛\v␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\v‛．",
	}, { // 4326
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\r␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\r.",
		out:  "␛\r␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\r．",
	}, { // 4327
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␛\r␝B␂␘lγ\n␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\r．",
		out:  "␛\r␝B␂␘lγ\n‛␀ψｚＭ>%␈M\x16\x02O*ξ（＇χ？0；\r‛．",
	}, { // 4328
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\tψ",
		out:  ".\t\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\tψ",
	}, { // 4329
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\tψ",
		out:  "．\t\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\tψ",
	}, { // 4330
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\nψ",
		out:  ".\n\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\nψ",
	}, { // 4331
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\nψ",
		out:  "．\n\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\nψ",
	}, { // 4332
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\vψ",
		out:  ".\v\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\vψ",
	}, { // 4333
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\vψ",
		out:  "．\v\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\vψ",
	}, { // 4334
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\rψ",
		out:  ".\r\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\rψ",
	}, { // 4335
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\rψ",
		out:  "．\r\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\rψ",
	}, { // 4336
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "=\t\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\t.",
		out:  "=\t\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\t．",
	}, { // 4337
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "=\t\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\t．",
		out:  "=\t\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\t‛．",
	}, { // 4338
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "=\n\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\n.",
		out:  "=\n\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\n．",
	}, { // 4339
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "=\n\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\n．",
		out:  "=\n\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\n‛．",
	}, { // 4340
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "=\v\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\v.",
		out:  "=\v\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\v．",
	}, { // 4341
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "=\v\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\v．",
		out:  "=\v\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\v‛．",
	}, { // 4342
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "=\r\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\r.",
		out:  "=\r\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\r．",
	}, { // 4343
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "=\r\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\r．",
		out:  "=\r\x06［8/␌[.`U␁ｒ/ｂvτ＇ξωγT\x05＇␚＇＾␇\r‛．",
	}, { // 4344
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\t＃",
		out:  ".\t\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\t＃",
	}, { // 4345
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\t＃",
		out:  "．\t\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\t＃",
	}, { // 4346
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\n＃",
		out:  ".\n\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\n＃",
	}, { // 4347
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\n＃",
		out:  "．\n\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\n＃",
	}, { // 4348
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\v＃",
		out:  ".\v\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\v＃",
	}, { // 4349
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\v＃",
		out:  "．\v\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\v＃",
	}, { // 4350
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\r＃",
		out:  ".\r\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\r＃",
	}, { // 4351
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\r＃",
		out:  "．\r\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\r＃",
	}, { // 4352
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＿\t\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\t.",
		out:  "＿\t\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\t．",
	}, { // 4353
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＿\t\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\t．",
		out:  "＿\t\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\t‛．",
	}, { // 4354
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＿\n\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\n.",
		out:  "＿\n\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\n．",
	}, { // 4355
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＿\n\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\n．",
		out:  "＿\n\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\n‛．",
	}, { // 4356
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＿\v\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\v.",
		out:  "＿\v\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\v．",
	}, { // 4357
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＿\v\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\v．",
		out:  "＿\v\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\v‛．",
	}, { // 4358
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＿\r\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\r.",
		out:  "＿\r\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\r．",
	}, { // 4359
		mask: EncodeDollar | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "＿\r\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\r．",
		out:  "＿\r\uff00μ（;\r;ς\x19ο␎c>οε\x02`ｓ／2Ｂcωｇ＇␐｜\r‛．",
	}, { // 4360
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\t*",
		out:  ".\tFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\t*",
	}, { // 4361
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\t*",
		out:  "．\tFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\t*",
	}, { // 4362
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\n*",
		out:  ".\nFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\n*",
	}, { // 4363
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\n*",
		out:  "．\nFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\n*",
	}, { // 4364
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\v*",
		out:  ".\vFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\v*",
	}, { // 4365
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\v*",
		out:  "．\vFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\v*",
	}, { // 4366
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\r*",
		out:  ".\rFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\r*",
	}, { // 4367
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\r*",
		out:  "．\rFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\r*",
	}, { // 4368
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "D\tFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\t.",
		out:  "D\tFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\t．",
	}, { // 4369
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "D\tFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\t．",
		out:  "D\tFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\t‛．",
	}, { // 4370
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "D\nFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\n.",
		out:  "D\nFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\n．",
	}, { // 4371
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "D\nFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\n．",
		out:  "D\nFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\n‛．",
	}, { // 4372
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "D\vFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\v.",
		out:  "D\vFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\v．",
	}, { // 4373
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "D\vFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\v．",
		out:  "D\vFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\v‛．",
	}, { // 4374
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "D\rFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\r.",
		out:  "D\rFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\r．",
	}, { // 4375
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "D\rFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\r．",
		out:  "D\rFο\rι｀N␓μχγＧηｓｚ|ｖ\\␜A␏\x024Ｄ\x19８␞\r‛．",
	}, { // 4376
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\tH",
		out:  ".\t；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\tH",
	}, { // 4377
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\tH",
		out:  "．\t；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\tH",
	}, { // 4378
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\nH",
		out:  ".\n；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\nH",
	}, { // 4379
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\nH",
		out:  "．\n；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\nH",
	}, { // 4380
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\vH",
		out:  ".\v；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\vH",
	}, { // 4381
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\vH",
		out:  "．\v；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\vH",
	}, { // 4382
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\rH",
		out:  ".\r；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\rH",
	}, { // 4383
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\rH",
		out:  "．\r；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\rH",
	}, { // 4384
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\u007f\t；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\t.",
		out:  "\u007f\t；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\t．",
	}, { // 4385
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\u007f\t；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\t．",
		out:  "\u007f\t；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\t‛．",
	}, { // 4386
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\u007f\n；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\n.",
		out:  "\u007f\n；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\n．",
	}, { // 4387
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\u007f\n；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\n．",
		out:  "\u007f\n；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\n‛．",
	}, { // 4388
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\u007f\v；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\v.",
		out:  "\u007f\v；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\v．",
	}, { // 4389
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\u007f\v；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\v．",
		out:  "\u007f\v；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\v‛．",
	}, { // 4390
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\u007f\r；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\r.",
		out:  "\u007f\r；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\r．",
	}, { // 4391
		mask: EncodeColon | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "\u007f\r；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\r．",
		out:  "\u007f\r；＜\x04\aＫVτζb␜χW\x1cδeω]␋␘8`ψ！Ｚ１␃\r‛．",
	}, { // 4392
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\t＃",
		out:  ".\t% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\t＃",
	}, { // 4393
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\t＃",
		out:  "．\t% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\t＃",
	}, { // 4394
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\n＃",
		out:  ".\n% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\n＃",
	}, { // 4395
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\n＃",
		out:  "．\n% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\n＃",
	}, { // 4396
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\v＃",
		out:  ".\v% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\v＃",
	}, { // 4397
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\v＃",
		out:  "．\v% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\v＃",
	}, { // 4398
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\r＃",
		out:  ".\r% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\r＃",
	}, { // 4399
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\r＃",
		out:  "．\r% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\r＃",
	}, { // 4400
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\t% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\t.",
		out:  "？\t% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\t．",
	}, { // 4401
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\t% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\t．",
		out:  "？\t% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\t‛．",
	}, { // 4402
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\n% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\n.",
		out:  "？\n% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\n．",
	}, { // 4403
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\n% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\n．",
		out:  "？\n% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\n‛．",
	}, { // 4404
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\v% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\v.",
		out:  "？\v% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\v．",
	}, { // 4405
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\v% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\v．",
		out:  "？\v% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\v‛．",
	}, { // 4406
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\r% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\r.",
		out:  "？\r% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\r．",
	}, { // 4407
		mask: EncodeQuestion | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\r% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\r．",
		out:  "？\r% ␎\x16cι]ξ．␟s\x1b␜(ξθ`ιz␇＋＊α␗Ｇ＋\r‛．",
	}, { // 4408
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\t\x18",
		out:  ".\t<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\t\x18",
	}, { // 4409
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\t\x18",
		out:  "．\t<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\t\x18",
	}, { // 4410
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\n\x18",
		out:  ".\n<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\n\x18",
	}, { // 4411
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\n\x18",
		out:  "．\n<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\n\x18",
	}, { // 4412
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\v\x18",
		out:  ".\v<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\v\x18",
	}, { // 4413
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\v\x18",
		out:  "．\v<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\v\x18",
	}, { // 4414
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\r\x18",
		out:  ".\r<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\r\x18",
	}, { // 4415
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\r\x18",
		out:  "．\r<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\r\x18",
	}, { // 4416
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "β\t<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\t.",
		out:  "β\t<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\t．",
	}, { // 4417
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "β\t<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\t．",
		out:  "β\t<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\t‛．",
	}, { // 4418
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "β\n<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\n.",
		out:  "β\n<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\n．",
	}, { // 4419
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "β\n<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\n．",
		out:  "β\n<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\n‛．",
	}, { // 4420
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "β\v<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\v.",
		out:  "β\v<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\v．",
	}, { // 4421
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "β\v<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\v．",
		out:  "β\v<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\v‛．",
	}, { // 4422
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "β\r<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\r.",
		out:  "β\r<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\r．",
	}, { // 4423
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "β\r<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ*␎～＼｛n＃␊\r．",
		out:  "β\r<uθ[\rｌ\x19ＤξYκ］πμ\"`］Ｍ＊␎～＼｛n＃␊\r‛．",
	}, { // 4424
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\tμ",
		out:  ".\tａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\tμ",
	}, { // 4425
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\tμ",
		out:  "．\tａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\tμ",
	}, { // 4426
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\nμ",
		out:  ".\nａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\nμ",
	}, { // 4427
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\nμ",
		out:  "．\nａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\nμ",
	}, { // 4428
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\vμ",
		out:  ".\vａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\vμ",
	}, { // 4429
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\vμ",
		out:  "．\vａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\vμ",
	}, { // 4430
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\rμ",
		out:  ".\rａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\rμ",
	}, { // 4431
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\rμ",
		out:  "．\rａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\rμ",
	}, { // 4432
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␞\tａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\t.",
		out:  "␞\tａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\t．",
	}, { // 4433
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␞\tａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\t．",
		out:  "␞\tａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\t‛．",
	}, { // 4434
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␞\nａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\n.",
		out:  "␞\nａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\n．",
	}, { // 4435
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␞\nａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\n．",
		out:  "␞\nａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\n‛．",
	}, { // 4436
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␞\vａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\v.",
		out:  "␞\vａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\v．",
	}, { // 4437
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␞\vａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\v．",
		out:  "␞\vａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\v‛．",
	}, { // 4438
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␞\rａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\r.",
		out:  "␞\rａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\r．",
	}, { // 4439
		mask: EncodePipe | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "␞\rａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\r．",
		out:  "␞\rａz\x13'\x18\x02γI＞ｙ␞Ｅς＿１␅σςχ？␜r?ｇC\x04\r‛．",
	}, { // 4440
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\t␃",
		out:  ".\tr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\t␃",
	}, { // 4441
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\t␃",
		out:  "．\tr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\t␃",
	}, { // 4442
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\n␃",
		out:  ".\nr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\n␃",
	}, { // 4443
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\n␃",
		out:  "．\nr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\n␃",
	}, { // 4444
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\v␃",
		out:  ".\vr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\v␃",
	}, { // 4445
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\v␃",
		out:  "．\vr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\v␃",
	}, { // 4446
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\r␃",
		out:  ".\rr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\r␃",
	}, { // 4447
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\r␃",
		out:  "．\rr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\r␃",
	}, { // 4448
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\tr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\t.",
		out:  "/\tr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\t．",
	}, { // 4449
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\tr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\t．",
		out:  "/\tr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\t‛．",
	}, { // 4450
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\nr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\n.",
		out:  "/\nr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\n．",
	}, { // 4451
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\nr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\n．",
		out:  "/\nr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\n‛．",
	}, { // 4452
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\vr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\v.",
		out:  "/\vr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\v．",
	}, { // 4453
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\vr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\v．",
		out:  "/\vr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\v‛．",
	}, { // 4454
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\rr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\r.",
		out:  "/\rr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\r．",
	}, { // 4455
		mask: EncodeHash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "/\rr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\r．",
		out:  "/\rr␆Y%ｚ［:\v\x14ｌζ？／τ7ｈρπＲy%ω%φ␚␜\r‛．",
	}, { // 4456
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\tεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\tχ",
		out:  ".\tεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\tχ",
	}, { // 4457
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\tεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\tχ",
		out:  "．\tεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\tχ",
	}, { // 4458
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\nεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\nχ",
		out:  ".\nεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\nχ",
	}, { // 4459
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\nεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\nχ",
		out:  "．\nεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\nχ",
	}, { // 4460
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\vεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\vχ",
		out:  ".\vεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\vχ",
	}, { // 4461
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\vεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\vχ",
		out:  "．\vεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\vχ",
	}, { // 4462
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\rεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\rχ",
		out:  ".\rεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\rχ",
	}, { // 4463
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\rεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\rχ",
		out:  "．\rεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\rχ",
	}, { // 4464
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\tεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\t.",
		out:  "?\tεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\t．",
	}, { // 4465
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\tεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\t．",
		out:  "?\tεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\t‛．",
	}, { // 4466
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\nεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\n.",
		out:  "?\nεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\n．",
	}, { // 4467
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\nεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\n．",
		out:  "?\nεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\n‛．",
	}, { // 4468
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\vεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\v.",
		out:  "?\vεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\v．",
	}, { // 4469
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\vεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\v．",
		out:  "?\vεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\v‛．",
	}, { // 4470
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\rεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\r.",
		out:  "?\rεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\r．",
	}, { // 4471
		mask: EncodePercent | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "?\rεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\r．",
		out:  "?\rεm?［Ｒ\x0e\x01κ␌Ｉ＼Ｑθ9?/ι␁␅F\aｂ\x16υ＞＇\r‛．",
	}, { // 4472
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\t２",
		out:  ".\t/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\t２",
	}, { // 4473
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\t２",
		out:  "．\t/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\t２",
	}, { // 4474
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\n２",
		out:  ".\n/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\n２",
	}, { // 4475
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\n２",
		out:  "．\n/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\n２",
	}, { // 4476
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\v２",
		out:  ".\v/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\v２",
	}, { // 4477
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\v２",
		out:  "．\v/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\v２",
	}, { // 4478
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\r２",
		out:  ".\r/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\r２",
	}, { // 4479
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\r２",
		out:  "．\r/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\r２",
	}, { // 4480
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ι\t/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\t.",
		out:  "ι\t/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\t．",
	}, { // 4481
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ι\t/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\t．",
		out:  "ι\t/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\t‛．",
	}, { // 4482
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ι\n/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\n.",
		out:  "ι\n/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\n．",
	}, { // 4483
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ι\n/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\n．",
		out:  "ι\n/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\n‛．",
	}, { // 4484
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ι\v/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\v.",
		out:  "ι\v/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\v．",
	}, { // 4485
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ι\v/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\v．",
		out:  "ι\v/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\v‛．",
	}, { // 4486
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ι\r/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\r.",
		out:  "ι\r/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\r．",
	}, { // 4487
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "ι\r/ψ␃\\；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\r．",
		out:  "ι\r/ψ␃＼；\f␑␚σ－\x1f␁<a^ςG␊*[Ａ／ａwＮφ\r‛．",
	}, { // 4488
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\t：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\t'",
		out:  ".\t：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\t'",
	}, { // 4489
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\t：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\t'",
		out:  "．\t：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\t'",
	}, { // 4490
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\n：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\n'",
		out:  ".\n：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\n'",
	}, { // 4491
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\n：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\n'",
		out:  "．\n：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\n'",
	}, { // 4492
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\v：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\v'",
		out:  ".\v：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\v'",
	}, { // 4493
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\v：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\v'",
		out:  "．\v：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\v'",
	}, { // 4494
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   ".\r：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\r'",
		out:  ".\r：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\r'",
	}, { // 4495
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "．\r：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\r'",
		out:  "．\r：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\r'",
	}, { // 4496
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "C\t：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\t.",
		out:  "C\t：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\t．",
	}, { // 4497
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "C\t：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\t．",
		out:  "C\t：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\t‛．",
	}, { // 4498
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "C\n：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\n.",
		out:  "C\n：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\n．",
	}, { // 4499
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "C\n：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\n．",
		out:  "C\n：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\n‛．",
	}, { // 4500
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "C\v：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\v.",
		out:  "C\v：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\v．",
	}, { // 4501
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "C\v：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\v．",
		out:  "C\v：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\v‛．",
	}, { // 4502
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "C\r：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\r.",
		out:  "C\r：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\r．",
	}, { // 4503
		mask: EncodeDel | EncodeRightPeriod | EncodeLeftCrLfHtVt,
		in:   "C\r：c＞␊\x1b\x00）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\r．",
		out:  "C\r：c＞␊\x1b␀）␎\x1dｑｖφ％ｏ␙：\bn&\x06␑ξζαι*\r‛．",
	}, { // 4504
		mask: EncodeZero | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␄ο\x06,０α(ξｚ＞εβ\x11x９ｅ\n\"\"｛␞ψF␏Ｗ\f ␈",
		out:  ". ␄ο\x06,０α(ξｚ＞εβ\x11x９ｅ\n\"\"｛␞ψF␏Ｗ\f ␈",
	}, { // 4505
		mask: EncodeZero | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␄ο\x06,０α(ξｚ＞εβ\x11x９ｅ\n\"\"｛␞ψF␏Ｗ\f ␈",
		out:  "． ␄ο\x06,０α(ξｚ＞εβ\x11x９ｅ\n\"\"｛␞ψF␏Ｗ\f ␈",
	}, { // 4506
		mask: EncodeZero | EncodeRightPeriod | EncodeRightSpace,
		in:   "| ␄ο\x06,０α(ξｚ＞εβ\x11x９ｅ\n\"\"｛␞ψF␏Ｗ\f .",
		out:  "| ␄ο\x06,０α(ξｚ＞εβ\x11x９ｅ\n\"\"｛␞ψF␏Ｗ\f ．",
	}, { // 4507
		mask: EncodeZero | EncodeRightPeriod | EncodeRightSpace,
		in:   "| ␄ο\x06,０α(ξｚ＞εβ\x11x９ｅ\n\"\"｛␞ψF␏Ｗ\f ．",
		out:  "| ␄ο\x06,０α(ξｚ＞εβ\x11x９ｅ\n\"\"｛␞ψF␏Ｗ\f ‛．",
	}, { // 4508
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   ". a%␁ο８␇Ｓlσ＝␌％：：Tε?,η\x18\x1d␄｛｛A  \x1e",
		out:  ". a%␁ο８␇Ｓlσ＝␌％：：Tε?,η\x18\x1d␄｛｛A  \x1e",
	}, { // 4509
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "． a%␁ο８␇Ｓlσ＝␌％：：Tε?,η\x18\x1d␄｛｛A  \x1e",
		out:  "． a%␁ο８␇Ｓlσ＝␌％：：Tε?,η\x18\x1d␄｛｛A  \x1e",
	}, { // 4510
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "λ a%␁ο８␇Ｓlσ＝␌％：：Tε?,η\x18\x1d␄｛｛A  .",
		out:  "λ a%␁ο８␇Ｓlσ＝␌％：：Tε?,η\x18\x1d␄｛｛A  ．",
	}, { // 4511
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "λ a%␁ο８␇Ｓlσ＝␌％：：Tε?,η\x18\x1d␄｛｛A  ．",
		out:  "λ a%␁ο８␇Ｓlσ＝␌％：：Tε?,η\x18\x1d␄｛｛A  ‛．",
	}, { // 4512
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ：:␕jＩ\x16Ｒ＄)α␄\x05ς\x01＃γ␅τ＼i:*νｍ␊ς Ｖ",
		out:  ". ：:␕jＩ\x16Ｒ＄)α␄\x05ς\x01＃γ␅τ＼i:*νｍ␊ς Ｖ",
	}, { // 4513
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ：:␕jＩ\x16Ｒ＄)α␄\x05ς\x01＃γ␅τ＼i:*νｍ␊ς Ｖ",
		out:  "． ：:␕jＩ\x16Ｒ＄)α␄\x05ς\x01＃γ␅τ＼i:*νｍ␊ς Ｖ",
	}, { // 4514
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x16 ：:␕jＩ\x16Ｒ＄)α␄\x05ς\x01＃γ␅τ＼i:*νｍ␊ς .",
		out:  "\x16 ：:␕jＩ\x16Ｒ＄)α␄\x05ς\x01＃γ␅τ＼i:*νｍ␊ς ．",
	}, { // 4515
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x16 ：:␕jＩ\x16Ｒ＄)α␄\x05ς\x01＃γ␅τ＼i:*νｍ␊ς ．",
		out:  "\x16 ：:␕jＩ\x16Ｒ＄)α␄\x05ς\x01＃γ␅τ＼i:*νｍ␊ς ‛．",
	}, { // 4516
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ;｀７5κ＞＠\x1d␝%␍g９λ\rX3ερυ\x01；Ａ␍l␝ Ｌ",
		out:  ". ;‛｀７5κ＞＠\x1d␝%␍g９λ\rX3ερυ\x01；Ａ␍l␝ Ｌ",
	}, { // 4517
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ;｀７5κ＞＠\x1d␝%␍g９λ\rX3ερυ\x01；Ａ␍l␝ Ｌ",
		out:  "． ;‛｀７5κ＞＠\x1d␝%␍g９λ\rX3ερυ\x01；Ａ␍l␝ Ｌ",
	}, { // 4518
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "τ ;｀７5κ＞＠\x1d␝%␍g９λ\rX3ερυ\x01；Ａ␍l␝ .",
		out:  "τ ;‛｀７5κ＞＠\x1d␝%␍g９λ\rX3ερυ\x01；Ａ␍l␝ ．",
	}, { // 4519
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "τ ;｀７5κ＞＠\x1d␝%␍g９λ\rX3ερυ\x01；Ａ␍l␝ ．",
		out:  "τ ;‛｀７5κ＞＠\x1d␝%␍g９λ\rX3ερυ\x01；Ａ␍l␝ ‛．",
	}, { // 4520
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightSpace,
		in:   ". \x14\f_7\x0fηι＂ς５χＤφ/４vQｂ␒␊＜␕[oι/ \x10",
		out:  ". \x14\f_7\x0fηι＂ς５χＤφ/４vQｂ␒␊‛＜␕[oι/ \x10",
	}, { // 4521
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightSpace,
		in:   "． \x14\f_7\x0fηι＂ς５χＤφ/４vQｂ␒␊＜␕[oι/ \x10",
		out:  "． \x14\f_7\x0fηι＂ς５χＤφ/４vQｂ␒␊‛＜␕[oι/ \x10",
	}, { // 4522
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightSpace,
		in:   "␂ \x14\f_7\x0fηι＂ς５χＤφ/４vQｂ␒␊＜␕[oι/ .",
		out:  "␂ \x14\f_7\x0fηι＂ς５χＤφ/４vQｂ␒␊‛＜␕[oι/ ．",
	}, { // 4523
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightSpace,
		in:   "␂ \x14\f_7\x0fηι＂ς５χＤφ/４vQｂ␒␊＜␕[oι/ ．",
		out:  "␂ \x14\f_7\x0fηι＂ς５χＤφ/４vQｂ␒␊‛＜␕[oι/ ‛．",
	}, { // 4524
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightSpace,
		in:   ". οｏ？␈，mｊＧ\x14\x00ν␒｀π｀>θδB｀␌k]Mr） \x1b",
		out:  ". οｏ？␈，mｊＧ\x14␀ν␒｀π｀>θδB｀␌k］Mr） \x1b",
	}, { // 4525
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightSpace,
		in:   "． οｏ？␈，mｊＧ\x14\x00ν␒｀π｀>θδB｀␌k]Mr） \x1b",
		out:  "． οｏ？␈，mｊＧ\x14␀ν␒｀π｀>θδB｀␌k］Mr） \x1b",
	}, { // 4526
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightSpace,
		in:   "ς οｏ？␈，mｊＧ\x14\x00ν␒｀π｀>θδB｀␌k]Mr） .",
		out:  "ς οｏ？␈，mｊＧ\x14␀ν␒｀π｀>θδB｀␌k］Mr） ．",
	}, { // 4527
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightSpace,
		in:   "ς οｏ？␈，mｊＧ\x14\x00ν␒｀π｀>θδB｀␌k]Mr） ．",
		out:  "ς οｏ？␈，mｊＧ\x14␀ν␒｀π｀>θδB｀␌k］Mr） ‛．",
	}, { // 4528
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ／σ＜␈H\x0f\x0f＞?ｗτ␒ｕζK~Vｉ*\\\x18ｍ%␂Ｑ\x04 τ",
		out:  ". ／σ＜␈H\x0f\x0f＞?ｗτ␒ｕζK~Vｉ*\\\x18ｍ%␂Ｑ\x04 τ",
	}, { // 4529
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ／σ＜␈H\x0f\x0f＞?ｗτ␒ｕζK~Vｉ*\\\x18ｍ%␂Ｑ\x04 τ",
		out:  "． ／σ＜␈H\x0f\x0f＞?ｗτ␒ｕζK~Vｉ*\\\x18ｍ%␂Ｑ\x04 τ",
	}, { // 4530
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightSpace,
		in:   "η ／σ＜␈H\x0f\x0f＞?ｗτ␒ｕζK~Vｉ*\\\x18ｍ%␂Ｑ\x04 .",
		out:  "η ／σ＜␈H\x0f\x0f＞?ｗτ␒ｕζK~Vｉ*\\\x18ｍ%␂Ｑ\x04 ．",
	}, { // 4531
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightSpace,
		in:   "η ／σ＜␈H\x0f\x0f＞?ｗτ␒ｕζK~Vｉ*\\\x18ｍ%␂Ｑ\x04 ．",
		out:  "η ／σ＜␈H\x0f\x0f＞?ｗτ␒ｕζK~Vｉ*\\\x18ｍ%␂Ｑ\x04 ‛．",
	}, { // 4532
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightSpace,
		in:   ". φ\"ＨEl␊\x02λ\x02$ω＄μA␘Ｐ␆Ｏι3［\x10）␑φ` Ｒ",
		out:  ". φ\"ＨEl␊\x02λ\x02＄ω‛＄μA␘Ｐ␆Ｏι3［\x10）␑φ` Ｒ",
	}, { // 4533
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightSpace,
		in:   "． φ\"ＨEl␊\x02λ\x02$ω＄μA␘Ｐ␆Ｏι3［\x10）␑φ` Ｒ",
		out:  "． φ\"ＨEl␊\x02λ\x02＄ω‛＄μA␘Ｐ␆Ｏι3［\x10）␑φ` Ｒ",
	}, { // 4534
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightSpace,
		in:   "l φ\"ＨEl␊\x02λ\x02$ω＄μA␘Ｐ␆Ｏι3［\x10）␑φ` .",
		out:  "l φ\"ＨEl␊\x02λ\x02＄ω‛＄μA␘Ｐ␆Ｏι3［\x10）␑φ` ．",
	}, { // 4535
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightSpace,
		in:   "l φ\"ＨEl␊\x02λ\x02$ω＄μA␘Ｐ␆Ｏι3［\x10）␑φ` ．",
		out:  "l φ\"ＨEl␊\x02λ\x02＄ω‛＄μA␘Ｐ␆Ｏι3［\x10）␑φ` ‛．",
	}, { // 4536
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   ". αｙ␞␋\x00ＤαＭM␊α\x1e＾b\x1b/=8l|S␊ζＡρ＜ ␅",
		out:  ". αｙ␞␋␀ＤαＭM␊α\x1e＾b\x1b/=8l|S␊ζＡρ＜ ␅",
	}, { // 4537
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "． αｙ␞␋\x00ＤαＭM␊α\x1e＾b\x1b/=8l|S␊ζＡρ＜ ␅",
		out:  "． αｙ␞␋␀ＤαＭM␊α\x1e＾b\x1b/=8l|S␊ζＡρ＜ ␅",
	}, { // 4538
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "φ αｙ␞␋\x00ＤαＭM␊α\x1e＾b\x1b/=8l|S␊ζＡρ＜ .",
		out:  "φ αｙ␞␋␀ＤαＭM␊α\x1e＾b\x1b/=8l|S␊ζＡρ＜ ．",
	}, { // 4539
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightSpace,
		in:   "φ αｙ␞␋\x00ＤαＭM␊α\x1e＾b\x1b/=8l|S␊ζＡρ＜ ．",
		out:  "φ αｙ␞␋␀ＤαＭM␊α\x1e＾b\x1b/=8l|S␊ζＡρ＜ ‛．",
	}, { // 4540
		mask: EncodeColon | EncodeRightPeriod | EncodeRightSpace,
		in:   ". /\a␌［β%λ␓ υ␙＞ψ␝]φ？[\x0f1\b%Fl．ｆ ␃",
		out:  ". /\a␌［β%λ␓ υ␙＞ψ␝]φ？[\x0f1\b%Fl．ｆ ␃",
	}, { // 4541
		mask: EncodeColon | EncodeRightPeriod | EncodeRightSpace,
		in:   "． /\a␌［β%λ␓ υ␙＞ψ␝]φ？[\x0f1\b%Fl．ｆ ␃",
		out:  "． /\a␌［β%λ␓ υ␙＞ψ␝]φ？[\x0f1\b%Fl．ｆ ␃",
	}, { // 4542
		mask: EncodeColon | EncodeRightPeriod | EncodeRightSpace,
		in:   "］ /\a␌［β%λ␓ υ␙＞ψ␝]φ？[\x0f1\b%Fl．ｆ .",
		out:  "］ /\a␌［β%λ␓ υ␙＞ψ␝]φ？[\x0f1\b%Fl．ｆ ．",
	}, { // 4543
		mask: EncodeColon | EncodeRightPeriod | EncodeRightSpace,
		in:   "］ /\a␌［β%λ␓ υ␙＞ψ␝]φ？[\x0f1\b%Fl．ｆ ．",
		out:  "］ /\a␌［β%λ␓ υ␙＞ψ␝]φ？[\x0f1\b%Fl．ｆ ‛．",
	}, { // 4544
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightSpace,
		in:   ". υ,\x1d`\x0e８τ␞υmς␞／0␍＼ρ\x0fｆzｔ\x1de＞：υ ␁",
		out:  ". υ,\x1d`\x0e８τ␞υmς␞／0␍＼ρ\x0fｆzｔ\x1de＞：υ ␁",
	}, { // 4545
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightSpace,
		in:   "． υ,\x1d`\x0e８τ␞υmς␞／0␍＼ρ\x0fｆzｔ\x1de＞：υ ␁",
		out:  "． υ,\x1d`\x0e８τ␞υmς␞／0␍＼ρ\x0fｆzｔ\x1de＞：υ ␁",
	}, { // 4546
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightSpace,
		in:   "$ υ,\x1d`\x0e８τ␞υmς␞／0␍＼ρ\x0fｆzｔ\x1de＞：υ .",
		out:  "$ υ,\x1d`\x0e８τ␞υmς␞／0␍＼ρ\x0fｆzｔ\x1de＞：υ ．",
	}, { // 4547
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightSpace,
		in:   "$ υ,\x1d`\x0e８τ␞υmς␞／0␍＼ρ\x0fｆzｔ\x1de＞：υ ．",
		out:  "$ υ,\x1d`\x0e８τ␞υmς␞／0␍＼ρ\x0fｆzｔ\x1de＞：υ ‛．",
	}, { // 4548
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ς␃ｓσ;λ/␅\aＤ\x18＿υ\x12vku9\aJ？ＩＩ＄␛! ␀",
		out:  ". ς␃ｓσ;λ/␅\aＤ\x18＿υ\x12vku9\aJ？ＩＩ＄␛! ‛␀",
	}, { // 4549
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ς␃ｓσ;λ/␅\aＤ\x18＿υ\x12vku9\aJ？ＩＩ＄␛! ␀",
		out:  "． ς␃ｓσ;λ/␅\aＤ\x18＿υ\x12vku9\aJ？ＩＩ＄␛! ‛␀",
	}, { // 4550
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightSpace,
		in:   "␊ ς␃ｓσ;λ/␅\aＤ\x18＿υ\x12vku9\aJ？ＩＩ＄␛! .",
		out:  "␊ ς␃ｓσ;λ/␅\aＤ\x18＿υ\x12vku9\aJ？ＩＩ＄␛! ．",
	}, { // 4551
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightSpace,
		in:   "␊ ς␃ｓσ;λ/␅\aＤ\x18＿υ\x12vku9\aJ？ＩＩ＄␛! ．",
		out:  "␊ ς␃ｓσ;λ/␅\aＤ\x18＿υ\x12vku9\aJ？ＩＩ＄␛! ‛．",
	}, { // 4552
		mask: EncodePipe | EncodeRightPeriod | EncodeRightSpace,
		in:   ". Y］%７␂γ&\b[ε\rｐ＊\x18\x12＼#'μ␆οζ␟oＣＣ Ｃ",
		out:  ". Y］%７␂γ&\b[ε\rｐ＊\x18\x12＼#'μ␆οζ␟oＣＣ Ｃ",
	}, { // 4553
		mask: EncodePipe | EncodeRightPeriod | EncodeRightSpace,
		in:   "． Y］%７␂γ&\b[ε\rｐ＊\x18\x12＼#'μ␆οζ␟oＣＣ Ｃ",
		out:  "． Y］%７␂γ&\b[ε\rｐ＊\x18\x12＼#'μ␆οζ␟oＣＣ Ｃ",
	}, { // 4554
		mask: EncodePipe | EncodeRightPeriod | EncodeRightSpace,
		in:   "! Y］%７␂γ&\b[ε\rｐ＊\x18\x12＼#'μ␆οζ␟oＣＣ .",
		out:  "! Y］%７␂γ&\b[ε\rｐ＊\x18\x12＼#'μ␆οζ␟oＣＣ ．",
	}, { // 4555
		mask: EncodePipe | EncodeRightPeriod | EncodeRightSpace,
		in:   "! Y］%７␂γ&\b[ε\rｐ＊\x18\x12＼#'μ␆οζ␟oＣＣ ．",
		out:  "! Y］%７␂γ&\b[ε\rｐ＊\x18\x12＼#'μ␆οζ␟oＣＣ ‛．",
	}, { // 4556
		mask: EncodeHash | EncodeRightPeriod | EncodeRightSpace,
		in:   ". \x00ζβοO]␞␁２＜Ｙ\fxｃｕGδ␑ω9ｌ␛\fRＧι ＞",
		out:  ". ␀ζβοO]␞␁２＜Ｙ\fxｃｕGδ␑ω9ｌ␛\fRＧι ＞",
	}, { // 4557
		mask: EncodeHash | EncodeRightPeriod | EncodeRightSpace,
		in:   "． \x00ζβοO]␞␁２＜Ｙ\fxｃｕGδ␑ω9ｌ␛\fRＧι ＞",
		out:  "． ␀ζβοO]␞␁２＜Ｙ\fxｃｕGδ␑ω9ｌ␛\fRＧι ＞",
	}, { // 4558
		mask: EncodeHash | EncodeRightPeriod | EncodeRightSpace,
		in:   "\a \x00ζβοO]␞␁２＜Ｙ\fxｃｕGδ␑ω9ｌ␛\fRＧι .",
		out:  "\a ␀ζβοO]␞␁２＜Ｙ\fxｃｕGδ␑ω9ｌ␛\fRＧι ．",
	}, { // 4559
		mask: EncodeHash | EncodeRightPeriod | EncodeRightSpace,
		in:   "\a \x00ζβοO]␞␁２＜Ｙ\fxｃｕGδ␑ω9ｌ␛\fRＧι ．",
		out:  "\a ␀ζβοO]␞␁２＜Ｙ\fxｃｕGδ␑ω9ｌ␛\fRＧι ‛．",
	}, { // 4560
		mask: EncodePercent | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ␟ＤE␙θ/\r/\x10η．sγκ␜%{｀␐Eφ␕T\x1cγ＊ ｜",
		out:  ". ␟ＤE␙θ/\r/\x10η．sγκ␜％{｀␐Eφ␕T\x1cγ＊ ｜",
	}, { // 4561
		mask: EncodePercent | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ␟ＤE␙θ/\r/\x10η．sγκ␜%{｀␐Eφ␕T\x1cγ＊ ｜",
		out:  "． ␟ＤE␙θ/\r/\x10η．sγκ␜％{｀␐Eφ␕T\x1cγ＊ ｜",
	}, { // 4562
		mask: EncodePercent | EncodeRightPeriod | EncodeRightSpace,
		in:   "\uff00 ␟ＤE␙θ/\r/\x10η．sγκ␜%{｀␐Eφ␕T\x1cγ＊ .",
		out:  "\uff00 ␟ＤE␙θ/\r/\x10η．sγκ␜％{｀␐Eφ␕T\x1cγ＊ ．",
	}, { // 4563
		mask: EncodePercent | EncodeRightPeriod | EncodeRightSpace,
		in:   "\uff00 ␟ＤE␙θ/\r/\x10η．sγκ␜%{｀␐Eφ␕T\x1cγ＊ ．",
		out:  "\uff00 ␟ＤE␙θ/\r/\x10η．sγκ␜％{｀␐Eφ␕T\x1cγ＊ ‛．",
	}, { // 4564
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   ". １；\x1c\n␎ι)\x16η␙␟+πρjY\x0f\x13Ｓkｙγ␉Ｒ␇ｃ ｙ",
		out:  ". １；\x1c\n␎ι)\x16η␙␟+πρjY\x0f\x13Ｓkｙγ␉Ｒ␇ｃ ｙ",
	}, { // 4565
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "． １；\x1c\n␎ι)\x16η␙␟+πρjY\x0f\x13Ｓkｙγ␉Ｒ␇ｃ ｙ",
		out:  "． １；\x1c\n␎ι)\x16η␙␟+πρjY\x0f\x13Ｓkｙγ␉Ｒ␇ｃ ｙ",
	}, { // 4566
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "< １；\x1c\n␎ι)\x16η␙␟+πρjY\x0f\x13Ｓkｙγ␉Ｒ␇ｃ .",
		out:  "< １；\x1c\n␎ι)\x16η␙␟+πρjY\x0f\x13Ｓkｙγ␉Ｒ␇ｃ ．",
	}, { // 4567
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightSpace,
		in:   "< １；\x1c\n␎ι)\x16η␙␟+πρjY\x0f\x13Ｓkｙγ␉Ｒ␇ｃ ．",
		out:  "< １；\x1c\n␎ι)\x16η␙␟+πρjY\x0f\x13Ｓkｙγ␉Ｒ␇ｃ ‛．",
	}, { // 4568
		mask: EncodeCrLf | EncodeRightPeriod | EncodeRightSpace,
		in:   ". 6χＭo＇／ε␁5ＺλT␇\x1b␉f\x10;τＫ␂υ\x03%１Ｆ ␁",
		out:  ". 6χＭo＇／ε␁5ＺλT␇\x1b␉f\x10;τＫ␂υ\x03%１Ｆ ␁",
	}, { // 4569
		mask: EncodeCrLf | EncodeRightPeriod | EncodeRightSpace,
		in:   "． 6χＭo＇／ε␁5ＺλT␇\x1b␉f\x10;τＫ␂υ\x03%１Ｆ ␁",
		out:  "． 6χＭo＇／ε␁5ＺλT␇\x1b␉f\x10;τＫ␂υ\x03%１Ｆ ␁",
	}, { // 4570
		mask: EncodeCrLf | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x1d 6χＭo＇／ε␁5ＺλT␇\x1b␉f\x10;τＫ␂υ\x03%１Ｆ .",
		out:  "\x1d 6χＭo＇／ε␁5ＺλT␇\x1b␉f\x10;τＫ␂υ\x03%１Ｆ ．",
	}, { // 4571
		mask: EncodeCrLf | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x1d 6χＭo＇／ε␁5ＺλT␇\x1b␉f\x10;τＫ␂υ\x03%１Ｆ ．",
		out:  "\x1d 6χＭo＇／ε␁5ＺλT␇\x1b␉f\x10;τＫ␂υ\x03%１Ｆ ‛．",
	}, { // 4572
		mask: EncodeDel | EncodeRightPeriod | EncodeRightSpace,
		in:   ". ／Tvm＂i*\x02ｇ～γ}ω␓Ｂννφ\x1d␘␏'＞\x04\n␂ ＜",
		out:  ". ／Tvm＂i*\x02ｇ～γ}ω␓Ｂννφ\x1d␘␏'＞\x04\n␂ ＜",
	}, { // 4573
		mask: EncodeDel | EncodeRightPeriod | EncodeRightSpace,
		in:   "． ／Tvm＂i*\x02ｇ～γ}ω␓Ｂννφ\x1d␘␏'＞\x04\n␂ ＜",
		out:  "． ／Tvm＂i*\x02ｇ～γ}ω␓Ｂννφ\x1d␘␏'＞\x04\n␂ ＜",
	}, { // 4574
		mask: EncodeDel | EncodeRightPeriod | EncodeRightSpace,
		in:   "␛ ／Tvm＂i*\x02ｇ～γ}ω␓Ｂννφ\x1d␘␏'＞\x04\n␂ .",
		out:  "␛ ／Tvm＂i*\x02ｇ～γ}ω␓Ｂννφ\x1d␘␏'＞\x04\n␂ ．",
	}, { // 4575
		mask: EncodeDel | EncodeRightPeriod | EncodeRightSpace,
		in:   "␛ ／Tvm＂i*\x02ｇ～γ}ω␓Ｂννφ\x1d␘␏'＞\x04\n␂ ．",
		out:  "␛ ／Tvm＂i*\x02ｇ～γ}ω␓Ｂννφ\x1d␘␏'＞\x04\n␂ ‛．",
	}, { // 4576
		mask: EncodeCtl | EncodeRightPeriod | EncodeRightSpace,
		in:   ". \bξ_H8＂＾＋\x03␊\bｙ，χ\x0e&＇κγθ␆＊：ρＹ\\ 3",
		out:  ". ␈ξ_H8＂＾＋␃‛␊␈ｙ，χ␎&＇κγθ‛␆＊：ρＹ\\ 3",
	}, { // 4577
		mask: EncodeCtl | EncodeRightPeriod | EncodeRightSpace,
		in:   "． \bξ_H8＂＾＋\x03␊\bｙ，χ\x0e&＇κγθ␆＊：ρＹ\\ 3",
		out:  "． ␈ξ_H8＂＾＋␃‛␊␈ｙ，χ␎&＇κγθ‛␆＊：ρＹ\\ 3",
	}, { // 4578
		mask: EncodeCtl | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x12 \bξ_H8＂＾＋\x03␊\bｙ，χ\x0e&＇κγθ␆＊：ρＹ\\ .",
		out:  "␒ ␈ξ_H8＂＾＋␃‛␊␈ｙ，χ␎&＇κγθ‛␆＊：ρＹ\\ ．",
	}, { // 4579
		mask: EncodeCtl | EncodeRightPeriod | EncodeRightSpace,
		in:   "\x12 \bξ_H8＂＾＋\x03␊\bｙ，χ\x0e&＇κγθ␆＊：ρＹ\\ ．",
		out:  "␒ ␈ξ_H8＂＾＋␃‛␊␈ｙ，χ␎&＇κγθ‛␆＊：ρＹ\\ ‛．",
	}, { // 4580
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\t␑",
		out:  ".\t：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\t␑",
	}, { // 4581
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\t␑",
		out:  "．\t：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\t␑",
	}, { // 4582
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\n␑",
		out:  ".\n：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\n␑",
	}, { // 4583
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\n␑",
		out:  "．\n：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\n␑",
	}, { // 4584
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\v␑",
		out:  ".\v：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\v␑",
	}, { // 4585
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\v␑",
		out:  "．\v：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\v␑",
	}, { // 4586
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\r␑",
		out:  ".\r：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\r␑",
	}, { // 4587
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\r␑",
		out:  "．\r：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\r␑",
	}, { // 4588
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ν\t：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\t.",
		out:  "ν\t：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\t．",
	}, { // 4589
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ν\t：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\t．",
		out:  "ν\t：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\t‛．",
	}, { // 4590
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ν\n：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\n.",
		out:  "ν\n：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\n．",
	}, { // 4591
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ν\n：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\n．",
		out:  "ν\n：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\n‛．",
	}, { // 4592
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ν\v：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\v.",
		out:  "ν\v：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\v．",
	}, { // 4593
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ν\v：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\v．",
		out:  "ν\v：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\v‛．",
	}, { // 4594
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ν\r：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\r.",
		out:  "ν\r：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\r．",
	}, { // 4595
		mask: EncodeZero | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ν\r：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\r．",
		out:  "ν\r：Mf］＾\x1dη\n\x17␞β９S>\x15＊\x19｝p＊＼（χκα＊\r‛．",
	}, { // 4596
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\t␡",
		out:  ".\t;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\t␡",
	}, { // 4597
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\t␡",
		out:  "．\t;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\t␡",
	}, { // 4598
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\n␡",
		out:  ".\n;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\n␡",
	}, { // 4599
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\n␡",
		out:  "．\n;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\n␡",
	}, { // 4600
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\v␡",
		out:  ".\v;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\v␡",
	}, { // 4601
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\v␡",
		out:  "．\v;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\v␡",
	}, { // 4602
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\r␡",
		out:  ".\r;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\r␡",
	}, { // 4603
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\r␡",
		out:  "．\r;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\r␡",
	}, { // 4604
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␖\t;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\t.",
		out:  "␖\t;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\t．",
	}, { // 4605
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␖\t;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\t．",
		out:  "␖\t;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\t‛．",
	}, { // 4606
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␖\n;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\n.",
		out:  "␖\n;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\n．",
	}, { // 4607
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␖\n;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\n．",
		out:  "␖\n;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\n‛．",
	}, { // 4608
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␖\v;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\v.",
		out:  "␖\v;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\v．",
	}, { // 4609
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␖\v;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\v．",
		out:  "␖\v;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\v‛．",
	}, { // 4610
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␖\r;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\r.",
		out:  "␖\r;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\r．",
	}, { // 4611
		mask: EncodeSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␖\r;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\r．",
		out:  "␖\r;␗θＵ␃>ζμ#\aκ＃␊~［@␇,κ！ξI`Ｋ##\r‛．",
	}, { // 4612
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\tＱ",
		out:  ".\tｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\tＱ",
	}, { // 4613
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\tＱ",
		out:  "．\tｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\tＱ",
	}, { // 4614
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\nＱ",
		out:  ".\nｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\nＱ",
	}, { // 4615
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\nＱ",
		out:  "．\nｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\nＱ",
	}, { // 4616
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\vＱ",
		out:  ".\vｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\vＱ",
	}, { // 4617
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\vＱ",
		out:  "．\vｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\vＱ",
	}, { // 4618
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\rＱ",
		out:  ".\rｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\rＱ",
	}, { // 4619
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\rＱ",
		out:  "．\rｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\rＱ",
	}, { // 4620
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "υ\tｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\t.",
		out:  "υ\tｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\t．",
	}, { // 4621
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "υ\tｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\t．",
		out:  "υ\tｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\t‛．",
	}, { // 4622
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "υ\nｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\n.",
		out:  "υ\nｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\n．",
	}, { // 4623
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "υ\nｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\n．",
		out:  "υ\nｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\n‛．",
	}, { // 4624
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "υ\vｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\v.",
		out:  "υ\vｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\v．",
	}, { // 4625
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "υ\vｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\v．",
		out:  "υ\vｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\v‛．",
	}, { // 4626
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "υ\rｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\r.",
		out:  "υ\rｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\r．",
	}, { // 4627
		mask: EncodeSingleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "υ\rｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\r．",
		out:  "υ\rｐ␐␁[␃␏π\x1dζD\r\bV|｀\x19␎／７\\＊ｎςQj\\\r‛．",
	}, { // 4628
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\tρ",
		out:  ".\tN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\tρ",
	}, { // 4629
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\tρ",
		out:  "．\tN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\tρ",
	}, { // 4630
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\nρ",
		out:  ".\nN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\nρ",
	}, { // 4631
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\nρ",
		out:  "．\nN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\nρ",
	}, { // 4632
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\vρ",
		out:  ".\vN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\vρ",
	}, { // 4633
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\vρ",
		out:  "．\vN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\vρ",
	}, { // 4634
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\rρ",
		out:  ".\rN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\rρ",
	}, { // 4635
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\rρ",
		out:  "．\rN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\rρ",
	}, { // 4636
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "u\tN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\t.",
		out:  "u\tN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\t．",
	}, { // 4637
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "u\tN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\t．",
		out:  "u\tN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\t‛．",
	}, { // 4638
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "u\nN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\n.",
		out:  "u\nN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\n．",
	}, { // 4639
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "u\nN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\n．",
		out:  "u\nN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\n‛．",
	}, { // 4640
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "u\vN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\v.",
		out:  "u\vN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\v．",
	}, { // 4641
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "u\vN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\v．",
		out:  "u\vN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\v‛．",
	}, { // 4642
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "u\rN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\r.",
		out:  "u\rN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\r．",
	}, { // 4643
		mask: EncodeBackQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "u\rN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:`ζL\r．",
		out:  "u\rN？ＥE｝η/ｎ\x1b｜βα␓ｈ␛τ'＼；%＞\x14:｀ζL\r‛．",
	}, { // 4644
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\tｊ",
		out:  ".\tv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\tｊ",
	}, { // 4645
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\tｊ",
		out:  "．\tv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\tｊ",
	}, { // 4646
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\nｊ",
		out:  ".\nv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\nｊ",
	}, { // 4647
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\nｊ",
		out:  "．\nv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\nｊ",
	}, { // 4648
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\vｊ",
		out:  ".\vv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\vｊ",
	}, { // 4649
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\vｊ",
		out:  "．\vv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\vｊ",
	}, { // 4650
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\rｊ",
		out:  ".\rv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\rｊ",
	}, { // 4651
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\rｊ",
		out:  "．\rv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\rｊ",
	}, { // 4652
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\tv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\t.",
		out:  "␐\tv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\t．",
	}, { // 4653
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\tv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\t．",
		out:  "␐\tv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\t‛．",
	}, { // 4654
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\nv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\n.",
		out:  "␐\nv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\n．",
	}, { // 4655
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\nv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\n．",
		out:  "␐\nv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\n‛．",
	}, { // 4656
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\vv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\v.",
		out:  "␐\vv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\v．",
	}, { // 4657
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\vv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\v．",
		out:  "␐\vv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\v‛．",
	}, { // 4658
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\rv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\r.",
		out:  "␐\rv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\r．",
	}, { // 4659
		mask: EncodeLtGt | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␐\rv\x11\x05\b␌Ｅι\x13<＂␗␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\r．",
		out:  "␐\rv\x11\x05\b␌Ｅι\x13＜＂␗‛␀ι#Ｈ\x18:－/ｖσβ␎βφｕ\r‛．",
	}, { // 4660
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\tε",
		out:  ".\t;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\tε",
	}, { // 4661
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\tε",
		out:  "．\t;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\tε",
	}, { // 4662
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\nε",
		out:  ".\n;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\nε",
	}, { // 4663
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\nε",
		out:  "．\n;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\nε",
	}, { // 4664
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\vε",
		out:  ".\v;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\vε",
	}, { // 4665
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\vε",
		out:  "．\v;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\vε",
	}, { // 4666
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\rε",
		out:  ".\r;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\rε",
	}, { // 4667
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\rε",
		out:  "．\r;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\rε",
	}, { // 4668
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\t;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\t.",
		out:  "␟\t;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\t．",
	}, { // 4669
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\t;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\t．",
		out:  "␟\t;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\t‛．",
	}, { // 4670
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\n;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\n.",
		out:  "␟\n;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\n．",
	}, { // 4671
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\n;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\n．",
		out:  "␟\n;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\n‛．",
	}, { // 4672
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\v;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\v.",
		out:  "␟\v;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\v．",
	}, { // 4673
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\v;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\v．",
		out:  "␟\v;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\v‛．",
	}, { // 4674
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\r;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\r.",
		out:  "␟\r;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\r．",
	}, { // 4675
		mask: EncodeSquareBracket | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␟\r;2］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\r．",
		out:  "␟\r;2‛］ｏμιＹGNψｄ:\x0e～\x1cα\nm\x1e\uff00μ；\x02␊｜␇\r‛．",
	}, { // 4676
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\t␙",
		out:  ".\t5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\t␙",
	}, { // 4677
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\t␙",
		out:  "．\t5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\t␙",
	}, { // 4678
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\n␙",
		out:  ".\n5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\n␙",
	}, { // 4679
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\n␙",
		out:  "．\n5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\n␙",
	}, { // 4680
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\v␙",
		out:  ".\v5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\v␙",
	}, { // 4681
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\v␙",
		out:  "．\v5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\v␙",
	}, { // 4682
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\r␙",
		out:  ".\r5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\r␙",
	}, { // 4683
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\r␙",
		out:  "．\r5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\r␙",
	}, { // 4684
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ":\t5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\t.",
		out:  ":\t5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\t．",
	}, { // 4685
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ":\t5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\t．",
		out:  ":\t5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\t‛．",
	}, { // 4686
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ":\n5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\n.",
		out:  ":\n5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\n．",
	}, { // 4687
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ":\n5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\n．",
		out:  ":\n5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\n‛．",
	}, { // 4688
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ":\v5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\v.",
		out:  ":\v5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\v．",
	}, { // 4689
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ":\v5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\v．",
		out:  ":\v5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\v‛．",
	}, { // 4690
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ":\r5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\r.",
		out:  ":\r5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\r．",
	}, { // 4691
		mask: EncodeSemicolon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ":\r5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\r．",
		out:  ":\r5＞␟Ｋ［4αＴθ\"\x03％σ｛i～\x12␗?３αψ\"␒ZR\r‛．",
	}, { // 4692
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\t．",
		out:  ".\tθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\t‛．",
	}, { // 4693
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\t．",
		out:  "．\tθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\t‛．",
	}, { // 4694
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\n．",
		out:  ".\nθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\n‛．",
	}, { // 4695
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\n．",
		out:  "．\nθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\n‛．",
	}, { // 4696
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\v．",
		out:  ".\vθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\v‛．",
	}, { // 4697
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\v．",
		out:  "．\vθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\v‛．",
	}, { // 4698
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\r．",
		out:  ".\rθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\r‛．",
	}, { // 4699
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\r．",
		out:  "．\rθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\r‛．",
	}, { // 4700
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\tθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\t.",
		out:  "␓\tθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\t．",
	}, { // 4701
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\tθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\t．",
		out:  "␓\tθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\t‛．",
	}, { // 4702
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\nθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\n.",
		out:  "␓\nθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\n．",
	}, { // 4703
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\nθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\n．",
		out:  "␓\nθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\n‛．",
	}, { // 4704
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\vθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\v.",
		out:  "␓\vθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\v．",
	}, { // 4705
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\vθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\v．",
		out:  "␓\vθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\v‛．",
	}, { // 4706
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\rθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\r.",
		out:  "␓\rθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\r．",
	}, { // 4707
		mask: EncodeDollar | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\rθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\r．",
		out:  "␓\rθ\x0eτ␐\x1bγａHＱ␉；Zzξ;βλYＨｚ\x1c４␖\x1b>␁\r‛．",
	}, { // 4708
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\tｐ",
		out:  ".\tｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\tｐ",
	}, { // 4709
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\tｐ",
		out:  "．\tｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\tｐ",
	}, { // 4710
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\nｐ",
		out:  ".\nｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\nｐ",
	}, { // 4711
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\nｐ",
		out:  "．\nｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\nｐ",
	}, { // 4712
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\vｐ",
		out:  ".\vｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\vｐ",
	}, { // 4713
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\vｐ",
		out:  "．\vｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\vｐ",
	}, { // 4714
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\rｐ",
		out:  ".\rｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\rｐ",
	}, { // 4715
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\rｐ",
		out:  "．\rｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\rｐ",
	}, { // 4716
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "］\tｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\t.",
		out:  "］\tｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\t．",
	}, { // 4717
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "］\tｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\t．",
		out:  "］\tｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\t‛．",
	}, { // 4718
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "］\nｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\n.",
		out:  "］\nｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\n．",
	}, { // 4719
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "］\nｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\n．",
		out:  "］\nｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\n‛．",
	}, { // 4720
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "］\vｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\v.",
		out:  "］\vｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\v．",
	}, { // 4721
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "］\vｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\v．",
		out:  "］\vｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\v‛．",
	}, { // 4722
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "］\rｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\r.",
		out:  "］\rｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\r．",
	}, { // 4723
		mask: EncodeDoubleQuote | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "］\rｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\r．",
		out:  "］\rｃ␘\x1b␌\x01σ␇?Ｐdι\r%}␕␔．l\x1fk\x1aＳθ␈ρβ\r‛．",
	}, { // 4724
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\tＭ",
		out:  ".\tρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\tＭ",
	}, { // 4725
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\tＭ",
		out:  "．\tρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\tＭ",
	}, { // 4726
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\nＭ",
		out:  ".\nρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\nＭ",
	}, { // 4727
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\nＭ",
		out:  "．\nρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\nＭ",
	}, { // 4728
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\vＭ",
		out:  ".\vρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\vＭ",
	}, { // 4729
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\vＭ",
		out:  "．\vρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\vＭ",
	}, { // 4730
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\rＭ",
		out:  ".\rρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\rＭ",
	}, { // 4731
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\rＭ",
		out:  "．\rρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\rＭ",
	}, { // 4732
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "a\tρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\t.",
		out:  "a\tρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\t．",
	}, { // 4733
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "a\tρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\t．",
		out:  "a\tρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\t‛．",
	}, { // 4734
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "a\nρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\n.",
		out:  "a\nρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\n．",
	}, { // 4735
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "a\nρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\n．",
		out:  "a\nρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\n‛．",
	}, { // 4736
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "a\vρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\v.",
		out:  "a\vρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\v．",
	}, { // 4737
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "a\vρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\v．",
		out:  "a\vρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\v‛．",
	}, { // 4738
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "a\rρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\r.",
		out:  "a\rρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\r．",
	}, { // 4739
		mask: EncodeColon | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "a\rρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\r．",
		out:  "a\rρA␉\n\b]βφ\x03\x1aαＨω＂［(ｆｎA］？B]＝␉/\r‛．",
	}, { // 4740
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\ta＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\t７",
		out:  ".\ta＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\t７",
	}, { // 4741
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\ta＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\t７",
		out:  "．\ta＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\t７",
	}, { // 4742
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\na＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\n７",
		out:  ".\na＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\n７",
	}, { // 4743
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\na＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\n７",
		out:  "．\na＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\n７",
	}, { // 4744
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\va＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\v７",
		out:  ".\va＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\v７",
	}, { // 4745
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\va＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\v７",
		out:  "．\va＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\v７",
	}, { // 4746
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\ra＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\r７",
		out:  ".\ra＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\r７",
	}, { // 4747
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\ra＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\r７",
		out:  "．\ra＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\r７",
	}, { // 4748
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｆ\ta＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\t.",
		out:  "ｆ\ta＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\t．",
	}, { // 4749
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｆ\ta＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\t．",
		out:  "ｆ\ta＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\t‛．",
	}, { // 4750
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｆ\na＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\n.",
		out:  "ｆ\na＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\n．",
	}, { // 4751
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｆ\na＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\n．",
		out:  "ｆ\na＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\n‛．",
	}, { // 4752
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｆ\va＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\v.",
		out:  "ｆ\va＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\v．",
	}, { // 4753
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｆ\va＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\v．",
		out:  "ｆ\va＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\v‛．",
	}, { // 4754
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｆ\ra＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\r.",
		out:  "ｆ\ra＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\r．",
	}, { // 4755
		mask: EncodeQuestion | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "ｆ\ra＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\r．",
		out:  "ｆ\ra＞S:\x19＊\x1cξ␎λ\t%χω\x05K␛$φ4０\x18＞｀ｂβ\r‛．",
	}, { // 4756
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\tο",
		out:  ".\t[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\tο",
	}, { // 4757
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\tο",
		out:  "．\t[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\tο",
	}, { // 4758
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\nο",
		out:  ".\n[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\nο",
	}, { // 4759
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\nο",
		out:  "．\n[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\nο",
	}, { // 4760
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\vο",
		out:  ".\v[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\vο",
	}, { // 4761
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\vο",
		out:  "．\v[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\vο",
	}, { // 4762
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\rο",
		out:  ".\r[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\rο",
	}, { // 4763
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\rο",
		out:  "．\r[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\rο",
	}, { // 4764
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x01\t[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\t.",
		out:  "\x01\t[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\t．",
	}, { // 4765
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x01\t[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\t．",
		out:  "\x01\t[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\t‛．",
	}, { // 4766
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x01\n[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\n.",
		out:  "\x01\n[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\n．",
	}, { // 4767
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x01\n[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\n．",
		out:  "\x01\n[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\n‛．",
	}, { // 4768
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x01\v[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\v.",
		out:  "\x01\v[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\v．",
	}, { // 4769
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x01\v[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\v．",
		out:  "\x01\v[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\v‛．",
	}, { // 4770
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x01\r[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\r.",
		out:  "\x01\r[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\r．",
	}, { // 4771
		mask: EncodeAsterisk | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\x01\r[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\r．",
		out:  "\x01\r[m␞εX␆．lζ>\rO＇｀οο␚［［Sｐ＄:␟\x02ο\r‛．",
	}, { // 4772
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\tO",
		out:  ".\t8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\tO",
	}, { // 4773
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\tO",
		out:  "．\t8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\tO",
	}, { // 4774
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\nO",
		out:  ".\n8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\nO",
	}, { // 4775
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\nO",
		out:  "．\n8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\nO",
	}, { // 4776
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\vO",
		out:  ".\v8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\vO",
	}, { // 4777
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\vO",
		out:  "．\v8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\vO",
	}, { // 4778
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\rO",
		out:  ".\r8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\rO",
	}, { // 4779
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\rO",
		out:  "．\r8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\rO",
	}, { // 4780
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "＿\t8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\t.",
		out:  "＿\t8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\t．",
	}, { // 4781
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "＿\t8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\t．",
		out:  "＿\t8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\t‛．",
	}, { // 4782
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "＿\n8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\n.",
		out:  "＿\n8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\n．",
	}, { // 4783
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "＿\n8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\n．",
		out:  "＿\n8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\n‛．",
	}, { // 4784
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "＿\v8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\v.",
		out:  "＿\v8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\v．",
	}, { // 4785
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "＿\v8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\v．",
		out:  "＿\v8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\v‛．",
	}, { // 4786
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "＿\r8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\r.",
		out:  "＿\r8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\r．",
	}, { // 4787
		mask: EncodePipe | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "＿\r8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\r．",
		out:  "＿\r8␓＂␚r\tCmκｓI\x12＂｛Ｔ␋\x1dζξχ[$ｉμξ\x10\r‛．",
	}, { // 4788
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\t＾",
		out:  ".\t／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\t＾",
	}, { // 4789
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\t＾",
		out:  "．\t／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\t＾",
	}, { // 4790
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\n＾",
		out:  ".\n／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\n＾",
	}, { // 4791
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\n＾",
		out:  "．\n／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\n＾",
	}, { // 4792
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\v＾",
		out:  ".\v／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\v＾",
	}, { // 4793
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\v＾",
		out:  "．\v／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\v＾",
	}, { // 4794
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\r＾",
		out:  ".\r／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\r＾",
	}, { // 4795
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\r＾",
		out:  "．\r／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\r＾",
	}, { // 4796
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\\\t／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\t.",
		out:  "\\\t／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\t．",
	}, { // 4797
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\\\t／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\t．",
		out:  "\\\t／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\t‛．",
	}, { // 4798
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\\\n／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\n.",
		out:  "\\\n／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\n．",
	}, { // 4799
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\\\n／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\n．",
		out:  "\\\n／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\n‛．",
	}, { // 4800
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\\\v／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\v.",
		out:  "\\\v／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\v．",
	}, { // 4801
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\\\v／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\v．",
		out:  "\\\v／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\v‛．",
	}, { // 4802
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\\\r／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\r.",
		out:  "\\\r／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\r．",
	}, { // 4803
		mask: EncodeHash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "\\\r／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\r．",
		out:  "\\\r／;␛δ␔\r/X［｀.*ｍ)；ιｔ␙δCq＇δ\bιr\r‛．",
	}, { // 4804
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\tｆ",
		out:  ".\tＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\tｆ",
	}, { // 4805
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\tｆ",
		out:  "．\tＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\tｆ",
	}, { // 4806
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\nｆ",
		out:  ".\nＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\nｆ",
	}, { // 4807
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\nｆ",
		out:  "．\nＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\nｆ",
	}, { // 4808
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\vｆ",
		out:  ".\vＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\vｆ",
	}, { // 4809
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\vｆ",
		out:  "．\vＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\vｆ",
	}, { // 4810
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\rｆ",
		out:  ".\rＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\rｆ",
	}, { // 4811
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\rｆ",
		out:  "．\rＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\rｆ",
	}, { // 4812
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\tＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\t.",
		out:  "␓\tＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\t．",
	}, { // 4813
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\tＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\t．",
		out:  "␓\tＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\t‛．",
	}, { // 4814
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\nＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\n.",
		out:  "␓\nＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\n．",
	}, { // 4815
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\nＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\n．",
		out:  "␓\nＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\n‛．",
	}, { // 4816
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\vＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\v.",
		out:  "␓\vＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\v．",
	}, { // 4817
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\vＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\v．",
		out:  "␓\vＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\v‛．",
	}, { // 4818
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\rＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\r.",
		out:  "␓\rＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\r．",
	}, { // 4819
		mask: EncodePercent | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "␓\rＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\r．",
		out:  "␓\rＤ␃\n５#νｌBＶ｜γ\r=ε\r␐\x17A␞\"τ＼＊1ιu\r‛．",
	}, { // 4820
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\t＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\tＬ",
		out:  ".\t＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\tＬ",
	}, { // 4821
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\t＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\tＬ",
		out:  "．\t＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\tＬ",
	}, { // 4822
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\n＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\nＬ",
		out:  ".\n＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\nＬ",
	}, { // 4823
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\n＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\nＬ",
		out:  "．\n＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\nＬ",
	}, { // 4824
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\v＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\vＬ",
		out:  ".\v＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\vＬ",
	}, { // 4825
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\v＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\vＬ",
		out:  "．\v＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\vＬ",
	}, { // 4826
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\r＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\rＬ",
		out:  ".\r＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\rＬ",
	}, { // 4827
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\r＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\rＬ",
		out:  "．\r＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\rＬ",
	}, { // 4828
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "P\t＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\t.",
		out:  "P\t＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\t．",
	}, { // 4829
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "P\t＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\t．",
		out:  "P\t＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\t‛．",
	}, { // 4830
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "P\n＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\n.",
		out:  "P\n＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\n．",
	}, { // 4831
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "P\n＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\n．",
		out:  "P\n＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\n‛．",
	}, { // 4832
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "P\v＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\v.",
		out:  "P\v＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\v．",
	}, { // 4833
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "P\v＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\v．",
		out:  "P\v＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\v‛．",
	}, { // 4834
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "P\r＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\r.",
		out:  "P\r＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\r．",
	}, { // 4835
		mask: EncodeBackSlash | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "P\r＿｀\aνNπ\x17βλ␛\t＋␜%!<＼｀^υρ\x0f\x03ｔM␓\r．",
		out:  "P\r＿｀\aνNπ\x17βλ␛\t＋␜%!<‛＼｀^υρ\x0f\x03ｔM␓\r‛．",
	}, { // 4836
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\tｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\tu",
		out:  ".\tｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\tu",
	}, { // 4837
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\tｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\tu",
		out:  "．\tｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\tu",
	}, { // 4838
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\nｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\nu",
		out:  ".\nｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\nu",
	}, { // 4839
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\nｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\nu",
		out:  "．\nｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\nu",
	}, { // 4840
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\vｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\vu",
		out:  ".\vｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\vu",
	}, { // 4841
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\vｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\vu",
		out:  "．\vｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\vu",
	}, { // 4842
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   ".\rｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\ru",
		out:  ".\rｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\ru",
	}, { // 4843
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "．\rｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\ru",
		out:  "．\rｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\ru",
	}, { // 4844
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "&\tｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\t.",
		out:  "&\tｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\t．",
	}, { // 4845
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "&\tｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\t．",
		out:  "&\tｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\t‛．",
	}, { // 4846
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "&\nｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\n.",
		out:  "&\nｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\n．",
	}, { // 4847
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "&\nｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\n．",
		out:  "&\nｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\n‛．",
	}, { // 4848
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "&\vｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\v.",
		out:  "&\vｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\v．",
	}, { // 4849
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "&\vｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\v．",
		out:  "&\vｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\v‛．",
	}, { // 4850
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "&\rｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\r.",
		out:  "&\rｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\r．",
	}, { // 4851
		mask: EncodeDel | EncodeRightPeriod | EncodeRightCrLfHtVt,
		in:   "&\rｏ\x02␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\r．",
		out:  "&\rｏ\x02‛␀␑θ］\x01Ｌβ␍eｋ␗）ιβd]＊，ε|EE｜κ\r‛．",
	}, { // 4852
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t Ｇｘ␀％\"－ς\x1cς␋Ｅｕ␉\x16T\n\x03␉\x02iμ1\x0fτ␏Ｍ \\",
		out:  "\t Ｇｘ‛␀％\"－ς\x1cς␋Ｅｕ␉\x16T\n\x03␉\x02iμ1\x0fτ␏Ｍ \\",
	}, { // 4853
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ Ｇｘ␀％\"－ς\x1cς␋Ｅｕ␉\x16T\n\x03␉\x02iμ1\x0fτ␏Ｍ \\",
		out:  "␉ Ｇｘ‛␀％\"－ς\x1cς␋Ｅｕ␉\x16T\n\x03␉\x02iμ1\x0fτ␏Ｍ \\",
	}, { // 4854
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "b Ｇｘ␀％\"－ς\x1cς␋Ｅｕ␉\x16T\n\x03␉\x02iμ1\x0fτ␏Ｍ \t",
		out:  "b Ｇｘ‛␀％\"－ς\x1cς␋Ｅｕ␉\x16T\n\x03␉\x02iμ1\x0fτ␏Ｍ ␉",
	}, { // 4855
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "b Ｇｘ␀％\"－ς\x1cς␋Ｅｕ␉\x16T\n\x03␉\x02iμ1\x0fτ␏Ｍ ␉",
		out:  "b Ｇｘ‛␀％\"－ς\x1cς␋Ｅｕ␉\x16T\n\x03␉\x02iμ1\x0fτ␏Ｍ ‛␉",
	}, { // 4856
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t βα}[\x13＇ξηW\x1cｆ␕＂／␄\b␑␍ρＩｈ-CχＫ< ^",
		out:  "\t βα}[\x13＇ξηW\x1cｆ␕＂‛／␄\b␑␍ρＩｈ-CχＫ< ^",
	}, { // 4857
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ βα}[\x13＇ξηW\x1cｆ␕＂／␄\b␑␍ρＩｈ-CχＫ< ^",
		out:  "␉ βα}[\x13＇ξηW\x1cｆ␕＂‛／␄\b␑␍ρＩｈ-CχＫ< ^",
	}, { // 4858
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "； βα}[\x13＇ξηW\x1cｆ␕＂／␄\b␑␍ρＩｈ-CχＫ< \t",
		out:  "； βα}[\x13＇ξηW\x1cｆ␕＂‛／␄\b␑␍ρＩｈ-CχＫ< ␉",
	}, { // 4859
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "； βα}[\x13＇ξηW\x1cｆ␕＂／␄\b␑␍ρＩｈ-CχＫ< ␉",
		out:  "； βα}[\x13＇ξηW\x1cｆ␕＂‛／␄\b␑␍ρＩｈ-CχＫ< ‛␉",
	}, { // 4860
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ｕ7\u007fαφ|\x1e＇\x00σ.␗\x1a␞bμ（～ＣγφＢ`i␊C ␑",
		out:  "\t ｕ7\u007fαφ|\x1e‛＇␀σ.␗\x1a␞bμ（～ＣγφＢ`i␊C ␑",
	}, { // 4861
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ｕ7\u007fαφ|\x1e＇\x00σ.␗\x1a␞bμ（～ＣγφＢ`i␊C ␑",
		out:  "␉ ｕ7\u007fαφ|\x1e‛＇␀σ.␗\x1a␞bμ（～ＣγφＢ`i␊C ␑",
	}, { // 4862
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␡ ｕ7\u007fαφ|\x1e＇\x00σ.␗\x1a␞bμ（～ＣγφＢ`i␊C \t",
		out:  "␡ ｕ7\u007fαφ|\x1e‛＇␀σ.␗\x1a␞bμ（～ＣγφＢ`i␊C ␉",
	}, { // 4863
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␡ ｕ7\u007fαφ|\x1e＇\x00σ.␗\x1a␞bμ（～ＣγφＢ`i␊C ␉",
		out:  "␡ ｕ7\u007fαφ|\x1e‛＇␀σ.␗\x1a␞bμ（～ＣγφＢ`i␊C ‛␉",
	}, { // 4864
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t 0␊Ｗ｝8z＃υ␍/０τ␡ｗψ/2κ＄Ｅ<rσ%␟␓ τ",
		out:  "\t 0␊Ｗ｝8z＃υ␍/０τ␡ｗψ/2κ＄Ｅ<rσ%␟␓ τ",
	}, { // 4865
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ 0␊Ｗ｝8z＃υ␍/０τ␡ｗψ/2κ＄Ｅ<rσ%␟␓ τ",
		out:  "␉ 0␊Ｗ｝8z＃υ␍/０τ␡ｗψ/2κ＄Ｅ<rσ%␟␓ τ",
	}, { // 4866
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "? 0␊Ｗ｝8z＃υ␍/０τ␡ｗψ/2κ＄Ｅ<rσ%␟␓ \t",
		out:  "? 0␊Ｗ｝8z＃υ␍/０τ␡ｗψ/2κ＄Ｅ<rσ%␟␓ ␉",
	}, { // 4867
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "? 0␊Ｗ｝8z＃υ␍/０τ␡ｗψ/2κ＄Ｅ<rσ%␟␓ ␉",
		out:  "? 0␊Ｗ｝8z＃υ␍/０τ␡ｗψ/2κ＄Ｅ<rσ%␟␓ ‛␉",
	}, { // 4868
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t h＞H6３␍␑κwα\r７Ｋ\b\v=\t（］'␊β＞α\bρ ␐",
		out:  "\t h‛＞H6３␍␑κwα\r７Ｋ\b\v=\t（］'␊β‛＞α\bρ ␐",
	}, { // 4869
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ h＞H6３␍␑κwα\r７Ｋ\b\v=\t（］'␊β＞α\bρ ␐",
		out:  "␉ h‛＞H6３␍␑κwα\r７Ｋ\b\v=\t（］'␊β‛＞α\bρ ␐",
	}, { // 4870
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "？ h＞H6３␍␑κwα\r７Ｋ\b\v=\t（］'␊β＞α\bρ \t",
		out:  "？ h‛＞H6３␍␑κwα\r７Ｋ\b\v=\t（］'␊β‛＞α\bρ ␉",
	}, { // 4871
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "？ h＞H6３␍␑κwα\r７Ｋ\b\v=\t（］'␊β＞α\bρ ␉",
		out:  "？ h‛＞H6３␍␑κwα\r７Ｋ\b\v=\t（］'␊β‛＞α\bρ ‛␉",
	}, { // 4872
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ez>σ␙\x01ο\x1fυ#\u007fＯ＂Zη\x03␎（＼␊␊＆χ｀＞θ （",
		out:  "\t ez>σ␙\x01ο\x1fυ#\u007fＯ＂Zη\x03␎（＼␊␊＆χ｀＞θ （",
	}, { // 4873
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ez>σ␙\x01ο\x1fυ#\u007fＯ＂Zη\x03␎（＼␊␊＆χ｀＞θ （",
		out:  "␉ ez>σ␙\x01ο\x1fυ#\u007fＯ＂Zη\x03␎（＼␊␊＆χ｀＞θ （",
	}, { // 4874
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "| ez>σ␙\x01ο\x1fυ#\u007fＯ＂Zη\x03␎（＼␊␊＆χ｀＞θ \t",
		out:  "| ez>σ␙\x01ο\x1fυ#\u007fＯ＂Zη\x03␎（＼␊␊＆χ｀＞θ ␉",
	}, { // 4875
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "| ez>σ␙\x01ο\x1fυ#\u007fＯ＂Zη\x03␎（＼␊␊＆χ｀＞θ ␉",
		out:  "| ez>σ␙\x01ο\x1fυ#\u007fＯ＂Zη\x03␎（＼␊␊＆χ｀＞θ ‛␉",
	}, { // 4876
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t >２SYψ\x17］χ␜＞δ\x01οδ␒：／/\x03ＧＪν：\x10＜Ｋ A",
		out:  "\t >２SYψ\x17］χ␜＞δ\x01οδ␒：／/\x03ＧＪν：\x10＜Ｋ A",
	}, { // 4877
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ >２SYψ\x17］χ␜＞δ\x01οδ␒：／/\x03ＧＪν：\x10＜Ｋ A",
		out:  "␉ >２SYψ\x17］χ␜＞δ\x01οδ␒：／/\x03ＧＪν：\x10＜Ｋ A",
	}, { // 4878
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "% >２SYψ\x17］χ␜＞δ\x01οδ␒：／/\x03ＧＪν：\x10＜Ｋ \t",
		out:  "% >２SYψ\x17］χ␜＞δ\x01οδ␒：／/\x03ＧＪν：\x10＜Ｋ ␉",
	}, { // 4879
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "% >２SYψ\x17］χ␜＞δ\x01οδ␒：／/\x03ＧＪν：\x10＜Ｋ ␉",
		out:  "% >２SYψ\x17］χ␜＞δ\x01οδ␒：／/\x03ＧＪν：\x10＜Ｋ ‛␉",
	}, { // 4880
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t >w＞Ｄｏιω␝ν␛λxiｗ/␈，\x100ａδ＂＼\x0eη$ Ａ",
		out:  "\t >w＞Ｄｏιω␝ν␛λxiｗ/␈，\x100ａδ＂＼\x0eη＄ Ａ",
	}, { // 4881
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ >w＞Ｄｏιω␝ν␛λxiｗ/␈，\x100ａδ＂＼\x0eη$ Ａ",
		out:  "␉ >w＞Ｄｏιω␝ν␛λxiｗ/␈，\x100ａδ＂＼\x0eη＄ Ａ",
	}, { // 4882
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "I >w＞Ｄｏιω␝ν␛λxiｗ/␈，\x100ａδ＂＼\x0eη$ \t",
		out:  "I >w＞Ｄｏιω␝ν␛λxiｗ/␈，\x100ａδ＂＼\x0eη＄ ␉",
	}, { // 4883
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "I >w＞Ｄｏιω␝ν␛λxiｗ/␈，\x100ａδ＂＼\x0eη$ ␉",
		out:  "I >w＞Ｄｏιω␝ν␛λxiｗ/␈，\x100ａδ＂＼\x0eη＄ ‛␉",
	}, { // 4884
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t λψ/#\\Ｋ␆␅\x10Q|＊／９e␝λ␍zhξｋμＰ\x1f＞ [",
		out:  "\t λψ/#\\Ｋ␆␅\x10Q|＊／９e␝λ␍zhξｋμＰ\x1f＞ [",
	}, { // 4885
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ λψ/#\\Ｋ␆␅\x10Q|＊／９e␝λ␍zhξｋμＰ\x1f＞ [",
		out:  "␉ λψ/#\\Ｋ␆␅\x10Q|＊／９e␝λ␍zhξｋμＰ\x1f＞ [",
	}, { // 4886
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "& λψ/#\\Ｋ␆␅\x10Q|＊／９e␝λ␍zhξｋμＰ\x1f＞ \t",
		out:  "& λψ/#\\Ｋ␆␅\x10Q|＊／９e␝λ␍zhξｋμＰ\x1f＞ ␉",
	}, { // 4887
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "& λψ/#\\Ｋ␆␅\x10Q|＊／９e␝λ␍zhξｋμＰ\x1f＞ ␉",
		out:  "& λψ/#\\Ｋ␆␅\x10Q|＊／９e␝λ␍zhξｋμＰ\x1f＞ ‛␉",
	}, { // 4888
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t *%␏＃Ｐ?7/ζ３\x1eη｝＼␏:D＊ς８␄σ\u007f\\＞ε b",
		out:  "\t *%␏＃Ｐ?7/ζ３\x1eη｝＼␏：D＊ς８␄σ\u007f\\＞ε b",
	}, { // 4889
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ *%␏＃Ｐ?7/ζ３\x1eη｝＼␏:D＊ς８␄σ\u007f\\＞ε b",
		out:  "␉ *%␏＃Ｐ?7/ζ３\x1eη｝＼␏：D＊ς８␄σ\u007f\\＞ε b",
	}, { // 4890
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "＼ *%␏＃Ｐ?7/ζ３\x1eη｝＼␏:D＊ς８␄σ\u007f\\＞ε \t",
		out:  "＼ *%␏＃Ｐ?7/ζ３\x1eη｝＼␏：D＊ς８␄σ\u007f\\＞ε ␉",
	}, { // 4891
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "＼ *%␏＃Ｐ?7/ζ３\x1eη｝＼␏:D＊ς８␄σ\u007f\\＞ε ␉",
		out:  "＼ *%␏＃Ｐ?7/ζ３\x1eη｝＼␏：D＊ς８␄σ\u007f\\＞ε ‛␉",
	}, { // 4892
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t τ>ψ'␆\nαＰ␈\x04␉５κ&\x1e6＠Ｌ＄\r␊Dgι,｀ ␐",
		out:  "\t τ>ψ'␆\nαＰ␈\x04␉５κ&\x1e6＠Ｌ＄\r␊Dgι,｀ ␐",
	}, { // 4893
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ τ>ψ'␆\nαＰ␈\x04␉５κ&\x1e6＠Ｌ＄\r␊Dgι,｀ ␐",
		out:  "␉ τ>ψ'␆\nαＰ␈\x04␉５κ&\x1e6＠Ｌ＄\r␊Dgι,｀ ␐",
	}, { // 4894
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "] τ>ψ'␆\nαＰ␈\x04␉５κ&\x1e6＠Ｌ＄\r␊Dgι,｀ \t",
		out:  "] τ>ψ'␆\nαＰ␈\x04␉５κ&\x1e6＠Ｌ＄\r␊Dgι,｀ ␉",
	}, { // 4895
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "] τ>ψ'␆\nαＰ␈\x04␉５κ&\x1e6＠Ｌ＄\r␊Dgι,｀ ␉",
		out:  "] τ>ψ'␆\nαＰ␈\x04␉５κ&\x1e6＠Ｌ＄\r␊Dgι,｀ ‛␉",
	}, { // 4896
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t \x0eνυ\x15＠\x17＞/␟οＴ\x1e］μｑ］2κ\x028p3␙Jｊξ Y",
		out:  "\t \x0eνυ\x15＠\x17＞/␟οＴ\x1e］μｑ］2κ\x028p3␙Jｊξ Y",
	}, { // 4897
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ \x0eνυ\x15＠\x17＞/␟οＴ\x1e］μｑ］2κ\x028p3␙Jｊξ Y",
		out:  "␉ \x0eνυ\x15＠\x17＞/␟οＴ\x1e］μｑ］2κ\x028p3␙Jｊξ Y",
	}, { // 4898
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␃ \x0eνυ\x15＠\x17＞/␟οＴ\x1e］μｑ］2κ\x028p3␙Jｊξ \t",
		out:  "␃ \x0eνυ\x15＠\x17＞/␟οＴ\x1e］μｑ］2κ\x028p3␙Jｊξ ␉",
	}, { // 4899
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␃ \x0eνυ\x15＠\x17＞/␟οＴ\x1e］μｑ］2κ\x028p3␙Jｊξ ␉",
		out:  "␃ \x0eνυ\x15＠\x17＞/␟οＴ\x1e］μｑ］2κ\x028p3␙Jｊξ ‛␉",
	}, { // 4900
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t /3ζ}\bＩ２μ｜␃［=υλw\n␅＂␕<**＃␁！］ \x1f",
		out:  "\t /3ζ}\bＩ２μ‛｜␃［=υλw\n␅＂␕<**＃␁！］ \x1f",
	}, { // 4901
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ /3ζ}\bＩ２μ｜␃［=υλw\n␅＂␕<**＃␁！］ \x1f",
		out:  "␉ /3ζ}\bＩ２μ‛｜␃［=υλw\n␅＂␕<**＃␁！］ \x1f",
	}, { // 4902
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "ο /3ζ}\bＩ２μ｜␃［=υλw\n␅＂␕<**＃␁！］ \t",
		out:  "ο /3ζ}\bＩ２μ‛｜␃［=υλw\n␅＂␕<**＃␁！］ ␉",
	}, { // 4903
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "ο /3ζ}\bＩ２μ｜␃［=υλw\n␅＂␕<**＃␁！］ ␉",
		out:  "ο /3ζ}\bＩ２μ‛｜␃［=υλw\n␅＂␕<**＃␁！］ ‛␉",
	}, { // 4904
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t ｉσιν'J~μ\x05οＲ␙␇*２␑\x02Ａ␇>＇*ζＯj＊ l",
		out:  "\t ｉσιν'J~μ\x05οＲ␙␇*２␑\x02Ａ␇>＇*ζＯj＊ l",
	}, { // 4905
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ ｉσιν'J~μ\x05οＲ␙␇*２␑\x02Ａ␇>＇*ζＯj＊ l",
		out:  "␉ ｉσιν'J~μ\x05οＲ␙␇*２␑\x02Ａ␇>＇*ζＯj＊ l",
	}, { // 4906
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "! ｉσιν'J~μ\x05οＲ␙␇*２␑\x02Ａ␇>＇*ζＯj＊ \t",
		out:  "! ｉσιν'J~μ\x05οＲ␙␇*２␑\x02Ａ␇>＇*ζＯj＊ ␉",
	}, { // 4907
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "! ｉσιν'J~μ\x05οＲ␙␇*２␑\x02Ａ␇>＇*ζＯj＊ ␉",
		out:  "! ｉσιν'J~μ\x05οＲ␙␇*２␑\x02Ａ␇>＇*ζＯj＊ ‛␉",
	}, { // 4908
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t νφο␆.σ\x1b[ξj␏␋\x028␞５g-Ｖ␊$Cο２ｕＺ \x0f",
		out:  "\t νφο␆.σ\x1b[ξj␏␋\x028␞５g-Ｖ␊$Cο２ｕＺ \x0f",
	}, { // 4909
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ νφο␆.σ\x1b[ξj␏␋\x028␞５g-Ｖ␊$Cο２ｕＺ \x0f",
		out:  "␉ νφο␆.σ\x1b[ξj␏␋\x028␞５g-Ｖ␊$Cο２ｕＺ \x0f",
	}, { // 4910
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x16 νφο␆.σ\x1b[ξj␏␋\x028␞５g-Ｖ␊$Cο２ｕＺ \t",
		out:  "\x16 νφο␆.σ\x1b[ξj␏␋\x028␞５g-Ｖ␊$Cο２ｕＺ ␉",
	}, { // 4911
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x16 νφο␆.σ\x1b[ξj␏␋\x028␞５g-Ｖ␊$Cο２ｕＺ ␉",
		out:  "\x16 νφο␆.σ\x1b[ξj␏␋\x028␞５g-Ｖ␊$Cο２ｕＺ ‛␉",
	}, { // 4912
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t |；α␉ζLｑλξ␝qfθ％＄H\\ｆ４\x1cτ␋＠]\v３ F",
		out:  "\t |；α␉ζLｑλξ␝qfθ％＄H＼ｆ４\x1cτ␋＠]\v３ F",
	}, { // 4913
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ |；α␉ζLｑλξ␝qfθ％＄H\\ｆ４\x1cτ␋＠]\v３ F",
		out:  "␉ |；α␉ζLｑλξ␝qfθ％＄H＼ｆ４\x1cτ␋＠]\v３ F",
	}, { // 4914
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x19 |；α␉ζLｑλξ␝qfθ％＄H\\ｆ４\x1cτ␋＠]\v３ \t",
		out:  "\x19 |；α␉ζLｑλξ␝qfθ％＄H＼ｆ４\x1cτ␋＠]\v３ ␉",
	}, { // 4915
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\x19 |；α␉ζLｑλξ␝qfθ％＄H\\ｆ４\x1cτ␋＠]\v３ ␉",
		out:  "\x19 |；α␉ζLｑλξ␝qfθ％＄H＼ｆ４\x1cτ␋＠]\v３ ‛␉",
	}, { // 4916
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "\t Pψ＾｀␉\x1d\v␟Eλｐ␍!ξ␃δ*\\ｐ␊／3\x10:\x10η ␙",
		out:  "\t Pψ＾｀␉\x1d\v␟Eλｐ␍!ξ␃δ*\\ｐ␊／3\x10:\x10η ␙",
	}, { // 4917
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "␉ Pψ＾｀␉\x1d\v␟Eλｐ␍!ξ␃δ*\\ｐ␊／3\x10:\x10η ␙",
		out:  "␉ Pψ＾｀␉\x1d\v␟Eλｐ␍!ξ␃δ*\\ｐ␊／3\x10:\x10η ␙",
	}, { // 4918
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "κ Pψ＾｀␉\x1d\v␟Eλｐ␍!ξ␃δ*\\ｐ␊／3\x10:\x10η \t",
		out:  "κ Pψ＾｀␉\x1d\v␟Eλｐ␍!ξ␃δ*\\ｐ␊／3\x10:\x10η ␉",
	}, { // 4919
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftSpace,
		in:   "κ Pψ＾｀␉\x1d\v␟Eλｐ␍!ξ␃δ*\\ｐ␊／3\x10:\x10η ␉",
		out:  "κ Pψ＾｀␉\x1d\v␟Eλｐ␍!ξ␃δ*\\ｐ␊／3\x10:\x10η ‛␉",
	}, { // 4920
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.?？␙Ｄο\n␒|γ=␔$δｋＺＪS１\x17$＼ψ\nqXG.＊",
		out:  "\t.?？␙Ｄο\n␒|γ=␔$δｋＺＪS１\x17$＼ψ\nqXG.＊",
	}, { // 4921
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.?？␙Ｄο\n␒|γ=␔$δｋＺＪS１\x17$＼ψ\nqXG.＊",
		out:  "␉.?？␙Ｄο\n␒|γ=␔$δｋＺＪS１\x17$＼ψ\nqXG.＊",
	}, { // 4922
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "＃.?？␙Ｄο\n␒|γ=␔$δｋＺＪS１\x17$＼ψ\nqXG.\t",
		out:  "＃.?？␙Ｄο\n␒|γ=␔$δｋＺＪS１\x17$＼ψ\nqXG.␉",
	}, { // 4923
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "＃.?？␙Ｄο\n␒|γ=␔$δｋＺＪS１\x17$＼ψ\nqXG.␉",
		out:  "＃.?？␙Ｄο\n␒|γ=␔$δｋＺＪS１\x17$＼ψ\nqXG.‛␉",
	}, { // 4924
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.␖␈␁α／－\u007f*%＋ｂζψ\x11\x14@；ψa＾9_C␅χE.␆",
		out:  "\t.␖␈␁α‛／－\u007f*%＋ｂζψ\x11\x14@；ψa＾9_C␅χE.␆",
	}, { // 4925
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.␖␈␁α／－\u007f*%＋ｂζψ\x11\x14@；ψa＾9_C␅χE.␆",
		out:  "␉.␖␈␁α‛／－\u007f*%＋ｂζψ\x11\x14@；ψa＾9_C␅χE.␆",
	}, { // 4926
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ι.␖␈␁α／－\u007f*%＋ｂζψ\x11\x14@；ψa＾9_C␅χE.\t",
		out:  "ι.␖␈␁α‛／－\u007f*%＋ｂζψ\x11\x14@；ψa＾9_C␅χE.␉",
	}, { // 4927
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ι.␖␈␁α／－\u007f*%＋ｂζψ\x11\x14@；ψa＾9_C␅χE.␉",
		out:  "ι.␖␈␁α‛／－\u007f*%＋ｂζψ\x11\x14@；ψa＾9_C␅χE.‛␉",
	}, { // 4928
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.:＄\x1d＋ｔ$/κ\x1eOαζｘ\a］δ␡␎οA#λn\x02］␘.Ｕ",
		out:  "\t.:＄\x1d＋ｔ$/κ\x1eOαζｘ\a］δ␡␎οA#λn\x02］␘.Ｕ",
	}, { // 4929
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.:＄\x1d＋ｔ$/κ\x1eOαζｘ\a］δ␡␎οA#λn\x02］␘.Ｕ",
		out:  "␉.:＄\x1d＋ｔ$/κ\x1eOαζｘ\a］δ␡␎οA#λn\x02］␘.Ｕ",
	}, { // 4930
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "e.:＄\x1d＋ｔ$/κ\x1eOαζｘ\a］δ␡␎οA#λn\x02］␘.\t",
		out:  "e.:＄\x1d＋ｔ$/κ\x1eOαζｘ\a］δ␡␎οA#λn\x02］␘.␉",
	}, { // 4931
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "e.:＄\x1d＋ｔ$/κ\x1eOαζｘ\a］δ␡␎οA#λn\x02］␘.␉",
		out:  "e.:＄\x1d＋ｔ$/κ\x1eOαζｘ\a］δ␡␎οA#λn\x02］␘.‛␉",
	}, { // 4932
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ςο␂~:σ␜␎＂_γL］^\x18\x17０λ\x1dｘ\uff00ｆ\x13χ␄\x01.1",
		out:  "\t.ςο␂~:σ␜␎＂_γL］^\x18\x17０λ\x1dｘ\uff00ｆ\x13χ␄\x01.1",
	}, { // 4933
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ςο␂~:σ␜␎＂_γL］^\x18\x17０λ\x1dｘ\uff00ｆ\x13χ␄\x01.1",
		out:  "␉.ςο␂~:σ␜␎＂_γL］^\x18\x17０λ\x1dｘ\uff00ｆ\x13χ␄\x01.1",
	}, { // 4934
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "y.ςο␂~:σ␜␎＂_γL］^\x18\x17０λ\x1dｘ\uff00ｆ\x13χ␄\x01.\t",
		out:  "y.ςο␂~:σ␜␎＂_γL］^\x18\x17０λ\x1dｘ\uff00ｆ\x13χ␄\x01.␉",
	}, { // 4935
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "y.ςο␂~:σ␜␎＂_γL］^\x18\x17０λ\x1dｘ\uff00ｆ\x13χ␄\x01.␉",
		out:  "y.ςο␂~:σ␜␎＂_γL］^\x18\x17０λ\x1dｘ\uff00ｆ\x13χ␄\x01.‛␉",
	}, { // 4936
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.Kψωτ␌C９␗｜0υ\u007f␐／\x1e␌π％\x15pＹ;Ｆ\f\x0fL.ｋ",
		out:  "\t.Kψωτ␌C９␗｜0υ\u007f␐／\x1e␌π％\x15pＹ;Ｆ\f\x0fL.ｋ",
	}, { // 4937
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.Kψωτ␌C９␗｜0υ\u007f␐／\x1e␌π％\x15pＹ;Ｆ\f\x0fL.ｋ",
		out:  "␉.Kψωτ␌C９␗｜0υ\u007f␐／\x1e␌π％\x15pＹ;Ｆ\f\x0fL.ｋ",
	}, { // 4938
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "λ.Kψωτ␌C９␗｜0υ\u007f␐／\x1e␌π％\x15pＹ;Ｆ\f\x0fL.\t",
		out:  "λ.Kψωτ␌C９␗｜0υ\u007f␐／\x1e␌π％\x15pＹ;Ｆ\f\x0fL.␉",
	}, { // 4939
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "λ.Kψωτ␌C９␗｜0υ\u007f␐／\x1e␌π％\x15pＹ;Ｆ\f\x0fL.␉",
		out:  "λ.Kψωτ␌C９␗｜0υ\u007f␐／\x1e␌π％\x15pＹ;Ｆ\f\x0fL.‛␉",
	}, { // 4940
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.３λ＇Eγ'εL_U␊６／[＼\f␀Ｎ\x00␟θ\x03y\x1eν\x1a.６",
		out:  "\t.３λ＇Eγ'εL_U␊６／［＼\f‛␀Ｎ␀␟θ\x03y\x1eν\x1a.６",
	}, { // 4941
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.３λ＇Eγ'εL_U␊６／[＼\f␀Ｎ\x00␟θ\x03y\x1eν\x1a.６",
		out:  "␉.３λ＇Eγ'εL_U␊６／［＼\f‛␀Ｎ␀␟θ\x03y\x1eν\x1a.６",
	}, { // 4942
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ι.３λ＇Eγ'εL_U␊６／[＼\f␀Ｎ\x00␟θ\x03y\x1eν\x1a.\t",
		out:  "ι.３λ＇Eγ'εL_U␊６／［＼\f‛␀Ｎ␀␟θ\x03y\x1eν\x1a.␉",
	}, { // 4943
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "ι.３λ＇Eγ'εL_U␊６／[＼\f␀Ｎ\x00␟θ\x03y\x1eν\x1a.␉",
		out:  "ι.３λ＇Eγ'εL_U␊６／［＼\f‛␀Ｎ␀␟θ\x03y\x1eν\x1a.‛␉",
	}, { // 4944
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ｙ\x14␋｜qεｏ␝\\\\\x04θ＄Ex`ＺＦσ\rχ＠␟＼)\x00.ν",
		out:  "\t.ｙ\x14␋｜qεｏ␝\\\\\x04θ＄Ex`ＺＦσ\rχ＠␟＼)␀.ν",
	}, { // 4945
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ｙ\x14␋｜qεｏ␝\\\\\x04θ＄Ex`ＺＦσ\rχ＠␟＼)\x00.ν",
		out:  "␉.ｙ\x14␋｜qεｏ␝\\\\\x04θ＄Ex`ＺＦσ\rχ＠␟＼)␀.ν",
	}, { // 4946
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␞.ｙ\x14␋｜qεｏ␝\\\\\x04θ＄Ex`ＺＦσ\rχ＠␟＼)\x00.\t",
		out:  "␞.ｙ\x14␋｜qεｏ␝\\\\\x04θ＄Ex`ＺＦσ\rχ＠␟＼)␀.␉",
	}, { // 4947
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␞.ｙ\x14␋｜qεｏ␝\\\\\x04θ＄Ex`ＺＦσ\rχ＠␟＼)\x00.␉",
		out:  "␞.ｙ\x14␋｜qεｏ␝\\\\\x04θ＄Ex`ＺＦσ\rχ＠␟＼)␀.‛␉",
	}, { // 4948
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.χ[␅Nφβb！␁#^\v＇\x03␋␎π！η\x10φＳｗ６␍\n.!",
		out:  "\t.χ[␅Nφβb！␁#^\v＇\x03␋␎π！η\x10φＳｗ６␍\n.!",
	}, { // 4949
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.χ[␅Nφβb！␁#^\v＇\x03␋␎π！η\x10φＳｗ６␍\n.!",
		out:  "␉.χ[␅Nφβb！␁#^\v＇\x03␋␎π！η\x10φＳｗ６␍\n.!",
	}, { // 4950
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "|.χ[␅Nφβb！␁#^\v＇\x03␋␎π！η\x10φＳｗ６␍\n.\t",
		out:  "|.χ[␅Nφβb！␁#^\v＇\x03␋␎π！η\x10φＳｗ６␍\n.␉",
	}, { // 4951
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "|.χ[␅Nφβb！␁#^\v＇\x03␋␎π！η\x10φＳｗ６␍\n.␉",
		out:  "|.χ[␅Nφβb！␁#^\v＇\x03␋␎π！η\x10φＳｗ６␍\n.‛␉",
	}, { // 4952
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\x18＾`＃5κ\aｋςSδ\u007f\x14＜ζξ[υ\x02ＯN␁␍／cＧ.␖",
		out:  "\t.\x18＾`＃5κ\aｋςSδ\u007f\x14＜ζξ[υ\x02ＯN␁␍／cＧ.␖",
	}, { // 4953
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\x18＾`＃5κ\aｋςSδ\u007f\x14＜ζξ[υ\x02ＯN␁␍／cＧ.␖",
		out:  "␉.\x18＾`＃5κ\aｋςSδ\u007f\x14＜ζξ[υ\x02ＯN␁␍／cＧ.␖",
	}, { // 4954
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "＄.\x18＾`＃5κ\aｋςSδ\u007f\x14＜ζξ[υ\x02ＯN␁␍／cＧ.\t",
		out:  "＄.\x18＾`＃5κ\aｋςSδ\u007f\x14＜ζξ[υ\x02ＯN␁␍／cＧ.␉",
	}, { // 4955
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "＄.\x18＾`＃5κ\aｋςSδ\u007f\x14＜ζξ[υ\x02ＯN␁␍／cＧ.␉",
		out:  "＄.\x18＾`＃5κ\aｋςSδ\u007f\x14＜ζξ[υ\x02ＯN␁␍／cＧ.‛␉",
	}, { // 4956
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.θ｀\x04a#ｅμＤ\x1f␙\n␒｀␐4＋ＳωｕνＧ:β^␕U.\n",
		out:  "\t.θ｀\x04a#ｅμＤ\x1f␙\n␒｀␐4＋ＳωｕνＧ：β^␕U.␊",
	}, { // 4957
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.θ｀\x04a#ｅμＤ\x1f␙\n␒｀␐4＋ＳωｕνＧ:β^␕U.\n",
		out:  "␉.θ｀\x04a#ｅμＤ\x1f␙\n␒｀␐4＋ＳωｕνＧ：β^␕U.␊",
	}, { // 4958
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "δ.θ｀\x04a#ｅμＤ\x1f␙\n␒｀␐4＋ＳωｕνＧ:β^␕U.\t",
		out:  "δ.θ｀\x04a#ｅμＤ\x1f␙\n␒｀␐4＋ＳωｕνＧ：β^␕U.␉",
	}, { // 4959
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "δ.θ｀\x04a#ｅμＤ\x1f␙\n␒｀␐4＋ＳωｕνＧ:β^␕U.␉",
		out:  "δ.θ｀\x04a#ｅμＤ\x1f␙\n␒｀␐4＋ＳωｕνＧ：β^␕U.‛␉",
	}, { // 4960
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.２$/\x05；␐％Ｇf\x05ψ＞＿θF␉$ωr␟β#\x18ς␁［.σ",
		out:  "\t.２$/\x05；␐％Ｇf\x05ψ＞＿θF␉$ωr␟β#\x18ς␁［.σ",
	}, { // 4961
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.２$/\x05；␐％Ｇf\x05ψ＞＿θF␉$ωr␟β#\x18ς␁［.σ",
		out:  "␉.２$/\x05；␐％Ｇf\x05ψ＞＿θF␉$ωr␟β#\x18ς␁［.σ",
	}, { // 4962
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "F.２$/\x05；␐％Ｇf\x05ψ＞＿θF␉$ωr␟β#\x18ς␁［.\t",
		out:  "F.２$/\x05；␐％Ｇf\x05ψ＞＿θF␉$ωr␟β#\x18ς␁［.␉",
	}, { // 4963
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "F.２$/\x05；␐％Ｇf\x05ψ＞＿θF␉$ωr␟β#\x18ς␁［.␉",
		out:  "F.２$/\x05；␐％Ｇf\x05ψ＞＿θF␉$ωr␟β#\x18ς␁［.‛␉",
	}, { // 4964
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.\\＇&␗$Ｈ\x1c␎ｆξ␊ω４ε；<Ｋσ\x04mrψｚψ&%.\x15",
		out:  "\t.\\＇&␗$Ｈ\x1c␎ｆξ␊ω４ε；<Ｋσ\x04mrψｚψ&%.\x15",
	}, { // 4965
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.\\＇&␗$Ｈ\x1c␎ｆξ␊ω４ε；<Ｋσ\x04mrψｚψ&%.\x15",
		out:  "␉.\\＇&␗$Ｈ\x1c␎ｆξ␊ω４ε；<Ｋσ\x04mrψｚψ&%.\x15",
	}, { // 4966
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "５.\\＇&␗$Ｈ\x1c␎ｆξ␊ω４ε；<Ｋσ\x04mrψｚψ&%.\t",
		out:  "５.\\＇&␗$Ｈ\x1c␎ｆξ␊ω４ε；<Ｋσ\x04mrψｚψ&%.␉",
	}, { // 4967
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "５.\\＇&␗$Ｈ\x1c␎ｆξ␊ω４ε；<Ｋσ\x04mrψｚψ&%.␉",
		out:  "５.\\＇&␗$Ｈ\x1c␎ｆξ␊ω４ε；<Ｋσ\x04mrψｚψ&%.‛␉",
	}, { // 4968
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.～&τξ␈８Ｙτ\x1d＄\x12；Ｏd\x1eＪ\x0eε␊6\x1e\x1fＱF］;.ρ",
		out:  "\t.～&τξ␈８Ｙτ\x1d＄\x12；Ｏd\x1eＪ\x0eε␊6\x1e\x1fＱF］;.ρ",
	}, { // 4969
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.～&τξ␈８Ｙτ\x1d＄\x12；Ｏd\x1eＪ\x0eε␊6\x1e\x1fＱF］;.ρ",
		out:  "␉.～&τξ␈８Ｙτ\x1d＄\x12；Ｏd\x1eＪ\x0eε␊6\x1e\x1fＱF］;.ρ",
	}, { // 4970
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "u.～&τξ␈８Ｙτ\x1d＄\x12；Ｏd\x1eＪ\x0eε␊6\x1e\x1fＱF］;.\t",
		out:  "u.～&τξ␈８Ｙτ\x1d＄\x12；Ｏd\x1eＪ\x0eε␊6\x1e\x1fＱF］;.␉",
	}, { // 4971
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "u.～&τξ␈８Ｙτ\x1d＄\x12；Ｏd\x1eＪ\x0eε␊6\x1e\x1fＱF］;.␉",
		out:  "u.～&τξ␈８Ｙτ\x1d＄\x12；Ｏd\x1eＪ\x0eε␊6\x1e\x1fＱF］;.‛␉",
	}, { // 4972
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.γφ␐␉\v/Zｉ／？ｓψR;␞\x1c\nｋD␎\x12b\x06ευ<.ξ",
		out:  "\t.γφ␐␉\v/Zｉ／？ｓψR;␞\x1c\nｋD␎\x12b\x06ευ<.ξ",
	}, { // 4973
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.γφ␐␉\v/Zｉ／？ｓψR;␞\x1c\nｋD␎\x12b\x06ευ<.ξ",
		out:  "␉.γφ␐␉\v/Zｉ／？ｓψR;␞\x1c\nｋD␎\x12b\x06ευ<.ξ",
	}, { // 4974
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "，.γφ␐␉\v/Zｉ／？ｓψR;␞\x1c\nｋD␎\x12b\x06ευ<.\t",
		out:  "，.γφ␐␉\v/Zｉ／？ｓψR;␞\x1c\nｋD␎\x12b\x06ευ<.␉",
	}, { // 4975
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "，.γφ␐␉\v/Zｉ／？ｓψR;␞\x1c\nｋD␎\x12b\x06ευ<.␉",
		out:  "，.γφ␐␉\v/Zｉ／？ｓψR;␞\x1c\nｋD␎\x12b\x06ευ<.‛␉",
	}, { // 4976
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.Ｃ＃＠σ＂ζzλ#ο／＼ｌ1Z？␐\x1cｉ\x1bｗ%,φ}\x1a./",
		out:  "\t.Ｃ＃＠σ＂ζzλ#ο／＼ｌ1Z？␐\x1cｉ\x1bｗ％,φ}\x1a./",
	}, { // 4977
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.Ｃ＃＠σ＂ζzλ#ο／＼ｌ1Z？␐\x1cｉ\x1bｗ%,φ}\x1a./",
		out:  "␉.Ｃ＃＠σ＂ζzλ#ο／＼ｌ1Z？␐\x1cｉ\x1bｗ％,φ}\x1a./",
	}, { // 4978
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "π.Ｃ＃＠σ＂ζzλ#ο／＼ｌ1Z？␐\x1cｉ\x1bｗ%,φ}\x1a.\t",
		out:  "π.Ｃ＃＠σ＂ζzλ#ο／＼ｌ1Z？␐\x1cｉ\x1bｗ％,φ}\x1a.␉",
	}, { // 4979
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "π.Ｃ＃＠σ＂ζzλ#ο／＼ｌ1Z？␐\x1cｉ\x1bｗ%,φ}\x1a.␉",
		out:  "π.Ｃ＃＠σ＂ζzλ#ο／＼ｌ1Z？␐\x1cｉ\x1bｗ％,φ}\x1a.‛␉",
	}, { // 4980
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.ς\x01Ｂ；\x15κ－\x1d|ｗ␖＜␉\f＼ρ#μ␈I＄ｖKθqX.y",
		out:  "\t.ς\x01Ｂ；\x15κ－\x1d|ｗ␖＜␉\f‛＼ρ#μ␈I＄ｖKθqX.y",
	}, { // 4981
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.ς\x01Ｂ；\x15κ－\x1d|ｗ␖＜␉\f＼ρ#μ␈I＄ｖKθqX.y",
		out:  "␉.ς\x01Ｂ；\x15κ－\x1d|ｗ␖＜␉\f‛＼ρ#μ␈I＄ｖKθqX.y",
	}, { // 4982
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "_.ς\x01Ｂ；\x15κ－\x1d|ｗ␖＜␉\f＼ρ#μ␈I＄ｖKθqX.\t",
		out:  "_.ς\x01Ｂ；\x15κ－\x1d|ｗ␖＜␉\f‛＼ρ#μ␈I＄ｖKθqX.␉",
	}, { // 4983
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "_.ς\x01Ｂ；\x15κ－\x1d|ｗ␖＜␉\f＼ρ#μ␈I＄ｖKθqX.␉",
		out:  "_.ς\x01Ｂ；\x15κ－\x1d|ｗ␖＜␉\f‛＼ρ#μ␈I＄ｖKθqX.‛␉",
	}, { // 4984
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "\t.5βg␃μ␕４ｔ␛x\x18\x10｀φη\\␅␒+␛\t$sｏ\x15ξ.ς",
		out:  "\t.5βg␃μ␕４ｔ␛x\x18\x10｀φη\\␅␒+␛\t$sｏ\x15ξ.ς",
	}, { // 4985
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   "␉.5βg␃μ␕４ｔ␛x\x18\x10｀φη\\␅␒+␛\t$sｏ\x15ξ.ς",
		out:  "␉.5βg␃μ␕４ｔ␛x\x18\x10｀φη\\␅␒+␛\t$sｏ\x15ξ.ς",
	}, { // 4986
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   " .5βg␃μ␕４ｔ␛x\x18\x10｀φη\\␅␒+␛\t$sｏ\x15ξ.\t",
		out:  " .5βg␃μ␕４ｔ␛x\x18\x10｀φη\\␅␒+␛\t$sｏ\x15ξ.␉",
	}, { // 4987
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftPeriod,
		in:   " .5βg␃μ␕４ｔ␛x\x18\x10｀φη\\␅␒+␛\t$sｏ\x15ξ.␉",
		out:  " .5βg␃μ␕４ｔ␛x\x18\x10｀φη\\␅␒+␛\t$sｏ\x15ξ.‛␉",
	}, { // 4988
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~-ι␋␓\r\a9<）ＷＤk９␒Ｑυｚ｜␜κλ␊\x03>ζ!~M",
		out:  "\t~-ι␋␓\r\a9<）ＷＤk９␒Ｑυｚ｜␜κλ␊\x03>ζ!~M",
	}, { // 4989
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~-ι␋␓\r\a9<）ＷＤk９␒Ｑυｚ｜␜κλ␊\x03>ζ!~M",
		out:  "␉~-ι␋␓\r\a9<）ＷＤk９␒Ｑυｚ｜␜κλ␊\x03>ζ!~M",
	}, { // 4990
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x17~-ι␋␓\r\a9<）ＷＤk９␒Ｑυｚ｜␜κλ␊\x03>ζ!~\t",
		out:  "\x17~-ι␋␓\r\a9<）ＷＤk９␒Ｑυｚ｜␜κλ␊\x03>ζ!~␉",
	}, { // 4991
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x17~-ι␋␓\r\a9<）ＷＤk９␒Ｑυｚ｜␜κλ␊\x03>ζ!~␉",
		out:  "\x17~-ι␋␓\r\a9<）ＷＤk９␒Ｑυｚ｜␜κλ␊\x03>ζ!~‛␉",
	}, { // 4992
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~＞<ｚ|\b␔ｎ!cη^μμ；？␂＜\f|\r␙S4ξ␉[~８",
		out:  "\t~＞<ｚ|\b␔ｎ!cη^μμ；？␂＜\f|\r␙S4ξ␉[~８",
	}, { // 4993
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~＞<ｚ|\b␔ｎ!cη^μμ；？␂＜\f|\r␙S4ξ␉[~８",
		out:  "␉~＞<ｚ|\b␔ｎ!cη^μμ；？␂＜\f|\r␙S4ξ␉[~８",
	}, { // 4994
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "｀~＞<ｚ|\b␔ｎ!cη^μμ；？␂＜\f|\r␙S4ξ␉[~\t",
		out:  "｀~＞<ｚ|\b␔ｎ!cη^μμ；？␂＜\f|\r␙S4ξ␉[~␉",
	}, { // 4995
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "｀~＞<ｚ|\b␔ｎ!cη^μμ；？␂＜\f|\r␙S4ξ␉[~␉",
		out:  "｀~＞<ｚ|\b␔ｎ!cη^μμ；？␂＜\f|\r␙S4ξ␉[~‛␉",
	}, { // 4996
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~Ｈ␋＇\x11Jι␃;\x1c␞;９eaζηL＝｜β％τ2\x1eβ％~Ｘ",
		out:  "\t~Ｈ␋‛＇\x11Jι␃;\x1c␞;９eaζηL＝｜β％τ2\x1eβ％~Ｘ",
	}, { // 4997
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~Ｈ␋＇\x11Jι␃;\x1c␞;９eaζηL＝｜β％τ2\x1eβ％~Ｘ",
		out:  "␉~Ｈ␋‛＇\x11Jι␃;\x1c␞;９eaζηL＝｜β％τ2\x1eβ％~Ｘ",
	}, { // 4998
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "`~Ｈ␋＇\x11Jι␃;\x1c␞;９eaζηL＝｜β％τ2\x1eβ％~\t",
		out:  "`~Ｈ␋‛＇\x11Jι␃;\x1c␞;９eaζηL＝｜β％τ2\x1eβ％~␉",
	}, { // 4999
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "`~Ｈ␋＇\x11Jι␃;\x1c␞;９eaζηL＝｜β％τ2\x1eβ％~␉",
		out:  "`~Ｈ␋‛＇\x11Jι␃;\x1c␞;９eaζηL＝｜β％τ2\x1eβ％~‛␉",
	}, { // 5000
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~χ':9＂\x10］μ>β\x01␇?tＬ[␄［4ｐδ＜０ζ9λ~＊",
		out:  "\t~χ':9＂\x10］μ>β\x01␇?tＬ[␄［4ｐδ＜０ζ9λ~＊",
	}, { // 5001
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~χ':9＂\x10］μ>β\x01␇?tＬ[␄［4ｐδ＜０ζ9λ~＊",
		out:  "␉~χ':9＂\x10］μ>β\x01␇?tＬ[␄［4ｐδ＜０ζ9λ~＊",
	}, { // 5002
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\f~χ':9＂\x10］μ>β\x01␇?tＬ[␄［4ｐδ＜０ζ9λ~\t",
		out:  "\f~χ':9＂\x10］μ>β\x01␇?tＬ[␄［4ｐδ＜０ζ9λ~␉",
	}, { // 5003
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\f~χ':9＂\x10］μ>β\x01␇?tＬ[␄［4ｐδ＜０ζ9λ~␉",
		out:  "\f~χ':9＂\x10］μ>β\x01␇?tＬ[␄［4ｐδ＜０ζ9λ~‛␉",
	}, { // 5004
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~|ν␍｜βψ␝\x03ｍ␔＞ς＿M\x02η␑l\x10-｛\x11Y）\x119~<",
		out:  "\t~|ν␍｜βψ␝\x03ｍ␔‛＞ς＿M\x02η␑l\x10-｛\x11Y）\x119~＜",
	}, { // 5005
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~|ν␍｜βψ␝\x03ｍ␔＞ς＿M\x02η␑l\x10-｛\x11Y）\x119~<",
		out:  "␉~|ν␍｜βψ␝\x03ｍ␔‛＞ς＿M\x02η␑l\x10-｛\x11Y）\x119~＜",
	}, { // 5006
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "．~|ν␍｜βψ␝\x03ｍ␔＞ς＿M\x02η␑l\x10-｛\x11Y）\x119~\t",
		out:  "．~|ν␍｜βψ␝\x03ｍ␔‛＞ς＿M\x02η␑l\x10-｛\x11Y）\x119~␉",
	}, { // 5007
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "．~|ν␍｜βψ␝\x03ｍ␔＞ς＿M\x02η␑l\x10-｛\x11Y）\x119~␉",
		out:  "．~|ν␍｜βψ␝\x03ｍ␔‛＞ς＿M\x02η␑l\x10-｛\x11Y）\x119~‛␉",
	}, { // 5008
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~αAυ␗μ␘N\x03；\x02ｐβ－\x17Ｐnν␗0&ｃ８ｅ␞γ\r~＂",
		out:  "\t~αAυ␗μ␘N\x03；\x02ｐβ－\x17Ｐnν␗0&ｃ８ｅ␞γ\r~＂",
	}, { // 5009
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~αAυ␗μ␘N\x03；\x02ｐβ－\x17Ｐnν␗0&ｃ８ｅ␞γ\r~＂",
		out:  "␉~αAυ␗μ␘N\x03；\x02ｐβ－\x17Ｐnν␗0&ｃ８ｅ␞γ\r~＂",
	}, { // 5010
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\n~αAυ␗μ␘N\x03；\x02ｐβ－\x17Ｐnν␗0&ｃ８ｅ␞γ\r~\t",
		out:  "\n~αAυ␗μ␘N\x03；\x02ｐβ－\x17Ｐnν␗0&ｃ８ｅ␞γ\r~␉",
	}, { // 5011
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\n~αAυ␗μ␘N\x03；\x02ｐβ－\x17Ｐnν␗0&ｃ８ｅ␞γ\r~␉",
		out:  "\n~αAυ␗μ␘N\x03；\x02ｐβ－\x17Ｐnν␗0&ｃ８ｅ␞γ\r~‛␉",
	}, { // 5012
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\x14)ψ\x0f␎ｏ␎\x04σ␑;｀ς+C␊ε＃ｒ～sC␞\u007ftν~ｔ",
		out:  "\t~\x14)ψ\x0f␎ｏ␎\x04σ␑；｀ς+C␊ε＃ｒ～sC␞\u007ftν~ｔ",
	}, { // 5013
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\x14)ψ\x0f␎ｏ␎\x04σ␑;｀ς+C␊ε＃ｒ～sC␞\u007ftν~ｔ",
		out:  "␉~\x14)ψ\x0f␎ｏ␎\x04σ␑；｀ς+C␊ε＃ｒ～sC␞\u007ftν~ｔ",
	}, { // 5014
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␈~\x14)ψ\x0f␎ｏ␎\x04σ␑;｀ς+C␊ε＃ｒ～sC␞\u007ftν~\t",
		out:  "␈~\x14)ψ\x0f␎ｏ␎\x04σ␑；｀ς+C␊ε＃ｒ～sC␞\u007ftν~␉",
	}, { // 5015
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␈~\x14)ψ\x0f␎ｏ␎\x04σ␑;｀ς+C␊ε＃ｒ～sC␞\u007ftν~␉",
		out:  "␈~\x14)ψ\x0f␎ｏ␎\x04σ␑；｀ς+C␊ε＃ｒ～sC␞\u007ftν~‛␉",
	}, { // 5016
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~Ｃoροａ\a｜\n;＊Z␇ξ９ς␟ｈ␄＜ξe４#u\x1c\x01~\x06",
		out:  "\t~Ｃoροａ\a｜\n;＊Z␇ξ９ς␟ｈ␄＜ξe４#u\x1c\x01~\x06",
	}, { // 5017
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~Ｃoροａ\a｜\n;＊Z␇ξ９ς␟ｈ␄＜ξe４#u\x1c\x01~\x06",
		out:  "␉~Ｃoροａ\a｜\n;＊Z␇ξ９ς␟ｈ␄＜ξe４#u\x1c\x01~\x06",
	}, { // 5018
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x02~Ｃoροａ\a｜\n;＊Z␇ξ９ς␟ｈ␄＜ξe４#u\x1c\x01~\t",
		out:  "\x02~Ｃoροａ\a｜\n;＊Z␇ξ９ς␟ｈ␄＜ξe４#u\x1c\x01~␉",
	}, { // 5019
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\x02~Ｃoροａ\a｜\n;＊Z␇ξ９ς␟ｈ␄＜ξe４#u\x1c\x01~␉",
		out:  "\x02~Ｃoροａ\a｜\n;＊Z␇ξ９ς␟ｈ␄＜ξe４#u\x1c\x01~‛␉",
	}, { // 5020
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~μαｊｘ\x0e␌rωＹ\r;；，－?ｂ0␄χε␙τ2t]␐~␜",
		out:  "\t~μαｊｘ\x0e␌rωＹ\r;；，－?ｂ0␄χε␙τ2t]␐~␜",
	}, { // 5021
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~μαｊｘ\x0e␌rωＹ\r;；，－?ｂ0␄χε␙τ2t]␐~␜",
		out:  "␉~μαｊｘ\x0e␌rωＹ\r;；，－?ｂ0␄χε␙τ2t]␐~␜",
	}, { // 5022
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "h~μαｊｘ\x0e␌rωＹ\r;；，－?ｂ0␄χε␙τ2t]␐~\t",
		out:  "h~μαｊｘ\x0e␌rωＹ\r;；，－?ｂ0␄χε␙τ2t]␐~␉",
	}, { // 5023
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "h~μαｊｘ\x0e␌rωＹ\r;；，－?ｂ0␄χε␙τ2t]␐~␉",
		out:  "h~μαｊｘ\x0e␌rωＹ\r;；，－?ｂ0␄χε␙τ2t]␐~‛␉",
	}, { // 5024
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~␗@｜;dＥ｝\"＜Fχc\x1bｗ\x1c␛␉|ωX␈ψ\rψυ\x1c~ｏ",
		out:  "\t~␗@｜;dＥ｝\"＜Fχc\x1bｗ\x1c␛␉|ωX␈ψ\rψυ\x1c~ｏ",
	}, { // 5025
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~␗@｜;dＥ｝\"＜Fχc\x1bｗ\x1c␛␉|ωX␈ψ\rψυ\x1c~ｏ",
		out:  "␉~␗@｜;dＥ｝\"＜Fχc\x1bｗ\x1c␛␉|ωX␈ψ\rψυ\x1c~ｏ",
	}, { // 5026
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "Ｓ~␗@｜;dＥ｝\"＜Fχc\x1bｗ\x1c␛␉|ωX␈ψ\rψυ\x1c~\t",
		out:  "Ｓ~␗@｜;dＥ｝\"＜Fχc\x1bｗ\x1c␛␉|ωX␈ψ\rψυ\x1c~␉",
	}, { // 5027
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "Ｓ~␗@｜;dＥ｝\"＜Fχc\x1bｗ\x1c␛␉|ωX␈ψ\rψυ\x1c~␉",
		out:  "Ｓ~␗@｜;dＥ｝\"＜Fχc\x1bｗ\x1c␛␉|ωX␈ψ\rψυ\x1c~‛␉",
	}, { // 5028
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~γυ＼|␆Ｘ．υＷ␄ν␒␄ｇ␃\u007fbm\u007fψ\b6\x1f\x0fρy~x",
		out:  "\t~γυ＼|␆Ｘ．υＷ␄ν␒␄ｇ␃\u007fbm\u007fψ\b6\x1f\x0fρy~x",
	}, { // 5029
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~γυ＼|␆Ｘ．υＷ␄ν␒␄ｇ␃\u007fbm\u007fψ\b6\x1f\x0fρy~x",
		out:  "␉~γυ＼|␆Ｘ．υＷ␄ν␒␄ｇ␃\u007fbm\u007fψ\b6\x1f\x0fρy~x",
	}, { // 5030
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "8~γυ＼|␆Ｘ．υＷ␄ν␒␄ｇ␃\u007fbm\u007fψ\b6\x1f\x0fρy~\t",
		out:  "8~γυ＼|␆Ｘ．υＷ␄ν␒␄ｇ␃\u007fbm\u007fψ\b6\x1f\x0fρy~␉",
	}, { // 5031
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "8~γυ＼|␆Ｘ．υＷ␄ν␒␄ｇ␃\u007fbm\u007fψ\b6\x1f\x0fρy~␉",
		out:  "8~γυ＼|␆Ｘ．υＷ␄ν␒␄ｇ␃\u007fbm\u007fψ\b6\x1f\x0fρy~‛␉",
	}, { // 5032
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~ωφ＊Ｐ*／E␗\x14（U；χ␚.\nＹ␄η\x1a␈Uuｖτ\x10~<",
		out:  "\t~ωφ‛＊Ｐ＊／E␗\x14（U；χ␚.\nＹ␄η\x1a␈Uuｖτ\x10~<",
	}, { // 5033
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~ωφ＊Ｐ*／E␗\x14（U；χ␚.\nＹ␄η\x1a␈Uuｖτ\x10~<",
		out:  "␉~ωφ‛＊Ｐ＊／E␗\x14（U；χ␚.\nＹ␄η\x1a␈Uuｖτ\x10~<",
	}, { // 5034
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "χ~ωφ＊Ｐ*／E␗\x14（U；χ␚.\nＹ␄η\x1a␈Uuｖτ\x10~\t",
		out:  "χ~ωφ‛＊Ｐ＊／E␗\x14（U；χ␚.\nＹ␄η\x1a␈Uuｖτ\x10~␉",
	}, { // 5035
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "χ~ωφ＊Ｐ*／E␗\x14（U；χ␚.\nＹ␄η\x1a␈Uuｖτ\x10~␉",
		out:  "χ~ωφ‛＊Ｐ＊／E␗\x14（U；χ␚.\nＹ␄η\x1a␈Uuｖτ\x10~‛␉",
	}, { // 5036
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~/[δλｆ␞＂p`ζgqχｘ*;`4ζ␕␐ＮI１␅␔~λ",
		out:  "\t~/[δλｆ␞＂p`ζgqχｘ*;`4ζ␕␐ＮI１␅␔~λ",
	}, { // 5037
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~/[δλｆ␞＂p`ζgqχｘ*;`4ζ␕␐ＮI１␅␔~λ",
		out:  "␉~/[δλｆ␞＂p`ζgqχｘ*;`4ζ␕␐ＮI１␅␔~λ",
	}, { // 5038
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "［~/[δλｆ␞＂p`ζgqχｘ*;`4ζ␕␐ＮI１␅␔~\t",
		out:  "［~/[δλｆ␞＂p`ζgqχｘ*;`4ζ␕␐ＮI１␅␔~␉",
	}, { // 5039
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "［~/[δλｆ␞＂p`ζgqχｘ*;`4ζ␕␐ＮI１␅␔~␉",
		out:  "［~/[δλｆ␞＂p`ζgqχｘ*;`4ζ␕␐ＮI１␅␔~‛␉",
	}, { // 5040
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~mψU；␂\x00ｅ%／？$αηＨ＊θU－｀\x15λ｀D\x16Ｔ\u007f~%",
		out:  "\t~mψU；␂␀ｅ%／？$αηＨ＊θU－｀\x15λ｀D\x16Ｔ\u007f~%",
	}, { // 5041
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~mψU；␂\x00ｅ%／？$αηＨ＊θU－｀\x15λ｀D\x16Ｔ\u007f~%",
		out:  "␉~mψU；␂␀ｅ%／？$αηＨ＊θU－｀\x15λ｀D\x16Ｔ\u007f~%",
	}, { // 5042
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "0~mψU；␂\x00ｅ%／？$αηＨ＊θU－｀\x15λ｀D\x16Ｔ\u007f~\t",
		out:  "0~mψU；␂␀ｅ%／？$αηＨ＊θU－｀\x15λ｀D\x16Ｔ\u007f~␉",
	}, { // 5043
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "0~mψU；␂\x00ｅ%／？$αηＨ＊θU－｀\x15λ｀D\x16Ｔ\u007f~␉",
		out:  "0~mψU；␂␀ｅ%／？$αηＨ＊θU－｀\x15λ｀D\x16Ｔ\u007f~‛␉",
	}, { // 5044
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~FVςμＶ12␋BzＲοｃλ␙～␓，␘\f９\x1b:ιξ\x1a~␀",
		out:  "\t~FVςμＶ12␋BzＲοｃλ␙～␓，␘\f９\x1b:ιξ\x1a~‛␀",
	}, { // 5045
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~FVςμＶ12␋BzＲοｃλ␙～␓，␘\f９\x1b:ιξ\x1a~␀",
		out:  "␉~FVςμＶ12␋BzＲοｃλ␙～␓，␘\f９\x1b:ιξ\x1a~‛␀",
	}, { // 5046
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\v~FVςμＶ12␋BzＲοｃλ␙～␓，␘\f９\x1b:ιξ\x1a~\t",
		out:  "\v~FVςμＶ12␋BzＲοｃλ␙～␓，␘\f９\x1b:ιξ\x1a~␉",
	}, { // 5047
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\v~FVςμＶ12␋BzＲοｃλ␙～␓，␘\f９\x1b:ιξ\x1a~␉",
		out:  "\v~FVςμＶ12␋BzＲοｃλ␙～␓，␘\f９\x1b:ιξ\x1a~‛␉",
	}, { // 5048
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~9␆␈～＃χｌψ\x01＂\f\x02κ\x03αｗｉfn␉／ξG\x10ＫB~σ",
		out:  "\t~9␆␈～＃χｌψ\x01＂\f\x02κ\x03αｗｉfn␉／ξG\x10ＫB~σ",
	}, { // 5049
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~9␆␈～＃χｌψ\x01＂\f\x02κ\x03αｗｉfn␉／ξG\x10ＫB~σ",
		out:  "␉~9␆␈～＃χｌψ\x01＂\f\x02κ\x03αｗｉfn␉／ξG\x10ＫB~σ",
	}, { // 5050
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "＇~9␆␈～＃χｌψ\x01＂\f\x02κ\x03αｗｉfn␉／ξG\x10ＫB~\t",
		out:  "＇~9␆␈～＃χｌψ\x01＂\f\x02κ\x03αｗｉfn␉／ξG\x10ＫB~␉",
	}, { // 5051
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "＇~9␆␈～＃χｌψ\x01＂\f\x02κ\x03αｗｉfn␉／ξG\x10ＫB~␉",
		out:  "＇~9␆␈～＃χｌψ\x01＂\f\x02κ\x03αｗｉfn␉／ξG\x10ＫB~‛␉",
	}, { // 5052
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "\t~\x19ξ&ｎ|/\x00Bδ／ｉ␂ψθ␔δ１O,*␟\x15t７'＼~４",
		out:  "\t~\x19ξ&ｎ|/␀Bδ／ｉ␂ψθ␔δ１O,*␟\x15t７'＼~４",
	}, { // 5053
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "␉~\x19ξ&ｎ|/\x00Bδ／ｉ␂ψθ␔δ１O,*␟\x15t７'＼~４",
		out:  "␉~\x19ξ&ｎ|/␀Bδ／ｉ␂ψθ␔δ１O,*␟\x15t７'＼~４",
	}, { // 5054
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "η~\x19ξ&ｎ|/\x00Bδ／ｉ␂ψθ␔δ１O,*␟\x15t７'＼~\t",
		out:  "η~\x19ξ&ｎ|/␀Bδ／ｉ␂ψθ␔δ１O,*␟\x15t７'＼~␉",
	}, { // 5055
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftTilde,
		in:   "η~\x19ξ&ｎ|/\x00Bδ／ｉ␂ψθ␔δ１O,*␟\x15t７'＼~␉",
		out:  "η~\x19ξ&ｎ|/␀Bδ／ｉ␂ψθ␔δ１O,*␟\x15t７'＼~‛␉",
	}, { // 5056
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\t␙",
		out:  "␉\t,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\t␙",
	}, { // 5057
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\t␙",
		out:  "‛␉\t,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\t␙",
	}, { // 5058
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\n␙",
		out:  "␉\n,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\n␙",
	}, { // 5059
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\n␙",
		out:  "‛␉\n,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\n␙",
	}, { // 5060
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\v␙",
		out:  "␉\v,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\v␙",
	}, { // 5061
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\v␙",
		out:  "‛␉\v,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\v␙",
	}, { // 5062
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\r␙",
		out:  "␉\r,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\r␙",
	}, { // 5063
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\r␙",
		out:  "‛␉\r,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\r␙",
	}, { // 5064
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\t,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\t\t",
		out:  "γ\t,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\t␉",
	}, { // 5065
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\t,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\t␉",
		out:  "γ\t,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\t‛␉",
	}, { // 5066
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\n,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\n\t",
		out:  "γ\n,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\n␉",
	}, { // 5067
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\n,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\n␉",
		out:  "γ\n,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\n‛␉",
	}, { // 5068
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\v,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\v\t",
		out:  "γ\v,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\v␉",
	}, { // 5069
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\v,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\v␉",
		out:  "γ\v,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\v‛␉",
	}, { // 5070
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\r,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\r\t",
		out:  "γ\r,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\r␉",
	}, { // 5071
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\r,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\r␉",
		out:  "γ\r,␛Ｌａ␉ο\nλ7␐\x1bδ;ｑγV［b#]Ｑ␉/κk␓\r‛␉",
	}, { // 5072
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\tＦ",
		out:  "␉\tＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\tＦ",
	}, { // 5073
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\tＦ",
		out:  "‛␉\tＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\tＦ",
	}, { // 5074
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\nＦ",
		out:  "␉\nＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\nＦ",
	}, { // 5075
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\nＦ",
		out:  "‛␉\nＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\nＦ",
	}, { // 5076
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\vＦ",
		out:  "␉\vＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\vＦ",
	}, { // 5077
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\vＦ",
		out:  "‛␉\vＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\vＦ",
	}, { // 5078
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\rＦ",
		out:  "␉\rＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\rＦ",
	}, { // 5079
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\rＦ",
		out:  "‛␉\rＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\rＦ",
	}, { // 5080
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "σ\tＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\t\t",
		out:  "σ\tＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\t␉",
	}, { // 5081
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "σ\tＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\t␉",
		out:  "σ\tＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\t‛␉",
	}, { // 5082
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "σ\nＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\n\t",
		out:  "σ\nＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\n␉",
	}, { // 5083
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "σ\nＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\n␉",
		out:  "σ\nＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\n‛␉",
	}, { // 5084
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "σ\vＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\v\t",
		out:  "σ\vＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\v␉",
	}, { // 5085
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "σ\vＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\v␉",
		out:  "σ\vＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\v‛␉",
	}, { // 5086
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "σ\rＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\r\t",
		out:  "σ\rＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\r␉",
	}, { // 5087
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "σ\rＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\r␉",
		out:  "σ\rＮ＊R{\x15.\x18␄α␌＃:８`\rς｜τ␔Ｃθλ\x14\x1b＃#\r‛␉",
	}, { // 5088
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\tＣ",
		out:  "␉\t␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\tＣ",
	}, { // 5089
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\tＣ",
		out:  "‛␉\t␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\tＣ",
	}, { // 5090
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\nＣ",
		out:  "␉\n␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\nＣ",
	}, { // 5091
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\nＣ",
		out:  "‛␉\n␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\nＣ",
	}, { // 5092
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\vＣ",
		out:  "␉\v␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\vＣ",
	}, { // 5093
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\vＣ",
		out:  "‛␉\v␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\vＣ",
	}, { // 5094
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\rＣ",
		out:  "␉\r␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\rＣ",
	}, { // 5095
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\rＣ",
		out:  "‛␉\r␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\rＣ",
	}, { // 5096
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␝\t␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\t\t",
		out:  "␝\t␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\t␉",
	}, { // 5097
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␝\t␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\t␉",
		out:  "␝\t␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\t‛␉",
	}, { // 5098
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␝\n␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\n\t",
		out:  "␝\n␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\n␉",
	}, { // 5099
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␝\n␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\n␉",
		out:  "␝\n␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\n‛␉",
	}, { // 5100
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␝\v␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\v\t",
		out:  "␝\v␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\v␉",
	}, { // 5101
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␝\v␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\v␉",
		out:  "␝\v␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\v‛␉",
	}, { // 5102
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␝\r␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\r\t",
		out:  "␝\r␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\r␉",
	}, { // 5103
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␝\r␔\x00YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,'!ｑ␎k\r␉",
		out:  "␝\r␔␀YοA\x04␒λο＿χ\x1a２κｖN／\x14υ２,＇!ｑ␎k\r‛␉",
	}, { // 5104
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\t\x1d",
		out:  "␉\t\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\t\x1d",
	}, { // 5105
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\t\x1d",
		out:  "‛␉\t\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\t\x1d",
	}, { // 5106
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\n\x1d",
		out:  "␉\n\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\n\x1d",
	}, { // 5107
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\n\x1d",
		out:  "‛␉\n\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\n\x1d",
	}, { // 5108
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\v\x1d",
		out:  "␉\v\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\v\x1d",
	}, { // 5109
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\v\x1d",
		out:  "‛␉\v\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\v\x1d",
	}, { // 5110
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\r\x1d",
		out:  "␉\r\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\r\x1d",
	}, { // 5111
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\r\x1d",
		out:  "‛␉\r\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\r\x1d",
	}, { // 5112
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "υ\t\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\t\t",
		out:  "υ\t\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\t␉",
	}, { // 5113
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "υ\t\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\t␉",
		out:  "υ\t\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\t‛␉",
	}, { // 5114
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "υ\n\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\n\t",
		out:  "υ\n\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\n␉",
	}, { // 5115
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "υ\n\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\n␉",
		out:  "υ\n\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\n‛␉",
	}, { // 5116
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "υ\v\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\v\t",
		out:  "υ\v\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\v␉",
	}, { // 5117
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "υ\v\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\v␉",
		out:  "υ\v\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\v‛␉",
	}, { // 5118
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "υ\r\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\r\t",
		out:  "υ\r\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\r␉",
	}, { // 5119
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "υ\r\x1cＡ␟３｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\r␉",
		out:  "υ\r\x1cＡ␟３‛｀\x10？'Gｌθｓι␙E\x14␛＿␑ς4ο\rＹ,:\r‛␉",
	}, { // 5120
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\t\x13",
		out:  "␉\tD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\t\x13",
	}, { // 5121
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\t\x13",
		out:  "‛␉\tD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\t\x13",
	}, { // 5122
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\n\x13",
		out:  "␉\nD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\n\x13",
	}, { // 5123
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\n\x13",
		out:  "‛␉\nD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\n\x13",
	}, { // 5124
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\v\x13",
		out:  "␉\vD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\v\x13",
	}, { // 5125
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\v\x13",
		out:  "‛␉\vD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\v\x13",
	}, { // 5126
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\r\x13",
		out:  "␉\rD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\r\x13",
	}, { // 5127
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\r\x13",
		out:  "‛␉\rD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\r\x13",
	}, { // 5128
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "Ｆ\tD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\t\t",
		out:  "Ｆ\tD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\t␉",
	}, { // 5129
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "Ｆ\tD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\t␉",
		out:  "Ｆ\tD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\t‛␉",
	}, { // 5130
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "Ｆ\nD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\n\t",
		out:  "Ｆ\nD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\n␉",
	}, { // 5131
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "Ｆ\nD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\n␉",
		out:  "Ｆ\nD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\n‛␉",
	}, { // 5132
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "Ｆ\vD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\v\t",
		out:  "Ｆ\vD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\v␉",
	}, { // 5133
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "Ｆ\vD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\v␉",
		out:  "Ｆ\vD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\v‛␉",
	}, { // 5134
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "Ｆ\rD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\r\t",
		out:  "Ｆ\rD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\r␉",
	}, { // 5135
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "Ｆ\rD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\r␉",
		out:  "Ｆ\rD\u007f␁εＪ\b(θ［／β␕Ｆ\x02Dｆσt／\x118＃π＄；\x05\r‛␉",
	}, { // 5136
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\t｜",
		out:  "␉\t\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\t｜",
	}, { // 5137
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\t｜",
		out:  "‛␉\t\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\t｜",
	}, { // 5138
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\n｜",
		out:  "␉\n\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\n｜",
	}, { // 5139
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\n｜",
		out:  "‛␉\n\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\n｜",
	}, { // 5140
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\v｜",
		out:  "␉\v\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\v｜",
	}, { // 5141
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\v｜",
		out:  "‛␉\v\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\v｜",
	}, { // 5142
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\r｜",
		out:  "␉\r\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\r｜",
	}, { // 5143
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\r｜",
		out:  "‛␉\r\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\r｜",
	}, { // 5144
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\t\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\t\t",
		out:  "\"\t\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\t␉",
	}, { // 5145
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\t\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\t␉",
		out:  "\"\t\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\t‛␉",
	}, { // 5146
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\n\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\n\t",
		out:  "\"\n\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\n␉",
	}, { // 5147
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\n\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\n␉",
		out:  "\"\n\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\n‛␉",
	}, { // 5148
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\v\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\v\t",
		out:  "\"\v\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\v␉",
	}, { // 5149
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\v\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\v␉",
		out:  "\"\v\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\v‛␉",
	}, { // 5150
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\r\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\r\t",
		out:  "\"\r\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\r␉",
	}, { // 5151
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\"\r\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\r␉",
		out:  "\"\r\"η＊␇ksμo:ςｇ%ｏ␞\x1a\aρ'φ/␞Ｕ-␞ο？\r‛␉",
	}, { // 5152
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\t{",
		out:  "␉\t]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\t{",
	}, { // 5153
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\t{",
		out:  "‛␉\t]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\t{",
	}, { // 5154
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\n{",
		out:  "␉\n]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\n{",
	}, { // 5155
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\n{",
		out:  "‛␉\n]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\n{",
	}, { // 5156
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\v{",
		out:  "␉\v]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\v{",
	}, { // 5157
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\v{",
		out:  "‛␉\v]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\v{",
	}, { // 5158
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\r{",
		out:  "␉\r]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\r{",
	}, { // 5159
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\r{",
		out:  "‛␉\r]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\r{",
	}, { // 5160
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␀\t]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\t\t",
		out:  "‛␀\t]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\t␉",
	}, { // 5161
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␀\t]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\t␉",
		out:  "‛␀\t]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\t‛␉",
	}, { // 5162
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␀\n]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\n\t",
		out:  "‛␀\n]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\n␉",
	}, { // 5163
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␀\n]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\n␉",
		out:  "‛␀\n]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\n‛␉",
	}, { // 5164
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␀\v]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\v\t",
		out:  "‛␀\v]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\v␉",
	}, { // 5165
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␀\v]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\v␉",
		out:  "‛␀\v]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\v‛␉",
	}, { // 5166
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␀\r]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\r\t",
		out:  "‛␀\r]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\r␉",
	}, { // 5167
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␀\r]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\r␉",
		out:  "‛␀\r]␍＝κρC\x12μ＇\r<，\x19<β［＞Ｚｘ#C＾κ\tζ␍\r‛␉",
	}, { // 5168
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\t␔",
		out:  "␉\tＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\t␔",
	}, { // 5169
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\t␔",
		out:  "‛␉\tＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\t␔",
	}, { // 5170
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\n␔",
		out:  "␉\nＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\n␔",
	}, { // 5171
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\n␔",
		out:  "‛␉\nＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\n␔",
	}, { // 5172
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\v␔",
		out:  "␉\vＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\v␔",
	}, { // 5173
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\v␔",
		out:  "‛␉\vＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\v␔",
	}, { // 5174
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\r␔",
		out:  "␉\rＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\r␔",
	}, { // 5175
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\r␔",
		out:  "‛␉\rＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\r␔",
	}, { // 5176
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "#\tＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\t\t",
		out:  "#\tＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\t␉",
	}, { // 5177
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "#\tＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\t␉",
		out:  "#\tＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\t‛␉",
	}, { // 5178
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "#\nＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\n\t",
		out:  "#\nＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\n␉",
	}, { // 5179
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "#\nＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\n␉",
		out:  "#\nＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\n‛␉",
	}, { // 5180
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "#\vＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\v\t",
		out:  "#\vＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\v␉",
	}, { // 5181
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "#\vＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\v␉",
		out:  "#\vＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\v‛␉",
	}, { // 5182
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "#\rＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\r\t",
		out:  "#\rＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\r␉",
	}, { // 5183
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "#\rＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\r␉",
		out:  "#\rＫτ/\x1d；＊`O␉␍Ｔ2\uff00yρ]＞ζ;％μκｗν\x1d＜\r‛␉",
	}, { // 5184
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\tλ",
		out:  "␉\tκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\tλ",
	}, { // 5185
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\tλ",
		out:  "‛␉\tκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\tλ",
	}, { // 5186
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\nλ",
		out:  "␉\nκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\nλ",
	}, { // 5187
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\nλ",
		out:  "‛␉\nκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\nλ",
	}, { // 5188
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\vλ",
		out:  "␉\vκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\vλ",
	}, { // 5189
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\vλ",
		out:  "‛␉\vκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\vλ",
	}, { // 5190
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\rλ",
		out:  "␉\rκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\rλ",
	}, { // 5191
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\rλ",
		out:  "‛␉\rκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\rλ",
	}, { // 5192
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "；\tκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\t\t",
		out:  "；\tκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\t␉",
	}, { // 5193
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "；\tκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\t␉",
		out:  "；\tκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\t‛␉",
	}, { // 5194
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "；\nκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\n\t",
		out:  "；\nκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\n␉",
	}, { // 5195
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "；\nκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\n␉",
		out:  "；\nκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\n‛␉",
	}, { // 5196
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "；\vκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\v\t",
		out:  "；\vκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\v␉",
	}, { // 5197
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "；\vκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\v␉",
		out:  "；\vκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\v‛␉",
	}, { // 5198
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "；\rκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\r\t",
		out:  "；\rκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\r␉",
	}, { // 5199
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "；\rκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\r␉",
		out:  "；\rκυ，Ｅ\x1b＊gI\x0fτ\x11v␑－␙*χＺ␁␔7ς\nｖ\x19`\r‛␉",
	}, { // 5200
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\t[",
		out:  "␉\tλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\t[",
	}, { // 5201
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\t[",
		out:  "‛␉\tλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\t[",
	}, { // 5202
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\n[",
		out:  "␉\nλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\n[",
	}, { // 5203
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\n[",
		out:  "‛␉\nλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\n[",
	}, { // 5204
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\v[",
		out:  "␉\vλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\v[",
	}, { // 5205
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\v[",
		out:  "‛␉\vλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\v[",
	}, { // 5206
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\r[",
		out:  "␉\rλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\r[",
	}, { // 5207
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\r[",
		out:  "‛␉\rλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\r[",
	}, { // 5208
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "@\tλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\t\t",
		out:  "@\tλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\t␉",
	}, { // 5209
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "@\tλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\t␉",
		out:  "@\tλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\t‛␉",
	}, { // 5210
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "@\nλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\n\t",
		out:  "@\nλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\n␉",
	}, { // 5211
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "@\nλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\n␉",
		out:  "@\nλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\n‛␉",
	}, { // 5212
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "@\vλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\v\t",
		out:  "@\vλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\v␉",
	}, { // 5213
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "@\vλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\v␉",
		out:  "@\vλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\v‛␉",
	}, { // 5214
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "@\rλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\r\t",
		out:  "@\rλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\r␉",
	}, { // 5215
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "@\rλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\r␉",
		out:  "@\rλ＄ν！β＠＼!\x01ε８γ？\x1f\x0fL␓6\x01\x15τ.＋？，^\r‛␉",
	}, { // 5216
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\t␁",
		out:  "␉\t␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\t␁",
	}, { // 5217
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\t␁",
		out:  "‛␉\t␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\t␁",
	}, { // 5218
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\n␁",
		out:  "␉\n␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\n␁",
	}, { // 5219
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\n␁",
		out:  "‛␉\n␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\n␁",
	}, { // 5220
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\v␁",
		out:  "␉\v␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\v␁",
	}, { // 5221
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\v␁",
		out:  "‛␉\v␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\v␁",
	}, { // 5222
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\r␁",
		out:  "␉\r␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\r␁",
	}, { // 5223
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\r␁",
		out:  "‛␉\r␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\r␁",
	}, { // 5224
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "^\t␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\t\t",
		out:  "^\t␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\t␉",
	}, { // 5225
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "^\t␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\t␉",
		out:  "^\t␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\t‛␉",
	}, { // 5226
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "^\n␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\n\t",
		out:  "^\n␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\n␉",
	}, { // 5227
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "^\n␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\n␉",
		out:  "^\n␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\n‛␉",
	}, { // 5228
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "^\v␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\v\t",
		out:  "^\v␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\v␉",
	}, { // 5229
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "^\v␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\v␉",
		out:  "^\v␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\v‛␉",
	}, { // 5230
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "^\r␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\r\t",
		out:  "^\r␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\r␉",
	}, { // 5231
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "^\r␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\r␉",
		out:  "^\r␔;SμMHＴθ\rθ␄[／␉\n７＼τ␈gρ＄,｀\nＷ\r‛␉",
	}, { // 5232
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\tＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\t␊",
		out:  "␉\tＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\t‛␊",
	}, { // 5233
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\tＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\t␊",
		out:  "‛␉\tＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\t‛␊",
	}, { // 5234
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\nＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\n␊",
		out:  "␉\nＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\n‛␊",
	}, { // 5235
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\nＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\n␊",
		out:  "‛␉\nＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\n‛␊",
	}, { // 5236
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\vＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\v␊",
		out:  "␉\vＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\v‛␊",
	}, { // 5237
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\vＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\v␊",
		out:  "‛␉\vＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\v‛␊",
	}, { // 5238
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\rＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\r␊",
		out:  "␉\rＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\r‛␊",
	}, { // 5239
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\rＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\r␊",
		out:  "‛␉\rＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\r‛␊",
	}, { // 5240
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ζ\tＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\t\t",
		out:  "ζ\tＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\t␉",
	}, { // 5241
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ζ\tＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\t␉",
		out:  "ζ\tＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\t‛␉",
	}, { // 5242
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ζ\nＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\n\t",
		out:  "ζ\nＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\n␉",
	}, { // 5243
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ζ\nＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\n␉",
		out:  "ζ\nＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\n‛␉",
	}, { // 5244
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ζ\vＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\v\t",
		out:  "ζ\vＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\v␉",
	}, { // 5245
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ζ\vＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\v␉",
		out:  "ζ\vＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\v‛␉",
	}, { // 5246
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ζ\rＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\r\t",
		out:  "ζ\rＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\r␉",
	}, { // 5247
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ζ\rＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\r␉",
		out:  "ζ\rＧT－χυ\x16q％␍１π`b\\␚％\x04\x15ζs｛[＼>␏\r\r‛␉",
	}, { // 5248
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\tＡ",
		out:  "␉\t｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\tＡ",
	}, { // 5249
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\tＡ",
		out:  "‛␉\t｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\tＡ",
	}, { // 5250
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\nＡ",
		out:  "␉\n｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\nＡ",
	}, { // 5251
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\nＡ",
		out:  "‛␉\n｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\nＡ",
	}, { // 5252
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\vＡ",
		out:  "␉\v｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\vＡ",
	}, { // 5253
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\vＡ",
		out:  "‛␉\v｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\vＡ",
	}, { // 5254
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\rＡ",
		out:  "␉\r｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\rＡ",
	}, { // 5255
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\rＡ",
		out:  "‛␉\r｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\rＡ",
	}, { // 5256
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ξ\t｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\t\t",
		out:  "ξ\t｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\t␉",
	}, { // 5257
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ξ\t｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\t␉",
		out:  "ξ\t｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\t‛␉",
	}, { // 5258
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ξ\n｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\n\t",
		out:  "ξ\n｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\n␉",
	}, { // 5259
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ξ\n｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\n␉",
		out:  "ξ\n｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\n‛␉",
	}, { // 5260
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ξ\v｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\v\t",
		out:  "ξ\v｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\v␉",
	}, { // 5261
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ξ\v｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\v␉",
		out:  "ξ\v｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\v‛␉",
	}, { // 5262
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ξ\r｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\r\t",
		out:  "ξ\r｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\r␉",
	}, { // 5263
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ξ\r｀~ε\x14P\n7５N％␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\r␉",
		out:  "ξ\r｀~ε\x14P\n7５N％‛␀｛\x1a␎＇ρ\aρ\x10oυπＹ␊␊（\r‛␉",
	}, { // 5264
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\t２",
		out:  "␉\t7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\t２",
	}, { // 5265
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\t２",
		out:  "‛␉\t7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\t２",
	}, { // 5266
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\n２",
		out:  "␉\n7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\n２",
	}, { // 5267
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\n２",
		out:  "‛␉\n7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\n２",
	}, { // 5268
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\v２",
		out:  "␉\v7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\v２",
	}, { // 5269
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\v２",
		out:  "‛␉\v7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\v２",
	}, { // 5270
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\r２",
		out:  "␉\r7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\r２",
	}, { // 5271
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\r２",
		out:  "‛␉\r7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\r２",
	}, { // 5272
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "f\t7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\t\t",
		out:  "f\t7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\t␉",
	}, { // 5273
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "f\t7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\t␉",
		out:  "f\t7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\t‛␉",
	}, { // 5274
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "f\n7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\n\t",
		out:  "f\n7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\n␉",
	}, { // 5275
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "f\n7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\n␉",
		out:  "f\n7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\n‛␉",
	}, { // 5276
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "f\v7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\v\t",
		out:  "f\v7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\v␉",
	}, { // 5277
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "f\v7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\v␉",
		out:  "f\v7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\v‛␉",
	}, { // 5278
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "f\r7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\r\t",
		out:  "f\r7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\r␉",
	}, { // 5279
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "f\r7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\r␉",
		out:  "f\r7｀␑κ\x19＇;\x1bμγAＸ＊９\"Bｋ｀κ！｜ς.␒γ\\\r‛␉",
	}, { // 5280
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\t［",
		out:  "␉\t␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\t［",
	}, { // 5281
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\t［",
		out:  "‛␉\t␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\t［",
	}, { // 5282
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\n［",
		out:  "␉\n␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\n［",
	}, { // 5283
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\n［",
		out:  "‛␉\n␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\n［",
	}, { // 5284
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\v［",
		out:  "␉\v␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\v［",
	}, { // 5285
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\v［",
		out:  "‛␉\v␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\v［",
	}, { // 5286
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\r［",
		out:  "␉\r␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\r［",
	}, { // 5287
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\r［",
		out:  "‛␉\r␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\r［",
	}, { // 5288
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␟\t␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\t\t",
		out:  "␟\t␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\t␉",
	}, { // 5289
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␟\t␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\t␉",
		out:  "␟\t␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\t‛␉",
	}, { // 5290
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␟\n␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\n\t",
		out:  "␟\n␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\n␉",
	}, { // 5291
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␟\n␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\n␉",
		out:  "␟\n␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\n‛␉",
	}, { // 5292
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␟\v␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\v\t",
		out:  "␟\v␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\v␉",
	}, { // 5293
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␟\v␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\v␉",
		out:  "␟\v␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\v‛␉",
	}, { // 5294
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␟\r␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\r\t",
		out:  "␟\r␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\r␉",
	}, { // 5295
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␟\r␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\r␉",
		out:  "␟\r␑\x1b␎\x11＂`Ｆυε＜ｘT␍a\x13>ι_9βB\r␋（πl\r‛␉",
	}, { // 5296
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\t＄",
		out:  "␉\t␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\t＄",
	}, { // 5297
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\t＄",
		out:  "‛␉\t␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\t＄",
	}, { // 5298
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\n＄",
		out:  "␉\n␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\n＄",
	}, { // 5299
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\n＄",
		out:  "‛␉\n␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\n＄",
	}, { // 5300
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\v＄",
		out:  "␉\v␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\v＄",
	}, { // 5301
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\v＄",
		out:  "‛␉\v␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\v＄",
	}, { // 5302
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\r＄",
		out:  "␉\r␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\r＄",
	}, { // 5303
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\r＄",
		out:  "‛␉\r␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\r＄",
	}, { // 5304
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｖ\t␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\t\t",
		out:  "ｖ\t␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\t␉",
	}, { // 5305
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｖ\t␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\t␉",
		out:  "ｖ\t␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\t‛␉",
	}, { // 5306
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｖ\n␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\n\t",
		out:  "ｖ\n␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\n␉",
	}, { // 5307
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｖ\n␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\n␉",
		out:  "ｖ\n␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\n‛␉",
	}, { // 5308
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｖ\v␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\v\t",
		out:  "ｖ\v␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\v␉",
	}, { // 5309
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｖ\v␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\v␉",
		out:  "ｖ\v␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\v‛␉",
	}, { // 5310
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｖ\r␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\r\t",
		out:  "ｖ\r␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\r␉",
	}, { // 5311
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "ｖ\r␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\r␉",
		out:  "ｖ\r␒\x1a|８χ.ς\x16ξ␉␊k␞\x06＆<5RＹ\x03βＯοαh␏\r‛␉",
	}, { // 5312
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\t\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\tδ",
		out:  "␉\t\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\tδ",
	}, { // 5313
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\t\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\tδ",
		out:  "‛␉\t\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\tδ",
	}, { // 5314
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\n\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\nδ",
		out:  "␉\n\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\nδ",
	}, { // 5315
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\n\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\nδ",
		out:  "‛␉\n\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\nδ",
	}, { // 5316
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\v\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\vδ",
		out:  "␉\v\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\vδ",
	}, { // 5317
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\v\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\vδ",
		out:  "‛␉\v\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\vδ",
	}, { // 5318
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "\t\r\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\rδ",
		out:  "␉\r\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\rδ",
	}, { // 5319
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "␉\r\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\rδ",
		out:  "‛␉\r\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\rδ",
	}, { // 5320
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\t\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\t\t",
		out:  "γ\t\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\t␉",
	}, { // 5321
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\t\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\t␉",
		out:  "γ\t\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\t‛␉",
	}, { // 5322
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\n\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\n\t",
		out:  "γ\n\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\n␉",
	}, { // 5323
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\n\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\n␉",
		out:  "γ\n\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\n‛␉",
	}, { // 5324
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\v\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\v\t",
		out:  "γ\v\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\v␉",
	}, { // 5325
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\v\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\v␉",
		out:  "γ\v\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\v‛␉",
	}, { // 5326
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\r\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\r\t",
		out:  "γ\r\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\r␉",
	}, { // 5327
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeLeftCrLfHtVt,
		in:   "γ\r\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\r␉",
		out:  "γ\r\n\b$ｙ\x04κ\x05␙qFω＇8␐＇ＹＳ␖＃]μ␖＊＂θ\"\r‛␉",
	}, { // 5328
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t \nψｚυ\a？ｎ\aｐIωοｏ\\\x1a&%␌1␃］＂ψ\x12＼/ ␐",
		out:  "\t \nψｚυ\a？ｎ\aｐIωοｏ\\\x1a&%␌1␃］＂ψ\x12＼/ ␐",
	}, { // 5329
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ \nψｚυ\a？ｎ\aｐIωοｏ\\\x1a&%␌1␃］＂ψ\x12＼/ ␐",
		out:  "␉ \nψｚυ\a？ｎ\aｐIωοｏ\\\x1a&%␌1␃］＂ψ\x12＼/ ␐",
	}, { // 5330
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␊ \nψｚυ\a？ｎ\aｐIωοｏ\\\x1a&%␌1␃］＂ψ\x12＼/ \t",
		out:  "␊ \nψｚυ\a？ｎ\aｐIωοｏ\\\x1a&%␌1␃］＂ψ\x12＼/ ␉",
	}, { // 5331
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␊ \nψｚυ\a？ｎ\aｐIωοｏ\\\x1a&%␌1␃］＂ψ\x12＼/ ␉",
		out:  "␊ \nψｚυ\a？ｎ\aｐIωοｏ\\\x1a&%␌1␃］＂ψ\x12＼/ ‛␉",
	}, { // 5332
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ο＂\rｃ␇＃\x1e？｀ｍο}pβＭ␅＞w\f\x12ςV;Ｏ3； :",
		out:  "\t ο＂\rｃ␇＃\x1e？｀ｍο}pβＭ␅＞w\f\x12ςV;Ｏ3； :",
	}, { // 5333
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ο＂\rｃ␇＃\x1e？｀ｍο}pβＭ␅＞w\f\x12ςV;Ｏ3； :",
		out:  "␉ ο＂\rｃ␇＃\x1e？｀ｍο}pβＭ␅＞w\f\x12ςV;Ｏ3； :",
	}, { // 5334
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "φ ο＂\rｃ␇＃\x1e？｀ｍο}pβＭ␅＞w\f\x12ςV;Ｏ3； \t",
		out:  "φ ο＂\rｃ␇＃\x1e？｀ｍο}pβＭ␅＞w\f\x12ςV;Ｏ3； ␉",
	}, { // 5335
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "φ ο＂\rｃ␇＃\x1e？｀ｍο}pβＭ␅＞w\f\x12ςV;Ｏ3； ␉",
		out:  "φ ο＂\rｃ␇＃\x1e？｀ｍο}pβＭ␅＞w\f\x12ςV;Ｏ3； ‛␉",
	}, { // 5336
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t \x01|:τγｌζYｋ␅＜ｔ&βr]]␙\rη1Oζ␜ｇｈ ␌",
		out:  "\t \x01|:τγｌζYｋ␅＜ｔ&βr]]␙\rη1Oζ␜ｇｈ ␌",
	}, { // 5337
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ \x01|:τγｌζYｋ␅＜ｔ&βr]]␙\rη1Oζ␜ｇｈ ␌",
		out:  "␉ \x01|:τγｌζYｋ␅＜ｔ&βr]]␙\rη1Oζ␜ｇｈ ␌",
	}, { // 5338
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "Ｗ \x01|:τγｌζYｋ␅＜ｔ&βr]]␙\rη1Oζ␜ｇｈ \t",
		out:  "Ｗ \x01|:τγｌζYｋ␅＜ｔ&βr]]␙\rη1Oζ␜ｇｈ ␉",
	}, { // 5339
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "Ｗ \x01|:τγｌζYｋ␅＜ｔ&βr]]␙\rη1Oζ␜ｇｈ ␉",
		out:  "Ｗ \x01|:τγｌζYｋ␅＜ｔ&βr]]␙\rη1Oζ␜ｇｈ ‛␉",
	}, { // 5340
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ａ|␞ιn\x18␒␚４ｑN␈Ｖθlη␚hｈ?８Y␅uβο /",
		out:  "\t ａ|␞ιn\x18␒␚４ｑN␈Ｖθlη␚hｈ?８Y␅uβο /",
	}, { // 5341
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ａ|␞ιn\x18␒␚４ｑN␈Ｖθlη␚hｈ?８Y␅uβο /",
		out:  "␉ ａ|␞ιn\x18␒␚４ｑN␈Ｖθlη␚hｈ?８Y␅uβο /",
	}, { // 5342
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "/ ａ|␞ιn\x18␒␚４ｑN␈Ｖθlη␚hｈ?８Y␅uβο \t",
		out:  "/ ａ|␞ιn\x18␒␚４ｑN␈Ｖθlη␚hｈ?８Y␅uβο ␉",
	}, { // 5343
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "/ ａ|␞ιn\x18␒␚４ｑN␈Ｖθlη␚hｈ?８Y␅uβο ␉",
		out:  "/ ａ|␞ιn\x18␒␚４ｑN␈Ｖθlη␚hｈ?８Y␅uβο ‛␉",
	}, { // 5344
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t \x1dbσυｊJα\f␍$Nγν＼ｊ␁\a␚[tＪrπａ\v／ ␞",
		out:  "\t \x1dbσυｊJα\f␍$Nγν＼ｊ␁\a␚[tＪrπａ\v／ ␞",
	}, { // 5345
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ \x1dbσυｊJα\f␍$Nγν＼ｊ␁\a␚[tＪrπａ\v／ ␞",
		out:  "␉ \x1dbσυｊJα\f␍$Nγν＼ｊ␁\a␚[tＪrπａ\v／ ␞",
	}, { // 5346
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␅ \x1dbσυｊJα\f␍$Nγν＼ｊ␁\a␚[tＪrπａ\v／ \t",
		out:  "␅ \x1dbσυｊJα\f␍$Nγν＼ｊ␁\a␚[tＪrπａ\v／ ␉",
	}, { // 5347
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␅ \x1dbσυｊJα\f␍$Nγν＼ｊ␁\a␚[tＪrπａ\v／ ␉",
		out:  "␅ \x1dbσυｊJα\f␍$Nγν＼ｊ␁\a␚[tＪrπａ\v／ ‛␉",
	}, { // 5348
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ␍ε␀␊Ｅ\t:５\"VZ5U\bςψＧφＥ␓X>␡βτ␊ ｗ",
		out:  "\t ␍ε‛␀␊Ｅ\t:５\"VZ5U\bςψＧφＥ␓X>␡βτ␊ ｗ",
	}, { // 5349
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␍ε␀␊Ｅ\t:５\"VZ5U\bςψＧφＥ␓X>␡βτ␊ ｗ",
		out:  "␉ ␍ε‛␀␊Ｅ\t:５\"VZ5U\bςψＧφＥ␓X>␡βτ␊ ｗ",
	}, { // 5350
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "ｕ ␍ε␀␊Ｅ\t:５\"VZ5U\bςψＧφＥ␓X>␡βτ␊ \t",
		out:  "ｕ ␍ε‛␀␊Ｅ\t:５\"VZ5U\bςψＧφＥ␓X>␡βτ␊ ␉",
	}, { // 5351
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "ｕ ␍ε␀␊Ｅ\t:５\"VZ5U\bςψＧφＥ␓X>␡βτ␊ ␉",
		out:  "ｕ ␍ε‛␀␊Ｅ\t:５\"VZ5U\bςψＧφＥ␓X>␡βτ␊ ‛␉",
	}, { // 5352
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t （βκ]μ\x158␡%\x1dξ␛a:␂ο␏κ１\x16␀？;（G\x05 Ｘ",
		out:  "\t （βκ]μ\x158␡%\x1dξ␛a:␂ο␏κ１\x16‛␀？；（G\x05 Ｘ",
	}, { // 5353
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ （βκ]μ\x158␡%\x1dξ␛a:␂ο␏κ１\x16␀？;（G\x05 Ｘ",
		out:  "␉ （βκ]μ\x158␡%\x1dξ␛a:␂ο␏κ１\x16‛␀？；（G\x05 Ｘ",
	}, { // 5354
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "－ （βκ]μ\x158␡%\x1dξ␛a:␂ο␏κ１\x16␀？;（G\x05 \t",
		out:  "－ （βκ]μ\x158␡%\x1dξ␛a:␂ο␏κ１\x16‛␀？；（G\x05 ␉",
	}, { // 5355
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "－ （βκ]μ\x158␡%\x1dξ␛a:␂ο␏κ１\x16␀？;（G\x05 ␉",
		out:  "－ （βκ]μ\x158␡%\x1dξ␛a:␂ο␏κ１\x16‛␀？；（G\x05 ‛␉",
	}, { // 5356
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t QB？]␛o：␟;Ｒη５κ－\x12`σ\x06b␕８χ\x00σ␀␁ ，",
		out:  "\t QB？]␛o：␟;Ｒη５κ－\x12`σ\x06b␕８χ␀σ‛␀␁ ，",
	}, { // 5357
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ QB？]␛o：␟;Ｒη５κ－\x12`σ\x06b␕８χ\x00σ␀␁ ，",
		out:  "␉ QB？]␛o：␟;Ｒη５κ－\x12`σ\x06b␕８χ␀σ‛␀␁ ，",
	}, { // 5358
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "ς QB？]␛o：␟;Ｒη５κ－\x12`σ\x06b␕８χ\x00σ␀␁ \t",
		out:  "ς QB？]␛o：␟;Ｒη５κ－\x12`σ\x06b␕８χ␀σ‛␀␁ ␉",
	}, { // 5359
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "ς QB？]␛o：␟;Ｒη５κ－\x12`σ\x06b␕８χ\x00σ␀␁ ␉",
		out:  "ς QB？]␛o：␟;Ｒη５κ－\x12`σ\x06b␕８χ␀σ‛␀␁ ‛␉",
	}, { // 5360
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t κ␑\x12２Ｚ\fa／ｐ\tνγk＇9␟\x1cβ ␐#ｃ␛␆Zξ %",
		out:  "\t κ␑\x12２Ｚ\fa／ｐ\tνγk＇9␟\x1cβ ␐#ｃ␛␆Zξ %",
	}, { // 5361
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ κ␑\x12２Ｚ\fa／ｐ\tνγk＇9␟\x1cβ ␐#ｃ␛␆Zξ %",
		out:  "␉ κ␑\x12２Ｚ\fa／ｐ\tνγk＇9␟\x1cβ ␐#ｃ␛␆Zξ %",
	}, { // 5362
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "％ κ␑\x12２Ｚ\fa／ｐ\tνγk＇9␟\x1cβ ␐#ｃ␛␆Zξ \t",
		out:  "％ κ␑\x12２Ｚ\fa／ｐ\tνγk＇9␟\x1cβ ␐#ｃ␛␆Zξ ␉",
	}, { // 5363
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "％ κ␑\x12２Ｚ\fa／ｐ\tνγk＇9␟\x1cβ ␐#ｃ␛␆Zξ ␉",
		out:  "％ κ␑\x12２Ｚ\fa／ｐ\tνγk＇9␟\x1cβ ␐#ｃ␛␆Zξ ‛␉",
	}, { // 5364
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t Oαμ␔/Ｂ&\x03M＃\aLλ\x12\f４ω＄q/＜ξ：ｃ)＜ χ",
		out:  "\t Oαμ␔/Ｂ&\x03M＃\aLλ\x12\f４ω＄q/＜ξ‛：ｃ)＜ χ",
	}, { // 5365
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ Oαμ␔/Ｂ&\x03M＃\aLλ\x12\f４ω＄q/＜ξ：ｃ)＜ χ",
		out:  "␉ Oαμ␔/Ｂ&\x03M＃\aLλ\x12\f４ω＄q/＜ξ‛：ｃ)＜ χ",
	}, { // 5366
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "＼ Oαμ␔/Ｂ&\x03M＃\aLλ\x12\f４ω＄q/＜ξ：ｃ)＜ \t",
		out:  "＼ Oαμ␔/Ｂ&\x03M＃\aLλ\x12\f４ω＄q/＜ξ‛：ｃ)＜ ␉",
	}, { // 5367
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "＼ Oαμ␔/Ｂ&\x03M＃\aLλ\x12\f４ω＄q/＜ξ：ｃ)＜ ␉",
		out:  "＼ Oαμ␔/Ｂ&\x03M＃\aLλ\x12\f４ω＄q/＜ξ‛：ｃ)＜ ‛␉",
	}, { // 5368
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ␇␑>␒\x1bc＼ｉ-κ}；Ｊ-］δ␈ＯＣξ\rη'\x1b％\x17 n",
		out:  "\t ␇␑>␒\x1bc＼ｉ-κ}；Ｊ-］δ␈ＯＣξ\rη'\x1b％\x17 n",
	}, { // 5369
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␇␑>␒\x1bc＼ｉ-κ}；Ｊ-］δ␈ＯＣξ\rη'\x1b％\x17 n",
		out:  "␉ ␇␑>␒\x1bc＼ｉ-κ}；Ｊ-］δ␈ＯＣξ\rη'\x1b％\x17 n",
	}, { // 5370
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x18 ␇␑>␒\x1bc＼ｉ-κ}；Ｊ-］δ␈ＯＣξ\rη'\x1b％\x17 \t",
		out:  "\x18 ␇␑>␒\x1bc＼ｉ-κ}；Ｊ-］δ␈ＯＣξ\rη'\x1b％\x17 ␉",
	}, { // 5371
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x18 ␇␑>␒\x1bc＼ｉ-κ}；Ｊ-］δ␈ＯＣξ\rη'\x1b％\x17 ␉",
		out:  "\x18 ␇␑>␒\x1bc＼ｉ-κ}；Ｊ-］δ␈ＯＣξ\rη'\x1b％\x17 ‛␉",
	}, { // 5372
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t Ｇｋ＼~ρ/\x18ｙi\x10ω}␈ωａ␁\x04/φ?ｊκδ␚␐u 9",
		out:  "\t Ｇｋ＼~ρ/\x18ｙi\x10ω}␈ωａ␁\x04/φ?ｊκδ␚␐u 9",
	}, { // 5373
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ Ｇｋ＼~ρ/\x18ｙi\x10ω}␈ωａ␁\x04/φ?ｊκδ␚␐u 9",
		out:  "␉ Ｇｋ＼~ρ/\x18ｙi\x10ω}␈ωａ␁\x04/φ?ｊκδ␚␐u 9",
	}, { // 5374
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "? Ｇｋ＼~ρ/\x18ｙi\x10ω}␈ωａ␁\x04/φ?ｊκδ␚␐u \t",
		out:  "? Ｇｋ＼~ρ/\x18ｙi\x10ω}␈ωａ␁\x04/φ?ｊκδ␚␐u ␉",
	}, { // 5375
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "? Ｇｋ＼~ρ/\x18ｙi\x10ω}␈ωａ␁\x04/φ?ｊκδ␚␐u ␉",
		out:  "? Ｇｋ＼~ρ/\x18ｙi\x10ω}␈ωａ␁\x04/φ?ｊκδ␚␐u ‛␉",
	}, { // 5376
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ␈ｅδ\r*Ajδ］ｐh␑δＴ＄␕λGδ(ｋ0＃\r\x1bξ \x16",
		out:  "\t ␈ｅδ\r*Ajδ］ｐh␑δＴ＄␕λGδ(ｋ0＃\r\x1bξ \x16",
	}, { // 5377
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ␈ｅδ\r*Ajδ］ｐh␑δＴ＄␕λGδ(ｋ0＃\r\x1bξ \x16",
		out:  "␉ ␈ｅδ\r*Ajδ］ｐh␑δＴ＄␕λGδ(ｋ0＃\r\x1bξ \x16",
	}, { // 5378
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x17 ␈ｅδ\r*Ajδ］ｐh␑δＴ＄␕λGδ(ｋ0＃\r\x1bξ \t",
		out:  "\x17 ␈ｅδ\r*Ajδ］ｐh␑δＴ＄␕λGδ(ｋ0＃\r\x1bξ ␉",
	}, { // 5379
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\x17 ␈ｅδ\r*Ajδ］ｐh␑δＴ＄␕λGδ(ｋ0＃\r\x1bξ ␉",
		out:  "\x17 ␈ｅδ\r*Ajδ］ｐh␑δＴ＄␕λGδ(ｋ0＃\r\x1bξ ‛␉",
	}, { // 5380
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t ξγςF␑␂U␜ε `ψ/[κＦ\x18y␡\vB␈Ｇ3％␐ ２",
		out:  "\t ξγςF␑␂U␜ε `ψ/[κＦ\x18y␡\vB␈Ｇ3％␐ ２",
	}, { // 5381
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ ξγςF␑␂U␜ε `ψ/[κＦ\x18y␡\vB␈Ｇ3％␐ ２",
		out:  "␉ ξγςF␑␂U␜ε `ψ/[κＦ\x18y␡\vB␈Ｇ3％␐ ２",
	}, { // 5382
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "ｏ ξγςF␑␂U␜ε `ψ/[κＦ\x18y␡\vB␈Ｇ3％␐ \t",
		out:  "ｏ ξγςF␑␂U␜ε `ψ/[κＦ\x18y␡\vB␈Ｇ3％␐ ␉",
	}, { // 5383
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "ｏ ξγςF␑␂U␜ε `ψ/[κＦ\x18y␡\vB␈Ｇ3％␐ ␉",
		out:  "ｏ ξγςF␑␂U␜ε `ψ/[κＦ\x18y␡\vB␈Ｇ3％␐ ‛␉",
	}, { // 5384
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t \x1aＵ：␊[\x1bι<ｚ*<␆Ｓο␗εω\rＺ\x1cｔ␟ＹS？z ω",
		out:  "\t \x1aＵ：␊[\x1bι<ｚ*<␆Ｓο␗εω\rＺ\x1cｔ␟ＹS？z ω",
	}, { // 5385
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ \x1aＵ：␊[\x1bι<ｚ*<␆Ｓο␗εω\rＺ\x1cｔ␟ＹS？z ω",
		out:  "␉ \x1aＵ：␊[\x1bι<ｚ*<␆Ｓο␗εω\rＺ\x1cｔ␟ＹS？z ω",
	}, { // 5386
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "α \x1aＵ：␊[\x1bι<ｚ*<␆Ｓο␗εω\rＺ\x1cｔ␟ＹS？z \t",
		out:  "α \x1aＵ：␊[\x1bι<ｚ*<␆Ｓο␗εω\rＺ\x1cｔ␟ＹS？z ␉",
	}, { // 5387
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "α \x1aＵ：␊[\x1bι<ｚ*<␆Ｓο␗εω\rＺ\x1cｔ␟ＹS？z ␉",
		out:  "α \x1aＵ：␊[\x1bι<ｚ*<␆Ｓο␗εω\rＺ\x1cｔ␟ＹS？z ‛␉",
	}, { // 5388
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t 5＂ｓ7`ωoκθＶＥ␝␘ｆ␞>Ｎ｀ς0Ｔy\x0e␗ο\x01 /",
		out:  "\t 5＂ｓ7`ωoκθＶＥ␝␘ｆ␞>Ｎ｀ς0Ｔy\x0e␗ο\x01 /",
	}, { // 5389
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ 5＂ｓ7`ωoκθＶＥ␝␘ｆ␞>Ｎ｀ς0Ｔy\x0e␗ο\x01 /",
		out:  "␉ 5＂ｓ7`ωoκθＶＥ␝␘ｆ␞>Ｎ｀ς0Ｔy\x0e␗ο\x01 /",
	}, { // 5390
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "β 5＂ｓ7`ωoκθＶＥ␝␘ｆ␞>Ｎ｀ς0Ｔy\x0e␗ο\x01 \t",
		out:  "β 5＂ｓ7`ωoκθＶＥ␝␘ｆ␞>Ｎ｀ς0Ｔy\x0e␗ο\x01 ␉",
	}, { // 5391
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "β 5＂ｓ7`ωoκθＶＥ␝␘ｆ␞>Ｎ｀ς0Ｔy\x0e␗ο\x01 ␉",
		out:  "β 5＂ｓ7`ωoκθＶＥ␝␘ｆ␞>Ｎ｀ς0Ｔy\x0e␗ο\x01 ‛␉",
	}, { // 5392
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "\t Zςζ５｀π｛\u007f\rｍξ\x11␍：␙ζＨ>ｐ\x106/＃f␞σ C",
		out:  "\t Zςζ５｀π｛␡\rｍξ\x11␍：␙ζＨ>ｐ\x106/＃f␞σ C",
	}, { // 5393
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "␉ Zςζ５｀π｛\u007f\rｍξ\x11␍：␙ζＨ>ｐ\x106/＃f␞σ C",
		out:  "␉ Zςζ５｀π｛␡\rｍξ\x11␍：␙ζＨ>ｐ\x106/＃f␞σ C",
	}, { // 5394
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "Ｏ Zςζ５｀π｛\u007f\rｍξ\x11␍：␙ζＨ>ｐ\x106/＃f␞σ \t",
		out:  "Ｏ Zςζ５｀π｛␡\rｍξ\x11␍：␙ζＨ>ｐ\x106/＃f␞σ ␉",
	}, { // 5395
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightSpace,
		in:   "Ｏ Zςζ５｀π｛\u007f\rｍξ\x11␍：␙ζＨ>ｐ\x106/＃f␞σ ␉",
		out:  "Ｏ Zςζ５｀π｛␡\rｍξ\x11␍：␙ζＨ>ｐ\x106/＃f␞σ ‛␉",
	}, { // 5396
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.＞ａνA％ο\"W$ξ｀.＠γ\x0f\x06Ｖ␕/！p␁π＞＂β.\x03",
		out:  "\t.＞ａνA％ο\"W$ξ｀.＠γ\x0f\x06Ｖ␕/！p␁π＞＂β.\x03",
	}, { // 5397
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.＞ａνA％ο\"W$ξ｀.＠γ\x0f\x06Ｖ␕/！p␁π＞＂β.\x03",
		out:  "␉.＞ａνA％ο\"W$ξ｀.＠γ\x0f\x06Ｖ␕/！p␁π＞＂β.\x03",
	}, { // 5398
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "W.＞ａνA％ο\"W$ξ｀.＠γ\x0f\x06Ｖ␕/！p␁π＞＂β.\t",
		out:  "W.＞ａνA％ο\"W$ξ｀.＠γ\x0f\x06Ｖ␕/！p␁π＞＂β.␉",
	}, { // 5399
		mask: EncodeZero | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "W.＞ａνA％ο\"W$ξ｀.＠γ\x0f\x06Ｖ␕/！p␁π＞＂β.␉",
		out:  "W.＞ａνA％ο\"W$ξ｀.＠γ\x0f\x06Ｖ␕/！p␁π＞＂β.‛␉",
	}, { // 5400
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x1cφ␀-␖λ\x18＾9δ^O#οＲ［；［\x1fρ␂Ｐ␈\x16δ␊.!",
		out:  "\t.\x1cφ‛␀-␖λ\x18＾9δ^O#οＲ［；［\x1fρ␂Ｐ␈\x16δ␊.!",
	}, { // 5401
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x1cφ␀-␖λ\x18＾9δ^O#οＲ［；［\x1fρ␂Ｐ␈\x16δ␊.!",
		out:  "␉.\x1cφ‛␀-␖λ\x18＾9δ^O#οＲ［；［\x1fρ␂Ｐ␈\x16δ␊.!",
	}, { // 5402
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "４.\x1cφ␀-␖λ\x18＾9δ^O#οＲ［；［\x1fρ␂Ｐ␈\x16δ␊.\t",
		out:  "４.\x1cφ‛␀-␖λ\x18＾9δ^O#οＲ［；［\x1fρ␂Ｐ␈\x16δ␊.␉",
	}, { // 5403
		mask: EncodeSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "４.\x1cφ␀-␖λ\x18＾9δ^O#οＲ［；［\x1fρ␂Ｐ␈\x16δ␊.␉",
		out:  "４.\x1cφ‛␀-␖λ\x18＾9δ^O#οＲ［；［\x1fρ␂Ｐ␈\x16δ␊.‛␉",
	}, { // 5404
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.+q␂＊;ω␕␗ＰρＰν\x03Ｍ␑\x04ｕ\x13\fη３υ?;\x1d＇.\x01",
		out:  "\t.+q␂＊;ω␕␗ＰρＰν\x03Ｍ␑\x04ｕ\x13\fη３υ?;\x1d‛＇.\x01",
	}, { // 5405
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.+q␂＊;ω␕␗ＰρＰν\x03Ｍ␑\x04ｕ\x13\fη３υ?;\x1d＇.\x01",
		out:  "␉.+q␂＊;ω␕␗ＰρＰν\x03Ｍ␑\x04ｕ\x13\fη３υ?;\x1d‛＇.\x01",
	}, { // 5406
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "φ.+q␂＊;ω␕␗ＰρＰν\x03Ｍ␑\x04ｕ\x13\fη３υ?;\x1d＇.\t",
		out:  "φ.+q␂＊;ω␕␗ＰρＰν\x03Ｍ␑\x04ｕ\x13\fη３υ?;\x1d‛＇.␉",
	}, { // 5407
		mask: EncodeSingleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "φ.+q␂＊;ω␕␗ＰρＰν\x03Ｍ␑\x04ｕ\x13\fη３υ?;\x1d＇.␉",
		out:  "φ.+q␂＊;ω␕␗ＰρＰν\x03Ｍ␑\x04ｕ\x13\fη３υ?;\x1d‛＇.‛␉",
	}, { // 5408
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\ruδ；ψk｛．ι＃\r9＊␓]␅\x1f␖4\x00ｅζ␍τ\x01c.μ",
		out:  "\t.\ruδ；ψk｛．ι＃\r9＊␓]␅\x1f␖4␀ｅζ␍τ\x01c.μ",
	}, { // 5409
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\ruδ；ψk｛．ι＃\r9＊␓]␅\x1f␖4\x00ｅζ␍τ\x01c.μ",
		out:  "␉.\ruδ；ψk｛．ι＃\r9＊␓]␅\x1f␖4␀ｅζ␍τ\x01c.μ",
	}, { // 5410
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "!.\ruδ；ψk｛．ι＃\r9＊␓]␅\x1f␖4\x00ｅζ␍τ\x01c.\t",
		out:  "!.\ruδ；ψk｛．ι＃\r9＊␓]␅\x1f␖4␀ｅζ␍τ\x01c.␉",
	}, { // 5411
		mask: EncodeBackQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "!.\ruδ；ψk｛．ι＃\r9＊␓]␅\x1f␖4\x00ｅζ␍τ\x01c.␉",
		out:  "!.\ruδ；ψk｛．ι＃\r9＊␓]␅\x1f␖4␀ｅζ␍τ\x01c.‛␉",
	}, { // 5412
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␂πα\uff00;\fx\x18＄␄fＰζω\a␈Ｐ{\\+：␟␇ｒｍς.>",
		out:  "\t.␂πα\uff00;\fx\x18＄␄fＰζω\a␈Ｐ{\\+：␟␇ｒｍς.＞",
	}, { // 5413
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␂πα\uff00;\fx\x18＄␄fＰζω\a␈Ｐ{\\+：␟␇ｒｍς.>",
		out:  "␉.␂πα\uff00;\fx\x18＄␄fＰζω\a␈Ｐ{\\+：␟␇ｒｍς.＞",
	}, { // 5414
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   ";.␂πα\uff00;\fx\x18＄␄fＰζω\a␈Ｐ{\\+：␟␇ｒｍς.\t",
		out:  ";.␂πα\uff00;\fx\x18＄␄fＰζω\a␈Ｐ{\\+：␟␇ｒｍς.␉",
	}, { // 5415
		mask: EncodeLtGt | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   ";.␂πα\uff00;\fx\x18＄␄fＰζω\a␈Ｐ{\\+：␟␇ｒｍς.␉",
		out:  ";.␂πα\uff00;\fx\x18＄␄fＰζω\a␈Ｐ{\\+：␟␇ｒｍς.‛␉",
	}, { // 5416
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.Ｘ6８κZ9ＭＵｇυ\x17\x14kｕ|σμ␟v␖：η%γ[o.␊",
		out:  "\t.Ｘ6８κZ9ＭＵｇυ\x17\x14kｕ|σμ␟v␖：η%γ［o.‛␊",
	}, { // 5417
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.Ｘ6８κZ9ＭＵｇυ\x17\x14kｕ|σμ␟v␖：η%γ[o.␊",
		out:  "␉.Ｘ6８κZ9ＭＵｇυ\x17\x14kｕ|σμ␟v␖：η%γ［o.‛␊",
	}, { // 5418
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "｀.Ｘ6８κZ9ＭＵｇυ\x17\x14kｕ|σμ␟v␖：η%γ[o.\t",
		out:  "｀.Ｘ6８κZ9ＭＵｇυ\x17\x14kｕ|σμ␟v␖：η%γ［o.␉",
	}, { // 5419
		mask: EncodeSquareBracket | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "｀.Ｘ6８κZ9ＭＵｇυ\x17\x14kｕ|σμ␟v␖：η%γ[o.␉",
		out:  "｀.Ｘ6８κZ9ＭＵｇυ\x17\x14kｕ|σμ␟v␖：η%γ［o.‛␉",
	}, { // 5420
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ρM␂；\x1b␌\f/＞#s`\x19＋ψａθ^Ｄ＿␊\ni＇＼ε.Ｔ",
		out:  "\t.ρM␂‛；\x1b␌\f/＞#s`\x19＋ψａθ^Ｄ＿␊\ni＇＼ε.Ｔ",
	}, { // 5421
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ρM␂；\x1b␌\f/＞#s`\x19＋ψａθ^Ｄ＿␊\ni＇＼ε.Ｔ",
		out:  "␉.ρM␂‛；\x1b␌\f/＞#s`\x19＋ψａθ^Ｄ＿␊\ni＇＼ε.Ｔ",
	}, { // 5422
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "υ.ρM␂；\x1b␌\f/＞#s`\x19＋ψａθ^Ｄ＿␊\ni＇＼ε.\t",
		out:  "υ.ρM␂‛；\x1b␌\f/＞#s`\x19＋ψａθ^Ｄ＿␊\ni＇＼ε.␉",
	}, { // 5423
		mask: EncodeSemicolon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "υ.ρM␂；\x1b␌\f/＞#s`\x19＋ψａθ^Ｄ＿␊\ni＇＼ε.␉",
		out:  "υ.ρM␂‛；\x1b␌\f/＞#s`\x19＋ψａθ^Ｄ＿␊\ni＇＼ε.‛␉",
	}, { // 5424
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.，\x17ｆ\x04'χα＜＄␂ητT␐ｐ4１␒κ7u#oζ␞␒.\x1f",
		out:  "\t.，\x17ｆ\x04'χα＜‛＄␂ητT␐ｐ4１␒κ7u#oζ␞␒.\x1f",
	}, { // 5425
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.，\x17ｆ\x04'χα＜＄␂ητT␐ｐ4１␒κ7u#oζ␞␒.\x1f",
		out:  "␉.，\x17ｆ\x04'χα＜‛＄␂ητT␐ｐ4１␒κ7u#oζ␞␒.\x1f",
	}, { // 5426
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\x14.，\x17ｆ\x04'χα＜＄␂ητT␐ｐ4１␒κ7u#oζ␞␒.\t",
		out:  "\x14.，\x17ｆ\x04'χα＜‛＄␂ητT␐ｐ4１␒κ7u#oζ␞␒.␉",
	}, { // 5427
		mask: EncodeDollar | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\x14.，\x17ｆ\x04'χα＜＄␂ητT␐ｐ4１␒κ7u#oζ␞␒.␉",
		out:  "\x14.，\x17ｆ\x04'χα＜‛＄␂ητT␐ｐ4１␒κ7u#oζ␞␒.‛␉",
	}, { // 5428
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.a｜０＂χ␏ζ\rβδＺλｂ／\x06δ＃C\x10：ＱF\u007fs＇'.\x15",
		out:  "\t.a｜０‛＂χ␏ζ\rβδＺλｂ／\x06δ＃C\x10：ＱF\u007fs＇'.\x15",
	}, { // 5429
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.a｜０＂χ␏ζ\rβδＺλｂ／\x06δ＃C\x10：ＱF\u007fs＇'.\x15",
		out:  "␉.a｜０‛＂χ␏ζ\rβδＺλｂ／\x06δ＃C\x10：ＱF\u007fs＇'.\x15",
	}, { // 5430
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "＄.a｜０＂χ␏ζ\rβδＺλｂ／\x06δ＃C\x10：ＱF\u007fs＇'.\t",
		out:  "＄.a｜０‛＂χ␏ζ\rβδＺλｂ／\x06δ＃C\x10：ＱF\u007fs＇'.␉",
	}, { // 5431
		mask: EncodeDoubleQuote | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "＄.a｜０＂χ␏ζ\rβδＺλｂ／\x06δ＃C\x10：ＱF\u007fs＇'.␉",
		out:  "＄.a｜０‛＂χ␏ζ\rβδＺλｂ／\x06δ＃C\x10：ＱF\u007fs＇'.‛␉",
	}, { // 5432
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.L\vχ｀γ＼\x03α\x1eSθ\n2νｓ-＼n］＂λ\r（＝␙Ｌ.␜",
		out:  "\t.L\vχ｀γ＼\x03α\x1eSθ\n2νｓ-＼n］＂λ\r（＝␙Ｌ.␜",
	}, { // 5433
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.L\vχ｀γ＼\x03α\x1eSθ\n2νｓ-＼n］＂λ\r（＝␙Ｌ.␜",
		out:  "␉.L\vχ｀γ＼\x03α\x1eSθ\n2νｓ-＼n］＂λ\r（＝␙Ｌ.␜",
	}, { // 5434
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␊.L\vχ｀γ＼\x03α\x1eSθ\n2νｓ-＼n］＂λ\r（＝␙Ｌ.\t",
		out:  "␊.L\vχ｀γ＼\x03α\x1eSθ\n2νｓ-＼n］＂λ\r（＝␙Ｌ.␉",
	}, { // 5435
		mask: EncodeColon | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␊.L\vχ｀γ＼\x03α\x1eSθ\n2νｓ-＼n］＂λ\r（＝␙Ｌ.␉",
		out:  "␊.L\vχ｀γ＼\x03α\x1eSθ\n2νｓ-＼n］＂λ\r（＝␙Ｌ.‛␉",
	}, { // 5436
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.ς％\x1e\uff00］\x1cχP`1$τ␂Ｗμ；|ςOηm\t＠Ｌ␘［.␙",
		out:  "\t.ς％\x1e\uff00］\x1cχP`1$τ␂Ｗμ；|ςOηm\t＠Ｌ␘［.␙",
	}, { // 5437
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.ς％\x1e\uff00］\x1cχP`1$τ␂Ｗμ；|ςOηm\t＠Ｌ␘［.␙",
		out:  "␉.ς％\x1e\uff00］\x1cχP`1$τ␂Ｗμ；|ςOηm\t＠Ｌ␘［.␙",
	}, { // 5438
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\n.ς％\x1e\uff00］\x1cχP`1$τ␂Ｗμ；|ςOηm\t＠Ｌ␘［.\t",
		out:  "\n.ς％\x1e\uff00］\x1cχP`1$τ␂Ｗμ；|ςOηm\t＠Ｌ␘［.␉",
	}, { // 5439
		mask: EncodeQuestion | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\n.ς％\x1e\uff00］\x1cχP`1$τ␂Ｗμ；|ςOηm\t＠Ｌ␘［.␉",
		out:  "\n.ς％\x1e\uff00］\x1cχP`1$τ␂Ｗμ；|ςOηm\t＠Ｌ␘［.‛␉",
	}, { // 5440
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.!＝z；ｚυ\nｂ␋␁␅{$\"ζMζζ\v９␘\x1eχ␔ιＧ.T",
		out:  "\t.!＝z；ｚυ\nｂ␋␁␅{$\"ζMζζ\v９␘\x1eχ␔ιＧ.T",
	}, { // 5441
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.!＝z；ｚυ\nｂ␋␁␅{$\"ζMζζ\v９␘\x1eχ␔ιＧ.T",
		out:  "␉.!＝z；ｚυ\nｂ␋␁␅{$\"ζMζζ\v９␘\x1eχ␔ιＧ.T",
	}, { // 5442
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "：.!＝z；ｚυ\nｂ␋␁␅{$\"ζMζζ\v９␘\x1eχ␔ιＧ.\t",
		out:  "：.!＝z；ｚυ\nｂ␋␁␅{$\"ζMζζ\v９␘\x1eχ␔ιＧ.␉",
	}, { // 5443
		mask: EncodeAsterisk | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "：.!＝z；ｚυ\nｂ␋␁␅{$\"ζMζζ\v９␘\x1eχ␔ιＧ.␉",
		out:  "：.!＝z；ｚυ\nｂ␋␁␅{$\"ζMζζ\v９␘\x1eχ␔ιＧ.‛␉",
	}, { // 5444
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.k$／＜ο=#Ｄ＝［h％␖#φ␇e，\bζα7ｉ$␛\x1a.ι",
		out:  "\t.k$／＜ο=#Ｄ＝［h％␖#φ␇e，\bζα7ｉ$␛\x1a.ι",
	}, { // 5445
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.k$／＜ο=#Ｄ＝［h％␖#φ␇e，\bζα7ｉ$␛\x1a.ι",
		out:  "␉.k$／＜ο=#Ｄ＝［h％␖#φ␇e，\bζα7ｉ$␛\x1a.ι",
	}, { // 5446
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "Ｇ.k$／＜ο=#Ｄ＝［h％␖#φ␇e，\bζα7ｉ$␛\x1a.\t",
		out:  "Ｇ.k$／＜ο=#Ｄ＝［h％␖#φ␇e，\bζα7ｉ$␛\x1a.␉",
	}, { // 5447
		mask: EncodePipe | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "Ｇ.k$／＜ο=#Ｄ＝［h％␖#φ␇e，\bζα7ｉ$␛\x1a.␉",
		out:  "Ｇ.k$／＜ο=#Ｄ＝［h％␖#φ␇e，\bζα7ｉ$␛\x1a.‛␉",
	}, { // 5448
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␞␗\uff00!\"π␑\x14ι\n＊\x10ｑ␛／＊Hν\n/＃,\bοＭ\\.e",
		out:  "\t.␞␗\uff00!\"π␑\x14ι\n＊\x10ｑ␛／＊Hν\n/‛＃,\bοＭ\\.e",
	}, { // 5449
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␞␗\uff00!\"π␑\x14ι\n＊\x10ｑ␛／＊Hν\n/＃,\bοＭ\\.e",
		out:  "␉.␞␗\uff00!\"π␑\x14ι\n＊\x10ｑ␛／＊Hν\n/‛＃,\bοＭ\\.e",
	}, { // 5450
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "＠.␞␗\uff00!\"π␑\x14ι\n＊\x10ｑ␛／＊Hν\n/＃,\bοＭ\\.\t",
		out:  "＠.␞␗\uff00!\"π␑\x14ι\n＊\x10ｑ␛／＊Hν\n/‛＃,\bοＭ\\.␉",
	}, { // 5451
		mask: EncodeHash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "＠.␞␗\uff00!\"π␑\x14ι\n＊\x10ｑ␛／＊Hν\n/＃,\bοＭ\\.␉",
		out:  "＠.␞␗\uff00!\"π␑\x14ι\n＊\x10ｑ␛／＊Hν\n/‛＃,\bοＭ\\.‛␉",
	}, { // 5452
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.\x1cＺ$ψνm\f;οｄ\x0e｜␗ｓ％βU\n；δlf％Ｔ；Ｃ.␍",
		out:  "\t.\x1cＺ$ψνm\f;οｄ\x0e｜␗ｓ‛％βU\n；δlf‛％Ｔ；Ｃ.‛␍",
	}, { // 5453
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.\x1cＺ$ψνm\f;οｄ\x0e｜␗ｓ％βU\n；δlf％Ｔ；Ｃ.␍",
		out:  "␉.\x1cＺ$ψνm\f;οｄ\x0e｜␗ｓ‛％βU\n；δlf‛％Ｔ；Ｃ.‛␍",
	}, { // 5454
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "%.\x1cＺ$ψνm\f;οｄ\x0e｜␗ｓ％βU\n；δlf％Ｔ；Ｃ.\t",
		out:  "％.\x1cＺ$ψνm\f;οｄ\x0e｜␗ｓ‛％βU\n；δlf‛％Ｔ；Ｃ.␉",
	}, { // 5455
		mask: EncodePercent | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "%.\x1cＺ$ψνm\f;οｄ\x0e｜␗ｓ％βU\n；δlf％Ｔ；Ｃ.␉",
		out:  "％.\x1cＺ$ψνm\f;οｄ\x0e｜␗ｓ‛％βU\n；δlf‛％Ｔ；Ｃ.‛␉",
	}, { // 5456
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.␓ω8\tｗ\x01S\tρ\f］β␙␈\x16Ｇ8\x14ρＶ／／Hｕ␐π.x",
		out:  "\t.␓ω8\tｗ\x01S\tρ\f］β␙␈\x16Ｇ8\x14ρＶ／／Hｕ␐π.x",
	}, { // 5457
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.␓ω8\tｗ\x01S\tρ\f］β␙␈\x16Ｇ8\x14ρＶ／／Hｕ␐π.x",
		out:  "␉.␓ω8\tｗ\x01S\tρ\f］β␙␈\x16Ｇ8\x14ρＶ／／Hｕ␐π.x",
	}, { // 5458
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "τ.␓ω8\tｗ\x01S\tρ\f］β␙␈\x16Ｇ8\x14ρＶ／／Hｕ␐π.\t",
		out:  "τ.␓ω8\tｗ\x01S\tρ\f］β␙␈\x16Ｇ8\x14ρＶ／／Hｕ␐π.␉",
	}, { // 5459
		mask: EncodeBackSlash | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "τ.␓ω8\tｗ\x01S\tρ\f］β␙␈\x16Ｇ8\x14ρＶ／／Hｕ␐π.␉",
		out:  "τ.␓ω8\tｗ\x01S\tρ\f］β␙␈\x16Ｇ8\x14ρＶ／／Hｕ␐π.‛␉",
	}, { // 5460
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\t.X6＠\"*\x03＼ς％␡δ3ςＲωd␆λ\r０！␎｜+␉σ.＂",
		out:  "\t.X6＠\"*\x03＼ς％‛␡δ3ςＲωd␆λ\r０！␎｜+␉σ.＂",
	}, { // 5461
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "␉.X6＠\"*\x03＼ς％␡δ3ςＲωd␆λ\r０！␎｜+␉σ.＂",
		out:  "␉.X6＠\"*\x03＼ς％‛␡δ3ςＲωd␆λ\r０！␎｜+␉σ.＂",
	}, { // 5462
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\a.X6＠\"*\x03＼ς％␡δ3ςＲωd␆λ\r０！␎｜+␉σ.\t",
		out:  "\a.X6＠\"*\x03＼ς％‛␡δ3ςＲωd␆λ\r０！␎｜+␉σ.␉",
	}, { // 5463
		mask: EncodeDel | EncodeRightCrLfHtVt | EncodeRightPeriod,
		in:   "\a.X6＠\"*\x03＼ς％␡δ3ςＲωd␆λ\r０！␎｜+␉σ.␉",
		out:  "\a.X6＠\"*\x03＼ς％‛␡δ3ςＲωd␆λ\r０！␎｜+␉σ.‛␉",
	},
}
